prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_180200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2018.05.24'
,p_release=>'18.2.0.00.12'
,p_default_workspace_id=>1549777203957536
,p_default_application_id=>100
,p_default_owner=>'APEX_UTILS'
);
end;
/
 
prompt APPLICATION 100 - APEX Utils
--
-- Application Export:
--   Application:     100
--   Name:            APEX Utils
--   Date and Time:   02:52 Friday April 12, 2019
--   Exported By:     SDOBRE
--   Flashback:       0
--   Export Type:     Application Export
--   Version:         18.2.0.00.12
--   Instance ID:     250155968382783
--

-- Application Statistics:
--   Pages:                      3
--     Items:                    8
--     Processes:                4
--     Regions:                 52
--     Buttons:                 15
--     Dynamic Actions:         23
--   Shared Components:
--     Logic:
--     Navigation:
--       Lists:                  2
--       Breadcrumbs:            1
--     Security:
--       Authentication:         1
--       Authorization:          1
--     User Interface:
--       Themes:                 1
--       Templates:
--         Page:                11
--         Region:              15
--         Label:                7
--         List:                13
--         Popup LOV:            1
--         Calendar:             1
--         Breadcrumb:           1
--         Button:               3
--         Report:              10
--       LOVs:                   1
--       Shortcuts:              1
--       Plug-ins:               1
--     Globalization:
--     Reports:
--     E-Mail:
--   Supporting Objects:  Included

prompt --application/delete_application
begin
wwv_flow_api.remove_flow(wwv_flow.g_flow_id);
end;
/
prompt --application/create_application
begin
wwv_flow_api.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_display_id=>nvl(wwv_flow_application_install.get_application_id,100)
,p_owner=>nvl(wwv_flow_application_install.get_schema,'APEX_UTILS')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'APEX Utils')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'APEXUTILS')
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'BEC14DE25119A7240792309EA852AA7A0E91E9FAF2E3C16612B771AA319B17EA'
,p_bookmark_checksum_function=>'MD5'
,p_compatibility_mode=>'5.1'
,p_flow_language=>'en'
,p_flow_language_derived_from=>'FLOW_PRIMARY_LANGUAGE'
,p_allow_feedback_yn=>'Y'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_documentation_banner=>'Application created from create application wizard 2019.01.28.'
,p_authentication=>'PLUGIN'
,p_authentication_id=>wwv_flow_api.id(27508883401257251754)
,p_application_tab_set=>1
,p_logo_image=>'TEXT:APEX Utils'
,p_app_builder_icon_name=>'app-icon.svg'
,p_favicons=>'<link rel="icon" sizes="32x32" href="#APP_IMAGES#img/favicon.png">'
,p_public_user=>'APEX_PUBLIC_USER'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'Release 1.0'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_flow_unavailable_text=>'This application is currently unavailable at this time.'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_auto_time_zone=>'N'
,p_substitution_string_01=>'APP_NAME'
,p_substitution_value_01=>'APEX Utils'
,p_last_updated_by=>'SDOBRE'
,p_last_upd_yyyymmddhh24miss=>'20190412025058'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>22
,p_ui_type_name => null
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(27508884131392251761)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(16147725959431145)
,p_list_item_display_sequence=>60
,p_list_item_link_text=>'Execute PL/SQL'
,p_list_item_link_target=>'f?p=&APP_ALIAS.:executeplsql'
,p_list_item_icon=>'fa-database-play'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'40,1'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(27509004164412252005)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(27509016054390252153)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'&APP_USER.'
,p_list_item_link_target=>'#'
,p_list_item_icon=>'fa-user'
,p_list_item_disp_cond_type=>'NEVER'
,p_list_text_02=>'has-username'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(27509016595036252154)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'---'
,p_list_item_link_target=>'separator'
,p_parent_list_item_id=>wwv_flow_api.id(27509016054390252153)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(27509016912703252154)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Sign Out'
,p_list_item_link_target=>'&LOGOUT_URL.'
,p_list_item_icon=>'fa-sign-out'
,p_parent_list_item_id=>wwv_flow_api.id(27509016054390252153)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(28749028259057849757)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'GitHub'
,p_list_item_link_target=>'https://github.com/apexutils?tab=repositories'
,p_list_item_icon=>'fa-code-fork'
,p_list_text_02=>'gitHubListEntry'
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/files/img_favicon_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000068300000683080600000025F8571F0000200049444154785EECDD79B464D75D1FFADF61BD6592854C37608630A919FFD56D9207161874250FC9530644E611B5328FD044B6833CA9E549B6A4B65BB6334048';
wwv_flow_api.g_varchar2_table(2) := 'D40A1008633B09C6966CF9CA601B44885A7949DEBFD23FC063485489B25EDCFF9CF74755DDAAB3CFDE7576DDB186CF672D5B77EFF3DBE79CEABA756EDDFDBDFB54D3B66D000000000000B0993E6FA800000000000080F5250C020000000000D860C22000';
wwv_flow_api.g_varchar2_table(3) := '00000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C220000000000080';
wwv_flow_api.g_varchar2_table(4) := '0D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C0200';
wwv_flow_api.g_varchar2_table(5) := '00000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D8';
wwv_flow_api.g_varchar2_table(6) := '60C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000';
wwv_flow_api.g_varchar2_table(7) := '000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D';
wwv_flow_api.g_varchar2_table(8) := '260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000';
wwv_flow_api.g_varchar2_table(9) := '000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860';
wwv_flow_api.g_varchar2_table(10) := 'C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860C2200000000000800D260C020000000000D860FFC7500100636FF9C56FDB8988B311B13BD7BDDB267549FB';
wwv_flow_api.g_varchar2_table(11) := '7A44BCD88E3BF722221EBCF357F70200000000E084346D9B4E6302F0B65FFCB6DD49D0B313E3FFDD1CFDA067DF402034EEEB74B62FB411CF4F02A2EB11B1F79E3B9F7931330C00000000E0508441001171FF47BF6D2722EE8A3676DB88DBE6B7D5043DB5';
wwv_flow_api.g_varchar2_table(12) := '75492094D63C17117B6DC4DE7BEF7CE65A00000000001C016110B0B52E7DF4953B1171A18DB82BA2BD797F433B1CEC1C632034E98D51445C8B886B822100000000E0308441C05679E0A3AF3C3709802E4C6FFD16FBA1CDDCF5703502A1A951445C6B23AE';
wwv_flow_api.g_varchar2_table(13) := '3C74E733D733A5000000000045C220602B3CF0D157EE46C4C588F8EE695F3EB459D94068DA7E3A22AE3E74E7335733E500000000003DC22060A3BDFDA3AFBC3009816EA90C5BD621108A887821222E45C4B587EE7CE6C5CC300000000080086110B0A9DE';
wwv_flow_api.g_varchar2_table(14) := '310E812EB573B7828B5220936DAF452014935BC85D7AE8CE67AEA46300000000004218046C9A778C6F077729226E9BF6550532D9F6DA044211112FB411971E76FB380000000020210C0236C23B3FF6CA73D1C69576EE3381E6550532D9F65A054231F94C';
wwv_flow_api.g_varchar2_table(15) := 'A18B0FDFF9CCF500000000001006019BE09D1F7BE5C5C96AA033B9C0666A284829D7AC5D201411F1688C570AF93C2100000000D872C220606DBDEB63AFDC8988AB11714B92A11C2E90C9B6D732107A21222E3C7CE7337B01000000006C2D6110B096DEFD';
wwv_flow_api.g_varchar2_table(16) := 'B1575E6C23DE3FDF27102AB6AD1202000000802D260C02D6CABB3F76EBD988B81611B7E542128150B1FD4244DCE5B3840000000060FB7CDE5001C0AA78F063B7EE46C4F3E3202822A28926A9E9B49BE86DCFD665DAE59AB9DECCFE87DACBD435C983A93F';
wwv_flow_api.g_varchar2_table(17) := 'C76CFBE68878F60D1FF9D68B01000000006C152B8380B5F0E0C76EBD1893DBC2F5AF5A56080DED27693F1E1117DD360E00000000B68330085869EF19DF16EE4A1B71F77CBF402853B35CFBB988D81508010000C0FAF8821FDC3B1B113BE3561311B19B94';
wwv_flow_api.g_varchar2_table(18) := '9C6BA33917914E040CDD5B24A29DF6CDC6BD1811D793DAE7C7FF6B22225EFCFF1EBAD5EDE8614D08838095350982F622E296180E37044215FB49DAA34920E48D1B0000009CB29BEE7BEA5C449C9B0B7466C14F1BB7D5DDE47E2C13EC1C34102AD6267D2F';
wwv_flow_api.g_varchar2_table(19) := 'B4D13C3F19B737E9DB8B68E27F3FFC6DD336708A8441C04A7AEFC76EDD6923AE4E83A0A9A1B0432034BC9F4C2074E1E13B9FB916000000C0B1BBE9BE4FEC4E439FC9CA9EB3E3F98F6EE0D2A6014C1B35A1CCBE530884C663F3E346E35546717DB2BAE87A';
wwv_flow_api.g_varchar2_table(20) := '4473FD7F3FFCADEE580227441804AC9CF77EECD69DC95F919C3948D821101ADE4F66CC3D0FDFF9CCD57E3700000070102F7FD393E72262A78D6667B2C26727226E2E873AFDFE0D0B84329A17E642A2BD881010C1311106012BE5A1276EDD6923F6A28D33';
wwv_flow_api.g_varchar2_table(21) := 'D3BE83841D02A1E1FD0884000000E0E8BCFC4D4FEC8E57FA343B93153F73731BB5A14EBFBF7EECDA064269C70B6DDBEC4DC3A1CF3DF27FBABD3D1C016110B0321E7A225911D4CD567A86C30D81D0D07E0442000000B0BC97BFF96367236237DA9806409D';
wwv_flow_api.g_varchar2_table(22) := 'DBDC2F0C57661DD50149FDD88D0984A26DF7FB4611712D621C107DEE913FF47CAF1818240C0256C2C3D3154191AC0812082DAC1308010000C0C9F8C2377F743722EE6AA3D9ED7CC6F1FE2FD64B842BB38EEA80A47EEC460642F3352F8CC3A1D8FBDC237F';
wwv_flow_api.g_varchar2_table(23) := 'C867204325611070EA1E4E5704CD11080DD70984000000E0E87DE19B7FF1DC64D5CF5D75B77D8BE5C29559477540523F76E303A1A9D1784EA9B91611D73EF7C81FF4794350200C024ED57C1034ED13082D5F271002000080C3FBC2B77CE45CB4CD5D1171';
wwv_flow_api.g_varchar2_table(24) := 'A1B3FAA73AD4C9D5D68EAD0B48EAC76E4D2034DFF7E1C9AA21C110248441C0A979641204B57341D0944068F93A81100000002CEFCC5B7EE15C1BCDC588B82B226E8E88885EF8104B843AB9DADAB1750149FDD8AD0C84A63E1C11573FF7C81F742B391006';
wwv_flow_api.g_varchar2_table(25) := '01A7E59127BE7DB222A83D13CB842B02A1857502210000001876E62DBF706E12FEECAF00EA072C8361C3B84C2054AC5D8140282262D4B6CDB588B872E3F2B75CCF0C80AD200C024EDCE54910345B11D48B4CF665838A3669E76A16B473214992A11C2E90';
wwv_flow_api.g_varchar2_table(26) := 'C9B6BB273DB49F431D3F7930F5E7586E0B84000000D80467DEF2EF2F8C03A0E6B6DC768150AE762302A1E9B8E722E24A445CBB71F95BDC468EAD220C024ED4E5FD154191AC08EA4526C996A4DD26ED5CCD82762E24493294C30532D976F7A487F673A8E3';
wwv_flow_api.g_varchar2_table(27) := '270FA6FE1CCB6D8110000000EBE8CC5BFFDD4EB4FBB7819BBB55FD4040B2DF51193608848AB52B160845448C269F2D74E9C6E56F79BE57081B4818049C98F7F556048DB5C957D5C1459BB473350BDAB99024C9500E17C864DBDD931EDACFA18E9F3C98FA';
wwv_flow_api.g_varchar2_table(28) := '732CB70542000000AC8B336FFD771722E2E2F43670B5A14E4CC38A4E47DD588150B9760503A1A9A727A1D05EAF18368830083811EF2BAE081A6B93AFAA838B3669E76A16B473214992A11C2E90C9B6BB273DB49F431D3F7930F5E7586E0B840000005855';
wwv_flow_api.g_varchar2_table(29) := '67DFFA6FCF4D3E07E8621B4DE78F5123A23AD4896958D1E9A81B2B102AD7AE70201411F1424473E9C6E5F3E63CD848C220E0D8A541D0543974E84526999AB9769BB473350BDAB99024C9500E17C864DBDD931EDACFA18E9F3C98FA732CB70542000000AC';
wwv_flow_api.g_varchar2_table(30) := '92B36FFDB7BB9310E8EEF9FE5E4012511DEA446E7CE5588150B976C503A188685E18AF14120AB1598441C0B17AFF93935BC3B5D1FF6B9C85A1432F32C9D4CCB5DBA49DAB59D0CE8524498672B84026DBEE9EF4D07E0E75FCE4C1D49F63B92D10020000E0';
wwv_flow_api.g_varchar2_table(31) := 'B49D7DEB877723E25244DC361870743AEB0283C88DAF1C2B102AD7AE41201493CF15BA1211576E5C3EFF62A110D68630083836D32068FFD67085CB4D3974E84526999AB9769BB473350BDAB99024C9500E17C864DBDD931EDACFA18E9F3C98FA732CB705';
wwv_flow_api.g_varchar2_table(32) := '420000009C86B36FBB36FE3CA0B6B9A5BBA532D089A80E752237BE72AC40A85CBB2681504C42A18B560AB1EE8441C0B1B8325D1194DE1AAE70C929870EBDC8245333D76E9376AE66413B17922419CAE102996CBB7BD243FB39D4F19307537F8EE5B64008';
wwv_flow_api.g_varchar2_table(33) := '000080933209812E45C4CDFB9D55214008848A6305421581508C3F53C8EDE3585FC220E0C85D49570425DB0542B976F7A487F673A8E3270FA6FE1CCB6D8110000000C7E98BDEF6F3FB21505DA85319E8446E6CD48FAF1C2B102AD7AE5920149350E8C28D';
wwv_flow_api.g_varchar2_table(34) := 'CBE7F7F2F5B09A8441C0917AF4C96FDF69E782A0A95E9850B8F49443875E6492A9996BB7493B57B3A09D0B49920CE570814CB6DD3DE9A1FD1CEAF8C983A93FC7725B20040000C051FBA2B7FDDC6E4433F94CA099BA50A732D089DCD8A81F5F39562054AE';
wwv_flow_api.g_varchar2_table(35) := '5DC3402822E2E94928F47C6E23AC1A611070641E9D5B1154152E142E3FE5D0A11799646AE6DA6DD2CED52C68E742922443395C20936D774F7A683F873A7EF260EACFB1DC16080100007014BEE86D3FB71311576621504540122110DA27103AA1402822E2';
wwv_flow_api.g_varchar2_table(36) := 'D1C9EDE35E2C15C02A10060147E20399154155E142E112540E1D7A9149A666AEDD26ED5CCD82762E24493294C30532D976F7A487F673A8E3270FA6FE1CCB6D811000000007F545F7FFECB9C94AA0BB6B8280BA50A732D089DCD8A81F5F39562054AE5DE3';
wwv_flow_api.g_varchar2_table(37) := '40681411177D9E10AB4C18041CDA0716AC08AA0A170A97A1F2BE7A9149A666AEDD26ED5CCD82762E24493294C30532D976F7A487F673A8E3270FA6FE1CCB6D8110000000CBFAA2FB7FF652445C1CFFA1697D805017EA54063A911B1BF5E32BC70A84CAB5';
wwv_flow_api.g_varchar2_table(38) := '6B1C08855BC7B1CA8441C0A17CF0C9EFD869A35DB822A82A5C285C8ACAFBEA4526999AB9769BB473350BDA21101ADC4F668C4008000080415F7CFFCFDC151157DA686EEE6EA90F10EA429DCA40277263A37E7CE5588150B976CD03A18888076E5C3E7F69';
wwv_flow_api.g_varchar2_table(39) := 'A8084E92300838B00F3EF91D732B82BAD7928AA0A05F53B81C95F7D58B4C323573ED3669E76A16B4432034B89FCC188110000000595F7CFFCF9C8B88ABB3CF058A4C30531F20D4853A95814EE4C646FDF8CAB102A172ED060442CF4D56095D1F2A8493F0';
wwv_flow_api.g_varchar2_table(40) := '7943050039F34150444493FC003CC88FD7A6F033B4BCAF26BB3DD7D7249DD563929E85354DFD5B90FAE3774F7A683F873A7EF260EACFB1DC8E88C7DEF0916FBDD0EF060000609B7DF1FD3F7D29A2BD3E1F04454434A53F3BECFDC2D9FF73C4FED888682A';
wwv_flow_api.g_varchar2_table(41) := 'FE8CB17A6CD48FAF1CDB1F57AAAD1D5BF767A2F563071E6FE77959E29C2B9ECFEC39578DCBF73755DF0B35E3A64AFDFB6E8988675F76EFB35608B112AC0C0296F6A14910D4CEDD1A6ECA0AA171A3F66D42FDF1BB273DB49F431D3F7930F5E7586E5B2104';
wwv_flow_api.g_varchar2_table(42) := '00004044C4175FFAE9DD68E3CA64A27CA2FFA7855608956A6BC7D6FDB968FDD881C7DB795E9638E78AE7337BCE55E3F2FDA7B04228AC126215088380A57CE8E3931541ED3808CA0705DDDE8AA0A05F53B83495F7D58B4C323573ED3669E76A16B4FB8F32';
wwv_flow_api.g_varchar2_table(43) := 'A91108E5C60884000000B6D4175FFAA9B311712922BE3F2A27F30542A5DADAB175E145FDD881C7DB795E9638E78AE7734302A1F059429C26611050ED1F7F3C591134B97CE483826E6F4550D0AF295C9ECAFBEA4526999AB9769BB473350BDAFD4799D408';
wwv_flow_api.g_varchar2_table(44) := '84726304420000005BE68B2FFDD4EEE4B3816E9EF5D64DE60B844AB5B563EBC28BFAB1038FB7F3BC2C71CE15CFE70605424F47C45D372E9F7F71A8108E923008A8320D82A69F11B47FE5683BFFE910088D1BA5ABECF0BE4B35DD931EDACFA18E9F3C98FA';
wwv_flow_api.g_varchar2_table(45) := '732CB70542000000DBE14B2EFD9BFDD540D970A572325F2054AAAD1D5B175ED48F1D78BC9DE7658973AE783E3728101A4D6E1B776DA8108E8A300818F44FD21541136DF2453E28E8F6560405FD9AC265AABCAF5E6492A9996BB7493B57B3A0DD7F94498D';
wwv_flow_api.g_varchar2_table(46) := '4028374620040000B0C1BEE4D24FEE443457E73F1B4820543F562054AEDDA0402822E2D11B97CF5F1C2A82A3200C0216FA27A51541136DF2453E28E8F6560405FD9AC2A5AABCAF5E6492A9996BB7493B57B3A0DD7F94498D4028374620040000B081BEE4';
wwv_flow_api.g_varchar2_table(47) := 'D24F5E8C88F78F5B0361C3B4A6F74B6345C8B144805017EA0C041C9DCEBAC02072E32BC70A84CAB51B16083D1711BB6E1BC77113060145691034559CE46FF3DB23131F540405FD9AC2E5AABCAF5E6492A9996BB7493B57B3A0DD7F94498D402837462004';
wwv_flow_api.g_varchar2_table(48) := '0000B021BEE4819F3C1B11D7A28DDBBA5B06C286694DEF97C68A90638900A12ED41908383A9D758141E4C6578E1508956B372C101A4D02A1EB438570509F3754006CA77FFAF1EFD8693241502CFAD1DDE4B78FFBBABD07F9F1DA147E8696F7D564B7E7FA';
wwv_flow_api.g_varchar2_table(49) := '9AA4B37A4CD2B3B0A6A97F0B527FFCEE490FEDE750C74F1E4CFD3996DB11F1D81B3EF2AD17FADD000000AC932F79E0277623DAE723E2B6FE2F7FDD19FAA6F4E78503E3223BB69D6EC8F7CFC91EB7A9F833C6EAB1513FBE726C7F5CA9B6766CFEFC069FA3';
wwv_flow_api.g_varchar2_table(50) := 'E2D881C7DB795E9638E78AE7337BCE55E3F2FD4DD5F742CDB8A9527FD6998878F665F73E6B8E8463230C027AFEE9DC8AA0A5C38326BF3D32F1414550D0AF299C50795F4D767BAEAF493AABC7243D0B6B0442B931022100008035F6250FFCC4A588F8E478';
wwv_flow_api.g_varchar2_table(51) := '42BB6E325F20543F562054AEDDB0402822E2B197DDFBAC3BA8702CDC260EE8F8679320A81DB8355CA9BF4DBEC8FFC8ECF61EE4C7AC5BC6E5DADD931EDACFA18E9F3C98FA732CB7DD320E000060BDBCE2817F7D3622AEB5D124B7858BD94C7EEF97BFEE4C';
wwv_flow_api.g_varchar2_table(52) := 'BD5BC6D58F75CBB8726DF69CABC6E5FB4FF99671E17384380E560601FBFED9821541B53FCA9AE48BFC8FCA6E6FCDB17A3585132AEFABC96ECFF5354967F598A467618D1542B9315608010000AC89573CF0AF7722E2F988B8ADB8CA2772BFFC756BAD10AA';
wwv_flow_api.g_varchar2_table(53) := '1F6B8550B9367BCE55E3F2FD2BB042E89688D87BD9BDCFEE0C15422D61101011113F3417044DFB2A26EF17D735F9EDE3BE6E6FCDB17A3585132AEFABC96ECFF5354967F598A467618D4028374620040000B0E25EF1C08F5F888867BB73080B26CB7BBFFC';
wwv_flow_api.g_varchar2_table(54) := '0D840DD39A8171911D5B77CC281DB72A04A81D1BF5E32BC70A84CAB50221584C1804C40F7DFC553B11CD5E93DC1A2EEA26EF17D735F9EDE3BE6E6FCDB17A3585132AEFABC96ECFF5354967F598A467618D4028374620040000B0A25EF1F61FBF1A118F55';
wwv_flow_api.g_varchar2_table(55) := '850D11D5E18C40A87EAC40A85CBB8181D0998878F665F73E6B9E8443F39941B0E57EF813AFDA6923F6A29D064107FBFC97C1BA36BF3D3247AC3956AFA67042E57DB5D9EDB9BE36E9AC1E93F42CACF11942B9313E430800006045BCE2ED3F7E767247915B';
wwv_flow_api.g_varchar2_table(56) := '22E67F89EBFF895FF1738022F7CB5FB7D66708D58FF51942E5DAEC39578DCBF7AFC067084544DC73E3F279F3241C989541B0C57EF813AFDA8988F18AA0FD9F41075BDD3158D7E4B747E68835C7EAD5144EA8BCAF26BB3DD7D7249DD563929E85355608E5';
wwv_flow_api.g_varchar2_table(57) := 'C65821040000B0025EF1F61FDB8968AFEF074131FF4B5CFF4FFBAC10CA8D8DFAF19563AD102AD766CFB96A5CBE7F05560845443CF6B27B9FBD32540425C220D852FF7C12044DEFEFDBC4FC0FD3834DE60FD635F9ED913962CDB17A3585132AEFABC96ECF';
wwv_flow_api.g_varchar2_table(58) := 'F575FF7D961893F42CAC1108E5C608840000004ED12BDEFE63774DE60F6EEE4D60EFFF12571136CCD7F57EF91B081BA63503E3223BB6EE98513A6E5508503B36EAC7578E1508956B373410FAFE97DDFBACD5411C883008B6D03F9F5F1134A789F91FA607';
wwv_flow_api.g_varchar2_table(59) := '9BCC1FAC6BF2DB2373C49A63F56A0A2754DE5793DD9EEBEBFEFB2C3126E959582310CA8D11080100009C822F7DFB8F5E68A2FDF9E8CC1FD4860F21108ADCD8A81F5F39562054AEDDD040E86E811007210C822D935D1134A7E9741E6C327FB0AEC96F8FCC';
wwv_flow_api.g_varchar2_table(60) := '116B8ED5AB299C50795F4D767BAEAFFBEFB3C498A467618D40283746200400007082BEF4ED3F7A35221E8B8872B832B5FF4B5C45D8305FD7FBE56F206C98D60C8C8B45E77CA0B12110DA37F01C15C70E3CDECEF3B2C439573C9F0221181306C116F9914F';
wwv_flow_api.g_varchar2_table(61) := 'BC6AA7990B82A6B213F1CDAC7590C9FCC1BA26BF3D3247AC3956AFA67042E57D35D9EDB9BEEEBFCF1263929E853502A1DC1881100000C009F8D2B7FFABAB1171F77C9F40280442FB069EA3E2D881C7DB795E9638E78AE7532004114DDB1EE81B0D58333F';
wwv_flow_api.g_varchar2_table(62) := 'F289575D88882BD320A8E64754DBE96CEBC72C53D7E6B747E68835C7EAD5144EA8BCAF36BB3DD7D7FDF759624CD2B3B0A63DC0BFE9604DF7A487F673A8E3270FA6FE1CCBED88B8E7E13B9FF166070000E0887DE93BFED5D9C9DD446E19FF32D6FF33BD76';
wwv_flow_api.g_varchar2_table(63) := 'E84FF9F67F89AB193B57D7FBE5AF5B5B1C3B302E169DF381C646445BF1E78CD563A37E7CE5D8FEB8526DEDD8FCF90D3E47C5B1038FB7F3BC2C71CE15CF67F69CABC6E5FBDBAAEF859A7153A5FE851EBF71F9BC3F9E65903008B6C0BF18DF1AEED98A49F6';
wwv_flow_api.g_varchar2_table(64) := 'FC447C3B6B558F59A6AECD6F8FCC116B8ED5AB299C50795F6D767BAEAFFBEFB3C498A467618D40283746200400007084BEF41D8F9F8D68C641D0541B75814175F8901B3B57D7FBE56F206C98D60C8C8B45E77CA0B12110DA37F01C15C70E3CDECEF3B2C4';
wwv_flow_api.g_varchar2_table(65) := '39573C9F0221B695DBC4C186FB17B3CF08AAF8D159A86966ADEA31CBD435F9ED913962CDB17A3585132AEFABC96ECFF575FF7D961893F42CAC71CBB8DC18B78C0300003822E32028F622DA5B625E13D93FCF73CBB870CBB87D03CF5171ECC0E3ED3C2F4B';
wwv_flow_api.g_varchar2_table(66) := '9C73C5F3993DE7AA71F97EB78C635D08836083FDCBCC6704554CB2E76B9A59AB7ACC32754D7E7B648E5873AC5E4DE184CAFB6AB2DB737DDD7F9F25C6243D0B6B0442B931022100008043FAD2773CBE1311CFCF5604D54DE60B844220B46FE0392A8E1D78';
wwv_flow_api.g_varchar2_table(67) := 'BC9DE7658973AE783E05426C2361106CA87F395B1174666852BD7A62BE99B5AAC72C53D7E4B747E68835C7EAD5144EA8BCAF26BB3DD7D7FDF759624CD2B3B04620941B231002000038A02F7BC7D5FDB983EE96BAC97C81500884F60D3C47C5B1038FB7F3';
wwv_flow_api.g_varchar2_table(68) := 'BC2C71CE15CFA740886D230C820D341F044DFB8626D5AB27E69B59AB7ACC32754D7E7B648E5873AC5E4DE184CAFB6AB2DB737DDD7F9F25C6243D0B6B0442B9310221000080254D83A026DA24089AAA9BCC1708854068DFC073541C3BF0783BCFCB12E75C';
wwv_flow_api.g_varchar2_table(69) := 'F17C6E7020649E841E61106C98C79E7AD55D4D93FBAB9EE149F5EA89F966D6AA1EB34C5D93DF1E9923D61CAB575338A1F2BE9AECF64CDFA889381F4D3C5ED89EEDEBD7088486F693192310020000A8F465EF78ACF347A4F960250442F3FD73EA429D8180';
wwv_flow_api.g_varchar2_table(70) := 'A3D3591718446E7CE5588150B9764303A1C70442A49AB63DD03713B0821E7BEA3B2F44C463D31F12A597F7D08FA49A1F516DA7B3AD1FB34C5D9BDF1E9923D61CAB57B3F4BF4F9BDD3EE91B45C4EE1B5FF7D9EB1111EF7DE2D6ABD1C6DDFD7D74C62C6CE7';
wwv_flow_api.g_varchar2_table(71) := 'FE5D3BEDF600FFA6833573BD99FD0FB597A9EBFEFB1FEC7B2833E69E87EF7CC67268000080822F7BE724086AE34C3AE3DDD6FEE95F9BE9CB8ECF8DCBF4178FDD4C37E6FB63BAB93076605C2C3AE7038D8D88B6E2CF19ABC746FDF8CAB1FD71A5DADAB175';
wwv_flow_api.g_varchar2_table(72) := 'DF33F563071E6FE77959E29C2B9ECFEC39578DCBF7B755DF0B35E3A64AFD0BDD7EE3F2F9BDA122B683300836C4D54910347B454FA6F60B2FF1A149F5EA89F976D6AA1EB34C5D9BDF1E9923D61CAB57B3F4BF4F9BDB3E8A88DD374C82A02981D0709D4008';
wwv_flow_api.g_varchar2_table(73) := '0000E0E4EC0741D3BB89B4313C69BFAF6E325F201402A17D03CF5171ECC0E3ED3C2F4B9C73C5F3B98181D02822766F5C3EDF99B3623B098360035CDD5F1134367B554FA6F60B2FF3A149F5EA89F976D6AA1EB34C5D9BDF1E9923D61CAB57B3F4BF4F3BDF';
wwv_flow_api.g_varchar2_table(74) := 'CE06415302A1E13A81100000C0F1FBB277FECB4910D4746F2BDFC6F0A4FDBEBAC97C81500884F60D3C47C5B1038FB7F3BC2C71CE15CFE70606422F44C4CE8DCBE75F1C2A64B3F9CC2058738F3FF59D179AB920283A3F12C65F2DFF1939F976B1A699B5AA';
wwv_flow_api.g_varchar2_table(75) := 'C72C53D7E4B747E68835C7EAD52CFDEFD34CFF7F61101411F18F5EF7D90B3E4368719DCF10020000385EB32028CEF466B59BE8CD90FB0CA1A83E66948E5BF5B931B563A37E7CE5589F2154AECD9E73D5B87CFF0A7C86D0CD11B1F7B27B9F3D3B54C86613';
wwv_flow_api.g_varchar2_table(76) := '06C11A7B7C6E455079727C32B55F98AD1F9A54AF9E986F66ADEA31CBD435F9ED913962CDB17A354BFFFB348341D0D424107A7ADAAE3A9F4CC5C21A81506E8C40080000D87A5FFECE7FD1BD355C4455A823108AEA6346E9B8552140EDD8A81F5F39562054';
wwv_flow_api.g_varchar2_table(77) := 'AEDDC040E89688B83254C4661306C19AFA57C9ADE162E1E4F8646ABF305B3F34A95E3D31DFCC5AD56396A96BF2DB2373C49A63F56AEAFF7D4611B1FBFA8A2068AA89B82B9A786EAE9DAB59D8CEFDBB76DA02A1DC1881100000B0B5A64150136DF7D67011';
wwv_flow_api.g_varchar2_table(78) := '55A18E4028AA8F19A5E3568500B563A37E7CE5588150B9760303A1BB5F76EFB397868AD85C3E3308D6D07C1054F363A34DBE5AFE3372F2ED624D3B6B558F59A6AECD6F8FCC116B8ED5AB59FCEF338A88DD7B5FF799EA2068EAA1276E3DDB46EC451BB74C';
wwv_flow_api.g_varchar2_table(79) := 'FBAACE2753B1B0C66708E5C6F80C21000060ABE456042DFC3C9E5951AFCF670845F531A374DCAACF8DA91D1BF5E32BC7FA0CA1726DF69CABC6E5FB57E03384BEE7C6E5F3D7868AD83CC22058333FFAD4775E68931541CB4D964FA6F60B2FFDA149F5EA63';
wwv_flow_api.g_varchar2_table(80) := 'B5B356F59865EADAFCF6C81CB1E658BD9AFC098DDA0306415302A1BA3A81100000C0C17DF9BB7E6427DA26B935DC98402804421175E75C7C4E6AC7D67DCFD48F1D78BC9DE7658973AE783E372C101A45C4EE8DCBE70F3CBFC57A729B3858233F3A591174';
wwv_flow_api.g_varchar2_table(81) := '901F174DF2D512B7445BD82ED634B356F59865EA9AFCF6C81CB1E658BD9A7ED1815704CD7BE3EB3EFB6213B1EB96718BEBDC320E0000E060BEFC5D3F325E11D4E46E0D178B6FBF362BEAF5B9655C541F334AC7ADBA4D58EDD8A81F5F39D62DE3CAB5D973';
wwv_flow_api.g_varchar2_table(82) := 'AE1A97EF3FE55BC69D8988AB2FBBF7D9B343856C166110AC891F4B3E23A862E27B41CD646ABF305B3FB4EFEA6335B356F59865EA9AFCF6C81CB1E658BD9A59C7282276FFE12183A02981505D9D4008000060395FFEAE7FDEBD355C61E258201402A188BA';
wwv_flow_api.g_varchar2_table(83) := '732E3E27B563EBBE67EAC70E3CDECEF3B2C439573C9F1B1608DD121157868AD82C0389203D0000200049444154C22058033F56B92268B9C9F2C9D47E61B67E68DFD5C76A66ADEA31CBD435F9ED913962CDB17A35CDD106415302A1BA3A81100000409D59';
wwv_flow_api.g_varchar2_table(84) := '1094AC0812084D3617C60E8C8B45E77CA0B1B9E76489E7A832D489DCF8CAB102A172ED86054277BFECDE67CD8F6C119F19042BEEC73E39591134F7521DFA3151F363A34DBEF21942D9BE5144ECFEC06B8F36089AE73384EAEA7C8610000040596F455044';
wwv_flow_api.g_varchar2_table(85) := '7F66BBF059233E43685233302E169DF381C6E69E93259EA3CACF018ADCF8CAB13E43A85C9B3DE7AA71F9FE53FC0C219F1FB445AC0C8215F6E39FFCCE0BCDF4D67073D7F0A11F0F353F2E9AE42B2B847A7DC71E04851542D5755608010000E47DC5BB7E78';
wwv_flow_api.g_varchar2_table(86) := 'A789360982A23FA36D85D0647361ECC0B85874CE071A9B7B4E96788E2A57F9446E7CE5582B84CAB5D973AE1A97EF3FC515423E3F688B5819042BEAC73FD9FD8CA0B6F7C5F08FB19A1F1B6DF295154211D3BF8AB878CC41D03C2B84EAEAAC1002000098F9';
wwv_flow_api.g_varchar2_table(87) := '8A77FD70674550DD2A9FFC9FEAD58DEDF7592114D5C78CD271AB5685548D7D7AFC9FE6F988787ED2773D225E9C1BFFE2FF78E79DC5F98E2F7CF3477722623E1838DB46B333F97ABCAD8D73117173FF3C2B1E6FE1FB606CE0392A8E1DF8F7EA3C2F4B9C73';
wwv_flow_api.g_varchar2_table(88) := 'C5F3993DE7AA71F9FE535C21F4E88DCBE72F0E15B1DE8441B082FEF527BFEB42443C560C2FBA73EFF99A427B71CD646ABF705918DA77F5B1E61E48F59865EADAFCF6C81C31B38F130F82A604427575022100008088AF78F70FED44DBF45604D5853A4B84';
wwv_flow_api.g_varchar2_table(89) := '0D1513F202A1A83E66948E5B150244B4D13C37097AAE4F839ED13BFEF85EB6F898BDFC4D1FDB8968CE4D42A2C9FF9A9BD3BAFA50A7DF5F3F76E07BBAF3BC0CFF5B6F6920F43D372E9FBF3654C4FA1206C18A990641D3B64028DF1EAC6BF3DB63D1BFE924';
wwv_flow_api.g_varchar2_table(90) := '08FAFE530882A60442757502210000609B7DC5BB7F68B6222833015C17EA0C4C9E770C4FC80B84A2FA98513A6EF739194534D727CFF3F58878FEC577FC89539BAFA8F5F2373D7136A2D99D8443BB11715BE41E6FE1FB606CE0392A8E1DF89EEE3C2F03DF';
wwv_flow_api.g_varchar2_table(91) := '6FC571F9DA0D0984461171EEC6E5F32F0E15B29E8441B0427E627F4550974028DF1EAC6BF3DB23FF6F7AEA41D09440A8AE4E200400006CA34E10342510DA8440E8B988B83E59ED75FDC5777CF7A9CF4F1C9597BFE9C9BB2262B78DE6AEF1EDE5260ADF07';
wwv_flow_api.g_varchar2_table(92) := '6303CF5171ECC0F774E77919F87E2B8ECBD76E4820F4F48DCBE777878A584FC22058113FD15B11D42510CAB707EBDAFCF6E81E711411BBDFB70241D09440A8AE4E200400006C93AF78F73FDB89E8DF1A2E22044243E7DCFBE5AFE6BCEB26F30F18083D17';
wwv_flow_api.g_varchar2_table(93) := '117BEDF8F9DC7BF1ED776DC56A8C9BDEF4F173117157445C88885B4ADF076303CF5171ECC0F774E779190E5CB63010FA811B97CF5F192A62FD08836005A441D0547FD2BADBD3F6BE189EE85E6EB27CFCD58607422B17044D0984EAEA04420000C0361807';
wwv_flow_api.g_varchar2_table(94) := '41D3154185095D81D02A0742A388B83609F3F6FEFBDBBFE7F9D8729360E862B47157EEB386C6069EA3C2F79040E85081D02822766E5C3EBFF5DFA39B461804A7EC270BB7869BEA4F5A777BDADE17C313DDCB4D968FBFDAD040681411BBFFE0B59F5EB920';
wwv_flow_api.g_varchar2_table(95) := '684A2054572710020000365937089A2A4CE80A845629107A2EC6BFD35FFDEF6FFF932B3BF7B00A6EBAEFE377C5F8367277F7B70E3C4785EF2181D0A10221B78BDB40C22038453F39706BB852BF4028DF1EAC6B3BFF59F920684A205457271002000036D1';
wwv_flow_api.g_varchar2_table(96) := '1F78F73FDD99DC4EAC7F6BB8D284AE40E83403A1E722E26A445CFBEF0FFC292B2B9674D37D9F3837B985DCC545E1A740285F53376EAAD4BFEF9E1B97CF9B13D920C2203825FFA6B022A87E32BCDBD3F6BE189EE85E6EB27CFCD5860442A3764D82A02981';
wwv_flow_api.g_varchar2_table(97) := '505D9D40080000D824D320683A295E15CA4C09844E32107A617C0BB8B8F2DF1EF8D302A02370D37D9F383BF96CA14B1131B985DCC07354F81E12081D38101A45C4B91B97CF6FC5E7596D0361109C827F33B022A87E32BCDBD3F6BE18DEF77293E5E3AFD6';
wwv_flow_api.g_varchar2_table(98) := '3C101A451BBB7F7F8D82A02981505D9D40080000D8047FE0C17F320E82DAEE8AA0AA50664A2074DC81D0D3E300E8CF5CCB1472446EBAEF131766A1D0C07354F81E12081D3810FAF08DCBE7EF5A54C0FA1006C109FBA9BDEFBAD0463C965EF42B26A30B75';
wwv_flow_api.g_varchar2_table(99) := 'DD9EB6F7C5F0BE979B2C1F7FB5A681D0A88DD8FDFBAF59BF20684A2054572710020000D6D97E1034BD4D569B994CEE294CE80A848E3A101A4534D7A28D4BFFED813F6315D0099A844257220602D2C2F79040E8C081D0ED372E9FDF5B54C07A1006C109FA';
wwv_flow_api.g_varchar2_table(100) := 'A9BDD98AA036FA3F2C2A26A30B75DD9EB6F7C5F0BE979B2C1F7FB56681D0282276FFDE1A07415302A1BA3A81100000B08EFEC083FF7827A2D9EB7E5E4A0884B2E373E332FD43E7DCFBE52F7BDEA371101157FEDBA53FEBB659A76472FBB88B114DE73385';
wwv_flow_api.g_varchar2_table(101) := '0442F99ABA7153A5FE78E1C6E5F3E74A1B591FC22038213F3D5D1134A78DFE0F8B8AC9E8425DB7A7ED7D31BCEFE526CBC75FAD4920346A3724089A1208D5D5098400008075320E82A62B823213B302A1D30884461171A58D4608B4426EBAEF13E7229A2B';
wwv_flow_api.g_varchar2_table(102) := '11F1DDD33E8150BEA66EDC54A93F1EB871F9FCA5D246D68330084EC04FA72B82E6B499CE8AC9E8425DB7A7ED7D31BCEFE526CBC75FAD7820348A88DDBFBB4141D09440A8AE4E20040000AC836E103495999815089D5420349A840D577EEFD29F1302ADA8';
wwv_flow_api.g_varchar2_table(103) := '9BEE7B6A3722AE8E3F4F28F3FC16BE8704424B0742A388D8B971F9BC5B23AE3161101CB39F29AD084ADB4967C56474A1AEDBD3F6BE18DEF77293E5E3AF563410DAD820684A205457271002000056D9573EF8A19D36776BB8088150666C64C7E7C665FA87';
wwv_flow_api.g_varchar2_table(104) := 'CE793CEEF188B8F47B97FEBC89EF3570D37D4F9D8D884B11F1FD917B7E0BDF4302A1A503A10FDFB87CFEAEDC06D68330088ED1CF0CAD084ADB49E7D098725DB7A7ED7D31BCEFE526CBC75FAD5820346A373C089A9A0442CF473B7FAFDCBEE17F7781D0D0';
wwv_flow_api.g_varchar2_table(105) := '7E326304420000C0A17CE5831FDA5F11541D90440884B2E373E332FDE5737E3A222EFDDEFD7F7E2FB3911577D37D4FED44C4B588B8592094AFA91B3795EDBFFDC6E5F35E1F6B4A1804C7E467F76E9BAC089ABDC6862696DB4CE7D098725DB7A7ED7D31BC';
wwv_flow_api.g_varchar2_table(106) := 'EFE526CBC75FAD4820348A88DDBFB30541D0D4434FDCBA33592124105A50271002000056C957BEE7433BD1766F0D571D90440884B2E373E332FDDDB1A388B8F87BF7FF05BFDBADB9F9554202A17C4DDDB8A95EFF73372E9FDFC9D7B2EA8441700C7E76EF';
wwv_flow_api.g_varchar2_table(107) := 'B66445D0EC753634B1DC663A87C694EBBA3D6DEF8BE17D2F37593E79B485131CDA77F5B1E61E4866CCA8DDB220684A205457271002000056C157BEE783931541CD99F4978CEA80244220941D9F1B97E91F8FFD70445CF8BDFBFF82CF05DA2037DDF7D45D';
wwv_flow_api.g_varchar2_table(108) := '1171B58DA67BEBC5C2F7904068A940E89E1B97CF9B035943C2203862F341D0543AD93D34B1DC663A87C694EBBA3D6DEF8BE17D2F37593E79B485131CDA77F5B1E61EC8DCF65144ECFEED2D0C82A60442757502210000E034CD82A0E9EF6EFDC9DFEA8024';
wwv_flow_api.g_varchar2_table(109) := '4220941D9F1BD7E97F21222EFEEEFD7FF15AB09126AB84F6DA686E897985EF2181507520F4C28DCBE7CF150A5961C22038423F370982CA13CB6DD24EB727EDDE1BC1C5ED725DB7A7ED7D31BCEFE526CB278FB6708243FBAE3ED6DC03690541FB04427575';
wwv_flow_api.g_varchar2_table(110) := '02210000E0347CE57B3E305B11D42110AA7EBC99B1911D9F1B171193D540BF7BFF5FB41A680BDC74DF5357DA68BEBFD359F81E12085507420FDCB87CFE52A19015250C8223F273C98AA0F2C4729BB4D3ED49BBF7467071BB5CD7ED697B5F0CEF7BB9C9F2';
wwv_flow_api.g_varchar2_table(111) := 'C9A32D9CE0D0BEAB8F35EE1C45B4BB7F4B10B44F20545727100200004ED22C089A5B11D42110AA7EBC99B1911DDF698FA28D0BBF7BFF5FB21A68CBDC74DF5317DA68AECC7F3E57E97B48205415088D22E2DC8DCBE705AA6BE4F3860A80613FBF77DB8526';
wwv_flow_api.g_varchar2_table(112) := 'B9355CF9D2DA24ED747BD24E3A87C694EBBA3D4DEF8BE17DD7FCB8481F5D5338C1A17D571FAB19AF08120475BDF1759FBDDE44EC4EFE7D2296F9374D7A16D634CB7C0FD6D674BF2987F673A8E3270FA6FE1CCBED8878EC0D1FF9D60BFD6E0000609B7DD5';
wwv_flow_api.g_varchar2_table(113) := '7B1E4D82A0C8FFB959F24B4653FD277011D174FBF2630BFB6BFAFD55E333E3A27A6CBFAFFAF166C64676FC7EFBE988D811046DA7971EBCE36A13EDEE24C4182B7C0F955E23FBDF5B9DD7E8F09F8CE6C7E56BB3AF87AA71F9FEA6F7FA1C3E6664C74DEDF7';
wwv_flow_api.g_varchar2_table(114) := '9F89888B85225694954170483FFFF46445D0E4A5547F896D9376BA3D69279D4363CA75DD9EB6F7C5F0BE6B7E6CA48FEE9856088D2262F76FBEFA970541055608D5D559210400001CA7F920A86AC54C582154FD783363A33FFE81DF7DDB5F764B2BE2A6FB';
wwv_flow_api.g_varchar2_table(115) := '9E3ADB46B31711B3CF112A7C0F955E235608C5B4D6EAA0356365101CC2B5A7E756044DAE8DF597D62669A7DB9376D23934A65CD7ED697A5F0CEFBBE6C745FAE88E61859020A882154275755608010000C7E5ABDEDB5D1154B56226AC10AA7EBC99B1311B';
wwv_flow_api.g_varchar2_table(116) := '3F8A88DB05414CBDF4E01D2F4E56087D78BFB3F03D547A8D582114D35AAB83D68C95417040D79E2E7C46509BB4D3EDBDBE3669A7DB9376D23934A65CD7ED49CF3F2AF65DF363237D7447B442681411BB7F431054CD0AA1BABA635A21F4030FDFF9CC957E';
wwv_flow_api.g_varchar2_table(117) := '370000B0E9BEEABD577662BC0AE14CFACB42D58A99B042A8FAF1F6C73E171177FDCEDBFECAF301195F70DF27AF46C4DDFB1D99EFBFB181EFE9CE6B74F84F47376C8590D5416BC4CA2038800F274150CC5F269BA49D6EEFF535493BDD9EB493CEA131E5BA';
wwv_flow_api.g_varchar2_table(118) := '6E4F7AFE51B1EF9A1F17E9A33B82154282A003B042A8AEEE985608BDFF0D1FF956B78B0300802D330E82622FA21DFF515EF2CB42D58A99B042A8FAF176C73E1E11BB822016F95F0FDE7E61F2BD3296F9FE1B1BF89EEEBC4687FF6474C35608591DB446AC';
wwv_flow_api.g_varchar2_table(119) := '0C8225CD07410B2F976DD24EB7F7FADAA49D6E4FDA49E7D098725DB7273DFFA8D877CD8F8DF4D11D7085D0A815041D8A15427575C7B442E8F187EF7CC66DE30000600BCC82A0D9EF5EFB33B8C92F0B552B66C20AA1EAC7DBC60FFCCEDBBED7DD19A8F605';
wwv_flow_api.g_varchar2_table(120) := 'F77DB2FB47DF99EFBFB181EFE9CE6B74F84F47376885D028A2B13A680D5819044BF8B7C98AA08597C9265F531ED324ED747BD24E3A87C694EBBA3DE9F947C5BE6B7E5CA48FEE002B84AC083A025608D5D51DD30AA1BBAD10020080CDF755EF7DFF4E449B';
wwv_flow_api.g_varchar2_table(121) := '0441319BF14D7E59A85A31135608553CDE5144DC2E086259FFEBC1DBAF46C43DFB1D99EFBFB181EFE9CE6B74F84F46376885D09988D6EAA035200C824AD320A862C277D6D7E46BCA639AA49D6E4FDABD37828BDBE5BA6E4F7AFE51B1EFE526CB278FB670';
wwv_flow_api.g_varchar2_table(122) := '829971A388D8FDEB82A0232110AAAB1308010000CB1A0741D315410B2657935F16AA021281D0A2C7FB4244ECFECE5BBF77AF50000B0984F23575E322DC2A6E3D0883A0C2BF7B7A77E18AA08593C44DBEA63CA649DAE9F6A4DD7B23B8B85DAEEBF6A4E71F';
wwv_flow_api.g_varchar2_table(123) := '15FB5E6EB27CF2680B2738D72D083A0602A1BA3A8110000050EBABDFFBBE9DA6B7224820740281D07311B1F33B6FFD5EF3061C8A40285F53372ECEBCECDEFFE8D6F82B4E180403A64150312C29B43B7D4DBEA63CA649DAE9F6A4DD7B23B8B85DAE2B3CC6';
wwv_flow_api.g_varchar2_table(124) := 'B9EEA17D2F37593E79B485139CAE08FA6B82A0632110AAAB130801000043BEFABDEFDB5F11D40F2B0442C718087D78BC22E86E9F55C2919804428FEE7764BEFFC604429940E852AF8895D2B4A54F71077A2B8222A2F751F24B5D2EDB7C4D794C9BB4D3ED';
wwv_flow_api.g_varchar2_table(125) := '493BE91C1A53AE2B3CC6B9EEA17DD7FCD8481F5D72391A45C4EE5F15041DBB879EB875A78DD88B76F6D76BCB3D7FB39E8535ED32DF83B535DD6FCAA1FD1CEAF8C983A93FC7723B221E7FF8CE67FCE50C0000ACB1AF7EE8F24E44D3F99D2A22661F0EBF6F';
wwv_flow_api.g_varchar2_table(126) := 'C19F9625BF2CF4C746667CFF03E4F3E3227FECE483E0EB8E3991F910F9AAF1F90F9FAF1CDBEB7BFCB7DF7AC1EF531C8B2FB8EF935723E2EEFD8EFEF7DFC4C0F774E7353A7C4DC88FCBD7A67D6DE69A507C0DE78EDD7B7D0E1F33FAE36EBF71F95BDCAE71';
wwv_flow_api.g_varchar2_table(127) := '4559190405FF3E1304454479F54CA1DDE96BF235E5314DD24EB727EDA473684CB9AEF018E7BA87F65DF3E3227D74732B30044127C80AA1BA3A2B84000080D438088ABD88F64CFA86DF0AA1E88F3FBA15428F0A82384EFFEBC1DB2F44C4E3FB1DDDEFBF39';
wwv_flow_api.g_varchar2_table(128) := '03DFD39DD7E8F03561035608591DB4C2844190F1EF3FB57B219A78AC3C71DCDD5231E13BEB6BF235E5314DD24EB727EDDE1BC1C5ED725DE131CE750FED7BE1BF43AF3D79B48D20E8340884EAEA04420000C0D42C089AAE08AA09670442471008DDF3DB6F';
wwv_flow_api.g_varchar2_table(129) := 'BDE0C3EA39764DB417279F4935EDA80E4862FE7BBAF31A1DBE26AC792074DBCBEEFD8FE77A05AC046110247EE153732B82164E5C77B7544CF8CEFA9A7C4D794C93B4D3ED49BBF7467071BB5C57788C73DD43FB5EF8EFD06B3782A0532410AAAB13080100';
wwv_flow_api.g_varchar2_table(130) := '005FFDD0234910345513CE08840E1108DDF3DB6FBDC7EF4E9C88971EBCE3C526DADD887861BFB389EA8024E6BFA73BAFD1E16BC29A0742C2DA15E5338360CE7C10D479652CFCAC93EE96A52E976DBEA63CA64DDAE9F6A49D740E8D29D7151EE35CF7D0BE';
wwv_flow_api.g_varchar2_table(131) := '2B7E6C8CDA88DD7BEEF82541D029F3194275753E43080000B65337085AF0A766BDDFC92BFE4C6CDA37383632E36B8E39579B5AFDCF10BAE7B7DF2208E2E4DD74DF533B6D34DDF0B78DC5AFE1C4967D86D02822CEDDB8FC2D2F6606708AAC0C82898F7CAA';
wwv_flow_api.g_varchar2_table(132) := 'FB19419D4B991542F9ED73DD43FB1EF871310A41D0CAB042A8AECE0A210000D83EFD15410BFEC4ACF73B79C59F874DFB06C746667CCD31E76A53ABBB4268141182204ECD4B0FDE71BD89B6FB879B4D2C7E0D27B66C85D09988B82B53CC291306C15C1074';
wwv_flow_api.g_varchar2_table(133) := 'F089EBEE968A09DF595F93AF298F699276BA3D69F7DE082E6E97EB0A8F71AE7B68DF85C7348A88DD0B82A0952210AAAB13080100C0F6F89A871EDE69A2CDDF1A2EAB269C11080D0442A388D8FDEDB7FC55BF2371AA5E7AF08E6B4DB40F743A9BA80E4862';
wwv_flow_api.g_varchar2_table(134) := 'FEF5D0798D0E5F13D6341072ABB815E436716CBD7445500C5D86DD322EBF7DAE7B68DF73ED5144ECDE2D085A596E195757E796710000B0D9BEE6E18777A29DAD08AABA05DA7C7FEF77F28A3F139BF60D8E8DCCF89A63CED5A656E39671A388D8FD7FDFF2';
wwv_flow_api.g_varchar2_table(135) := 'D7CC19B0326EBAEFA9BD369ADB3A9D6D2C7E0D27B6E896715FF7B947FEE0F399424E8995416CB55FFCD4EE8526098262E8F26B85507EFB5CF7D0BE276D41D01A98AC10BA6BD1F39BEBEBD7582134B49FCC182B84000060057CCDC30F8D6F0DD7CCFE48AE';
wwv_flow_api.g_varchar2_table(136) := '6AC5CB7C7FEF77F28A3F0F9BF60D8E8DCCF89A63CED5A64E7F8590208855755713ED28E635B1F8359CD8A215425607AD1861105BEB173FB5BB3B5D11B4F4C4AD4028BF7DAE7B60DFA34610B436DEF8BACFEE3511F72C7A7E737DFD1A81D0D07E32630442';
wwv_flow_api.g_varchar2_table(137) := '0000708AF683A068C74150E7578CAAC9D0597FEF77F225265707C746667CCD31E76A53A71708098258592F3D78C78B9340A8BBA189DA802462FEF5D0798D0E5F13D62C10F2B9412B4618C456FAE8A776779A886BF37D4B4FDC0A84F2DB3B6F8CBB26ED51';
wwv_flow_api.g_varchar2_table(138) := '44EC7EAF2068ADBCF1759FBD2A101AAE13080100C0E6F89A87DF3B0982A62B82FA93B05501C77C7FEF77F225265707C746667CCD31E76A53271F088DA2690541ACB4971EBC632F221E1508E56BE6FA6EFEFCD7FFBA4068850883D83A1FFDD4EEFE9BB98A';
wwv_flow_api.g_varchar2_table(139) := '49D8434C5C77B72C75AC265F531ED324ED747BD2EEBD115CDC2ED7151E63E78D71C7A81104AD2D81505D9D40080000D6DF2C086ACF448740A8EE9813CB0542E315416FFEEBE60C58792F3D78C7C588784E2094AF99EB1306AD1061105BE5639FBA7DA7E9';
wwv_flow_api.g_varchar2_table(140) := 'FC554FD524EC2126AEBB5B963A5693AF298F699276BA3D69F7DE082E6E97EB0A8FB1F3C63862FAA6EEAF0882D69A40A8AE4E20040000EBABB822689F40A8EE98137581D028A21504B16E2E44EEFBB989A180A463C303A1BB3EFFF5BF7E36B39153200C62';
wwv_flow_api.g_varchar2_table(141) := '6B7CEC53B74FDECC35832B82969EB81508E5B7CFBA478D2068630884EAEA04420000B07EBEF6E1F7EC34D176FE88744C20748C81D06445D0DF3067C05A79E9C13BAE47C403917B3D345115CA4C6D702074C6EAA0D5210C622B3CF14BB7EF4433FF573D03';
wwv_flow_api.g_varchar2_table(142) := '93D0A5C9DD456D81507E7B337E53F79705411B452054572710020080F5F1B58FBC677FEEA02EE81008D51D73221F080982586B2F3D78C7A588782172AF8726AA4299A90D0E8484412B4218C4C67BE297C62B829A8833E92CF3D0A4EBD213B702A174BB20';
wwv_flow_api.g_varchar2_table(143) := '68830984EAEA04420000B0FABEF691F7CC6E0D3779035E17740884EA8E39D11D2B0862535C987E2110CAD67CF7E7BFFE3FB855DC0A1006B1D19EFCA5DB3BF7F96D22BD280A84F6DBBD37828BDBE5BAFD9E711074BB2068930984EAEA04420000B0BABEF6';
wwv_flow_api.g_varchar2_table(144) := '91077722BD355C33FDCFF044AA40A8F69813B3B1177EEBCD7FD39C016BEFA507EFD88B88C7A76D8150B6C6EAA015200C62633D39BF22684E13E9455120B4DFEEBD115CDC2ED735A388D8FD4B82A0AD2010AAAB13080100C0EA190741D33F22CD4DE04665';
wwv_flow_api.g_varchar2_table(145) := 'D02110AA3BE644D3DEF35B6FFE9BD7F21B611DB517277F181D917B3D345115CA4C6D6020B41B9C3A61101BE9E3B91541739A5EA74068BFDD7B23B8B89DE917046D2181505D9D4008000056C7D73EF2EECEDCC19840E80402A17B7EEB4D7FCBEF306C9497';
wwv_flow_api.g_varchar2_table(146) := '1E7CF58B11ED95F93E8150A7C6CAA015D0B46DE9C984F5341F040D5D1EDB5E673B78491DBE6CF676B9E092D9DDB2D4B1DA7C4D794C9BB4D3ED493BE91C1A33316A2376FFE2ED9F12046DA9879EB8F5421BF1D8FC37C8D2AF9949CFC15F578BDBE59AEE49';
wwv_flow_api.g_varchar2_table(147) := '0FEDE750C74F1E4CFD3996DB11F1F8C3773E732100008041DD20A8E2CFB4DAE97F2A6AA7EDCEAF1835E3E6FA7BBF9357FC9958E6B8517DEC9A63CED5A6DA6EDF82630A82D86837DDF789E7239A9BE7FB7AAF873616BF8613FBE33BAFD1E16B427E5CBE36';
wwv_flow_api.g_varchar2_table(148) := 'ED6B33D78485D7AC44DB66CFEFF6CF3DF287F67AC59C182B83D828552B82D276A7D30AA1FD76D2393466BA224810B4DDAC10AAABB3420800004ECFCD8FBC2B591154F1E759CDF43F15B5D376E7578C9A7173FDBDDFC92BFE3C2C73DCA83E76CD31E76A53';
wwv_flow_api.g_varchar2_table(149) := '752B8404416C834BE96BC40AA1FD1AAB834E9930888DF18924089A1A9A406D7A9D02A1FD76EF8D60B13D8A88DDBF20084220545D27100200809377F3E577ED44137B4DB49DB9839AC9D1E91BF0EA7025D25F316AC6CDF5F77E271F9EFC5DE140E89EDF7A';
wwv_flow_api.g_varchar2_table(150) := 'D3DFF6BB0A1BEFA5075F7D35225E100865032161D0291306B111A64150930441534313A84DAF5320B4DFEEBD11ECB50541F40884EAEA0442000070726EBE3CB722A889E5C295A9FDDFC12B6A0542D3B18220B6CDC5F17F0442492074F3E7BFFED7CEF58A';
wwv_flow_api.g_varchar2_table(151) := '3831C220D6DE5303B7869B1A9A406D7A9D02A1FD76EF8DE03E41104502A1BA3A811000001CBF9B2FBF7327A2EDDE4D4420D4AD9D6F578D8B9A404810C4D679E9C1575F8B88A7C72D81501208EDF60A3831C220D6DA53851541079D986D7A9D02A1FD76EF';
wwv_flow_api.g_varchar2_table(152) := '8DE03808FAF38220161008D5D509840000E0F8DC7CF99D6723E2EA3808EA4FC42E15AE4CEDFF0E5E51BBBD81D03DBFF9A6BFE37712B6D5DCF7BE40682E1072ABB853240C626D7D726045D04127669B5EA74068BF3DEB1404514D2054572710020080A337';
wwv_flow_api.g_varchar2_table(153) := '0982F622E29659AF40A8EED835C79CABED1204B1D5669F1D3425109A044256069D2261106BE993BF7CFBE4031F17AF083AE8C46CD3EB1408EDB79B7110F4E704412C412054572710020080A373F3E5779C9DDC1A6E2E089A1208D51DBBE69873B563F7FC';
wwv_flow_api.g_varchar2_table(154) := 'E67D7FD7EF201071A9DB1408354D7BE6F35FFF6B3BD9728E9D3088B5F3C95FBE23F9C0C7AEA1766D5DD3EB140845C4A81104714002A1BA3A811000001CDE38089AAE08AA9CA81408756BE7DB55E322225A41104C4C56078DBABD02A1A669AD0E3A25C220';
wwv_flow_api.g_varchar2_table(155) := 'D6CADE2FDFB1D344EC4534C9073E760DB56BEB9A5EE7560742A388D8FDB3BB82200E4E2054572710020080833BF7BEB70FDF1AAED42F10EAD6CEB787C7DDF39BF7FD3DBF7340D7957ED7D60742C2A053220C626DECCDAD083AC989D9A6D7B99581D0A811';
wwv_flow_api.g_varchar2_table(156) := '047144044275750221000058DE34086A9A76F8D670A57E8150B776BE5D1E270882ACB6F0BAD8EA40C86DE24E893088B5F0F4FE8AA0D967049DE4C46CD3EBDCAA40681411BB7F4610C4111208D5D509840000A0DEB9F73DD0591134F9B0F244D544E5E4BD';
wwv_flow_api.g_varchar2_table(157) := 'FEF044AA4028A289561004052F3DF89AE723DAC7F35BB73610BAF9F7BDE1997385228E91308895F7746F45D0CC494ECC36BDCEAD0884468D2088632210AAAB13080100C0B05910D45D1124108AE30E84EEF98DFBFEBEDF2D609126AED55E77B62810B23A';
wwv_flow_api.g_varchar2_table(158) := 'E814088358699F2AAE089A39C989D9A6D7B9D181D0282276FFB42088633409841E485EC23DC3DFB702A1A1FD64C608840000D808E98AA0DE44A540E8B8022141105478E9DDAFB9164DBC507BDDD992404818740A8441ACAC4F0DAE084ADB273331DBF43A';
wwv_flow_api.g_varchar2_table(159) := '3732101A3582204EC81B5FF7D94B4DC4E3C94BB867F8FB562034B49FCC18811000006BEDDCFB2E9D8D68E782A02981D052E73C3836D2F1F7FCC60F0A826009D7C6AFB3BAEBCE160442BB850D1C2361102BE997AA5704A5ED9399986D7A9D1B15088D2262';
wwv_flow_api.g_varchar2_table(160) := 'F74FED3E2D08E2C4BCF1759FBD20101AAE13080100C0CC38089AAE08AA98A814081D552074CF6FFCE03FF03B042CE74AC4F4755677DDD9F040C8CAA053200C62E5FCD2D22B82D2F6C94CCC36BDCE8D088404419C1A81505D9D40080000D22068AA62A252';
wwv_flow_api.g_varchar2_table(161) := '2074148190BFE88725BDF4EED73C1F11CF454C5F6775D79D0D0E84CEFCBE37FCEAB9B493E3250C62A5FCF25C1034ED1B9AC43CCD89D9A6D7B9D681902088532710AAAB13080100B0CDBEEEFDF79F6D9ADCADE1A26EA2522074D840E8EEAF7CCF07FCEE00';
wwv_flow_api.g_varchar2_table(162) := 'CB9BBD6E9AA8BEEE6C70206475D0091306B1327EF9D3E320A8990B82A68626314F7362B6E975AE6520348A88DD3F290862050884EAEA044200006CA3AF7BFFFDFB2B82F2A14ED44D540A84044270C29A68AF251DD5D79D0D0D848441274C18C44AF8F424';
wwv_flow_api.g_varchar2_table(163) := '088A661C041DC5A4E6494ECC36BDCEB50A840441AC1C81505D9D400800806DF275EF7F5BEFD67002A1587CCEC91BFEA5CE7970AC400896F13FDFFDDAE79B685FE87436517DDDD9C040481874C284419CBA4FA72B82F6DF18F50D4D629EE6C46CD3EB5C8B';
wwv_flow_api.g_varchar2_table(164) := '40681411BBDF230862050984EAEA044200006C835910D4F66E0D27108AC5E79CBCE15FEA9C07C70A846049D7EA439D7E7FFDD8B508847C66D009130671AA3EF3E9EE6704ED5F179ACE7F3A8626314F7362B6E975AE7420340E826E1304B1BA0442757502';
wwv_flow_api.g_varchar2_table(165) := '21000036597F455066A25220241082F5B017B9D75113D5D79DFAB12B1F08653EF78DE3D4B4B199300B00002000494441546DE99B0C8ED7673EFDEA9D88762F22CE142F376DD2CED52CD59EEB6D6BC7F40DD5B5BDCEB66ECC323599F39F6DEA6EC9EC6714';
wwv_flow_api.g_varchar2_table(166) := '11BB77098258130F3D71EBD536E2EEE425DC33FCBA1A782D2E7C5D2D6E976B4EE6BA1311D1FD91DE7FAC51B19FCC98C71FBEF3990BFD6E0000387E5FF7FEB74E82A0263369D8FF93A6B6ADFD33AB7E5F7E6CE5FEDA88B6E64FAE32E3C6FFA9A89DB63BBF';
wwv_flow_api.g_varchar2_table(167) := '62D48C9BEB4FDEF02F75CE8363E3F1DFF8C1EFF3BB030C78F99B9EDC7F35F55E476D545F77EAC7E6F7D7665FDBC3D784FCB87C6DF69CBBE3BEEE7F3FFCCAE78313616510A7621C04C55E4493FD8CA026F962F85252DB9EEB3DC6BFD46F7A9D2BB54268D4';
wwv_flow_api.g_varchar2_table(168) := '088258335608D5D559210400C026990541714BE1CFA17A3D5608C5E2734EDEF02F75CE8363AD10824A4F4FBFA85FE5D3EFAF1F9BDFDF8AAC1072ABB813240CE2C47D763F089A7C46507FBAB4DB6E9276AE66A9F6C94CCC36BDCE9508844611B1FBDD8220';
wwv_flow_api.g_varchar2_table(169) := 'D69040A8AE4E200400C026F8FA2B6F39DB34EDDCADE1A26AA2314220D4A9CBF5276FF8973AE7C1B10221A8B037DFA80F75FAFDF563573610DAC90CE09808833851D320A8D90F82A67AD3A5DD7693B473354BB54F6662B6E9759E6A20346A0441AC398150';
wwv_flow_api.g_varchar2_table(170) := '5D9D4008008075F6F557DEB2BF22A81FCE0C4F344608843A75B9FEE40DFF52E73C385620048BB59D302872AFA326AAAF3BF563F3FB3BE540E86CA69863220CE2C4FC4AB2222837399BEB6F922F8E6252F32427669B5EE7A90442A388D8FD138220368040';
wwv_flow_api.g_varchar2_table(171) := 'A8AE4E200400C03A9A0F82A67D02A14CAD4008D6D6FF7CF7EBF616862BB38EEAEB4EFDD8FCFE4E3110B232E80409833811BF525811949B9CCDF537C9174731A9799213B34DAFF34403A151138D20888D2210AAAB13080100B04EBEFECA9BCF4EFE627EEE';
wwv_flow_api.g_varchar2_table(172) := 'D6706302A14C6D6612B66EDC5C7FF2867FA9731E1C2B1082059E13084534D15A19748284411CBB5F1D5811949B9C5D58D724ED5CCD52ED9399986D7A9D2712088D2262F78FDFB6270862E30884EAEA04420000AC837110345D115498A81408098460734C';
wwv_flow_api.g_varchar2_table(173) := '6E15B7205C9975545F77EAC716AEB3D9D7F6F035E11081909541274818C4B1FAD5CA1541B9C9D985754DD2CED52CD53E9989D9A6D779AC819020888D2710AAAB13080100B0CABEFECA9B7AB78613084DFF53519B9984AD1B37D79FBCE15FEA9C07C70A84';
wwv_flow_api.g_varchar2_table(174) := '20E3F9D9970BC2955947F575A77E6CE13A9B7D6D0F5F130E1808259F2BCF711206716C9EF9CC722B827293B30BEB9AA49DAB59AA7D3213B34DAFF35802A1512308624B0884EAEA04420000ACA25910D4F66E0D27109AFEA7A23633095B376EAE3F79C3BF';
wwv_flow_api.g_varchar2_table(175) := 'D4390F8E150841579BCCD92D0857661DD5D79DFAB185EB6CF6B53D7C4D384820F4FBDFF859AB834E88308863310D829A66B91541B9C9D985754DD2CED52CD53E9989D9A6D779A481D0282276FF9820882D2210AAAB13080100B04ABEFED17445D0121395';
wwv_flow_api.g_varchar2_table(176) := '02218110ACB1FFF9EE3FBCB754B832EBA8BEEED48F2D5C67B3AFED25CEB93781503CB6CF0D3A21C2208E5C6F4550EFCDC072ED694FB1AE49DAB99AA5DA273331DBF43A8F24101A3511BB7FECBB04416C1F81505D9D4008008055F00D8FDE77B689762F9A';
wwv_flow_api.g_varchar2_table(177) := '4856042D315129101208C17A7B61A97065D6517DDDA91F5BB8CE665FDB4B9C736F02217BEC73994E8E81308823F56B9F79F54E3317044D098416B43B9D870A844611B1FB4705416C3181505D9D40080080D3F40D8FDEB7BF22A8C9840F4B4D540A840442';
wwv_flow_api.g_varchar2_table(178) := 'B0AE9AE9E7060DBFBEEA439D7E7FFDD8C27536FBDA5EE29C87AFF1C2A013220CE2C8FCDADC8AA0E1C9C7E189C5DCE4ECC2BA2669E76A966A77DE35558EE91BAA6B7A9D070A84468D2008226681D087939770CFF0EB4A2034B49FCC18811000000B7DC3A3';
wwv_flow_api.g_varchar2_table(179) := '3F7836A29DBB355C8440285393EB6BA6FFA9A8CD4CC2D68D9BEB4F9E93A5CE7970AC400822E2FAECB532FCFAAA0F75FAFDF5630BD7D9EC6B7B8973AEBAC673DC84411C89FF905911343CF9383CB1D8DF476FBAB4DB6E9276AE66A976E75D53E598BEA1BA';
wwv_flow_api.g_varchar2_table(180) := 'A6D7B95420348A88DD3B05411011110F3D71EB4E44ECA6AFAB835C17065F8B02A1DC188110000059E32068FA19419989CADE9BCB25262A05420221583F2F46CCBF56865F5FF5A14EBFBF7E6CE13A9B7D6D2F71CEE56BFC6EBA85E3210CE2D0FEC3675E53';
wwv_flow_api.g_varchar2_table(181) := '5C11343CF9383CB1D8DF476FBAB4DB6E9276AE66A976E75D53E598BEA1BAA6D7591508098260CEC3E32068F69965D17DE11CE4BA30F85A1408E5C608840000E8E80641539989CADE9BCB25262A05420221582FB3F9BCFDD7CAF0EBAB3ED4E9F7D78F2D5C';
wwv_flow_api.g_varchar2_table(182) := '67B3AFED25CEB9EA1ACF7111067128BFFE99D74C560435C51541C3938FC363FAFBE84D9776DB4DD2CED52CD5EEBC6BAA1CD33754D7F43A174E420B8260CE34086AD2CF2C8BEE0BE720D78581D762F6BA90AD5BEAF82773DD891008010070BCBEE1D17FD4';
wwv_flow_api.g_varchar2_table(183) := 'BB35DC4C66A2B2F7E67289894A81904008D64413ED8B49C7C4F0EBAB3ED4E9F7D78F2D5C67B3AFED25CEB97F8DF79941274418C481FD7A6F45D0EC955C314928105AD4EE746627A14711B1FB7F098220A2B422684EFABA3AC875A1F05AEC340EFABA2FD7';
wwv_flow_api.g_varchar2_table(184) := '9CCC752742200400C0F1180741F95BC3CD64262A7B6F2E9798A814080984603DBC980F6662B97065D6517DDDA91F5BB8CE665FDB4B9C73F79A7073AF9063210CE240FEE35C1034ED4B272E2B260905428BDA9DCECEC4AC2008E63CF2C4ADBDCF2C8B8AD7';
wwv_flow_api.g_varchar2_table(185) := 'D541AE0B21101ADC4F668C400800604B7DE307DE78369AC5B7862BF50B843235B9BE66FA9F8ADACC246CDDB8B9FEE43959EA9C07C70A84D82EFFE35D7FE47AE45E0BFBAF95E1D7577DA8D3EFAF1F5BB8CE665FDB4B9C7369028363230C6269D32028BD15';
wwv_flow_api.g_varchar2_table(186) := '53ECBF869BA49D6E4FFA7A6F06966BF78F9AD435493B57B354BBF3AEA9724CDF505DD3EB6C62BA22E88F08822022221E79E2DB77229AEC679645C5EBAA7A4CD2B3B04620941B23100200D832DFF881379E1DCF1DB4B7F4DF202E31515935B63051291012';
wwv_flow_api.g_varchar2_table(187) := '08C19AD8F640E8F7BFF1D3BBBD228E9C3088A53CFBD9D72CBC15D3ACAF49DAE9F6A4AFF76660B976FFA8495D93B473354BB53BEF9A2AC7F40DD535DDCE514423088289CB4F7CFBDC8AA0FC3520D797BCAEEAC7243D0B6B0442B931022100802D310D82A6';
wwv_flow_api.g_varchar2_table(188) := '2B82EA439D7E7FFDD8C244A5404820046B62DB03218E9F30886AD320A86916DF8A69D6D724ED747BD2D77B33B05CBB7FD4A4AE49DAB99AA5DA9D774D9563FA86EA9AF1FF8D2262F70F7FD7270541300982BA9F5916C56B40AEAF493AABC7243D0B6B0442';
wwv_flow_api.g_varchar2_table(189) := 'B931022100800DF78D1F78C3D98836B9355C2C11EAF4FBEBC716262A05420221585D2FCC37B638103AD7DBC891130651E57ABA22A8F743BB2F9DB8AC98241CDCEF50BB7FD4A4AE49DAB99AA5DA9D774D9563FA06EA468D2008F6BDAFB322682CBDD254BF';
wwv_flow_api.g_varchar2_table(190) := 'C69BA49DAB59D00E81D0E07E3263044200001B6A1C044D57041526FD7A6F109798A8AC1A5B98A8140809846025B5CFA73D5B1A0809834E80308841D32028FD8CA0A1E066D6D724ED747BD237B0DFA176FFA8495D93B473354BB53BEF9A2AC7F415EA4611';
wwv_flow_api.g_varchar2_table(191) := 'B1FBBAEF1404414C82A0FE8AA0B1F44A53FD1A6F9276AE66413B044283FBC98C110801006C986FFCC0EB332B820A937EBD37884B4C54568D2D4C540A840442B0928A01C97C47A1B6766CDD75A77E6CE13A9B7D6D1FE09C3916C220167A6EE0338286829B';
wwv_flow_api.g_varchar2_table(192) := '595F93B4D3ED49DFC07E87DAFDA326754DD2CED52CD5EEBC6BAA1CD397F48F1A4110EC9B0F82A67DE5D756FE1A90EB6B92CEEA3149CFC21A81506E8C40080060438C83A0D28AA0C2A45FEF0DE212139555630B139502218110ACA48A8064FFB532FCFAAA';
wwv_flow_api.g_varchar2_table(193) := '0F75FAFDF5630BD7D9EC6B7BF09C77D30E8E9E3088A2E74A2B8292BAA1E066D6D724ED747BD237B0DFA176FFA8495D93B473354BB53BEF9A2AC7F44DFA4711B1FB5A41104444C4FB9FFCF69DA6E9064153E5D756FE1A90EB6B92CEEA3149CFC21A81506E';
wwv_flow_api.g_varchar2_table(194) := '8C40080060CD7DE3075F7F369A1858115498A8ECBD415C62A2B26A6C61A252202410829554B856763B0AB5B563EBAE3BF5630BD7D9EC6B7BF89C395EC220B2065704A5EDDE0FEDBE74E272689F51B1DFA176FFA8495D93B473354BB53BEF9A2AC7F48C1A';
wwv_flow_api.g_varchar2_table(195) := '4110EC7BFF9373B7862BBC68CAAFADFC3520D7D7249DD563929E853502A1DC18811000C09AFAA60FDE7BB699DE1AAEF7466F78D2AF3ED4E9F7D78F2D4C540A840442B0920AD7CA6E47A1B6766CDD75A77E6CE13A9B7D6D17CF79273876C2207AFE531204';
wwv_flow_api.g_varchar2_table(196) := '4D0D4DE80D0537B3BE2669A7DB93BE81FD0EB5FB474DEA9AA49DAB59AADD79D7543966DF2822765F2308828888B8F2E4B7EF34E9ADE1722FD685AFADFC3520D7D7249DD563929E853502A1DC18811000C09AF9A60FDEBB7F6BB8FC845FD44F540E8ECBF7';
wwv_flow_api.g_varchar2_table(197) := 'D78F2D4C540A84044270DA2AAF095B1008F5EE04C3D11306D1F19F0AB7869B1A9AD01B0A6E667D4DD24EB7277D03FB1D6AF78F9AD435493B57B354BBF3AEA9728C2008E65D995F11946C1308E5DA07BAEEF4D4D409840000B6DB377DF01FCE7D46D09840';
wwv_flow_api.g_varchar2_table(198) := '686A78BC4028044230AFF29AB0058110C74C18C4BEFFFBB3AF5D786BB8A9A109BDA1E066D6D724ED747BD237B0DFA176FFA8495D93B473354BB53BEF9A86C68C1A4110EC7B742E089AF60D5D6B8A75C957D5AFF12669E76A16B4432034B89FCC18811000';
wwv_flow_api.g_varchar2_table(199) := 'C08A9B0541EDDC67048D0984A686C70B84422004F32AAF099B1D0871DC844144CC05414D340B6F0D57EAEFB57B3FB4FBD289CBA17D46C57E87DAFDA326754DD2CED52CD5EEBC6B2A8D1945C4EEAB054110311704E556280E5D6B8A75C957D5AFF12669E7';
wwv_flow_api.g_varchar2_table(200) := '6A16B4432034B89FCC18811000C08AEAAF085A30D9D87BA357395139382EDF5F3FB6305129101208C1E9987D564EE5354120C441098388FFDC5B11D4FD697BD089C2A1E066D6D724ED747BD237B0DFA176FFA8495D93B473354BB53BEF9AD29A51230882';
wwv_flow_api.g_varchar2_table(201) := '7D1F48560455BD0E0B17A9F2EB337F0DC8F5354967F598A467618D40283746200400B062BEE9833F7036A2EDDC1A6E6CC16463EF8D5EE544E5E0B87C7FFDD8C244A54048200427AC89B6FB87B095D704811007210CDA72FFF9575E9BFD0B7C8150D2CED5';
wwv_flow_api.g_varchar2_table(202) := '2CD5EEBC6B9AB64611B17B87200822E682A0FEF5A86FE85A53AC4BBEAADA77D2593D26E959582310CA8D11080100AC886FFAD00FCCAD08AA9BF413084D0D8F1F08844693FFA5FD6302A11008B1EEFA014BDDEB6BC302A1E7B2C51C2961D0169B0641D1E4';
wwv_flow_api.g_varchar2_table(203) := 'FF025F2094B473354BB53BEF9A468D2008F67DF0C9EF58B822A8EA7558B84895F795BF06E4FA9AA4B37A4CD2B3B04620941B231002003865FB415033BF22A86ED24F2034353CBE10088D226277F23F81D01C81109B4620142F660B3952C2A02DF55F7EE5';
wwv_flow_api.g_varchar2_table(204) := 'B53BCDFC87B3EFBF01E8120825ED5CCD52ED26A62B826E170441C45C1034F4996555AFC3C245AABCAFFC3520D7D7249DD563929E853502A1DC18811000C029F9E60F5D3CDBCCDF1AAEF366AD6ED24F2034353C3E193B8A88DD17EE7DCBF517EE7DCB7581';
wwv_flow_api.g_varchar2_table(205) := '50FF7B4820C4BA3BF3965FD89D6F0B84386EC2A02DF45F7E65F61941E92464645E7F02A1A49DABA96F8F229ADDDB5F250882C8AE085A7CBDA97A1D162E52E57DE5AF01B9BE26E9AC1E93F42CAC1108E5C6088400004ED8377FE8E2FEADE13A137E9D376B';
wwv_flow_api.g_varchar2_table(206) := '75937E02A1A9E1F193B19320E8ADFB730702A1FCF79040884D2310E2380983B6CC7F4D5704A5AFB5A6F39FB9EE6ECF41270A87829B595F93B4D3ED49DFC07E87DAFDA32675857F975CDF82F67845D0AB9E120441447CE8C9EFE85D8FA2E27A53F53A2C5C';
wwv_flow_api.g_varchar2_table(207) := 'A4CAFBCA5F03727D4DD2593D26E959582310CA8D110801009C906FFED0F79F8DF9154111DD09BFCE9BB5BA493F81D0D4E0F851D3B49D20684A2094FF1E1208B1BEDA9D5CEFD606421C3B61D016F9AFA51541E9CFD1A6F39FB9EE6ECF41270A87829B595F';
wwv_flow_api.g_varchar2_table(208) := '93B4D3ED49DFC07E87DAFDA32675857F975C5FA63D8A88DD5D41104444C4873EFE1D3BD1E4AF475171BDA97A1D162E52E57DE5AF01B9BE26E9AC1E93F42CAC1108E5C6088400008ED938088A4910B460C2AFF366AD6ED24F2034551C3F8A88DDE7FFE1DB';
wwv_flow_api.g_varchar2_table(209) := '8A730702A1FCF79040883575B63A20D9FC40682FBB8123250CDA12FFCFD08AA0B4DD74FE33D7DDED39E844E1507033EB6B9276BA3DE91BD8EF50BB7FD4A4AEF0EF92EB9B6B0B8260CE3FFEF8DC8AA085AFA9C5D79BAAD761E12255DE57FE1A90EB6B92CE';
wwv_flow_api.g_varchar2_table(210) := 'EA3149CFC21A81506E8C400800E0987CF387BE6F2E089A5A30E1D779B35637E927109AEAF58F22DA8541D0944028FF3D2410620D4D5606150392A4A3EEF5B5AE8110C74F18F4FFB3F766F1921CD5BDEE8A77CED5B6C1E38B64C0600C421B040809892E26';
wwv_flow_api.g_varchar2_table(211) := '81FB1C8CF02C2675033616A33018B00D6840802F181083008140BD41A0013002EEC5F7CA80B66C6C8CB0EE51DB0F78B6F074CEF1803B81F39CF7A12A2B33225664ACCC9AB2B2BEEFF7936AAFC8B53222BB3256ECBDFE15593BC037AD3B8242DB792F8D66';
wwv_flow_api.g_varchar2_table(212) := 'BFA56FA13027DCD46D2EB0C3E3415BE6BC393BEE35F04BFCBB686DD58EA02308410022332128CA47AD73AA3DDF98E6612249A5CFA5E700ADCD058DE698A0A5D50741488B4110020000005832B510543684A08A96829FF7CB9AADE8872054316F9FED08BA';
wwv_flow_api.g_varchar2_table(213) := 'DC5C3B4010D2EF210421D832F6EA1F1379279A9FB6F98520041A884123E72FBAEE080A6DE7BD349AFD96BE85C29C7053B7B9C00E8F076D99F3E6ECB8D7C02FF1EF12B42104013478FF97E2EF08B2CDA9F67C939987533B91A4D2E7D27380D6E68246734C';
wwv_flow_api.g_varchar2_table(214) := 'D0D2EA8320A4C52008010000002C89075DFBF2BDD9639C674250BE708720D4E6A78C392D087516822A1084F47B084108B68823BE99C83BD1FCB4CDAF2D13843AE740E80E62D088F98BBE3B8242DB792F8D66BFA56FA13027DCD46D2EB0C3E3415BE6BC39';
wwv_flow_api.g_varchar2_table(215) := '3BEE35F04BFCBBCCDA0A11993C1E21084064260465F351EB9C6ACF37E9BCD1B013492A7D2E3D07686D2E6834C7042DAD3E08425A0C8210000000C0823CF8DA97EDCDBEABE12CFF17AE6CE10E41A8D54F19735CC0ED2D04552008E9F71082100C9DD3DEF0';
wwv_flow_api.g_varchar2_table(216) := '8533ACA28E68F7B431768B04A153CA415832884123E52F1B4250D5962BAAE58A90BA8FDFD2B75098136EEA3617D8E1F1A02D73DE9C1DF71AF8E9FF2E0841000D9A4250D5D6714ECDDADAF34D3A6F34EC44924A9F4BCF015A9B0B1ACD31414BAB0F829016';
wwv_flow_api.g_varchar2_table(217) := '832004000000D093075FFBB2F97704E9C24CBED88820D4E6A78CB98E9B0941572C5C3B4010D2EF210421183867888859D411ED9E36C66E9120042B06316884FCE59F5CB82FE20E5DA3F05A912BAAE58A90BA8FDFD2B75098136EEA3617D8E1F1A02D73DE';
wwv_flow_api.g_varchar2_table(218) := '9C1DF71AF8F9FF2E85884C2E4008021011910F288F86AB30CEA9C0A73DDFA4F346C34E24A9F4B9F41CA0B5B9A0D11C13B4B4FA200869310842000000001D690A41551B8250EC936E5B48105A9A10548120A4DF430842306026F39F8CA28E68F7B43176E8';
wwv_flow_api.g_varchar2_table(219) := '82D0FFFEED238751232C1DC4A091F1575FBF707FF69CDFD39655640BEA76091FBFA56FA13027DCD46D2EB0C3E3415BE6BC393BEE35F09BFE5038842080391F6879345C45664E2572407BBE31E5BDC480D2E7D27380D6E68246734CD0D2EA8320A4C52008';
wwv_flow_api.g_varchar2_table(220) := '010000001879F0B52FDD93EAD170010842B14FBAAD9720B47421A8024148BF87108460A0EC7B9651D411ED9E36C60E5D1082D583183422FEEAEB17EE8BC87447D07C322FA7C816D4ED123E7E4BDF42614EB8A9DB5C6087C783B6CC797376DCABE7578893';
wwv_flow_api.g_varchar2_table(221) := 'C9F90841002222F241654750E79C90C83562C837A6BC971850FA5C7A0ED0DA5CD0688E095A5A7D1084B4180421000000800C5321A8DA119429347ABF70E58B8D08426D7EA55442D0DFBFF2CA95D50E1084F47B084108868693D2178344CCA28E68F7B431';
wwv_flow_api.g_varchar2_table(222) := '76A082D04981B580183412FE7A260455855727CDC9BC9C225B50B74BF8F82D7D0B8539E1A66E73811D1E0FDA32E7CDD971AF22D58EA0F31F87100420332128B523A8734E48E41A31E41B53DE4B0C287D2E3507A86D2E6834C7042DAD3E08425A0C821000';
wwv_flow_api.g_varchar2_table(223) := '00004082075FFB12654750A6D0E8FDC2952F36220825FD0A9172A542500582907E0F2108C150D87BC3E7F744E474753E18451DD1EE6963EC0005A153026B01316804FC757347500327CDC9BC9C225B50B74BF8F82D7D0B8539E1A66E73811D1E0FDA32E7';
wwv_flow_api.g_varchar2_table(224) := 'CDD941AF85884C1E871004202222D73584A0AA2D3FA7327E895C23867C63CA7B8901A5CF15661ECDA761BBC0D67C5AECF82A031F04212D06410800000020E0C1EF7FC9DEECB1F2CA8EA04CA1D1FB852B5F6C44108AFC663B82AE5A5BED004148BF871084';
wwv_flow_api.g_varchar2_table(225) := '6020CCBF2F08414844A45C5B6EDC751083B61C75475003E7352EA7C816D4ED123E7E4BDF42614EB8A9DB5C6087C783B6CC7973F6ACA57008410073AEFBD2F9FB222E12A6C534A7327E895C23867C63CA7B8901A5CF15661ECDA761BBC0D67C5AECF82A03';
wwv_flow_api.g_varchar2_table(226) := '1F04212D06410800000060C64FBCFFC5F5A3E1E6BF38E50B7E228220A4F8A4DB544168ED42500582907E0F2108C10098347E461072EC0C5A1788415BCCDF7CFDC2E83B3924552073B5B58C225B50B74BF8F82D7D0B8539E1A66E73811D1E0FDA32E7CDD8';
wwv_flow_api.g_varchar2_table(227) := '85889B9C8710042022221FFAF2F9FBB34F199ED637CF64FD12B9460CF9C6349EC480D2E70A338FE633B78B66A331266A69F54110D262108400000060E7A984202765FD68B8F92F4EF9829F882008293EE9364F10DA9810548120A4DF430842B0613C3148';
wwv_flow_api.g_varchar2_table(228) := '52F3C128EA88166F8C1D882074187AC36A400CDA52FEA6B123C85C3073B5658EB1DACE7B6934FB2D7D0B8539E1A66E73811D1E0FDA32E74DD885884CCE7BDC9737F6CB1CC090F8D097CFAF1F55B9609EC9FA25728D18F28D693C8901A5CF15661ECD679A';
wwv_flow_api.g_varchar2_table(229) := '339CC8F166A3693C8A47AB0F8290168320040000003B8BB723482421CEE40B7ED28CF57EE1CA171B7758109A09416FDA78ED004148BF8710846013ECBDE1737BD214E71BECB020C4CEA0358118B485FCADB223C85C3073B5658EB1DACE7B6934FB2D7D0B';
wwv_flow_api.g_varchar2_table(230) := '8539E1A66E73811D1E0FDA32E70DECC2210401CCF9F04C08F21E55B9609EC9FA25728D18F28D693C8901A5CF15661ECFA71091C96B2EFCDA3DAFB9F06B271084F27E084200000000CBE127DE7FE99E483917822A1084743FADDD1E1BB50D4608AA4010D2';
wwv_flow_api.g_varchar2_table(231) := 'EF210421D800174D5F3279D66BB4CF916D1484FEF75B9F30985C39761083B68CBF6DD911642E98B9DA32C7586DE7BD349AFD16AD5FAD3DB2A3453BC6054772E714C379677621229373118200441A4250F81D41CBC83359BF44AE1143BE318D2731A0F4B9';
wwv_flow_api.g_varchar2_table(232) := 'C2CC23220D21A86A4010B2F92108010000002CC65408AA7604650A77F35F9CF2053F69C67ABF70E58B8D3B2408152232F9BBCBAE1E5CED004148BF87108460CD341E1197C9B35EA37D8E6C99207432E1042B0031688BF83BC38E2073C1CCD59639C66A3B';
wwv_flow_api.g_varchar2_table(233) := 'EFA5D1ECB768FD6AED911D2DDA312E38923BA7E4CF5B3884208039EA8EA006CBC83359BF44AE1143BE318D2731A0F4B9BCCC5388C8E4D71B4250058290CD0F4108000000A01FBE10549129DCCD7F71CA17FCA419EBFDC2952F36EE8020345821A8024148';
wwv_flow_api.g_varchar2_table(234) := 'BF871084606DB8F222BF219367BD46FB1CD92241E8DE8403AC00C4A02DE1EF3AEC083217CC5C6D9963ACB6F35E1ACD7E8BD6AFD61ED9D1A21DE38223B9734AFABC85884C1E8B1004202222D77FF9FC48989615E599AC5F22D78821DF98C6931850FA5C4E';
wwv_flow_api.g_varchar2_table(235) := '2AF15813822A10846C7E084200000000DDF8890FFCEA9EB8F8D170533285BBF92F4EF9829F3463BD5FB8F2C5C6110B428317822A1084F47B08410856CDDE1B6FBB48444E8B85994C9EF51AED73644B04A1C1E7CC318118B405FC7D8F1D41E68299AB2D73';
wwv_flow_api.g_varchar2_table(236) := '8CD576DE4BA3D96FD1FAD5DA233B5AB4635C7024774E89CF5B3884208039D73776049973C6827926EB97C83562C837A6F1240694385721E226AF6E11822A10846C7E084200000000361EF28117D53B82D4829FE40B77F35F9CF2053F69C67ABF70E58B8D';
wwv_flow_api.g_varchar2_table(237) := '2314846642D09BB37F070C050421FD1E4210821553EF0A42109A516E4DDE1C03884103E7EFEFBA704F9C9CE8B323C85C3073B5658EB1DACE7B6934FB2D5ABF5A7B64478B768C0B8EE4CE29F5790B11999C8310042022221F5176049973C6827926EB97C8';
wwv_flow_api.g_varchar2_table(238) := '3562C837A6F124061434174E64F2EA0BFFD89C3310846C7E084200000000ED54429093B2DE11842094B065D9825021526E9510548120A4DF430842B042FC47C42108093B83D60B62D080F9FBBB9EBA27E2669FEA99B6E58A5B393BE9E36ACB1C63B59363';
wwv_flow_api.g_varchar2_table(239) := 'F75BB47EB5F6C88E16ED18171CC99D53440AE71082002A3ED2B223C89C3316CC3359BF44AE1143BE318D2731A05973212293577510822A10846C7E0842000000003ADE8E20914064B1091C12C5A5FC328546EF17AE7CB1710482D06C47D05B3AFF1D3014';
wwv_flow_api.g_varchar2_table(240) := '1084F47B08410896CDF7BDF1B3173929BDC7ED8B68793A9367BD46FB1C19A820547CEFAD4FE23B83D60862D080712227A6BFCCCD57CFE64BD3AF939DF471B5658EB1DAC9B1FB2D5ABF5A7B64478B768C0B8EB49CB31091C963CE4308021011F9A8614790';
wwv_flow_api.g_varchar2_table(241) := '39672C9867B27E895C23867C631A8F3EA0C2F514822A10846C7E0842000000003E0FF9C0AF784250058290E69B88CDC6E9ED4ECA42DC760B41150842FA3D8420044BE62249DDD3BB2B086D7DFEDC36108306CABD773DF51A117946BD0E39ED253C6AB693';
wwv_flow_api.g_varchar2_table(242) := '3EAEB6CC31563B3976BF45EB576B8FEC68D18E71C111E59C0841000D3EDA61479039672C9867B27E895C23867C631A8FDF5088C8E4D71610822A10846C7E084200000000536A21A8F484A00A0421CD37119B8D8BDAA73B825EB1FD42500582907E0F2108';
wwv_flow_api.g_varchar2_table(243) := 'C132F8BE377E76AFF988389BA893C9B35EA37D8E0C4C103A8C9C61A520060D906FDDF5D46322F28ACAAED721A7BD8447CD76D2C7D59639C66A27C7EEB768FD6AED911D2DDA312E38D2F041080268D01482AAB6EC1C949855E499AC5F22D78821DF98C633';
wwv_flow_api.g_varchar2_table(244) := '6D589A1054812064F34310020000805D27DE116428FA2108256CE92A08152232F9DB57BC75697F070C050421FD1E421082C5292F6AD65624754FEF9E208418B466108306C6B7EE7AEABE88DC902E5A39ED45F1B3D9491F575BE618AB9D1CBBDFA2F5ABB5';
wwv_flow_api.g_varchar2_table(245) := '4776B468C7B8E048B523E8D1084100222272C357CEDF77CE17822AB2735062569167B27E895C23867C63184FE1DC7285A00A04219B1F8210000000EC2A0FF9E02FEF892BA347C3998A7E0842095BAC82D06885A00A0421FD1E42108205B92C9B67E78D96';
wwv_flow_api.g_varchar2_table(246) := 'FBD41A2BF67863EC9205A1D1E6D2A182183420FEE1AEA7EE89C86D959D2E5A39ED45F1B3D9491F575BE618AB9D1CBBDFA2F5ABB54776B468C7B8FAFF0841000D6EF8CA05FB226EFA68B8C424CCCE418959459EC9FA25728D18F24DCB780A1199BCF229CB';
wwv_flow_api.g_varchar2_table(247) := '17822A10846C7E0842000000B06B3CE483BF5CEF083216EE44044148F54DC4A6E36642D06FAFECEF803226C4D80000200049444154A18020A4DF430842D087EF7BE3EFEEB7EDE2B4893A993CEB35DAE7C88605A193DF7BCB934F450EB052108386C50927';
wwv_flow_api.g_varchar2_table(248) := '727AB3215DB472DA8BE267B3933EAEB6CC31563B3976BF45EB576B8FEC68D18E99EE087293472104018888C889AF5CB0EFE68F869BCE1A04218FC2AD5808AA4010B2F92108010000C0AEF0931F7C61F068383117EE44044148F54DC4C6713B2304552008';
wwv_flow_api.g_varchar2_table(249) := 'E9F710821074C6C9657E4326CFCE1B2DF7A93556ECF1C6D82508423C226E0320060D847F987E4FD033C450A472E14FFE8BE267B3933EAEB6CC31563B3976BF45EB576B8FEC68D1F6284464F2A8F3BEB433BFCC01B471E22B175C547D47509867108444AA';
wwv_flow_api.g_varchar2_table(250) := '9C71D91A84A00A04219B1F82100000008C9D4A087252068F861373E14E44108454DF446C1DB77342500582907E0F21088195EFBBFC337B2272493E0F25EEE9710B4288411B00316800FCE35D4F3DC3895CD36CCB15A95CF893FFA2F8D9ECA48FAB2D738C';
wwv_flow_api.g_varchar2_table(251) := 'D54E8EDD6FD1FAD5DA233B5AB445AA5FE6CE46080210119183AF5C70CC897CB6F91D41619ED9714168ED4250058290CD0F4108000000C64AB82368A9453F04A1842D9520341382FECFB5FF1D30141084F47B0841088C5C96BA87B27976DE68B94FADB162';
wwv_flow_api.g_varchar2_table(252) := '8F37C62E200821066D00C4A06170C2FF24FE14BBEDB417C5CF66277D5C6D9963AC7672EC7E8BD6AFD61ED97E43E1108200E61C7CE5826322728318F2CC8E0A421B13822A10846C7E084200000030367EF2832F881F0D27B2DCA21F8250C296C249B9D342';
wwv_flow_api.g_varchar2_table(253) := '500582907E0F2108411BB35D41B347C459F39035BF67F2ACD7689F236B14844E7EF72D4FE1FB82360062D086F9C7E9E3E18E5476AE2895B69DF6A2F8D9ECA48FAB2D738CD54E8EDD6FD1FAD5DA237BDA5088C8E4910841002222F2B186105491CB333B26';
wwv_flow_api.g_varchar2_table(254) := '0815223279C50685A00A04219B1F82100000008C855A08521E0D27B2DCA21F825068172232F99B97BF6DE37F070C050421FD1E421082144ECACB9A4F5F4110F26C76056D08C4A00DF24FDF78EA5EF878383114A5D2B6D35E143F9B9DF471B5658EB1DAC9';
wwv_flow_api.g_varchar2_table(255) := 'B1FB2D5ABF5A7B6017CE21040154544250B7793CFD694704A1C10841150842363F0421000000D8767EF2BAE7073B828C453B1173E14EC27804A1CA46084A8020A4DF43084210F2FD977F7A4F442E4BDE57D93C64CDEF993CEB35DAE7C81A04A1DB043602';
wwv_flow_api.g_varchar2_table(256) := '62D066B94C5CFC78383114A5D2B6D35E143F9B9DF471B5658EB1DAC9B1FB2D5ABF5AFBCC2E4464F2887311820044443E1EEC08EA368FA73F8D5C102A4464F2F2010941150842363F0421000000D856E642900B7704198B7622E6C29D84F1084208411910';
wwv_flow_api.g_varchar2_table(257) := '84F47B08410802E6BB82108422DFE2BB6FB9909D411B02316843FCF3379E7A86885C2E522D9231B9A254DA76DA8BE267B3933EAEB6CC31563B3976BF45EB57692F1C4210C09C8F277604759BC7D39F462A080D5608AA4010B2F92108010000C0B611ED08';
wwv_flow_api.g_varchar2_table(258) := 'DA44D16F7705A19910F4F6C1FE1D30141084F47B0841084444BEFFF24F35BE2B680A8290E78B10B441108336C71596825BAE2895B69DF6A2F8D9ECA48FAB2D738CD54E8EDD6FD1FA6DB4172232D94708021011911B333B82BACDE3E94F2313840A1199BC';
wwv_flow_api.g_varchar2_table(259) := 'EC297F34F89C812064F34310020000806DE1A1D71DDF7352361E0D37631345BFDD138410823A8220A4DDBB6ADF0842BBC7652265E3BB82A62008CD7D7944DC06410CDA00B35D41974838DF1184623B3976BF45EBB7DA1184100430E546E38EA06EF378FA';
wwv_flow_api.g_varchar2_table(260) := 'D34804A1C26D891054812064F3431002000080A1F3D0EB8ECF7704D90A77C6A29D68B1628BDF1D41682604FDCED6FC1D30141084B47B57ED1B416847F07705657265D327FA83D312BBA1B541ECB109410831688320066D00277245607BC6328A542EFCC9';
wwv_flow_api.g_varchar2_table(261) := '7F51FC6C76D2C7D59639C66A27C7EEB704C70B11999C85100420222237DE71C13171F61D41DDE6F1F4A72D17840A713279E9160941150842363F0421000000182A0FBDEE98FF68381163E1CE58B4132D566CF1E31784108216044148BB77D5BE11847601';
wwv_flow_api.g_varchar2_table(262) := '27D754DF153425932B9B3ED11F9C96D80DAD0D628F0DE24E7EF72D4F3D1539C1DA400C5A33FFF28DA7ED89B84BFA14DC7245A9B4EDB417C5CF66277D5C6D9963AC7672EC7ECBCC42080268F0893B2E38E6AA47C379BF18FBE4EC769FE94F5B2A08154E64';
wwv_flow_api.g_varchar2_table(263) := 'F2D2276F9F10543113849E30FB54A348977FD3A025978B8DFFA61DFAF76FCADC7916EA3FB818FB18D33682100000002C422D0495FEA3E1448C853B63D14EB458B1C58F57109A0A412F43085A94862074B26E0D0BC7DA7D997D8FE6EFA94DD889EF215B5C';
wwv_flow_api.g_varchar2_table(264) := 'A33DF885BFD398B3B1084263E6FBAFB87522525E12FFD198C9954D9F5EB11B5A1BC41EDB88E3FEDF308841EB67B655B05FC12D57944ADB4E7B51FC6C76D2C7D59639C66A27C7EEB5140E210860CE27EEA8BF23A8313D45F9D164B7FB4C7FDA3241A81091';
wwv_flow_api.g_varchar2_table(265) := 'C94BB65808AA78CD855F3B74221304A1763F0421000000180A0FFD50B82368C045BFF1094285884CFEFA65EFD8FABF038602829076EFAA7D23088D976BA62FF13D94CD954D9F5EB11B5A1BC41E3B8BE311711B063168CD3891634DAB4FC12D57944ADB4E';
wwv_flow_api.g_varchar2_table(266) := '7B51FC6C76D2C7D59639C66A27C7EEA4FA65EEE10841002222F2C93B1E7FCC89BBA1D1D49C9E719BD16EF799FEB4258250E146220455BCE6C2AFDD832094F74310020000804DF3D00F5D3215829C043B82065CF41B8F2054889408412BE05BAF7AFD2904';
wwv_flow_api.g_varchar2_table(267) := 'A1F88F0504A1F1F3FD57DC7A45F3519F0842A2C59EFCEE9B9F7AAFE2086B0431688DFC8F6F3CED221139DD9FCFFD0A6EB9A254DA76DA8BE267B3933EAEB6CC31565B1F7BE1C4210401CCF8E41D8F6FEC080AB34EF843C73998F599FE347041A81091C98B';
wwv_flow_api.g_varchar2_table(268) := '472404552008D9FC10840000006053CC85A0EAD170D12F15032EFA6DBF2034DB11F4CED1FD1D30141084B47B57ED1B416824DCF78A5BF69D9497C747108482D86B140758338841EBE5A2EA077F3EF72BB8E58A5269DB692F8A9FCD4EFAB8DA32C7586D7F';
wwv_flow_api.g_varchar2_table(269) := 'EC85884CCE3CF7F7F9650E40446EBAE3F1F57704CD4010F2ECD10A41150842363F042100000058370FFBD0F3F447C345BF540CB8E8B7BD821042D09A4010D2E73582D0F8B8EF15B7EC558F3E4BDE5BBDF2BB7E0FD96237B43648369647C40D00C4A035F1';
wwv_flow_api.g_varchar2_table(270) := '3FBFF1B43D11B9A4D9E6CFE77E05B75C512A6D3BED45F1B3D9491F575BE618AB3D350A87100430E7266F47900F8290489533C62C04552008D9FC1084000000605D544290AB7604CDD9C2A2DFF6094208416B0641489FD7084263A33C2122A75716825032';
wwv_flow_api.g_varchar2_table(271) := 'F673DF79F3D34E290760CD2006AD8F8BF205A67E05B75C512A6D3BED45F1B3D9491F575BE6189B5D8893C9C3108200440221A8229E3F61D6891D3BCC4183CFF4A781084285884C2EDD0121A80241C8E6872004000000AB26DC11348AA2DFF60842853899';
wwv_flow_api.g_varchar2_table(272) := 'FCF5CBDEB5337F070C0504217D5E23088D83FB5E71F31522F28C96DCD360E70521EEEF818018B43E2E12BD5814B4F52BB8E58A5269DB692F8A9FCD4EFAB8DA32C7B4DB85884C1EF65884200011919B9547C355C4F327CC3AB1A3610E46E4F2CC8605A1C2';
wwv_flow_api.g_varchar2_table(273) := 'ED981054812064F343100200008055F1B00F3D774FA43CF4BF5C5CC651F41BBE2034DD11F45284A04D8120A4CF6B04A1EDE6BE57DE7C4C441ADF1314E59E3848B987B2B9B2E9D32B76436B8378B1C577DEFC533C226E202006AD8F49F543BEC0D4AFE096';
wwv_flow_api.g_varchar2_table(274) := '2B4AA56DA7BD287E363BE9E36ACB1CA3DB0841000D6E6E79345C453C9FC2AC133B769893069FE94F1B12840A1199FCEA0E0A41150842363F042100000058365321A8DA116429DC6D61D16FB8821042D0404010D2E73582D07672DF2B6F9AD66032791A41';
wwv_flow_api.g_varchar2_table(275) := '681ECB3D3D201083D6C0FFFAC6D3264EE4B4665BBEC0D4AFE0962B4AA56DA7BD287E363BE9E36ACB1CE3DB85884C1E8A1004202222B7283B82B4B9A5B5EF8820B4F34250058290CD0F410800000096C5C33EFC9C3D7112EC08B214EEB6B0E8373C41A810';
wwv_flow_api.g_varchar2_table(276) := '91C95FBDF49A9DFF3B60282008E9F31A4168BB980B41C63C8D202422AEBC4675848D8018B41E26622B16056DFD0A6EB97ED2B6D35E143F9B9DF471B5658E99821004D0E096961D41DADCD2FDC2AC133BE6CEDD6D1E4F7F5A932054883884A0060842363F';
wwv_flow_api.g_varchar2_table(277) := '04210000005894877DF839B31D41E559F12F0696C2DD1616FD86230821040D1404217D5E23086D07F7BDF2A689FF3DCDB63CBDE382D09DDFB9FAE8BDAA136C04C4A0F5907C445CBEC0D4AFE096EB276D3BED45F1B3D9491F575BC6984244263F89100420';
wwv_flow_api.g_varchar2_table(278) := '2222B71E3EFE98B8F61D41DADCD2FDC2AC133BE6CE6D9CC7DE4F2B16840A713279D193BF4ACE084010B2F92108010000405F6A21A8DA11B43345BF2108423321E8DDFC1D30501084F4798D20346CEE77E527F79D94CAF7DED8F2F40E0B42EC0A1A188841';
wwv_flow_api.g_varchar2_table(279) := '6BC03939E2D9E17189F1DBFA15DC72FDA46DA7BD287E363BE9E36A2B13831004D0E0D6C3E98E207F1E4DB1CC47DD2FCC3AB163EEDCE6B9DFF869458250212293173D092128058290CD0F4108000000BA72E6879F1D0841153B51F49B192DC5F380250B42';
wwv_flow_api.g_varchar2_table(280) := '85488910B4052008E9F31A416898DCEFCA4FEECFF2FA69ADF747264FEFA020F4ADEF5C7D5411D060932006AD987FFDD3A7ED8BC4054F43B12868EB5770CBF593B69DF6A2F8D9ECA48FABAD444C212293872004018888C8A70EEB47C349348F1A6D2D76DA';
wwv_flow_api.g_varchar2_table(281) := '2FCC3AB163EEDCE6B9DFF869C982502122935F4108CA822064F34310020000002B9510E4A40C84A08A5117FD362D08CD7604BD87BF03B60404217D5E23080D8BFB5DF989B91054B5210899D70676050D10C4A0D5B35FFD802094F071B5151C47080268F0';
wwv_flow_api.g_varchar2_table(282) := 'A9E68EA006FE3C6AB4B5D869BF30EBC48EB9739BE77EE3A725094208411D4110B2F92108010000408E333FFC2C6F47905EF0933117FD44C2F8F5094208415B0A82903EAF118486C1FDAEAA84A0F234094010CAAE0D858870CF0E10C4A0D57346D340104A';
wwv_flow_api.g_varchar2_table(283) := 'F8B8DA9AFD5888C8E4271082004444E4D3DA8EA006FE3C6AF15188FDC2AC133BE6CE6D9EFB8D9F1614840A1199FC3242506710846C7E084200000090A21682FC1D410842A938C98F797E8DD9314F85A09720046D2B0842FABC4610DA2C7321C8553B828C';
wwv_flow_api.g_varchar2_table(284) := '79D698A7774010BAADB8FABF9E520EC286410C5A3D93B0014128E1336F748543080298F3E9B61D41A1DD23BFE87E61D6891D73E736CFFDC64F3D05A1C221042D048290CD0F410800000042CEBCFE59C17704590A7E32B6A25FC49A04A14244267FF992F7';
wwv_flow_api.g_varchar2_table(285) := 'F277C0968320A4CF6B04A1CD70BFAB6EF41F0D97CC4599FB2393A7472E085DA134C200400C5A312ED819346F8F127CBB1DB7F52BB8E5FA49DB4E7B51FC6C76D267F69CDF072304018888C8670E8F1C1371ED3B8242BB477ED1FDC2AC133BE6CE6D9EFB8D';
wwv_flow_api.g_varchar2_table(286) := '9F3A0A4285884C5E8810B4300842363F0421000000A838F3FA8BF744CA4371127C4790A5E027632AFA296D41FCF2052184A0918120A4CF6B04A1F572BFAB6EDC531F0D97CC4599FB2393A7472A081D1457FFB77B632718028841ABE7F464D1294AF0ED76';
wwv_flow_api.g_varchar2_table(287) := 'DCD6AFE096EB276D3BED45F1B3D94A5BE144260F7EECEDFC3207301782AA1D41D14C6CB77BE417DD2FCC3AB163EEDC86B91F5D9D51102A1C42D0524110B2F92108010000C05408AA7604E50B770842A938C98F797E8DF33684A0918220A4CF6B04A1F5F0';
wwv_flow_api.g_varchar2_table(288) := '03577D7CCFDB1194B887B2396B8E2D4F8F50106257D080410C5A21FFF6A74FDBAB7E4E169DA204DF6EC76DFD0A6EB97ED2B6D35E143F9BDD682B4464F2A073108200A4210455B66BFC5F0C73CB298DB998B45F987562C7DCB9BBE5A1D9D52606D8CC192F';
wwv_flow_api.g_varchar2_table(289) := '40085A3A0842363F0421000080DDE5E1D7FF52F068383115EE10845271921FF3FC1AAB1D41EFE3EF80918220A4CF6B04A1D55209412EF8EE370421B1E5F67963C9AEA0818318B4429CC87E60EB7E51826FB7E3B67E05B75C3F69DB692F8A9FCDAE3EDD8F';
wwv_flow_api.g_varchar2_table(290) := '100430E5770F8F1C730D21A8C235FE2F86B9E594C65C4CDA2FCC3AB163EEDCDDF2D0EC6AF501160E2168A52008D9FC1084000000768F4A088A0B86622ADC2108A5E2243F662708413B0282903EAF118456436347D05962798FE6EF8B31CF1AF3F4480421';
wwv_flow_api.g_varchar2_table(291) := '76050D1CC4A09592298235DBA304DF6EC76DFD0A6EB97ED2B6D35E14BFAC5D88C8E4C711820044664250B523283D67A399D86EF7C82FBA5F987562C7DCB9BBE5A1D9D5FA0E85884C9E8F10B47210846C7E0842000000BB43B823A86FE10E412815276D63';
wwv_flow_api.g_varchar2_table(292) := '9E0941D7F277C08E8020A4CF6B04A1E5F2036FFAD8F4BBDFC4FFEEB7EC7B347F5F8C79D698A7FBAE2B328CB5E1A078D3D3D91534701083560E82508B8D1004D0E0B3CA8EA0F49C8D6662BBDD23BFE87E61D6891D73E7EE968766573B7D41085A33084236';
wwv_flow_api.g_varchar2_table(293) := '3F0421000080F1F3F0EB7F5179349CF42EDC2108A5E2448B2D9C9493BF7C3142D0AE8120A4CF6B04A1E5301582E450DCECBBDF02B2EFD1FC7DB1C44AF2FDB4AD0F5BB136B02B680B400C5A2D93E90B82906223040134F8EC9D478E89D37704A5E76C3413';
wwv_flow_api.g_varchar2_table(294) := 'DBED1EF945F70BB34EEC983B77B73CE444440AE7108236018290CD0F4108000060BC3CFC239510A43D1A4E7A17EE10845271D28C2D4464F2172F7E3F7F07EC280842FABC46105A8C1F78D3812FF03B31E64AFD1EB2C54AF2FDB4AD0F835E1BD815B42520';
wwv_flow_api.g_varchar2_table(295) := '06AD107F8E210835EC4244260F440802101191DBEE6CEC0832CEA3BA2D9A89ED768FFCA2FB85592776CC9DBB431E2A44DCE4F813118236058290CD0F41080000607CCC852057ED0832081C73F2853B04A1549C884889100422084208424BA616820281DF';
wwv_flow_api.g_varchar2_table(296) := '893157EAF7902D5692EFA76D7D18ECDAC0AEA02D013168C5F8730C41481082003C6EBB53F98EA0FC3C0ADAA299D86EF7C82FBA5F987562C7DCB90D79A8702293E34FFC4372C6864110B2F921080100008C87877FE417FCEF92982FD20681634EBE708720';
wwv_flow_api.g_varchar2_table(297) := 'A4C62104810782903EAF11847AD178E4A7762F5872A57E0FD96225F97EDAD687C1AD0DEF3EF5A69F6657D0968018B406FC39B6D38250212293072004018888C8E71A4250850B7EC8CDBFBA2D9A89ED768FFCA2FB85592776CC9DBB250F15223239861034';
wwv_flow_api.g_varchar2_table(298) := '1810846C7E0842000000DBCF5408AA0A864DD1A2FA412FF4F62DDC210879713321E803FC1D001E0842FABC4610B2F3036F3A38117EF71B82901863D5B5A16057D0768118B426FC39B6938210421040834A086A9D7FF13C52EDBA2D9A89ED768FFCA2FB85';
wwv_flow_api.g_varchar2_table(299) := '592776CC9D5BE9AB700841830441C8E68720040000B0BD9CF5919FDF73CD1D41227EA16CBE481B048E39F9C21D829088B81221085A4110D2E73582509E1F7CD389134ECA4BF4A3DABD60C995FA3D648B95E4FB695B1F06B1365C73EA4D3F7D2A7682A182';
wwv_flow_api.g_varchar2_table(300) := '18B442DA8B3A3B2708DD3BFB0F60E7F97CB023A875FEB9C00E8F476DD14C6CB77BE417DD2FCC3AB163EEDC0DBB1091C9250841830541C8E68720040000B07D9CF5919F9FEF086A2DFACD176983C031275FB8DB71410821084C2008E9F31A4128CD0FBEE9';
wwv_flow_api.g_varchar2_table(301) := 'C40911B9447279B68953DA2CEF51CBFA303241E85BA7DEF40C76056D1988412BA6BDA8B35382D0592272F8775FBF704F007698CF277604B5CE3F17D8E1F1A82D9A89ED768FFCA2FB85592776CC9DDB21046D0D0842363F0421000080EDE1AC8FFCDC9EFF';
wwv_flow_api.g_varchar2_table(302) := '5D12D25EF49B2FD27A61B16FE16E8705A16BFEE2D20FF27700984010D2E7358250CC0F5E7DC309097604210889B94F49E7F7CBE246183A8841ABE51EC9167510840076852FDC3969DD11D43AFF5C6087C7A3B66826B6DB3DF28BEE17669DD8B1E5DC0841';
wwv_flow_api.g_varchar2_table(303) := '5B068290CD0F4108000060F8D44250197C9784200889AC4B10BAFC211F78D131ED00800682903EAF11846AA642905C32FD37EA90677D4763AED4EF215BAC24DF4FDBB8D7BE36DC79EAAA8B6E8B9C60F02006AD96F93313DB8B3A08420063E70B774E26D3';
wwv_flow_api.g_varchar2_table(304) := '1D41E18CF4699D7F2EB0C3E3515B3413DBED1EF945F74B5C63A3593977212293E721046D1D0842363F0421000080E172D6477F6E4F5C734750B608862024D2ED7AED82D00D0842D00504217D5E230889FCE0D51F9D3F1A4EA4FA37EA90677D4763AED4EF';
wwv_flow_api.g_varchar2_table(305) := '215BAC24DF4FDBB8D7BA3690A7B714C4A035D25ED441100218334F3F7278282207A2CCC0DC5CF2DA5C6087C7A3B66826B6DB3DF28BEE97B8C64673E34784A02D0741C8E68720040000303CCEFAE8CFD68F86F316DA0E0534692ED27A61B16FE10E410820';
wwv_flow_api.g_varchar2_table(306) := '0F82903EAF775910AA8520EDFDEC90677D4763AED4EF215BAC24DF4FDBB8D7B2365C79EAAA8BF85EF82D053168853827D1C4682FEA2008018C99A71F393C8620E43B563B829E8B10B4F52008D9FC108400000086432D04351E0DE72DB41D0A68D28CD50B';
wwv_flow_api.g_varchar2_table(307) := '8B7D0B77084200791084F479BD8B8250B423487D3F3BE459DFD1982BF57BC8162BC9F7D336EE95AE0DDFFACFAB9E7945E801DB0362D00AF9BEB37FEFDE50B4916C5107410860CC2008793F20048D0C04219B1F82100000C0E6F176048924441DE9564093';
wwv_flow_api.g_varchar2_table(308) := '66AC5E58EC5BB8431002C88320A4CFEB5D12847EE8EA8F9C70523684A00AEDFDEC90677D4763AED4EF215BAC24DF4FDBB857B6369093B71CC4A0D5F32D04A1A6EDC2170421D83910844444A4102793E720048D0E04219B1F82100000C0E6D8FFE8CFEC39';
wwv_flow_api.g_varchar2_table(309) := '291B425045A328E62DB41D0A68D28CD50B8B7D0B77084200791084F479BD0B82D00F5DFD9163D58E20D3BFB58BDB1084A4ADCF83FFBCEA9987612B6C178841ABE75E9158B411654EF9368210C098D97141A8702293E73C012168AC2008D9FC1084000000';
wwv_flow_api.g_varchar2_table(310) := 'D6CFFE477F66BE23285B2CF416DA0E053469C6EA85C5BE853B0421803C0842FABC1EB3203413826E68B699FEAD5DDC8620245A9F85885C26B0F52006AD9E79B11341A869BBF0054108768E1D15840A11993C1B2168F42008D9FC1084000000D6C7FE479F';
wwv_flow_api.g_varchar2_table(311) := 'B927C18EA06CB1D05B683B14D0A419AB1716FB16EE108400F22008E9F37A8C82D00FBDF9FA63E24A4F08AA30FD5BBBB80D4148C23E8FFDE7553F732A0A82AD033168C5B8D9CEA0B9AD546CDA8B3A0842006366C704A1C2894308DA2110846C7E08420000';
wwv_flow_api.g_varchar2_table(312) := '00AB67FF866736BE23C8583CAB1DF4F6F9E196A2DF3C562F2CF62DDC210801E44110D2E7F59804A11F7AF3F5F58E20359718FFAD5DDC862034F7F9DC7F5EF533B745CEB0952006AD9E7BA2828D52B1692FEA2008018C991D11840A11993CEB097F8010B4';
wwv_flow_api.g_varchar2_table(313) := '632008D9FC108400000056C7FE0D174D8520D7FC8E2063F1AC76D0DBE7875B8A7EF3D88E85CA6871B78C594CB1D236E65EB1822004830441489FD76310847EE8CD1F3E2612EC0842109A1D4EC476CFEFDF1229C9B923C29565EAA6866571EAEE9F2A455B';
wwv_flow_api.g_varchar2_table(314) := '06947FFAF61451E65248DD1E1CB0C475EAABB49CA38B5D862F27456472FF736E670B22EC0C5FB87372A2FAB2C37006E6E692D7560676783C6A8B6662BBDD3DBF142232B9182168A779DBEDE7EE97228752CA69555B9F75A4EFFA14F975EABFD1AA9C3F67';
wwv_flow_api.g_varchar2_table(315) := '77F1F3D7EFF85AC5701E25E6E0ED47EFE217780000D849E64290C859F32A98B758FA95B132F7918C965851E3B558FD2324C9BEA3C5DD326631C54ADB987BC58A4869F8C88A395652F1C7BF79E9755B55B886CD72FA3BAE6EE4828AE0DE2A337338D55656';
wwv_flow_api.g_varchar2_table(316) := '2F065F657ED9E21AEDD1DFE41DC69C8D95837F79DDCB07FFB7C354086A7E4750F89E74C83BEAFBD921CFFA8EC65CA9DF43B65849BE9FB671775A1B9EF09F57FEEC617410B6167606AD873B454BFFCA7C6C4F0DEC1002183323DD2184100422EC1032FBB1';
wwv_flow_api.g_varchar2_table(317) := '430800006079F84290D455336FB1F42B62D94F8FB7C48A1AAFC5EA1F1DE9FB496E760801E46187903EAFB77187D00FBFF943811024CA7BD221EFA8EF67873CEB3B1A73A57E0FD96225F97EDAC66D5E1BDE8D10343E1083D6C3BC081A156C948A4D7B5107';
wwv_flow_api.g_varchar2_table(318) := '410860CC8C4C104208020F04219B1F82100000C0E23CE2866728BB002451403316CF6A07BD7D7EB8A5E8378FED58A88C1677CB98C5142B6D63EE152B084230481084F479BD4D8250250499FEBD1084668713B1ED7127BF7DE5CF5D167AC0F68318B406DC';
wwv_flow_api.g_varchar2_table(319) := 'F417D0A6ED1F572A36ED451D04218031331241A8700841A0802064F34310020000E84F250439290321A8422BA0198B67B583DE3E3FDC52F49BC7762C54468BBB65CC628A95B631F78A15042118240842FABCDE064128DC1164FAF742109A1D4EC4EA7185';
wwv_flow_api.g_varchar2_table(320) := '889057470A62D07A38CC156810849AB60B5F108460E7D87241A81091C92F2104410204219B1F821000004077C21D41D9C29DB7581A8B67B583DE3E3FDC52F49BC7762C54468BBB65CC628A95B631F78A15042118240842FABC1EB220F4C36FB9EE98B832';
wwv_flow_api.g_varchar2_table(321) := '78349CF1DF0B41687638111BC75DF6ED2B7F8E7ACE48410C5A03A79DFD7BA744E4CE5C810641A869BBF0054108768E2D15840A8710040610846C7E0842000000761E71E2A7F744CAE8D170D9C29DB7581A8B67B583DE3E3FDC52F49BC7762C54468BBB65';
wwv_flow_api.g_varchar2_table(322) := 'CC628A95B631F78A15042118240842FABC1EA220F4C36FB9EEA2F98E20252798FEBD1084668713B175DCC1B7AFFCF98DBEDFB05A1083D6C76DA2CCC9C8562A36ED310842006366CB04A1424426BF8810044610846C7E084200000079A642901C8A93B3EC';
wwv_flow_api.g_varchar2_table(323) := 'C5334914D08CC5B3DA416F9F1F6E29FACD633B162AA3C5DD326631C54ADB987BC50A82100C1204217D5E0F4910FAE1B75CB72F227EDF0842AB12844E8A08DF1334721083D6C76DD50FB9020D8250D376E10B8210EC1C5B220815E21082A01F4EFC9BAACF';
wwv_flow_api.g_varchar2_table(324) := '3AD2777D8AFC3AF5EF0F3A779E85FA0F2EC63EC6B48D2004000063E111279EEEEF0872D2A1782689029AB178563BE8EDF3C32D45BF796CC74265B4B85BC62CA658691B73AF58411082418220A4CFEB2108423FFC960FEECF72FB69D14104A1650B428548';
wwv_flow_api.g_varchar2_table(325) := '79ECDB57FEFCA9F0008C0BC4A03571DAD9BF776F7361C9156810849AB60B5F108460E718B82034DD11344108826EBCEDF673F767CFF43FCD897F53F55947FAAE4F915FA7FEFD41E7CEB350FFC1C5D8C798B61184000060DB990A41D57704358A5B4E3A14';
wwv_flow_api.g_varchar2_table(326) := 'CF245140CB16CF12A28E18FBD6623B162AA3C5DD326631C54ADB987BC50A82100C1204217D5E6F52109A0A4132138212D78B20B44C41E8B26F5FF10BD4747600C4A035E2826D8DB9020D8250D376E10B8210EC1C0315840A1199FC02421074E4EDB79FBB';
wwv_flow_api.g_varchar2_table(327) := 'EFE6BFDC4F71E2DF647DD691BEEB53E4D7A97F7FD0B9F32CD47F7031F631A66D04210000D8561E79E2BF3584A08A4671CB4987E299240A6896A25FD8A7D23E3FDC52F49BC7762C54468BBB65CC628A95B631F78A15042118240842FABCDE8420F4236FF9';
wwv_flow_api.g_varchar2_table(328) := '404308AA485C2F82D03204A1777FFB8A5F58E97B0AC3013168BD9CC81564225BA9D8B4C72008018C998109420841D08BB7873B821A38F16FB23EEB48DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D336821000006C1B9510E4A46C0841158D6297930EC5';
wwv_flow_api.g_varchar2_table(329) := '334914D02C45BFB04FA57D7EB8A5E8378FED58A88C1677CB98C5142B6D63EE152B084230481084F479BD4E41A86A4CC5DD000020004944415412829C94F1A3E152D78B20B4882074E7B7AFF805BE276887400C5A23FFC7D9BF774A440E720599C8562A36';
wwv_flow_api.g_varchar2_table(330) := 'ED31084200636626081D176506E6E692D7E6023B3C1EB57933B11091C9CF230441477EA72104556DEA3DE8025BF369B1FBAE4F915FA7FEFD41E7CEB350FFC1C5D8C798B611840000605B087704650B774E3A14CF245140B314FDC23E95F6F9E196A2DF3C';
wwv_flow_api.g_varchar2_table(331) := 'B663A1325ADC2D631653ACB48DB957AC2008C1204110D2E7F53A04A11F79EBFBBDBF153B5D2F82501F41E8A4885C14C7C098410C5A3F27449983595BA9D8B4C72008018C99A71F393CB141410821087AF13BB79F37FB9457FC05A0EA3DE8025BF369B1FB';
wwv_flow_api.g_varchar2_table(332) := 'AE4F915FA7FEFD41E7CEB350FFC1C5D8C798B61184000060E83CF2E0BF2A8F86937CE1CE4987E299240A6896A25FD8A7D23E3FDC52F49BC7762C54468BBB65CC628A95B631F78A15042118240842FABC5EA5203417829CBF23A8D3F522087511840A91F2';
wwv_flow_api.g_varchar2_table(333) := 'D87F5CF18BA794001831AE2C533728AC8AEFDCFD53F78AC8E9924EF3695B79BBDA63CAEC39E7EDC1014B5CA7BE4ACB39BAD865F872524426F73FE7761219EC0C5FB873724C446E106506E6E692D756067678BCA62845263F37B91321083AF18EDBCFDB2F';
wwv_flow_api.g_varchar2_table(334) := '832F0035AF0965606B3E2D76DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D3B6881CBCFDE85D144D00006050784250A97FA4A2CC7D3CA294A82226C938A97DBDC5D2F7B5F5A9B4CF0FB77C5C631EDBF17AA3C5DD326631C54ADB987BC58AC4EF6787EB55';
wwv_flow_api.g_varchar2_table(335) := 'EF0535FEF8372FBD6E29856BD80D4E7FC7D58AF81CDC5B65660EA7DACAEAC5E0ABCC2F5B5CA33D989B9DC69C8D95837F79DDCB7BFFED10EE081289E775A7EB55728229BEEFBA22FADA925D576A4763AED4EF215B6CC36F1AF7CCFFB8E2976E539C60E4B0';
wwv_flow_api.g_varchar2_table(336) := '3368335C51FD904BBD91ADCCE5F6187608018C9935EF102A0421087AF08E6847906BFCDF47BD075D606B3E2D76DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D3363B8400006068443B82FA7E92DB05F6BC39F3D10C6FB1F47D6D7D2AEDF3C32D1FD398C7';
wwv_flow_api.g_varchar2_table(337) := '76BCDE6871B78C594CB1D236E65EB1DAFBD9E17AD921042B821D42FABC5EE60EA11F79EBB5FB22A52F04493CAF3B5D2F3B84723B848E2304ED2EEC0CDA10DFB9FBA74E35135D2E0547B6F2B6B5C7B0430860CCAC6187502122939F4508828EBCD3DB1134';
wwv_flow_api.g_varchar2_table(338) := '25CCDFE635A10C6CCDA7C5EEBB3E457E9DFAF7079D3BCF42FD0717631F63DA66871000000C81471E1C9D0941CE7B349C88F4FF247719D8F3E6CC4734BCC5D2F7B5F5A9B4CF0FB77C5C631EDBF17AA3C5DD326631C54ADB987BC56AEF6787EB658710AC08';
wwv_flow_api.g_varchar2_table(339) := '7608E9F37AD11D425321A8F9B7627E5E77BA5E7608A9EFD17F5C7EB1F93D82F1C1CEA08DE1AEF1ACF068CE56F2487B0C3B8400C6CC8A7708150E21087AF0CEC4770485F9DBBC26B8C0D67C5AECBEEB53E4D7A97F7FD0B9F32CD47F7031F631A66D760801';
wwv_flow_api.g_varchar2_table(340) := '00C04038312DC22A1F5BE8FB496E17D8F3E6CC4733BCC5D2F7B5F5A9B4CF0FB77C4C631EDBF17AA3C5DD326631C54ADB987BC56AEF6787EB658710AC087608E9F37A911D423FF2D66BF7247C349C615E77BA5E760885B108418018B4299CC83522AE08DA';
wwv_flow_api.g_varchar2_table(341) := '429F765BA9D8B4C72008018C9915094285884C7E0621083A520941D52FF7B9FC6D5E135C606B3E2D76DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D336821000006C92471E1C3D2122CFA85BF2C5C27973AE70E7C4523C6BA015442D45BFB04FA57D7EB8';
wwv_flow_api.g_varchar2_table(342) := 'A5E8378FED78BDD1E26E19B39862A56DCCBD62B5F7B3C3F52208C18A4010D2E7751F41E847DFFABE3DA73D1A4EC494E33B5D2F8250157B52442E8B0EC2CE8118B421FECBD95F3CE544AE08B368AE2013D94AC5A63D06410860CC2C59102A1C4210F4E05D';
wwv_flow_api.g_varchar2_table(343) := 'BF7F5EFC05A086FC6D5E135C606B3E2D76DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D336821000006C82B30F7EEA8493F292F848BE58386FCE15EE9C180B6F155A41D452F40BFB54DAE7875B8A7EF3D88ED71B2DEE96318B2956DAC6DC2B567B3F3B5C';
wwv_flow_api.g_varchar2_table(344) := '2F8210AC0804217D5E7711847EF4ADEF9B3F722F9B679B2008E5DFA3F4FA70D24939F98FCB2FE6EB3480EF0CDA34DFBDFBE8BDA5C8E9E144CDA5E0C856DEC6F618BE430860CC2CE13B840A11993CF308421074A32904A57EC5C8E56FF39A5006B6E6D362';
wwv_flow_api.g_varchar2_table(345) := 'F75D9F22BF4EFDFB83CE9D67A1FE838BB18F316DF31D420000B00ECEFED8D3F6A474B789C891AACDF45D0D22FDBFEBA114F57CD9EF7AF0164BDFD7D6A7D23E3FDCF2718D796CC7EB8D1677CB98C5142B6D63EE15ABBD9F1DAE97EF108215C17708E9F33A';
wwv_flow_api.g_varchar2_table(346) := 'F71D423FFADBEFDD137187528AF7FD6FD93CDB84EF10CABF47FEFA5088C819FF7EF9B3A88982083B8306C165D329EB4FDC5CEA8D6C258FB4C7B0430860CC2CB843A8700841D0836B821D41DADA2486FC6D5E135C606B3E2D76DFF529F2EBD4BF3FE8DC79';
wwv_flow_api.g_varchar2_table(347) := '16EA3FB818FB18D3363B840000604D5C23AE3CD2B06D9FC416E9FF496E27EAF9B29FE4F6164BDFD7D6A7D23E3FDCF2318D796CC7EB8D1677CB98C5142B6D63EE15ABBD9F1DAE971D42B022D821A4CFEBB61D425321480E45CAB30C7133F2F3BAD3F5EEDE';
wwv_flow_api.g_varchar2_table(348) := '0EA14244260841D0849D4103E0BB771F3D149123D377C27F3F722938B295B7B33D861D420063A6C70EA142442617210441479A4290656D1243FE36AF0965606B3E2D76DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D3363B84000060559CFDB1A79D1091';
wwv_flow_api.g_varchar2_table(349) := 'FAD1707D3F05DEF793DCA5A8E7CB7E92DB5B2C3B8EB92556D4782DB6E3F5468BBB65CC628A95B631F78AD5DECF0ED7CB0E215811EC10D2E7B5B64348C4ED47FF4EF9B8DA37A4EFDA207A4E30C5F75D57445F5BCCD76B5E973CBB905226FF7EF9B3A9ED80';
wwv_flow_api.g_varchar2_table(350) := '0762D000F8EEDD47F745E4BFCB3C7FFAEF49AE2013D9CA5BDA1E83200430663A0842458910043D08770489716D52FD829FCC6B4219D89A4F8BDD777D8AFC3AF5EF0F3A779E85FA0F2EC63EC6B48D20040000CB2612822AFA16FDFA16EE4A3116DE2AB482';
wwv_flow_api.g_varchar2_table(351) := '68C731B7C48A1AAFC576BCDE6871B78C594CB1D236E65EB1DAFBD9E17A118460452008E9F3DAD6B7A5CF866F48DFB541F49C608AEFBBAE88BEB698AFD7BC2E39A93EE4FBEF6F440882181E133700FECBD95FBC4744AE94F9B4F627722EF546B69247DA63';
wwv_flow_api.g_varchar2_table(352) := '78641CC098313E328E1D41D08B77FFFE79FB2E1082C4B836A97EC14FE635C105B6E6D362F75D9F22BF4EFDFB83CE9D67A1FE838BB18F316DF3C83800005826677FECA92744CA580812E9FF58A0BE8FF671A29E2FFB681F6FB1EC38E6965851E3B5D88ED7';
wwv_flow_api.g_varchar2_table(353) := '1B2DEE96318B2956DAC6DC2B567B3F3B5C2F8F8C8315C123E3F4796DEBDBD267C337A4EFDA207A4E30C5F75D57445F5BCCD76B5E974A41088236D8193420BE7BF7D17BAA4F124CDF15FFBDC9A5E0C856DEDAF6187608018C99961D424529327906421074';
wwv_flow_api.g_varchar2_table(354) := 'E4DDC18E2053DE4E2C2CB9FC6D3A77D0688E095AFAAC4F915FA7FEFD41E7CEB350FFC1C5D8C798B6D9210400008B3215829A3B82121F81E8FB29F0BE9FE42E453D5FF693DCDE62D971CC2DB1A2C66BB11DAF375ADC2D631653ACB48DB957ACF67E76B85E';
wwv_flow_api.g_varchar2_table(355) := '7608C18A6087903EAF6D7D5BFA6CF886F45D1B44CF09A6F8BEEB8AE86B8BF97AF3EBD2F17F7FE373C85D90849D41C3625E48718DFFFB6D1D6C258FB4C7B0430860CC247608158210043D788FB223C894B7130B4B2E7F9BCE1D349A6382963EEB53E4D7A9';
wwv_flow_api.g_varchar2_table(356) := '7F7FD0B9F32CD47F7031F631A66D76080100C0223CEA63172A8F864B7CF4A1EFA7C0FB7E92DB897ABEEC27B9BDC5B2E3985B62458DD762B3D7FBCA7A17437E970F3B8400F2B043489FD7B6BE2D7D367C43FAAE0DA2E704537CDF7545F4B5C57CBDEDEB12';
wwv_flow_api.g_varchar2_table(357) := '421064410C1A10CDC7C5C93C7FFAD9305790896CA562D31E83200430660241A81091C94F23044147DED3D81194CBC15A1B829066FB83CE9D67A1FE838BB18F316D23080100401F2A21C8543CABE85BF4EB5BB873D2567853D00AA21DC7DC122B6ABC169B';
wwv_flow_api.g_varchar2_table(358) := 'BCDEE37FFEC29BAEF18BD67951074108200F82903EAF6D7D5BFA6CF886F45D1B44CF09A6F8BEEB8AE86B8BF97AF5750921084CF098B801D27C5C9CCCA7B7FF3EE55270642B6F737B0C8F8C0318335FB873729188DCFBF423870841D089F7FEFEE3F645E4';
wwv_flow_api.g_varchar2_table(359) := 'B094D2FB8EA05C0E567D120B4B2E7F9BCE1D349A6382963EEB53E4D7A97F7FD0B9F32CD47F7031F631A66D1E19070000561EF5F10B4F48E9EF08323D5EA7A2EF6381FA3EDAA714F57CD947FB788B65C731B7C48A1AAFC5CEDB0A11B9ECCF5E78F3BC5878';
wwv_flow_api.g_varchar2_table(360) := 'E6F517078FB5CA3FF68D47C601E4E19171FABCB6F56DE9B3E11BD2776D103D2798E2FBAE2BA2AF2DE6EBAD638FFFDB1B9F4B8E0213884103E47B771F3DA314B9A7F9E89DA840A4FCAE94B595B7BA3D06410800006A2A21A8FE8EA06EEB92EA93585872F9';
wwv_flow_api.g_varchar2_table(361) := 'DB74EEA0D11C13B4F4599F22BF4EFDFB83CE9D67A1FE838BB18F316D23080100408E477DFC29B347C3598B7EB6C29D39B66FE1AE14F57CD9C29D778D1DC7DC122B6ABC163B7D22C09FBDF0E6E883600842C67B0641083A8220A4CF6B5BDF963E1BBE217D';
wwv_flow_api.g_varchar2_table(362) := 'D706D1738229BEEFBA22FADA62BEDE528EFFDB1B9F476E02333C266E80DCE7EC2FDEEB442E6AB6B9C6FFFDB60EB69247DA6378641C00004C795F20048992B9733958F5492C2CB9FC6D3A77D0688E095AFAAC4F915FA7FEFD41E7CEB350FFC1C5D8C798B6';
wwv_flow_api.g_varchar2_table(363) := '79641C0000B4510B4132AD80050B89E9F13A157D1F0BD4F7D13E4ED4F3651FEDE35D63C731B7C48A1A1FC51622A52A048988FCF90B6F3AC523E342D4781E19079DE09171FABCB6F56DE9B3E11BD2776D103D2798E2FBAE2BA2AF2DC6EB450882CE20060D';
wwv_flow_api.g_varchar2_table(364) := '94FB9CFDC543D7F8FE2099E74F3F1BE60A3291AD546CDA6310840000769DF77D692A04B98610548120945E9F22BF4EFDFB83CE9D67A1FE838BB18F316D2308010080C6A33EFEE41322A5F768387BD1CF56B833C7F62DDC3951CF972DDC79D7D871CC2DB1';
wwv_flow_api.g_varchar2_table(365) := 'A2C6CFED429C4CFEEC85B7B43E1A1A41C878CF200841471084F4796DEBDBD267C337A4EFDA207A4E30C5F75D57445F5B32D77BFCDFDE801004DDE1317103E77B771F3D514AF81C658912442E0547B6F2B6B7C7F0C83800805DE4DA2F3D6EBFAC7604F9E9';
wwv_flow_api.g_varchar2_table(366) := 'D28347C6A5D7A7C8AF53FFFEA073E759A8FFE062EC634CDB3C320E00002AA64250F36F5BE5A305C142627ABC4E45DFC702F57DB44F29EAF9B28FF6F1AEB1E3985B62258E2F44DCE4CF5ED02E0435E19171C67B8647C6414778649C3EAF6D7D5BFA6CF886';
wwv_flow_api.g_varchar2_table(367) := 'F45D1B44CF09A6F8BEEB8AE86B8B1277FCDFDE700939087AC1CEA0E17399F33E4150A5043F11E4526F642BF9A73D861D420000BBC6B5E18E203F5D7AB04328BD3E457E9DFAF7079D3BCF42FD0717631F63DA668710000088883CFAE34F0A842051AAFDD6';
wwv_flow_api.g_varchar2_table(368) := '4F81273EFAD0F753E07D3FC9ED443D5FF693EBDE35761C734BACF8F1D3EF08EA2004093B84D821042B831D42FABCB6F56DE9B3E11BD2776D103D2798E2FBAE2BA2AF2D411C42102C0462D0C0B9CFD95F3C25221304A1E038821000C04A79FF97FCEF089A';
wwv_flow_api.g_varchar2_table(369) := 'E74B3F5D7A2008A5D7A7C8AF53FFFEA073E759A8FFE062EC634CDB08420000BB4D2504998A60E6A29FAD70678EED5BB873A29E2F5BA8F4AEB1E3985B62A787CB9910746B2721A80241C878CF200841471084F4796DEBDBD267C337A4EFDA207A4E30C5F7';
wwv_flow_api.g_varchar2_table(370) := '5D57445F5B66710841B0303C266E4BF8DEDD47CF10917BCAE0FB1ACAC6FFFDB60EB6720BB4C7F0C838008031D3148292F9B20C6CCFA7DBBAA4FA2416965CFE369D3B6834C7042D7DD6A7C8AF53FFFEA073E759A8FFE062EC634CDB3C320E0060F778F48D';
wwv_flow_api.g_varchar2_table(371) := '4F3A2165F8D873E3470D8285C41637A3EF6381FA3EDAA714F57CD9471979D7D871CC7A6C212293932FF8542F21A8098F8C33DE333C320E3AC223E3F4796DEBDBD267C337A4EFDA207A4E30C5F75D57245A5B8EFFEB1B8E916B6061D819B425DCE7EC2FDE';
wwv_flow_api.g_varchar2_table(372) := '3BDB215434DB5DE3FF7E5B075BC93FED31EC100200182BC91D41335CF0839E83BBAD4BAA4F6261C9E56FD3B98346734CD0D2677D8AFC3AF5EF0F3A779E85FA0F2EC63EC6B4CD0E210080DDE2D1373E71FA68B86041307D2A5AAC9F024F7CF4A1EFA7C0FB';
wwv_flow_api.g_varchar2_table(373) := '7E92DB897ABEEC27D7BD6BEC38E63876694290B043881D42B032D821A4CF6B5BDF963E1BBE217DD706D1738229BEEFBA22DEDA8210044B0331688BB8CFD95FBC074148398E200400B0143E10084115C97CE902DBF3E9B62EA93E89852597BF4DE70E1ACD';
wwv_flow_api.g_varchar2_table(374) := '31414B9FF529F2EBD4BF3FE8DC7916EA3FB818FB18D336821000C06E301782D652F4B315EECCB17D0B774ED4F3650B95DE35761C731D5B88944B13822A10848CF70C8210740441489FD7B6BE2D7D367C43FAAE0DA2E704537CDF7545A410871004CB85C7';
wwv_flow_api.g_varchar2_table(375) := 'C46D21DFBBFBE8BE881CF2C8B8E0388F8C0300E8CD075A1E0D5791CC9765607B3EDDD625D52731A05CFE369D3B6834C7042D7DD6A7C8AF53FFFEA073E759A8FFE062EC634CDB3C320E0060BCD442509359E52E58104C8FC911EB6381121F81E8FB58A0BE';
wwv_flow_api.g_varchar2_table(376) := '8FF629453D5FF65146DE35761A7321A54C4EBEE0D34B15829AF0C838E33DC323E3A0233C324E9FD7B6BE2D7D367C43FAAE0DA2E704537CF775E599FFFAFAE3B72907017A8318B4A52008258E2308010074E6835F7ADC7E19EC084AE6F1945D06B6E7D36D';
wwv_flow_api.g_varchar2_table(377) := '5D527D1203CAE56FD3B98346734CD0D2677D8AFC3AF5EF0F3A779E85FA0F2EC63EC6B48D200400303E1E7DE3136642D0A68A7EB6C29D39B67BE1AE72B08B1422897F1BD398A78F867BFEEA84A00A0421E33D8320041D4110D2E7B5AD6F4B9F0DDF90BE6B';
wwv_flow_api.g_varchar2_table(378) := '83E839C1146F5B570A1199FCEBEB9FBFF2DC0EBB078F89DB5278645CE2388F8C0300E8C407673B825CE6D170A97617FCA0E7E06EEB92EA9318502E7F9BCE1D349A6382963EEB53E4D7A97F7FD0B9F32CD47F7031F631A66D1E190700302E6A2148B46A7D';
wwv_flow_api.g_varchar2_table(379) := 'DD162C0886C7E44CED5E7133FA3E16A8EFA37D9CA8E7CB3ECAC8BBC6EC98A78F865B8310243C328E47C6C1CAE09171FABCB6F56DE9B3E11BD2776D103D2798E2F3EB0A4210AC14C4A02D064128711C410800C0C40783EF08CAE5C554BB0B7ED07370B775';
wwv_flow_api.g_varchar2_table(380) := '49F5490C2897BF4DE70E1ACD31414B9FF529F2EBD4BF3FE8DC7916EA3FB818FB18D336821000C03878CC8D93134ECAE0D1709B2AFAD90A77E6D87CE1AE41A3CD897ABE6CA1D2BBC6E498673B823EB3D662218290F19E4110828E2008E9F3DAD6B7A5CF86';
wwv_flow_api.g_varchar2_table(381) := '6F48DFB541F49C608A4FAF2B0841B0721083B61C04A1C4710421008056AEFBD2F9FB2E78349C18F262D6CF05B6E7D36D5D527D1203CAE56FD3B98346734CD0D2677D8AFC3AF5EF0F3A779E85FA0F2EC63EC6B48D200400B0DD3CE6C6C97C47D0708A7EB6';
wwv_flow_api.g_varchar2_table(382) := 'C29D39765882D04684A00A0421E33D8320041D4110D2E7B5AD6F4B9F0DDF90BE6B83E839C1141FC72104C15A400C1A01084289E3084200002AD77DF9FCD98E20775A9F3C99F57381EDF9745B97549FC48072F9DB746E916F351B8D31514B9FF529F2EBD4';
wwv_flow_api.g_varchar2_table(383) := 'BF3FE8DC7916EA3FB818FB18D336821000C076F2984F1C39214EBC1D41C329FAD90A77E6D86108421B15822A10848CF70C8210740441489FD7B6BE2D7D367C43FAAE0DA2E704537C1D5788C8E47FBDFE051BCDEDB01B20068D0404A1C471042100008F0F';
wwv_flow_api.g_varchar2_table(384) := '7D79B623C8553B82FA15F3B37E2EB03D9F6EEB92EA9318502E7F67CE7DF09A0BBF7686133968369AC6A378F4599F22BF4EFDFB83CE9D67A1FE838BB18F316D230801006C178FF9C491D98E204B016E53453F5BE1CE1CBB5941A81091C93DCFFFDD41140B';
wwv_flow_api.g_varchar2_table(385) := '11848CF70C8210740441489FD7B6BE2D7D367C43FAAE0DA2E70453BC2B118260ADB8B24C4D0AD846BE77F7D17D11392C83C7FE948DFFFB6D1D6CE556698F29B3E79CB707072C719DFA2A2DE7E86297E1CB491199DCFF9CDB4F0900C040F9D07C47D0748D';
wwv_flow_api.g_varchar2_table(386) := '28A599D8E23C2AAD79D0E85706B6E7D36D5D527D1203CAE56F25ECE0D72FFCDAFC0FF5B7DD7EEE8952E492A6A3693C8A479FF529F2EBD4BF3FE8DC7916EA3FB818FB18D3B6881CBCFDE85D144D0000064C2D04357151522F2D1F05A8DAB2B1A2C45BFA94';
wwv_flow_api.g_varchar2_table(387) := '44BF2252FAEDE6D8523F5F36BE14F57C7A9C34FF6D6642D06707572C3CF3FA8BF766BF5F9E356D89DF93F09A5BAF37132B6DF755AF58EDFDECF0FEAAF7821A7FFC9B975EC7875EC0CCE9EFB83A985B12DF5B65C73C5B51562F065F657ED9E21AEDD93CDD';
wwv_flow_api.g_varchar2_table(388) := '72BE6CACE86336C58929C7DBFA9CA1E48496F8A910F45B2F1C5C6E87F1C2CEA091C10EA1C471760801C08EF3E12FC7DF11E4A499D8FAEDEEC8FAB9C0F67CBAAD4BAA4F6240B9FC1D1CF784201191D75CF8B563EC10CAFBB143080060F778CC271EAF0841';
wwv_flow_api.g_varchar2_table(389) := '32ADD805497D389F024F7CF4A1EFA7C0D7BB43A810374C2148D821C40E215819EC10D2E7B5AD6F4B9F0DDF90BE6B83E83921118F10041B013168842008258E230801C08EF2E1C68E2035A7B9DAEA9327B37E2EB03D9F6EEB92EA9318502E7FCFEC4808AA';
wwv_flow_api.g_varchar2_table(390) := '4010B2F921080100EC0EB510B48D453F5BE1CE1CBB1E41A8102927F71C1FA61054812064BC671084A0230842FABCB6F56DE9B3E11BD2776D103D2704F10841B0311083460A8250E238821000EC18D7078F8693544E73B5D5274F66FD5C607B3EDDD625D5';
wwv_flow_api.g_varchar2_table(391) := '2731A04CFE4E0A41150842363F04210080F113EF08DAC6A29FAD70678E5DAD20347D34DCF1DBB6A258882064BC671084A0230842FABCB6F56DE9B3E11BD2776D103D27CCE26742D02F6F456E87F181183462108412C71184006047A88420177C8F9CA472';
wwv_flow_api.g_varchar2_table(392) := '9AABAD3E7932EBE702DBF3E9B62EA93E890125CE75F0EA8C1054812064F343100200182FE77CE282134E4AFDD1702A9602DCA68A7EB6C29D39763582D0560941150842C67B0641083A8220A4CF6B5BDF963E1BBE217DD706517342E1A44408828D821834';
wwv_flow_api.g_varchar2_table(393) := '72108412C711840060E47C24D81164CE79AEB6CC315DFC5C607B3E61260F8FC7443E890105CD07AFBEF08F3BFD018E2064F343100200181FE77CF282F98EA04E453053016E53453F5BE1CE1CBB5C41A870526E9D1054812064BC671084A0230842FABCB6';
wwv_flow_api.g_varchar2_table(394) := 'F56DE9B3E11BD2776D102FB61091C9FFFCAD5FD9CADC0EE30131680740104A1C4710028091F291C48E2073CE73B5658EE9E2E702DBF3093379783C26F2490C68D67CF0AA8E4250058290CD0F410800603C9CF3C9F3A74290B78C742882990A709B2AFA65';
wwv_flow_api.g_varchar2_table(395) := '0B7753D31ABB1C41A81091C97F3FFEB9AD2E16220819EF190421E80882903EAF6D7D5BFA6CF886F45D1B44445C891004830131684740104A1C4710028091F1D1CC8E2073CE73B5658EE9E2E702DBF3093379783C26F2D107D45B08AA4010B2F921080100';
wwv_flow_api.g_varchar2_table(396) := '6C3F732168D445BF64E1CE37ADB18B0942A310822A10848CF70C8210740441489FD7B6BE2D7D367C43FAAD0D084130281083760804A1C47104210018091F35EE0832E73C575BE6982E7E2EB03D9F309387C763221FBFE1E0D71614822A10846C7E084200';
wwv_flow_api.g_varchar2_table(397) := '00DBCB399F7CDCFCD17053C65CF44B8CB95FD1AFAF2054881B8F1054812064BC671084A0230842FABCB6F56DE9B3E11BD26D6D980A41BFF9A251E576D86E1083760C04A1C471042100D872BAEE0832E73C575BE6982E7E2EB03D9F309387C763229F69C3';
wwv_flow_api.g_varchar2_table(398) := 'D284A00A04219B1F821000C0F6510B41BB54F44B8CB95BD1AFE1A89F2F113FDD1174ECF3A32C16220819EF190421E80882903EAF6D7D5BFA6CF886D8D6068420182488413B088250E2388210006C29377CC517822AECF92AE3E36ACB1CD3C5CF05B6E713';
wwv_flow_api.g_varchar2_table(399) := '66F2F0784CD0B67421A80241C8E687200400B03D24770485B6B78C580A6F8DF620A90FA7E89718B3ADE81737D904A1510B41150842C67B0641083A8220A4CF6B5BDF963E1BBE21ED6B0342100C16C4A01D054128711C410800B68C1BBE72C1F4D170CE17';
wwv_flow_api.g_varchar2_table(400) := '822AECF92AE3E36ACB1CD3C5CF05B6E71366F2F078CCACEDE0954F598D1054812064F343100200183E8FFDE479811054B14B45BFC498572308CD84A02FEC44B11041C878CF200841471084F4796DEBDBD267C337445F1B6642D0AFEE446E87ED03316887';
wwv_flow_api.g_varchar2_table(401) := '41104A1C471002802DE1C44C081271D347C32512A73D5F657C5C6D9963BAF8B9C0F67CC24C1E1E8F58B91054812064F343100200182E8FBD692A04D98B60632EFA25C6BC5C41A87052EE8C1054812064BC671084A0230842EB581BC492E30B272542100C';
wwv_flow_api.g_varchar2_table(402) := '1A5796A91B1C7685EFDD7D745F440ECBE0F14265E3FF7E5B075BB9BDDA63CAEC39E7EDC1014B5CA7BE4ACB39BAD865F872524426F73FE7F6530200D0915A0892D3C23C935ADAEDF92AE353D69639A68B5F19D89E4F98C9C3E322227270D99A84A0266FBB';
wwv_flow_api.g_varchar2_table(403) := 'FDDC13A5C825CD41F5FBF7E9B73E457E9DFAF7079D3BCF42FD0717631F63DA169183B71FBD6BEDEF3900C018A8842091E61ADC51FEF796118BDCDF680F927A1CDF72BE6CACE863EE1537A3F4DBCDB1755C212293FFEFD8FFB5B3C5C233AFBF786FF67BEC';
wwv_flow_api.g_varchar2_table(404) := '59D396F83D09FF0D5BEFC94CACB4DD57BD62E3FB2075BFD86225157FFC9B975EC7875EC0CCE9EFB8FA0C11F97BBF35B8B7CA8E79B6A2757DC8CF2F5B5CA33D9BA737B536482AC7172232F91FBF79E9CEE676D80ED81904EC104A1D678710000C94838610';
wwv_flow_api.g_varchar2_table(405) := '244A9ED9F11D421B1182841D42663F760801000C87C7DE74EE0991B27E34DC7C0DEE28FB7BCB8845E66FB407497D389F024F8C79B11D423B2F04093B84D821042BE1F477BC694F446E8B8F04F7163B847CDFA66D8A13ADEF425C8910045B013B83600E3B';
wwv_flow_api.g_varchar2_table(406) := '8412C7D921040003E240DD113425CC333BB843E8E0151B12829AB043C8E6C70E210080CD3215829ADF11D4A882CDD7E08EF2BFB78C58E4FE467B90D487F329F0C498BBEF109A0A4197FCDF140B67B043287BCF54B043085A990941B3B964CCDBEC10F27D';
wwv_flow_api.g_varchar2_table(407) := '9BB6294EAAD8E98EA0DF7831B91DB6027606C19CD90EA1339CF78CD12A2DFA892F977A235BC99BED31EC1002000849EF089A12E6991DDB2134082148D82164F663871000C0E678EC4D8F0D8420F1AB66F335B8A3ECEF2D231699BFD11E24F5E17C0A3C31';
wwv_flow_api.g_varchar2_table(408) := 'E66E3B84108214D82164BEDFD82104497C2148DAF36C137608F9BE4DDB142722522204C1D68118041EF739FB8BA7668F8C43100A8CFC39BAD82E7C41100280563EF6950BF65D4308AAC8E5991D11840E5E3E1021A80241C8E687200400B07E6A21285314';
wwv_flow_api.g_varchar2_table(409) := '9BAFC1C6C2E2A88B7E8931DB042184A0161084CCF71B8210449CF1CEABF69C2B1B425085316F2308F9BE4D3B1F8710045B096210442008258E230801C086F858634750B73C34CBDC89C469CF57191F575BE6982E7E2EB03D1F373821A80241C8E6872004';
wwv_flow_api.g_varchar2_table(410) := '00B03ECEBDE99C604750A628365F838D85C5F116FDFA0A420841061084CCF71B8210CC39E39D57CD770439FB3D842064EEBBB5CF9910F412723B6C1D8841A0822094388E2004006BE6E3CA8EA06E796896B91389D39EAF323EAEB6CC315DFC5C604F3978';
wwv_flow_api.g_varchar2_table(411) := 'D953FE68D07F102308D9FC10840000564F2504752AA049730D361616C757F4F3FD3474416826047D9162A1010421F3FD86CB3DE1120000200049444154200472C63BAFDC13F177042108C9BAD6068420D86A5C99FA76690011F9DEDD47F744E4B00CB69C';
wwv_flow_api.g_varchar2_table(412) := '968DFFFB6D1D6CE5D66B8FC97C9176B33D386089EBD457E24BBB73FDA4ED327C39292293FB9F73FB2901809DE5E3C17704E5724ABBCF2C73271267EEDCE6BECADA32C774F1ABF3E4E085A0266FBBFDDC7B4A91B39A17D6EFDFA7DFFA14F975EADF1F74EE';
wwv_flow_api.g_varchar2_table(413) := '3C0BF51F5C8C7D8C695B440EDE7EF4AEADB957000056C1B937CF76047929DD20AB37DBE66B7047F9BFB54F49F43B6B0F927AA7316763451F73AFB819E5BCBD1091C9DD97FC1EC5C28E9C79FDC5C1F79FC4EF49F8EFDF7A4F6662A5EDBEEA15EBDD0733F4';
wwv_flow_api.g_varchar2_table(414) := 'F1D96225157FFC9B975EC7875E7690A91014CC9106A5FD1E8ADBCB8E79B6A2757DC8CF2F5B5CA33D9BA757B636142232F997DF7829B91DB6167606412BEC104A1C67871000AC981B0D3B82BAE5A159E64E24CEDCB9CD7DB9DA32C774F19BFEB05542D08C';
wwv_flow_api.g_varchar2_table(415) := 'E95ADAB8B07EFF3EFDD6A7C8AF53FFFEA073E759A8FFE062EC634CDBEC1002805DE7DC9B1F533F1ACE4BE90639BDD9E6AA978EB27F6B9F92E877D61E24F54E63CEC68A3EE65E7133A69FCC47085A00760899EF377608ED2067BCF38A400892783ED8EFA1';
wwv_flow_api.g_varchar2_table(416) := 'B89D1D42BE6FD3760841300ED8190426D8219438CE0E2100580137DE71C1BE94F61D41DDF2D02C73271267EEDCE6BECADA32C7D8FC0E5EFAE4AD138244A6BB83EAB5B47161FDFE7DFAAD4F915FA7FEFD41E7CEB350FFC1C5D8C798B6D9210400BB882704';
wwv_flow_api.g_varchar2_table(417) := '352B605E4A37C8EA4A2C3B8444EB772A043DEFFFA158B820EC1032DD6FC20EA1DDC11782F2F7073B8464996BC354087ADDCBC8EDB0F5B033084CB04328719C1D4200B0643E71C7ECD170CEBE23A85B1E9A65EE44E2CC9DDBDC97AB2D734CDE6F6B852099';
wwv_flow_api.g_varchar2_table(418) := '7E7FD0297608D9FCD8210400B038BE10247EE5CB4BE906395D89658790847108414B841D42D9FBAD821D423B40BC23287F7FB0434896B5362004C1A8400C0233084289E3084200B0242A21C8558F86F37E31F6C9D9ED3EB3CC9D489CB9739BFB72B5658E';
wwv_flow_api.g_varchar2_table(419) := '49FB1DBC648B85A00A0421BB1F821000407FCEBDF9D12744CA861054D128767929BD43014DEA580421F18A850841CBA521081D4C5BF2A20E82108C8D1F7BD7E5CAA3E1249FA7054168EE13615E1B0A9112210846058F8983CEF0C8B8C4711E1907000BF0';
wwv_flow_api.g_varchar2_table(420) := 'C93B1EBF5F4AE97D475019FDD02587587C66993B913873E736F7D5B810738CCFC18B47200435E19171763F1E190700D08DA910D4DC119491D3BD946E90D595D81D7F64DC4C08FA7F2916AE9033AFBFD87FE461B4B8FBEF1B8F8C8331D01482F4C7BE493E';
wwv_flow_api.g_varchar2_table(421) := '4F0B8F8C9BFB44B4AE0DB31D412F27B7C3A860671074861D4289E3EC1002809E7CF28EC7CF7604B9D31ACD753E68240A7B0EB1F8CC32772271E6CE6DEEAB7121E6989AD10941C20EA14E7EEC100200B073DECD8F0A84204949EDF58F5E4A37C8E94AEC0E';
wwv_flow_api.g_varchar2_table(422) := 'EF1042085A137FFEC29B8EB143A8891ACF0EA11111EE08D277F9483E4F27638DE7DBCD1D420841305A1083A017084289E3084200D0919B664250B52328CC322EFAA14B0EB1F8CC32772271E6CE6DEEAB7121E698910A41150842763F042100803CE7DD32';
wwv_flow_api.g_varchar2_table(423) := '1582EC05B4469B97D23B14D0A48EDD4141082168CD200885A8F1084223E0C7DEF5C63D993E35C27B220F8290B48F399BDF4D6B0342108C1AC420E80D8250E23882100018B969BE2348821D41891CEAFD62EC93B3DB7D66993B913873E736F7D5B81043CC';
wwv_flow_api.g_varchar2_table(424) := 'A885A00A0421BB1F821000409AF36E397BBA236896E8EC05B4469B97D23B14D0A48EDD214108216843200885A8F108425BCC5408AA760429F71582D02AD786424426FFFCBA5790DB61B42006C1422008258E2308014086784790CF8E0B420797EE801054';
wwv_flow_api.g_varchar2_table(425) := '812064F74310020088990B414111CD5E406BB47929BD43014D72FD8A12BFF1A29F87ADEF52AA62E19F3EEF768A851B024128448D4710DA427EEC5D6FF01E0D3745B9AF108456B1362004C14E8018040B832094388E200400096E0E84A08A78FE2772A8F7';
wwv_flow_api.g_varchar2_table(426) := '8BB14FCE6EF79965EE44E2CC9DDBDC57E34294989D12822A1084EC7E0842000035B51054E117D1EC05B4469B97D24D05B4FAC7D67E4589DF58D1AF72F630F45D8894084103004128448D4710DA226A21A8F41E0D3745B9AF108496B9364C85A0D72204C1';
wwv_flow_api.g_varchar2_table(427) := 'F8410C82A5802094388E2004000137271E0D5711CFFF440EF57E31F6C9D9ED3EB3CC9D489CB9739BFB6A5C48E3F8C1AFEEA01054812064F7431002001039EF9647064250855F44B317D01A6D5E4AEF58F46BED5794F8B517FDFCB66CECDC77BA23E8B9BF';
wwv_flow_api.g_varchar2_table(428) := '4FB17020200885A8F108425BC0FDAF797DB023C8F6FE220849FB98B3F9BDCEEDFFFCDACBC8EDB013B8B24C4D1A80EE7CEFEEA37B227258065F725736FEEFB775B0955BB53DA6CC9E73DE1E1CB0C475EAABB49CA38B5D862F27456472FF736E3F25003058';
wwv_flow_api.g_varchar2_table(429) := '6EB9E3F1FB65B023A8E557D7C04EE4D046B33D87587CA63FA57E4DC89DDBDC577D21072FDA6121A8C9DB6E3FB75E4B5BDE5FAD2DF6E9B73E457E9DFAF7079D3BCF42FD0717631F63DA169183B71FBD8B7B1100068D2F0465E4F5B27AB148E7419B97D20D';
wwv_flow_api.g_varchar2_table(430) := 'B2BA12ABF72B4ABC3F5EE934E6597B90D43B8DB93D7626047D8962E10039F3FA8BFDF9102DEEFEFBDE7A4F6662A5EDBEEA152B22A5E53EB5C64A2AFEF8372FBD8E0FBD0C90A610549AEE05E5BE52EF0331C5EBB1C6F3951DF36C45A775299E5FB6B8467B';
wwv_flow_api.g_varchar2_table(431) := '3ABFCF84A05792DB61676067102C157608258EB3430860E7B925B123A8E557D6C04EE4D046B33D87587CA63FAD6987104250037608D9FDD8210400BB48BC232823ABBBEAC52299076D5E4A37C8E94AEC08760821040D1C760885A8F1EC101A20E18EA078';
wwv_flow_api.g_varchar2_table(432) := 'B78EEDFD658790B48F59CFEF0841B0932006C1D241104A1C471002D8596E39F4BF232837CF53ED2315840E5EF4E4AFF28769008290DD0F4108007689C7DDFA88134ECAF4A3E152EDAE7AB116D01A6D5E4AEF58F46BED5794F89515FD7C9F88B8DFA95922';
wwv_flow_api.g_varchar2_table(433) := '046D090842216A3C82D080B8FF35BF153C1A6E0A8290E2BBFCB5A170522204C14E8218042B014128711C410860E7B8F5F0F1FB4EE4505CFB8EA0645E8AEC440EF57E31F6C9D9ED3ED39F5624081DFCCA931082522008D9FD108400601778DCAD8F98EE08';
wwv_flow_api.g_varchar2_table(434) := '520B6F922FDCB9EAC51ADB68F3527AC7A25F6BBFA2C42FBDE8D76DCC752C42D096812014A2C623080D805A082A3D21A8024148F15DDEDA5088C8E49F5EFB6BE476D849F8CE2058297C8750E238DF2104B013DC1AEC082A259EC8B9799EF64BE4D04673EE';
wwv_flow_api.g_varchar2_table(435) := 'DCDDF2D0F4A7257E87D0C12F230499E03B84EC7E7C8710008C95C7DDBA7F42C4F93B82D4EF6A90846CDE682FAB176B6CA3CD4BE906595D89DD92EF102AA494C9379EFB658A855B08DF2114A2C6F31D421B42DF1194788F4DF782725FF11D42A93117226E';
wwv_flow_api.g_varchar2_table(436) := 'F24FAF410882DD859D41B052D8219438CE0E2180D1F3A96A4750E33B829CC4133937CFD37E891CDA68CE9DBB5B1E9AFEB4A41D4208411D608790DD8F1D42003046A642905C125596D921E4FB69ED4152378EB9104108DA66D82114A2C6B3436803DCFF9A';
wwv_flow_api.g_varchar2_table(437) := 'DFDC1329A347C325DF63D3BDA0DC57EC10D2FA9DEE084208821D073108560E8250E2388210C068F9546347903A677BE417DD2F9143BD5F8C7D7276BBCFF4A705052184A01E2008D9FD108400604CD4425085A5F0A6F885EDAE7AB1C636DABC94DEB1E8D7';
wwv_flow_api.g_varchar2_table(438) := 'DAAF28F1BD8B7E757B90D433639E0A41CF4108DA76108442D47804A135321582AA1D41E6F7084148F3EDBE36CC84A05791DB61E7410C82B5802094388E2004303A3E9DDA11D4C0298DB9799EF64BE450EF17639F9CDDEE33FDA9A7208410B4000842763F';
wwv_flow_api.g_varchar2_table(439) := '04210018038FBBF5AC4008AAB014DE14BFB0DD552FD6D8469B97D23B16FD5AFB1525BE73D12F6E0F927A62CC3321E82B140B47028250881A8F20B4061EF0EEDFD813173E1ACEFC1E210869BEF6B5012108A001DF19046B85EF104A1CE73B840046C1A70F';
wwv_flow_api.g_varchar2_table(440) := '8FECCFB6FDD7DF11D440B57BE417DD2F91431BCDB97377CB43D39F3A7C87D0C9173EE9ABFBBA377481EF10B2FBF11D4200B0ADF84290511EE73B847C3FAD3D48EA8DF899107407C5C211C2770885A8F17C87D08A78C0BB7F63BE23A834DE43C9F7D8742F';
wwv_flow_api.g_varchar2_table(441) := '28F7D5EE7E87D04C087A35B91D60063B8360ADB04328719C1D42005BCF670E8FCC7604B9F61D41A1DD23BFE87E891CDA68CE9DBB5B1E9AFE64DC2174D2894C744FE80A3B84EC7EEC1002806DE4FC4F3DBCFDD170A9767608F97E5A7B90D467F108412387';
wwv_flow_api.g_varchar2_table(442) := '1D42216A3C3B8456C003DEFDBAC6A3E166EF91E13E48BEC7A67B41B9AF76738710421080026210AC1D04A1C471042180ADE533874782EF088A6662BBDD23BFE87E891CDA68CE9DBB5B1E9A5D6D6280B3E6031199BCE0495F6567E2124110B2FB210801C0';
wwv_flow_api.g_varchar2_table(443) := '36510941B6829FD28E20E4FB69ED7E522F9C9408413B008250881A8F20B4446A21A8F49E8C8320A4F8686D9DD6A5687E154E4A842000051E13071B8347C6258EF3C83880ADE2770F8FEC97C177048992CB4C73B6477ED1FD1239B4D19C3B77B73C34BBDA';
wwv_flow_api.g_varchar2_table(444) := '38E8E0F97C47D04AE19171763F1E1907004327DE11647D2490D2CE23E37C3FADBD9C7E6AFCAEE71C522CDC2178645C881ACF23E31624DC113445B9B70CF741F23D36DD0BCA7D35FE47C61552CAE41F5FF3EBE4760005C420D828084289E30842005BC1EF';
wwv_flow_api.g_varchar2_table(445) := '367604A5E76C3413DBED1EF945F74BE4D04673EEDCDDF2D0EC6AEB863B9FFFA4AFF268B835802064F743100280A172FEA7CE9C15A82D85BB450A6F8A5FD85E562FD6D8469B97D22DE38E63D7240815226E72D7B31182761104A110351E41A8270F78F76B';
wwv_flow_api.g_varchar2_table(446) := 'F7445C20045528F796E13E48BEC7A67B41B9AFC62B0815226EF28FBF8E10049082C7C4C146E1917189E33C320E60F07CB6210449EBBC8F6662BBDD23BFE87E891CDA68CE9DBB5B1E9A5DEDF4E5A4885C24B01678649CDD8F47C601C010A98520512567DB';
wwv_flow_api.g_varchar2_table(447) := '238194761E19E7FBD54C77042104ED2C3C322E448DE791713D980A41F1A3E16A947BCB701F24DF63D3BDA0DC57E37C645C212208410019108360E32008258E2308010C96CFDE3915825CF068B8F49C8D6662BBDD23BFE87E891CDA68CE9DBB5B1E722222';
wwv_flow_api.g_varchar2_table(448) := '279D93C9F3F98EA0B5822064F743100280217181270455580A778B14DE14BFB0DD552FD6D8469B97D22DE38E63572808CD84A03B2916EE380842216A3C8250071EF09ED7068F86B3E5310421C5476B6B5F976642D06BC8ED0019108360102008258E2308';
wwv_flow_api.g_varchar2_table(449) := '010C8EDB664290387D47507ACE4633B1DDEE915F74BF30EBC48EB97377C8432745DCE4F813118236018290DD0F41080086402504E9F9CC52B85BA4F0A6F885EDAE7AB1C636DABC946E19771CBB02410821083C108442D4780421030F7CCF6BF69C9487E2';
wwv_flow_api.g_varchar2_table(450) := 'C247C3D9F2188290E2A3B5E9EB0342104007F8CE2018147C8750E238DF21043008E64250F33B82FCE934273D67A399D86EF7C82FBA5F987562C7DCB93379E8A4884C8E3DF10FC9231B86EF10B2FBF11D4200B029B41D417A3E8BA522DB774428EDBBFD1D';
wwv_flow_api.g_varchar2_table(451) := '423321E80F28164204DF2114A2C6F31D42091EF89ED7783B82ECDF0314B7DB6313EFB1E95E50EEABEDFD0EA19910F45A723B80117606C1A0608750E2383B8400364E530892E67CF2A7D39CF49C8D6662BBDD23BFE87E61D6891D73E76EC943084103821D';
wwv_flow_api.g_varchar2_table(452) := '42763F760801C02678BCFA68B8543E8B2522DB27C095F6DDDD21841004ADB04328448D678790C203DFF3EBC1A3E1A4C32E9FB8DD1E9B788F4DF782725F6DE70EA1C249891004D0117606C120618750E2383B840036C2E7664250197C479034E75319D8E1';
wwv_flow_api.g_varchar2_table(453) := 'F1A82D9A89ED768FFCA2FB85592776CC9D3BB04F8AC8E41284A0C1C10E21BB1F3B8400605D3485206BDE9A124B45B64F802BEDBBB543A81091C9D79FFD87140B210B3B8442D4787608CDF085A0C47B64782FB5767B6CE23D36DD0BCA98B7678750212293';
wwv_flow_api.g_varchar2_table(454) := '7F78F5EBC8ED001D6167100C127608258EB3430860ED7CAEB123A875FEB9C00E8F476DD14C6CB77BE417DD2FCC3AB163EEDC0D1B2168C0B043C8EEC70E21005807E18E206BDE9A124B44B64F802BEDBBB3430821083AC10EA110359E1D4222F2C0F7BC3A';
wwv_flow_api.g_varchar2_table(455) := 'D81194788F0CEFA5D66E8F4DBCC7A67B4119F376EC104208025800C420182C084289E30842006BE3F3771ED9778D47C3496E0EBBC00E8F476DD14C6CB77BE417DD2FCC3AB163EEDC0E21682B4010B2FB210801C02A39F2E92E8F864BB55B0A778B14DE14';
wwv_flow_api.g_varchar2_table(456) := 'BFB0DD552FD6D8469B97D22DE38E633B08420841D00B04A110357EA705A15A082ABD27D92008AD45102A444A84208005400C8241832094388E2004B0723EDFB223A875FEB9C00E8F476DD14C6CB77BE417DD2FCC3AB163CBB91182B6080421BB1F821000';
wwv_flow_api.g_varchar2_table(457) := 'AC824A08D2FEFE900E796B8AA570B748E14DF10BDB5DF5628D6DB47929DD32EE38D620084D85A0672104413F108442D4F89D14841EF8DEDC8EA0C47B64782FB5767B6CE23D36DD0BCA98872908CD7604FD06B91D6001108360F02008258E230801AC8C2F';
wwv_flow_api.g_varchar2_table(458) := 'DC39D977E25A7704B5CE3F17D8E1F1A82D9A89ED768FFCA2FB8559277654CE7D524426CF4308DA2A1084EC7E084200B04C8E7CFAE127445CFD68B84482B2E6AD2996C2DD228537C52F6C77D58B35B6D1E6A574CBB8E3D896E2FB4C08FA2AC542580804A1';
wwv_flow_api.g_varchar2_table(459) := '10357EA704A11F7FEFABA6429093CC8EA0C47B64782FB5767B6CE23D36DD0BCA988725082104012C09C420D80A108412C711840056C515D31D41DDF28BD7E6023B3C1EB54533B1DDEE915F74BFC435369A1B3F22046D310842763F0421005806934F3FDC';
wwv_flow_api.g_varchar2_table(460) := 'FF32FA190842614AB78C3B8E55FA450882A5822014A2C6EF8420540941AE7A345CF63D49BC47D938BDDD1E9B788F4DF78232E66108420841004B043108B60604A1C47104218055706C267CA4C59284EDB5B9C00E8F476DD14C6CB77BE417DD2F718D8DE6';
wwv_flow_api.g_varchar2_table(461) := '6A47D0731182B61A0421BB1F8210002C42250425565804210953BA65DC716C582CFCFAB3FE8862212C1504A110357ED482D07C47D0ECD170CEFC9E24DEA36C9CDE6E8F4DBCC7A67B4119F36605A19910F49BE47680258118045B058250E2388210C05279';
wwv_flow_api.g_varchar2_table(462) := 'FA91C353223241109AFF801034221084EC7E084200D0077F475098076A0B41284CE99671C7B16EFE68388420580D0842216AFC2805A11F7FEFAFED89948DEF089A822054918F5F40102AC42104012C1BC420D83A108412C7118400960A82D0FCF8497132';
wwv_flow_api.g_varchar2_table(463) := '790E42D0A84010B2FB21080140179EF0E9879F700D21A8425D61A31CA37958DA2D853B53E16D96537B14EE5CF5628D6DB47929DD326E2F162108D6028250881A3F2A41682A04553B825AFE9DB3EF4922361BA7B7DB6313EFB1E95E50C6BC5E41A81091C9';
wwv_flow_api.g_varchar2_table(464) := 'B75EF55BE47680258318045B098250E2388210C052411092934E64F29C2720048D110421BB1F8210005878426347503E4FD416825098D22DE3AE8B857FF2AC3FA658086B014128448D1F8520F4E3EF7DA5F768B8292DFFCED9F724119B8DD3DBEDB189F7';
wwv_flow_api.g_varchar2_table(465) := 'D8742F28635E8F205488940841002B023108B61604A1C471042180A5B2C382D04911993C1B2168D42008D9FD108400A08D272A3B82F279A2B61084C2949E1D7721524EFEE4628420582F0842216AFC560B42B510547A8F869BD2F2EF9C7D4F12B1D938BD';
wwv_flow_api.g_varchar2_table(466) := 'DD1E9B788F4DF78232E6D50A42B31D41AF27B703AC08C420D86A108412C711840096CA0E0A42279D3884A01D0141C8EE872004001A4F6CD91194CF13B5852014A6F4E4B8A73B822EFE1AC542D8080842216AFC560A423FFEBE57EE896BEE08B25D2F8250';
wwv_flow_api.g_varchar2_table(467) := '453EBE451042080258038841B0F52008258E2308012C951D12844E8AC8E4594FF80384A01D0241C8EE872004004D9ED410822A0C733E68AB2D04A130A547E346088241802014A2C66F9520F4A0F75D563F1ACEFB77B55D2F8250453E5E899D3D1A0E2108';
wwv_flow_api.g_varchar2_table(468) := '60D5B8B24C4D5E80EDE27B771FDD1391C3D27BA66BB5E4F8F7796EA98B6C659AB4C794D973CEDB830396B84E7D95967374B1CBF0E5A4884CEE7FCEED148E6127F8C29D13EFF9D1E10CCCCD25AFAD0CECF078D416CDC476BB7B7E392922938B11827696B7';
wwv_flow_api.g_varchar2_table(469) := 'DD7E6EBD96366E903EEB48DFF529F2EBD4BF3FE8DC7916EA3FB818FB18D3B6881CBCFDE85D5B533401D8759A42509F1C10B7D556EACF746BDE9A124B45656991AA94F652A434C85A517B59BD58631B6D5E4A7752EF08FA138A853018CEBCFEE28620EC94';
wwv_flow_api.g_varchar2_table(470) := 'C9E8DFE7FA5C1053ACA8F1FE5C8BDA1BA87D1B73822D5652F1C7BF79E97583FED04B5308F2AED5FB77B55DEF3C3EFB9E2462B3717ABB3D36F11E9BEE0565CCEA7D20A6F859EC6C47D01BC8ED006B809D41301AD8219438CE0E2180A532E21D420841C00E';
wwv_flow_api.g_varchar2_table(471) := 'A10E7EEC1002D86DC21D417D7240DC565BEC100A537A89100483841D42216AFCA077083DE87DAFF03EECE75DABF7EF6ABB5E760855E4E39D2B118200D60C62108C0A04A1C471042180A5324241082108E62008D9FD1084007693277FFAE1275CF06838E9';
wwv_flow_api.g_varchar2_table(472) := '94A7DADA6A0B41681E8B100483064128448D1FA420540B41A5F7841904A1363F65CCFD04218420800DC063E26094F0C8B8C4711E1907B05446F2C8B8932232F925842008E09171763F1E1907B03B3CF9330F3F21652D0459E6BBD696F7A9AD1D7F645C21';
wwv_flow_api.g_varchar2_table(473) := '2293AFFDD2D72916C2E0E19171216AFC601E1917EE089AD2F21E79FFAEB6EBE5917115517B21E226F7FEDA1BC9ED006B869D41304AD8219438CE0E2180A532821D42084190841D42763F760801EC064FFECCECD1701D73A2D696F7A9AD1DDE218410045B';
wwv_flow_api.g_varchar2_table(474) := '053B8442D4F841EC107AD0FB5EBE2752064290B4BF47DEBFABED7AD92154E1B51722821004B021108360B42008258E2308012C952D16844E3A8420C8802064F743100218374FF94CF068B88E39516BCBFBD4D60E0A420841B095200885A8F11B15841E74';
wwv_flow_api.g_varchar2_table(475) := 'EDCB1B3B82F26346106AF353C6DC2E08CD84A0CBC9ED001B023108460D8250E2388210C052D94241E8A4884C7E1121080C2008D9FD108400C6C953AA1D414ACE527EECD496F7A9AD1D12846642D05D140B612B41100A51E33722083DF8DA974D8520D7DC';
wwv_flow_api.g_varchar2_table(476) := '11941F3382509B9F32665D102A444A8420800D831804A3074128711C410860A96C912074521C4210740341C8EE872004302E2EFCCC598DEF009912E62CB5BD435BDEA7B1CE271294356F4DB114EE6C854659BE205488940841B0F5200885A8F16B15842A';
wwv_flow_api.g_varchar2_table(477) := '21C849391582BC7F9BFC981184DAFC9431FB71B31D415790DB01360C6210EC04084289E30842F0FFB3F766DDB21DD5BDE78CF71A83F30DEA0EBDD82F465B74070909A56DDA03A2153D5867BBA7356E716FE31ED3DAA637A0B341F4200984C11C8474641B';
wwv_flow_api.g_varchar2_table(478) := '442760DB75EBD6AD7BEBD6AD6F70730CBDAF7AC86EC58C19113356AEBDB3FBFD1E4EE69C31A359B9D79A9199FF3357C2A8EC802034AB089A2004C17082C427D5907D64E8FE94C435CD1F2FBA36CE5AF3AB83F1AF316F2308019C3F0B21C8BA8A75CE32FD';
wwv_flow_api.g_varchar2_table(479) := '0DBE7ACCCADA6341685E11F47DBE2C84BD00414863F63F174168591134FF8D205B98A9AF1941A81467AC79D60F2108608B400C8283014128D38E2004302A5B2C089D8AC8E4A508413080B75FBD517D808E4FB221FBC8D0FD29896B9A3F5E746D9CB5E657';
wwv_flow_api.g_varchar2_table(480) := '07E35F63DE461002383F9EA92A82108434CABFBE208410047B098290C6EC7FA682D04FBCEF0DD1FBD8050842694CDEE7DD1F12DF34840E2108608B085D974B1A00FBC9A38F5CBA2022D73AF546A0EBFD1BFB1A6CE3722AF7E9AA632EFDAAC1D3AF69AECE';
wwv_flow_api.g_varchar2_table(481) := '33468BDDE9875311995C77F12A5F44C34170DF4393E84387BE026BD752E4EB94ADDB135F72259E8AC8E42508413080BE10649E839DB2AD98823D747F4AE29AE68F175D1B67ADF9D5C1F8D798B745E4E4ED97BE77665F9A001C3A7D2128BD1EAD2C661B9E';
wwv_flow_api.g_varchar2_table(482) := 'EBDDF2D5635656EEE3BC376FCD48A5A2AEF3485586BF13E91CB296F24FA593C9B75FFE03BE2C84BDE5A73EF28A9EC01C8C8B31BE46ECEB485C7DC5EC1F160DB6BF8739B73327F8FA4AAEFFF17F79ED8746FD4F2FB110545973F4DAD4D71C1D6B635FC9CE';
wwv_flow_api.g_varchar2_table(483) := '6BC566FA56FBD97E7FDFCCEBE53A17E6B95DE4E8FFFDF5B7FE4F230000360495417070502194693F9F0AA1F708C081B045154208413018B322A84750CE21FBC8D0FD29896B9A3F5E746D9CB5E65707E35F63DEA64208E0EC482B8262A810D2287F7B85D0';
wwv_flow_api.g_varchar2_table(484) := '54042108F61F2A843466FF512B847EE27DAF571541953547AF4D7DCD540895E266B91D210860FB400C8283044128D37EF682D01DFFE3BBCFE0CB2B3818B64010420882C1BCE3EA8D1782794B8D98A09C43F691A1FB5312D7347FBCE8DA386BCDAF0EC6BF';
wwv_flow_api.g_varchar2_table(485) := 'C6BC8D2004303ECFFAE2F557424F085A905E8F5616B30DCFF56EF9EA312B6B8705A19910F4328420380C10843466FF5104A19F78FF4208EAA2F7B1D53547AF4D7DCD084266DCE9BC2288DC0EB085709B383868B8655CA6FDEC6F197772DDC5AB6BBFC103';
wwv_flow_api.g_varchar2_table(486) := 'D8153674CBB8D34E6472FBE421842068E61D576F8A3E40BBF7844ED9564CC11EBA3F25714DF3C78BAE8DB3D6FCEA60FC6BCCDBDC320E601C9EA52A827CD7A795C56CC3339EE5ABC7ACAC1DBB65DC5C087A842F0BE1E0E096711AB3FFE05BC6AD8420B97E';
wwv_flow_api.g_varchar2_table(487) := '758C8D6B8E5E9BFA9AB965DC32EE745611F4677C0605D8521083E0E04110CAB42308018CCA390B42A72232793142100CE09D7321A853B7D470EF099DB2AD98823D747F4AE29AE68F175D1B67ADF9D5C1F8D798B7118400D6430B410B7CD7A795C56CC333';
wwv_flow_api.g_varchar2_table(488) := '9EE5ABC7ACAC1D1184A6220121080E1A04218DD9BF5910FAC9F7BF6EFE3E36ACBEDF591E63E39AA3D7A6BE660421990B417FCE6750802D86DBC4C1C1C32DE332EDDC320E6054CEF1967108413098772E2B82E47A9DBFDD7B4250B61553B087EE4F495CD3';
wwv_flow_api.g_varchar2_table(489) := 'FCF1A26BE3AC35BF3A18FF1AF336B78C0318CEB333B78613770EB1B2986D78C6B37CF59895B503B78CA32208805BC6199166FFA65BC62D84A0D9FBD8DE78CB636C5C73F4DAD4D77CE0B78C430802D811A80C0298438550A69D0A21805139E30AA1531199';
wwv_flow_api.g_varchar2_table(490) := 'BC08210806F0AEA4226886CEDFEE3DA153B61553B087EE4F495CD3FCF1A26BE3AC35BF3A18FF1AF3361542006D3CDB716BB89C3FBD1EAD2C661B9EF12C5F3D66656D6985D05C08FA214210C01C2A843466FF6A85D04FBEFFB5174442F25B9776B54EE39A';
wwv_flow_api.g_varchar2_table(491) := 'A3D7A6BEE603AC103A1591C9FF78F35FF019146007A03208600E154299762A840046E50C2B8410826030EF322B8266E8FCEDDE1382B2AD98823D747F4AE29AE68F175D1B67ADF9D5C1F8D798B7A91002F073E9EEEBAF48882B82BCD7B4E5A34248A3FC41';
wwv_flow_api.g_varchar2_table(492) := 'A6413A8420000515421AB37FB142682604AD7EEBB20F1542769CE5F7F78D7C0841003B069541000A2A8432ED5408018CCAC81542A72232792142100CA02F04F5FDB5FCEDDE133A655B31057BE8FE94C435CD1F2FBA36CE5AF3AB83F1AF316F53210450E6';
wwv_flow_api.g_varchar2_table(493) := 'D2DDAB8A209DA70CB3E84FAF472B8BD986673CCB578F59595B5221341591C9B75EFA238420800C540869CCFE4985D04A08EABF8FADBE4BD3D60000200049444154AC79798C8D6B8E5E9BFA9A0FA0420821086007A1320840418550A69D0A21805119B142';
wwv_flow_api.g_varchar2_table(494) := 'E8540242100CE3DDDFB8E94208A910248EFCEDDE1382B2AD98823D747F4AE29AE68F175D1B67ADF9D5C1F8D798B7A91002C8F39CBBE35BC3E93C6598457F7A3D5A59CC363CE359BE7ACCCADA820A2184200007540869CCFE5185D04F7EE057CDFFD0545D';
wwv_flow_api.g_varchar2_table(495) := 'F3F2181BD71CBD36F535EF7985D0A948871004B08350190490810AA14C3B154200A3B26685D0A9884C5E702B4210B4F3EE6FC41541DEFF3DAEF3B77B4FE8946DC514ECA1FB5312D7347FBCE8DA386BCDAF0EC6BFC6BC4D851040CC737445500F9DA7AC98';
wwv_flow_api.g_varchar2_table(496) := '923F1DCFCA62B6E119CFF2D563569637C797FDA95454A9109A0B413F46080270428590C6EC7FDC49B877F93ED6EC27F5352F8FB171CDD16B535FF31E5608CD2B82FE92CFA0003B086210400104A14C3B8210C0A80C148410826030EF990B41C9FE96D958';
wwv_flow_api.g_varchar2_table(497) := '6AF9DBBD2774CAB6620AF6D0FD29896B9A3F5E746D9CB5E65707E35F63DE46100298A12B82C491A7AC98923F1DCFCA62B6E119CFF2D563569637C797FD6E41082108602008421AB3FFFFD749F8DF97168250C696B105A15391801004B0C3200601544010';
wwv_flow_api.g_varchar2_table(498) := 'CAB42308018C4AA32074DA2104C140DEA32B8254BBF7CB429DBFDD7B42A76C2BA6600FDD9F92B8A6F9E345D7C6596B7E7530FE35E66D042138749E3B1782DCD793727AAF69CB77A082D05424200401AC018290C6D11F412863CB5882D0BC22E8AFF80C0A';
wwv_flow_api.g_varchar2_table(499) := 'B0C3F09B410015F80DA14C3BBF2104302A0DBF214445100CE6EF941024CEBDC98C53CFDC7B4250B61553B087EE4F495CD3FCF1A26BE3AC35BF3A18FF1AF336BF210487CC73EF3E5A7EA1EABE9E94D37B4D5BBE03FC0D212A82004680DF10D238FA9BFDA4';
wwv_flow_api.g_varchar2_table(500) := 'BEE6E53136AE397A6DEA6BDEF1DF10420802D813A80C0270428550A69D0A218051A954089D762293E72304C100FA42902B6F6736965AFE768DAD9CEE3ECA33647F4AE29AE68F175D1B67ADF9D5C1F8D798B7A9108243A32F04A5D92AA696A7AC98923F1D';
wwv_flow_api.g_varchar2_table(501) := 'CFCA62B6E119CFF2D5637AAF41E6605A8ED1F86671DA7561F2AD979E2204018C0415421A477F2A8432B60CAD103A1591C9FFF36B7FCD6750803D80CA200027540865DAA9100218954285D0A92004C140FE5E5504B9F2766663A9E56FD7D8CAE9EEA33C43';
wwv_flow_api.g_varchar2_table(502) := 'F6A724AE69FE78D1B571D69A5F1D8C7F8D799B0A2138246EBBFBE84A887E234867AB985A9EB2624AFE743C2B8BD986673CCB578FE9BD069983693946F58DE2BC22082108604CA810D238FA532194B1654885104210C09E811804D0008250A61D41086054';
wwv_flow_api.g_varchar2_table(503) := '0C41E8544426CF430882012C84A0A02A5B5D793BB3B1D4F2B76B6CE574F7519E21FB5312D7347FBCE8DA386BCDAF0EC6BFC6BC8D200487C06DD95BC3E96C1553CB53564CC99F8E676531DBF08C67F9EA31BDD72073302DC738FFB2702A22937F7BC9BF23';
wwv_flow_api.g_varchar2_table(504) := '04019C0108421A477F04A18C2D2D82D0A948871004B067200601348220946947100218959E207482100443F9876F3CA55811E4CADB998DA596BF5D632BA7BB8FF20CD99F92B8A6F9E345D7C6596B7E7530FE35E66D0421D8679E975404E96B4067AB985A';
wwv_flow_api.g_varchar2_table(505) := '9EB2624AFE743C2B8BD986673CCB578FE9BD0699836938C6A94887100470C62008691CFD118432B67804A17945D0DFF0191460CFE0378300D6E0D1472E5DE9D487CDAEF76FEC6BB08DCBB2DC87DF1002008098BE10A433772D079B31998DA596BF5D632B';
wwv_flow_api.g_varchar2_table(506) := 'A7BB8FF20CD99F92B8A6F9E345D7C6596B7E7530FE35E66D7E4308F68DE745BF1154BB0674B62AC5A679CA8A29F9D3F1AC2C661B9EF12C5F3DA6F71A640EA6728CF38AA0FF4008023827F80D218DA33FBF2194B125F71B420841007B0C9541006BF0BF3D';
wwv_flow_api.g_varchar2_table(507) := 'FEAB97C3F27FE7CC08BD7F635F836DECF9E53E54080100C08AB422A86D5F3263321B4B2D7FBBC6564E771FE519B23F25714DF3C78BAE8DB3D6FCEA60FC6BCCDB5408C13EF17C250449F51AD0D9AA149BE6292BA6E44FC7B3B2986D78C6B37CF598DE6B90';
wwv_flow_api.g_varchar2_table(508) := '3998C2312204016C002A84348EFE5408656CB12A84E6B786430802D857108300D60441C86847100200D818EFFDC6532E849E10B4004128BF3F25714DF3C78BAE8DB3D6FCEA60FC6BCCDB0842B00F3CFF9EA32B12E48EF66B4267AB526C9AA7AC98923F1D';
wwv_flow_api.g_varchar2_table(509) := 'CFCA62B6E119CFF2D5637AAF41E6600C374210C0064110D238FA2308656CE90B42F38AA0B7210401EC3188410023802064B4230801009C3BEFBDFF291724CC84203B07B7ED4B664C6663A9E56FD7D8CAE9EEA33C43F6A724AE69FE78D1B571D69A5F1D8C';
wwv_flow_api.g_varchar2_table(510) := '7F8D791B41087699E7DFD3AB081AF4FE5367AB526C9AA7AC98923F1DCFCA62B6E119CFF2D5637AAF41E6607AEEA9884CFE15210860A32008691CFD118432B64890EE54024210C0218018043012084246FBA00FE4253BE8070421008039EFBBBF571114A7';
wwv_flow_api.g_varchar2_table(511) := 'CB0804A1FCFE94C435CD1F2FBA36CE5AF3AB83F1AF316F2308C12EF2827B8EAE04756BB8DCF55DBE0674B62AC5A679CA8A29F9D3F1AC2C661B9EF12C5F3DA6F71A640E262004016C1508421A477F0421CB9E5504BD092108E010400C0218110421A37DD0';
wwv_flow_api.g_varchar2_table(512) := '07F2921DF4038210001C3CEFBB7FF51B41CB7C19A7CB0804A1FCFE94C435CD1F2FBA36CE5AF3AB83F1AF316F2308C12EF1825E4550722E0F7AFFA9B3552936CD53564CC99F8E676531DBF08C67F9EA31BDD7200D460802D8421084348EFE08427DFB5444';
wwv_flow_api.g_varchar2_table(513) := '26FFFD4D7F8B100470202006018C0C8290D13EE80379C90EFA014108000E96F7DF9FFE4650504FEC1CDCB62F9931998DA596BF5D632BA7BB8FF20CD99F92B8A6F9E345D7C6596B7E7530FE35E66D0421D8055E68540425E7F2A0F79F3A5B9562D33C65C5';
wwv_flow_api.g_varchar2_table(514) := '94FCE9785616B30DCF7896AF1ED37B0D564FA72232F917842080AD044148E3E88F20243321A84308023830108300CE000421A37DD007F2921DF4038210001C1CEFB72A82E604F5C4CEC16DFB921993D9586AF9DB35B672BAFB28CF90FD29896B9A3F5E74';
wwv_flow_api.g_varchar2_table(515) := '6D9CB5E65707E35F63DE4610826DE685858AA0E45C1EF4FE5367AB52ECDC564EEF356DF9B65010420802D8011084348EFE872D08CD2B82DE8E100470602006019C11084246FBA00FE4253BE8070421003818FA42D0C297CD9741D9514CDBBE64C6643696';
wwv_flow_api.g_varchar2_table(516) := '5AFE768DAD9CEE3ECA33647F4AE29AE68F175D1B67ADF9D5C1F8D798B71184601BE90B410BAAE7F2A0F79F3A5B9562E7B6727AAF69CBB74582104210C00E8120A471F43F4C41685E1184100470882006019C21084246FBA00FE4253BE807042100D87B3E';
wwv_flow_api.g_varchar2_table(517) := '60DC1A6E41365F066547316DFB921993D9586AF9DB35B672BAFB28CF90FD29896B9A3F5E746D9CB5E65707E35F63DE4610826DE245C6ADE11654CFE541EF3F75B62AC5CE6DE5F45ED3966F0B04A1A948983C743B4210C02E8120A471F43F2C41685E11F4';
wwv_flow_api.g_varchar2_table(518) := '0E84208003053108E08C411032DA077D202FD9413F200801C0DEF281C2ADE11664F365507614D3B62F99319905D5F2B76B6CE574F7519E21FB5312D7347FBCE8DA386BCDAF0EC6BFC6BC8D2004DBC08B0AB7865B503D9707BDFF0CC6B35CECDC564EEF7A';
wwv_flow_api.g_varchar2_table(519) := '2DDF0605A1A9884C1EBAFDDF118200761004218DA3FF610842A7121082000E1DC42080730041C8681FF481BC6407FD802004007BC7078D8AA06C1ECFD941D9514CDBBE64C6641654CBDFAEB195D3DD477986EC4F495CD3FCF1A26BE3AC35BF3A18FF1AF3';
wwv_flow_api.g_varchar2_table(520) := '3682106C9217DF73C3159150BC355CCE9FC40D7AFF198C67B9D8B9AD9CDEF55ABE0D08420841007B008290C6D17FBF05A1D320DDE4BFBF112108E0D0410C02382710848CF6411FC84B76D00F084200B0377CB0501194CDE3393B283B8A69DB97CC98CC82';
wwv_flow_api.g_varchar2_table(521) := '6AF9DB35B672BAFB28CF90FD29896B9A3F5E746D9CB5E65707E35F63DE4610824D301382E40E2B430CBE4606BDFF0CC6B35CECDC564EEF7A2DDF390A425311995C430802D80B1084348EFEFB29089D8AC8E4BFBDF19D084100801804709E200819ED833E';
wwv_flow_api.g_varchar2_table(522) := '9097ECA01F10840060E7F9504F085AF86A79B11A17941DC5B4ED4B664C6641B5FCED1A5B39DD7D9467C8FE94C435CD1F2FBA36CE5AF3AB83F1AF316F2308C17972FB5C085AD85686187C8D0C7AFF198C67B9D8B9AD9CDEF55ABE731084A601210860EF40';
wwv_flow_api.g_varchar2_table(523) := '10D238FAEF97208410040011884100E70C8290D13EE80379C90EFA0141080076960FDD7FF30591702DF484A005B5BC588D0BCA8E62DAF6253326B3A05AFE768D3DFB672A225F6AEAA33C43F6A724AE69FE9E174108C0E4F6A82268859521065F2383DE7F';
wwv_flow_api.g_varchar2_table(524) := '06E3592E766E2BA777BD96EF0C05A1A9884C1E440802D84B1084348EFEFB210821040140026210C006401032DA077D202FD9413F200801C0CEF1E16FDE7C41C2A22268D897F9D5B8A0EC28A66D5F3263320BAAE56FC7D8D3203279CB331F7EC1E20B0E47';
wwv_flow_api.g_varchar2_table(525) := '1F2366D8FE94C435CDDFF322080144DC7EEF0D5724E88AA0155686187C8D0C7AFF198C67B9D8B9AD9CDEF55ABE331084A601210860EF4110D238FAEFB620341782DE85100400118841001B0241C8681FF481BC6407FD802004003BC387BF79F305119955';
wwv_flow_api.g_varchar2_table(526) := '042D13DBB02FF3AB7141D9514CDBBE64C6641654CBDF85B1A72232F99D673CFC631191B73CF3E1CB0842F9380421D8155E72EF0D57C2E2D670F12512616588C1D7C8A0F79FC178968B9DDBCAE95DAFE51B51109A8AC8E40184208083004148E3E8BF9B82';
wwv_flow_api.g_varchar2_table(527) := 'D0A94887100400268841001B0441C8681FF481BC6407FD802004005BCF3FCE85A0C56F0405E927B6615FE657E382B2A398B67DC98CC92CA896BF8D6ED3D0138216200895E3108460DB79C9BDABDF085A9E6BF12512616588C1D7C8A0F79FC178968B9DDB';
wwv_flow_api.g_varchar2_table(528) := 'CAE95DAFE51B411042080238401084348EFEBB2508CD2B82DE8D100400268841001B0641C8681FF481BC6407FD802004005BCB3FF62B827A04E927B6615FE657E382B2A398B67DC98CC92CA896BF7BED531199FCB6128216200895E31084605B7969BF22';
wwv_flow_api.g_varchar2_table(529) := '684E489E38AEA175AE9141EF3F83F12C173BB795D3BB5ECBB7862084100470C02008691CFD774310420802802A8841005B008290D13EE80379C90EFA01410800B60EB322A847889CC3BECCAFC6056547316DFB92199359502D7F878A10B40041A81C8720';
wwv_flow_api.g_varchar2_table(530) := '04DBC64BAD8AA0392179E2B886D6B94606BDFF0CC6B35CECDC564EEF7A2DDF0041682A22936F2204011C3408421A47FFED16844E837493FFF60684200028831804B025200819ED833E9097ECA01F108400606BF8C8376FBE107A42D00233A7859535244F';
wwv_flow_api.g_varchar2_table(531) := '56E382B2A398B67DC98CC92CA890BF5D42D00204A1721C82106C0B7D2168412D2FE56362EFE06B64D0FBCF603CCBC5CE6DE5F4AED7F2350842D380100400731084348EFEDB29089D8AC8E4FF7EC37B108200A00A6210C016812064B40FFA405EB2837E40';
wwv_flow_api.g_varchar2_table(532) := '1002808DF3915E45903BE78595E5EED31217941DC5E84CAEDB539298CC828CB1A62232F92DA710B40041A81C8720049BE665F7DEF0667D6BB805B5BC948F29E7A69C3F891BF4FE3318CF72B1735B39BDEBB57C0E41682A2293FB118200A0078290C6D17F';
wwv_flow_api.g_varchar2_table(533) := 'BB04A153910E210800DC84AECB253100D8148F3E72E94AA73E1C77BD7F635F836D5CEEE53E5D75CCA55F3578FA35CDD579C668B13BFD7072DDC5AB970500E09CF9E85C08EA5445903BE7752BCBDDA725AE537614A333B96E4F4962320B9ABBA72232F9CD';
wwv_flow_api.g_varchar2_table(534) := '677C7BF097976FFBFA8DCBCA03D77A8C8821FB5312D7347FCF6B8C5FB35BE2E2D77FD83964F43979FBA5EFB1A7429697DD7BC36511B97361379FC3F12562C4C4DEE6F17B8EF66BA2339EE562E7B6727AD76BF9ACABB89BE7D2FB5F8C100400363FF59157';
wwv_flow_api.g_varchar2_table(535) := 'F42A3583917062B5A62BC9D795BE62F60F8B06DBDFC39CBBABCAFCB330575FF1F537FB497DCDCB636C5C73F4DA04595504FD1D421000B8A13208600BA142C8681FF43F344B76D00F540801C0B9F3D14245903BE78595E5EED31217941DC5E84CAEDB5392';
wwv_flow_api.g_varchar2_table(536) := '98CC82C20842905021548DA34208CE9B972B2148869CC3F12562C4947353CE9FC40D7AFF198C67B9D8B9AD9CDEF55A3EE32A9E06842000A8408590C6D17FB315420841003008C420802D0541C8681FF481BC6407FD80200400E7C6C78CDF08AAE5AF6C4C';
wwv_flow_api.g_varchar2_table(537) := '5859EE3E2D7141D9518CCEE4BA3D2589498346118216200895E31084E0BC78F9BD37BC5944EEF49C6339BFCE4BF998D8DB3C7ECFE1596F6E36775FE5F4AED7F2F5AEE2A9884CBE811004000E1084348EFE9B11841082006030DC260E60CBE1967146FBA0';
wwv_flow_api.g_varchar2_table(538) := '5B7694EC4E3F70CB380038533ED6AB0892A67C5589E95696BB4F4B5CA7EC28466772DD9E92C4CC1C531199FCC64842501F6E19578EE396717096BCE2DE1B2E77AA22C8738EE5FC3A2FE563626FF3F83D8767BDB9D9DC7D95D3BB5EC337EDA44308028066';
wwv_flow_api.g_varchar2_table(539) := 'B8659CC6D1FFFC6E193713825EFFF708410030082A8300B61C2A848CF641FF43B36407FD408510009C195A0892A67C5589092BCBDDA7252E283B8AD1995CB7A72431E1EC8420A142A81A4785109C15AFB8F7719745425211E439C7727E9D97F231B1B779';
wwv_flow_api.g_varchar2_table(540) := 'FC9EC3B3DEDC6CEEBECAE95DAFF25111040083A14248E3E87F3E1542A7413A842000580BC420801D0041C8681FF481BC6407FD80200400A373E703375F0821168216F8F3552526AC2C779F96B8A0EC28466772DD9ED2F39DA910B40041A81C87200463F3';
wwv_flow_api.g_varchar2_table(541) := '8A2F3DAEF71B41BEF792CDE7707C891831B1B779FC9EC3B3DEDC6CEEBECAE95DEFDC371591C9D5179F9E692E0580FD064148E3E87FB682D0A9884CFEEBEBFF01210800D60231086047401032DA077D202FD9413F200801C068DCF9C02D1744C23511B9DE';
wwv_flow_api.g_varchar2_table(542) := 'CABDD294AF2A316165B9FBB4C4056547313A93EBF694C59797BFFEF4B3158216200895E31084602C5EF9A5C75D0E2277EA0BC471BEB49FC3F12562C4C4DEE6F17B0ECF7A73B3B9FB2AA773BD0841003026EF593DAD8B3A0842B97E525FF3F218CD352304';
wwv_flow_api.g_varchar2_table(543) := '01C068200601EC10084246FBA00FE4253BE807042100589B2B0FDC72212C6F0D37CFDC99C4E9CF579598B0B2DC7D5AE282B2A3189DC9757BC4B90A410B1084CA710842B02EAFEC550405D12784EFBD64F3391C5F22464CEC6D1EBFE7F0AC37379BBBAF72';
wwv_flow_api.g_varchar2_table(544) := '56D63B1591C9D711820060041EFB91971FCD6F6BDCA32EEA2008E5FA497DCDCB638CE24E453A842000180DC420801D0341C8681FF481BC6407FD8020040083B9F2C02DCBDF08D279064168F6E5E59BCF59085A8020548E431082A1BC6A5111D423883E21';
wwv_flow_api.g_varchar2_table(545) := '7CEF259BCFE1F8123162626FF3F83D8767BDB9D9DC7D9533B3DE69400802809158084141BAC7A4AD7551074128D74FEA6B5E1E6327AB8AA0F7220401C068200601EC20084246FBA00FE4253BE80704210068E624AA089AA1F3CC010B42D3B04121684990';
wwv_flow_api.g_varchar2_table(546) := '37CF3F6C0F7C7D86ED4F495CD3FC3D2F82106C19AFD215413D42E2F4BD976C3E87E34BC48889BDCDE3F71C9EF5E66673F7554E654E4564F2CF0841003002BD8AA0C7884846D8A98B3A0842B97E525FF3EC18E71541084100302E8841003B0A8290D13EE8';
wwv_flow_api.g_varchar2_table(547) := '0379C90EFA01410800DC9C98154133749E394041682A22935FDBB41024226F79C6C3FF4B824C1084F2710842E0A52F042D30CF85CA39E539C772FE903C715C4343C6EF393CEBCDCDE6EEAB9C731321080046E3B11F795924042D4010B2FA8AAFFF3041E8';
wwv_flow_api.g_varchar2_table(548) := '54824CFEEBEBDF87100400A3831804B0C3200819ED833E9097ECA01F108400A0CAC77B42D0C257CB330724084DC39608410B1084EA71084250E3D5C6ADE116947392D4AF9F82CFF2EBBC948F89BDCDE3F71C9EF5E66673F78D9DD38010040023F1D88F2E';
wwv_flow_api.g_varchar2_table(549) := '8420EBD670822024565FF1F56F138466B7867B1D4210009C0D8841003B0E8290D13EE80379C90EFA01410800B22C84A0D0138216D4F2CC010842531199BC698B84A0050842F5380421C8F1EAC2ADE11698E742E59CF29C63397F489E38AEA121E3F71C9E';
wwv_flow_api.g_varchar2_table(550) := 'F5E66673F79D39A72232F91A4210008CC052080A8B8A2087C0B1A42EEA2008E5FA89EE8B100400674EE8BA5C4202805DE2D1472E5DE944EEE8FBBADEBFB1AFC1365244B94F571D73E9570D9E7E4D73759E315AEC4E3F9C5C77F1EA65010098F389076EB9';
wwv_flow_api.g_varchar2_table(551) := 'D0A98AA0B63C34CFDC99C4E9CF5795986E65B9FBB4C475CA9E311591C91B9FFEADADFEF2F26D576FBC20DDEA6F38ECF519B63F25714DF3F7BCC6F835BB252E3E3F879D43469F93B75FFA1E7BEA0EF29AB910E4F81B9BFE2E71FADE4B368DAF1AAAD7D090';
wwv_flow_api.g_varchar2_table(552) := 'F17B0ECF7A73B339FA4E3B91C9D75E84100400EBF3D88FBE745E1114561541CBA463CBE35D4EBE4E12581C67F713575F31FB874583EDEF61CEDD5565FE5998ABAFF8FA9BFD4444C2A9884CFEAFD7BD1F210800CE142A8300F6042A848CF641FF43B36407';
wwv_flow_api.g_varchar2_table(553) := 'FD408510002CF944A622A82D0FCD33772671FAF3552526AC2C779F96B8A0EC1D1182840A21571C1542B0E035858AA0A673AC724E79CEB19C3F244F1CD7D090F17B0ECF7A73B355FACE2A8210820060045642903C2652549649C796C5A910B2FA8AAFBF5D';
wwv_flow_api.g_varchar2_table(554) := '21742AD2210401C0B9801804B047200819ED833E9097ECA01F10840040EE52BF1154CB29E59879E6CE24CEDAD8EEB9C2CA72F769895BE5C99D1182162008D5E31084E0E77A42D002C7DF381F5739A73CE758CEAFF3523E26F6368FDF7378D69B9B2DD377';
wwv_flow_api.g_varchar2_table(555) := '2A2293AF220401C0085CFFD1971C05E9E642D00204A1A6E31D47109A57047D00210800CE05C420803D0341C8681FF481BC6407FD80200470C0DCE5AC086ACB43F3CC9D499CB5B1DD738595E5EED31217764F085A8020548F43103A5C1642D090BF7931AE';
wwv_flow_api.g_varchar2_table(556) := '724E79E6CBF943F2C4710D0D19BFE7F0AC37379B8A43080280D1B8FEA32F59560465C515E9272287C0B1A42EEA20082DFB210401C0B9C36F0601EC29FC8690D13EE81EEE25BBD30FFC8610C08171D783F38AA02EFF1B4135BB1C33CFDC99C4591BDB3D57';
wwv_flow_api.g_varchar2_table(557) := 'B7B2DC7DEA71D34E64F286A7ED9E10D487DF10AAC7F11B4287C51D5F7ADCE54E55040DF99B17E32AE79467BE9CBF4B9E38AEA121E3F71C9EF5E666EBE642D03F210401C0085CFFD1DB8F4482AA0892FCEFF1483F25D9F238BF2164F5955AFF9910F4DA0F';
wwv_flow_api.g_varchar2_table(558) := '220401C0B9426510C09E428590D13EE87F6896ECA01FA8100238203EF9E02D17C2E2D670BD44E1CF219E9879E6CE24CEDAD8EEB9C2CA72F729C74D650F8420A142C8154785D0E170C7971F7759425A1134E46F5E8CAB9C539EF972FE903C715C4343C6EF';
wwv_flow_api.g_varchar2_table(559) := '393CEBCDCC360D0841003012332148AE897491102422F96A1BE9A7245B16A742C8EA2BA5FE084100B031108300F6180421A37DD007F2921DF4038210C001F0C90757BF11B4CC07BD44E1CF219E9879E6CE24CEDAD8EEB97A07E2EE63C74D4564F2FA3D10';
wwv_flow_api.g_varchar2_table(560) := '82162008D5E3CE5010FAD3D40D9BE08E2F3F7EF51B418EF3C9F2359D639573CA335FCE1F92278E6B68C8F83D8767BD6AB6A9884CBE821004002370FDC76E3F9220BD8A208F408220D474BC3E4108210800360AB789033800B8659CD13EE8961D25BBD30F';
wwv_flow_api.g_varchar2_table(561) := 'DC320E604FF9D4834FBD2022D73AE9A2DF08EA92272D39C41333CFDC99C4591BDB3D57EF40DC7D564C4564F2BA3D1282FA70CBB87ADC19DD32EEF8ED97BEC77FB4D82097E742D090F3C9F2359D639573CA335FCEDF254F1CD7D090F17B0ECF7A17B786FB';
wwv_flow_api.g_varchar2_table(562) := 'CA8B7EBC97B91400CE97EB3FF6E2F8D67051D249A56A6E19276775CBB8531199FC97D77E0821080036069541000700154246FBA0FFA159B2837EA04208600F590841B38AA04C0EEDB9FD39C41333CFDC99C4591BDB3D57EF40DC7D66ECB510245408B9E2';
wwv_flow_api.g_varchar2_table(563) := 'CEA042682A227B7B4EED02977B154143CE27CBD7748E55CE29CF7C397F489E38AEA121E3F71C8EF54E034210008CC44C0852B7868B924E2A51532124675121841004005B016210C081802064B4FB3E9037D8413F200801EC119F7EF0A9ABDF089A8320B4';
wwv_flow_api.g_varchar2_table(564) := 'B4F75E085A8020548F1B51109A8AC8E4ED97BEB7F7E7D5B672FCE5C75F0E8B5BC3CD19723E59BEA673AC724E79E6CBF943F2C4710D0D19BFE728AC772A2293FB1082006004564290716BB8281179041204A1A6E38DFB220401C0D68018047040200819ED';
wwv_flow_api.g_varchar2_table(565) := '084200E0E0D35145500C82D0E108410B1084EA71230842D38010B4518E938AA01543CE27CBD7748E55CE29CF7C397F489E388E79C8F83D87D1771A10820060248E3EF6A2A3205D4F085A802014F97B38449DB6E39DF59D0B411F46080280AD80DF0C0238';
wwv_flow_api.g_varchar2_table(566) := '40F80D21A3DD7F0F77A7DDE9077E43086047E90B417D7F7AFD677268CFEDCF219E9879E6CE24CEDAD8EEB97A0762F499762293D71E9010D487DF10AAC70DFC0DA1A9884CFE16216863F485A03E639C4F96AFE91CAB9C539EF972FE2E79E238E621E3F71C';
wwv_flow_api.g_varchar2_table(567) := '73DF5444265F460802801138FAD88BA28AA0ECEFF82C8892531ACB6F08C9D0DF109A0941BFFA8F084100B0355019047080502164B453210400069F316E0DB720BDFE3339B4E7F6E7104FCC3C736712676D6CF75CBD0351ED5339602148A81072C50DA810';
wwv_flow_api.g_varchar2_table(568) := '9A0684A08DF2F3C6ADE1168C713E59BEA673AC724E79E6CBF943F2C471CC43C6EF39024210008CC8D1C75E7824AA22285BA5B30AB0FDCBE682B4BDEC6BCBE2075C21841004005B096210C081822064B4230801408FCF146E0DB720BDFE3339B4E7F6E710';
wwv_flow_api.g_varchar2_table(569) := '4FCCECD90604A1A9884C7EF58085A0050842F5B80641682A2293B721046D8C9F2FDC1A6EC118E793E56B9AAF724E79E6CBF943F2C471CC43C69F319580100400E37074E70B7B15411E71054128F2F758531042080280AD053108E080411032DA11840040';
wwv_flow_api.g_varchar2_table(570) := '443E6B5404F9BFE8CBE4D09EDB9F433C31B367E72C085D46085A8120548F730842D38010B4517EC1A8086AFB9BB79D4F96AF69BECA39E5992FE70FC913C731B78F3F1591C9975E88100400EB7374E70B664250E8FF4690475C41108AFC3D060A42084100';
wwv_flow_api.g_varchar2_table(571) := 'B0D52006011C380842463B8210C041F3D9424590FF8BBE4C0EEDB96B63B7E5A1D9B37312848E7FE569DFBAD7E872D02008D5E30A82D05444267F8310B4317EA15011D4F6376F3B9F2C5FD37CF9736A15E3F059FE903C711CB37FFC694008028091580A41';
wwv_flow_api.g_varchar2_table(572) := 'D2CD84A028E178C41504A1C8DFA351103A1591C9FFF9AB1F41080280AD053108001084AC7604218083E473D79E7A4142B922C8F945DFBE0A42C7BFF2B47F2377654010AAC719821042D086F9C59E10B4C0F3B7CCC7B59D4F96AF69BEF49C4A631C3ECB1F';
wwv_flow_api.g_varchar2_table(573) := '92278E63AE8F3F1591C9BD08410030022B2168511164091D1E71054128F2F7700A42084100B01320060180088290DD8E200470507CEEDAAC2228885CAF2FE4DA759E8FCBE4D09EBB36765B1E9A3D3B2341E8F8977F1621A80682503DAE777E4E450242D0';
wwv_flow_api.g_varchar2_table(574) := '06590841FEF3C41BD7763E59BEA6F9D405E219AB697CD5503DE6FCF8D3801004002371C39DCF5742D00204A1A6350FEA2B7D41082108007606C4200058822064B42308011C049FBFB6BA359C2C2ED101F9C58ECBE4D09EBB36765B1E9A3D1B591042086A';
wwv_flow_api.g_varchar2_table(575) := '0041A81E17C2AC3AE2AF2F7D972FC537C42FDEF7F8CB12561541FEF3C41BD7763E59BEA6F9D405E219AB697CD5503DE634662A22937B1082006D52C0E20000200049444154600416425058DC1A2E0141A869CD83FA8A485854047D142108007602C42000';
wwv_flow_api.g_varchar2_table(576) := '88401032DA118400F69ACFF72B827A04492FE4DA759E8FCBE4D09EBB36765B1E9A3D1B49103AFE2584A06610848A3642D086F9A5FB1E7F392C6E0D57C84396AFED6FDE763E59BEA6F9D405E219AB697CD5503DE69585100400A3A12B828A0289E8B4E411';
wwv_flow_api.g_varchar2_table(577) := '571084227F0FD517210800760EC4200048401032DA118400F6922F5815413D82E1AC5DE7F9B84C0EEDB96B63B7E5A1D9B335052184A035401032EDA9884CFEEAD908419BE297EE5BFD4690270F59BEB6BF79DBF964F99AE653178867ACA6F15543F598E7';
wwv_flow_api.g_varchar2_table(578) := 'B7864308028031B8E1CAF38E44BAE4D6700842BDB84A5F29ADD9DF772604FDCAC710820060A7085D974BA00070E83CFAC8A52B9DC81D7D5FD7FB37F635D846DA29F7E9AA632EFDAAC1D3AF69AECE33468BDDE98793EB2E5EBD2C0070E6F48520D7353B20';
wwv_flow_api.g_varchar2_table(579) := 'BFD871991CDA73D7C66ECB43B367B9B77C85B18F7F11216814DE76F5C60BD2AD44C7B6BFDFCA33647F4AE29AE68F4FCADA388EF9A72232F94B84A08DF1CBF73DE1B288DC39240F593EC7DFBC67B79D4F96AF693E758178C66A1A5F35648E792A2293BB11';
wwv_flow_api.g_varchar2_table(580) := '820060046642D0BC22A81353CAEE6AF27694ACE258BB6FCF57E82B667FABAFBDBEECDC4962F6AC595C7DA5B4E672DF531199FCE75FB913210800760E2A8300200B1542463B1542007BC117AFDD7A4124942B82B43D20BFD871991CDA73D7C66ECB43B367';
wwv_flow_api.g_varchar2_table(581) := '8D15420841234285900842D0E659084132300F59BEB673AEED7CB27C4DF3A90BC43356D3F8AAC188998A0484200018851BAEDC1657040531256C2A847A7195BE525A73BE2F421000EC34884100500441C868471002D8696642D0E23782922BB16C0FC82F';
wwv_flow_api.g_varchar2_table(582) := '765C2687F6DCB5B1DBF2D0EC99531042083A030E5C109A0684A08DF22B3D2168C1903C64F9DACEB9B6F3C9F235CDA72E10CF584DE3AB86DED37945D08F38E701606D6642D0E23782B4C0E2113816200835AD39ED8B1004003B0F62100054411032DA1184';
wwv_flow_api.g_varchar2_table(583) := '0076928510145704255762D91E905FECB84C0EEDB96B63B7E5A1F9D1661638771FFF0242D09971A082D05444267F8110B431164290FDF76ECF4396AFED9C6B3B9F2C5FD37CEA02F18CD534BE6A08F373FE8B08410030028FBBF2DC9E10B40041C8B76671';
wwv_flow_api.g_varchar2_table(584) := 'F595D29A577D118200602F400C0200170842463B8210C04E71F7B55B2F849E10B440E732D7353B20BFD871991CDA73D7C66ECB43F3A3B5178810740E1C98208410B4617E555504D97FEFF63C64F9DACEB9B6F3C9F235CDA72E10CF584DE3AF9E200401C0';
wwv_flow_api.g_varchar2_table(585) := '682C84A0205D4F085A8020E45BB3B8FA4A69CD6121045D410802809D2774B95F1306003078F4914B573A913BFABEAEF76FEC6BB08D5454EEE3FB216031C6F6F46B9A2BF3A3DDB579F276A71F4EAEBB78F5B200C060EE561541F96B36B912CBF680FC62C7';
wwv_flow_api.g_varchar2_table(586) := '657268CF5D1BBB2D0FCD8F76E538FE7984A073E56D576FBC209DE79CCCDBE999A36232FB5312D7347F7C5216C6998AC8E4CF118236465F08F2FDBDDBF390E56B3BE7DCE753D6D7349FBA403C63358C3F1591C9175E80100400EB6355047535E9BA53F6D2';
wwv_flow_api.g_varchar2_table(587) := '5D91B7A38416C7FAE634FCCBE682FCBEEC6BAF2F3B7792983D6B16575F49FB9F8A84C97FFE65842000D80FA80C028026A81032DAA91002D86AEE312A82F2D76C722596ED01F9C58ECBE4D09EBB36765B1E9A1FEDEC01216803EC79851042D086A95504D9';
wwv_flow_api.g_varchar2_table(588) := '7FEFF63C64F9DACE39D7F954F435CDA72E10CF58CEF1A70121080046E27127CF316E0D27CE6A9D34860AA15E5CA5AFC4FD671541084100B04720060140330842463B8210C05672CF43B75E903013826AD7DFCA975C89657B407EB1E374D649036B63B7E5';
wwv_flow_api.g_varchar2_table(589) := 'A12008419B654F05A1694008DA28AF5542D002DFDFBB3D0F59BEB673AE783E8D3F9FBA403C6355C69F8AC8E4F308410030024B212858B78613A738E3116516200865D63C17824E10820060AF400C028041200819ED0842005BC5BD0FF52A82E2CB6949FE';
wwv_flow_api.g_varchar2_table(590) := '9A4DAEC4B23D20BFD8713AEBA481B5B11BF2D0F1F1CF20046D9A3D1384A62232F93384A08DF1DAAFCC84A0F5FEDEED79C8F2B5ADC13C9F544CD9D7349FBA403C6365C69F068420001889A42228340A24AB00A728B3004148F545080280BD053108000683';
wwv_flow_api.g_varchar2_table(591) := '2064B42308016C05F73E74EB7F5AFC46D0F27A8A2FA725F96B36B912CBF680FC62C7E9AC9306D6C676E4A1E3E39FF95772C996B02782D03420046D94D7CD85A05CAE5BE0FB7BB7E721CBD7B6867870CF589E986C9CBA403C6329DF5444269F4308028011';
wwv_flow_api.g_varchar2_table(592) := '78DCC9A523912EB9351C82D0A2F9DC04A1531199FC1FBFFC71842000D84B108300602D10848C760421808DF2A5876EBD2022F79ABF111494ADDB135F722596ED01F9C58ED359270DAC8D5DC843C7971182B68E3D1084DEFC5684A08DF13A5D1194C975AA';
wwv_flow_api.g_varchar2_table(593) := '396BCBC03C64F9DAD6100FEE19CB13938D53178867ACB90F210800466326042D2A820CF1024168DE7CE682D0A948871004007B0D621000AC0D8290D18E2004B011E642D0B5D013821604F5A476FDAD7CC99558B607E4173B4E679D34B036B6311742D016';
wwv_flow_api.g_varchar2_table(594) := 'B3C382D0F15B9FF55DCEAB0DF1FAAFC4BF1154CB75495CC6968179C8F2B5AD211EDC339627261BA72E10C758D38010040023F1F89367C7B78613B1C51004A179F3990942F38AA04F200401C05E83180400A3802064B42308019C2B5F9E0B418B8AA0E2F5';
wwv_flow_api.g_varchar2_table(595) := '1794ADDB135F722596ED01F9C58ED359270DAC8DDDB38FEF4008DA7A7650103A7EEBB3BEC379B5215E9FF98DA05AAE4BE232B60CCC4396AF6D0DF1E09EB13C31D938758114C69A8AC8E4B308410030020B21284817DF1A4E044148FB7A9C8120742A0121';
wwv_flow_api.g_varchar2_table(596) := '08000E03C42000180D0421A31D4108E05CF872A622A878FD0565EBF6C4975C89657B407EB1E374D649036B630784A09D628704A1E33F4508DA18D98A206D67725D1297B165601EB27C6D6B8807F78CE589C9C6A90BC48841080280D178FCC79F15550455';
wwv_flow_api.g_varchar2_table(597) := 'C595050842F3E6D104A15945D02F210401C06180180400A3822064B42308019C29F73D3429560415AFBFA06CDD9EF8922BB16C0FC82F769CCE3A696061ECE39F4308DA397640104208DA206FF8CA132E879E10B420FB77CBE4BA242E63CBC03C64F9DAD6';
wwv_flow_api.g_varchar2_table(598) := '100FEE19CB13938D531748CF44080280D1580A4121AE08AA8A2BCBC046816415E0146516ECBD20341782EE420802808301310800460741C868471002384B8E8284624550F1FA0BCAD6ED892FB912CBF680FC62C7E9AC93061A632304ED305B2C081DFF09';
wwv_flow_api.g_varchar2_table(599) := '42D0C678C3579EB8AC086A3A2732B92E89CBD832300F59BEB635C4837BC6F2C464E3D405B2A808FA0C4210008C80AE08D2C24E555C5906360A24AB00A728B3606F05218420003848108300E04C401032DA118400CE84DB6EBD764D448EB35F5266ECC817';
wwv_flow_api.g_varchar2_table(600) := '94ADDB135F722596ED01F9C58ECB1C63CFDD7B7AFC1A84A09D670B052184A00DF2C6AF3C715E1194CF4196AF96EB92B88C2DED7928EB6B5B433CB8672C4F4C366EE59C8A048420001885C77FFC99B110B40041E8BC05218420003858108300E0CC401032';
wwv_flow_api.g_varchar2_table(601) := 'DA118400CE84DB6EBD76054128F22104ED115B24081DFF3142D0C67863521194CF4196AF96EB92B88C2DFE3C94E0193B1F170FEE19CB13938D0BB38AA04FBFE087084100B0362B2128BE35DC1204A1F312844E4564F21FBFF449842000384842D7E5123D';
wwv_flow_api.g_varchar2_table(602) := '00C0383CFAC8A52B9DC81D7D5FD7FB37F635D846FA2AF7E9AA632EFDAAC1D3AF69AECE33468BDDE98793EB2E5EBD2C0007C67D0F4D2E8BC89DFA0AAC5D4B91AF53B66E4F7CC99558B607E4173B2E738C9D1CBF1A21682F79DBD51B2F48B7FA7DAC21FBC8';
wwv_flow_api.g_varchar2_table(603) := 'D0FD49448EFF08216863BCE92B4FBCDC19BF1154CB4196AF96EB92B88C2DE53C94FAACB8424C3E2E1EDC33962746F9A72232F9D4F3118200607DEC8AA08C3CDDC5FECE2575A7FD96EE5AFF4ECCF1EC7EB28A8D1269E39A0B7DC5EC6FF56D3CDE59BFB910';
wwv_flow_api.g_varchar2_table(604) := 'F4298420003858A80C028033870A21A39D0A218033810A2184A07D6683154208411BE44DF38AA02139C8F2D5725D1297B1259F87A2E0A635B9E2E2C13D6379627A7E842000188D277CFC194741BAF4D67039599A0AA1B3AA1042080200102A8300E01CA1';
wwv_flow_api.g_varchar2_table(605) := '42C868A74208E04C38D00AA1E357FD3442D02170CE154208411BE4D78C8AA02139C8F2D5725D1297B1C5389BF4D892ED57B6CB71F1E09EB11C315311997C1221080046E0091F7F46541154AD98E94385D09815423321E8173F8D100400070F954100706E';
wwv_flow_api.g_varchar2_table(606) := '502164B453210470261C60851042D001718E154208411BE4D7FEC9AE081A92832C5F2DD72571195B8CB3498F2DD97E65BB1C170FEE19AB1283100400A3F1844F3CFD48427C6BB86AC54C1F2A84C6AA1042080200E8416510009C3B540819ED5408019C09';
wwv_flow_api.g_varchar2_table(607) := 'F73D34B9222277EC7985D0F12B7FFA5FF8C2FE00995708FDCFD5FF384EA99F4FD9FDE9F80F9F8910B429164290C8B839C8F2D5725D1297B1C5389BF4D892ED57B6CB71F1E09EB18C18842000188D277CE2E9BD8AA090249D6AC54C1F2A84D6A9103AED24';
wwv_flow_api.g_varchar2_table(608) := '20040100F4A0320800CE1D2A848C762A8400CE84DB6EBD7659444EF6B8420821E880E955084DA5761E67ECCCFE8410B441DEDC178264DC1C64F96AB92E89CBD8629C4D7A6CC9F62BDBE5B87870CF58CA370D08410030124FF8C4D3A25BC3897449D2A956';
wwv_flow_api.g_varchar2_table(609) := 'CCF4A142686885101541000006884100B01110848C7604218033618F0521842090B73CE3E11F8F2C081DFF0142D0C67873E6D67063E620CB57CB75495CC6167D3619634BB65FD92EC7C5837BC69AFBA62232B90B21080046602504758F91080421DF9C86';
wwv_flow_api.g_varchar2_table(610) := '7FD9DC24089D8AC8E4DF7FF133084100000AC42000D8180842463B8210C099B08782D0F12B108260CE88821042D006F975551194FC8D46CC4196AF96EB92B88C2D8BB3C98AE9B99BD6E48A8B07778C350D08410030126645500482906F4EC3BF6C760942';
wwv_flow_api.g_varchar2_table(611) := '084100000510830060A3200819ED08420067C21E094208419030822074FCFB08411BE3D7331541C9DF71C41C64F96AB92E89CBD8335F26D7F6DC4D6B72C5C58317C69A8AC8E41308410030024FFCC4CF1E05E97A42D00204A1731684108200002A200601';
wwv_flow_api.g_varchar2_table(612) := 'C0C6411032DA118400CE843D1084108220CB1A82D0F1EF3FF361CEAB0D51AB084AFE8E23E620CB57CB75495CC69EF932B9B6E76E5A932B2E1EDC8841080280D178E2277E76591154153A1676F25ECFD36F0E82504E109A0B419F450802002810BA2E97C0';
wwv_flow_api.g_varchar2_table(613) := '0100CE97471FB974A513B9A3EFEB7AFFC6BE06DB4873E53E5D75CCA55F3578FA35CDD579C668B13BFD7072DDC5AB9705E0C0B8EFA1C93511B9555F81B56B29F275CAD6ED892FB912CB769A5F8E5F8E10040EDE76F5C623E956B7AAA9EC23C7BF8710B431';
wwv_flow_api.g_varchar2_table(614) := '7E632E040DD9EBC7CC4196AF96EB92B88C3DF365726DCFDDB426575C3CF8DC9A8AC8E4E308410030024FBC6B2E0475714550E795B993F77A9E7E73BAD8EFEEDBD9E355FB77628E67F793556C748C8D6B2EF495B8FF4C08FA85CF2104010054A0320800B6';
wwv_flow_api.g_varchar2_table(615) := '062A848C762A8400CE8A1788C8E90E55082104819B860A2184A00DF21BBD8AA0217BFD9839C8F2D5725D1297B167BE4CAEEDB99BD6E48A8B070F08410030224FBCEB678E64716B389584AA952F0B7B50BF3954082DFA2304010034406510006C1D540819';
wwv_flow_api.g_varchar2_table(616) := 'ED5408018CCE7D0F4D2ECC6FEB71FD9657081DBF0C21080650A9103AFE5D84A08DF19BFFF4A479455039F758BE2466C41C64F96AB92E89CBD8335FE6787BEEA635B9E23A5954049D3C0F210800D667260449EF3782E6AA854A42D5CA97853DA8DF9CC3AE';
wwv_flow_api.g_varchar2_table(617) := '103A1591C9E92F7C1E210800C009954100B075502164B4532104303AB7DD7AED7F89C864CB2B8410826030850A2184A00DB21082C4D8FD87ECF563E620CB57CB75495CC696D2F1F6DC4D6B72C505842000188D27DEF5D34A0892955AA19250B5F265610F';
wwv_flow_api.g_varchar2_table(618) := 'EA37E7702B841082000006801804005B098290D18E2004303A5B2E081DBF74821004EB61084208411BE4B77A42D0825AEEB17C49CC8839C8F2D5725D1297B1A574BC3D77D39ACAFE6940080280915809415DF41B41331084CE5110420802001808B78903';
wwv_flow_api.g_varchar2_table(619) := '80AD865BC619EDDC320E6074B6F09671C72F4108821199DF32EE3FBDE5990FDF5B8B85B3E1B7BEFAA4CBD2CD84203B2794738FE54B62C6CB41A6AF96EB92B88C2DA5E3EDB99BD694FAA72232B9F2BC47108200606D9E74D7E4A893A02A820AD2B54A4ED5';
wwv_flow_api.g_varchar2_table(620) := '5BA12DEC41FDE61CC62DE3E642D0171082000006801804005B0F8290D18E2004303A5B2408210401EC19BFFDD5275DEE161541991C21C6EE3F64AF1F21071931865D380ECBDF74BC3D77D39A564C456472274210008CC093EE9A2C6F0D978A150842E728';
wwv_flow_api.g_varchar2_table(621) := '08CD84A09F47080200180AB7890380AD875BC619EDDC320E6074E6B78CBB3CBBAD505B7E897C41D9BA3DF14557224210C09EF1DB5F9DDD1AAE9623C4D8FD87ECF56BE6A04C8C61178EC3F2371D6FCFDDB4A619084100301A4FFAE424FA8DA0F4766605C9';
wwv_flow_api.g_varchar2_table(622) := '5A25A7EAADD016F6A07E73F6F796710841000023801804003B018290D18E2004303AB7DD7AEDC7F3DF10DA8420747C3B4210C05EB1108216762D4788B1FB0FD9EB07E6A04A8C61178EC3F2371D6FCFDDB026842000188D277DF2D62391EE9A04897E2308';
wwv_flow_api.g_varchar2_table(623) := '4148CE5B10420802001809C42000D81910848C76042180D1D99020841004B067FC8E128216D4728418BBFF90BDBE310759EF068C18C32E1C87E56F3ADE9EDBB1A66940080280919809418B8A208F388320744682D05C08FA22421000C008200601C04E81';
wwv_flow_api.g_varchar2_table(624) := '2064B42308018CCE390B42C72F9E3CC43506B047FC8EBE359CA29623C4D8FD87ECF5CE1CD4F325EF068C18C32E1C87E56F3ADE9EBBB0A6A9884C3E8610040023100B410B3CE20C82D0C882D069900E210800604410830060E7401032DA11840046E79C04';
wwv_flow_api.g_varchar2_table(625) := '218420803DE32DB95BC3296A39428CDD7FC85E5FC941862F793760C41876E1382C7FD3F1F6DC46BF69400802809178D2279F3ABB359CC4B7869BE1116710844612844E4564F2E39FBF1B210800604442D7E5123200C076F3E82397AE742277F47D5DEFDF';
wwv_flow_api.g_varchar2_table(626) := 'D8D7601B69B1DCA7AB8EB9F4AB064FBFA6B93ACF182D76A71F4EAEBB78F5B2001C10F73DB4FAE1607D05D6AEA5C8D7295BE4F8450841007B455F08F2E40729E7885E4C39F758BE2426337E7EACE4DD801163D885E3B0FC4DC7DB73CF9F4E4564F2518420';
wwv_flow_api.g_varchar2_table(627) := '0018819910D4AF082AC8DB2A79754EC97B1E1C91F615A3BF674EC9AFB98BFDEEBE9D3D5EB57F27E678763FD1AFCD5C08BA072108006064A80C02809D850A21A39D0A2180D1995708BD408C2BB0762D45BEF872420802D8337EB7521154F9FA4BE7081553';
wwv_flow_api.g_varchar2_table(628) := 'CE3D962F89C98C9F1F2B793760C41876E1382C7FD3F1F6DC0121080046E4E2276FB16F0D67E2A9D629C8E8D5BE62F4F7CC29F935EF4E85D09710820000CE0E2A830060E7A142C868A742086074EE7B68D2FB1FFF6DF925F27572FC42842080BDE2771B2A';
wwv_flow_api.g_varchar2_table(629) := '822A5F83E92D57C594738FE54B6232E3E7C74ADE0D1831865D380ECBDF74BCDD4C08FA084210008C405F08AA56BC68BF4A5E540849DCBF1373BC4C85D0C98F8FEFE5332600C019821804007B018290D18E2004303A230842C72FBC152108609FD01541E2';
wwv_flow_api.g_varchar2_table(630) := 'C807D9F706EA899D47CAB9C7F2253199F1F36325EF068C18C32E1C87E5771EEF4C08BA0D210800D6E7E2A7E64250B7AA08AA0A1CDAAF921782900C118410820000CE016E1307007B01B78C33DAB9651CC0E8DC76EBB52B22722CC61558BB9604210860EF';
wwv_flow_api.g_varchar2_table(631) := 'F8BDAF5EBC1C9410248E7C907D6FA09ED8FB7839F758BE2426337E7EACE4DD801163D885E3B0FC8EE39D0684200018898B9FBAF948A49BDD1AAE976AAAB740D37E95BCB8659CC4FD8398E3F5FA210401009C13884100B037200819ED084200A33350103A';
wwv_flow_api.g_varchar2_table(632) := '7E014210C05EF17B5FBD38AF084AF76269DA5B33FEA0EC28A69C7B2C5F1293193F3F56F26EC08831ECC27158FEC2F14E4564F28F0841003002332168F11B41A930531538B45F252F0421F10A4208410000E708621000EC150842463B8210C0E8340A4208';
wwv_flow_api.g_varchar2_table(633) := '41007BC6EF7FEDE2E510FA1541084296CF731C96DF889B0609084100300A173FF5945545D012042177DFF104A1931F1D7F09210800E01C410C0280BD0341C868471002181DA72074FC7C842080BDE2F7BF7671F91B41F1FE8D2064F93CC761F97BF65444';
wwv_flow_api.g_varchar2_table(634) := '261FBEED07084100B03633214855042D411072F75D5F1042080200D800A1B37E1D1D00600F78F4914B573A913BFABEAEF76FEC6BB08DB459EEA37FFAB8F0F1413578FA35CDD579C668B13BFD7072DDC5ABBCA98783E2BE872657649E6BD41578FC3C8420';
wwv_flow_api.g_varchar2_table(635) := '80BDE20FBE76F17267FC4650BC7FA77BB134EDAD197FA7EC28A6FCDEC6F2253199F1F36325EF068C18C32E1C87E19F760841003012B110D4272347F71252E792BF7B7E95CCD2FE85F1AA7DC55EF3A07E73BAD8EFEEDBD9E355FA9FFCE8F297F9CC0800B0';
wwv_flow_api.g_varchar2_table(636) := '01A80C0280BD850A21A39D0A2180D1B9EDD66B97659E6B7A57204210C09EF107F38A20731F559BED187B6DE20FCA8E62CAEF6D2C5F1293193F3F56F26EC08831ECC271283F154100301A4FFED44D4721B935DC828C7CDD4B48D58A17ED57498E0A2159F4';
wwv_flow_api.g_varchar2_table(637) := '47080200D820884100B0D7200819ED084200A3A304218420803DE30F7BB78693DC5EAC36DB31F6DAC41F941DC594DFDB58BE2426337E7EACE4DD801163D885E398FBA72232F9104210008CC0933F7DD391845945902D52088290C8790842084100001B86';
wwv_flow_api.g_varchar2_table(638) := 'DBC401C041C02DE38C766E1907303AF73D3439BAEDD66B7C7909B047F485A0DA9E28C9FECD2DE32C5FE538A62232F9204210008CC0933F7DE391485855042DF34E557E8FED5EA272DF426DE15749EE406F1977F2A3CBF7F1D9100060C3200601C0C18020';
wwv_flow_api.g_varchar2_table(639) := '64B4230801000064D11541E2D81325D9BF11842C5FE63810820060346642D0E237827A42C532EF20089D932074F2C3CB5FE1332100C016C06DE200E060E09671463BB78C03000030F923430812C79E28C9FECD2DE32C9F711C084100301AB11024B1A2B2';
wwv_flow_api.g_varchar2_table(640) := 'CC3B55D93DB67B89CC7D0BB5855F25C103BA651C421000C0168118040007058290D18E2004000010B11082B27B73C59664FF4610B27CBDE340080280D178F2A79F7C24D2F584A0050842BE7E73D6178410820000B60C6E1307000709B78C33DAB9651C00';
wwv_flow_api.g_varchar2_table(641) := '0080FCF1D72E5EEE2AB786CBF9CD7D546DB663ECB589BF537614A3DF0D5831653B377E7EACE4DD8011B364DA894C3EF05C842000589F9910D4AF08AA48D3CBFC5695DF63BB97C8DCB7505BF85512DCD35BC69DFCF08E7FE2B31F00C096416510001C2454';
wwv_flow_api.g_varchar2_table(642) := '0819ED54080100C081F3C7998AA0ECDEEC88A342281723B2F88D2084200018831B3F7DF12824154115497A99DFAAB27B6CF71299BB6266E15789710F2B8410820000B614C42000385810848C76042100003850FE44FD46506DAF6B8943103263A6223279';
wwv_flow_api.g_varchar2_table(643) := '3F4210008CC08D9FB9B8AC086A1257A49FDF108446108410820000B618C42000386810848C76042100003830FEE49F2F5E9650AF08CAEECD8E3804A108842000188DA510145615414DE28AF4F31B82D01A8210421000C09683180400070F8290D18E2004';
wwv_flow_api.g_varchar2_table(644) := '000007C29FFCF393571541C6FE57B35BE21084441642D0FB10820060046EFCCC938EA47F6BB85E326A1257A49FDF1084060842273FBCE3AB084100005B0E621000008290DD8E200400007BCE9FFEF3932F07913BD537790D7B5B7BDC810B42D380100400';
wwv_flow_api.g_varchar2_table(645) := '23311382642E04A5A2CEEC6983B822FDFC8620D4200821040100EC08884100007310848C7604210000D853FEB4571194ECF70842F5F932E3E7C70A531199BC1721080046E0C6CF3CB127042D401012F7DC9E39C523089D3C72C7D7108200007684D075B9';
wwv_flow_api.g_varchar2_table(646) := 'CD0800E03079F4914B573A913BFABEAEF76FEC6BB08D745BEED355C75CFA5583A75FD35C9D678C16BBD30F27D75DBCCA870800003817DE3A1782EC7DAAE735F6BF9ADD1217EFDFE95E2C8E71AAF377CA8E62F4BB012BA66CE7C657F6544426FFF0DCEF23';
wwv_flow_api.g_varchar2_table(647) := '0401C0DAC4425045CE8E52BA5FBE16E9E7B7AAFC1EDBC5392533EFDCAF9267D39AAB7DC55EF3A07E222272F2C8CFFD339FE1000076082A83000014540819ED54080100C09EF0D6A4226845B2DF5321549F2F337ECF46080280D1482B822A327694D2ABF2';
wwv_flow_api.g_varchar2_table(648) := 'B6D9970A21B1E645080200D841108300000C10848C7604210000D871FEAC27042DB0F7A9E89BBC86BDAD3D6ECF0521842000188D9B3EF384A3209DBA359CB8459DD9D3067145FAF90D41A8D70F2108006047410C0200C8802064B423080100C08EB21082';
wwv_flow_api.g_varchar2_table(649) := 'FCFB58F44D5EC3DED61EB7A782104210008CC64D9F7DC291845945904FE050BE28A537882BD2CF6F0842221D421000C00E83180400500041C86847100200801DE3CF5545907F1F8BBEC96BD8DBDAE3F64C109A8AC8E4EF11820060046EFAECE38F645111';
wwv_flow_api.g_varchar2_table(650) := 'B4CC331E8143F9A294DE20AE483FBF1DB42074F2C8CF7D1D2108006087410C0200A8802064B423080100C08EF0E7998A20FF3E167D93D7B0B7B5C7ED892084100400A331138216BF11140B1D3E8143F9A294DE20AE486D5EB1C515A9CD299979C523CE9C';
wwv_flow_api.g_varchar2_table(651) := 'A72084100400B0072006010038401032DA1184000060CBA95504F9F7B1E89BBCEA38D9BDD911B7E382D05444267F8710040023100B410B10849AD65CED2BF69AE37E084100007B0262100080130421A31D41080000B694BF5042D082DA9E948F89BEC9AB';
wwv_flow_api.g_varchar2_table(652) := '8E93DD9B1D713B2A08CD84A0E7200401C0FADCF4D9C7AD6E0D978020D4B4E66A5FB1D73CEB77F2839FBB8A100400B0272006010034802064B423080100C096F1175F7FF26509E9ADE116D4F6A47C4CF44D5E759CB5E6579BAD7F8D793BF107654731FADD';
wwv_flow_api.g_varchar2_table(653) := '8015B30421080046632604A95BC325200835ADB9DA57AC3523040100EC19884100008D200819ED08420000B025FCE5D77B154199FD491C7B523E26FA26AF3ACE5AF3ABCDD6BFC6BC9DF883B2A318FD6EC08A990941EF410802801178CA676FC8DF1A2E01';
wwv_flow_api.g_varchar2_table(654) := '41A869CDD5BED2EF7FF283D77C0321080060CF400C020018008290D18E200400001B66210479F62771EC49F998E89BBCEA386BCDAF0EC6BFC6BC9DF883B2A318FD6E200221080046E3299FBBE148825C0BD2E56F0D97F32FF398575C411092FCDC084100';
wwv_flow_api.g_varchar2_table(655) := '007B0A621000C04010848C7604210000D8107FF5F5F837823CFB5312E7DA0B8DFDFE3005A1A9884CDE8D10040023F094CFF52A8282B40B24D2CF63DEBE084292F63DF9C16BEE47080200D85310830000D60041C868471002008073E6AFBE7EE3659190FC';
wwv_flow_api.g_varchar2_table(656) := '4690677F4AE25C7BA1B1DF1F9620340D08410030124FF9DCD1914817DF1A0E41288EB3FC2A5937ADD9EE8B100400B0E720060100AC098290D18E20040000E7C44C085A54040DDB9F9238D75E68ECF78721084D4564F22E84200018819910B4F88D20255E';
wwv_flow_api.g_varchar2_table(657) := '2008C571965F25EBA635C77D118200000E00C420008011401032DA11840000E08CF9EBAFDF7839F46E0D3763D8FE94C4B9F64263BFDF6F41681A242004EA161756000020004944415401C028C442D0020421FF9A652C41E8E4FBAFF926421000C0018018';
wwv_flow_api.g_varchar2_table(658) := '040030120842463B821000009C117FDDAB084AF79A61FB5312E7DA0B8DFD7E3F05A1A9884CDEF99CEF210401C0DA3CE573D7A7B7865B8220E45FB3AC2B08210401001C108841000023822064B423080100C0C8FC8D511194EE35C3F6A724CEB5171AFBFD';
wwv_flow_api.g_varchar2_table(659) := '7E0942084100301A332128736BB8250842FE35CB5041E8E4FBAF46080200382442D7E53612000018CAA38F5CBAD289DCD1F775BD7F635F836DA4EC729FAE3AE6D2AF1A3CFD9AE6EA3C63B4D89D7E38B9EEE2553ECC0000EC397FF3F51B8F44E4470BBBB6';
wwv_flow_api.g_varchar2_table(660) := '6F0CDD9F9238D75E68ECF7C6F835BB252EDEBFD36315C73895F9A7D2C9E41D0841003002377FFEB1472272ADEB82AA08AACAD3333A91CE257F2BFFF23383B76FCF17A5748FAC9EF6B5E715A37FBC5E695AF3DCAF927A66CD27DF7FF5037C7602003830A8';
wwv_flow_api.g_varchar2_table(661) := '0C02003803A81032DAA9100200803579DB4C08BAD6F7D5F68DA1FB5312E7DA0B8DFD7EB72B84A622084100300E0B2148441E1342A32CBD800AA138CEF2ABA46EAC19210800E040410C0200382310848C760421000018C842080AC6EF4BD4F68DA1FB5312';
wwv_flow_api.g_varchar2_table(662) := 'E7DA0B8DFD7E3705A199107409210800D6E7E6CFFF54EFD6703310848CD8BE5D9C53CAC7AB927AAFFFC9F75FFD20421000C081821804007086200819ED08420000D0C8DF5EBDF148C2EA4BC421FBC8D0FD29896B9ABFE7DD2D41682A2293B7230401C008';
wwv_flow_api.g_varchar2_table(663) := 'AC84A02E15F31184D2D8BE5D9C53CAC7AB927C900E210800E0C0410C0200386310848C760421000070F2B7577B1541D1976229B57D63E8FE94C435CD1F2FBA36CE5AF3AB83F1AF31B21182006034D28AA054BC40103262FB76714E291FEFAAEFC9F75E7D';
wwv_flow_api.g_varchar2_table(664) := '0D210800E0C0410C0200380710848C7604210000A8F0F6AB37465F220689378221FBC8D0FD29896B9A3F5E746D9CB5E65707E35FA3081541003026B77CFEA78E82BA35DC0C04A1731684108200004004310800E0FC401032DA1184000020C3DBAFDABF11';
wwv_flow_api.g_varchar2_table(665) := '1424DE0886EC2343F7A724AE69FE78D1B571D69A5F1D8C738D531199FC2D4210008CC02DBD8A203B9F21089D932074F2BD5721040100C00CC4200080730441C8684710020000855911D42328E7907D64E8FE94C435CD1F2FBA36CE5AF3AB83A9AC112108';
wwv_flow_api.g_varchar2_table(666) := '0046E396E4D670B97C862074C682D0C9F75EF510421000002C410C0200386710848C760421000098F38EAB379AB71532737E50B61553B087EE4F495CD3FCF1A26BE3AC35BF3A98CC1AA72232791B4210008CC053B3B786CBE53304A13312841082000020';
wwv_flow_api.g_varchar2_table(667) := '013108006003200819ED0842000007CF3BAEDE742412B2B71532737E50B61553B087EE4F495CD3FCF1A26BE3AC35BF3A181583100400A3F1D4EAADE172F90C4168644108210800004C1083000036048290D18E20040070B0BCF3EA4DBDFF4D6EED8862FA';
wwv_flow_api.g_varchar2_table(668) := '8272BAFB28CF90FD29896B9A3F5E746D9CB5E657073337A72232F91B8420001881A7BA6F0D97F323088D24089D7CEF55FF821004000026884100001B0441C868471002003838DE79F526E37F935B3B62BF45D941D9564CC11EBA3F25714DF3C78BAE8DB3';
wwv_flow_api.g_varchar2_table(669) := 'D6FCF1C14C034210008CC4AD5FF8A9A3105A6E0D97F32308AD2908210401004011C42000800D832064B4230801001C0CEF8A2A8266E8FCEDDE1382B2AD98823D747F4AE29AE68F175D1B67ADF967CEA9884CFE1A21080046E0D62F3C7625E6671294376F';
wwv_flow_api.g_varchar2_table(670) := 'CD40101A28089D7CF755FF8A100400004542D7E536190000384F1E7DE4D2954EE48EBEAFEBFD1BFB1A6C23CD97FB74D531977ED5E0E9D73457E719A3C5EEF4C3C97517AFF2A109006043BCAB5711248EFCEDDE133A655B31057BE8FE94C435CD1F2FBA36';
wwv_flow_api.g_varchar2_table(671) := 'CEC0F9A72232F9AB677F17210800D6A62F0445193B93A0BC796B462A15759D47F636FC9D48E792E8957FF999C1DBB7E78B52BA67DD695F7B5E31FA8793EFBE1221080000EA50190400B025502164B453210400B0B76821481CF9DBBD2704655B31057BE8';
wwv_flow_api.g_varchar2_table(672) := 'FE94C435CD1F2FBA36CE80F91182006034265F78ACAAEAEC65EC4C82F2E6AD19A944448590112B82100400006E10830000B6080421A31D41080060EF78F7376E72FFBE84CEDFEE3D2128DB8A29D843F7A724AE69FE78D1B5711AE647080280D198F46F0D';
wwv_flow_api.g_varchar2_table(673) := '17B5F43276264179F3D60C04A18A2074F2DD57FE1B42100000B8410C0200D83210848C7604210080BDE1DDDFB8A9F9F72574FE76EF0941D9564CC11EBA3F25714DF3C78BAE8DE3981F21080046E3A7A35BC3CD88F3502F633B737CD98F20941184108200';
wwv_flow_api.g_varchar2_table(674) := '00A019C42000802D0441C86847100200D879DEF38D9BD46D85FC5F16EAFCEDDE1382B2AD98823D747F4AE29AE68F175D1BA730FF5444267F8910040023B0108242B5AAB397B19D39BEEC471052FD4EBEFBCA6F210401004033884100005B0A8290D18E20';
wwv_flow_api.g_varchar2_table(675) := '0400B0B3BCA75F11A4DABC5F16EAFCEDDE1382B2AD98823D747F4AE29AE68F175D1BC7181721080046E3675445503D97F532B633C797FD0842F37E084100003018C42000802D0641C86847100200D839FEAE27042D7C9EBDC98C53CFDC7B4250B61553B0';
wwv_flow_api.g_varchar2_table(676) := '87EE4F495CD3FCF1A26BE3F4ECA9884CFE0221080046E067321541F55CD6CBD8CE1C5FF61FBC2084100400006B81180400B0E5200819ED084200003BC34208AADF56C8FF65A1CEDFEE3D2128DB8A29D843F7A724AE69FE78D1B571024210008C48AD22A8';
wwv_flow_api.g_varchar2_table(677) := '9ECB7A19DB99E3CBFE8315844EBEF3CA6F23040100C05A20060100EC000842463B821000C0D6F3F7AA22C895B79D5F16EAFCED1A5B39DD7D9467C8FE94C435CD1F2FBA300E4210008CC6CF7EE1B1C9EFBCC9A05CD6CBD8CE1C5FF61F9C2074F29D572004';
wwv_flow_api.g_varchar2_table(678) := '0100C0FA20060100EC080842463B821000C0D6F2F7998A2057DE767E59A8F3B76B6CE574F7519E21FB5312D7347FBC6823662A22933F4708028011F8D95E45903F4F957CBD8CEDCCF165FFC1084227DF79C5C308410000300A884100003B048290D18E20';
wwv_flow_api.g_varchar2_table(679) := '0400B075FCC3379EB2E66D85FC5F16EAFCED1A5B39DD7D9467C8FE94C435CD1F2FBA67210401C0683C4DDD1A4E9AF254C9D7CBD8CE1C5FF6EFBD208410040000A382180400B063200819ED084200005BC342080A12D6BCAD90FFCB429DBF5D632BA7BB8F';
wwv_flow_api.g_varchar2_table(680) := 'F20CD99F92B8A6F9E3452F2A82FE0C21080046602104797EE7CDF2D5637A19DB99E3CBFEBD15841082000060741083000076100421A31D41080060E3A415416DFB9219E3FCB250E76FD7D8CAE9EEA33C43F6A724AE69FEA5772A01210800C6E1695F7CEC';
wwv_flow_api.g_varchar2_table(681) := '9184B6DF79B37CF5985EC676E6F8B27FEF04A193EFBCE23B08410000303A884100003B0A8290D18E200400B031DEFB8DA7647E68BC6D5F32639C5F16EAFCED1A5B39DD7D9467C8FE94C435CD1FA6223279EBB3108200607D9EFEC5DEADE11A73A2E5ABC7';
wwv_flow_api.g_varchar2_table(682) := 'F432B633C797FD7B230821040100C09981180400B0C3200819ED08420000E7CE7BEF7FCAF27F93DB39B86D5F3263321B4B2D7FBBC6564E771FE519B23F2571BEF9A7012108004662210445B7866BCC8996AF1ED3CBD8CE1C5FF6EFBC2074F2F02BBE8B10';
wwv_flow_api.g_varchar2_table(683) := '0400006706621000C08E832064B4230801009C1BEFBBBF571114A7CB0804A1FCFE94C495E79F8AC8E44F9FF51D842000589BA822C8C859C6D3265F3DA697B19D39BEECDF5941E8E4E19723040100C0D912BA2EB7890100C02EF1E82397AE742277F47D5D';
wwv_flow_api.g_varchar2_table(684) := 'EFDFD8D7601BDB44B94F571D73E9570D9E7E4D73759E315AEC4E3F9C5C77F12A1FDA00E06079DFFDF16F042DF3659C2E2374E6AEE5603326B3B1D4F2B76B6CE574F7519E21FB531297DA531199FC094210008CC033BE78FD91885CEBA48B6EEF2946CE32';
wwv_flow_api.g_varchar2_table(685) := 'FD0DBE7A4C2F633B737CD99F4A455DE791AA0C7F27D23964ADC4DF2D1EAA7D4F1E7EF9F7F84C010000670E954100007B021542463B1542000067C6FBEF4F7F2328A827760E6EDB97CC98CCC652CBDFAEB195D3DD477986EC4F495C6C230401C0682C84A0';
wwv_flow_api.g_varchar2_table(686) := 'D9ED3DAD2C661B9E9C68F9EA31BD8CEDCCF1657F2A116D698510421000009C1B884100007B048290D18E200400303AEFEF550465F365507614D3B62F9931998DA596BF5D632BA7BB8FF20CD99F92B8998D100400A3F1CC2F5E6F88F95616B30D4F4EB47C';
wwv_flow_api.g_varchar2_table(687) := 'F5985EC676E6F8B27FEB052184200000385710830000F60C0421A31D4108006034DEAF6E0D27A57C19941DC5B4ED4B664C6663A9E56FD7D8CAE9EEA33C43F6271587100400A3F1CCA8222806414873A682D0C9C32FFF3E421000009C2B884100007B0882';
wwv_flow_api.g_varchar2_table(688) := '90D18E200400B0361F306E0DB7209B2F83B2A398B67DC98CC96C2CB5FCED1A5B39DD7D9467C8FE346F9A8AC8E48F11820060049ED5138216BE343F5959CC363C39D1F2D5637A19DB99E3CBFEAD138410820000602320060100EC290842463B821000C060';
wwv_flow_api.g_varchar2_table(689) := '3E50B835DC826CBE0CCA8E62DAF6253326B3A05AFE768DAD9CEE3ECA33607F42080280D1580841C125E65B59CC363C39D1F2D5637A19DB99E3CBFEAD118410820000606320060100EC310842463B82100040331F342A82BC5FC205F5C4CEC16DFB921993';
wwv_flow_api.g_varchar2_table(690) := '59502D7FBBC6564E771FE569D89FA62232F92384200018015D11E4CB615616B30DCF7896AF1ED3CBD8CE1C5FF66F5C103AF9F6CB7F80100400001B0331080060CF411032DA11840000DC7CB05011E4FD122EA827760E6EDB97CC98CC826AF9DB35B672BA';
wwv_flow_api.g_varchar2_table(691) := 'FB288F637F42080280D178B6716B3871E7302B8BD986673CCB578FE9656C678E2FFB3726089D7CFB6508410000B059108300000E000421A31D410800A0CA877A42D0C257CB8BD5B8A0EC28A66D5F3263320BAAE56FD7D8CAE9EEA33C8598A90484200018';
wwv_flow_api.g_varchar2_table(692) := '8767176E0D27EE1C666531DBF08C67F9EA31BD8CEDCCF165FFB90B4227DF7ED92308410000B071108300000E040421A31D41080020CB87EEBFF94824387F5FC2261B17941DC5B4ED4B664C6641B5FCED1A5B39DD7D94C788998AC8E40F9F89100400EBF3';
wwv_flow_api.g_varchar2_table(693) := 'ECBBEBB786CBF9D3FC646531DBF08C67F9EA31BD8CEDCCF165FFB9094208410000B035200601001C100842463B82100040C287BF79F39184C59788D6D780F5BC588D0BCA8E62DAF6253326B3A05AFE768DAD9CEE3ECAD3F3210401C0685CBAFBFAD9EFBC';
wwv_flow_api.g_varchar2_table(694) := '85FAADE172FE34875959CC363CE359BE7A4C2F633B737CD97FE68210421000006C158841000007068290D18E200400B0E4C3DFBC79755BA16562431032FB04655B31057B7E94531199FC014210008CC0A55E4590CE538659F4A739CCCA62B6E119CFF2D5';
wwv_flow_api.g_varchar2_table(695) := '637A19DB99E3CBFE3313844EBEFDB21F22040100C056811804007080200819ED08420000F28F732128BAADD032B12108997D82B2AD98BC3D1509084100300ACF595404E9DF795389C79BA72D1F8290C6148410820000602B410C0200385010848C760421';
wwv_flow_api.g_varchar2_table(696) := '003860FEB15F11D423483FB12108997D82B2AD98D49E8AC8E4F79FF930421000ACCD737445500F9DA70CB3E84FC74BA3224F634EB47CF5985EC676E6F8B27F3441E8E45B2FFB11421000006C2588410000070C8290D18E20040007885911D423444E04A1';
wwv_flow_api.g_varchar2_table(697) := 'F2EBE3EA330D0841003012CFED09410B5F2D4F5931257F3A5E1A1579DA72A2E9ABC7F432B633C797FD6B0B4227DF7A29421000006C2F88410000070E8290D18E20040007C447BE7973725B21C9E5B4B0B286E4C96A5C507614D3B62F99319905D5F2B76B';
wwv_flow_api.g_varchar2_table(698) := '6CE52CF4998AC8E4F71082006004164290AEEA14479EB2624AFE74BC342AF2F87262D1578FE9656C678E2FFB070B4208410000B0F520060100008290D58E20040007C0477A1541EE9C175696BB4F4B5C507614A333B96E4F4962320BAAE56FD7D8CA69F4';
wwv_flow_api.g_varchar2_table(699) := '99068420001889E7DE7D742412B2559D964FE7292BA6E44FC74BA3224F3927BA7CF5985EC676E6F8B2BF59103AF9D64B7F8C100400005B0F62100000882008D9ED084200B0C77CD4A80872E7BCB0B2DC7D5AE282B2A3189DC9757B4A129359502D7FBBC6';
wwv_flow_api.g_varchar2_table(700) := '56CEDED3A9884C7E1721080046E0B6BB8F7AB7864BDE6D46D4F2941553F2A7E3A55191C7CE894DBE7A4CEF3570E6F8B2DF2D0821040100C0CE80180400004B10848C76042100D8433E5AA80872E7BCB0B2DC7D5AE282B2A3189DC9757B4A129359502D7F';
wwv_flow_api.g_varchar2_table(701) := 'BBC656CE8010040023B21082E25BC325EF36236A79CA8A29F9D3F1D2A8C813CCA74DBE7A4CEF3570E6F8B2BF2A0821040100C04E8118040000110842463B821000EC111F735404B9735E5859EE3E2D7141D9518CCEE4BA3D2589C92CA896BF5D63AF9C08';
wwv_flow_api.g_varchar2_table(702) := '4100301ACF8B2A8274EE49DE6D665A7BB6727AF3B4E53B3041E8E45B2F3D45080200809D02310800001210848CF6F31184F840090067CAC71A2A82DC392FAC2C779F96B8A0EC28466772DD9E92C4641654CBDFAEB145A61264F2168420001881E7991541';
wwv_flow_api.g_varchar2_table(703) := '3AF724EF3633AD3D5B39BD79DAF21D882084100400003B096210000098200819ED672F08DD8920040067455F085AF8FCF9AA12135696BB4F4B5C507614A333B96E4F4962320BAAE5EFCAD8531199BCE519084100B03EE58A206D27EF360BB13A8FDB3125';
wwv_flow_api.g_varchar2_table(704) := '7F3A5E1A157982F9B4C9578FE9BD06CE1C5FF62F05A1937F7BC9BFF37E1D00007612C4200000C8822064B4230801C00E72E703371F85100B410BFCF9AA12135696BB4F4B5C507614A333B96E4F4962320BAAE5EFCCD8531199FC0E4210008CC0F3EF394A';
wwv_flow_api.g_varchar2_table(705) := '6EEF29D55C97BCDB2CC4EA3C6EC794FCE9786954E409E6D3265F3DA6F71A38737CD9DF21040100C04E83180400004510848C76042100D821EE7CE096239130BB359CF3CBB09A9D8D092BCBDDA7252E283B8AD1995CB7A72431CDAF4FB0DA11820060349E';
wwv_flow_api.g_varchar2_table(706) := '7FCFBC2228A4B7F7946AAE4BDE6D1662751EB7634AFE74BC342AF204F36993AF1ED37B0D9C393EE33FF9B797FC07EFCF010060A7410C0200802A0842463B821000EC00571EB8A5F7BFC9E799DBF96558CDCEC68495E5EED31217941DC5E84CAEDB539298';
wwv_flow_api.g_varchar2_table(707) := 'E6D727F4EDA9884C7E1B21080046E005F7C4B7861BF6FE3379B75988D579DC8E29F9D3F1D2A8C813CCA74DBE7A4CEF3570E678E54708020080BD00310800005C200819ED833E9097ECA01F1084006030571EB865F925A2CE33DE2FC36A763626AC2C779F';
wwv_flow_api.g_varchar2_table(708) := '96B8A0EC28466772DD9E92C434BF3E4144641A1082006024164250D0B7F71CF4FE3379B75988D579DC8E29F9D3F1D2A8C813CCA74DBE7A4CEF3570E6F83908410000B03720060100801B0421A37DD007F2921DF4038210003473125504CDD079C6FB6558';
wwv_flow_api.g_varchar2_table(709) := 'CDCEC68495E5EED31217941DC5E84CAEDB539298B6D7672A1226BF8510040023F042551194A4A341EF3F93779B85589DC7ED98923F1D2F8D8A3CC17CDAE4ABC7F45E035F8E3FF95784200000D82310830000A0090421A37DD007F2921DF403821000B839';
wwv_flow_api.g_varchar2_table(710) := '312B8266E83CE3FC32AC6A6763C2CA72F769890BCA8E627426D7ED29498CEFF5990691C96F3DE3DB084100B0362FCC540425E968D0FBCFE4DD662156E7713BA6E44FC74BA3224F309F36F9EA31BDD7A09CE31182000060EF400C0200806610848CF6411F';
wwv_flow_api.g_varchar2_table(711) := 'C84B76D00F08420050E5E33D2168E1ABE519A7E051B5B3316165B9FBB4C4056547313A93EBF69424A6FCFA4C4564F29B0841003002B58AA0241D0D7AFF99BCDB2CC4EA3C6EC794FCE9786954E409E6D3265F3DA6F71AD80783100400007B09621000000C';
wwv_flow_api.g_varchar2_table(712) := '0241C8681FF481BC6407FD8020040059164250F2FB128E3C832054F6655E9F69400802809178911282165473D6A0F79FC9BBCD42ACCEE3764CC99F8E9746459E603E6DF2D5637AAF41DC70F22F08410000B0A720060100C06010848CF6411FC84B76D00F';
wwv_flow_api.g_varchar2_table(713) := '08420090F0095511D49687E6993B9338FDF9AA12135696BB4F4B5C507614A333B96E4F496262C7544426BF8110040023F0A2CCADE1165473D6A0F79FC9BBCD42ACCEE3764CC99F8E9746459E603E6DF2D5637AAFC1EC2942100000EC3588410000B01608';
wwv_flow_api.g_varchar2_table(714) := '4246FBA00FE4253BE80704210058F2894C45505B1E9A67EE4CE2F4E7AB4A4C5859EE3E2D7141D9518CCEE4BA3D2589993910820060345E74CF0D5531DFF2277183DE7F26EF360BB13A8FDB31257F3A5E1A157982F9B4C9578F595A08410000B0F784AEEB';
wwv_flow_api.g_varchar2_table(715) := '6A31000000551E7DE4D2954EE48EBEAFEBFD1BFB1A6C639B2AF7E9AA632EFDAAC1D3AF69AECE33468BDDE987E3EB2E5EBD220070B0DCF5C02D479DBAAD502DA79463E6993B93386B63BBE7EA5696BB4F4B5CA7EC28466772DD9ED2F34D4564F2EB4F4708';
wwv_flow_api.g_varchar2_table(716) := '0280F579F15C08EA441EA3B34F73DEEB39DAF3AADE054AB13A8FDB31257F3A5E1A15793AF36993AF1273F2D0EDFF8E100400007B0F95410000300A540819ED83FE8766C90EFA810A218003E62E6745505B1E9A67EE4CE2AC8DED9E2BAC2C779F96B8A0EC';
wwv_flow_api.g_varchar2_table(717) := '28466772DD9E32F7210401C068BCB8571134CFBC517B73DEEB39DAF3AADE054AB13A8FDB31257F3A5E1A157982F9B4C957884108020080830131080000460341C8681FF481BC6407FD8020047080DCF5E02D4712F2B715AAD9E59879E6CE24CEDAD8EEB9';
wwv_flow_api.g_varchar2_table(718) := 'C2CA72F769890BCA8E627426D7ED09D3801004002371FB3D371C0555D5197AFFC6BE946ACE1AF4FE53EF02A5589DC7ED98923F1D2F8D8A3CC17CDAE4336210820000E0A0400C02008051411032DA077D202FD9413F2008011C109F7CF096D59788852FC7';
wwv_flow_api.g_varchar2_table(719) := '6A7639669EB93389B336B67BAEB0B2DC7D5AE282B2A3189DC975FB92A9884CDE8C1004002370FBBDBA226845E8FD1BFB52AAF971D0FB4FBD0B9462751EB7634AFE74BC342AF204F36993AF679F5C4308020080030331080000460741C8681FF481BC6407';
wwv_flow_api.g_varchar2_table(720) := 'FD80200470007CF2C15BD22F110B5F8ED5EC72CC3C736712676D6CF75CBD0371F769890BCA8E627426D7ED084100301E2F590841415704AD0886B739EFF51CED7955EF02A5589DC7ED98923F1D2F8D8A3CC17CDAE40B0841000070A020060100C0998020';
wwv_flow_api.g_varchar2_table(721) := '64B40FFA405EB2837E401002D8633EF5E0538F8204E3B642E52FC76A7639669EB93389B336B67BAEDE81B8FBB4C4056547313A932F41080280D1580841CBDF79ABE6ED6C6E2AFA93B841EF3FF52E508AD579DC8E29F9D3F1D2A8C85378ED1CBE93071182';
wwv_flow_api.g_varchar2_table(722) := '0000E040410C020080330341C8681FF481BC6407FD802004B0877CEAC1A7F62A823239B4F0E558CD2EC7CC33772671D6C676CFD53B10779F96B8A0EC2826794DA72232F935842000188197F66E0D274D793B93EFCDD842DCA0F79F7A1728C5EA3C6EC794';
wwv_flow_api.g_varchar2_table(723) := 'FCE9786954E429BC76051F421000001C348841000070A6200819ED833E9097ECA01F108400F6884F3FF854E387C63339B4F0E558CD2EC7CC33772671D6C676CFD53B10779F96B8A0EC2866E945080280D178A9AE089AE3CFDB997C6FC616E206BDFFD4BB';
wwv_flow_api.g_varchar2_table(724) := '402956E7713BA6E44FC74BA3224FE1B5337C270F20040100C0818318040000670E8290D13EE80379C90EFA014108600FF874541114832064DBD5B8A0EC28264C4564F22684200018816C45D01C7FDECEE47B33B61037E8FDA7DE054AB13A8FDB31257F3A';
wwv_flow_api.g_varchar2_table(725) := '5E1A15790AAF5DCF87100400008018040000E7058290D13EE80379C90EFA0141086087E90B410B5FED4BB2903C69C9219E9879E6CE24CEDAD8EEB97A07E2EED31217943D0321080046E3654A085A50CB4BF9984CBE37630B7183DE7FEA5DA014ABF3B81D';
wwv_flow_api.g_varchar2_table(726) := '53F2A7E3A55191A7F0DA2104010000AC400C020080730341C8681FF481BC6407FD802004B0837CC6B835DC82DA97642179D292433C31F3CC9D499CB5B1DD73F50EC4DDA7252E4E97531199BCF1E9DF42080280B57959E6D6700B6A79291F93C9F7666C21';
wwv_flow_api.g_varchar2_table(727) := '6ED0FB4FBD0B9462751EB7634AFE74BC342AF2D8AFDDC93711820000009620060100C0B9822064B40FFA405EB2837E401002D8213E53B835DC82DA97642179D292433C31B3677B22084D034210008C84AE081A98970A31997C6FC616E206BDFFD4BB4029';
wwv_flow_api.g_varchar2_table(728) := '56E7713BA6E44FC74BA3224FFCDA21040100002810830000E0DC411032DAFF7FF6EE3B4CB6E3BCEFFC5BCF83F506AF8DEB6CCBB265C9BBEBCDBC0448809028A2C1008297924C055B59B8AD9C2C51B6482ACB1295284AB272B4445C054B9428120CB8084C';
wwv_flow_api.g_varchar2_table(729) := '1789012448C9EB2CDB92C37A9DED23D372B8789EB37F4CF7749DF7BC55EF5B67CE4CF7747F3F7F60A6DE53A74EF79DEE9A46FDA6BA27FD0F79AD9DF4170221E01C78ADB12328BA70462064B79D7E9D24597C39411080197CDABD4F37777536CE4B8179BB';
wwv_flow_api.g_varchar2_table(730) := '30DF9B7D2BFD26BDFED4BF056A7DF53C6EF7A9D5C7E38D7B0D2A478D2B6F230802006024F57DEFF50100E0547CE8C94BF7F42277E7B53EFBEFB0D6D0367EB5D5CFE9DD318FEBEA40E4BCA66BF591315ADABDFEB2FCA85B1FBA4700EC9CD7AACF08F29EE7';
wwv_flow_api.g_varchar2_table(731) := 'A5BA9E65FAD137FED86DF3D0D177A5FFADF0C60E5F2BBB23E173EAFD3A11597CD9F30982009CDCA7A91D419179AA548FCFDB85F9DEEC5BE937E9F5A7FE2D50EBABE771BB4FAD3E1E6FDC6B55B9F2B64F26080200C0C2CE2000C0D6B043C8383EE92F346B';
wwv_flow_api.g_varchar2_table(732) := 'EDA4BFB04308D841BF7CED391725D5770445FF929A1D42765BD5098200CCE6D3EFBD29B4AB333E8F8F0FD87D0AF3BDD9B7D26FD2EB4FFD5BA0D657CFE3769F5A7D3CDEB85722080200A08A300800B0550442C6F149FF435E6B27FD854008D821BF7CED39';
wwv_flow_api.g_varchar2_table(733) := '9B0F1A9F30BFD8FD0A736856F6C66E9B878EBE3B27815097088200CCE4D3EFBD69B523288D3EE72D324F95EAF179BB30DF9B7D2BFD26BDFED4BF056A7DF53C6EF7A9D5C7E30D2A57DE4A100400401561100060EB08848CE393FE87BCD64EFA0B8110B003';
wwv_flow_api.g_varchar2_table(734) := '7EE5DA73C61F343E617EB1FB15E6D0ACEC8DDD360F1D7DB7E3815027228B2F2508023083CF78E34D6A5767ECB5647C1E1F1FB0FB14E67BB36FA5DFA4D79FFAB740ADAF9EC7ED3EB5FA78BC2404410000C41006010076028190717CD2FF90D7DA497F2110';
wwv_flow_api.g_varchar2_table(735) := '02B6E857F21D4199C8425974E18C4068D0260802309BCF78E34D855D9DB1D792F1797C7CC0EE5398EFCDBE957E935E7FEADF02B5BE7A1EB7FBD4EAAA4610040040106110006067100819C727FD0F79AD9DF4170221600B5E67ED08CA4416CAA20B670442';
wwv_flow_api.g_varchar2_table(736) := '22EBB7862308023087CF7CE34DCEAECED86BC9F83C3E3E60F729CCF766DF4ABF49AF3FF56F815A5FEBDF2C7E7BB3DA95873EF9D7791D0B00401061100060A7100819C727FD0F79AD9DF4170221E00CBDAEB62348B727CC2F76BFC21C9A95BDB1DBE6A1A3';
wwv_flow_api.g_varchar2_table(737) := 'EF762410EA4464F12504410066F099F98EA0CC78CE8EBD968CCFE3E303769FC27C6FF6ADF49BF4FA53FF16A8F5B5FECDE2B7972008008076844100809D4320641C9FF43FE4B576D25F08848033F0ABD76EBF2892EA3B82747BC2FC62F72BCCA159D91BBB';
wwv_flow_api.g_varchar2_table(738) := '6D1E3AFA6ECB815097088200CCC4DC119419CFD9B1D792F1797C7CC0EE5398EFCDBE957E935E7FEADF02B5BED6BF59E8F65E79902008008066844100809D4420641C9FF43FE4B576D25F08848053741404ADFF9ABCBC583665A12CB070B66A17E6D0ACEC';
wwv_flow_api.g_varchar2_table(739) := '8DDD360F1D7DB7A540A81391C51713040198C167A92068CD9FB363AF25E3F3F8F880DDA730DF9B7D2BFD26BDFED4BF056A7DAD7FB3EAED250802006022C22000C0E3F4E7620000200049444154CE2210328E4FFA1FF25A3BE92F0442C029580741C3BF26';
wwv_flow_api.g_varchar2_table(740) := '2F2F964D5928AB2C9CA976610ECDCADED86DF3D0EADE166EA03776F85AD91D4904410066F45985B7865BF3E7ECD86BC9F83C3E3E60F729CCF766DF4ABF49AF3FF56F815A5FEBDFCC3CEFCA03044100004C46180400D8690442C6F149FF435E6B27FD8540';
wwv_flow_api.g_varchar2_table(741) := '0898D1EBAFDD7E3115FF9ABCBC583665A1AC382F8DDA8539342B7B63B7CD43AB7B5BB881DED8E16B1D153B9144100460169FEDBC35DC9A3F67C75E4B368DAF0ED87D0AF3BDD9B7D26FD2EB4FFD5BA0D6D7FA371B34098200003821C22000C0CE2310328E';
wwv_flow_api.g_varchar2_table(742) := '4FFA1FF25A3BE92F0442C00C5E9FED082A3F67CB8B658D0B6566BBDCAF308766656FECB67968756F0B37D01B3B78AD4E922CBEE8F98F11040138B1CF2EEC088ACFB3BA187B2DD934BE3A60F729CCF766DF4ABF49AF3FF56F815A5FEBDF4C241104010030';
wwv_flow_api.g_varchar2_table(743) := '0BC22000C0B94020641C9FF43FE4B576D25F088480137883B123A8FC9C2D2F960517CAAAED72BFC21C9A95BDB1DBE6A1D5BD2DDC406F6CE75A9D882CBEE8790441004ECEDB11149F677531F65AB2697C75C0EE5398EFCDBE957E935E7FEADF02B5BEA37F';
wwv_flow_api.g_varchar2_table(744) := 'B32BF713040100300BC22000C0B94120641C9FF43FE4B576D25F08848009DEF0F0ED1725D93B82CACFD9F26299B35056EE6318F7D3B3CEB8A33776DB3CB4BAB7851BE88D5DB85627228B2F2408023083CF79E34D95B7F72CB7ABFD06C5D86BC9A6F1D501';
wwv_flow_api.g_varchar2_table(745) := 'BB4F61BE37FB56FA4D7AFDA97F0BD4FA1EFF9B110401003023C22000C0B94220641C9FF43FE4B576D25F08848006F73E9CED081A3E9D8E959FB3E5C5B2C24299DFC730EEA7679D71476FECB67968756F0B37D01B5BB5098200CCE673B21D416DF35AA0DF';
wwv_flow_api.g_varchar2_table(746) := 'A0187B2DD934BE3A60F729CCF766DF4ABF49AF3FF56F815A5FB972FF27110401003027C22000C0B94320641C9FF43FE4B576D25F088480807B1F363E2368F8743A567ECE9617CBCCF684F9C5EEA7679D71476FECB67968756F0B37D01B7BD5EE4464F105';
wwv_flow_api.g_varchar2_table(747) := '0441006670F79BC63B82DAE6B540BF4131F65AB2697C75C0EE5398EFCDBE957E935E7FEADF0266DF2B5709820000981D611000E05C2210328E4FFA1FF25A3BE92F044240C51BB320685D4BEA1BEFF9B7A99517CBCCF684F9C5EEA7679D71476FECB67968';
wwv_flow_api.g_varchar2_table(748) := '756F0B37D019BB4B0441006672F79B563B8252CBDB7BD6FB14FB0D8AB1D7924DE3AB03769FC27C6FF6ADF49BF4FA53FF161820080200E09410060100CE2D0221E3F8A4FF21AFB593FE42200418D64150529F2F21F9F329A9B63E3EAA9517CBCCF684F9C5';
wwv_flow_api.g_varchar2_table(749) := 'EEA7679D71476FECB67968756F0B37B0705E27228BCF2708023083CB6FBAF9A248DA84F9C6EBA9B6792DD06F508CBD966C1A5F1DB0FB14E67BB36FA5DFA4D79FFAB78088885CB98F20080080534318040038D708848CE393FE87BCD64EFA0B8110907993';
wwv_flow_api.g_varchar2_table(750) := 'DA11547DFE25D5D6C7473573B1ACDC9E30BFD8FDF4AC33EEE88DDD360FADEE6DE106AA7297088200CCE428085A87F9C349EE64F35AA0DFA0187B2DD934BE3A60F729CCF766DF4ABF49AF3F07BF0508820000386584410080738F40C8383EE97FC86BEDA4';
wwv_flow_api.g_varchar2_table(751) := 'BF1008015910A47704559F7F49B5F5F1516DF44CACB727CC2F763F3DEB8C3B7A63B7CD43AB7B5BB881AB7227228BCF2308023083E52A081A86F9C349EE64F35AA0DFA0187B2DD934BE3A60F729CCF766DF4ABF49AF3F9388C895B71004010070EA088300';
wwv_flow_api.g_varchar2_table(752) := '007B8140C8383EE97FC86BEDA4BF1008E1A0BDF9E145754750F5F997545B1F1FD546CFC47A7BC2FC62F7D3B3CEB8A33776DB3CB4BAB7F60DEC12411080992C073B8236F49C2B0442D5FAA85FFBEB4F82200000CE08611000606F100819C7DBFF87DC6927';
wwv_flow_api.g_varchar2_table(753) := 'FD85400807691D042549D51D41D5E75F526D7D7C541B3D13EBED09F38BDD4FCF3AE38EDED86DF3D0EADE0E3B7422B2F85C82200033B077046DE839570884AAF551BFF8EBCF2B6FF9A45FE3752400006784300800B05708848CE3F1FF210FB693FE422084';
wwv_flow_api.g_varchar2_table(754) := '8332DE11D436BF0C6A49B5F5F1516DF44CACB727CC2F76BFC27DCCCADED86DF3D0EADE1E7D210802309BCF5541D09A3D1F0D27B993CD6B817E8362ECB564D3F8EA807B9FA78C9F159CDB7BE5CD044100009CA9D4F7BDD707008073E7434F5EBAA717B93B';
wwv_flow_api.g_varchar2_table(755) := 'AFF5D97F87B586B6F16BB37E4EEF8E795C570722E7355DAB8F8CD1D2EEF597E547DDFAD03D02ECB1B73CBCB8D81B8B88623C03BDE7D2A0D6ABB63E3EAA8D9E89F5F684F9C5EE57B88F59D91BBB6D1EEA3B11592C9F4B1004E0E4F220283EEFA9AAF17AAA';
wwv_flow_api.g_varchar2_table(756) := '6D5E0BF41B1463AF259BC65707DCFB3C65FCAC609C7BE54D044100009C3976060100F6123B848CE3FE5F6836B693FEC20E21ECB5B73CB2B82869FCF9126BEC101A7D1B6A57FA7422892008C02C3ECF796BB8357B3E1A4E722798D762FD06C5D86BC9A6F1';
wwv_flow_api.g_varchar2_table(757) := 'D501F73E4F193F2BA8DA0F10040100B01DEC0C0200EC35760819C7D9210434BBEF11B523A8F03C12E319E83D9706B55EB5F5F1516DF44CACB727CC2F76BFC27DCCCADED8CE3CD489C8E2F2731F25080270629F57D911149FF76434C945C68AF429F61B14';
wwv_flow_api.g_varchar2_table(758) := '63AF259BC65707DCFB3C65FCACD08B2CDFF449BFC66B440000B6849D410080BDC60E21E3383B848026F73D72F41941831D4185E79118CF40EFB934A825D5D6C747B5D133B1DE9E30BFD8FD0AF7312B7B6357FE1D088200CCC6DB11149FF754951D42D5FA';
wwv_flow_api.g_varchar2_table(759) := 'A85F2208020060DB088300007B8F40C8384E2004845C5D0541E6222281907D3C2B7B631BD7EA12411080997CFE9B6EBE988CCF790BCC45957EC3492E3256A44FB1DFA0187B2DD934BE3AE0DEE729E38B2CDFF889044100006C1B611000E020100819C709';
wwv_flow_api.g_varchar2_table(760) := '8480AAABD68EA0E0F3488C67A0F75C1AD4926AEBE3A3DAE899586F4F985FEC7E85FB9895BDB1B37627228BBB098200CCE0F3DFBCD91134E5F54EBDDF70928B8C15E953EC3728C65E4B368DAF0EB8F7B96D7C822000007604611000E060100819C7098400';
wwv_flow_api.g_varchar2_table(761) := '53754750F07924C633D07B2E0D6A49B5F5F1516DF44CACB727CC2F76BFC27DCCCADED8892008C08CBE601D04A54D983FE5F54EBDDF70928B8C15E953EC3728C65E4B368DAF0EB8F73936FEF25E822000007606611000E0A0100819C709848081FB1F59B4';
wwv_flow_api.g_varchar2_table(762) := 'BFAD1081907D3C2B57C6260802309B751074BCABB3320F59B5F8BC27A3C1236345FA14FB0D8AB1D7924DE3AB03EE7DAE8F4F100400C08E210C02001C1C0221E338811020B20A8226BFAD1081907D3C2B1B637722B2F81C82200033F8C2373FC3DED55999';
wwv_flow_api.g_varchar2_table(763) := '87AC5A7CDE93D1E091B1227D8AFD06C5D86BC9A6F1D501F73EDBE32FDF40100400C0CE210C02001C240221E33881100EDC03C68EA0E6E70481907D3C2B67DF12040198CD3A084A92EC5D9DF63C54ACC5E73D190D1E192BD2A7D86F508CBD966C1A5F1D70';
wwv_flow_api.g_varchar2_table(764) := 'EFF3B045100400C08E220C02001C2C0221E33881100ED403951D41CDCF090221FB78565EEF08FA6C8220003318EF080ACD4323D3E73D190D1E192BD2A7D86F508CBD966C1A5F1D70EFF3518B200800801D4618040038680442C67102211C98071FB9C3DD';
wwv_flow_api.g_varchar2_table(765) := '11D4FC9C2010B28F1F7D43100460365FF4E667143EE7AD3A0FE96F8BB5F8BC27A3C1236345FA14FB0D8AB1D7924DE3AB03CE7D5EBE9E200800809D4618040038780442C67102211C88071FB963F5D7E4C9DD11D4FC9C2010B28E779264F15904410066F0';
wwv_flow_api.g_varchar2_table(766) := '45D98E207B0E2CCCB559B9796E77FB0D078F8C15E953EC3728C65E4B368DAF0E14EE3341100000E700611000000442F6710221ECB9871EBDE3A2A4FCAFC9FDE75FF3738240286F764964F1597710040138B92F367604D9736061AECDCACD73BBDB6F3878';
wwv_flow_api.g_varchar2_table(767) := '64AC489F62BF41D1FF5D56AA59F5C0BFD7F2F59FF84182200000CE01C22000005608848CE30442D8530F3D7AC7EA83C6E5C6D645B4E6E7048190ACDF1AEE33098200CCE08B2B3B82EC39B030D766E5E6B9DDED371C3C3256A44FB1DFA0E8FF2E2BD5AC7A';
wwv_flow_api.g_varchar2_table(768) := 'E5DF6BF9AB044100009C1BA9EF7BAF0F000007E5434F5EBAA717B93BAFF5D97F87B586B6F12BB77E4EEF8E795C570722E7355DAB8F8CD1D2EEF597E547DDFA108B0938136F7DF48E0BBDC8AF89C847AC6BBDE807ACFFFC6B7E4E149E47625CADE95ABD6A';
wwv_flow_api.g_varchar2_table(769) := 'EBE3A3DAE899586FABA2778E51EF4464F119773C421004E0C4F22028AF47E6A6E25C9B959BE776B7DF70F0C858913EC57E83A2FFBBAC54B3EAEADF6BF93A82200000CE1576060100A0B043C838CE0E21EC89B73E7AC785D58EA08FC8CA93FEAABAF93971';
wwv_flow_api.g_varchar2_table(770) := '983B84088200CCE64B8CB7865B8BCC4DEC108A5DAF54CFFEBD0882000038870883000030100819C7098470CEBD6D150489C8D3A4F4D86C5C446B7E4E1C5620D42582200033F992B73CE3F873DECAF368BD2DB5B9362B37CFED6EBFE1E091B1227D8AFD06';
wwv_flow_api.g_varchar2_table(771) := '45FF7759A966D593C8F2752F21080200E03C220C0200A08040C8384E208473EA6D9B1D414FCBEB732CA2353F270E2310EA4464F1E904410066F0A56FC9760415E6BA356F3E93DA5C9B959BE776B7DF70F0C858913EC57E83A2FFBBAC5453F5E5AF100401';
wwv_flow_api.g_varchar2_table(772) := '00706E11060100504120641C2710C23913DA11A4DB8D8B68CDCF89FD0E84088200CCE64BDFB2F98C206FAE53878B6DA9CDB559B9796E77FB0D078F8C15E953EC3728FABFCB4AB5559D20080080738E30080000078190719C4008E7C4DB5510B4167A6C36';
wwv_flow_api.g_varchar2_table(773) := '2EA2353F27F63310EA12411080997CD95BC69F11E4CD75A37E85B6D4E6DAACDC3CB7BBFD868347C68AF429F61B14FDDF6585DAF2970982000038F708830000082010328E130861C7BDBDF0D6706BA1C766E3225AF37362BF02A14E44169F46100460065F';
wwv_flow_api.g_varchar2_table(774) := '66ED085AF1E6BA51BF425B6A736D566E9EDBDD7EC3C1236345FA14FB0D8AFEEF325523080200604F10060100104420641C2710C28E7A87F3D6706BA1C766E3225AF373623F02A12E11040198C9976741D0BA569C970A73DDA85FA12DB5B9362B37CFED6E';
wwv_flow_api.g_varchar2_table(775) := 'BFE1E091B1227D8AFD0645FF77D9AA46100400C01E210C0200A0018190719C40083BE61D851D414D8B66BADDB888D6FC9C38DF815027228B4F2508023083751094B22068AD382F15E6BA51BF425B6A736D566E9EDBDD7EC3C1236345FA14FB0D8AEEEFB2';
wwv_flow_api.g_varchar2_table(776) := 'E56B09820000D82B84410000342210328E13086147BCD3D911D4B468A6DB6D8B68EDCF89F319087592088200CCE32FBCE5991745D2F18EA0A679B430D78DFA15DA529B6BB372D36D0AF51B0E1E192BD2A7D86F502CFE2E23080200600F11060100300181';
wwv_flow_api.g_varchar2_table(777) := '90719C40085BF6CEC7EEB820C9DF11D4B468A6DBB145B462DBED73BE02A1A31D410B82200027771404AD770495E720ABE6CD75A37E85B6D4E6DAACDC749B42FD868347C68AF429F61B1447BFCB08820000D853844100004C4420641C2710C296BCF3B1E7';
wwv_flow_api.g_varchar2_table(778) := '6E76040516D29A16CD74BBBE88E6B6DD3EE72310EA4464F1E7098200CC601D040D770495E720ABE6CD75A37E85B6D4E6DAACDC749B42FD868347C68AF429F61B148FEFF1F29708820000D85B844100009C008190719C400867ECDA63CFBD9044AE89A4CD';
wwv_flow_api.g_varchar2_table(779) := '8EA0C0425AD3A2996EDB8B68C33E95B6DB67B70321822000B3F98AB73CF362CA82A0B5CA1C54AC7973DDA85FA12DB5B9362B37DDA650BFE1E091B1227D8AFD06C544100400C09E230C0200E08408848CE304423823D7B21D415316D29A16CD745B3DE843';
wwv_flow_api.g_varchar2_table(780) := 'E7B4F4D9CD40A81391C59F2308023083AFC8760405E7A0421FA35D98EB46FD0A6DA9CDB559B9E93685FA0D078F8C15E953EC77545CFEE24B3E40100400C09E230C020060060442C67102219CB2878F77046D3E2368CA425AD3A2996EAB077DE89C963EBB';
wwv_flow_api.g_varchar2_table(781) := '150811040198CD571A3B829C39C8E963B40B73DDA85FA12DB5B9362B37DDA650BFE1E091B1227D0AFD08820000381084410000CC8440C8384E208453F2F06847D0C69485B48645B3715B3DE843E7B4F4D98D40A813498B4F2108023083AFBCEF991725D9';
wwv_flow_api.g_varchar2_table(782) := '3B82CAF3D6E8D580D1C76817E6BA51BF425B6A736D566EBA4DA17EC3C1236345FAA8FAF2AFFD59822000000E0561100000332210328E130861668F1477046D4C59480B2C9A95DBEA411F3AA7A5CF7603A14E44169FB278982008C0897DE57D9BB7860BCE';
wwv_flow_api.g_varchar2_table(783) := '41596DF46AC0E863B40BD719F52BB4A536D766E5A6DB14EA371C3C3256A4CFAA4E100400C081210C020060660442C6710221CCE4117747906EB72DA45516CDFCB67AD087CE69E9B39D40A81391C52713040198C14BEF1BBF359C330719B5D1AB01A38FD1';
wwv_flow_api.g_varchar2_table(784) := '2E5C67D4AFD096DA5C9B959B6E53A8DF70F0C858813ECB5F20080200E0E010060100700A08848CE3044238A147C33B8274BB6D21ADF81C89B4D5833E744E4B9FB30D84BA44100460262FCD76048DE6237B0EAACC5BA35703461FA35DB8CEA85FA12DB5B9';
wwv_flow_api.g_varchar2_table(785) := '362B37DDA650BFE1E091B12A7D088200003850844100009C120221E3388110267AB47947906EB72DA4159F2391B67AD087CE69E97336815027228B4F2208023083AF3276048DE6A3E11CA4CB466DF46AC0E863B40BD719F52BB4A536D766E5A6DB14EA37';
wwv_flow_api.g_varchar2_table(786) := '1C3C3296D187200800800346180400C0292210328E1308A1D1635910B4AEC51F1F79BB6D21ADF81C89B4D5833E744E4B9FD30D84BA44100460265F55D911349A8F86BFD2CBFD8C79BD691E2D5C67D4AFD096DA5C9B959B6E53A8DF70F0C858596DF9F304';
wwv_flow_api.g_varchar2_table(787) := '4100001C34C22000004E198190719C4008418F3D7E1404A52C085A8B3F3EF276DB425AF1391269AB077DE89C963EA71308759264F18904410066F017B320685D73E7A3E1AFF4723F635E6F9A470BD719F52BB4A536D766E5A6DB14EA371C3C3256220802';
wwv_flow_api.g_varchar2_table(788) := '0000844100009C0D0221E33881101C8FAF8220494741D07C8F97B685B4E27324D2560FFAD0392D7DE60D84BA24B2F8C4DB0982009CDC3A084A5910B4E6CE47C35FE9E57EC6BCDE348F16AE33EA57684B6DAECDCA4DB729D46F38B833D6F2E70882000000';
wwv_flow_api.g_varchar2_table(789) := '61100000678740C8384E208482C7F58EA0E18F7620FEF8C8DB4D0B69E5E748A4AD1EF4A1735AFACC13087522B2780941108019FCA5FB6E19EC086A9ED7B282DBCF98D79BAE57B8CEA85FA12DB5B9362B37DDA650BFE1E085B108820000C031C2200000CE';
wwv_flow_api.g_varchar2_table(790) := '108190719C4008CABB1E1F7E46D0F1CF76F8A31D883F3EF276563DEC40882008C06CD641509234D811D43CAF6505B79F31AF375DAF709D51BF425B6A736D566EBA4DA17EC3C1551F822000003040180400C0192310328E130861E55D8F3FCFFC8C20BDA8';
wwv_flow_api.g_varchar2_table(791) := '36DFE3A5BA90E6B6A3FDD2A8E83FFF9AEFE3B440882008C06CC63B828A734FB136EA5398F7CB6325D5B6FA18EDC27546FD0A6DA9DDDFACDC749B42FD8683AF5ACB9F25080200000A611000005B4020641C27103A78EB204824999F1194D437F33D5EB2EA';
wwv_flow_api.g_varchar2_table(792) := '6105429D882CFE2C411080197CF57DB75C4C5910B4462034EEDC749B42FD0683130401000013611000005B4220641C27103A58EF3E0E82D63B82AC6743D64EAA6DF5696A67D5C30884088200CCE6ABAFDE7251D2511064CF59C36AF3BC9615DC7EC6BCDE';
wwv_flow_api.g_varchar2_table(793) := '74BDC27546FD0A6DA9DDDFACDC749B42FD9288C8F2CA2710040100001B611000005B4420641C27103A38EF2EBC359CFD6CC8DA49B5AD3E4DEDACBADF815027228B4F2008023083975DCD760455E7E561B5795ECB0A6E3F635E6FBA5EE57E58F5A6FB9B95';
wwv_flow_api.g_varchar2_table(794) := '9B6E93DF8F200800005411060100B0650442C67102A183F11EB52368FC73B79E0D593BA9B6D5A7A99D55F73310220802309B975DDD7C46506C5E1E569BE735298F5F1E2BA9B6D5C76857EE87556FBABF59B9E93695EBCB7B3EE149822000005095FABEF7';
wwv_flow_api.g_varchar2_table(795) := 'FA00008033F0A1272FDDD38BDC9DD7FAECBFC35A43DBF8555F3FA777C73CAEAB0391F39AAED547C66869F7FACB477ED4AD0FFD96602BF220C8FB19DACF86ACDDABB6D5A7A99D558DC7A1D78EF6EB4745FFF9D77C1F37B7BF1391C5C7DF7E8D2008C089E5';
wwv_flow_api.g_varchar2_table(796) := '41505E8FCDCBC36AF3BC26E5F1CB63F5AA6DF531DA95FB61D59BEE6F566EBA4D43CBD710040100800076060100B023D821641C3FDD1D424B82A0ED79AFB32368FC73B79E0DE3BFB29EEFF19255F7638710411080D9BC3C7F6B3825362F0FABCDF39A94C7';
wwv_flow_api.g_varchar2_table(797) := '2F8F9554DBEA63B42BF7C3AA37DDDFACDC749B360882000040183B830000D831EC10328ECFBF4368F991B73CC4E2C996BCB76147D0F8E76E3D1BC67F653DDFE325AB9EDF1D429D882C3EEE390441004EEEE56A47903BEF55E7E561B5615E1B15DC7EC6BC';
wwv_flow_api.g_varchar2_table(798) := 'DE74BDCAFDB0EA4DF7372B37DC2682200000D0849D410000EC18760819C7E7DD214410B4454FBCAB6D47D0F8E76E3D1BC67F653DDFE325AB9ECF1D4204410066F30A6347903BEF55E7E5613538AF9905B79F31AF375DAF723FAC7AD3FDCDCAC1DB441004';
wwv_flow_api.g_varchar2_table(799) := '00009A11060100B08308848CE3F30442CB8FBCE541164FB6641D04A5741404AD35FE0C0BCF86F1A2DA0C8F97F195CE57204410046036AFC8760445E6A241BD3A2F0FAB53E6EED2F8E5B1926A5B7D8C76E57E58F5A6FB9B959DDBB4FC1982200000300161';
wwv_flow_api.g_varchar2_table(800) := '1000003B8A40C8387EB24068F9A70882B666B423A8F1B132FEB95BCF86F1A2DA091E2FAA9D55CF4720D489C8E2C504410066F035811D41EEBC579D9787D529737769FCF25849B5AD3E46BB723FAC7AD3FDCDCA85DB441004000026230C02006087110819';
wwv_flow_api.g_varchar2_table(801) := 'C7A7054204415BF4BE773DEF42CA82A0B5D6C7CAF8E76E3D1BC68B6A131E2F857656DDED40882008C06CBEA66147903BEF55E7E56175CADC5D1ABF3C56526DAB8FD1AEDC0FABDE747FB3B23A6FF9D304410000E00408830000D8710442C6F1B64068F911';
wwv_flow_api.g_varchar2_table(802) := '04415BF3BE6C4790F9336B7CAC8CC7B09E0DB1053B6F6CBB9D55773310EA446471892008C00CBE360B82D6B5E05C34129B9787D529737769FCF25849B5AD3E46BB723FAC7AD3FDCDCAAB6F09820000C08911060100700E100819C763811041D016BDDFD8';
wwv_flow_api.g_varchar2_table(803) := '1164FECC1A1F2BE331AC67436CC1CE1BDB6E67D5DD0A84BA44100460265F7BF5D68B22E95ACA82A0B5D0FC6588CDCBC3EA94B9BB347E79ACA4DA561FA35DB91F56BDE9FE6ECA044100006016844100009C130442C6F17A20B4FC9304415BF3FE773DBFB8';
wwv_flow_api.g_varchar2_table(804) := '23C8FC99353E56C66358CF86D8829D37B6DDCEAABB11087522B27811411080197CDDFDB7663B82C6F38E44E72F436C5E1E56A75CBF347E79ACA4DA561FA35DB91F56BDE9FE2659FE55822000003093D4F7BDD7070000EC900F3D79E99E5EE4EEBCD667FF';
wwv_flow_api.g_varchar2_table(805) := '1DD61ADAC64B82FA39BD3BE6715D1D889CD774AD7E34C6F24F10046DCD93AB20A817795AFE9309FDDC1B1F2BE331AC6743D6EE55DBEAD3D4CEAAE3C7A1DB8EF6EB47C5C173A21391C55D044100669007417D79DEC9AA6DED51BD3A2F0FAB53AE5F1ABF3C';
wwv_flow_api.g_varchar2_table(806) := '56AFDA561FA35DB91F563D707F973FF5F104410000603EEC0C0200E09C618790717CB8338320688B9E1CED082AFFA5B5F9736F7CAC8CC7B09E0DB1BFE0F6C6B6DB59753B3B84088200CC66B82348CFC9EC10B26A91FB61D59DFB4B1004000066C7CE2000';
wwv_flow_api.g_varchar2_table(807) := '00CE29760819C77B597E3841D0D67CE05DCFBFD0ABCF0892C05F5A9B3FF7C6C7CA780CEBD910FB0B6E6F6CBB9D55CF6E875027D22F5E48100460065FBF0A827AE33382D82154EA63B42BF7C3AA1BFD963FF9F1EFE7B50C0000981D3B83000038A7D82134';
wwv_flow_api.g_varchar2_table(808) := '3A4E10B4451F58ED084A2A0892C05F5A9B3FF7C6C7CA780CEBD910FB0B6E6F6CBB9D55CF668750272204410066F1F5D98E207F4E668790558BDC0FABAEDA04410000E0D410060100708E11081D1F5F7EF8330982B6E583EFDEBC359C4C5C5833CF697CAC';
wwv_flow_api.g_varchar2_table(809) := '8CC7B09E0DB1053B6F6CBB9D554F3710EA24C9E285CF792741108013FB86FB6FBD98B2B78693D09C4C2064D522F7C3AAAFDA04410000E0541106010070CE1108C9F28F13046DCD3A084A69B82368CAC29A794EE363653C86F56C882DD87963DBEDAC7A3A';
wwv_flow_api.g_varchar2_table(810) := '81D0D18EA08F2508027072DF50D911E4CFC90442562D723F8C3A41100000387584410000EC81030E840882B6E8D7F48E20E767BAA99517D6CC731A1F2BE331AC67436CC1CE1BDB6E67D57903A14E44167712040198411E04AD6B91F98940A8D4C76857EE';
wwv_flow_api.g_varchar2_table(811) := '47565FFE0441100000380384410000EC89030C84961F4610B435EB20487F4690F733DDD4CA0B6BE6398D8F95F118D6B321B660E78D6DB7B3EA3C8110411080D97CA3F1D6706B91F98940A8D4C76857EE0741100000384B84410000EC91030A84961FF6CC';
wwv_flow_api.g_varchar2_table(812) := '07583CD9925F773E23C8FB996E6AE58535F39CC6C7CA780CEBD9105BB0F3C6B6DB59F564815027228B1710040198C13756DE1A6E2D323F110895FA186DFB3ACB1F27080200006788300800803D730081D0F28F11046DCDAF977604A97EDECF74532B2FAC';
wwv_flow_api.g_varchar2_table(813) := '99E7B43D568C31AC6783BB6067D662EDAC3A2D10220802309B6F327604157F373B6D19CDC9044256AD703F08820000C099230C0200600FED71204410B445EE8E20DD767EA69B5A7961CD3C27F65829B6ED674371C1CEEED3D4CEAA6D815027228BE71304';
wwv_flow_api.g_varchar2_table(814) := '0198C137557604157F3707FA110895FA18EDA36F08820000C05610060100B0A7F630102208DAA2BFAE82A035EF67EB05379B5A7961CD3CC719D76BDBCF86D1825DDB225FB59D55638110411080D97CF303FE8EA0E2EFE6403F02A1529F517BF963044100';
wwv_flow_api.g_varchar2_table(815) := '00604B08830000D8637B14082DFF2841D0D6FCF5C25BC3AD793F5B2FB8D9D4CA0B6BE639CEB85EDB7E3664EDA4DA569FA67656AD074204410066F3CD0FAC7604257F4750F17773A01F8150A9CFB1E58F7D1C41100000D81EC2200000F6DC1E044204415B';
wwv_flow_api.g_varchar2_table(816) := 'F4FFBCFB05D5B7865BF37EB65E70B3A99517D6CC739C71BDB6FD6CC8DA49B5AD3E4DEDAC6A07429D882C9E47100460067FF981675D14499B1D41B19D89A6483F02A1521F59FE2841100000D832C22000000EC0390E84967F8420686BD6415092547D6BB8';
wwv_flow_api.g_varchar2_table(817) := '52DD7BBC4C595833CF71C6F5DAF6B3216B27D5B6FA34B5B3EA7061962008C06C8E8220B996446EACCC3BEB52B5DDD28F40688420080000EC04C22000000EC4390C840882B6E86F8C7604F98B6B56DD7BBC4C595833CF71C6F5DAF6B3216B27D5B6FA34B5';
wwv_flow_api.g_varchar2_table(818) := 'B3EAD1C26C27228BE712040198C1B7AC82A0F58EA0C2BC33E0B55BFA11081D5BFE0841100000D811844100001C907314082DFFF0330882B6E56FBCE705E667044516D7ACBAF778695C5833DB1218D76BDBCF86AC9D54DBEAD3D43EAE7692088200CCE35B';
wwv_flow_api.g_varchar2_table(819) := '063B823646331C81907FBDC2F8E5B152DE26080200003B853008008003730E022182A02D5A074192ECCF088A2CAE5975EFF1125C58338EAB9A33AED7B69F0D593BA9B6D5A7A99D3A1159DCF16C8220002767EF08DA18CD700442FEF50AE397C74A2222CB';
wwv_flow_api.g_varchar2_table(820) := '1F26080200003B863008008003B4C3811041D016FDCDF7BCE042CADE1AAEBC00E62FAE5975EFF1E22CAC997DCC739C71BDB6FD6CC8DA857F17ABE6B4BB4410046026DFFAC0B32EA62C085AB3E7A1AC4A20E45FAF307E612C82200000B093088300003850';
wwv_flow_api.g_varchar2_table(821) := '3B18082DFF1041D0D6FCCDF76C3E2348ADDBE55FB2B2BFB866D5BDC74B79912EA9B63EAE6ACEB85EDB7E3664EDC2BF8B552BB43B11592C9EFD0E82200027F6ADD98EA0F8BC1788C24D000020004944415494550984FCEB15C657EDE50F7DDCFB782D0300';
wwv_flow_api.g_varchar2_table(822) := '007652EAFBDEEB030000F6D8879EBC744F2F72775EEBB3FF0E6B0D6DE32546E59CE51F7CC6FD2C9E6CC9DF5A0541BDFA8CA0C1CFAB376A22D23B8F9352DD7BBC58E3E8C7A537A604C6F5DAF6B3216B17FE5DAC5AD6EE4464713B41108019BC721504F56A';
wwv_flow_api.g_varchar2_table(823) := '47507C5ECAAABD3F2F4E9DE7653427EBDF20EB6A5B7B54AFCECBC3EA94EB97C6EF09820000C08E6367100000076E07760811046DD1DF2AED08D23FAFE25F44FB7F6D6DD5BDC74BF9AFB6936AEBE3AAE68CEBB5ED6743D62EFCBB58B5559B2008C06C5E59';
wwv_flow_api.g_varchar2_table(824) := 'D911149F97B22A3B84FCEBD9E313040100809DC7CE20000020B2BD1D42CB3F4010B4357F3BB22348B78B7F11EDFFB5B555F71E2FE5BFDAEE555B1F5735675CAF6D3F1BB276E1DF45D53A11593C872008C00CF22028AFFBF359A94F566587907FBDCDF8CB';
wwv_flow_api.g_varchar2_table(825) := '1F2408020000E7003B83000080C876760811046DD1DF8EEE08D2EDC25F5C47FEDADAAA7B8F97F25F6D27D5D6C755CD19D76BDBCF86AC5DF877C96A04410066F36D0F3EEB6232822009CD67A53E59951D42FEF58E0A04410000E0DC60671000001838A31D';
wwv_flow_api.g_varchar2_table(826) := '42CBDF4F10B4357F67CA8E20DD2EFCC575E4AFADADBAF378A9FCD576AFDAFAB8AA39E37A6DFBD990B5ED7F974E44161F4B10046006DFF660B623C8D8C1B3E6CF67A53E59951D42B5EB2D7FE0C504410000E0FC60671000001838831D4204415BF477A6EE';
wwv_flow_api.g_varchar2_table(827) := '08D2EDC25F5C47FEDADAAA571E2FE6F14D2DA9B63EAE6ACEB85EDB7E3654FF129D2008C06CBE5DEF083276F0ACF9F359A94F56658750E97A04410000E0DC210C02000023A7180811046DD1DFCD82A075CDFD99D5DA8505B6C8E29A55371E2FD5E39B5A52';
wwv_flow_api.g_varchar2_table(828) := '6D7D5CD59C71BDB6FD6C30171E098200CCE6DBB31D417A2E9E3ACF96FB645502215D2308020000E71261100000309D4220B4FC7D3713046DCBDF7DCF9D1744D2B5A4DE1A4EDA7E86E37661812DB2B866D5476D55282FD225D5D6C755CD19D76BDBCF86C1';
wwv_flow_api.g_varchar2_table(829) := 'C223411080D97CC783B78D3E2348CFC553E7D9729FAC4A20B4AE2DBF9F200800009C5384410000A068C6408820688BFEDE7BEFBC2069BD23689E4536BD0869F7F117D7ACFAA8AD0AE5DB9F545B1F5735675CAF6D3F1B44D63B829E4D10046006DFF1E06D';
wwv_flow_api.g_varchar2_table(830) := 'AB1D41E9C6EABC4420E45F3F95FB057E671104010080732DF5FA5374010000940F3D79E99E5EE4EEBC36FA9069FB43963B1179C9859BEFBF26D88ABFF7DE3B8FDF1AAE97E1276A377E50B6DF2E7C4877E403BAADFAA8AD0AE5DBDFABB63EAE6ACEB85E5B';
wwv_flow_api.g_varchar2_table(831) := '5DB51391C5C77C0C41108093FBCE076FBBD8AB1D41D6FCADE7E2A9F36CB94F5635C6F7DA2DFD8673F23CBFAB46F5BEDCAFF03B6BF95708820000C0394718040000422604429D882C6EBCF97E16C5B7E437DE7BE7855E7D46502FF90F699E4536BD0869F7';
wwv_flow_api.g_varchar2_table(832) := '293E4EAAF5515B15CAB7BF576D7D5CD59C71BDF6AAD2F504410066F29DC73B82E4466BCEF1E6E2A9F36CB94F563DAC4068F97D04410000600FF03671000020A4F12DE30882B6EC37563B82F4670425C97F64F3BC0D8F7E9B22BB8FFBF63B667DD45685F2';
wwv_flow_api.g_varchar2_table(833) := 'ED4FAAAD8FAB9A33AED71649EC0802309BEFCA8220B1E71C772E9E3ACF96FB64D5C379CB3882200000B0370883000040583010EA1241D056FD46F6D670525A20CB56C3E65864D38B90769F61C55DA82BB555A17CFB936AEBE3AAE68C5B697722B2F86882';
wwv_flow_api.g_varchar2_table(834) := '20003358074169F0D670D6BC4520E48DE35E3F95FB25490441000060AF1006010080264E20D489C8E2F712046DCDDF7FEF9D17927A6B38292D9065AB61732CB2E94548BBCFB0E22ED495DAAA50BEFD49B5F5715573C635DAAB20E8ED3CE6019C98B72368';
wwv_flow_api.g_varchar2_table(835) := '3C6F110879E3B8D74F66BFE5F7BEF80982200000B0570883000040B35520F40379ED68513C11046DD1DFCF76048517CCB2D5B0F039D1B6BDC0B64F8110411080D9BCEAC1DB2EA62C085AF3E72D02216F1CF7FA69F08520080000ECA5D4EB4FCB05000008';
wwv_flow_api.g_varchar2_table(836) := 'FAD093972EF722AF592F8AFF9E9BAFB228BE25FF601504F56A4750F843B7B34FD40E9F136D173EA45B5FC9FDB0EF525B15CAB7BF576D7D5CD5EAE376BDC8E2368220003378D543B75D947E13044D9987ADF95BCFC553E7D9729FAC6A8CEFB55BFA0DE7E4';
wwv_flow_api.g_varchar2_table(837) := '797E578DEABD2CBF8720080000EC29C22000007022AB40E8D70882B6E71FA8CF088A2C7E997DB2D5B0F039D1765FEA33ACB80B75A5B62A946F7FAFDAFAB8AAD9E37622B27816411080197CF743476F0DD78BDC984F4453E6616BFED673F1D479B6DC6778';
wwv_flow_api.g_varchar2_table(838) := 'A3BD714E747D7567E2B7B1DCCEEACBEFB94410040000F61761100000C039F60F833B82C20B66FDA6153E27DAEE4B7D8695A90B85671408753D41108099AC83A0C18EA06CCE99320F5BF3B79E8BA7CEB3E53EC31BED8D73A2EBAB3B13BF8DE5B6882C5F4D';
wwv_flow_api.g_varchar2_table(839) := '10040000F61C9F19040000704EFDC3CA670479ED629FEC0314C2E744DBC3CF64C8CAC38AFBD90EA5B62A946F7F526D7D5CD5364576040198CDAB1F1A7F46D0701E6E98BB55C59B8BA7CEB3E53EC31BED8D73A2EBAB3B13BF8DC536411000003808844100';
wwv_flow_api.g_varchar2_table(840) := '0000E7D06FBEF7CE0B297B6B38F117BBE20B6669D30A9F136DA7529F6165EA42E12906429D882C6E250802308357673B82EAF370C3DCAD2ADE5C3C759E2DF719DE686F9C135D5FDD99F86D1CB509820000C0C1200C02000038677EF3893B2F489AB62328';
wwv_flow_api.g_varchar2_table(841) := 'BC609636ADF039D1762AF51956A62E149E42204410046036DFA3DE1A4EDC79B861EE56156F2E9E3ACF96FB0C6FB437CE89AEAFEE4CFC361E2308020000078530080000E01CF9CD275E7841241DED085AAD6A798B665EBBD8276D5AE173A2EDE26D1F56A6';
wwv_flow_api.g_varchar2_table(842) := '2E14CE18087522B2B8E5A30982009CDCF73CF4D11745E45ACA82A0B5FA3CDC3077AB8A37174F9D67CB7D8637DA1BE744D75777267E1B65F9DD04410000E0C010060100009C13BFF5C40BB3B7865B2D670DBF1C6B6D17FBA44D2B7C4EB45DBCEDC3CAD485';
wwv_flow_api.g_varchar2_table(843) := 'C21902A12E11040198C9F7AE82209174A34C9A871BCE51156F2E9E3ACF96FB0C6FB437CE89AEAFEE4CE0361204010080834418040000700EFCD6132FBCB07A5BA1ECADE192F5451F0DB78B7DD2A6153E27DA2EDEF66165EA42E10902A14E4416CF240802';
wwv_flow_api.g_varchar2_table(844) := '3083EF1DED08D233CF467D1E6E384755BCB978EA3C5BEE33BCD1DE3827BABEBA3395DBB87C1541100000385084410000003BEE1F0D76041D194517C32FFA68B85DEC9336ADF039D176F1B60F2B53170A2704425D2208023093EF3BDE11246A47909A7932';
wwv_flow_api.g_varchar2_table(845) := 'F579B8E11C55F1E6E2A9F36CB9CFF0467BE39CE8FAEACE187D08820000C041230C020000D861FFC8DC1174442F28AA2F46BF58BBD8276D5AE173A2EDE26D1F56A62E143604429D882C9E4110046006DF57F88C203D7F87E7D4A4DA569F4ADB9ABFF55C3C';
wwv_flow_api.g_varchar2_table(846) := '759E2DF719DE686F9C135D5FDD99ACB9FC2E8220000070E0088300000076D43FAEEE08D2ED647D31FAC5DAC53E69D30A9F136D176FFBB03275A130100875892008C04CCA3B828EE8F93B3CA726D5B6FA54DAD6FCADE7E2A9F36CB9CFF0467BE39CE8FAEA';
wwv_flow_api.g_varchar2_table(847) := 'CE24822000000011C220000080DDF48F433B82743B595F8C7EB176B14FDAB4C2E744DBC5DB3EAC4C5D28AC04429D882C6EFEE8B711040138B1BFF2D66110B4E6CDDFE13935A9B6D5A7D2B6E66F3D174F9D67CB7D8637DA1BE744D7DF1497DF4910040000';
wwv_flow_api.g_varchar2_table(848) := '204218040000B07BFE49D38E20DD4ED617A35FAC5DEC9336ADF039D176F1B60F2B53170A8D40882008C06CD641504AC32068CD9BBFC3736A526DAB4FA56DCDDF7A2E9E3ACF96FB0C6FB437CE89AE9F64F99D97DE4B10040000B04218040000B043FEC9A4';
wwv_flow_api.g_varchar2_table(849) := '1D41BA9DAC2F46BF58BBD8276D5AE173A2EDE26D1F56A62E14668110411080D97CBFDA11A4C3E7356FFE0ECFA949B5AD3E95B6357FEBB978EA3C5BEE33BCD1DE3813AFBFFC8E171104010000E4088300000076C43FCD82A075CD5B14F31614D517A35FAC';
wwv_flow_api.g_varchar2_table(850) := '5DEC9336ADF039D176F1B60F2B13170A25A5A320E8268220003358074149BF355C6192F2E6EFF09C9A54DBEA53695BF3B79E8BA7CEB3E53EC31BED8DD3787D82200000000361100000C00EF8A7EF7BE10549722D6541D09AB728E62D28AA2F46BF58BBD8';
wwv_flow_api.g_varchar2_table(851) := '276D5AE173A2EDE26D1F561A170A65BD23882008C01C463B82D4710221AB3DBCD1DE38C1EB13040100001410060100006CD9FFFBBE6C475061C1CD5B14F31614D517A35FAC5DEC9336ADF039D176F1B60F2BC18542597F46D0D36F23080270723FF0D68F';
wwv_flow_api.g_varchar2_table(852) := 'BE98B220686D34F71426296FFE0ECFA949B5AD3E95B6357FEBB9B8619E0DF619DE686F1CE7FACB6F270802000028220C020000D8A2751034D8114420346E176FFBB01258A8240802309B1FC8760485E6BDC224E5CDDFA1B155317C8EAA787371609E35DB';
wwv_flow_api.g_varchar2_table(853) := 'E53EC31BED8D53B83E41100000808330080000604BFED9FB869F11145970F316C5BC0545F5C5E8176B17FBA44D2B7C4EB45DBCEDC34A65A1B21391C54582200033F84163475068DE2B4C52DEFC1D1A5B15C3E7A88A371757E6D96ABBDC6778A3BD71547B';
wwv_flow_api.g_varchar2_table(854) := 'F96D04410000002EC2200000802DF867EFBBEB82481A7D465064C1AD71916CB4A0A8BE18FD62ED629FB46985CF89B68BB77D5831AE4B100460363F58D911149AF7AC4E81F93B34B62A86CF51156F2E2EDC85C0D8A53EC31BED8DB36A1304010000041106';
wwv_flow_api.g_varchar2_table(855) := '0100009CB1FFEF7D77653B82A62DB80517C98C76B2BE18FD62ED629FB46985CF89B68BB77D58C95A9D882C9E46100460063FF4D68FB9982455770485E63DAB5360FE0E8DAD8AE17354C59B8B0B77213076A9CFF0463BE3100401000034200C0200003843';
wwv_flow_api.g_varchar2_table(856) := 'EB2068B82368DA829BB7D8E62D28AA2F46BF58BBD8276D5AE173A2EDE26D1F561241108019FDD05B3F26DB11349A6FAA6DB38FD529307F87C656C5F039AAE2CDC585BB1018BBD46778A30BE32C5F4910040000D08430080000E08C0C7704E905AE690B6E';
wwv_flow_api.g_varchar2_table(857) := 'DE629BB7A0A8BE18FD62ED629FB46985CF89B68BB7FDB842100460363F9C0541EB1A81D051A37017026397FA0C6FB4EA4310040000300161100000C019F8E7EFBBEB42CA82A035BD8C3865C1CD5B6CF31614D517A35FAC5DEC9336ADF039D176F1B6A74E';
wwv_flow_api.g_varchar2_table(858) := '4416FF3741108019FCF0DB8E82A09405416B0442478DC25D088C5DEA33BCD1ABD6F25B098200000026210C0200003865FF3CDB11E42F824D5B70F316DBBC0545F5C5E8176B17FBA44D2B7C4EB43DBEED04410066F323AB2048D2511064CF617A26D7C7C7';
wwv_flow_api.g_varchar2_table(859) := '467DAC4E81F93B34B62A86CF51156F2E2EDC85C0D8A53E831B4D1004000070028441000000A7E85F183B82FC45B0690B6EDE629BB7A0A8BE18FD62ED629FB46985CF89B637B7BD1391C5FF75DB5B0982009CD88FE81D418579528C99CD9BC3CC3E56A7C0';
wwv_flow_api.g_varchar2_table(860) := 'FC1D1A5B15C3E7A88A371717EE4260EC529F2422B2FC96BB08820000004E8230080000E094FC8BCA8E207F116CDA829B771D6F41517D31FAC5DAC53E69D30A9F136D27822000F3F9D1B70D3F23289BBE448CF9488C99CD9BC3CC3E56A7C0FC1D1A5B15C3';
wwv_flow_api.g_varchar2_table(861) := 'E7A88A33179BE38EFAC5AF4F100400003003C22000008053F02FDF7FD78594EA3B82FC45B0690B6EDE75BC0545F5C5E8176B17FBA44D2B7C8EDFEE4464F17F12040198C18F163E2328A96FEC394CCFE4FAF8D8A88FD529307F87C656C5F039AA52ED335F';
wwv_flow_api.g_varchar2_table(862) := '20B4FCCB77BD87200800006006A9EF7BAF0F0000001AFCCBF76F76048988E8975BFAD597F56A6C58EBEBE7F491315ADABDF5C5E8176B17FBF49B56F81CBBDD89C8E2FF781641108093D33B82A436FF14E6493166366F4E33FB589D02F377686C550C9FA3';
wwv_flow_api.g_varchar2_table(863) := '2AD53E85DF4FA37EF6F597DF4C10040000301B7606010000CC48074162FC8577E35F454FFE0B6CEF3ADE5F98AB2F46BF58BBD8276D5AE173C66D822000B3F931230892DA7C549827C598D9BC39CDEC63750ACCDFA1B155317C8EAA54FB4CDF2144100400';
wwv_flow_api.g_varchar2_table(864) := '003033C22000008099FCABF7DF7521A920688D40C85B889C140875892008C04C7EACF0D6706BC5F9A8304F8A31B34D9A2BAD4E81F93B34B62A86CF51956A9FF6408820080000E0141006010000CCE05F653B828A8B5EEA80BFC0A66BD316DCBCEB780B8A';
wwv_flow_api.g_varchar2_table(865) := 'EA8BD12FD62EF6499B56F89CD58EA0FF9D2008C00C7E5CED086A0C2F8AF3A41833DBA4B9B27083BCF93B34B62A86CF51956A9F78204410040000704A08830000004EE85FBFFF45A31D41C5452F75C05F60D3B5690B6EDE75BC0545F5C5E8176B17FBA44D';
wwv_flow_api.g_varchar2_table(866) := '2B704E97088200CCE4C70B3B8282E1453E7D99C7C598D926CD95851BE4CDDFA1B155317C8EAA54FBF881D0F29B08820000004E0D61100000C009FCEBF7BF68B523288D76041517BDD481C8797A1971CA829B771D6F41517D31FAC5DAC53E69D3AA9CD389';
wwv_flow_api.g_varchar2_table(867) := 'C8E27F23080230036F4790135E8CDB8579528C992D72AD519FC20DF2E6EFD0D8AA183E4755AA7DCA811041100000C029230C02000098E8DF8C7604398B60795D1D889CA79711A72CB879D7F11614D517A35FAC5DEC93362DE39C2E11040198C94FBCEDD9';
wwv_flow_api.g_varchar2_table(868) := '17531604AD45E6AF6ABFC23C29C6CC16B9D6A84FE10679F377686C550C9FA32AD53EE3DF4FCB6F24080200003875844100000013FC9BE31D41FA33820884A2ED629FB46965C73B1159FCAF04410066F0136F7FF66A4750BA313C37B5F42BCC9362CCDC91';
wwv_flow_api.g_varchar2_table(869) := '6B8DFA146E90377F87C656C5F039AA52EDB3F9FD4410040000704652DFF75E1F00000064FEED2A08EAB3CF08121119BEAAEA45BFCA2ABDEAD22FC722E7355DAB8F8CD1D2EEAD2F46BF58BBD8E7B8D8773D41108099FCE42A08EA456ECCE699F8DCD4D2AF';
wwv_flow_api.g_varchar2_table(870) := '304F8A71C5C8B5467D0A37C89BBF4363AB62F81C55A9F4597EC30B0982000000CE0A3B830000001AFCDBE28E20FD97D1EC108AB68B7D8E8A9D48220802308B9F3CDE1124370E77C0543FABACD876FB15E64931AE18B9D6A84FE10679F377686C550C9FA3';
wwv_flow_api.g_varchar2_table(871) := '2A853E0441000000678C3008000020E8DF3DB90982D6B5FA42188150B45DE8D34992C59F79D6430441004EECA7DE3EFE8CA061E04120649E9354DBEA53691BFFAE04410000005B401804000010B00E82521ABE359CB80B610442D1B6AA7522B2F833B712';
wwv_flow_api.g_varchar2_table(872) := '040138B99FD23B8232C3C08340A8FEEFD3708EAAAC6ACBAF2708020000D80AC220000000C7BF573B82AC45B7FA42188150B4BDAA7522B2F85F088200CCE0AF6641D0BA560F3C0884EAFF3E0DE70C2B04410000005B94FAD2274E020000601004453EB8BB';
wwv_flow_api.g_varchar2_table(873) := 'FE61DAD50FD21ED6D581C8794DD7EA2363B4B47BEB8BD1CF6D7722B2F89F098200CC200F82C2735EBF6985CF69E9579827C5B862E45AA33E851BE4CDDFA1B15531784E27222FF9BA17BEFB9AD11D000000678430080000A0A07BF245177AF519419145B7';
wwv_flow_api.g_varchar2_table(874) := 'FAE21D8150A54D100460363FFDF6675FECD58EA0F09CD76F5AE1735AFA15E64931AE18B9D6A84FE10679F377686C5574CEE94464F1B52F7C37F33A0000C096F13671000000866EFD194132FC8CA0C8DBF2D4DF2A87B78C2BB4BB44100460263FBDDA1194';
wwv_flow_api.g_varchar2_table(875) := 'B2204842F3A67E4B34DE32AEFEEF533D87200800006087100601000028BFAD3F23481D8F2CBAD5CF211052ED4E4416FF1341108019FC8CFA8C206F1E2AF6499B56F89C967E8579528C2B46AE35EA53B841DEFC1D1A5B158D73BA4410040000B053088300';
wwv_flow_api.g_varchar2_table(876) := '000032BF1DDD11A4DBC64A58FD1C02A1952E11040198C9CF04770485E7BCB46985CF69E9579827C5B862E45AA33E851BE4CDDFA1B15531FBB61391C5D71004010000EC14C22000008095DF7EF252DB8E20DD3656CFEAE71C7C20D489C8E24F1304019841';
wwv_flow_api.g_varchar2_table(877) := 'EB8EA0F09C9736ADF0392DFD0AF3A418578C5C6BD4A77083BCF93B34B62A2682200000809D45180400002022FFE1C94B1792C83591D4B62348B78DD5B3FA39071B0875892008C04C5EF38E6110B4169FAF9C3E69D30A9FD3D2CF9E2757353D93EBE363A3';
wwv_flow_api.g_varchar2_table(878) := '3E851BE4CDDFA1B1374582200000801D46180400000EDE7FC8760459CB5FDEC25B64D1AD7ECEC105429D882C3E8A2008C00C5EF38E8F3D7A6BB8340C82D6E2F395D3276D5AE1735AFA25D51EF4D133B93E3E36EA53B841DEFC1D1A5BA493248B57100401';
wwv_flow_api.g_varchar2_table(879) := '0000EC2CC220000070D03E74BC2368F31941D6F297B7F0165974AB9F7330815097088200CCE49E551024928EDE1AAE39F0B0DBC53E69D30A9FD3D22FA9F6A08F9EC9F5F1B1519FE67F9F641E57B54E4416AFB89320685B5E76F5960B5E1F000000C22000';
wwv_flow_api.g_varchar2_table(880) := '0070B03EF4814B1724E53B8236ACE52F6FE12DB2E8563F67EF03A14E922C3E922008C00CD641503A7E6BB8D5CCDD1C78D8ED629FB46985CF69E997ECE3625C3172AD519FE67F9F641E5FD53A1159BC9C20686B5E76F5968588FCBB975DBDE5B2D7170000';
wwv_flow_api.g_varchar2_table(881) := '1C36C22000007090FEE307B21D418585376BF9CB5B788B2CBAD5CFD9DB40A813498B8FBC852008C0C95D39DE117414048D828BE6C0C36E17FBA44D2B7C4E4BBF641F17E38A916B8DFA34FFFB24EB3841D096BDECEA2D1745E4DE55F3352FBB7ACBF73BA7';
wwv_flow_api.g_varchar2_table(882) := '0000800396FABEF7FA000000EC95FFF881CD670489881CBF1AEA075F8EF546D5EE53691B2FB9EAE7F4EE98C7757520725ED3B5FAC818D57627228B3F75CB832C180238B13C082ACF3BAB99BB307136CC5FF53ED92F90F0392DFD7AFBB818578C5C6BD4A7';
wwv_flow_api.g_varchar2_table(883) := 'F9DFA75FFFB71391C5CB0882B6E6E54741D0B55E469F9575E5D5979E60971000001861671000003828BFF381D2670495FF12DBFA7B68EF2FB1237F855D3F676F7608110401984D7947D091D14E96E61D3076BBD827FB05123EA7A55FB28F8B71C5C8B546';
wwv_flow_api.g_varchar2_table(884) := '7D9AFF7D92AC3FFB8D20687B5E7EF496701F14911B8D1FE1DD2FBB7ACB3DD6790000E0B0110601008083F13BD98EA0D685B76454BD85B7C8A25BFD9C731F0875892008C04C7EF61D1F7B316541D09A135C4C083CEC76B14FF60B247C4E4BBF641F17E38A';
wwv_flow_api.g_varchar2_table(885) := '916B8DFAB4FDFB742269F1D504415BF38AABB75C4E22AFC96BC68F90400800008C100601008083F03BEAADE164C2C25B32AADEC25B64D1AD7ECEB90D843A11597C0441108019FC6CB623A8611EDACCDC6D8147B15DEC93FD02099FD3D22FD9C7C5B862E4';
wwv_flow_api.g_varchar2_table(886) := '5AA33EB17F9F2E892CBEFACE7731AF6FC92B8E7604BD46623F6702210000304018040000F6DE7F32DE1A6EAD75E12D19556F4126B2E8563FE7DC05425D22080230939F33760405E6A1ACBD9AB9638187DB2EF6C97E8184CF69E997ECE3625C3172AD519F';
wwv_flow_api.g_varchar2_table(887) := 'FABF4F27228BBF4410B4355F13D81164FC0809840000C031C2200000B0D7FE53E5ADE1D65A17DE9251F51664228B6EF573CE4D20D489C8E24F12040198C1CF557604F97359DE5ECDDCF5C023DC2EF6C97E8184CF69E997ECE3625C3172AD511FFB067589';
wwv_flow_api.g_varchar2_table(888) := '2068ABBEA6614790F12324100200002284410000609FFD676347D05C0B6FC9A87A0B329145B7FA393B1F0875892008C04C7E3EB023C89FCBF2F66AE62E4C9CDED8E16B65BF40C2E7B4F44BF67131AE18B9D6A8CFB0D089C8E22F12046DCDD76641D09AF7';
wwv_flow_api.g_varchar2_table(889) := '73357ECE044200008030080000ECA7FF5CD91134D7C25B32AADEB59C4537BB8F6A79631ED7D581C8794DD71A06429D882CFE0441108019FCFC3BE33B82FCB92C6FAF66EEC2C4E98D1DBE56F60B247C4E4BBF641F17E38A916B8DFA1C150882B6EC6BAFDE';
wwv_flow_api.g_varchar2_table(890) := '7A5924BD26F43373DA044200008030080000EC9DFFF28117BB3B82E65A784B46D5BB5661D1ADDE47B5BC318FEBEA40E4BCA66B1D054204410066F30BEB2028C57704F97359DE5ECDDC8589D31B3B7CADEC1748F89C967EC93E2EC61523D752B52E2582A0';
wwv_flow_api.g_varchar2_table(891) := '6DFABAFB6FCD76044D7B0C19E71008010070C052DFF75E1F00008073E3BF7CE0C5C73B82447AD1AF74BCB6DBAFAF1D1F56BD6B8DDAC68DA99FE3DFBFE3BA3A10392F78AD4E44161FFE4C82200027F70BD98E203DEF4A60EEF2E7B2BCBD9AB90B13A73776';
wwv_flow_api.g_varchar2_table(892) := 'F85AD91D099FD3D2AFB78F8B71C5C8B5FAD5BCFE552F2008DA963C081A3E3EA73D868C73AEBCFAD21397C7650000B0CFD819040000F6C67FFDE08B2FA494EF08F277D0CCF597D8C9A87AD71AB58D1B533FC7BF7FC7757520725EE05A04410066F3D7DEF9';
wwv_flow_api.g_varchar2_table(893) := '9CE320488C79570273973F97E5EDD5CC5D9838BDB1C3D7CAEE48F89C967EC93E2EC61503D7EA1241D0560D7704E9C7E7B4C790710E3B840000384084410000602FFCD70F6E7604790B275EDBED5758784B46D5BBD6A86DDC98FA39FEFD3BAEAB0391F32A';
wwv_flow_api.g_varchar2_table(894) := 'D7220802309B75109424DD989547F3AE04E62E7F2ECBDBAB99BB30717A6387AF95DD91F0392DFD927D5C8C2B56AED589C8E2A504415BF3F5F7DF7A396541D09AF7BA46028F21E31C022100000E0C6110000038F7AE7FD0F88C2067E1C46BBBFD0A0B6FC9';
wwv_flow_api.g_varchar2_table(895) := 'A87AD71AB58D1B533FC7BF7FC7757520729E71AD4E44167F9C2008C00C7E71B423A8308766656FEEF2E7B2BCBD9AB90B13A73776F85AD91D099FD3D22FD9C7A5F66FBA6913046DD9D7673B82CC9FE1A038ED31649C43200400C001210C020000E7DAF57C';
wwv_flow_api.g_varchar2_table(896) := '47903AE62D9C786DB75F61E12D1955EF5AF5DB5EE8A35ADE98C7757520725E56EB441241108059FCE2F18E20513B820A736856F6E6AEB6C5F2D5CC5D9838BDB1C3D7CAEE48F89C967EC93E2EB57F5382A0ADFB06634790F9331C14A73D868C7308840000';
wwv_flow_api.g_varchar2_table(897) := '381084410000E0DC7A2A0B82D6B5D1A287B370E2B5DD7E8585B76454BD6BD56F7BA18F6A79631ED7D581C879EBBF1CFFB0673EC0822180131BEF081A2210B2DB6EBF641F17FBDFB41391C55712046DCD37547604993FC34171DA63C83887400800800340';
wwv_flow_api.g_varchar2_table(898) := '18040000CEA5751094B220686DB4E8E12C9C786DB75F61E12D1955EF5AF5DB5EE8A35ADE98C77575C0398F2008C06C7E4905416BE379A8308766656FCE6B5B2C5FCDDC8589D31B3B7CADEC8E84CF69E997ECE332BC2241D096E541D05AE467EFBDAE91C0';
wwv_flow_api.g_varchar2_table(899) := '38C63904420000EC39C220000070EEE81D41A1451067E1C46BBBFD0A0B6FC9A87AD7AADFF6421FD5F2C63CAEAB0385F33A1159FC3182200033F8A5C25BC3AD8DE7A1C21C9A95BD392FF47B427DB7E7815027228BAF2008DA9A6F34DE1A6E2DF2B3F75ED7';
wwv_flow_api.g_varchar2_table(900) := '48601CE31C02210000F6186110000038579EFAC08B2F483F7C6B38892EBE390B275EDBED5758784B46D5BB56FDB617FAA89637E6715D1D50CD2E11040198C96B9DB7865B1BCF5F8539342B7B735EE8F784FA6E4F032182A02DFBC6CA5BC3AD457EF6DEEB';
wwv_flow_api.g_varchar2_table(901) := '1A098C639C43200400C09E220C020000E7C6531FC87604F5E3E3A1451067E1C46BBBFDEC85B7F5B2A27D4EB46DDC98FA39FEFD3BAEAB03AB6627228B3F4A10046006AF2DEC088ACFB38539342B7B735EE8F784FA6ECF02A14E44167FE1058F33AF6FC937';
wwv_flow_api.g_varchar2_table(902) := '193B829A7FA6796D509CF61832CE21100200600F110601008073E1A927876F0D2722422054E8A35ADE98C7F5E1812E11040198C96BAFD57704C5E7D9C21C9A95BDB143BF27D4777B120875892068ABBEA9B223A8F9679AD706C5698F21E31C02210000F6';
wwv_flow_api.g_varchar2_table(903) := '0C61100000D879C741503F7C6B381102A1621FD5F2C63CAEAF160C4564F147088200CCE097AF3DE76212B926A9BE23283ECF16E6D0ACEC8D1DFA3DA1BE3BE781502749165F4E10B435D67B18FC0000200049444154DFFC80BF23A8F1673AAC0D8AD31E43';
wwv_flow_api.g_varchar2_table(904) := 'C63904420000EC91D4F7C60A0A0000C08E307704455638EC9C68541BBE14EAC7C79DB6DBAFAF1D1F56BD6BD56F7BA18F6A7963AE83A03FFC0C82200027F7CB6A47502FE38927302F15FA15E6D0ACEC8D1DFA3DA1BE2BFD2FB43776F85AD91D099F53EFD7';
wwv_flow_api.g_varchar2_table(905) := '89C8E2CB9E4F10B42DDFFCC0664790F4FECF30F0332DF6F35ED748601CE39C2BAFBEF4C4E5711900009C27EC0C0200003BEBA9F71B41900457D4829991F797B45EDBED976AC78755EF5AF5DB5EE8A35ACE9804410066F32BEB1D41D9670425194F3CDE5C';
wwv_flow_api.g_varchar2_table(906) := '57EE579843B3B23776E8F784FAEE9CED102208DAB2BFFCC0B32E8BA4CD8EA0E4FF0CE3CF01A3CFA038ED31649CC30E210000F60061100000D849C74190F5D670422074DC366E4CFD9CE2FD230802309B5FC9760499738E2A7A735DB95F610ECDCADED8A1';
wwv_flow_api.g_varchar2_table(907) := 'DF13EABB73120875892068AB8E822079CDEA51B3394020040000B68030080000EC9C551074EFF18EA0E8FBA5146AA1451067E1C46BBBFD52EDF8B0EA5DAB7EDB0B7D544B1DEF1241108099BCAEB42328938CA237D795FB15E6D0ACEC8D1DFA3DA1BEDBF1';
wwv_flow_api.g_varchar2_table(908) := '40A81391C59712046DCDB7AC82A0753B65FF5D7FEB3D36E2CF01A3CFA038E931649D43200400C039C667060100809DF2D4FB2E5D9094C66F0D270DAB22855A243BF2DE6BDF6BBBFDFADAF161D5BB56FDB617FAA856BF5A30FC4304410066F0BA6BB75F14';
wwv_flow_api.g_varchar2_table(909) := 'E9879F119431DBAAE89D53EE579843B3B23776E8F784FA6E073F43882068CBF220C8FEB90F1F94DE6323FE1C30FA0C8AE1C750B5CD67080100703EB133080000EC9AEF97BE8FBF355CA96ED4229991F797B45EDBED976AC78755EF5AF5DB5EE8336C7589';
wwv_flow_api.g_varchar2_table(910) := '2008C04C7EF5DAEDAB1D41A9BE2348B755D13BA7DCAF308766656FECD0EF09F5DD8EED10EA1241D056D93B823692AEB2430800009C11C2200000B0339E7ADFA57B44E46E91863FB5AED50984EC3E475F3A1159FC4182200033F8D56BB7ABCF08DACC3CEE';
wwv_flow_api.g_varchar2_table(911) := 'BC6514BD73CAFD0A736856F6C60EFD9E50DFED4820D489C8E24B0882B6E65B1F78D6E59405416BF6CF7DF8A0F41E1BF1E780D1675024100200E050F13671000060270C82A05C7485AD56376A91ECC87B6B15AFEDF6EB6BC78755EF5AF5DB3EEAD389C8E2';
wwv_flow_api.g_varchar2_table(912) := '0F3CE37E160C019CD8EBAFDD7EB1579F1124C65CE6CE5B46D13BA7DCAF308766656FECD0EF09F55DF4EF18BC76B14F7647D4F14E44165F4C10B435DFAA7604857FA6EA41E93D36E2CF01A3CFA0C85BC601007068D819040000B6EEA9272EDD23BD110449';
wwv_flow_api.g_varchar2_table(913) := 'C3CA5AAD6ED4229991F797B45EDBED976AC78755EF5AF5DB3EE84310046036AF5FED084A2A0812632E73E72DA3E89D53EE579843B3B23776E8F784FA2EFAF70B5EBBD827BB23D97182A02D7BA5B12328FC33550F4AEFB1117F0E187D0645760801007068';
wwv_flow_api.g_varchar2_table(914) := '08830000C0563DF544FED670854E0442953E95F6F8C674892008C04CDE90BD359C54E7D4A4DAFAB86AABA2774EB95F610ECDCADED8A1DF13EABB330E840882B6EC95D98EA0C93F53F5A0F4C6893F078C3E8322811000008784300800006CCD53EF35DE1A';
wwv_flow_api.g_varchar2_table(915) := '8E40481D1F56BD6B556E7B27228BDF4F100460066F78D8DE11549E53936AEBE3AAAD8ADE39E57E8539342B7B63877E4FA8EFCE2810EA441241D016BD52BD359C9CE467AA1E94DE38F1E780D1675024100200E0501006010080AD380E8282A1CD519D40A8';
wwv_flow_api.g_varchar2_table(916) := 'DCA7D24E044100E673EF2A089264EF082ACFA949B5F571D55645EF9C72BFC21C9A95BDB143BF27D477A71C08759264F145CF7F8C797D4BBEEDC1F15BC3AD4DFC998E1E94DE38F1E780D1675024100200E010A4BEB4A8020000704ACC1D41915588E37A70';
wwv_flow_api.g_varchar2_table(917) := '85AD56376A91ECC8FBF065AFEDF6EB6BC78755EF5AAB7627228BDF7733411080933B0E82446E8CCD5B56AD576D7D5CB555D13BA7DCAF308766656FECF27DB2DAAB7B5BB881DED8956B7522B2F8C2E711046DCBB73D98ED08EA5B1E83D13EC307A537CE89';
wwv_flow_api.g_varchar2_table(918) := 'AE3F288E5FD748601CE39C2BAFBEF4C4E5711900006C133B830000C09932832009AE901CD7832B6BB5BA518B6446DE5FD27A6DB75FAA1D1F56BD6B2582200033CA832009CF5B562DA9B63EAEDAAAE89D53EE579843B3B23776E8F784FA2EFAF70B5E5BB2';
wwv_flow_api.g_varchar2_table(919) := '799D20687BBE5DEF083276F06487AAED729FE183D21BE744D71F14D9210400C03E230C02000067E6A9F75CBA477A23085A0B8636477502A1721F1176040198D31B1FBEFD62CA82A0B5D8BC65D5926AEBE3AAAD8ADE39E57E8539342B7B63877E4FA8EF66';
wwv_flow_api.g_varchar2_table(920) := '0A840882B6ECDBB31D41839F0D8190750E811000003B86300800009C89A7DE93ED082A0536A5630442EAF8B06AF4E9446471812008C00CDE98ED08AACE8FD579CBAA25D5D6C7555B15BD73CAFD0A736856F6C60EFD9E50DF9D3010EA4464F10504415BF3';
wwv_flow_api.g_varchar2_table(921) := '1D0FDE36FA8CA0C1CF8A40C83A87400800801D42180400004EDD53EF36DE1A8E40C8EF976AC787D5AC45100460366F32760455E7C7EABC65D5926AEBE3AAAD8ADE39E57E8539342B7B63877E4FA8EF2606425D2208DAAAEF78F0B6D58E20E7773D819075';
wwv_flow_api.g_varchar2_table(922) := '0E811000003B82300800009CAAE3202818C2548F1108A9E3C3EA7A47D08D04410066F0A6CA8EA0EAFC589DB7AC5A526D7D5CB555D13BA7DC6F34878E3A7A63877E4FA8EF1A03A14E44169F4F10B435DF791C04AD110879E318E710080100B00308830000';
wwv_flow_api.g_varchar2_table(923) := 'C0A919ED080A8630D5630442EAF8A07A992008C01CDEFCF0E2629254DD11549D1FABF396554BAAAD8FABB62A7AE794FB0D2BFAF64B60ECD0EF09F55D3010EA1241D056AD83A0F18F8B40C81BC73887400800802D230C020000A7E2A9775DBA477AF5D670';
wwv_flow_api.g_varchar2_table(924) := '120F61AAC70884D4F12422B2FCBD37DF7FAF00C009BDF9E145B6236838EB44E6B2D8BC65D5926AEBE3AAAD8ADE39E57E85FB9895BDB1ABFF0EA3F6EADE166EE0AADC89C8E2F30882B6E6BBD48EA0F18F8B40C81BC73887400800802D4A7D69D104000060';
wwv_flow_api.g_varchar2_table(925) := 'A2A7DEA576044556104AB5DAB1E22A477D852D54376A91EC68F8D2AA1F1F77DA6EBF7E74BC1391C5EFB9F92A0B86004E2C0F82F2BA9ECD22735965DE32DB9B5AAFDAFAB86AABA2774EB95FE13E66656FECD0EF09F59DF1BFE49D882C3E9720686BF220C8';
wwv_flow_api.g_varchar2_table(926) := 'FF193BBFEBFB96C760B4CFF041E98D73A2EBAB3B13BF8DE5B6885C79F5A5272E8FCB0000E034B133080000CC6A1404497075A354AB1D2BAE6E140E4457430AB54866E4FD25ADD776FBA5C117822000B379CB238B8BC90882C498CD22735961DE1A1F1FD5';
wwv_flow_api.g_varchar2_table(927) := '926AEBE3AAAD8ADE39E57E85FB9895BDB143BF27D477EAEF170882B6CCDB1134FE19B343C81BC738871D4200006C016110000098CD538F1B41D05A307021100AF43BFAA64B04410066F29647563B8292DC589E9386472273999AB71ACE49AAAD8FABB62A';
wwv_flow_api.g_varchar2_table(928) := '7AE794FB15EE6356F6C60EFD9E50DFAD7E6F10046DD9AB1EBCED72CA82A035FF674C20E48D639C43200400C019E36DE20000C02C06415069C5A1742C5AAB1D2BAE72140E4457450AB54876E4BDB58AD7AEF4EB4464F13FDE441004E0E4EE5B05417DBE23';
wwv_flow_api.g_varchar2_table(929) := 'A8FAD656C32391B9AC57DFC4CFE9555B1F576D55F4CE29F72BDCC7ACEC8D1DFA3DB1F9AE1391C5F2B90441DBF2AA876E7B89F4F28675BBEDE7B7A954FBF09671D639BC651C000067849D410000E0C4AE3F7EE99E3EDF11545A69281D8BD66AC78AAB1B85';
wwv_flow_api.g_varchar2_table(930) := '03D1D590422D9219797F49EBB52BFD2E13040198C33A0812513B82AA3B19864722735952DFC4CF49AAAD8FABB62A7AE794FB15EE6356F6C60EFD9E38FAD2892482A02D4B473BE37E3D6B5B7DAAEDF12347F5618790750E3B840000382384410000E044AE';
wwv_flow_api.g_varchar2_table(931) := '3FF6A27BA4EFEF16E3AF5F8B8281CB2C63C8DE0542CBDF7DD3D57B0BDD0020ECAAF11941F185EBE191C85C96D437F173926AEBE3AAAD8ADE39E57E85FB9895BDB103BF27BA24B2583EF75182A02D7BF99DEFFEF74964412054EFE7BDAE91C038C6390442';
wwv_flow_api.g_varchar2_table(932) := '00009C01C220000030D9F5C75EB4796BB855E04220642C7A380B275E3BAB2F7FF74D57592C017062574B3B829A16AE874722735952DFC4CF49AAAD8FABB62A7AE794FB15EE6356F6C6AEFC3B7422B2B84C10B433088462FDBCD7351218C7388740080080';
wwv_flow_api.g_varchar2_table(933) := '534618040000261904416B0442C59AB770E2B54564F93F10040198C1FD5910B4AE4D5FB81E1E09CC659B5AB2FB94CF49AAAD8FABB62A7AE794FB15EE6356F6C636AED52582A09D442014EBE7BDAE91C038C639044200009C22C2200000D0ECFAA32FBA47';
wwv_flow_api.g_varchar2_table(934) := '7A1504AD1108156BDEC249A54D10046016EB20286541D0DAF485EBE1116F6E1BD492DDA77C4E526D7D5CB555D13BA7DCAF701FB3B23776D6EE4464713741D0CE22108AF5F35ED748601CE31C022100004E09611000006872FDD1FCADE10A9D08848A356F';
wwv_flow_api.g_varchar2_table(935) := 'E1C46813040198C5036A475068CE528DF2C2F1F08837B70D6AC9EE533E27A9B63EAEDAAAE89D53EE57B88F59D91B3B11049D1B0442B17EDEEB1A098C639C43200400C029200C020000618320688D406820B408E22C9C64EDE57F4F100460060F14760485';
wwv_flow_api.g_varchar2_table(936) := 'E62CD5282F1C0F8F04167C37B564F7299F93545B1F576D55F4CE29F72BDCC7AC5C199B20E89C21108AF5F35ED748601CE31C0221000066461804000042AE3F527B6B38B34A2054A9790B27892008C04C1E74760485E62CD5282F1C0F8F345D2BD97DCAE7';
wwv_flow_api.g_varchar2_table(937) := '24D5D6C7555B15BD73CAFD0AF7312B1B637722B2F81C82A073874028D6CF7B5D2381718C7308840000981161100000705D7F24F2D670A53A8150A956593859FE7704410066F0E023775C1449EE8EA0D09CA51AE585E3E191A66B25BB4FF99CA4DAFAB86A';
wwv_flow_api.g_varchar2_table(938) := 'ABA2774EB95FE13E66E5EC5B82A0738E4028D68F40080080DD96FAD202080000800E8272D1D582E3FA6849A2DCB7742C5AAB1D736EDFB86E97A36347B2A3ECE55827D22FFEDB9BAEB26008E0C41E7CF48E8BD26F760489F4E3F9C769BB7DFA5A763E3CD2';
wwv_flow_api.g_varchar2_table(939) := '74ADDEEE533EA7576D7D5CB555D13BA7DCAF701FB379BD17597C3641D05EF8EE876EBBD08B5C935E9EB6AE353F675695E9CFAB7ABBDC27AB1AE37BED967EC365A6F17D95C038C639575E7DE989CBE332000088626710000028BAFEF094B7862BD5474B11';
wwv_flow_api.g_varchar2_table(940) := 'E5BEA563D15AED9873FBC675BB1C1D3B9219AD72A84E44088200CCE2A147EFB89844AE49CA770439BB12A273966A9433F3E191A66B25BB4FF99CA4DAFAB86AABA2774EB95FE13E66F33A41D0FE608750AC1F3B840000D84DEC0C020000A6EB0FAB1D41D1';
wwv_flow_api.g_varchar2_table(941) := '5501B73E5A9228F72D1D8BD66AC79CDB37AEDBE5E8D84E76D489C8E2773DFD3E160C019CD8438FDE31F88CA05EF424C40EA1E3B62A7AE794FB8DEE6327228BCFBA8320681FB14328D68F1D420000EC167606010080915110240DAB016E7DB41451EE5B3A';
wwv_flow_api.g_varchar2_table(942) := '16ADD58E39B76F5CB7CBD1B19DCCE83241108039BC75BD2328FB8CA0247A126287D0715B15BD73CAFD06952E1104ED357608C5FAB143080080DD421804000006AE5F9BF3ADE14A7502A1ACB6FC5D4FBFEF5EE3100034796BB623C80F3E08848EDBAAE89D';
wwv_flow_api.g_varchar2_table(943) := '53EE9764BDD3F3330982F61E8150AC1F81100000BB83300800001CBB7E2DDB11D4127C4CAA130889C8F2BF79FA7D2C660038B1B795760465C6C10781D0715B15BD730AF52E4922083A200442B17E04420000EC06C220000020A283A0B596E06352FDA003';
wwv_flow_api.g_varchar2_table(944) := '21822000B3789BB72348B79D8559AFEDF639CC40A81391C567DCF10841D08121108AF52310020060FB525F5AE400000007E3FA3B574150F4FFF267AF8F9624CA7D4BC7A2B5DA31E7F68DEB76D919BB1391CB37F0D6700066900741795DFF5F9ED956497C';
wwv_flow_api.g_varchar2_table(945) := 'E89C963EC687D36F0E0D8F345DABB7FB94CFE9555B1F576D55F4CE5907419F4E1074D0BEFBA1DB2EF422D7A497A7AD6BCDCF995565FAF3AADE2EF7C9AAC6F85EBBA5DF70096A7C5F25308E71CE95575F7AE2F2B80C000072844100001CB8E32068AD25E0';
wwv_flow_api.g_varchar2_table(946) := '98B57E10815027228B1B9E7E1F0B86004EECEDAB20A85741D09AB7803A0E3E08848EDBAA5839872008C7088462FD08840000D80EDE260E00800376FD1DDB786BB8527DB41451EE5B3A16ADD58E39B76F5CB7CB85B15F4A1004600E6FAFBC35DC9AAE9B6D';
wwv_flow_api.g_varchar2_table(947) := '95C087CE69E9B3DF6F1947108401DE322ED68FB78C0300603B088300003850C74150532072DAF5BD0E849637DCC467040138B9773C7AC7C5A4DE1A6EEAC2EC38F820103A6EABA26A768920080602A1583F02210000CE1E611000000768B423A8291039ED';
wwv_flow_api.g_varchar2_table(948) := 'FA5E064204410066F18ECA8EA0A90BB3E3E08340E8B8AD8AAB6627228B4F230842018150AC1F81100000678B300800800373FD1D77DD23D20FDF1A4E5A0391D3AEEF55204410046016EF7CCCDF11347561761C7C10081DB787C52E110421804028D68F40';
wwv_flow_api.g_varchar2_table(949) := '080080B343180400C001B9FEF6BBEE917EBD23C8482E9A0291D3AE9FFB40A81391E50D3713040138B9773EB6DA1194FC1D41531766C7C10781D071FBA8D889C8E253098210442014EB47200400C0D9487D6921030000EC95EB6FBF6BF8D6707A052D17F9';
wwv_flow_api.g_varchar2_table(950) := 'BFF033AB8F9624CA7D4BC7A2B5DA31E7F6299D2459DC70F37D2C180238B16B8F3DF7622F724DA43FDE1124FD38ABF6DAD17EFDA8D8C7CE69E963DCFECDA1E191A66BF5769FF239BD6AEBE3C7BA5E64F1A90B8220B4FBEE876EBBD08B5C935E9EB6AE353F';
wwv_flow_api.g_varchar2_table(951) := '675695E9CFAB7ABBDC27AB9EE2BC23A2FFCE667C5F25308E71CE95575F7AE2F2B80C00C0E1616710000007E0FADB541024C6CA9979CCA99D497DB41451EE5B3A16ADD58E39B74F7929411080395C7BECB91745E45A12B9F1ACFE523F8D8A07BF43E86847';
wwv_flow_api.g_varchar2_table(952) := '10411026CA76083DBCAE353F675695E9CFAB7ABBDC27AB9EE2BC23C20E2100004E1B3B830000D873832028B282661E736A67521F2D4994FB968E456BB563CEED1391E50DCFE0ADE1009CDCC3C73B82369F1174967FA9DF8F8A07B943A8EB45167F9E2008';
wwv_flow_api.g_varchar2_table(953) := '3379D543B7656FD93BE139B3AA4C7F5ED5DBE53E59F514E71D1176080100705AD8190400C01E1BED088AAC9C99C79CDA99D4474B11E5BEA563D15AED58FDF611040198C5C3831D411B67F997FA69543CB81D429D10046166AFB8F3DD9725C99575BBF939';
wwv_flow_api.g_varchar2_table(954) := 'B3AA4C7F5ED5DBE53E59F514E71D1176080100705A08830000D853D7DF7AD7E02F4F8F1108C56AB563767F822000B378641504AD77046D7361368D8A0713087522B2F8730441380504427E3F02210000E647180400C01EBAFED66C475034CC20102AF3FB';
wwv_flow_api.g_varchar2_table(955) := '2F6F78E6551617009CD823D51D41BA7D360BB36954DCFB40882008A78E40C8EF47200400C0BCF8CC200000F6CC2008CA45FE0F7A50330E46C73893FA6849A2DCB7742C5A2B1FEB24C94B6E78E6D56B667F0068F068F1338236EC76563DC5CFF2E847C5BD';
wwv_flow_api.g_varchar2_table(956) := 'FC0CA1AE17597CCAE26182209C093E43C8EFC767080100300F76060100B047AE3F54088224F87FF7839A71303AC699D4474B11E5BEA563D15AF9D84B098200CCE1D1A61D41BA7D367FA99F46C5BDDB21D4094110CE183B84FC7EEC100200601E84410000';
wwv_flow_api.g_varchar2_table(957) := 'EC89E320A82DCC20108AD6C6C79637DCC25BC30138B947439F11E4B5CF6661368D8A7B13087522B2F86482206C018190DF8F4008008093230C0200600F8C7604C5C28C608D40C83846100460168F3DF6DC8B49BD359C041631B7B9309B46C5731F087589';
wwv_flow_api.g_varchar2_table(958) := '20085B4620E4F723100200E0640883000038E7AE3F78D7E0BDE68FCD1A881008659637DC4A1004E0E41E7BFCB917251D0541732C6A9EE5C26C1A15CF6D20D489C8E2930882B0030884FC7E044200004C97FABEB65202000076D9F507D58EA0C8FF117BC7';
wwv_flow_api.g_varchar2_table(959) := '222B68E631A77626F5D192C49CF7BF1391CB37DC7AF55EA307003479FCF1A3B786EBD73B8256FF5B16C9A563EDAC7A8A1FEEDE8F8ACE07D94FB98FC6EDDF1C1A1E69BA567F14047D22411076CCAB1EBA6DF0873ECDCF995565FAF3AADE2EF7399B7947E4';
wwv_flow_api.g_varchar2_table(960) := 'F8EF808E7BC46F63B92D22575E7DE989CBE3320000FB8130080080736A1404AD45038EDA310221AD93248B1B6EBDCA822180135B0741EBB786CBC20991D2C2E7A4F6D92CCCF6A3E2B908848E82A0DB0982B09B0884FC7E04420000B4E16DE200003887AE';
wwv_flow_api.g_varchar2_table(961) := '3F50786B3809FEDFBA77AC5A330E46C73893FA6829628EFBFF528220007378D7E3E3CF08D2597B24A38EB5B3EA29BE75531A1577FE2DE3BA4410841DC75BC6F9FD78CB380000DA1006010070CE5C7F20DB11D412949C3C1039D4406879C3B3F88C200027';
wwv_flow_api.g_varchar2_table(962) := 'F7AEC79F775124999F1194D437732C6A9EE5C26C1A15773610EA4464F11282209C0304427E3F02210000E20883000038470641D05A4B50323D10316A07110811040198C55110B4DE11345A2E1DB6936A5B7D9ADA67B3309B46C59D0B84088270EE1008F9';
wwv_flow_api.g_varchar2_table(963) := 'FD0884000088210C0200E09CB87E7FE35BC395EAED8148A5B6D781D0F286DB0882009CDCBB1F7FDEE8ADE18CE5D2613BA9B6D5A7A97D360BB36954DC9940882008E7168190DF8F4008F8FFD97BF37849B2ABBEF3DCCF4755D533C34CD7CC78F6450CB3CF';
wwv_flow_api.g_varchar2_table(964) := '78466504162D7557A5A45E0BCB92576CBCA8D21B06639010C82CB61133638FDDCD22F64540BFC72664B61602094A52773506B5D4AD963A6DCF781B83D8C160A3C2D85D4B7F3E317FBC8CCCB827EEBDE7DC88785BE4F7FB87F29DDF3971E3C653D77991F7';
wwv_flow_api.g_varchar2_table(965) := '97371200C00633080000E01470FB3D031F0D97D3FD8688439BA5218411040093F0546747506A71564A0B9241C5A99AAAF8681666434F3C7643E8BA882C5E8B1104A7180C21BB0E43080000A00C66100000C009E7F67B1ED81369863F1A2EA7DB86488536';
wwv_flow_api.g_varchar2_table(966) := '2B430823080026E183891D41A9C5D9941ED40F532C6A1EE5C26CE889C766086104C16CC010B2EB3084000000F260060100009C606EBFFB81CEA3E1947B516D8838B5526EFE86D0F2452FC7080280F17CB0B02328B5389BD283FA618A45CDA35C980D3DF1';
wwv_flow_api.g_varchar2_table(967) := 'C80DA1EB22B2F8FD184130233084EC3A0C210000803498410000002794DBEF7E20F168380CA1717AD110C208028049F8906347506A71B65817549CAAA98A8F666136F4C4233384308260B66008D97518420000007D30830000004E209111D4822134919E';
wwv_flow_api.g_varchar2_table(968) := '348430820060123E54B12328B5385BAC0B2A4ED554C547B3301B7AE2A11B42D74564F19A4BD7308260B66008D9751842000000319841000000278CDB3FDE7D349C024368223D3284962F7A054610008CE7E90FBCFA4208753B82528BB3C5BAA0E2544D55';
wwv_flow_api.g_varchar2_table(969) := '7C340BB3A1271E9A218411043B0386905D8721040000B00533080000E00471FBC7538F865360084DA4378211040053F1F4073A3B82D4CAA1B5B0985A9C2DD60515A76AAAE2A359980D3D717243E8BA048C20D82D3084EC3A0C210000800330830000004E';
wwv_flow_api.g_varchar2_table(970) := '089111D4621A1C184223F4E5198C20009880673A4650AB610815626361D68A3335D74564F1FB2E6204C1EE812164D7610801000060060100009C086EFF98E7D170391D436880BE3C73F77B78F30E00A3698DA0D031825A30840AB1B1306BC54AC308829D';
wwv_flow_api.g_varchar2_table(971) := '0743C8AEC3100200805D0733080000E098B9FD63358F86CBE91842153A4610004CC287D58E207BF1D15E584C2DCE16EB828A533555F1D12CCC869E38D810BA2E228B4FC70802C01072D461080100C02E8319040000708CDC7ED79047C3E5740C21878E11';
wwv_flow_api.g_varchar2_table(972) := '040093F0E1CC8E207BF1D15E584C2DCE16EB828A533555F1D12CCC869E586D08610401283084EC3A0C210000D85530830000008E898D1134A921822154D09767EEC1080280F13CFB817B2F8884EC8E207BF1D13E26B5385BAC0B2A4ED554C547B3301B7A';
wwv_flow_api.g_varchar2_table(973) := 'A2DB10BA2E228BCB1841003D3084EC3A0C210000D84530830000008E81DE8EA0490D110CA1848E11040093706004B53B82B64B818E45420CA1526C2CCCAAF87AC0080228822164D761080100C0AE811904000070C4DCFED1C4A3E1646A430443A8034610';
wwv_flow_api.g_varchar2_table(974) := '004C426B04C53B82B64B818E45420CA1526C2CCCAEE3EB22B278082308C00443C8AEC3100200805D0233080000E008D918413566464D6DA4630889C8F2CC458C200018CF473E70EF85D031825AF4C2A563911043A814971766AF078C20802A3084EC3A0C';
wwv_flow_api.g_varchar2_table(975) := '210000D81530830000008E88DE8E209F9991D75CFA4E1B4218410030091FE9EC08CA2F120615EBBCD294681D935A9C2DD60515A76AAAE2A359980D3D71B3307B5D44160F62040154832164D761080100C02E80190400007004DC7E67C5A3E1727A4D6DA4';
wwv_flow_api.g_varchar2_table(976) := 'EFA4218411040093F0D1A7EEBD1042BC2328BF481854ACF34A53A2754C6A71B65817549CAAA98A8F666136F4C4703D6004018C0243C8AEC310020080B9831904000070C8DC7AE7037B4DEDA3E1727A4D6DA4EF9421B43C7309230800C6F3D1A73A3B82D4';
wwv_flow_api.g_varchar2_table(977) := '0A5F7E9130A858E795668C6BC589E5D2380E2A4ED554C547B3301BB6E27511593C801104301A0C21BB0E43080000E60C66100000C02172ABB323A811B79951D66B6A237D270C218C20009884E79EEA7F479065DC6CB5A0629D579A31AE1527964BE338A8';
wwv_flow_api.g_varchar2_table(978) := '385553151FCDC26C10B92E41160F5C7C02230860223084EC3A0C210000982B984100000087C4ADC71ED893267E341C8690A58D328430820060129E7B2AFF1D419671B3D5828A755E69C6B8569C582E8DE3A0E2544D557CE80BB3073B82EEC10802981A0C';
wwv_flow_api.g_varchar2_table(979) := '21BB0E43080000E60866100000C02170EBB1CE7704A5FC971AB325A7D7D446FA2C0DA1E599054610008C6795DA11A46A2CE366AB0515EBBCD28C71AD38B15C1AC741C5A99AAAF8D01666AF8BC8E27E8C2080430343C8AEC310020080B981190400003031';
wwv_flow_api.g_varchar2_table(980) := 'B71EBB7F6B04B56008556A5586104610004CC2AAB42348C74AC82F120615EBBCD28C71AD38B15C1AC741C5A99AAA78F285598C2080230243C8AEC3100200803981190400003021B77EA435826C330343C8D2ECDF214610004C45D7086A356B41CF326EB6';
wwv_flow_api.g_varchar2_table(981) := '5A50B1CE2BCD18D78A13CBA5711C549CAAA98A275B98BD2E228BFB3082008E0C0C21BB0E43080000E60266100000C0446C8CA00A330343C8D28ABFC3E59957620401C078FE5EE2D1702DD6829E65DC6CB5A0629D579A31AE1527964BE338A8385553158F';
wwv_flow_api.g_varchar2_table(982) := '5E98C5080238263084EC3A0C2100009803984100000013B0DD11B4C667666CC31AB325A7D7D446FAA934843082006012FE5EE1D1702DD6829E65DC6CB5A0629D579A31AE1527964BE338A83855531577D4BA85D9EB22B2B8172308E0D8C010B2EB308400';
wwv_flow_api.g_varchar2_table(983) := '00E0B4831904000030925B3F7CFF9E34EA3B82C43433FA618DD992D36B6A23FD541942CB33AFC2080280F1FCFDA7EEBB1024141F0D97D37BB112F28B8441C53AAF34635C2B4E2C97C6715071AAA62AEEA8BE85598C2080130286905D8721040000A719CC';
wwv_flow_api.g_varchar2_table(984) := '2000008011DCFAE1CE8E20BF99919430842CAD118C2000988ABFFFD47D9D1D41F1D2DCD08542CBB8D96A41C53AAF34635C2B4E2C97C6715071AAA62AEEA8E585598C2080130686905D8721040000A715CC2000008081DCFA21F56838719919995C27AC31';
wwv_flow_api.g_varchar2_table(985) := '5B727A4D6DA49F68430823080026E11F3C755FEF3B823084549CAAA98A3B6A7A61F6BA882C5E8D110470E2C010B2EB30840000E034821904000030808D115467666008A5F0D52FCFBCEA2778739662061E00002000494441540C00A3F9071FBCEF8284F4';
wwv_flow_api.g_varchar2_table(986) := '77046108A93855531577D47861162308E084832164D761080100C0690333080000A092DE8E209F99812134DC105A9E79354610008CE7FFF9E0F6D17039E3034348C5A99AAAB8A31E2CCC5E1791C5AB3082004E3C1842761D861000009C2642D394566600';
wwv_flow_api.g_varchar2_table(987) := '0000A04BF2D1702D9E777F9196482A2964CA52B545BDA636D253134A50A3E76AD3B9E5997B318200603C5D23287A07D4442F1D3956BCDE772F7678EB8DCA58638A635C2BEE9F55D5657E2F29CD1737D2EE087AE5DD184100A789BF7DF5AE3D69B6F7BF43';
wwv_flow_api.g_varchar2_table(988) := 'FA42BFABAA9A66789FCDD774D4C4F8565C5317F7E4FEB58A639CC431FB8F5C7EFA4A5F06000018063B830000009CDCFAC1FBA337C23D3CEFFA222D91545293294BD516F59ADA484F4D28418D9EABEDE73082006012FEDFEE8E20ED3B87E8A523C78AD7F3';
wwv_flow_api.g_varchar2_table(989) := 'EEC50E4F3DA88C35A638C6B5E2FE59555DE6F792D27C71C0080238A5B043C8AE63871000009C0630830000001CDCFAC1CE8E20BF99E1D0308432398C20009884D6080A6B23A8452F42F6B4C472DED08542CBB8D96A41C53AAF34635C2B4E2C97C671E6F7';
wwv_flow_api.g_varchar2_table(990) := '92D28CF87AC0080238D56008D9751842000070D2C10C02000030B8F5038947C3D96646858621A4C008028049F887A51D418945C8744DAC0C5D28B48C9BAD1654ACF34A33C6B5E2C472691C677E2F292D135F1791C5E2EEC73182004E391842761D861000';
wwv_flow_api.g_varchar2_table(991) := '009C6430830000000A6C8CA03A33C36F7E6008699667EEC3080280F1FC43CF8EA0C42264BA2656862E145AC6CD560B2AD679A519E35A7162B9348E33BF9794A6E2EB01230860566008D975184200007052098DFEE65100000010C9ED08F2BC9BB372452D';
wwv_flow_api.g_varchar2_table(992) := '915452C894A56A8B7A4D6DA4A72694A0463FD03082006012FED107EFBBD074760449C27B2EC64DAE2656BCDE772F7678EB8DCA58638A635C2BEE9F55D5657E2F29AD59EF08BA841104304BFEF6D5BBAE492397DAD8D9177A8AD58B87F6D97C4D474D8C6F';
wwv_flow_api.g_varchar2_table(993) := 'C53575714FEE5FAB38C6491CB3FFC8E5A7AFF4650000001B760601000024B8F57712469038DF695AB9A296482AA9C994A56A8B7A4D6DA4A72694A0466F308200601AFED1901D413A0EB99A58F17ADEBDD8E1A90795B1C614C7B856DC3FABAACBFC5E12DA';
wwv_flow_api.g_varchar2_table(994) := 'F5801104305B1EBE7AD7952072A9FB0FDFD117923DC7EAC543FB6CBE269EB435CEA8F3AB8BF1CF311FB343080000C68019040000A0D818417566461E6FFDEE1A42CB33F7630401C078FE51CD77045971C6F8C0105271BF662522172E620401CC9287AFDE';
wwv_flow_api.g_varchar2_table(995) := '7545441E95F6DF7CA7190C313BFA5DB5DF8B87F6D97C4D3C696B9C51E75717E39F633EC610020080A1F098380000800EC91D41DE778039AD942B6A89A492F49BF0526D51AFA98DF4D48412E4758C200098847FFCC1FB2F8834D71AB5234812BE7455DCE4';
wwv_flow_api.g_varchar2_table(996) := '6A62C5E77D276287B7DEA88C35A638C6B5E2FE59555DFAF7B21291C53D773FFE710180D9F1C8DA084AF68546C5A99A42DCEFAAFD5E3CB4CFE66BE2495BE38C3ABFBA18FF1CF3318F8C0300805AD819040000B0E6D63B2A1E0D97D373B5B95C514B2495A4';
wwv_flow_api.g_varchar2_table(997) := 'DF7C976A8B7A4D6DA4A7269420AD630401C024FCE30FDDBFDE1114EEF4F8DD5571C8D5C48AD70BEFC50E4F3DA88C35A638C6B5E2FE59555DFFF782110430631ED13B823A04250EE9C3FDAEDAEFC543FB6CBE269EB435CEA8F3AB8BF1CF311FB343080000';
wwv_flow_api.g_varchar2_table(998) := '6AC10C020000E81A417566469DB192CBEDA621B43CF3004610008CE79F7CE8FE0B41E49A847647D0348B6C7A11325D132B43170A2DE366AB0515EBBCD28C71AD38B15C1AC7DBDF0B4610C08CF9CA8E11D492EC0B41C5A99A429CEADFBA170FEDB3F99A78';
wwv_flow_api.g_varchar2_table(999) := 'D2D638A3CEAF2EC63FC77C8C210400003560060100C0CE73EB1DF7C53B827C664659C7104A73A0630401C024FC93CD8E20B9335E889C66914D2F42A66B6265E842A165DC6CB5A0629D579A31AE1527964BE338600401CC99AFBCFAF22B22F2A8BBA70615';
wwv_flow_api.g_varchar2_table(1000) := 'A76A0A71AA7FEB5E3CB4CFE66BE2495BE38C3ABFBA18FF1CF3318610000078C10C0200809DE6D6F7B746509599E1D3318452600401C024FCD3764750E73B82E285C86916D9F42264BA2656862E145AC6CD560B2AD679A519E35A71FFAC1B7525228BBB31';
wwv_flow_api.g_varchar2_table(1001) := '820066C957AD8DA05C0F4869711FAE384629562F1EDA67F335F1A4AD71469D5F5D8C7F8EF918430800003C60060100C0CEB23182EACC8C3A1D43A8CBF2CC83184100309E7FAA770475881722A75964D38B90E99A5819BA506819375B2DA858E795668C6B';
wwv_flow_api.g_varchar2_table(1002) := 'C5FDB3AE8DA057600401CC91AFEAED08EAF5009551715071AAA610A7FAB7EEC543FB6CBE269EB435CEA8F3AB8BF1CF311F63080100800566100000EC24DB1D416B7C66C6301D4348308200602AFEBF8E11D46AE585C86916D9F42264BA2656862E145AC6';
wwv_flow_api.g_varchar2_table(1003) := 'CD560B2AD679A519E35A71E7AC2B1159BC02230860967CF56647D001BAD3B87B6A5071AAA610A7FAB7EEC543FB6CBE269EB435CEA8F3AB8BF1CF311F630801004009CC200000D8396EBD5D19412D18423ECDA547051841003009AD11143A46504B792172';
wwv_flow_api.g_varchar2_table(1004) := '9A4536BD0899AE8995A10B859671B3D5828A755E69C6B8562C1230820066CC5767BE2348771A774F0D2A4ED514E254FFD6BD78689FCDD7C493B6C619757E7531FE39E6630C210000C881190400003BC5C608AA33331CE68743DF4D436879E6218C200018';
wwv_flow_api.g_varchar2_table(1005) := 'CF3F533B82DC0B66611BB98FF1C62157132B43170A2DE366AB0515EBBCD28C710BF14A44162FC708029825F91D413AD69D2755D389838A53358538D5BF752F1EDA67F335F1A4AD71469D5F5D8C7F8EF918430800005260060100C0CED0DB11E4333312BA';
wwv_flow_api.g_varchar2_table(1006) := 'A246DF2D430823080026E19F657604B917CCC236721FE38D43AE2656862E145AC6CD560B2AD679A519E326E2B511F47E8C208019F235EF8D8DA0967C6FD09D2755D389838A53358538D5BF752F1EDA67F335F1A4AD71469D5F5D8C7F8EF9184308000034';
wwv_flow_api.g_varchar2_table(1007) := '98410000B013DCFA3EEBD170391D43A8A8E5F5E599877E92379F00309A9F357604B917CCC236721FE38D43AE2656862E145AC6CD560B2AD679A519E376628C208019D31A41BA27B4E47B83EE3CA99A4E1C549CAA29C4A9FEAD7BF1D03E9BAF89276D8D33';
wwv_flow_api.g_varchar2_table(1008) := 'EAFCEA62FC73CCC718420000D0053308000066CFC608AA33333084BCF3E8EBCB3397318200603C3FEBDC11E45E300BDBC87D8C370EB99A5819BA506819375B2DA858E795668CDBEE08BA0B23086096BC55ED08C2104AC5F1A4AD71469D5F5D8C7F8EF918';
wwv_flow_api.g_varchar2_table(1009) := '430800005A3083000060D6F47604F9CC8C848E2154D4B63A4610004CC2CF55EE08722F98856DE43EC61B875C4DAC0C5D28B48C9BAD1654ACF34ACB8F8B110430635A23C8EA351B3D1BEBCE93AAE9C441C5A99A429CEADFBA170FEDB3F99A78D2D638A3CE';
wwv_flow_api.g_varchar2_table(1010) := 'AF2EC63FC77C8C21040000821904000073E6D6F7DEB727CD9047C3E5740CA1A28611040013F1734F0FDB11E45E300BDBC87D8C370EB99A5819BA50788486D04A44169F861104304B7A3B82541E432815C793B6C619757E7531FE39E6630C210000C00C02';
wwv_flow_api.g_varchar2_table(1011) := '00805972EB7B3B3B82FC668643C710CA68CB339F8E110400E3F9B9A71F38D8111486ED08722F98856DE43EC61B875C4DAC0C5D283C024308230860C67CED7B5F7E25748CA016ABD764EBD44FEE9E1A549CAA29C4A9FEAD7BF1D03E9BAF89276D8D33EAFC';
wwv_flow_api.g_varchar2_table(1012) := 'EA62FC73CCC718420000BB0D66100000CC8EC8086AB1CD8C0A1D43486918410030091F6B8D2009073B82D6AB58D6E29615676BC236721FE38DB3738F95A10B85876808AD4464F1328C208059F2B59D1D41AEBE976952F97EA23B4FAAA6130715A76A0A71';
wwv_flow_api.g_varchar2_table(1013) := 'AA7FEB5E3CB4CFE66BE2495BE38C3ABFBA18FF1CF331861000C0EE8219040000B3E2D6F7248CA016AFA9E2D23184D6600401C024B446D0F6D17021F5B2A136CED6846DE43EC61B67E71E2B43170A0FC110C2080298315F97D811E4EA7B992695EF27BAF3';
wwv_flow_api.g_varchar2_table(1014) := 'A46A3A715071AAA610A7FAB7EEC543FB6CBE269EB435CEA8F3AB8BF1CF311F63080100EC2698410000301B3646D014A68A4BDF79436879E6F7610401C0787E7EB323483F1A2EA45E74D61D676BC236721FE38DB3738F95A10B85131A422B1159FCDE9763';
wwv_flow_api.g_varchar2_table(1015) := '0401CC91AF2BEC0872F5BD4C93CA8FA53B4FAAA6130715A76A0A71AA7FEB5E3CB4CFE66BE2495BE38C3ABFBA18FF1CF331861000C0EE8119040000B3A0B723680A53C5A5EFAC218411040093F0F3BD1D4107E80545F592A8F3C5D99AB08DDCC778E3ECDC';
wwv_flow_api.g_varchar2_table(1016) := '6365E842E10486D02A600401CC96AF7FEF2BAE0409C51D41AEBE976952F9B174E749D574E2A0E2544D214EF56FDD8B87F6D97C4D3C696B9C51E75717E39F633EC6100200D82D30830000E0D473EBBBEFDB9326F168B8294C1597BE7386D0F2CC6B308200';
wwv_flow_api.g_varchar2_table(1017) := '603CBF90DD1174805E50542F893A5F9CAD09DBC87D8C37CECE3D56862E148E30845622B2F8548C208059F2F5EF7D45674750B9DFB8FA5EA64959FDDB35B612DDC728C5EAC543FB6CBE269EB435CEA8F3AB8BF1CF311F63080100EC0E9841000070AAB9F5';
wwv_flow_api.g_varchar2_table(1018) := 'DD9D1D415E93A494F31B224ADF19430823080026E117CC1D413A0EA997449D2FCED6846DE43EC61B67E71E2B43170A071842AB801104305BBEA16304B558FDC6D5F7324DCAEADFAEB195E83E4629562F1EDA67F335F1A4AD71469D5F5D8C7F8EF9184308';
wwv_flow_api.g_varchar2_table(1019) := '006037C00C02008053CBADEF528F8613CB1071E66C4324A3CFDE10C208028049F845F78E201D87D44BA2CE17676BC236721FE38DB3738F95A10B851586D04A44169F821104304BBEE17D074650BA0794FB8DABEF659A94D5BF5D632BD17D8C52AC5E3CB4';
wwv_flow_api.g_varchar2_table(1020) := 'CFE66BE2495BE38C3ABFBA18FF1CF331861000C0FCC10C02008053C9C608AA36449CB91AC326D2676B082DCFFC7E8C200018CF2F56EF08D27148BD24EA7C71B6266C23F731DE383BF75819BA50E830845601230860B67CE3DA08CAF51A71F41B57DFCB34';
wwv_flow_api.g_varchar2_table(1021) := '29AB7FBBC656A2FB18A558BD78689FCDD7C493B6C619757E7531FE39E6630C210080798319040000A78E5BDF756FBC23A8DA1071E66A0C9B489F9D218411040093307C47908E43EA2551E78BB335611BB98FF1C6D9B9C7CAD085C28221B41291C54B5FFE';
wwv_flow_api.g_varchar2_table(1022) := '3E8C208019F28D7A4750A6D788A3DFB8FA5EA64959FDDB35B612DDC728C5EAC543FB6CBE269EB435CEA8F3AB8BF1CF311F63080100CC17CC20000038556C8D2087E1E2D54AB91AC326D21DF3ABD5A7987BBD218411040093F04BCF3C7021748CA0166B51';
wwv_flow_api.g_varchar2_table(1023) := 'CA5A50542F893A5F9CAD09DBC87D8C37CECE3D56862E14260C218C208019F34DEF8BBF2328A81FD23DACDC6F5C7D2FD3A4ACFEED1A5B89EE639462F5E2A17D365F134FDA1A67D4F9D5C5F8E7988F31840000E609661000009C1A6EEDDFBB274DF73B821C';
wwv_flow_api.g_varchar2_table(1024) := '868B572BE56A0C9B4877CCAF569F62EE7E436879E6B5184100309E5F7A66BD2328C89D532C52E90545F592A8F3C5D99AB08DDCC778E3ECDC6365E84261679110230860C67C53E63B8282FA21DDC3CAFDC6D5F7324DCAEADFAEB195E83E4629562F1EDA67';
wwv_flow_api.g_varchar2_table(1025) := 'F335F1A4AD71469D5F5D8C7F8EF918430800607E60060100C0A9E0D67EE7D1709161E1305CBC5A295763D844BA637EB5FA1473B70DA1E5598C200098805FD63B82320B6ED6A294B5A0A85E1275BE385B13B691FB186F9C9D7BAC0C5D280CE1C008FA648C';
wwv_flow_api.g_varchar2_table(1026) := '20805992DD11A4E34CAF1147BF71F5BD4C93B2FAB76B6C25BA8F518AD58B87F6D97C4D3C696B9C51E75717E39F633EC610020098179841000070E2B9B5A7BE2348308426997BDE10C208028049F8E567B6DF11E45970B316A5AC0545F592A8F3C5D99AB0';
wwv_flow_api.g_varchar2_table(1027) := '8DDCC778E3ECDC6365C042214610C08CF9666504B5647B42A6D788A3DFB8FA5EA64959FDDB35B612DDC728C5EAC503FAAC51134FDA1A67D4F9D5C5F8E7988F31840000E603661000009C683646906970380C17AF56CAD5183691EE985FAD3EC5DCFBF35B';
wwv_flow_api.g_varchar2_table(1028) := '9E7D1D4610008CE7579E79B0F71D419E05376B51CA5A50542F893A5F9CAD09DBC87D8C37CECE3D562A160A5722B2F83D77610401CC916FCE3C1AAE25DB6F32BD461CFDC6D5F73213B2FAB76B6C25BA8F518AD58BAB7FA7664D3C696B9C51E75717E39F63';
wwv_flow_api.g_varchar2_table(1029) := '3EC61002009807984100007062E9ED08320D0E87E1E2D54AB91AC326D21DF3ABD5A798FB767E1841003009BFF2CC83EB1D41A1F71D419E05376B512A1F87D44BA2CE17676BC236721FE38DB3738F15C742214610C08CF916E3D170393DA81FD23DACDC6F';
wwv_flow_api.g_varchar2_table(1030) := '5C7D2F3321AB7FBBC656A2FB18A558BDB8FA776AD6C493B6C619757E7531FE39E6630C210080D30F661000009C486E3D9A78349C586646A2C0AC2F68A55C8D6113E98EF9D5EA53CCBD91E5D9D75DE5CD1D008CE6577B3B82862DB8598B52F938A45E1275';
wwv_flow_api.g_varchar2_table(1031) := 'BE385B13B691FB186F9C9D7BAC14160A5722B2B8801104304BBE25B323A8D013D271A6D788A3DFB8FA5E664256FF768DAD44F7314AB17A71F5EFD4AC89276D8D33EAFCEA62FC73CCC718420000A71BCC20000038716C8CA0C18688C370F16AA55CCDFC22';
wwv_flow_api.g_varchar2_table(1032) := 'DD31BF5A7DDCDC9767FF004610008CE757373B82D477040D5C70B316A5F27148BD24EA7C71B6266C23F731DE383B77FD9BED8111043063AC1D41A95E54ACCBF41A71F41B57DFCB4CC8EADFAEB195E83E4629562FAEFE9D9A35F1A4AD71469D5F5D8C7F8E';
wwv_flow_api.g_varchar2_table(1033) := 'F918430800E0F48219040000278ADE8EA0C18688C370F16AA55CCDFC22DD31BF5A7DD8DC31820060127EAD6304B55ABC80346CC1CD5A94CAC721F592A8F3C5D99AB08DDCC778E3ECDCF56F76C34A44162FC108029825DFFABEBBAF848E11D462F515B32E';
wwv_flow_api.g_varchar2_table(1034) := 'D36BA4DC6F9271B2263321AB7FBBC656A2FB18A558BDB8FA776AD6C493B6C619757E7531FE39E6630C210080D309661000009C186E7D67C5A3E1723A86509E7E0E23080026A1358242C7086A891790862DB8598B52F938A45E1275BE385B13B691FB186F';
wwv_flow_api.g_varchar2_table(1035) := '9C9DBBFECD620401CC996F7DFFDDEB1D41C3FA8C5997E93592EE37C53859939990D5BF5D632BD17D8C52AC5E5CFD3B356BE2495BE38C3ABFBA18FF1CF331861000C0E903330800004E041B23A8C6F8C8E9184279B6B9E5D93F88110400E3F975B523C85E';
wwv_flow_api.g_varchar2_table(1036) := '601AB6E0662D4AE5E3907A49D4F9E26C4DD846EE63BC7176EE1B05230860C67CDBFBD73B8246F619B32ED36B247146CFB97A35990959FDDB187B2922FB4189AEF9242AAC5E5CFD3B356BE2495BE38C3ABFBA18FF1CF331861000C0E902330800008E9DDE';
wwv_flow_api.g_varchar2_table(1037) := '8EA01AE323A76308E569308200601A7E3DB323C85E601AB6E0662D4AE5E3907A49D4F9E26C4DD846EE63BC7176EE6125228BFF1D230860967CDB6647D0347DC6ACCBF41A499CD173AE5E4D664256FFCE8CBD7CF3FD4FEDBDF9FEA7AE6008F9EA30840000';
wwv_flow_api.g_varchar2_table(1038) := '761BCC20000038566E7DC7048F86CBE91842299667FF104610008CE79F7FB8BC23C85E601AB6E0669D271F87D44BA2CE17676BC236721FE38DFB73C7080298316F7B7FFF3B82A6E833665DA64F4AE28C9E73F56A3213B2FAB7CA2FBFE8FEA736F7B41842';
wwv_flow_api.g_varchar2_table(1039) := 'FE3A0C210080DD05330800008E8D9BDF71EF5E33D5A3E1723A8650178C20009884D6080AA1BC23C85E601AB6E0669D271F87D44BA2CE17676BC236721FE38DB7735F89C8E27FBBEBBD18410033E46D7A47508729FA8C5997E9939238A3E75CBD9ACC84AC';
wwv_flow_api.g_varchar2_table(1040) := 'FEBD8E2323A80543C85F87210400B09B60060100C0B170B3B323A8914A83A356C710128C2000988ADE8E20B51AE4582C52DAB00537EB3CF938A45E1275BE385B13B691FB186F1C308200E6CCB7778CA096C3E833665DA64F4AE28C9E73F56A321332FA77';
wwv_flow_api.g_varchar2_table(1041) := 'D2086AC110F2D761080100EC1E9841000070E4DCFCF6FEA3E130840ED510C208028049F80D6504B56008656AC236721F63C72B1159FC6E8C208059D21A41EE9E31B2CF9875993E2989337ACED5ABC94C2833D6F20B0B46500B8690BF0E43080060B7C00C';
wwv_flow_api.g_varchar2_table(1042) := '02008023656304258C0C0CA14331849667FF304610008CA735828232825A30843235611BB98FC9C7AB20B2F8DD9F8611043047BE43ED0872F78C917DC6ACCBF449499CD173AE5E4D66424A5E7EE1FD1F70DFD36208F9EB308400007607CC20000038327A';
wwv_flow_api.g_varchar2_table(1043) := '3B8230840CDD31BFB28E11040093F09BFAD170993A0CA14C4DD846EE63FAF14A4416FF2B4610C02CF98ECC8E2077CF18D967CCBA4C9F94C4193DE7EAD56426B496976FAA30825AD686D01BE3DF8F733E898A620D8650EA180C2100801346689AD28A1600';
wwv_flow_api.g_varchar2_table(1044) := '00C034DC7CDBBD7B12E247C36D48BC73D06FDAFAC991BA7EF75608ABB452AE667E91EE985F5F5F9EFD23184100309EDFFCF0436B23A8B953BF73C87AD186976DFBE64DF998C633464DDCA45E1275BE385BD331FBDDC71CB01291C5FF821104304BBEF3FD';
wwv_flow_api.g_varchar2_table(1045) := '775F69D477041D439FF1D565FAA424CEE83957AFA65FB4FC820146509787AFDE7545441E8D7F3FCEF9242A8A3599BF4FBDBAAAF3C793B6C619757E7531FE39E66311D97FE4F2D357FA3200001C35EC0C02008043E7E6DBF28F861349BF63D06FD6FAC991';
wwv_flow_api.g_varchar2_table(1046) := 'BA7ED75608ABB452AE667E91EE985FAC630401C024FC8B8D112477A63E299CF5A60D0FDBF6CB877D02DB3A4F3E0EA997449D2FCED6744C7EF731184100B3E63B9D3B82DC3D63589FF1D765FAA424CEE83957AF2616461B4172B043684F4496F1EFC7399F';
wwv_flow_api.g_varchar2_table(1047) := '4445B1861D42A963D82104007042C00C02008043E5E6DB5E6D3E1A2EA763080D328430820060125A2328FE8E200C216F9CAD09DBC871CC2A600401CC96EF34BE23C88AB335757D26DFC77371A64F4AE28C9E73F56A0E84498CA0160C217F1D861000C07C';
wwv_flow_api.g_varchar2_table(1048) := 'C10C02008043E3E6B7BD7A4F1A797D859191962AEAABF5791942CBB37F14230800C6F32FA31D417A510743C81B676BC2362A1CB31291C5FF8C1104304B1E7D3C36825AACBE32719FC9C6665DA64F4AE28C9E73296D5223A80543C85F87210400304F3083';
wwv_flow_api.g_varchar2_table(1049) := '0000E050B8F96D9D1D412947C7343E9454515FADCFC310C208028049F897C91D417A510743C81B676BC2364A1CB30A184100B3E5D1C7EF3978345CA6715A7D65A23EE31AB75897E9939238A3E75C6B6DF9C6FBA637825A3084FC7518420000F303330800';
wwv_flow_api.g_varchar2_table(1050) := '00262732825A30847C9A4BEFCD0F23080026A1BC2348C71842DE385B13B65127BF1291C5FF841104304BF6D64650DB003084220ED5086AC110F2D761080100CC0BCC20000098949BDF9A30825A30847C9A4BDFFCB03CFB19184100309EDF7AF6A10B216C';
wwv_flow_api.g_varchar2_table(1051) := '8DA096F2A20E869037CED6846D14308200664D6B04E93E8321242222CB371C8111D48221E4AFC3100200980FA1694AAB560000007E222328F78E63935305DE772899C3E3E4485DBF7B2B84555A295733BFADBE3CFB19EFE54D14008CE6B79E8D7704A5DE';
wwv_flow_api.g_varchar2_table(1052) := '2268298E1B23DFD10DAFDDF6CD8D73359E316AE226F592A8F3C5D99AE6C008FA1F3FED2A4610C00CD97FFC9E2B8DFA8E20DD6772CB33565FA9E8339BC87D4C4D5DA64F4AE28CAA66F9F94768047579F8EA5D5744E4D1F8F753F13B554AB126F3F7A95757';
wwv_flow_api.g_varchar2_table(1053) := '75FE78D2D638A3CEAF2EC63FC77C2C22FB8F5C7EFA4A5F060080C3809D4100003009BD1D41B9771A9B9C2AF0BE33C91C1E2747EAFA5D5B21ACD24AB99AF91DE818410030091F7FF6A10B41E21D41A94FA9973FE5CB0E216F9CA95949C00802982BFBBD1D';
wwv_flow_api.g_varchar2_table(1054) := '4107E83EB3A33B848ECD0812760855D5B1430800E0F4C3CE20000018CDCD6F591B419E7704BD9C2AF0BE43C91C1E2747EAFADD5B21ACD24A39DFFC9667FF184610008CE7E37A4790CAB343A81B37A997449D2FEE682B1159FC0F2FC308029823FB9BEF08';
wwv_flow_api.g_varchar2_table(1055) := 'DA62F5991DDA21B4FCBC633482BAB043C85FC70E210080D30B3B83000060141B23489CEF567A3955E07D6792393C4E8ED4F5BBB64258A59572F6FC3082006012AEA77604A91A760875E3907A49D4F9E2B58611043063BEEBF17BAE04650489A3CFECC80E';
wwv_flow_api.g_varchar2_table(1056) := 'A1136304093B84AAEAD8210400707AC10C020080C1DCFC66F56838A93438363987D192D177CC10C208028049B8DED911642DD0600875E3907A49D4B9628C208019F35D9D1D41757DE8E0A7991B4227CA086AC110F2D7610801009C4E3083000060101B23';
wwv_flow_api.g_varchar2_table(1057) := 'C86B66988688C368C9E83B62082DCFFE718C200018CF6F7B7604E938B162533E0643C8885722B2F8EF31820066C977277604D5F5A1839F666A082DFFF27D3F7362EF693184FC7518420000A70FCC200000A8A6B723C86766380C1187D192D1676E086104';
wwv_flow_api.g_varchar2_table(1058) := '01C024FC76CD8E201D27566CCAC7600865E255C00802982DDF5DD81154D7870E7E9A992174A28DA0160C217F1D861000C0E90233080000AA483E1A4E4C33A3AC453987D192D1676A08610401C024FCAB672F5F1009753B82749C58B1291F8321A4E29588';
wwv_flow_api.g_varchar2_table(1059) := '2CFE3B8C208059F23D8E1D41757DE8E0A7991842A7C2086AC110F2D7610801009C1E30830000C0CDCD6F7AF59E340923A8C56B7E988688C368C9E833338496673F13230800C6736004C9B52072A75E72B116647A7162C5A67C0C86D09A55C00802982DDF';
wwv_flow_api.g_varchar2_table(1060) := 'F3847F47505D1F3AF8E9941B42CBCF3D4546500B8690BF0E430800E07480190400002E6E7E53674790DFCCA8D3A29CC368C9E833318430820060127E676D04B53B827A0B448E05995E9C58B1291FB3F386D04A4416FF2D4610C02CF9DED608EA34007F0F';
wwv_flow_api.g_varchar2_table(1061) := 'F1D4AC3B77A6715A63BBCF15B691FB18BB6EF9B9F79E3E23A80543C85F8721040070F2C10C020000939BDF9878349C6D660CD3A29CC368C9E8A7DC10C208028049F89D8F7477046DE92D103916647A7162C5A67CCCCE1A42AB801104305B5A2368F3EFBE';
wwv_flow_api.g_varchar2_table(1062) := 'D300FC3DC453B3EEDC99C6698DED3E57E742DCC7E4EB967FE9141B412D1842FE3A0C210080930D6610000014D91841756686DFFC30C770182D19FD941A42CBB37F02230800C6F3AFD7469084EE8EA02DBD0522C7824C2F4EACD8948FD939436825228B4F';
wwv_flow_api.g_varchar2_table(1063) := 'C208029825DFF7C4C5CDA3E1A4DB0F3A8DC2DF433C35EBCE9D699CD6D8EE73752EC47D4C9F5918412D1842FE3A0C210080930B6610000064E9ED08F29919E59C578B720EA325A39F32430823080026E15FEB1D41EB55157381C8B120D38B132B36E56376';
wwv_flow_api.g_varchar2_table(1064) := 'C6105A058C2080D9D21A41BACB84DE0F353DC453B3EEDC99C6698DED3E57E742DCC76C597ECE8C8CA0160C217F1D861000C0C924344D69050E000076959BDFB036823C77EE39AD94F36A514E1578DFA1640E8F932375FDEEAD1066B4E5D93F89110400E3';
wwv_flow_api.g_varchar2_table(1065) := 'F9371FB97CA1E97C4790743DE746C5911CABE99A429C33E4B371638EB9D10DAFDDF6DE8D73359E316AE26625228BFFE6F7620401CC91B73F71F14AD3D91124892EA3FBAE54F5104FCDBA73671AA735B6FB5C9D0B711E334B23A8CBC357EF5A88C8638DC8';
wwv_flow_api.g_varchar2_table(1066) := '9DA5FF7F535ABF66D8DFA75E5DD5F9E3495BE38C3ABFBA18FF1CF3B188EC3F72F9E92B7D1900002C30830000A0C7C6086AF199190E3367A016E51C464B463FC186104610004CC2BF691F0D2772677631A5517124C7AAB520D38B136F2DCAC7CCD2105A1B';
wwv_flow_api.g_varchar2_table(1067) := '413F8911043043DEDE79345CFFDF7FA6877664470FE991AF5977EE4CE3B4C6769FAB7321C631CBCF9EB911D4F2F0D5BB2E88C8350C21BB0E430800E0E4C063E2000020E2E637BC6A4FA479BD74F1DCB1E7FE010C100000200049444154B452CEAB453955';
wwv_flow_api.g_varchar2_table(1068) := 'E07D6792393C4E8ED4F5BBB642D8D13082006012BA4690243CE8A07E48E763353B462ECE19F1D978768F8C5B058C2080D9F2F6DC77046DE24C0FEDC8953DC5A85977EE4CE3B4C6769FAB7321856376C608928347C63D27228B2072BDF4FF6F4AEBD70CFB';
wwv_flow_api.g_varchar2_table(1069) := 'FBD4ABAB3A7F3C696B9C51E75717E39F633EE691710000C3C00C0200800D37BFFE559D1D416E33C3D64A39AF16E51C73CBE827CC10C208028049785E19412DD9C59450CAC7AAB520D38B132B36E563666308AD4464F189184100B3E4FB9511D4D2EF0799';
wwv_flow_api.g_varchar2_table(1070) := '1EDA919D3DC559B3EEDC99C6698DED3E57E74212C7ECEF9211D48221E4AFC31002003819600601008048D708AA3333FC5A29E7D5A29C636E19FD841842CBB37F0A230800C6D31A414119412DD9C59450CAC7AAB520D38B132B36E5634EBD21B40A184100';
wwv_flow_api.g_varchar2_table(1071) := 'B3A53582FC8BE1991EDA91ADDE55D787D69D3B33416B6CF7B93A17D2C9EFFFC57B7F66671FD78521E4AFC3100200387EF8CE2000801DE7E6D7BDEABC04796BF41D419278E75108ABB452CEAB4539C7DC327AEAF0383952CFFF0E9767FF344610008CE7C6';
wwv_flow_api.g_varchar2_table(1072) := '472E5F68D48E20AF77DDA81FD2F958CD8E918B73867C363E95DF21B41291C58B31820066C93B9EB878A5513B82FC7D36D3433BB2D5BB9C7D28FAE908BF4368FFB376D808EAC27708F9EBF80E210080E3839D410000B0278D328224F18EA3105669A59C57';
wwv_flow_api.g_varchar2_table(1073) := '8B728EB965F4D4E17172A49EFE1D620401C024DCC8EC08F27AD641FD90CEC7AAF509DD5E9C33E2B3F1A9DB21B40A184100B3E51D991D41FE3E9BE9A11DD91ADBD1873AF1BA736726688DED3ED7818811D4811D42FE3A760801001C1F984100003BCCCDAF';
wwv_flow_api.g_varchar2_table(1074) := '7BD59E88BC56A4CACC4886555A29E7D5A29C636E19FD880D218C200098849BEA3B821C8B24493DA81FCC0522C7B97A716232E5634E8D21B41291C57F8D1104304BDE712DFE8E204F7F49D7657A6847B6C6B67B59375E77EECC04ADB19DE7DAFFAC7B7F1A';
wwv_flow_api.g_varchar2_table(1075) := '23488121E4AFC3100200381E308300007694B51114EF08B2CD8C42AE522BE5BC5A9473CC2DA31F9121B43CFBA7DFC79B130018CDCD8F7CFA059160EE08AA5EA409A57CAC5AE7EAC589C9948F39F186D02A600401CC96BF73EDE29520F2A8FEC7EFE92FE9';
wwv_flow_api.g_varchar2_table(1076) := 'BA4C0FEDC8D6D8762FEBC6EBCE9D99A035B671AEFDBFF06A8CA01C1842FE3A0C210080A387EF0C0200D8316E7EEDABCE8BC8C18E20EFDD7B4F5305667D412BE5BC5A9473CC2DA3A70E8F9383F5E5D9D7630401C0786E7DF4D32F344DF73B82ECEFD8F17A';
wwv_flow_api.g_varchar2_table(1077) := 'D78DFA219D8F55EB5CBD3867C86763FBFA36BAF19900FB7306EEEF685889C8E2BFC2080298257F47ED084A7D68C8D35FD275991EDA91ADB1ED5ED68DD79D3B33416BECC461FB7F1E23C805DF21E4AFE33B8400008E0ECC2000801D626D045D1391976C44';
wwv_flow_api.g_varchar2_table(1078) := '9F9991D01CA68B572BE5BC5A9473CC2DA31F8221841104009370EBA39FBE79349CB57062C5665D53CAC7AA75AE5E9C984CF918FBFA36BA4A788EAB3A5723AB06230860B6FCC0DA084AF68101FD255D97E9A11DD91ADBEE65DD78DDB93313B4C6EEC41841';
wwv_flow_api.g_varchar2_table(1079) := '956008F9EBACFB1A718C93380643080040C163E2000076849B6F4D18415271D7DED35481595FD04A39AF16E51C73CBE8A9C3E364958E1104009370BB630489D88F56B162B32E94F2B16A9DAB17E78CF86C6C5FDF46373E0B607FBEA078AE95048C2080B9';
wwv_flow_api.g_varchar2_table(1080) := 'F2039D1D41C93E30A0BFA4EB323DB4235B63DBBDAC1BAF3B776682D6D8EB182368003C32CE5F67DDD788639CC4313C320E004081190400B0036C8CA04619412D3526078690575F9EBD82110400E3698DA0DE7704190B27566CD685523E56AD73F5E2C464';
wwv_flow_api.g_varchar2_table(1081) := 'CAC7D8D7B7D155C2739CE35C2B1159FC979F8A110430477EB0FD8EA00EC9DE31A0BFA4EB323DB4235B63DBBDAC1BAF3B776682C6D8184123C010F2D759F735E21827710C8610004007CC20008099D3DB11E43733F23A8690A5630401C024F47604A9BCB5';
wwv_flow_api.g_varchar2_table(1082) := '7062C5665D28E563D53A5779EE991A1559636E7495F01C5738174610C08CF9C16B97CA3B82743CA0BFA4EB323DB4235B63DBBDAC1BAF3B77668299E3F6FF1C46D0683084FC75D67D8D38C6491C83210400B00633080060C6DCFC9A091E0D97D33184723A';
wwv_flow_api.g_varchar2_table(1083) := '4610004CC20B1FFDF40BA16304B5F4163D8C85132B36EB42291FABD6B9CA73CFD4A8C81A73A3AB84E7B8C4B95622B2F82F30820066C90F5DBBB4DE11B4FDD76FF58A9010AD63F275991EDA91ADB1ED5ED6BF3AA721841134211842FE3AEBBE461CE3248E';
wwv_flow_api.g_varchar2_table(1084) := 'C1100200C00C0200982F1B23688A47C3E5740C21CDF2EC12230800C6F3426747906B11C45838B162B32E94F2B16A9DAB3CF74C8D8AAC3137BA4A788EEB682B9180110430537EA8B72368FBAFDFEA1521215AC7E4EB323DB4235B631BBD4CC5EBABCD4C70';
wwv_flow_api.g_varchar2_table(1085) := '2DEFFF598CA0C9C110F2D759F735E21827710C861000EC3C9841000033A4B723C86F66D4EB18422D18410030092F7C247E349C78176A8C85132B36EB42291FABD6B9CA73CFD4A8C81A73A3AB84E7B87647D07FFEA93F81110430437EB86304B5E85E66F5';
wwv_flow_api.g_varchar2_table(1086) := '8A9010AD63F275991EDA91ADB133BD2C13AFAF363D418CA0430443C85F67DDD788639CC431184200B0D360060100CC8C9B5F7D888F86CBE9184218410030091B23A8891F0D27DE851A63E1C48ACDBA50CAC7AA75AEF2DC33352AB2C6DCE82A611C871104';
wwv_flow_api.g_varchar2_table(1087) := '30635A2328DF53838A755EC575FDA55097E9A11DD91A3B7F4DA9787DB571C1FE9FC1083A743084FC75D67D8D38C6491C832104003B0B661000C08CD8184187F968B89CBEBB86D0F2EC9FC1080280F1F4760425FA906B11C45838B162B32E94F2B16A9DAB';
wwv_flow_api.g_varchar2_table(1088) := '3CF74C8D8AAC3137BA4A648E5B89C8E23FC3080298253FA27604E57B6A50B1CEABD8D75F7AF4EB323DB4235B63E7AF2915AFAFF6E00523E808C110F2D759F735E21827710C861000EC24A1694AAB660000705A48EE08F2DE754FA9EB771E85B04A2BE5BC';
wwv_flow_api.g_varchar2_table(1089) := '5A9473CC2DA3770EC70802804978E1D9B51114FA3B82527DC8E385C7B7F94D3F6FC4665D53CAC7AA75AEF2DC33352AB2C6DCE8F9CF04AC4464F19F620401CC921F79F2D215690E8C204FBFD0BDCC3A26F5A121EB987C5DA68776646BECFC35A5E2667FF9';
wwv_flow_api.g_varchar2_table(1090) := '2A8CA0E3E0E1AB775D10916B8DC89DA5FF7F535ABFC6F85BD8D4FC37E8AD89276D8D33EAFCEA62FC73CCC722B2FFC8E5A7F96F1F00760676060100CC809B5F750C8F86CBE9FA1D4721ACD24A39AF16E51C73CBE8EBC331820060123646905A08DA90D03C';
wwv_flow_api.g_varchar2_table(1091) := '1EB8F5495A2B36EB42291FABD6B9CA73CFD4A8C81A73A3A73F0B80110430631E7B72BD23A8D8B7525A50B1CEAB38DD5FB271BE2ED3433BB23576FE9A7A3146D031C20E217F9D755F238E7112C7B0430800760ACC20008053CECDAF7AE5F13D1A2EA7CFDF';
wwv_flow_api.g_varchar2_table(1092) := '105A9EFDB3184100309EC8086A71F633D72288B17062C5665D28E563D53A5779EE991A1559636EF438B10A184100B3A535827C7D2BA50515EBBC8A95681D93AFCBF4D08E6C8D9DBFA60DFBCB57FD5D8CA063666D085D0822ABD2FFBF29AD5F8321648D93';
wwv_flow_api.g_varchar2_table(1093) := '380643080076061E130700708AD91841222FD9DCD67AEFAE8F42D7EF3C0A619556CA79B528E798DB565F9EC30802800978E1C38547C389BF9F79BC23EBD12A566CD635A57CAC5AE72ACF3D53A3226BCC8DDE1CEC08FA4F30820066C9664750075FDF4A69';
wwv_flow_api.g_varchar2_table(1094) := '8D8A755EC54AB48EC9D7657A6847B6C6CE5CD3FE158CA013C5C357EF3ABF7E64DC4B4AFFFFA6B47E0D8F8CB3C6491CC323E30060F6600601009C526E7EE5DA080ADD1D411842555A9473CC4D6479EECF610401C078364650BB2368705F3DC0B508622C9C';
wwv_flow_api.g_varchar2_table(1095) := '58B159D794F2B16A9DAB3CF74C8D8AAC31DB47C3FDC79F8211043047DEB936828AFDB1D8B7525AA3629D57B112AD63F275991EDA91ADB155BCFF7A8CA013098690BFCEBAAF11C738896330840060D6F09838008053C8C608526F1236B7B3DEBBEAA3D053';
wwv_flow_api.g_varchar2_table(1096) := 'F3CB84555A29E7D5A29C39378C200098849E112463FAEA011ECFC87AB48A159B7599CF2384846A9DAB3CF74C8D8A8C3131820066CC3B3B3B828AFDB1D8B7525A50B1CEAB5889D631F9BA4C0FEDC8D6D89D1823E804F3E6FB9FFAF8FA3B8478649C5167DD';
wwv_flow_api.g_varchar2_table(1097) := 'D788639CC4313C320E00660D661000C0292332825A3084866B512E3B378C20009884179EB97C419A2636825A06F7D5035C8B20C6C289159B75A1948F55EB5CE5B9676A5494C9630401CC981F7DF2D295A01E0D57EC8FC5BE95D2828A755EC54AB48EC9D7';
wwv_flow_api.g_varchar2_table(1098) := '657A6847B6C60E1841A7020C217F9D755F238E7112C7600801C06CC10C02003845DC7C246104B560080DD7A25C6F6E18410030092F3C7379BB2328F7A8E6C17DF500D72288B17062C5665D28E563D53A5779EE991A15A9FC2A600401CC961F2DEC082AF6';
wwv_flow_api.g_varchar2_table(1099) := 'C762DF4A6941C53AAF62255AC7E4EB323DB42317C6DEFFD31841A7060C217F9D755F238E7112C7600801C02CC10C020038256C8CA0266104B560080DD7A2DCA66079EECF630401C0782223A80543A85053881393291FB3B9BE95882CFE238C208059F2AE';
wwv_flow_api.g_varchar2_table(1100) := '2717578284E28EA0627F2CF6AD941654ACF32A56A2754CBE2ED3433B72626C8CA053088690BFCEBAAF11C73889633084006076600601009C027A3B824C334305350B8B87AD9F1E430823080026E185A72F5F9046328F86C310CAD714E2C464CAC78455C0';
wwv_flow_api.g_varchar2_table(1101) := '0802983BCF89C8F5AC59928923ADD8B7525A50B1CEAB5889D631F9BACC3576E4CE8FFB7F0A23E8D48221E4AFB3EE6BC4314EE2180C2100981598410000279C9B0FBFF2FC7A1131DE11649A192AA859583C6CFDE41B42CB737FFEFDDCF403C0685E78BAFB';
wwv_flow_api.g_varchar2_table(1102) := '68B84C118650A1A610272693396625228BDF851104306B5E73E9DA7322B2C0108A348CA0198021E4AFB3EE6BC4314EE2180C2100980D9841000027989B0F7776043917FFD2390CA10A6D79EE2F600401C0785EF850EAD17099620CA1424D214E4C4649AB';
wwv_flow_api.g_varchar2_table(1103) := '20B2F85D9FF21E8C20801D606D085D914437B3FA49A415FB564A0B2AD679152BD13A265F97B9C6831FF6FF2446D06CC010F2D759F735E21827710C861000CC02CC20008013CA8DBFAD1E0D27FEC5BF740E43C8A1610401C0246C8CA026F568B8E4211842';
wwv_flow_api.g_varchar2_table(1104) := 'FA186F9C98CC5A5A89C8E23FC40802D8295E73E9DA6322B2944437B3FA49A415FB564A0B2AD679152BD13A265F97BC468CA0198221E4AFB3EE6BC4314EE2180C210038F58426F7A61300008E8DAE11945AE472DDCD667321A1E56A8F484FCD2F135669A5';
wwv_flow_api.g_varchar2_table(1105) := '5C5F5B9EFB2C8C2000184F724790AF0FADF54C62705F3DC0E31DC56F0D9A7EDE88CDBACCE7129A846A9DAB3CF70323E83FC00802D859DEF5E4E28A883C2A896E66F593482BF6AD94D6A858E755AC44EB987CDD46D9FF13AFC4089A330F5FBDEBBC885C6B';
wwv_flow_api.g_varchar2_table(1106) := 'D4D3238AFF1D676B8CBFF54DCD7F83DE9A78D2D638A3CEAF2EC63FC77C2C22FB8F5C7E9A7F6300702A61671000C00943EF084A7AF65E2D996B125AAEF688F4D4FC32619556CAC51A4610004C42D20812571FEAE899C4E0BE7A80C733B23E496BC5665DE6';
wwv_flow_api.g_varchar2_table(1107) := 'F30821A15AE72ACC1D230800E43597AEEDEDE00E218CA01D801D42FE3AEBBE461CE3248E618710009C5AD81904007082483E1A6E0D3B84A48F572BE5024610004CC30B1F5C1B4121F168B8969ABEC50EA1424D365E350D4610006CD9A11D424F7EE62B7F';
wwv_flow_api.g_varchar2_table(1108) := '6A91298319C20E217F9D755F238E7112C7B04308004E1DEC0C02003821DCF85BAF3C2F4DDA0892DE0D6C2B3AB564AE4968B9DA23D253F3CB84555A3E8711040093B0318244EEACEC43853E99490CEEAB07783C23EB93B4566CD6653E8F1012AA75AE4ECC';
wwv_flow_api.g_varchar2_table(1109) := '8E2000E8B1233B845622F2BA4C09CC147608F9EBACFB1A718C9338861D420070EAC00C02003801DCF85B9D1D418545440C21E9E3D5FAB9E5B9BF88110400E379E1A9C4A3E17C7DA8AC098650EF987CBC1291C5BFFF528C2000E8337343681544169FF9CA';
wwv_flow_api.g_varchar2_table(1110) := '9FA2FFED201842FE3AEBBE461CE3248EC11002805305661000C03173E3FF4E3C1A0E43285F60D617B46D0E23080026616304358947C3B9FB7041130CA1DE31FD182308004C666A08AD4464F1C73182761A0C217F9D755F238E7112C7600801C0A9013308';
wwv_flow_api.g_varchar2_table(1111) := '00E018D918414DE2D1701842F902B3BEA0892CCF7D364610008CA7B723C8DF87F2390C21958FD544CD4A4416E7318200C0C1CC0C218C20D88021E4AFB3EE6BC4314EE2180C210038158426F7C61200000E95E48E20CF9D6837E5AD2F8CD1BBB3EF69B9DA';
wwv_flow_api.g_varchar2_table(1112) := '23D253F3CB840E0D23080026E1850FAC8DA090D811E4ED4DA55CB64F661283FBEA011EEFC8FAF2652B36EB329F4B6812EA3A5A89C8E24E8C2000A8E45D4F2EF644E4F592E8669E5EE6EB5B29AD51B1CEAB58899D7025228B3F8611048A87AFDE755E44AE';
wwv_flow_api.g_varchar2_table(1113) := '35EAF1E3AEBFF3898A624D33E06FBD59134FDA1A67D4F9D5C5F8E7988F4564FF91CB4F5FE9CB00002703CC20008063E0C6DF7CE57909CA086A712EDC6D52DE7AF742E46C0D218C20009884173E70F9BC883C27222F16A9EA43796AEA31844444560D4610';
wwv_flow_api.g_varchar2_table(1114) := '008CE0141B421841500443C85F67DDD788639CC4311842007062E13171000047CC8DBF5978349C38EF92BB296F7D618CDE1D7D4FCBD51E919E9A5F26CC6818410030096B23E8DAC60812771FAAE8C3054D728D7F4C5F3DC0E319598F56B162B32EF37984';
wwv_flow_api.g_varchar2_table(1115) := '10ABEC080280D1BCE6D2B52B22B22F896EE6E965BEBE95D2828A755EC5B1B80A184160C023E3FC75D67D8D38C6491CC323E300E0C4821904007084DCF89B8BF8D1702317EE36296FBD7B21725686D0F2DCE7600401C0785EF899CBFDC77BB6987DABA095';
wwv_flow_api.g_varchar2_table(1116) := '7218422A1F5622B2F8F730820060024E9921B41291C567600481838E21B4DFFD8FCAF5773E5151ACC1104A1D8321040027121E1307007044DCF81B8BCEA3E1D4EDA2F7EE35A7B5296F7D618CDE9D7D4FCBD51E919E9A5F261491E5B9BF84110400E379E1';
wwv_flow_api.g_varchar2_table(1117) := '672E7FA2883C26222FF1F7D04AAD94CBF6C94C62705F3DC0E31D598F56B162B3AEFFB98495882CFEDD97BE9B855000989453F0C8B85523B2F88C054610D4F3F0D5BB3ED688BCB8FB1F95EBEF7CA2A258C323E352C7F0C838003851B0330800E008B8F137';
wwv_flow_api.g_varchar2_table(1118) := '16EAD170EA36D17BD79AD3DA94B7BE3046EF8EBEA7E56A8F484FCD2F1D620401C024DCFE99CBE79B83EF082AEFEACCE5BC5A2997ED9399C4E0BE7A80C733B23E496BC5665DFC79048C200038344EF80EA1831D411841308087AFDEB527222F0E12FF47E5';
wwv_flow_api.g_varchar2_table(1119) := 'FA3B9FA828D6B04328750C3B8400E0448119040070C86C8CA0DE222286D060DD368430820060126EFFF443E7A569AE89C89DA5D61361F6AD8256CAEDAE21B40A18410070C89C50436825228B3F8A11040378E4C0087A7D1B0789FF2373FD9D4F54146B30';
wwv_flow_api.g_varchar2_table(1120) := '8452C7600801C08901330800E010B9F17F2DD2DF2F8121345ECFAFCA620401C024DCFEE987B63D7CDD583184128B1EC6C289151B752B09B2F8048C200038024E982184110483698DA0E47F8341C5A99A426CFEADC7104A1D832104002702CC2000804362';
wwv_flow_api.g_varchar2_table(1121) := '630435892F1A170CA149F4FEFC96E73E17230800C61319412D184259CD5A38B1E28CBE0A228B4FF8648CA0E3E2E73E74FFEB7EF643F75FB0EA00E6C40931845622B2F82318413080E48EA00E4189AEBFF3898A620D8650EA180C2100387642937BD30800';
wwv_flow_api.g_varchar2_table(1122) := '008349EE0832EF465581596F686DCA5B5F18A37767DFD372B547A41F68CB739FFB3837D700309ADB7F776D04858C991F7A4B12153DB4522BE5B27D3293A8EFAB111EEFC8FAF2652BEEE82B1159FC3B1841C7C6CF3D7DFF1569E45111B9DE882C3EE96557';
wwv_flow_api.g_varchar2_table(1123) := '9FB38E019813EF7A72B1F9AE38DDCD3CBDAC513FF88F695622B2F8C318413080AF5C1B41AEBFD94A741FA394624DE3FF4C8AFFFCF1A4AD71469DDFB8AF11C7388963F61FB9FCF495BE0C0070F8B033080060626EFC9FD6A3E114FA9D62262CEAB9DADE0D';
wwv_flow_api.g_varchar2_table(1124) := '6C2B3AB564AE4968B9DA23D21B8C20009886DB7FF7A14FDC3E1A2E53C40EA1AC667D92D68AD7AC0246D0B1F2734F3F7045441E5DFF1F746710B9C60E21D84116EB47B51DE50EA19548C00882417CE5D597EF8984D78BF5DF64370E2A4ED51462F36F3D3B';
wwv_flow_api.g_varchar2_table(1125) := '8452C7B04308008E0D760601004C48640479EF3A7BBA2A30EB0DAD4D79EB0B63F4EEEC7B5AAEF650F5E5B9BF8C110400E3D9EC08D2667EB60FF596242A7A68A556CA19F3EBEB69D93BB6C73BB23E495B885722B2F8B731828E8D8F3DFDC09546E4D18328';
wwv_flow_api.g_varchar2_table(1126) := 'FA00083B8460E778D793F187BC0E7987D04A44167F68F124FD0FAAF9AAAB2F573B82121F5C89322A6E549CAA29C4E6DF7A7608A58E618710001C39EC0C02009888DE8E20EFDD664F570566BDA1B5296F7D618CDE1D7D4FCBD51E9A8E1104009370FBA71E';
wwv_flow_api.g_varchar2_table(1127) := '3A2F4DC20892521FEA2D4554F4D04AAD9433E6D7D7D3B2776C8F67647D92361363041D331F5BEF08DAFEFF137DF0831D42B073BCE6D2B58F1FD10E218C20184C6B0449F4DF57E2032B5146C541C5A99A426CFEAD678750EA18760801C091831904003001';
wwv_flow_api.g_varchar2_table(1128) := '37FE8FA18F86CBE918420E1D23080026E1F64F757604D5F5210CA182662D9CA8781530828E959F6F1F0DB7462F28AE5F308460E73802436815308260205F7DF5E57B616D04B5E8FEEDFA9BAD44F7314A29D66008A58EC1100280230533080060241B23A8';
wwv_flow_api.g_varchar2_table(1129) := 'C97CD178CD825BA4630815F4E5B9CFC3080280F14446508BAF0F75740CA19C662D9CACE395882CFE2D8CA063E3E77B3B820E08FAA783170C21D8390ED1105A89C8E20F6204C100BE3AB923E800DDBF5D7FB395E83E4629C51A0CA1D4311842007064F09D';
wwv_flow_api.g_varchar2_table(1130) := '4100002348EE08F2DE5DBA755560D61B5A9BF2D617C6E8DDD9F7B45CED281D23080026E1F6936B232864CCFCEAFED45B92A8E8A1955A2967CCAFAFA765EFD81EEFA8F0ACFD95882CEEC0083A367E21FA8EA0037AFFFFE99F0E5EF80E21D83926FE0EA195';
wwv_flow_api.g_varchar2_table(1131) := '882CFE0046100CA06B0475B1FAB7EB6FB612DDC728A558C37708A58EE13B8400E0D061671000C0406E7CC522FDFD12DEBB4AB7AE0ACC7A436B53DEFAC218BD3BFA9E96AB1DAC630401C0246C8CA0418F86CBE9BDA5888A1E5AA99572C6FCFA7A5AF68EED';
wwv_flow_api.g_varchar2_table(1132) := 'F18C329FA4C5083A667EC1DC11A4E3E8831FEC10829D63C21D422B091841308CAF79EFCBF742E81B41E2E8DFAEBFD94A741FA394620D3B8452C7B04308000E1D760601000CE0C657A81D419EBBBFD1BA2A30EB0DAD4D79EB0B63F4EEEC7B5AAEB64A5F9E';
wwv_flow_api.g_varchar2_table(1133) := 'FB7C8C2000184F640475B1FB90530FFDB4BB87566AA59C31BFBE9E96BD637BBCA3CE5B8F9548B3388711746CFC62D58E201D471F00618710EC1C237708AD4464F1BA4B184150CFD7BC37DE11E4FD9C87EEDFAEBFD94A741FA394620D3B8452C7B0430800';
wwv_flow_api.g_varchar2_table(1134) := '0E0DCC2000804A7A46508B73B16C9CAE0ACC7A436B53DE7AF742644868B95A978E1104009370FBDAD48F86CBE9184239AD593F1AE9DC27FF380BA1C7C42FAE77048963512A1F37DD170C21D839DEF5E4E21345E43911B95312CBC0997F3B18413098B7AE';
wwv_flow_api.g_varchar2_table(1135) := '8DA0C4DFD52456FF76FDCD56A2FB18A5146B308452C7600801C0A1C063E20000EA79AC670489F3CE74B4AE0ACC7A436B53DEFAC218BD3BFA9E96AB35758C200098848D1134E9A3E1727AD34FBB7B68A556CA19F3EBEB69D93BB6C3335A858011749C748D';
wwv_flow_api.g_varchar2_table(1136) := '2049FC7FE68FA30F7EF0C838D8395E73E9DAC7D68F8CBB2E229E47C66104C160DEDAD911D4FB6FCBF9F90EDDBF1D7FB30FE2A0E2544D21EEFFEB50353C322E750C8F8C03804301330800A0821B6F59EC492397B205CEC5B271BA2A30EB0DAD4D79EBDD0B';
wwv_flow_api.g_varchar2_table(1137) := '914D42CBD566F5E5B937600401C0782223A8C5D78746E84D3FEDEEA1955A2967CCAFAFA765EFD885459095882CCEFE1E8CA0E3E2979E79E04A508F8613C7A294B5A0B87EC110829DE33597AE3DE73484308260305FAB1E0D27A9BE9C7133ACFEED362E82';
wwv_flow_api.g_varchar2_table(1138) := '8A533585386592280F659C21938CE3495BE38C3ABFBA18FF1CF3318610001C06984100004E6EBC65B1BD099F6C216EA8AE0ACC7A436B53DE7AF7F537092D57DBD331820060126E3FF1D07969128FF714B30F4DA037FDB4BB87566AA59C31BFBE9E96BD63';
wwv_flow_api.g_varchar2_table(1139) := '271634560123E858F9A567D63B82320B6ED6A294B5A0B87EC110829DC36108AD4464F15A8C2018406B04B9FA76C6CDB0FAB76B6C25BA8F514AB1064328750C8610004C0A66100080831B5FBEE87D1A6BBA85B8A1BA2A30EB0DAD4D79EBDDD7DF24B45CED';
wwv_flow_api.g_varchar2_table(1140) := '068C20009884DB4F1CE5A3E1727AD34FBB7B68A556CA19F3EBEB69D93B7667416325228B331841C7C62FEB1D4118420093523084308260305FA77604B9FA76C6CDB0FAB76B6C25BA8F514AB1064328750C8610004C0666100080C1C608722E7E1573350B';
wwv_flow_api.g_varchar2_table(1141) := '6B2E5D1598F586D6A6BCF5EEEB6F125AAE5696E7DE88110400E3B9FDF8713C1A2EA737FDB4BB87566AA59C31BFBE9E96BD63078CA063E7979FD97E479067C1CD5A94B21614D72F1842B073240CA195882C7E3F46100CE0EB323B825C7D3BE36658FDDB35';
wwv_flow_api.g_varchar2_table(1142) := 'B612DDC728A5588321943A064308002601330800A0C08D2FBFF4069166BB23C8B9F855CCD52CACB9745560D61B5A9BF2D6BBAFBF4968BD344610004CC2C6086A8EE3D17039BDE9A7DD3DB4522BE58CF9F5F5B4EC181B23E898F995671EEC7D479067C1CD';
wwv_flow_api.g_varchar2_table(1143) := '5A94B21614D72F1842B073740CA127318260285FFFDE57147704B9FA76C6CDB0FAB76B6C25BA8F514AB1064328750C8610008C2634B9377D00003BCE8DBF7E69F36CFD032AEF78AD9CF7EED2ADAB02B3DED0DA94B7DE7DFD21A18988C8F2DC17600401C0';
wwv_flow_api.g_varchar2_table(1144) := '78923B826AFAD6A1EBA19F76F7D04AAD9433E6D7D7D37266EC95882C5E8411746CFCCA330F6E760489343DEF4E9B92B6B75713471F00B9DE882C3EE965579F13000028D2358274E7B67A70B2C6F9390FDDBF5D632BD17D8C5286FC7DEAD5559D3F9EB435';
wwv_flow_api.g_varchar2_table(1145) := 'CEA8F3AB8BF1CF311F8BC8FE23979FBED29701006CD81904009060630449F7EEABF24ED7CA79EF2ADDBA2A30EB0DAD4D79EBDDD7DF24348C20009886DB8F3F785EA4898D20A9EC5B87AE37FDB4BB87566AA59C31BFBE9E9613FA4A1A8CA0E3E4577B3B82';
wwv_flow_api.g_varchar2_table(1146) := '867D02BB784C318E3EF8C10E21000007FD1D417197B57A70B2C6F9F90EDDBF5D632BD17D8C5286FC7DEAD5559D3F9EB435CEA8F3AB8BF1CF311FB3430800C6C0CE200000C58DBF7EE982887CB49708BD1F7C779C56CE7B77E9D65581596F686DCA5BEFBE';
wwv_flow_api.g_varchar2_table(1147) := 'FED0BE600401C024DC7EFF83073B82426B04251A524DDF3A743DF4D3EE1E5AA99572C6FCFA7A5A5EEB073B823E1923E8B8F8D5684790F6EA867D02BB784C318E3E00C20E2100800CDFB03682D23D5877729DEFD3AB717ECE43F76FD7D84A741FA394217F';
wwv_flow_api.g_varchar2_table(1148) := '9F7A7555E78F276D8D33EAFCEA62FC73CCC7EC100280216006010074B8F1D72E5D9020D744E4CE6441CA70A95958CBE5AA17102D5D1598F586D6A6BCF5EEEB0FCB736FC2080280F16C8CA0764750AE1F66A4AA3E39A91EFA69770FADD44A39637E7D3DA9';
wwv_flow_api.g_varchar2_table(1149) := 'AE2460041D27BFF6CC83179AC4075AE2777CC316DCAC45A97CDC745F3084000014DFF0BEF58EA0A85DC66008E5FF3EF5EAAACE1F4FDA1A67D4F9D5C5F8E7988F318400A0161E130700B0E6C65FBBF489EB2F1B4F1B87727C0D000020004944415441D2BD';
wwv_flow_api.g_varchar2_table(1150) := 'FBAABCD3B572DEBB4AB7AE0ACC7A436B53DE7ADFF5630401C024DC7EDF83FDEF08CAF5C38C54D52727D59B7EDAD743EBB552CE985F5FEF29EC083A667EED99072F88C835DBEB1BF6489EE231C538745F78641C0040876F7CDF2BF642FB68B8A85DC6F0C8';
wwv_flow_api.g_varchar2_table(1151) := 'B8FCDFA75E5DD5F9E3495BE38C3ABFBA18FF1CF3318F8C03805A308300000E8CA0F322F2D86647906B11AD5354B3B096CB552F205ABA2A30EB0DAD4D79EBCBD7BF3CF7A627B8690580D16C8CA0467D479014FA6146AAEA9393EA4D3F3DC5DF9029C6905C';
wwv_flow_api.g_varchar2_table(1152) := 'E38FEA0F8CA09762041D17BFBE3682DAFB187B8169D8829BB528958F43F705430800606D04B5DF11B4E99751BB8CC110CAFF7DEAD5559D3F9EB435CEA8F3AB8BF1CF311F630801400D9841000022228DF8BE6CBC97EB14D52CACE572D50B8896AE0ACC7A';
wwv_flow_api.g_varchar2_table(1153) := '436B53DEFAF418CB735F88110400E3E9ED082AF6A144D2DFB78E406FFAE929FE864C3186E41ABF88341841C7CDAF6F7704453B9BED05A6610B6ED6A2543E0EDD170C2100D869BEA9BB23684D503FA47BB0EEE43ADFA757937133ACFEED1A5B89EE639432';
wwv_flow_api.g_varchar2_table(1154) := 'E4EF53AFAEEAFCF1A4AD71469D5F5D8C7F8EF918430800BC600601C0CE73E3AF5EDA139197542D8A45B94ED1E0310C6D94AE0ACC7A436B53DEFA58C308028049B8FDDE07CFBB8DFC5C3FCC48557D7252BDE9A7A7F81B32C518926CFC1841C7CC3FFF7079';
wwv_flow_api.g_varchar2_table(1155) := '4790BDC0346CC1CD3A4F3E0EDD170C2100D849BE29B523684D503FA47BB0EEE43ADFA757937133ACFEED1A5B89EE639432E4EF53AFAEEAFCF1A4AD71469D5F5D8C7F8EF9184308003C600601C04E73E3AF5E7A8B743F9155B32816E53A4583C730B451BA';
wwv_flow_api.g_varchar2_table(1156) := '2A30EB0DAD4D79EB0F348C20009884DBEFEDEC08AAEB43E9A4778C23D19B7E7A8ABF21538C2151E37F5244162FFA148CA0E3A235824228EF08B21798862DB859E7C9C7A1FB822104003B45D7086AC9F6CBA0E2A84677729DEFD3ABC9B81956FF768DAD44';
wwv_flow_api.g_varchar2_table(1157) := 'F7314A19F2F7A9575775FE78D2D638A3CEAF2EC63FC77C8C21040016A1C93DF2010060E6DCF8B24B5724C8A3C9A4E74E2C99ABBCE3B572DEBB4BB7AE0ACC7A436B5376FDF2DC17610401C0782223A88BDD879496487AC738123DF4D353FC0D99620C91FD';
wwv_flow_api.g_varchar2_table(1158) := '177DEABBAF24337024E81D4192F880867E97677B7E4DF998C633464DDC745FAE37228B4F7AD9D5E7040060A67CF3DA08F27E4EA4513FA47BB0EEE43ADFA757939990D5BF5D632BD17D8C5286FC7DEAD5559D3F9EB435CEA8F3AB8BF1CF311F8BC8FE2397';
wwv_flow_api.g_varchar2_table(1159) := '9FE65E0D007A600601C04E72E3CB2E5D10918F8A542ED0B916D13A4583C730B451BA2A30EB0DAD4DE5EB31820060126E5F7DF0BC848411D4E2ED5BB97E9891AAFAE4A47AE8A7A7F81B326E0C8CA063E6373EFCE0854619412D1842000027936F563B82AA';
wwv_flow_api.g_varchar2_table(1160) := 'CD8346C5518DEEE43ADFA757939990D5BF5D632BD17D8C5286FC7DEAD5559D3F9EB435CEA8F3AB8BF1CF311F630801400A1E1307003BC7DA08BAB611BC776D39AD97ABBCD3B57235F373E9AAC0AC37B43695AEC708028049B87D75BD23A8C9184152D1B7';
wwv_flow_api.g_varchar2_table(1161) := '72FD302355F5C949F5A69F9EE26FC8F03130828E99DF681F0D97308224F1C10CEDEDD95EDFB047F258E7C9C7A1FBC223E30060967CCBFB5EB1178C47C3E574FDF995740FD69D5CE7FBF46A3213B2FAB76B6C25BA8F51CA90BF4FBDBAAAF3C793B6C61975';
wwv_flow_api.g_varchar2_table(1162) := '7E7531FE39E6631E1907002930830060A7B8F1A597CE8BC85EEFD3B4350B74AE45B44ED1E0310C6D94AE0ACC7A436B53716E79EECD184100309E8D11D4EE089AA287E6FA6146AAEA9393EA4D3F3DE9F53B730D46D071F39BEAD170D9452795702C16296D';
wwv_flow_api.g_varchar2_table(1163) := 'D8829B759E7C1CBA2F184200302BBEA5B323C8EA8B393DA81FD23D5877729DEFD3ABC94CC8EADFAEB195E83E462943FE3EF5EAAACE1F4FDA1A67D4F9D5C5F8E7988F3184004083190400BBC663D94F95D72CD0B916D13A4583C730B451BA2A30EB0DAD4D';
wwv_flow_api.g_varchar2_table(1164) := '1DE430820060126EFFE483E7A5493C1A6E8A1E9AEB8719A9AA4F4EAA37FDF4A4D76FE6F65FF47B31828E93DFFCF0431744426F475076D149251C8B454A1BB6E0669D271F87EE0B861000CC826F558F8613475F34EB828AA31ADDC975BE4FAF263321AB7F';
wwv_flow_api.g_varchar2_table(1165) := 'BBC656A2FB18A50CF9FBD4ABAB3A7F3C696B9C51E75717E39F633EC61002802E984100B033DCF8D24B6F15914B224316E29C5A2FD7291A3C86A18DD25581596F6807600401C024DCFEC9CE8EA0BA3EE4EF5BB97E9891AAFAE4A47AD34F4F7AFDD91C46D0';
wwv_flow_api.g_varchar2_table(1166) := '31F32F3EFC50674790B108D6D555C2735CAC0D5B70B3CE938F43F7054308004E35DFFABEBBF744C2EB87F449B32EA838AAD19D5CE7FBF46A3213B2FAB76B6C25BA8F51CA90BF4FBDBAAAF3C793B6C619757E7531FE39E6630C210068C10C02809DE0C697';
wwv_flow_api.g_varchar2_table(1167) := '5EBA22229F1F89D50B714EAD97EB140D1EC3D046E9AAC0AC2F6ACB3BFE0A4610008C2732825A7C7DA89C2B6A89A4778C23D19B7E7AD2EBEF811174CCB44650BC2308430800E024F36DEFBF7B4F42BB2368D862BE5917541CD5E84EAEF37D7A35990959FD';
wwv_flow_api.g_varchar2_table(1168) := 'DB31F63B83C8F5AEE838265133ECEF53AFAEEAFCF1A4AD71469D5F5D8C7F8EF9184308000433080076811B5F72E98234F2683259BD10E7D47AB94ED1E0310C6D94AE0ACCFAA4861104009370FB27328F8613B30FF972452D91F48E71247AD34F4F7AFD1B';
wwv_flow_api.g_varchar2_table(1169) := 'F65FF4328CA0E3E45F463B82F4A20E861000C049E4DBDE7FF79E881CEC08DA34B6618BF9665D507154A33BB9CEF7E9D5642664F5EFC2D8FB6FBEFFA9D789C80243C8AEC3100280C320344DE9DD2300C0E9E6C6975C3A2F221F6B1752DC776343F45C6D94';
wwv_flow_api.g_varchar2_table(1170) := 'ABBCE3B57235F373E9AAC0ACDFB0BCE38B318200603CB77F42ED08F2F7A1697A68AE1F66A4AAF94DAA877E7ABAEBC7083A66BA46907EB716C74DCFC7337CC46C9DED111AE76A3C63D4C44DF7E57A23B2F8A4975D7D4E00004E286F7BFFDD7B8DFA8EA046';
wwv_flow_api.g_varchar2_table(1171) := 'BA8DADDF47C5D117CDBA46C5518DEEE43ADFA757939990D5BF557EFF8BEE7F6A736FF1F0D5BB2E88C8B546E4CE6EA16B3E898A217F9F7A7555E78F276D8D33EAFCEA62FC73CCC722B2FFC8E5A7B9D703D841D81904007367F3895A918ABBB0217AAE36CA';
wwv_flow_api.g_varchar2_table(1172) := '55DEE95AB99AF9B9745560D68B600401C054F48C2071F7A1BC56CA15B544D23BC691E84D3F3DCDF563041D33E51D413A66871000C049E06DDD1D411D82741BDBB0DD1D665D507154A33BB9CEF7E9D5642664F5EF4E3E32824444DE7CFF53CFB143C857C7';
wwv_flow_api.g_varchar2_table(1173) := '0E21009812CC2000982D37BEF8D29E34CE470C4DA5BB16E23A4583C730B451BA2A28D7630401C024DC7E4FE5A3E172FA143D34D70F3352D5FC26D59B7E7ADCF5EFBFE8D330828E93DF7AF6A10B21A80FB2988B3A18420000C7496B04B571B2A7856D34A4';
wwv_flow_api.g_varchar2_table(1174) := '4F9A7541C5518DEEE43ADFA757939990D5BF43C2086AC110F2D7610801C054600601C02CB9F1C517AF88340737E4F6E2D7B4BA6B21AE5334780C431BA5AB82743D4610004CC2EDF774760499FDC9A14FD14373FD302355CD6F52BDE9A7875D3F46D031F3';
wwv_flow_api.g_varchar2_table(1175) := '5BCF6E7704A516DDCA8B3A18420000C7C1B7BFFFEEBDA01E0D27B99E16B6D1903E69D605154735BA93EB7C9F5E4D664285FEBDFF851923A80543C85F8721040053C0770601C0ECB8F1C5172F88C847B74AF1AE38CD147AAE36CA55DEF15AB99AF9B97455';
wwv_flow_api.g_varchar2_table(1176) := 'B00D97777C094610008CE7F67B1E581B4121DE1164F627873E450FCDF5C38C5435BF49F5D04FFBAF7FFF457761041D271F5F1B418DDA11947AABA6A538E63B8400008E8A6F573B82DC3DAFD946EE636AEA1A154735BA93EB7C9F5E4D66424ADE7FD3FD1F';
wwv_flow_api.g_varchar2_table(1177) := '70DF5BF01D42FE3ABE430800C6C0CE2000981537FECAC5F3D2C863B15ABC1B4E33859EAB8D729577BA56AE667E2E5D151C841841003009B7DFFD40E7D170C97ED3A7469FA287E6FA6146AA9ADFA47AD34FFBAE1F23E898F978774790CAB143A81B87EE0B';
wwv_flow_api.g_varchar2_table(1178) := '3B8400E058F98EC48E2077CF0BDBC87D4C4D5D507154A33BB9CEF7E9D56426D491AB8C20618750551D3B8400600C9841003037F644E4C5FD05B0267A49A50E45772DC4758A068F6168A3F4A80023080026E1F6BB1F483C1A4E3524B33F39F4297A686E7E';
wwv_flow_api.g_varchar2_table(1179) := '19A96A7E93EA4D3F5DBE7E8CA063E6FAB30F5D08127F479067D1ADBCA88321040070987C47674790D5BFB235611BB98FA9A90B2A8E6A7427D7F93EBD9ACC84C20023A80543C85F8721040043C10C0280D970E3AF5C7C8B88BC7623F416C09A8C3E64C1AD';
wwv_flow_api.g_varchar2_table(1180) := '42772D44768A068F6168A3F446446479C797620401C0782223A82567B898FDC9A14FD14373F3CB4855F39B546FFAE974EDFE8B5E8E11749C5C2FED08D27162C5A67C0C861000C061F09D8E1D41EE9E17B691FB989ABAA0E2A84677729DEFD3ABE917ED7F';
wwv_flow_api.g_varchar2_table(1181) := 'C14023A80543C85F8721040043E03B83006016DC78F3C58504792299ECDDE114EF8AD34CA1E76AA35CE51DAF95AB995F595FDEF1A5D7B8290480D1DCFEF1B5111424FE8EA096543F4C8483F4297A686E7E19A96A7E93EAA19FDE061841C7CC6FE7BE2348';
wwv_flow_api.g_varchar2_table(1182) := 'D5F562871719C77C871000C0547CA7F11D41569CAD69B691FB989ABA46C5518DEEE43ADFA75773208C3682BAF01D42FE3ABE4308006AC00C028053CF8D375F3C2F221F13913BFD8B6521A30F5970ABD05D0B919DA2C163185A9DBEBCE3CB308200603C1B';
wwv_flow_api.g_varchar2_table(1183) := '23A8DD1164F6215560D63BF4297A686E7E19A96A7E93EAA19F0E1841C7CD6F77760489634126B3E856AE519135E6465709CF7155E7C2100280538A36825AFCFDCAA869B691FB989ABA46C5518DEEE43ADF4769FB6FBC6F3A23A80543C85F872104005E78';
wwv_flow_api.g_varchar2_table(1184) := '4C1C00CC81C736CFDAF7DE4195EF86D34CA1E76AA35CE59DAE95AB995F5FC708028049E81941E2E943AAC0AC77E853F4D0DCFC3252D5FC26D51B9DC6083A66FED5B3972F8884F2770459B1C3838C631E1907003086471FBF7B2F84BE112455FDCAA809DB';
wwv_flow_api.g_varchar2_table(1185) := 'C87D4C4D5D507154A33BB9CEF7E968876204098F8CABAAE3917100E0053308004E35CFBFF9E25B44E45224BA17CB9A8C5E33C600DDB510D9291A3C86A1D93A4610004CC2ED1F7BE0BC34CA086A31FB932A30EB1DFA143D3437BF8C5435BF49F5A64DEFBF';
wwv_flow_api.g_varchar2_table(1186) := 'E8151841C7C9811124D782C89D7AC9C55A90E9C589159BF231184200004378F4F17BF644C2EB25D37BA5AA5F1935611BB98FA9A90B2A8E6A7427D7F93EE1108DA0160C217F1D86100078E0317100706A79FE8B2E2E44E489EC4D9BF74EAA153C774B53EA';
wwv_flow_api.g_varchar2_table(1187) := 'B9DA2817DF3CE6EB9C39FFFC9677FC558C200018CFED1FAB7D345C4E570566BD439FA287E6E69791AAE6379DBE7FE6EEF71CEA620D94F99D672F9F6FDA47DAAE693AFF1B6B15B1C38BD467B0C6DCE8860F6B7B9EC31EC9639D271F37DD171E190700A3D9';
wwv_flow_api.g_varchar2_table(1188) := '7BFC9E3D1179BDEE33B965347FBF326A9A6DE43EA6A6AE517154A33BB9CE6FD87FC3211B415D78649CBF8E47C6014009760601C0A9E4F92FBA785E440ECC8ADCCD9AF70EAA7C379C660A3D571BE5E29BC67C9D33E79B1F4610004CC2ED770D79345C4E57';
wwv_flow_api.g_varchar2_table(1189) := '0566BD439FA287E6E69791AAE6378D8E117402F88497BEFBE341E40D5D2D74FE37D62A628707A9CF608DB9D10DFFD5F63A877D02DB3A4F3E0EDD17760801C0285A2348127D861D42476B04093B84AAEAD821040025308300E0B4B227222FDE441842696A';
wwv_flow_api.g_varchar2_table(1190) := 'EA0F748C200098848D11D40C79345C4E570566BD439FA287E6E69791AAE6374EC7083A417CC24BDFBD1744F6BB5A6F81C8B120D38B132B36E563308400004AEC3F7ECF5E90F83B82749FD96143E8C88DA0160C217F1D861000E4C00C028053C7F35F78F1';
wwv_flow_api.g_varchar2_table(1191) := '0D22F2DA5E0243288DBF1E23080026A1B723C8DF871CBA2A30EB1DFA143D3437BF8C5435BF613A46D009E4135EFAEE2B1842BE0537EB3CF938745F308400A08AFDE48EA003749FD9414368FFF38FC9086AC110F2D7610801400ABE3308004E15CF7FE1C5';
wwv_flow_api.g_varchar2_table(1192) := '0BEB05C63B4B7746C994F74EAA7C579C660A3D571BE5E29BC77C9D33B7D59677FC358C200018CFED1F7DE0BC04F568B8969ABE65EAAAC0AC77E8C37B68424B24BD638CD7F7CFDC83117492F99D672FEF35EA53E74DE77F63AD22767891FA0CD6981BDDF0';
wwv_flow_api.g_varchar2_table(1193) := '616DCF73D8773458E7C9C74DF785EF10020093EF7AFC9E5E6F16479FD991EF10DAFFBC633682BAF01D42FE3ABE430800BAB03308004E1B7B9B2F5F2EDC112553DE3BA8F2DD709A29F45C6D948B6F1AF375CEDC81861104009370FB470B8F8693CABE65EA';
wwv_flow_api.g_varchar2_table(1194) := 'AAC0AC77E8C37A68464B24BD638CD331824E01EC104AE4D9210400C7C877AD7704D5F5A175E7CE344E7FBF326AC236721F535317541CD50439694690B043A8AA8E1D4200D0053308004E0DCFBFE9E25B7B9F342F2C8A2553F6225A2C1CCDC25D59EBE53A';
wwv_flow_api.g_varchar2_table(1195) := '4583C7D88011040093B031824A8F86CBE935B591AE0ACC7A875ED7430D2D91F48E314CC7083A45600825F2184200700C7C77E7D170E2EA65FD3E336343E8C419412D1842FE3A0C210068E1317100702A78FE4D171722F28488F3EEAAA32753DE3BA9C25D';
wwv_flow_api.g_varchar2_table(1196) := 'B17F8C017AAE36CAC5378FF9BA6C6E79C75FC7080280F1DC7E67E5A3E1727A4D6DA4AB02B3DEA1DB3DB4424B24BD63F8F5FD331731824E233C322E91E79171007044748D20ABA7946BD69D3BD338ADB1DDE76AB691FB989ABAA85DCAFE5FBEEF674EFCBD';
wwv_flow_api.g_varchar2_table(1197) := '058F8CF3D7F1C83800C00C028013CFF36FBA785E449E1391176FC4CA45B464CAB7B8B6152ACF395A772D44768AEAC658DEF1E5184100309E5BEF3CD81114445E52D5E3727A4DAD64FA61221CA4BBFAB0574B24BD63D83A46D02907432891C710028043E6';
wwv_flow_api.g_varchar2_table(1198) := '7B12DF1164F59472CDBA73671AA735B6FB5CCD36721F535377F0C3FEE79E0223A80543C85F872104B0DBF0983800380DEC45469038EFAA3A7A32E5BD836A85CA738ED673B5512EBE69CCD745EC630401C014B4469088BCA491CA1E97D36B6A235D1598F5';
wwv_flow_api.g_varchar2_table(1199) := '0EDDD587BD5A22E91DA3AC6304CD001E1997C8F3C838003844BE27F31D41565CAE5977EE4CE3B4C6769F2B6C23F7313575E1741941C223E3AAEA78641CC06EC3CE200038D13CFF05175F27417E245BE0B973E9E8C994F74EAA152ACF395ACFD546B9F8E6';
wwv_flow_api.g_varchar2_table(1200) := '315F274FDEF1E5D716890A00802A6E3DB6368242FC68B820953D2EA7D7D446BA2A30EB1DBAAB0F7BB544D23B465FDF3F730923684EB0432891678710004CCCF73CB17E345CA751F87B88A766DDB9338DD31ADB7DAE661BB98FB1EBF6FFD2BDA7CB08EAC2';
wwv_flow_api.g_varchar2_table(1201) := '0E217F1D3B84007613760601C089E5F92FB8785E44F6B27738E2BCABEAE8C994F70EAA152ACF395A775D7F7CD398A9BB2E22AF4B640100AAD81841222FD13DA791CA1E97D36B6A233D35A10435BAAB0F7BB544D23B46AC6304CD10760825F2EC10028009';
wwv_flow_api.g_varchar2_table(1202) := 'F9DE27EED90BADE9DE6914FE1EE2A95977EE4CE3B4C6769F2B6C23F731E5BA536D04093B84AAEAD82104B09B600601C049664F44EE149968216EAD2753F6A25B2C549E73B4EEBAFE4E517A8CC51D5F7EEDE3890C00809B5B8FDDBF35825A52FE4B4D8FCB';
wwv_flow_api.g_varchar2_table(1203) := 'E935B5919E9A50821ADDD587BD5A22E91DE340C7089A311842893C8610004CC0F7B63B82BAFDA0D328FC3DC453B3EEDC99C6698DED3E57E742DCC7A4EB4EBD11D48221E4AFC31002D83D308300E044F2FC1B2FBE4E445E1B89532CC4ADF564CABD28D864';
wwv_flow_api.g_varchar2_table(1204) := 'F49A3106E8AEEBEF14C5F56FBCE32DD778040A008CE2D68FB44650133D1A4E24E3BFD4F4B89C5E531BE9A90925A8D15D7DD8AB2592BE31F6CF2C3082E60E8650228F21040023F8BE272EEE0509D1633843EF879A1EE2A95977EE4CE3B4C6769FAB7321EE';
wwv_flow_api.g_varchar2_table(1205) := '6362F63F672646500B8690BF0E430860B7E03B8300E0C4F1FC1BEF392F221F130977BAEE44AC5CE1CE2899F2DE49B542E53947EBAEEB8F6E1EDF79C75BAEF178380018C5D6089297247B4D460A99B2546D51AFA98DF4D48412D4E8AE3EECD5ECDF6147C3';
wwv_flow_api.g_varchar2_table(1206) := '08DA31F80EA1449EEF1002804ABEEF898B9B1D4192E832A9CF69F87B88A766DDB9338DD31ADB7DAECE85B88F99A111D485EF10F2D7F11D4200BB013B8300E024B27E3C9CF3DDBE952BDC112553DE3BA856A83CE768DD75FD9B1F7E5E1AE1E60B00461119';
wwv_flow_api.g_varchar2_table(1207) := '4192EC355B94D464CA52B545BDA636D253134A50A3BBFAB057B37F876B0D23680761875022CF0E2100A8E0ED4F5CDC7E47D01ADD65529FCFF0F7104FCDBA73671AA735B6FB5C9D0B711E336B2348D8215455C70E2180DD003308004E14CFBFE11EF57838';
wwv_flow_api.g_varchar2_table(1208) := '0CA1AAB1A35C735D445E77C757F03D4100309C5B3F7CFF7969D47704499D99D164CA52B545BDA636D253134A50A3BBFAB057337F87FB675E8911B4AB600825F2184200E0E0ED9D1D41FD7FFF991EDA91FD3DC453B3EEDC99C6698DED3E57E7428C63F63F';
wwv_flow_api.g_varchar2_table(1209) := '7BE646500B8690BF0E430860FE600601C089E1F937DC735E44F692868B7761AD942B2CF22553EE45C126A3D78C3140775D7FA90800A0CCAD1FEEEC081A67661C84353D2EA7D7D4467A6A42096A74571FF66AD9DF2146106008A5F218420050E0EDEAD170';
wwv_flow_api.g_varchar2_table(1210) := '92FCF79FE9A11DD9DF433C35EBCE9D699CD6D8EE73752E2473CCCE18412D1842FE3A0C218079831904002789F5E3E132868B7761AD942B2CF22553EE45C126A3D78C31402F5FFF9D2272EDC6975F62210300AAB9F543EAD17062F5A1AC991187353D2EA7';
wwv_flow_api.g_varchar2_table(1211) := 'D7D4467A6A42096AF429FE0EE57F871841B001432891C710028004DF9F78345C4BFFDF7FA68776647F0FF1D4AC3B77A6715A63BBCFD5B91095DFFF8B3B6604B56008F9EB308400E60B6610009C08FA8F87CB182EDE85B552AEB0C8974CB917059B8C5E33';
wwv_flow_api.g_varchar2_table(1212) := 'C600BD7CFD18420050CDC6086AD4A3E1C4EA438964CA7FA9E97139BDA636D253134A50A34FF177A83FBFFD33AFC20882180CA1441E4308003A7C7FE1D1702DFD7FFF991EDA91FD3DC45373F0D33118423B6B04B56008F9EB308400E649689AD2BB570080';
wwv_flow_api.g_varchar2_table(1213) := 'C3E7F9CFBFE7BC04794E445E9C2CE8DD4138DFF55BB9C29D5132E5BD936A85CA738ED6CBD77F5D4416777CC593CF15AA0000D23B82BC3D27F47E48E43A614D8FCBE935B5919E9A50821A7D8ABF4307DAFE9957FDC44E2FD64099DF79F6F25EA33EF5DE74';
wwv_flow_api.g_varchar2_table(1214) := 'FE37D62A62DBCFED9DC11A73A31B3EACED9B1AE7727E66C81F37DD97EB8DC8E2935E7695FB288013CC3BD64690F5EF3CA7EB2ED3FF9C464D0FF1D41CFC945B96B3C6769FEB40DCFFAC7B7F9A7B8B350F5FBDEB82885C6B44EE2CFDFF9BD2FA35C3FE3EF5';
wwv_flow_api.g_varchar2_table(1215) := 'EAAACE1F4FDA1A67D4F9D5C5F8E7988F4564FF91CB4FF3DF23C031C0CE20003809BC459A8C1124A93B07E7BB7D2B57B8234AA6BC7750AD5079CED17AF9FAD9210400264923482A7A4ED3FB2191EB84353D2EA7D7D4467A6A42096AF429FE0E35184160C3';
wwv_flow_api.g_varchar2_table(1216) := '0EA144DEF959217F1CBA2FEC100238E1BCA3B023E8FF67EF5D9B253BAA73DD31238EA4567322B4CE2F509B3F80224E048DD4DDEE25103296B74CE31BBE00EAE67E77631BF6DEF6B6697CDD061B9A8B31186375E12B3783CCDE3AC712975EDC241C416CF1';
wwv_flow_api.g_varchar2_table(1217) := '0736D22F38EA08BA975A5FE6F9B0AA56CDCC3946E6C859396BD5E5793EAC5AF98E513933D7AA99B32ADF1A55DEF7756C7085104650041542FE3C2A8400360B2A8300E048D9FFCD33BB22F2AD43C17A96A2C69CAFFA73B1C4332335E47D2635130A8FB9B0';
wwv_flow_api.g_varchar2_table(1218) := '9E9E3F154200A0F2FC97A64650A37C34DC0CEF9AD3F47E51629D66C91A67E925B981AE0D48A1441F7E1D9ADCF2328C20F04385901277BE67C8DF6EBB37540801AC205FB8FAD3076BE180F545CF33D6D08E9CEBBB6C1D3AF86DA40AA1C99B5F8611644185';
wwv_flow_api.g_varchar2_table(1219) := '903F8F0A2180CD80CA2000386A2E072DEBD9891A73BEDACFC512CF88D490F719D44C283CE6C27A7AFE540801408F432348E44555D6D0B6F78B12EB344BD6384B2FC90D746D400A25FAB0BF214610144385901277BE57C8DF6EBA37540801AC185FB87A50';
wwv_flow_api.g_varchar2_table(1220) := '11D448FEFD1DDEF7756C5085104650062A84FC795408016C069841007064ECBFFBCC25F797939B310CA1A2BE0F6218420070C8F35F543E1AAEC61A6A992D8AD41A695A6E522FC90D746D400A257AD9DF102308068321A4C4318400B6822F5E9D7F349CCC';
wwv_flow_api.g_varchar2_table(1221) := '4ED101EB8B9E67ACA11D39D777D93A74F05B45430823C80986903F0F430860FDE163E200E048D87FF7991322F29488DC21E27CA6938C395FF5E7628967466AC8FB4C6A26141E73613D3D7F3E320E60CB098CA0F235A450538291D418695A6E522FC90D74';
wwv_flow_api.g_varchar2_table(1222) := '6D400A257AFE6F38B9E53E8C20581C3E324E893BDF33E46FB7DD1B3E320EE008E91A41EA393B607DD1F38C35B423E7FA2E5B870E7E5BF023E3266FC2082A868F8CF3E7F1917100EB0B95410070545C393482C4F90C271973BEDACFC512CF88D490F719D4';
wwv_flow_api.g_varchar2_table(1223) := '4C283CE6C27A7AFE5408016C31BD8AA0F235A450538291D41A695A6E522FC90D746D400A257AFA6F881104D5A04248893BDF2BE46F37DD1B2A84008E882F6915411D1A45CC9DE7769EB18676E45CDF65EBD0C16F0B540861040D840A217F1E154200EB0B';
wwv_flow_api.g_varchar2_table(1224) := '6610002C9DFD779D392722677B81F24DB4BEB0701FE94D3E35E4DE146C0DBDA48F017A7AFE1842005BC8F35F503E1A4E06AD21859A12D4FC979235CED24B72035D1B904289AEE74E6E79394610D4054348896308016C145FEA7E475007B53D607DD1F38C';
wwv_flow_api.g_varchar2_table(1225) := '35B423E7FA2E5B870E7E1B60084DDE8811B4101842FE3C0C2180F5848F890380A5B2FFAE333BD38F87BBD3FDCCC3D2CC98F3557F2E96189F1A72CFA731F4923E06E8E9F9F39171005B426004D55B430A352518498D91A6E526F592DC40D706A450A2CF35';
wwv_flow_api.g_varchar2_table(1226) := '8C2018153E324E893BDF33E46FB7DD1B3E320E60097CF9EAD9E9DAD63B13D3ED01EB8B9E67ACA11D39D777D93A74F09BF323E3266FC008AA061F19E7CFE323E300D60B2A830060D95C14913B450A9E71589A1973BEDACFC512E35343EEF9B4865ED2C700';
wwv_flow_api.g_varchar2_table(1227) := '3D3D7F2A8400B6805E4550BD35A450538291D41A695A6E522FC90D746D400A25FA81861104A34385901277BE57C8DF6EBA375408018CCC97AF9EED5404F5CEC4747BC0FAA2E7196B6847CEF55DB60E4D676B0CB023630455860A217F1E154200EB059541';
wwv_flow_api.g_varchar2_table(1228) := '00B034F6DF75E68488FCB817F03EF3B03433E67CD59F8B25C6A786DCF3690CBDA48F017A7AFE5408016C28CF7FFEFE1D69948F8693AA6B48A1A60423A931D2B4DCA45E921BE8DA80147CFAE496FB318260795021A4C49DEF19F2B7DBEE0D154200233033';
wwv_flow_api.g_varchar2_table(1229) := '82BA5ABC96B9CED901EB8B9E67ACA11D39D777D93A349DAD3EC0C9EB318246830A217F1E154200EB01954100B03C5AD1DFD9E17DC6616966CCF96A3F174B8C4F0DB9E7D31A7A491F03F4F4FCA91002D8409EFFFCB422A8558C20A9BA86146A4A30925A23';
wwv_flow_api.g_varchar2_table(1230) := '4DCB4DEA25B981AE0D4821AF6304C1D2A14248893BDF2BE46F37DD1B2A84002AF3AF57CF5E6922234894B5CC75CE0E585FF43C630DEDC8B9BECBD6A1E96CFB77C2081A192A84FC79540801AC07984100B014F6DF79E69C889C756C96E5F5A28D480CA1A2';
wwv_flow_api.g_varchar2_table(1231) := 'BE0F621842001BC4F39F7FF9F08F86B3F41A6BA865B628526BA469B949BD2437D0B50129D83A46101C1918424A1C4308602DF8D74E45907DCEF6CEC4747BC0FAA2E7196B6847CEF55DB60E4D673B173082960486903F0F43083024F5F000002000494441';
wwv_flow_api.g_varchar2_table(1232) := '5460F5E163E2006074F6DF796647449E3AFCAE2029788691D2AD5C35E67CD59F8B25C6A786DCF3690CBDA48F017A7AFE7C641CC09AF3FCBFBCBCF3D170D1095FB256587A8D35B4E9FDA2C43ACD92F1597A496EA00FFA1B4E6EF9198C20387AF8C83825EE';
wwv_flow_api.g_varchar2_table(1233) := '7CCF90BFDD766FF8C8388005F8CAD408CA9D7F73AD7726A6DB03D6173D2F5E75FA89B9BECBD6A156446472E1A51841CB868F8CF3E7F1917100AB0B954100B00C2E064690143CB348E956AE1A73BEDACFC512E35343EEF9B4865ED2C7003D3D7F2A8400D6';
wwv_flow_api.g_varchar2_table(1234) := '98E7FFE5E5D147C345277CC95A61E935D6D0B6F78B12EB344BC667E925B9815EFC37C4088295810A2125EE7CAF90BFDD746FA8100218C857F6CE5E9146AF08B2CFD9DE99986E0F585FF4BC78D5E927E6FA2E5B871A8CA023A2532194FCFF6A5A3F67D8F5';
wwv_flow_api.g_varchar2_table(1235) := 'A9975774FC70D0B97E163A7E3419FF18ED3615420075A03208004665FF1D674E88C88FDDCF2486E856AE1A73BEEACFC512E35343EEF934865ED2C7003D3D7F2A8400D68C4323483ADF11D4F47E519B83F41A6BA8353E456A8C342D37A997E406BAEB6F38';
wwv_flow_api.g_varchar2_table(1236) := 'B9E5151841B07A5021A4C49DEF19F2B7DBEE0D154200057C752FAA080A4EA739F639DB3B13D3ED01EB8B9E17AF3AFDC45CDF8E756872FEA5DFE1B9C511F3C1C7EE3E27225F891F3F8EFF9F9233ECFAD4CB2B3A7E38E85C3F0B1D3F9A8C7F8C769B0A2180';
wwv_flow_api.g_varchar2_table(1237) := 'C5A0320800C6E6B248C1338821BA95ABC69CAFF673B1C4F8D4907B3EADA197F431404FCF9F0A218035E2F97F568C20E99EE7D1095FB256587A8D35D41A9F22B5469A969BD44B72033DFB37C4088295850A2125EE7CAF90BFDD746FA81002703233824479';
wwv_flow_api.g_varchar2_table(1238) := 'FF45EEFC9B6BBD3331DD1EB0BEE879F1AAD34FCCF59D598730825684F7DDFFC45745E442FCF819721DE93F72A21C2A84B4FB502104B000540601C068ECBFE3CCAE887C2B10BDCF2486E856AE1A73BEEACFC512E35343EEF934865ED2C7003D3D7F2A8400';
wwv_flow_api.g_varchar2_table(1239) := '569CC008CA9EFB514236DFA1D75843ADF1295263A469B949BD2437D0D5BF214610AC0554082971E77B86FCEDB67B438510408247F6CEF6D62451DE87913BFFE65AEF4C4CB707AC2F7A5EBCEAF413737D2BC79A3C8411B4727CF0B1BBCF8BC8C3F1E367C8';
wwv_flow_api.g_varchar2_table(1240) := '75A4FFC88972A81052CF0B2A8400CAA1320800C6E4724FF13E8318A25BB96ACCF96A3F174B8C4F0DB9E7D31A7A491F03F4F4FCA9100258617A1541D9733F4AC8E63BF41A6BA8353E456A8D342D37A997E4067A6F401841B0365021A4C49DEF15F2B79BEE';
wwv_flow_api.g_varchar2_table(1241) := '0D154200068F4C2B8292E75F13B5E3784FEB9D89E9F680F545CF8B579D7E62AEEFA88D11B4A2BCEFFE27AE5021E4CBA342086075C00C028051D87FFB99F3F32F2D8FC86EAE2DA0176D44620815F57D10C3100258419EFFA7DC47C345D866864E895E630D';
wwv_flow_api.g_varchar2_table(1242) := 'B5C6A748AD91A6E526F592DC403FFC6572CBCF6204C17A8121A4C431840096CABF753E1A4E72E77013B5E3784FEB9D89E9F680F545CF8B579D7E62AEEF691B2368C5C110F2E7610801AC067C4C1C005467FFEDA77744E46991E60E9182670C35752B578D';
wwv_flow_api.g_varchar2_table(1243) := '395FF5E76289F1A921F77C1A432FE963809E9E3F1F1907B022044650C9391EE8514236DFA1D75843ADF1295263A469B949BD2477AE4F6EF9D97F67B306D6163E324E893BDF33E46FB7DD1B3E320E20328272E752A0B5513B8EF7B4DE99986E0F585FF4BC';
wwv_flow_api.g_varchar2_table(1244) := '78D5E92726FA9EBC0E23686DE023E3FC797C641CC0D1426510008CC14511B9E3F012ED7DA65053B772D598F3D57E2E96189F1A72CF27F17774F731404FCF9F0A218015A0571154728E077A9490CD77E835D6506B7C8AD41A695A6E522FC93DD0318260ED';
wwv_flow_api.g_varchar2_table(1245) := 'A14248893BDF2BE46F37DD1B2A8460EBF9DADE6EB2222879FE35513B8EF7B4DE99986E0F585FF4BC78D5E9271A7D6304AD195408F9F3A81002385AA80C0280AAECBFEDF40969E4A90333684613DCF41853B772D598F3557F2E96189F1A72CF27F17774F7';
wwv_flow_api.g_varchar2_table(1246) := '31404FCF9F0A218023E2F97F9C1A418DF2919C25E778A04709D97C875E630DB5C6A7488D91A6E526755FEEE4960730826073A04248893BDF33E46FB7DD1B2A84602BF9DADEEE099183D78C66F58CD10EB4366AC7F19ED63B13D3ED01EB8B9E67CCB12377';
wwv_flow_api.g_varchar2_table(1247) := '7E9DBC1623686DA142C89F478510C0D140651000D4E6D2B46AA4431BDCF41853B772D598F3D57E2E96189F1A72CF27F17774F731404FCF9F0A218023E0D008127951D1799BD5A3846CBE43AFB1865AE353A4D648D372937A3E172308360E2A8494B8F3BD';
wwv_flow_api.g_varchar2_table(1248) := '42FE76D3BDA14208B69207CF5E7D5A447645E49A593D63B403AD89DA71BCA7F5CEC4747BC0FAA2E71973ECC8D35F3182D61C2A84FC795408011C0D5406014035F6DF76FA2E11F95F8742EFCADC187A181E45B772D598F3557F2E96189F1A72CF27F17774';
wwv_flow_api.g_varchar2_table(1249) := 'F731404FCF9F0A2180251118415D4ACEDBAC1E2564F31D7A8D35D41A9F2235469A969BD4F5DCC92D3F8711049B0B15424ADCF99E217FBBEDDE5021045BC9D7F676EF9A3EA7A1424864F21A8CA08D810A217F1E154200CB85CA2000A8C9E5A0D5BB22B786';
wwv_flow_api.g_varchar2_table(1250) := '1E8647D1AD5C35E67CB59F8B25C6A786DCF349FC1DDD7D0CD0D3F3A7420860093CFF0F86112485E76D568F12B2F90EBDC61A6A8D4F915A234DCB4DEA7D0D2308361E2A8494B8F3BD42FE76D3BDA14208B69207CF5E7D8A0A2111693082360D2A84FC7954';
wwv_flow_api.g_varchar2_table(1251) := '08012C17CC2000A8C2FE5B4FEF4A2B677B811223636CBD68231243A8A8EF83188610C0881C1A41AD6204CD28396FB37A9490CD77E835D6506B7C8AD41A695A6E529F6B1841B035600829710C2180EA6008C9E435F762046D221842FE3C0C2180E5811904';
wwv_flow_api.g_varchar2_table(1252) := '00B538A80A726DE6258C8CB1F5A28D480CA1A2BE0F6218420023D0AB08AAB80EA5F528219BEFD06B8CDD1A9F22B5469A969BD45B8C20D83E3084943886104075A686D04551CEC0DCB914684DD48EE33DAD7726A6DB03D6173DEF5099FC0646D0468321E4';
wwv_flow_api.g_varchar2_table(1253) := 'CFC31002580E984100B030FB6F3D7D3EF8C822D7665EC2C8185B2FDA88C4102AEAFB208621045091E7FFFEE53BD22A1F0D57711D4AEB514236DFA1D718BB353E456A8D342DD7D027B7FC278C20D84E30849438861040751E3C7BF58A885C10E50CCC9D4B';
wwv_flow_api.g_varchar2_table(1254) := '81D644ED38DED37A6762BA3D607DD1F31A8CA02D0143C89F872104303E98410050834B3DC5B599973032C6D68B362231848AFA3E8861080154E0F9BFEF5404959F873ECDA54709D97C875E63ECD6F814A935D2B4DC48C70882AD0743488963080154678B';
wwv_flow_api.g_varchar2_table(1255) := '0CA1C9AFDFFB6D9E5B6C111842FE3C0C218071C10C028085D87FCBE98B2272A71A746DE6258C8CB1F5A28D480CA1A2BE0F621842000BF0FCE7A28F869341E7A14F73E9514236DFA1D718BB353E456A8D342D770A4610C0140C21258E2104509D2D308430';
wwv_flow_api.g_varchar2_table(1256) := '82B6140C217F1E8610C078346D9B7A150E0060B3FF96D33B22F2B488DC615EE9C5F9EC6226789F31D4D48BC6EE7CD59F8B25C6A786DCF349FC1DDD7D0CD0D3F3BF2622BBC73EB0F754220B003A044690F79CABB80EA5F528219BEFD06B8CDD1A9F223546';
wwv_flow_api.g_varchar2_table(1257) := '5A943BB9E5418C2080989FFCF0812BADC8435DADEDFC0CB58276DECFED1D21D7E7A19EF1B2F3DE73E658CEF70CF9DB6DF7E65A2BB2FBC2938FF13C0AB68AAFEDED9E17918745390373E752A0B5513B8EF7B4DE99986E97AD2F935FC308DA7A3EF8D8DDE7';
wwv_flow_api.g_varchar2_table(1258) := '45E4E1F8F133E43A32F4FAD4CB2B3A7E38E85C3F0B1D3F9A8C7F8C765B44261F7AE03F380F616BA132080016E1A288DC2192B8C25BB19ED6DAB963EB456377BEDACFC512E35343EEF924FE8EEE3E06E8E9F953210450C0F39FBB2FAC08F29E7315D7A1B4';
wwv_flow_api.g_varchar2_table(1259) := '1E2564F31D7A8DB15BE353A4D648EBE4620401185021A4C49DEF15F2B79BEE0D1542B0956C60851046108850215494478510407DA80C028041ECBFF9F48E34D3AAA02ED695DE8AF5B4C6CE1D5B2F1ABBF3557F2E96189F1A72CF27F17774F731404FCF9F';
wwv_flow_api.g_varchar2_table(1260) := '0A21800CA111149D50DE73AEE23A94D61DE32BD56B8CDD1A9F22357ADAE4969FC70802C84185901277BE67C8DF6EBB375408C156B2211542935FC50882082A84FC79540801D483CA200018CAC569C547887585B7623DADB573C7D68BC6EE7CB59F8B25C6';
wwv_flow_api.g_varchar2_table(1261) := 'A786DCF349FC1DDD7D0CD0D3F3A7420820C1F393FB76A4ED7E4750744279CFB98AEB505A778CAF54AF31766B7C8AD4F6358C20002754082971E77B85FCEDA67B4385106C25D30AA189286760EE5C0AB4266AC7F19ED63B13D36D7B7DC10802152A84FC79';
wwv_flow_api.g_varchar2_table(1262) := '540801D483CA20002866FFCD9DEF0A12E7B3855CACA73576EED87AD1D89DAFFA73B1C4F8D4907B3E89BFA3BB8F017A7AFE540801443C3F893E1A2E7AC113E03DE72AAE4369DD31BE52BDC6D8ADF1295273F0032308600054082971E77B86FCEDB67B4385';
wwv_flow_api.g_varchar2_table(1263) := '106C255FDBDBBD22D3B5668D2A8426AFC608820C5408F9F3A81002581C2A8300600897828F87F35C8173B19ED6DAB963EB456377BEDACFC512E35343EEF924FE8EEE3E06E8E9F9532104D0E1F92B911124F139149D50DE73AEE23A94D61DE32BD56B8CDD';
wwv_flow_api.g_varchar2_table(1264) := '1A9F22B55404010C860A2125EE7CAF90BFDD746FA81082ADE4C1B357CFAF5985104610B8A042C89F478510C0E25019040045ECBFE9F40911F9B1EBAA6B69A9584F6BECDCB1F5A2B13B5FF5E76289F1A921F77C127F47771F03F4F4FCA91082AD273082B2';
wwv_flow_api.g_varchar2_table(1265) := 'E7509490CD4F68A958C9391EE88EF195EA35C66E8D6F2E4D6E7D254610C0A25021A4C49DEF19F2B7DBEE0D1542B095AC4985D0E4D5BB184150061542FE3C2A84008643651000947249C4F98CC0D252B19ED6DAB963EB456377BEDACFC512E35343EEF924';
wwv_flow_api.g_varchar2_table(1266) := 'FE8EEE3E06E8E9F95321045B4DAF22287B0E4509D9FC84968A959CE381EE185FA95E63ECD6F80E248C20804A5021A4C49DEF15F2B79BEE0D1542B095AC41851046100C625A21B4D748F8A01A721D197A7DEAE5151D3F1C74AE9F858E1F4DC63F46BB4D85';
wwv_flow_api.g_varchar2_table(1267) := '106C0B540601809BC3AAA02E9EABAEA5A5623DADB173C7D68BC6EE7CD59F8B25C6A786DCF349FC1DDD7D0CD0D3F3A74208B68EE71FBE6F479AE8A3E16664CFA128219B9FD052B192733CD01DE32BD56B8CBD3FBEC9ADE73082006A4385901277BE67C8DF';
wwv_flow_api.g_varchar2_table(1268) := '6EBB375408C156B2A21542935FC10882817CF0B1BB0F1FD3327B7C751E6443AE2343AF4FBDBCA2E38783CEF5B3D0F1A3C9F8C768B7A910824D87CA200028E1524FF15C6D2D2D15EB69AD9D3BB65E3476E7ABFD5C2C313E35E49E4FE2EFE8EE63809E9E3F';
wwv_flow_api.g_varchar2_table(1269) := '1542B0553CFFF0B422A8558C20F19C435142363FA1A56225E778A03BC657AAD7187B383E8C208091A04248893BDF2BE46F37DD1B2A84602B9956083D22CA19983B9702AD89DA71BCA7F5CEC419184130980F3D76F795267A234523E1836CC87564E8F5A9';
wwv_flow_api.g_varchar2_table(1270) := '975774FC70D0B97E163A7E3419FF18ED361542B0E9600601808BFD379E3E21D19393438A37E29CB11223636CBD68EC1842457D1FC43084602B383482521F0D67E981162564F3135A2A5632BE40778CAF54AF31F6030D23086064308494388610C0189C17';
wwv_flow_api.g_varchar2_table(1271) := '911F897206E6CEA5406BA2761CEF69BD3371F2CB184130900F752A82D4C76013B5B59C447BE8F5A9975774FC70D0B97E163A7E3419FF18ED3686106C32984100E0E552C58D381D577EC2C8185B2F1A3B865051DF07310C21D8689EFFBBC8089A31F81C8A';
wwv_flow_api.g_varchar2_table(1272) := '12B2F9092D152B195FA03BC657AA2F3EF6C9ADE71E63B3066009600829710C2180AA3C78F6EAB322B27BC4861046100CE62FA28F8613EB31D8446D2D27D11E7A7DEAE5151D3F1C74AE9F858E1F4DC63F46BB8D21049B0ADF19040059A65541F3EF0AB2AE';
wwv_flow_api.g_varchar2_table(1273) := 'D256CCABA5623DADB173C7D68BC6EE7CD59F8B25C6A786DCF349FC1DDD7D0CD0D3F3E73B8460E3088CA09273C5D2032D4AC8E627B454AC647C81EE185FA93E6CEC935B5F851104B06CF80E2125EE7CCF90BFDD766FF80E21D83ABEB6B71BBCE16689DF21';
wwv_flow_api.g_varchar2_table(1274) := '34F9A5DD3D9E5BC020FEE2B17BAE88B4D3EFBDEAA33E06DBA8ADE524DA43AF4FBDBCA2E38783CEF5B3D0F1A3C9F8C768B7F90E21D834A80C02000FE177055957672BE6D552B19ED6DAB963EB456377BEDACFC512E35343EEF924FE8EEE3E06E8E9F95321';
wwv_flow_api.g_varchar2_table(1275) := '041B45AF22A8E45CB1F4408B12B2F9092D152B195FA03BC657AA978F1D2308E088A04248893BDF2BE46F37DD1B2A8460EB38A20A218C2018CC5F3E76CFB42248BB228AAA3591E8BE4FA40CB93EF5F28A8E1F0E3AD7CF42C78F26E31FA3DDA64208360D2A';
wwv_flow_api.g_varchar2_table(1276) := '830020C9FE1BA655419EAB682EE6D552B19ED6D8B963EB456377BEEACFC512E35343EEF924FE8EEE3E06E8E9F95321046BCFF39FBD6F471AE5A3E1A4F05CB1F4408B12B2F9092D152B195FA03BC657AAFBC63EB9F5173082008E1A2A8494B8F33D43FE76';
wwv_flow_api.g_varchar2_table(1277) := 'DBBDA14208B68E2556084D7E11230806323782FAEBB7FB9AD0466D2D27D11E7A7DEAE5151D3F1C74AE9F858E1F4DC63F46BB4D85106C0A5406014086F6A02AC873F5CCC5BC5A2AD6D35A3B776CBD68ECCE57FBB958627C6AC83D9FC4DFD1DDC7003D3D7F';
wwv_flow_api.g_varchar2_table(1278) := '2A8460ADB9F9D9FB765A91ABD22A4690149E2B961E685142363FA1A56225E30B74C7F84AF5FCD831820056042A8494B8F3BD42FE76D3BDA14208B68E2555086104C1603EDC31824459BFDDD784266A6B3989F6D0EB532FAFE8F8E1A073FD2C74FC6832FE';
wwv_flow_api.g_varchar2_table(1279) := '31DA6D2A846053A03208004CF6DF706A47449E16913BCC67C396968A79B554ACA725C637B65E3476E7ABFE5C2C313E35E49ECF80FF730D3D3D7F2A8460EDB8F9D9F0A3E11A293C274AF5408B12B2F9092D152B195FA03BC657AAEBB9935B7F11230860D5';
wwv_flow_api.g_varchar2_table(1280) := 'A04248893BDF33E46FB7DD1B2A8460EB9856083D2522778A7206E6CEA5400B4E2799FC0246100CE4C36A45D001F1FAEDBE26B4515BCB49B4875E9F7A7945C70F079DEB67A1E34793F18FD16E532104EB0E95410090E2E2811124BD67C101D6D5D98A79B5';
wwv_flow_api.g_varchar2_table(1281) := '54ACA725C637B65E3476E7ABFD5C2C313E35E49ECF80FF730D3D3D7F2A8460ADB8F9B7D17704CD1EE225E744A91E685142363FA1A56225E30B74C7F84AF5BE861104B0A25021A4C49DEF15F2B79BEE0D1542B0754C2B84CE89C83551CEC0DCB91468F3D3';
wwv_flow_api.g_varchar2_table(1282) := '09230806635704C56DED8A18E774DA4DD4D67212EDA1D7A75E5ED1F1C341E7FA59E8F8D164FC63B4DB5408C1BA43651000A8ECBF7E5A15D4CCCCA0194D70A38554BCF90BF79118DFD87AD1D89DAFFA73B1C4F8D4907B3E03FECF35F4F4FCA91082952730';
wwv_flow_api.g_varchar2_table(1283) := '8294C7732385E744A91E685142363FA1A56225E30B74C7F84AF5030D2308600DA04248893BDF33E46FB7DD1B2A8460EBF8DADEEE5DD3E76577887206E6CEA58E3679D5598C2018C6471EBFE74ADB86D7BB19B9F5DB7D4D68A3B69693680FBD3EF5F28A8E';
wwv_flow_api.g_varchar2_table(1284) := '1F0E3AD7CF42C78F26E31FA3DDA64208D6152A8300C0E2A02AA877C56B831B2DA4E2CD5FB88FC4F8C6D68BC6EE7CB59F8B25C6A786DCF319F07FAEA1A7E74F8510AC34BD8A20E5F1DC1AFA3CB8A01E685142363FA1A56225E30B74C7F84AF5162308605D';
wwv_flow_api.g_varchar2_table(1285) := 'A04248893BDF2BE46F37DD1B2A8460EB78F0ECD5A7A6DF21B448851046100CE6238F1F540469D72671ACDFEE6B4213B5B59C447BE8F5A9975774FC70D0B97E163A7E3419FF18ED361542B0AE501904003D0EAB82A45315D4BBF235869EB84A5B31AF968A';
wwv_flow_api.g_varchar2_table(1286) := '958C6F6CBD68ECCE57FDB958627C6AC83D9F01FFE71A7A7AFE5408C1CA71F333F7ED48137E34DC21CAE3B931F47970413DD0A2846C7E424BC54AC617E88EF1F9F4C9ADBF841104B06E5021A4C49DEF19F2B7DBEE0D1542B0752C5021343987110403B9FC';
wwv_flow_api.g_varchar2_table(1287) := 'F83DFDEB9B7161C9ADDFEE6B421BB5B59C447BE8F5A9975774FC70D0B97E163A7E3419FF18ED361542B06E501904003DDAE0BB82E6622F4BD51357672BE6D552B192F18DAD178DDDF96A3F174B8C4F0DB9E733E0FF5C434FCF9F0A2158296E7E665A11D4';
wwv_flow_api.g_varchar2_table(1288) := '2A4690E88FE7D6D0E7C105F5408B12B2F9092D152B195FA03BC697D7318200D6142A8494B8F3BD42FE76D3BDA14208B68E81154218413098CBB38AA048A742486B8783CEF5B3D0F1A3C9F8C768B7A910827583CA200008B87161FE5D41EA45B62736869E';
wwv_flow_api.g_varchar2_table(1289) := 'B84A5B31AF968A958C6F31FD032272E2F04B205D6349C59CAFFA73B1C4B87DFF4F4B1FF07FAEA1A7E74F85101C39373FF3B21D9126AC082A788C37863E0F2EA8075A9490CD4F68A958C9F802DD313E5D9FDCFACB184100EB0E15424ADCF99E217FBBEDDE';
wwv_flow_api.g_varchar2_table(1290) := '5021045B474185D0E495184130909911D4D53CD726352FFACD7D4D68A3B69693680FBD3EF5F28A8E1F0E3AD7CF42C78F26E31FA3DDA64208D6052A830020E6F0BB82D48B6B4F6C0D3D7175B6625E2D152B19DF70FD9A885CBEFD63DF392FB377B2BAC692';
wwv_flow_api.g_varchar2_table(1291) := '8A395FEDE7628971FBFE9F963EE0FF5C434FCF9F0A2138526EFECDCB76A495AB226D581154F0186F0D7D1E5C500FB428219B9FD052B192F105BA637C7D1D23086043A04248893BDF2BE46F37DD1B2A8460EBE85408892867E0B485110483F9E8E3F75C69';
wwv_flow_api.g_varchar2_table(1292) := '2223489CD726352FFACD7D4D68A2B69693680FBD3EF5F28A8E1F0E3AD7CF42C78F26E31FA3DDA64208D605CC200038645A1574F150701B08038C022BE6D552B192F10DD32FDFFEB1EF3C2B22822164E556D4D3F3C7108223E1E6DFBC6C67FACED2171D3C';
wwv_flow_api.g_varchar2_table(1293) := '46A3076AC1635CBB7B185C500F34C738BD5A2A5632BE40778C6FAE6304016C1818424A1C4308A02A5343E8C2AC1D9D81184130988F762A825CEBB67161C9ADDFAEBE23D17D9F4819727DEAE5151D3F1C74AE9F858E1F4DC63F46BB8D2104EB0066100074';
wwv_flow_api.g_varchar2_table(1294) := '51BF2BC867200C300AAC98574BC54AC657A65F1391CB5D0143C8CAADA8A7E78F21044B25308266B4D27FA0163CC6B5BB87C105F540738CD3ABA56225E30B74C7F830820036160C21258E2104509507CF5EBDA21842939FC70882817C4CA90872ADDBC685';
wwv_flow_api.g_varchar2_table(1295) := '25B77EBBFA8E44F77D2265C8F5A9975774FC70D0B97E163A7E3419FF18ED368610AC3A98410030A7ED540585BAD3401860145831AF968A958CCFAF5FB9FDE30755415D3084ACDC8A7A7AFE1842B0146E7E5A318266B4D27FA0163CC6B5BB87C105F54073';
wwv_flow_api.g_varchar2_table(1296) := '8CD3ABA56225E30BF4E4F826B7FE0A4610C0268321A4C4318400AA121942184130988F252A825CEBB67161C9ADDFAEBE23D17D9F4819727DEAE5151D3F1C74AE9F858E1F4DC63F46BB8D2104AB0C6610008888C88DF3A7CECFBE2B48C56D200C300AAC98';
wwv_flow_api.g_varchar2_table(1297) := '574BC54AC6E7D383AAA02E1842566E453D3D7F0C2118954323A8558CA019ADF41FA8058F71EDEE6170413DD01CE3F46AA958C9F8025D1D1F4610C0968021A4C4318400AA323584EE7DF0EC559E5BC0203EFEF8A92B8D34C98A20D7BA6D5C5872EBB7ABEF';
wwv_flow_api.g_varchar2_table(1298) := '4874DF2752865C9F7A7945C70F079DEB67A1E34793F18FD16E6308C1AAD2B46DEA153D006C0B37CE9F7A5A44EE3C1412575235D4131B434FF46DC5BC5A2A56323E5B9FDCFE89EF645F28ECBFFBCCE13B837C6349C59CAFFA73B185FF9F963EE0FF5C434F';
wwv_flow_api.g_varchar2_table(1299) := 'CFFF9A88EC1EFBC0DE53892C8022D48AA0EC791825143CC6B5BB87C105F540738CD3ABA56225E30BF4C35F26B7BE1A230860DBF8C90F1FB8D2461FBDD3767E865A41DB32E4CD769BEDF350CF78ED79DF3C732CE77B86FCEDB67B73AD15D97DE1C9C7781E';
wwv_flow_api.g_varchar2_table(1300) := '050090E0E38F9F9ABFEE5756EEDC1AACE6181796DCFAEDEA3B12DDF7899421D7A75E5ED1F1C341E7FA59E8F8D164FC63B4DB2232F9D003FFC16B185819A80C02805955D09DD225710555433DB135F444DF56CCABA56225E3B3F54BAA1A418590955B514F';
wwv_flow_api.g_varchar2_table(1301) := 'CF9F0A21A8CACD4FBD6C475AE5A3E1B2E7619450F018D7EE1E0617D403CD314EAF968A958C2FD05BC10802D85EA81052E2CEF70AF9DB4DF7860A2100800C9F888C205156EEDC1AACE6181796DCFAEDEA3B12DDF7899421D7A75E5ED1F1C341E7FA59E8F8';
wwv_flow_api.g_varchar2_table(1302) := 'D164FC63B4DB5408C1AA8119040022AD61722C6C200C300AAC98574BC54AC6D7D727B77FE23B4F1B993D3084ACDC8A7A7AFE184250859B9FEA5404953F0EFB09058F71EDEE6170413DD01CE3F46AA958C9F8E63A4610C0968321A4C4318400008E844F7C';
wwv_flow_api.g_varchar2_table(1303) := 'FDC008D2D7E0B2EB929A635C5872EBB7ABEF4874DF2752865C9F7A7945C70F079DEB67A1E34793F18FD16E6308C12A811904B0E5DC78685A15346083CE67200C300AAC98574BC54AC617EAAEAAA02E1842566E453D3D7F0C2158889B7FAD7C345CF9E3B0';
wwv_flow_api.g_varchar2_table(1304) := '9F50F018D7EE1E0617D403CD314EAF968A958C4F6472EBAB1FC70802000C212D8E210400B054FE6A6A0485CB650886907D7DEAE5151D3F1C74AE9F858E1F4DC63F46BB8D2104AB02661000CC4D8EB20D3AF11B08038C022BE6D552B192F11DE87B255541';
wwv_flow_api.g_varchar2_table(1305) := '5D3084ACDC8A7A7AFE184230884323A88D3E1A4E063D0EFB09058F71EDEE6170413DD01CE3F46AA9986F7C935B7F15230800E6600829710C210080A5F057714550B05C866008D9D7A75E5ED1F1C341E7FA59E8F8D164FC63B4DB1842B00A6006016C3187';
wwv_flow_api.g_varchar2_table(1306) := '55415D7C1B7481EE331006180556CCABA56225E31B5015D40543C8CAADA8A7E78F210445F42A82BC8FB9EC791825143CC6B5BB87C105F540738CD3ABA562E9F1610401800A869012C710020018954F7E3DFC8EA026FA455F83CBAE4B6A8E7161C9ADDFAE';
wwv_flow_api.g_varchar2_table(1307) := 'BE23D17D9F4819727DEAE5151D3F1C74AE9F858E1F4DC63F46BB8D2104470D6610C036D3CA4543D759D8401860145831AF968AF9C6B777FB5F7DE76A9C590A8690955B514FCF1F43085CA81F0D27058FB9EC791825143CC6B5BB87C105F540738CD3ABA5';
wwv_flow_api.g_varchar2_table(1308) := '627A3E46100024C11052E218420000A3F049E33B829AE8177D0D2EBB2EA939C68525B77EBBFA8E44F77D2265C8F5A9975774FC70D0B97E163A7E3419FF18EDF6D4105AE84DC70043C10C02D8526EBCEED4AEF985E852B881282506C200A3C08A79B5542C';
wwv_flow_api.g_varchar2_table(1309) := '3FBE6A17680C212BB7A29E9E3F861024B9F9C997ED48AB184133BC8FB9EC791825143CC6B5BB87C105F540738CD3ABA562A136B9F5D7308200200F869012C7100200A88A591114B79BA81DE4945D97D41CE3C2925BBF5D7D47A2FB3E9132E4FAD4CB2B3A';
wwv_flow_api.g_varchar2_table(1310) := '7E38E85C3F0B1D3F9A8C7F8C765B44DEFFDE475FCCEB1E583A984100DBCB42DF1564E93E0361805160C5BC5A2A668FEF4735AA82BA600859B915F5F4FC318440E5E6273B154135CEA16C1F5142C1635CBB7B185C500F34C738BD5A2A76A0610401401118';
wwv_flow_api.g_varchar2_table(1311) := '424A1C430800A00A7F1D194133CCF5B289DA414ED97549CD312E2CB9F5DBD57724BAEF132943AE4FBDBCA2E38783CEF5B3D0F1A3C9F8C768B745E4610C2158369841005BC88DD79EDA1591B38158B25198D1D5500DA3C08A79B5544C1FDF652573613084';
wwv_flow_api.g_varchar2_table(1312) := 'ACDC8A7A7AFE18421070F3AF948F86AB710E65FB88120A1EE3DADDC3E0827AA039C6E9D5EC184610000C02434889630801002CC45F1B1F0D37C35C2F9BA81DE4945D97D41C6340B9F5DBD57724BAEF132943AE4FBDBCA2E38783CEF5B3D0F1A3C9F8C768';
wwv_flow_api.g_varchar2_table(1313) := 'B7318460D96006016C27978A36EE06E86AA8865160C5BC5A2A166ACFDCFEC9EF8CF6A57E1842566E453D3D7F0C2110E91A41ADF2D17035CEA16C1F5142C1635CBB7B185C500F34C738BD5A3F36B9F5D7318200603818424A1C4308006053798F6D000020';
wwv_flow_api.g_varchar2_table(1314) := '0049444154109FCA7C349CA537D12FFA1A5C765D52738C01E5D66F57DF91E8BE4FA40CB93EF5F28A8E1F0E3AD7CF42C78F26E31FA3DDC6108265821904B065045541251B7703743554C328B0625E2D159B6BD5BE2BC80243C8CAADA8A7E78F21B4E5F42A';
wwv_flow_api.g_varchar2_table(1315) := '82CA1F43C3B5201625143CC6B5BB87C105F540738CD3ABCD6318410050050C21258E21040050C4A78C8AA062F3A089DA414ED97549CD3106945BBF5D7D47A2FB3E9132E4FAD4CB2B3A7E38E85C3F0B1D3F9A8C7F8C761B430896056610C0F6713168956C';
wwv_flow_api.g_varchar2_table(1316) := 'DC0DD0D5500DA3C08A79B554AC95676EFFE47747AB0AEA822164E556D4D3F3C710DA526E7EE2653BD2461F0D27831E43C3B5201625143CC6B5BB87C105F540738CD3AB894C6EFD0D8C2000A807869012C71002007091AB082A360F9AA81DE4945D97D41C';
wwv_flow_api.g_varchar2_table(1317) := '6340B9F5DBD57724BAEF132943AE4FBDBCA2E38783CEF5B3D0F1A3C9F8C768B7318460196006016C11375E73CF091179652FE0DFB81BA4ABA11A468115F36A766C94EF0AB2C010B2722BEAE9F963086D19373FD1A908F23E5E6A9C43D93EA28482C7B876';
wwv_flow_api.g_varchar2_table(1318) := 'F730B8A01E688E71E6358C200018050C21258E21040090E4D35F3F7DA5E918413372EB6236AF89DA414ED97549CD3106945BBF5D7D47A2FB3E9132E4FAD4CB2B3A7E38E85C3F0B1D3F9A8C7F8C761B4308C606330860BBB824ADB1FB97DFB85B4857433D';
wwv_flow_api.g_varchar2_table(1319) := 'B13574CF26EA40AD1FBB26224BA90AEA822164E556D4D3F3C710DA126E7EE2A53B226D5811E47DBCD43887B27D4409058F71EDEE6170413DD01CE3B4358C200018150C21258E210400A0F2E96F9C9E56040DDBCCCFE635513BC829BB2EA939C68072EBB7';
wwv_flow_api.g_varchar2_table(1320) := 'AB6F916B5DD1799F9E32E4FAD4CB2B3A7E38E85C3F0B1D3F9A8C7F8C761B4308C6043308604B9856051DBCD3054348E72076F9F6BFFEEEB389ACD1C010B2722BEAE9F963086D38373FFED2CE7704450F06EFE3A5C63994EDC3313643D7EE1E0617D403CD';
wwv_flow_api.g_varchar2_table(1321) := '31CEBE861104004B014348896308010004FCCD37A61541870BDBB0CDFC6C5E13B5839CB2EB929A630C28B77E67FA9E88C88946E4475DD1351E2563C8F5A9975774FC70D0B97E163A7E3419FF18ED3686108C056610C0F67029686108695C9376B91F1117';
wwv_flow_api.g_varchar2_table(1322) := '832164E556D4D3F3C710DA500E8DA0B6FB1D41D183C1FB78A9710E65FB708CCDD0B5BB87C105F540738C73AE4D6E7D0D4610002C0F0C21258E21040020323582666F986DA4BBB00DDBCCCFE635513BC829BB2EA939C68072EBB7D1F7E47DF73F71FE7DF7';
wwv_flow_api.g_varchar2_table(1323) := '3FF1AC88EC6208E5F33084605DC00C02D8026EFC46A72AA80B8650CCE5DB3F753455415D3084ACDC8A7A7AFE18421B46581114FFFFA30783F7F152E31CCAF6E1189BA16B770F830BEAE57F438C20003812308494388610006C399FF946FF3B821AE92E6C';
wwv_flow_api.g_varchar2_table(1324) := 'C336F3B3794DD40E72CAAE4B6A8E31A0DCFA1DC527EFBDFF89C3E7ED1842FE3C0C215807308300B683F3F6269F11C86EFE2DA6ABA19ED81ABA6713759076A455415D3084ACDC8A7A7AFE18421BC2CD8FBD74475A09BF2348E2FF7FF460F03E5E6A9C43D9';
wwv_flow_api.g_varchar2_table(1325) := '3E1C633374EDEE617041DDFF379CDCFA5A8C2000383A308494388610006C299F892B823A3481386C333F9BD744ED20A7ECBAA4E61803CAADDFD3766004CDC010F2E76108C1AA831904B0E1DCF88D7B7644E4A2486A93CF086437FF16D3D5504F6C0DDDB3';
wwv_flow_api.g_varchar2_table(1326) := '895AA44D56A12AA80B8690955B514FCF1F4368CDB9F9B14E4550F6FF1F2564F3135A2AE6D58298636C86AEDD3D0C2EA8E7FF86184100B012600829710C2100D832FEB66304CD50D7B466DE1AB24E66F39AA81DE4945D97D41C634099F55B3582666008F9';
wwv_flow_api.g_varchar2_table(1327) := 'F330846095C10C02D87C2E8AC81D872D7393CF086437FF16D3D5504F6C0DDDB389EAD6C2EF545A113084ACDC8A7A7AFE18426B4A6004CDC8FEFFA3846C7E424BC5BC5A10738CCDD0B5BB87C10575FB6F881104002B05869012C71002802D616604B9D7BC';
wwv_flow_api.g_varchar2_table(1328) := '66DE72DFA724AF89DA414EBC92C7F13EBD1C6340465F93DF491841333084FC791842B0AA6006016C30377EFD9E1D69A755415DCC4D3E2390DDFC5B4C57433DB13574CF266A569BDCFEA9EF3EAD64AE041842566E453D3D7F0CA135E3E6478D8F8613CFFF';
wwv_flow_api.g_varchar2_table(1329) := '3F4AC8E627B454CCAB0531C7D80C5DBB7B185C50EFFF0D27B7BE0E230800560F0C21258E2104001BCE67A38A20F79AD7CC5BEEFB94E435513BC88957F238DEA797630C289227BF73FFF7DDCFDB3184FC791842B08A6006016C36075541D98DBBAE6E048A';
wwv_flow_api.g_varchar2_table(1330) := 'FA28D7D5504F6C0DDDB3899AD456B22AA80B8690955B514FCF1F43684DB8F9D1CC47C389E7FF1F2564F3135A2AE6D58298636C86AEDD3D0C2EA8CF358C20005869308494388610006C289F352A82DC6B5E336FB9EF5392D744ED20275EC9E3789F5E8E31';
wwv_flow_api.g_varchar2_table(1331) := 'A0A93CF9ED0223680686903F0F4308560DCC2080CD667E7128D974DC2E43E891DB3FBDBA55415D3084ACDC8A7A7AFE18422B4E6004CD18FCFF8F12B2F9092D15F36A41CC313643D7EE1E0617D45B99DCFABAAFF3C20400561E0C21258E2104001BC6DF65';
wwv_flow_api.g_varchar2_table(1332) := '2A82DC6B5E336FB9EF5392D744ED20275EC9E3789F5E8E3EA04146D00C0C217F1E8610AC129841001BCA8D5FBFE7BC88DC1988259B8EDB63085D56D4950543C8CAADA8A7E78F21B4A2DCBC5CF8D170961E685142363FA1A5625E2D8839C666E8DADDC3E0';
wwv_flow_api.g_varchar2_table(1333) := '607D72EB43184100B03E600829710C2100D810FECE5911E45EF39A79CB7D9F92BC266A0739F14A1EC7FBF4724261F25B0B1841333084FC791842B02A6006016C2EFA479F956C3A6EBE21B477FBDF7CF7AA99BBA2600859B915F5F4FC3184568C9B97077E';
wwv_flow_api.g_varchar2_table(1334) := '349CA5075A9490CD4F68A998570B628EB119BA76F73058AC630401C05A8221A4C431840060CD29AD0872AF79CDBCE5BE4F495E13B5839C78258FE37D7A3907421523680686903F0F43085601CC20800DE4C6AFDD735EDAA82AA84BC9A6E3661B422BFF5D';
wwv_flow_api.g_varchar2_table(1335) := '41161842566E453D3D7F0CA1152130826694FC9F2D3DD0A2846C7E424BC5BC5A10738CCDD0B5BB8741B78E1104006B0D869012C710028035E5E16F8646D00CFF7A95C969E62DF77D4AF29AA81DE4C42B791CEF1369558DA0191842FE3C0C21386A308300';
wwv_flow_api.g_varchar2_table(1336) := '3693039323BB89E8D04436D5105ACBAAA02E1842566E453D3D7F0CA123E6E6472A7D349CA5075A9490CD4F68A998570B628EB119BA76F73098D527B79EC7080280F507434889630801C09AF1F037CF1C7C349CB170FAD7AB4C4E336FB9EF5392D744ED20';
wwv_flow_api.g_varchar2_table(1337) := '275EC9E3789FA93679CFCBEB1B41333084FC79184270946006016C18377EED9EDDE0BB82B29B880E4D64130DA12B66648DC010B2722BEAE9F963081D11373F52F9A3E12C3DD0A2846C7E424BC5BC5A10738CCDD0B5BB874153C70802808D024348896308';
wwv_flow_api.g_varchar2_table(1338) := '01C09A70656A041DAEDCC6C2E95FAF3239CDBCE5BE4F495E13B5839C78258FE33D463582666008F9F33084E0A8C00C02D8345AE5A3CFB29B880E4D64930CA1676EFFCC7737C20C120CA1446E453D3D7F0CA125131841334AFE9FA57AA04509D9FC84968A';
wwv_flow_api.g_varchar2_table(1339) := '79B520E6189BA16B770F833D3082006023C11052E2184200B0E2CC8CA0789DC110121191C9C5251841333084FC79184270146006016C10377EF59E5D11393B6C13D1A1896C8A21B4B6DF1564812164E556D4D3F3C7105A12373F3CF247C3597AA04509D9';
wwv_flow_api.g_varchar2_table(1340) := 'FC84968A79B520E6189BA16B770F83874C6EBD801104009B0B869012C710028015657258117440BCCE6CB921B45423680686903F0F4308960D6610C066313739066D223A349175378436AA2AA80B8690955B514FCF1F4368646E7E78491F0D67E9811625';
wwv_flow_api.g_varchar2_table(1341) := '64F3135A2AE6D58298636C86AEDD3D0C620401C0768021A4C431840060C598F42A820E88D7992D358426BF790446D00C0C217F1E86102C13CC20800DE1C6ABEF392122670371D026A2431359674368E3AA82BA600859B915F5F4FC3184462230826694FC';
wwv_flow_api.g_varchar2_table(1342) := 'DF6AE981162564F3135A2AE6D58298636C86AEDD7D0A4610006C1518424A1C4308005604BB22286E4F576E63E1F4AF57999C66DE72DFA724AF89DA414EBC921FAD11340343C89F872104CB0233086073B8E4DE30CC6E223A3491753484AEDDFEB79B5915';
wwv_flow_api.g_varchar2_table(1343) := 'D40543C8CAADA8A7E78F2154999B7F79441F0D67E981162564F3135A2AE6D58298636C86AEDC7D72EBEB31820060FBC01052E2CB3184CE090080C1E7BE79E64AD3318266E4D6992D318426EF5E0123680686903F0F430896016610C00630AD0A3A7822E4';
wwv_flow_api.g_varchar2_table(1344) := 'DD30CC6E223A34917533842EC7199B0A8690955B514FCF1F43A81237FFF2DE1D91F6E83E1ACED2032D4AC8E627B454CCAB0531C7D80CBD73778C2000D86A308494F8F886D057FEF70FEEE7DA03003D3ED7A9082A5B87A62BB7B170FAD7AB4C4E336FB9EF';
wwv_flow_api.g_varchar2_table(1345) := '5392D744ED20A7592923680686903F0F4308C60633086033083FFACCBB6198DD44746822EB62085DDB263348308412B915F5F4FC318416E4E65FDCDBF968B8C4FFF8A8F4408B12B2F9092D15F36A41CC3136436F31820000443084F4F8B8869034220F63';
wwv_flow_api.g_varchar2_table(1346) := '08014097BF572A82CAD6A1E9CA6D2C9CFEF52A93D3CC5BEEFB94E43551FB80C9BB5EFEBD955D333184FC79184230269841006BCE8D57DFB3234A79B47BC330BB89E8D044D6C110BA7CFBDF7EF7592D7D93C110B2722BEAE9F963080DE4D0086ABB1F0D97';
wwv_flow_api.g_varchar2_table(1347) := 'F81F1F951E685142363FA1A5625E2D8839C6D6D727B7BD012308006006869012C710028025F1F7898AA0B27568BA721B0B67AE6FF7B19A79CB7D9F92BC70B95C6923680686903F0F4308C602330860DD69E56222365C4BC5CC4D442350D447B9AE8642F1';
wwv_flow_api.g_varchar2_table(1348) := '9A48BB5555415D3084ACDC8A7A7AFE184285841541F1DF37F13F3E2A5D1B9FD12CD25231AF16C41C639BEB184100000A18424A1C43080046E61F1C154165EBD074E53616CE5CDFEE6335F396FB3E257907BFAC8511340343C89F87210463801904B0C6DC';
wwv_flow_api.g_varchar2_table(1349) := 'F8957B7644E4627E0370A0968A999B8846A0A88F725D0DCDC5AFDEFED9EF6D5D5550170C212BB7A29E9E3F8690939E113423F8FB26FEC747A56BE3339A455A2AE6D58298636C1841000049308494388610008CC43F7CCB5F1154B60E4D576E63E1CCF5ED';
wwv_flow_api.g_varchar2_table(1350) := '3E56336FB9EFE3CF9BBC738D8CA0191842FE3C0C21A80D6610C07A735144EE10F16C000ED4523173A3D40814F551AEABA10331FC4EA52D0543C8CAADA8A7E78F2194E1E687EEDD9156318266047FDFC4FFF8A8746D7C46B3484BC5BC5A104B8E6D72DB1B';
wwv_flow_api.g_varchar2_table(1351) := '3182000072600829710C2100A8CC3FCE8CA0CE42E15F433C39D395DB5838737DBB8FD5CC5BEEFBE4F326EFBC6FFD8CA0191842FE3C0C21A8096610C07A137E445C760370A0968A991BA546A0A88F725D094D6EFFECF79ED6D2B7110C212BB7A29E9E3F86';
wwv_flow_api.g_varchar2_table(1352) := '90C1CD0F752A82DC8FA1C4FFF8A8746D7C46B3484BC5BC5A1053C7861104005000869012C71002804ACC8CA0C3F5A0B350F8D7104FCE74E53616CE5CDFEE637526E2BE8F9D3779C71A1B41333084FC791842500BCC208035E5C62FDF737EBAB11C92DD00';
wwv_flow_api.g_varchar2_table(1353) := '1CA8A562E646A91128EAA35C8F42540545600859B915F5F4FC3184226E7E50F96838F76328F13F3E2A5D1B9FD12CD25231AF16C482840B18410000E5600829710C210058907FFAD64F1F7E349C74D783CE42E15F433C39D395DB5838737DBB8FD59988FB';
wwv_flow_api.g_varchar2_table(1354) := '3E7D36C2089A8121E4CFC310821A600601AC2DED81C931680370A0968A991BA546A0A88F727D1A9ADCFE77540569600859B915F5F4FC3184A61C1A41ADF2D170EEC750E27F7C54BA363EA359A4A5625E2D88B52222176E7BD3D7AF243201002001869012';
wwv_flow_api.g_varchar2_table(1355) := 'C710028081CC8CA07895697ABF94AC219E9CE9CA6D2C9CB9BEDDC7EA4CC47D9F3993B76F9011340343C89F8721048B821904B086DCF8E5BBCF8BC89D8336B9AD98574BC5CC8D522350D447B9DE8AB0B9990043C8CAADA8A7E7BFF58650AF22A8FC6FD86F';
wwv_flow_api.g_varchar2_table(1356) := '94FC7FC6D6B5F119CD222D15F36AF31846100040053084943886100014F2CFBD8A20630DEDC8FE35C493335DB98D8533D7B7FB589D89B8EFB3A146D00C0C217F1E86102C026610C07AD2F9E8B3019BDC56CCABA562E646A91128EAA348DF3BFE77DFBBAA';
wwv_flow_api.g_varchar2_table(1357) := '46E0100C212BB7A29E9EFFD61A42CFFDF9BD3B6D1B7D349C0CFA1BF61B25FF9FB1756D7C46B3484BC5BC9AC885DBDEFC0D8C2000804A600829710C210070F2CF871541211842229B6E04CDC010F2E76108C150308300D68C1BBF74F7AEB47267A80ED8E4';
wwv_flow_api.g_varchar2_table(1358) := 'B6625E2D1533374A8D40511F6E9DEF0A72822164E556D4D3F3DF3A43E8B93F9F5704A9CB8257536389FFF151E9DAF88C6691968AE5358C20008011C01052E218420090A15F1114B2E586D0E46D5B6004CDC010F2E76108C110308300D60FE3BB82066C72';
wwv_flow_api.g_varchar2_table(1359) := '5B31AF968A991BA546A0A88FACBE77FC61AA824AC010B2722BEAE9F96F8D21D43582661A8690F4F16AA998AD610401008C08869012C7100200837F898CA019FDF3DF58433BB27F0DF1E44C576E63E1CCF5ED3E566722CA7DB6CA089A8121E4CFC3108252';
wwv_flow_api.g_varchar2_table(1360) := '308300D6881BBF74F7AE889C3D146A6C725B31AF968A991BA546A0A88FA44E55D0003084ACDC8A7A7AFE1B6F083DF7DFFB46D00C0C21E9E3D552B1BE86110400B0043084943886100044FC8BF1D17033FAE7BFB1867664FF1AE2C939F8ED880CA1C95BB7';
wwv_flow_api.g_varchar2_table(1361) := 'D0089A8121E4CFC3108212308300D68BBEC9516393DB8A79B554CCDC283502457DA8EA3354050D0743C8CAADA8A7E7BFB186D0A111D4F68DA0191842D2C7ABA56273EDC26D6FC1080200581618424A1C430800A67C3EF3D17096BE2586D0561B41333084';
wwv_flow_api.g_varchar2_table(1362) := 'FC791842E0053308604DB8F18B779F90B65315D4A5C626B715F36AA998B9516A048AFAE82954052D088690955B514FCF7FE30CA15E455062FE1842D2C7ABA5622D461000C0518021A4C4318400B69ECF1B1541FECD70630DEDC8B9BECBD6A183DF966408';
wwv_flow_api.g_varchar2_table(1363) := '4DDE8211740886903F0F43083C600601AC0FC677054DA9B1C96DC5BC5A2A668EDB0814F571F8DB33C7AF7C8FCDCE0A600859B915F5F4FC37C6107AEECFEEDD9156F968B8C4FC3184A48F57D363176E7B2B461000C0518121A4C4318400B696CF5F4D5704';
wwv_flow_api.g_varchar2_table(1364) := 'F937C38D35B423E7FA2E5B870E7E1BD9109ABCE5BEEFB276456008F9F3308420076610C01A70E317EF3E117CA1A27BC371C026B715F36AA998396E2350D48708554175C110B2722BEAE9F9AFBD21F4DC9F752A820AE78F21247DBC5A18C3080200580130';
wwv_flow_api.g_varchar2_table(1365) := '8494388610C0D6F185AB3F7DA51179283E9173E7B99D67ACA11D39D777D93A74F0DB4886D0E4CD2FC308B2C010F2E76108410ACC2080F5C0F15D41963E6093DB8A79B554CC1CB711F0F74155D008600859B915F5F4FCD7D6100A8CA01985F3C710923E5E';
wwv_flow_api.g_varchar2_table(1366) := 'ED008C20008015024348896308016C0D5FE8540435D23F9173E7B99D67ACA11D39D777D93A74F05B65430823C80186903F0F43082C308300569C1BBF70F78EB4724E0DBA371C076C725B31AF968A99E33602BE3ED8F01C090C212BB7A29E9EFFDA1942CF';
wwv_flow_api.g_varchar2_table(1367) := 'FDA9F1D170523E7F0C21E9E3D32EDCF6368C20008055034348896308016C3C5F9C55047568A47F22E7CE733BCF58433B72AEEFB275E8E0B74A86D0E44D18416E3084FC791842A0811904B0FA5C14913B8A3616557DC026B715F36AA998396E2390EEE39A';
wwv_flow_api.g_varchar2_table(1368) := '885C5632A0121842566E453D3DFFB531849EFBD3CC47C349F9FC3184A44F5AC30802005861308494388610C0C6F2C5B822A843A388B9F3DCCE33D6D08E9CEBBB6C1D3AF86D4143082368001842FE3C0C2188C10C0258616EFCC2DD3B5333E880928D4555';
wwv_flow_api.g_varchar2_table(1369) := '1FB0C96DC5BC5A2A668EDB08D87D5C3E3EF9DEB34A142A822164E556D4D3F35F7943E8B93FDDDD1169F31F0D67E989F96308491F5DC30802005803308494388610C0C6F125AB22286E0F585FF43C630DEDC8B9BECBD6A183DF061A4218410B8021E4CFC3';
wwv_flow_api.g_varchar2_table(1370) := '10822E984100ABCD41555097928D45551FB0C96DC5BC5A2A668EDB08F4E56BD25215B42C3084ACDC8A7A7AFE2B6B083DF727BB9D8F868B265169FE1842D227D42EDCF6768C20008075014348896308016C0C5FBA7A365D1114B707AC2F7A9EB18676E45C';
wwv_flow_api.g_varchar2_table(1371) := 'DF65EBD0C16F8586D0E48D18410B8321E4CFC3108219984100AB4C2BFAA25AB2B1A8EA0336B9AD98574BC5CC711B8150BE72FC7354052D130C212BB7A29E9EFFCA1942CFFDC9AEF2D170D1242ACD1F4348FA1C68184100006B08869012C71002587BBE7C';
wwv_flow_api.g_varchar2_table(1372) := 'F5ECB422A87726A6DB03D6173DCF58433B72AEEFB275E8E037A721841154110C217F1E8610086610C0EA72E355779F17913B8B36108BF4019BDC56CCABA562E6B88DC05CA62AE808C010B2722BEAE9F9AF8C2114184133DADE2F6A33A927E68F21243118';
wwv_flow_api.g_varchar2_table(1373) := '4100006B0C869012C71002585BBEDCAB08EA9D89E9F680F545CF33D6D08E9CEBBB6C1D9ACED618E0549EBC0123A83A1842FE3C0C21C00C02585D2E1DFE56B28158A40FD8E4B6625E2D1533C76D045A991CFFDCF79ED68330361842566E453D3DFF233784';
wwv_flow_api.g_varchar2_table(1374) := '9EFBE3EE47C345B4BD5FD466524FCC1F43E8F0B70BB7BD0323080060DDC11052E21842006BC7BF768CA019F15AE63A6707AC2F7A9EB18676E45CDF65EBD074B6FA003182460443C89F8721B4DD600601AC208755415D4A36108BF4019BDC56CCABA562E6';
wwv_flow_api.g_varchar2_table(1375) := 'B8D5C02581230543C8CAADA8A7E77F6486D0737FAC7D345C44DBFB456D26F5C4FC31843082000036090C21258E2104B036CC8C20FB9CED9D89E9F680F545CF33D6D08E9CEBBB6C1D9ACE364C98BC1E2368743084FC791842DB0B6610C02A32DA770559FA';
wwv_flow_api.g_varchar2_table(1376) := '804D6E2BE6D5523173DC416072FCEFA90A5A053084ACDC8A7A7AFE4B378402236846763E5142363FA3CD42DE7CF76328F13F3E2A5D1B9FC885DBDE89110400B069600829710C218095E72B5145907DCEF6CEC4747BC0FAA2E7196B6847CEF55DB60E4D67';
wwv_flow_api.g_varchar2_table(1377) := '7B708311B4443084FC791842DB096610C08A71E3DCDDBB2272B668A3B08A3E6093DB8A79B554CC1CF76180AAA0150243C8CAADA8A7E7BF3443E8B93FF27C349CA54709D9FC8C360B79F3DD8FA1C4FFF8A8F4707C184100001B0C869012C710025859BEB2';
wwv_flow_api.g_varchar2_table(1378) := 'A75704D9E76CEF4C4CB707AC2F7A5EBCEAF413737D97AD438D60041D0D1842FE3C0CA1ED03330860F558C2770559FA804D6E2BE6D5523173DCED1E5541AB078690955B514FCF7F7443E8B93F2AF968384B8F12B2F9196D16F2E6BB1F4389FFF151E907DA';
wwv_flow_api.g_varchar2_table(1379) := '85DBDEF94D8C2000800D07434889630801AC1C5F9D1A41D1E974887DCEF6CEC4747BC0FAA2E7C5AB4E3F31D777C13A34B9F0528CA0A30243C89F8721B45D600601AC10375E79F75D227236104B360AABE80336B9AD98574BC5F47CAA8256140C212BB7A2';
wwv_flow_api.g_varchar2_table(1380) := '9E9EFF6886506004CD281977A04709D9FC8C360B79F3DD8FA1C4FFF868748C2000802D02434889630801AC0C5F8D2B82C2D3E910FB9CED9D89E9F680F545CF8B579D7E62AE6FC73A34B9F0D2EFB0961C311842FE3C0CA1ED01330860B5B858B471399A3E';
wwv_flow_api.g_varchar2_table(1381) := '6093DB8A79B5542CD4F68EFFC3F7AF2A59B022600859B915F5F4FCAB1B42CFFDE1221F0D67E95142363FA3CD42DE7CF76328F13F5EAE7EE1B677610401006C1B18424A1C4308E0C839AC089AD244BFE4CEBFB9D63B13D3ED01EB8B9E17AF3AFDC45CDF89';
wwv_flow_api.g_varchar2_table(1382) := '7568721E236865C010F2E761086D079841002BC28D57DE7DE2F0C954C9C6E568FA804D6E2BE6D552B1B94655D01A802164E556D4D3F3AF66083DF787353E1ACED2A3846C7E469B85BCF9EEC750E27FBC1C1D230800608BC11052E218420047C6237B67AF';
wwv_flow_api.g_varchar2_table(1383) := '341D23684613FD923BFFE65AEF4C4CB707AC2F7A5EBCEAF413737D2BC7C2085A413084FC7918429B0F6610C0EA109A1C251B97A3E90336B9AD98574BC55AF9115541EB038690955B514FCF7F6143E8B90FD4FC68384B8F12B2F9196D16F2E6BB1F4389FF';
wwv_flow_api.g_varchar2_table(1384) := 'F1B8FA85DBDE8D110400B0ED600829710C2180A5F348A7222879FE35513B8EF7B4DE99986E0F585FF4BC78D5E927E6FAEEB4270F6104AD2C1842FEBC110DA1C17B13500FCC20801520A80AEA52B271399A3E6093DB8A79353B7659CD83950543C8CAADA8';
wwv_flow_api.g_varchar2_table(1385) := 'A7E73FD8103A3482DA9A1F0D67E95142363FA3CD42DE7CF76328F13F1E47C70802008043308494388610C0D2F837A5222879FE35513B8EF7B4DE99986E0F585FF4BC78D5E927E6FA6E3082D6020C217FDE4886D0550CA1A30733086015685BFB4943C9C6';
wwv_flow_api.g_varchar2_table(1386) := 'E568FA804D6E2BE6D5FAB1678EFFE3F7D9145D433084ACDC8A7A7AFEC58650AF22A8E49883F528219B9FD166216FBEFB3194F81FD7D531820000A007869012C71002189D7F4B540425CFBF266AC7F19ED63B13D3ED01EB8B9E17AF3AFDC444DF93D76104';
wwv_flow_api.g_varchar2_table(1387) := 'AD0D1842FEBC110CA13B44E4CA7B1F7DF18EC09181190470C45CFFF997EC88C8457DC7724AC9C6E568FA804D6E2BE6D5C218DF15B4C6600859B915F5F4FCDD8690FAD1705278CCC17A9490CDCF68B39037DFFD184AFC8FEBE8176EFB4D8C200000D0C110';
wwv_flow_api.g_varchar2_table(1388) := '52E2184200A3F1B5BDDD2B8D34C98AA0E4F9D744ED38DED37A6762BA3D607DD1F3E255A79FA8F48D11B4866008F9F34630845E24225F1538323083008E9E8BED813B6EEC584E29D9B81C4D1FB0C96DC5BCDA0154056D001842566E453D3DFFAC21F4DCA5';
wwv_flow_api.g_varchar2_table(1389) := 'DD1D6915236846C93107EB5142363FA3CD42DE7CF76328F13F5E4CC7080200802C18424A1C4308602CEE12E50CCC9D4B81D644ED38DED37A6762BA3D607DD1F38C3976E4CEAF93D76204AD2D1842FEBC110CA1B3EF7DF4C5BCE1FB88C00C02387A2E4AB0';
wwv_flow_api.g_varchar2_table(1390) := '0F9ADACD746AA3EA890D50F7266AA14655D0C6802164E556D4D3F3370DA1E72E752A822AFE0D87E95142363FA3CD42DE7CF7FC13FFE3613A46100000B8C11052E218420063B02B223F12E50CCC9D4B81D644ED38DED37A6762BA3D607DD1F38C3976E406';
wwv_flow_api.g_varchar2_table(1391) := '236823C010F2E78D6008BDFFBD8FBEF89CC0D2C10C023842AE3FF892F3D3CD5991601F34B59BE9D446D5131BA0EE4D54B7768D12D2CD0243C8CAADA8A7E7DF33849E7BBFF2D17015FF86C3F428219B9FD166216FBE7BFE89FF71997EE1B68B1841000050';
wwv_flow_api.g_varchar2_table(1392) := '06869012C71002A8CA8367AF3E8B2114FC32790D46D0C68021E4CF1BC110BAF2DE475F7C4260A96006011C2D07152F9D4DC1F93E686A37D3A98DAA273640DD9BA82EEDF2F17FFAFEB34A06AC311842566E453D3DFF4343E8D0086A958F86ABF8371CA647';
wwv_flow_api.g_varchar2_table(1393) := '09D9FC8C360B79F3DDF34FFC8F7D3A461000000C06434889630801540543E8308E11B4816008F9F32A1B42778808AF83970C6610C01171FDC1979C17913B0F85CE66E17C1F34B59BE9D446D5131BA0EE4DD4A4764D442E2B11D8003084ACDC8A7A7AFE77';
wwv_flow_api.g_varchar2_table(1394) := '1C5403B5F38AA0F23E7CDA427A9490CDCF68B39037DF3DFFC4FF38AD63040100C0C2600829710C2180AA6008C9E435F762046D2A1842FEBCCA86D0D9F73EFAE28B024B033308E0A86895EFC169955FB7DB10A22A68C3C110B2722BEAE9F9DF716004698B';
wwv_flow_api.g_varchar2_table(1395) := '4F906753923F588F12B2F9196D16F2E6BBE79FF81FEBFA85DBDE831104000075C01052E218420055D9624368F21B18411B0F86903FAFB221F4113E2E6E796006011C01D7FFD34B7645E4CEDCA6E37C1F34B59BE9D446D5131BA0EE4D5455A32A680D94CC';
wwv_flow_api.g_varchar2_table(1396) := '5D00002000494441540BC010B2722BEAAEF96B8B8F96E78C958CCFA54709D9FC8C360B79F3DDF34FFC8F431D23080000AA8321A4C4318400AAB285861046D0168121E4CFAB6C08F1DA78496006011C0DF3AAA0CCA6E37C1F34B59BE9D446D5131BA0EE4D';
wwv_flow_api.g_varchar2_table(1397) := 'D4409B1CFF67AA82B6050C212BB7A2EE9ABFB6F86879CE58C9F85C7A9490CDCF68B39037DF3DFFC4FFF840C708020080D1C01052E218420055E918421351CEC0DCB914684DD48EE33DAD7726A6DB03D6978E3EF9F57BBFCDB9BD656008F9F32A1A427C5C';
wwv_flow_api.g_varchar2_table(1398) := 'DC9268DAD406330054675A15F4AD5E20B3621EFEAABD0AEB2565B451F5C6D0137DE8B19F3AFE2FDF7F5ACD858D65FFDD67AE88C84322351E43CE57FDB958E2B1AF86C63C576AE8AEF96B8B8F96E78C958CCFA54709D9FC8C360B79F3DDF357FFC7176EFB';
wwv_flow_api.g_varchar2_table(1399) := '2D8C200000189F9FFCF0812BEDEC79D594B6F333D40ADACA1642FA3E6DB6CF433DF3BE8FFC7B3532C772BE67C8DF6EE39B0B2F3CF918D779D82ABEB6B77BF81A2E3E0373E752A019EFA7B2EFD33B13D3EDF2F565F26B18415BCD071FBB7B4744AEB6222F';
wwv_flow_api.g_varchar2_table(1400) := 'EA3E40865C47865E9F7A7945C70F079DEB67A1E34793F18F31685F1391131F7AE03F7863F888501904B07CFADF1524F9D5FCF0D7EDA8109A60046D27540859B91575D7FCB5C547CB73C64AC6E7D2A3846C7E469B85BCF9EEF9F7FEC71FC5080200806541';
wwv_flow_api.g_varchar2_table(1401) := '85901277BE57C8DF6EE21B2A8460EB78F0ECD5F31B5821841104540815E455AA10BA83AF8B181FCC20802572FDE75E72425A396B2664361DE7FBA0A9DD4CA736AADEDB004DE4AA31DD3083AD0043C8CAADA8BBE6AF2D3E5A9E3356323E971E2564F333DA';
wwv_flow_api.g_varchar2_table(1402) := '2CE4CD77CFFFF07F3CB9EDB7BE49D93B00002C150C21258E2104509D0D33843082E0100C217F5E2543E8A1F73EFAE2BB044603330860B91C981CEE4DC4BE36DF074DED663AB551F536B849E706B147A80A020C212BB7A2EE9ABFB6F86879CE58C9F85C7A';
wwv_flow_api.g_varchar2_table(1403) := '9490CDCF68B39037DF3DFF7672DB6F7F93179400007024600829710C2180EA6C88218411043D3084FC79950C21AA834604330860495CFFB9979C90EE6776BB3711FBDA7C1F34B59BE9D446D55B434FCE9F451F44308412B91575D7FCB5C547CB73C64AC6';
wwv_flow_api.g_varchar2_table(1404) := 'E7D2A3846C7E469B85BCF9F9F94F6EFBED6FF1821200008E140C21258E2104509D35378426BF8A1104061842FEBC0A86D0D9F73DFAE25D8151C00C025816ADF2D167F94D44539BEF83A676339DDAA87A6BE8AAB677FCF3DFBFAA64C296822164E556D45D';
wwv_flow_api.g_varchar2_table(1405) := 'F3D7161F2DCF192B199F4B8F12B2F9196D16F2E6DB7D60040100C0CA8021A4C4318400AAB3A68610461064C110F2E7553084F8FA8891C00C025802D71F78C98E883C54B88998DD749CEF83A676339DDAA87A6BE83D8DC51E7A600859B91575D7FCB5C547';
wwv_flow_api.g_varchar2_table(1406) := 'CB73C64AC6E7D2A3846C7E469B85BCF97D6D72DBEF60040100C06A8121A4C4318400AAB36686D0E4D51841E00443C89FB7A0214475D0486006012C87F99786FB3611D3316D4F76FD0D21AA82C00443C8CAADA8BBE6AF2D3E5A9E3356323E971E2564F333';
wwv_flow_api.g_varchar2_table(1407) := 'DA2CE4CD9F6B18410000B0B2600829710C2180EAAC8921841104C56008F9F3163484E67BA9500DCC208091995605850B9877633115D3F664D7DB10E2BB8220098690955B5177CD5F5B7CB43C67AC647C2E3D4AC8E667B459C89BDF62040100C0EA8321A4';
wwv_flow_api.g_varchar2_table(1408) := 'C4318400AAB3E286D0E45776318260181842FEBC050CA157BEEFD1179F50D26101308300C6A6958B227287A26BB93699FCF93E686A37D3A98DAAB79AFECCF12F7CFFAB7126400C8690955B5177CD5F5B7CB43C67AC647C2E3D4AC8E667B459289F3FB9ED';
wwv_flow_api.g_varchar2_table(1409) := 'BD18410000B01E600829710C2180EAACA8218411040B8321E4CF5BC010E2EB242A8319043022D77F765A1554692332973FDF074DED663AB551F536D659DCC10D8690955B5177CD5F5B7CB43C67AC647C2E3D4AC8E667B459C8CEC708020080B503434889';
wwv_flow_api.g_varchar2_table(1410) := '6308015467C50CA1C92F630441253084FC79030DA173EF7BF4C53B4A2A0C043308605CCE1D560555DA88CCE5CFF74153BB994E6D54BD9DDD3C73FC0BDFBFA2DC03C00443C8CAADA8BBE6AF2D3E5A9E3356323E971E2564F333DA2CD48F61040100C0DA82';
wwv_flow_api.g_varchar2_table(1411) := '21A4C4318400AAB32286104610540743C89F37C010BAA339D85B854A6006018C4B58F152692332973FDF074DED663AB551F556A80A82A1600859B91575D7FCB5C547CB73C64AC6E7D2A3846C7E469B85E6B1C96DEFC308020080F50643488963080154E7';
wwv_flow_api.g_varchar2_table(1412) := '880DA1C92F6104C1486008F9F30618429CB71569DAD46631000CE6FA2B5E725E1A79580D7A574D4B4BC5B48B8EF62AAC9794D1C6D1AF1DFFE213947BC242ECBFFBCC15117948A4F0F1ACC69CAFFA73B1C4635F0DE5CF9550283CE6C2BA6BFEDAE2A3E539';
wwv_flow_api.g_varchar2_table(1413) := '6325E373E95142363FA31D3039F69F318200006073F8C90F1FB8D2CE9E574D693B3F43ADA0AD6C3BA4EFD366FB3CD433EFFBC8BFDF23732CE77B86FCED36BEB9F0C2938FF14909B0557C6D6FF7F0355C7C06E6CEA5406BA3761C9F33F9C5DD3D9EB7C3E8';
wwv_flow_api.g_varchar2_table(1414) := '7CF0B1BB7744E46A2BF2A2EE0371C87564E8F5A9975774FC70D0B97E163A7E3499CC187FEACF1FF88FA795142884CA2080F1B8E45E1553BA956BC5B48BCDEA56085D363200DC502164E556D45DF3D7161F2DCF192B199F4B8F12B2F9190D230800003610';
wwv_flow_api.g_varchar2_table(1415) := '2A8494B8F3BD42FE7613DF5021045BC7922B84308260695021E4CF2BAC10E2A3E22A8119043002D75FF192F32272A748E186A3A52FB0893ADF074D745272CC7AFA35CC20A8058690955B5177CD5F5B7CB43C67AC647C2E3D4AC8E69B1A461000006C2C18';
wwv_flow_api.g_varchar2_table(1416) := '424A1C4308A03A4B3284308260E96008F9F30A0C21CCA04A6006018C43F864A364C3D1D217D8449DEF83263A2939661DFDF2F12F3EF1AC1A0118008690955B5177CD5F5B7CB43C67AC647C2E3D4AC8E6F7348C200000D878308494388610407546368430';
wwv_flow_api.g_varchar2_table(1417) := '82E0C8C010F2E7390DA1B3FFF9D117F3351315C00C02A8CCF59F39B92B22677B81920D474B5F601375BE0F9AE8A4E4988BE95405C128600859B91575D7FCB5C547CB73C64AC6E7D2A3846CFE2118410000B035600829710C2180EA8C64084D7E0123088E';
wwv_flow_api.g_varchar2_table(1418) := '180C217F9ED310DA556428043308A03E974CC3C5BFE168EB0B6CA2CEF741139D941C73B8FED5E35FA22A08C60143C8CAADA8BBE6AF2D3E5A9E3356323E971E2564F36572ECBF60040100C0768121A4C4318400AA53D910C20882950143C89FE73084F8A8';
wwv_flow_api.g_varchar2_table(1419) := 'B80A6006015424A80AC2104AE9978C2840153084ACDC8ABA6BFEDAE2A3E5396325E373E951829D8F110400005B0B869012C71002A84E254368F22A8C2058313084FC791943E82E8185C10C02A84BF45D41C6CE627683D2A12FB0893ADF074D745272CC32';
wwv_flow_api.g_varchar2_table(1420) := '7D72FC4B4F3CAD46002A822164E556D45DF3D7161F2DCF192B199F4B8F12FAF99363FF1523080000B61B0C21258E2104509D050DA1C9ABCE6204C16A8221E4CF4B18422FFA2F7C6FD0C260060154E2FAFD274F88C843BD0086500C5541B0343084ACDC8A';
wwv_flow_api.g_varchar2_table(1421) := 'BA6BFEDAE2A3E5396325E373E951C2BC891104000030054348896308015467A02134398711042B0E86903F2F6108511DB420984100F5B8646F381A81EC06A5435F601375BE0F9AE8A4E498797D72FCCB5405C172C110B2722BEAAEF96B8B8F96E78C958C';
wwv_flow_api.g_varchar2_table(1422) := 'CFA547092D46100000400C869012C71002A8CED410FAA82867A072EE6004C1DA8021E4CF330CA15D25150AC00C02A8405015646E381A81EC06A5435F601375BE0F9AE8A4E49869FDB2110518150C212BB7A2EE9ABFB6F86879CE58C9F85CFAE12F9363BF';
wwv_flow_api.g_varchar2_table(1423) := '8B11040000A08121A4C4318400AAF3E0D9AB1745E482286760A73579254610AC191842FE3CC5103AA1A4410198410075083FFACCDC703402D90D4A87BEC026EA7C1F34D149C931757DEFF8979F784A8D002C010C212BB7A2EE9ABFB6F86879CE58C9F85C';
wwv_flow_api.g_varchar2_table(1424) := '7A8B11040000900143488963080154E7C1B357AF240C218C20585B3084FC7991218419B4209841000B72FDE5277744E45C2F606E381A81EC06A5435F601375BE0F9AE8A4E4987D9DEF0A82230743C8CAADA8BBE6AF2D3E5A9E335632BEB43E39F6BB5779';
wwv_flow_api.g_varchar2_table(1425) := '41090000E00043488963080154C73084263F8F11046B0E86903FAF73FD3EAB84A100CC2080C5B928ADDCA146CC0D472350BE71E9D352316D4FB6BE21B477FC5F9FB86A64012C150C212BB7A2EE9ABFB6F86879CE58C9F8747D72ECF730820000004AC010';
wwv_flow_api.g_varchar2_table(1426) := '52E2184200D5890C218C20D8183084FC79DA7303280733086001A6554117458A361CA7BA1128EEC7A9A562DA9E6C5D4388AA2058293084ACDC8ABA6BFEDAE2A3E5396325E30B758C2000008081600829710C2180EA4C0DA17B1F3CCBF376D82C3084FC79';
wwv_flow_api.g_varchar2_table(1427) := '4D23F25F1F3DB9AB84C0096610C0625C14E95405E5371C23DD0814F7E3D452316D4FB68E21F40C5541B08A600859B91575D7FCB5C547CB73C64AC677A063040100002C08869012C71002A8CE8367AFB2B7001B0986903F8F0AA1C5C00C025884765A1514';
wwv_flow_api.g_varchar2_table(1428) := '6A3AA66E048AFB716AA998B627BBB821445510AC2C1842566E45DD357F6DF1D1F29C31FFF826C7FE1B46100000400D308494388610000038E918428F44DE4A8FDC7563E8F5A9975774FC70D0B97E16393E0C0733086020D7EF3B795E44EE58702372AA1B';
wwv_flow_api.g_varchar2_table(1429) := '81E27E9C5A2AA6EDC90E37849E39FE9527AE2819002B038690955B5177CD5F5B7CB43C672C3F3E8C20000080CA600829710C21000070F2BEFB9F78F67DF73F71AE119944DE4A8FDC7563E8F5A9975774FC70D0B97E061E9F8F895B00CC2080E1CC2B5E86';
wwv_flow_api.g_varchar2_table(1430) := '6D4446BA1128EEC7A9A562DA9EEC304388AA20580B3084ACDC8ABA6BFEDAE2A3E53963F6F830820000004602434889630801004001EFBBFF89F31842BE3C280333086000D3AAA03B03B16C23D2D08D40713F4E2D15D3F664CB0C21AA8260ADC010B2722B';
wwv_flow_api.g_varchar2_table(1431) := 'EAAEF96B8B8F96E78CF5B5C9B1DFC70802000018130C21258E21040000056008F9F3C00F6610C030F48A17DF4664463702C5FD38B5544CDB93F51B421841B076600859B91575D7FCB5C547CB73C6E61A46100000C092C01052E21842000050C6E5467ADE';
wwv_flow_api.g_varchar2_table(1432) := '4A8FDC7563E8F5A9975774FC70D0B97E16393EF8C10C0228E4FA7D27CFF5AA82BA946C5C9ABA1128EEC7A9A562DA9E6CDE10BA262297ED2480D50543C8CAADA8BBE6AF2D3E5A9E33D662040100002C1B0C21258E210400000E3EF8D8DD7789C855992DF1';
wwv_flow_api.g_varchar2_table(1433) := 'A1B7D22377DD187A7DEAE5151D3F1C74AE1FEFF16138984100E55CCC25146D5C9ABA1128EEC7A9A562DA9E6CDA10BA7CFCAB4F3C6B2700AC361842566E45DD357F6DF1D1F2B2B1C9B13FC008020000380A308494388610000024F8D06377DFD51C184177';
wwv_flow_api.g_varchar2_table(1434) := 'CCB446C20BC190EBC8D0EB532FAFE8F8E1A073FD788F0FC3C00C0228E0FA7D277745E46C2E4FA470E3D2D48D40713F4E2D15D3F664F5F15115041B018690955B5177CD5F5B7CB43C33861104000070C4600829710C21000050F8D0BC22E80E75CD6FA2B6';
wwv_flow_api.g_varchar2_table(1435) := '9693680FBD3EF5F28A8E1F0E3AD74FE6F8BCF97C01308300CAD0BF2BC8A264E3D2D48D40713F4E2D15D3F664FBE3BB7CFC11AA826033C010B2722BEAAEF96B8B8F96D703230800006045C01052E218420000D0E12F3A46D04C53D7FC266A6B3989F6D0EB';
wwv_flow_api.g_varchar2_table(1436) := '532FAFE8F8E1A073FD248EFF941102079841004E8AAA82BA946C5C9ABA1128EEC7A9A562DA9E6C38BE2B02B041600859B91575D7FCB5C547CB3B6472ECFD1841000000AB04869012C71002000011F98BC7EEB94B44AE361D236886BAE637515BCB49B487';
wwv_flow_api.g_varchar2_table(1437) := '5E9F7A7945C70F079DEBC73A3E0C073308C0CFF027D0BE8DCB8C6E048AFB716AA998B6277B30BEC9F1479E785AB907C05AB2FFEE3327F6DF7DE6B2889C3B14173E8730848AFA0E62DAE2A3E56104010000AC2A18424A1C43080060ABF9CBA91124D2DC21';
wwv_flow_api.g_varchar2_table(1438) := 'AEEBCAB4DD446D2D27D11E7A7DEAE5151D3F1C74AE1FEBF8308CA64D7D093C00881C54059D10911FE7F2B27856C6AC6E048AFB716AA958FFA2F353C7FFED49CC20587BF6DF75E6C4F463211F1AEF1C72BEEACFC512E35343EEF934865ED2C700DD35FFFE';
wwv_flow_api.g_varchar2_table(1439) := 'E2D36172EC1246100000C0AAF3931F3E70A51579A8ABB59D9FA156D056B638D2F769B37D1EEA51C073BFA26339DF33E46FB7F1CD85179E7C8C4F7200005821E64690DC11AFDFEE6B82FB7D9356CEB0EB532FAFE8F8E1A073FDCCDA7FFCB33F48ED1A4006';
wwv_flow_api.g_varchar2_table(1440) := '2A83007C947D5790856745CCEA46A0B81FA7968A85EBF6042308D69DFD779DB96BFF5D67AE4CCDDF83CD89D1CE21E7ABFD5C2C313E35E49E4F6BE8257D0CD05DF30F179F0E18410000006B0215424ADCF95E217FBB896FA810020058213EDC31824459BF';
wwv_flow_api.g_varchar2_table(1441) := 'DDD784E4FB25F3D78DA1D7A75E5ED1F1C341E7FAB18E0F656006016498560505EF585B8892CDCFF53284EA18660047C0FE3BCFECEEBFF3CC5569E57FA9E7FB68E710865051DF41AC67086104010000AC1918424A1C430800602BF8B0F11D41F1FAEDBE26';
wwv_flow_api.g_varchar2_table(1442) := '34515BCB49B4875E9F7A7945C70F079DEBA711D9135808CC20803CF54D8E92CDCFF53084F65E405510AC21872690C8B744E4AC48E1B962E945E710865051DF41ECF0178C200000803505434889630801006C347645D001F1FAEDBE2634515BCB49B4875E';
wwv_flow_api.g_varchar2_table(1443) := '9F7A7945C70F079DE987BDC705C10C024870FDBE933BC117C7D7A464F373F50DA1FA8619C088ECBFE3CCF9FD779C794ADA8E09D4A5E45CB1F4A2730843A8A8EF20D64E8E7D0023080000609DC11052E2184200001BC9471E0F8DA019B9F5DB7D4D68A2B6';
wwv_flow_api.g_varchar2_table(1444) := '9693680FBD3EF5F28A8E1F0E3AD10F66D082600601A4B9182FCE5529D9FC5C5D4368EF055F7BF26A22136065989A404F8BC8C322F22291C273A254F79D437361E13EB6CE109A1CFBC01E9B180000001B00869012C7100200D828664650D3E87B8DB9F5DB';
wwv_flow_api.g_varchar2_table(1445) := '7D4D68A2B69693680FBD3EF5F28A8E1F0EDAE887FDC705695A6B231960CB9956053D3DAA1934C3B33266752350DC8F539BC7EEC50C825566FFEDA77744E4BC48735144EE2C7AECD7D2D3E7505F58B88FF4F8D4907B3E8DA197F43140EF6B93637F881104';
wwv_flow_api.g_varchar2_table(1446) := '0000B069FCE4870F5C69A3EF706C3B3F43ADA0AD6C7DA4EFD366FB3CD4A380E77E45C772BE67C8DF6EE39B0B2F3CF9D815010080D1B8FCF83D77B5514590F7FDDDF1FAEDBE26B4515BCB49B4875E9F7A7945C70F071DE5FC5F7FF8B33F78566030540601';
wwv_flow_api.g_varchar2_table(1447) := 'D88C5B15D4C5B3226675E71564886EE58AFC0823085695FDB79DDED97FFBE94B5353F72322ED9D22858FFD5ABA7D0E2931E7ABFD5C2C313E35E49E4F6BE8257D0CD0430D230800006043A14248893BDF2BE46F37F10D154200002372795611147F349C71';
wwv_flow_api.g_varchar2_table(1448) := '61C9ADDFEE6B4213B5B59C447BE8F5A9975774FC70D09DD68F308216073308C066B94F86F39B9F0E7DE986D06555053842F6DF767A67FF6D5313A895F787A66EC2C8185B2F32733084127D63040100006C3818424A1C430800602DB91C7D4790E7DAA4E6';
wwv_flow_api.g_varchar2_table(1449) := '45BFB9AF094DD4D67212EDA1D7A75E5ED1F1C3414F5BBC19BD029841000AD7EF3B795E44EECCE555A7CAC6EAD20CA1675EF03F9EE4A3046065D87FEBE913FB6F3D7D4544FE3F918E095462648CAD17993918428A8E11040000B025600829710C210080B5';
wwv_flow_api.g_varchar2_table(1450) := 'E2A38FDF7357137D349C38AF4D6A5EF49BFB9AD0446D2D27D11E7A7DEAE5151D3F1C7483195405CC20009D4BB984D1A8B2B1BA1443E8E8FE46001D3A26D08F45E421DF39842134D3D7C8107ACFB13FC208020000D82630849438861000C05AF0D14E4590';
wwv_flow_api.g_varchar2_table(1451) := '6BDD362E2CB9F5DBD57724BAEF132943AE4FBDBCA2E30783C60CAA40D35A9BC6005BCAB42AE8E15CDEE87856C6ACEEBC9294EBCFBCE07F3E7942CD055812FB6F39BD2B8D5C149157AA09AE73287CF1DB634CDDCA5563CE57FDB958627C6AC83D9FC4DFD1';
wwv_flow_api.g_varchar2_table(1452) := 'DD4752BF70EC8FF7A844040000D8527EF2C307AEB4220F75B5B6F333D40ADACA7648FA3E992FD2EEEA51C073BFA26339DF33E46FB7F1CD85179E7C8CE75F000003F8D8D4086AA38A20D7BA6D5C5872EBB7ABEF4874DF2752865C9F7A7945C76F1FF9C02B';
wwv_flow_api.g_varchar2_table(1453) := '7E704E498742A80C02E8B31A152F9E1531AB3BAF20E5FA6AFC8D602BD97FCBE9DDFDB79CBE2A22DF92D63082C47B0E852F7A7B8CA95BB96ACCF96A3F174B8C4F0DB9E793F83BBAFB30758C200000802D870A2125EE7CAF90BFDDC437540801000CE06389';
wwv_flow_api.g_varchar2_table(1454) := '8A20D7BA6D5C5872EBB7ABEF4874DF2752865C9F7A7945C76FA80AAA0466104087EBF79DDC3D92EF0AB2A8B2B15ADD10BA26225F35B2004663FFCDA7CFEDBF796A02899C3D0C2C6C886008CDF4153384AE89C8AB3082000000403084F438861000C04AF1';
wwv_flow_api.g_varchar2_table(1455) := 'F1C74FDDD51C1817871541B93558CD312E2CB9F5DBD57724BAEF132943AE4FBD3CFFF1D987AC04661040C8EA55BC54D958AD6A085D7EC1FF7CF2592303A03AFB6F3E7D7EFFCDA79F1691AF88C8D9A273C28A95181963EB4563DF1A43E89AB4B27BEC8FF7';
wwv_flow_api.g_varchar2_table(1456) := '78C20700000087600829710C21008095E0E38F9FEA5404955D97D41CE3C2925BBF5D7D47A2FB3E9132E4FAD4CBCB1FFF914BAF78F26925050680190430655A1574565691C537566B1942D7A495CB6A04A032FB6F3A7D7EFF4DA79F96561EEE55EC959C13';
wwv_flow_api.g_varchar2_table(1457) := '56ACC4C8185B2F1AFBC61B42D74464F7D89FEC3D6564030000C0168321A4C4318400008E944F748CA0998621645F9F7A79E9E3F326D18A34ADB5410CB0655CBFEFE4D5953583667856E6ACEEBC92E8FA075EF0E893AB573D051BC3FE9B4EEF88C8451139';
wwv_flow_api.g_varchar2_table(1458) := 'DF3380BC8F7FEBB16CC57A5A63E78EAD178DDDF9AA3F174B8C4F0DB9E793F83BDA7DFC686A04517D08000000497EF2C307AEB4220F75B5B6F333D40ADACA1649FA3E992FD2EEEA51C073BFA26339DF33E46FB7F1CD85179E7C8C8FF00500E8F089AF9FBA';
wwv_flow_api.g_varchar2_table(1459) := '4BDA0323485F83CBAE4B6A8E7161C9ADDFAEBE23D17D9F4819727DEAE5F5DBD7DEFF8A277704AA416510C0811174D7CA1B41E25C91B3BAF30AA2EB5405C128ECBFF1F4CEFE1B4F5F92569E1691F7ABDFDDE57DFC5B8F652BD6D35A3B776CBD68ECCE57FB';
wwv_flow_api.g_varchar2_table(1460) := 'B958627C6AC83D9FC4DF51EF634F5A8C20000000F04185901277BE57C8DF6EE21B2A8400003AFCD5D7A71541CD414590BE06975D97D41CE3C2925BBF5D7D47A2FB3E9132E4FAD4CBEBB779034265FE8F5C02C096703197B032B4CA4AA96949BDD5AF24E9';
wwv_flow_api.g_varchar2_table(1461) := '7E262F7894EF0A82BAECBFE1F409690E2B810ECAA9ADC7A115F36A45F953A1F8DCAAA0178DBD1569956755457DA4C7A775EF9F4FE2EF186A93637FBAC7C60200000014F17FFEDF8F9EFFC90F1F906E85502322EDF467A889BFDDF4DF4397BE4F234DF4AE';
wwv_flow_api.g_varchar2_table(1462) := 'E838FF508FFACE8DA5AF658ED58834CA9B7A72C7B1DBD3DFE6370FFFEF1FDC2F540801C0B63333829A594550B85C06C42B776E0D5673946B939A17ADDFAEBEE5E0B5FF4C74DF27CA18727DEAE5856DDE945E193E260EB69EEBF79D3C21223FCEE5AD1C8D';
wwv_flow_api.g_varchar2_table(1463) := '534BEA4640977FEA05FF0F5FD80675D87FC3A913227249A43978E15EF278B6625E2D15EB698D9D3BB65E3476E7DB4073B1C4F8D4907B3E89BF6323EF39F6A77B3CC103000080C1F091714ADC5944EE6FB7F10D1F1907005BCB27BF7EEAAE36FA8EA036FA';
wwv_flow_api.g_varchar2_table(1464) := '455F83CBAE4B6A8E7161C9ADDFAEBE23D17D9F4819727DEAE5893CF207AF78F29C910A03E163E20044D6F33B703C2B7256775E41442618415083FDD79F3AB1FF865357A606EC4399674936DEFC85FB488C6F6CBD68ECCE57FBB958627C6AC83D1FF5EF78';
wwv_flow_api.g_varchar2_table(1465) := '4D445E8511040000008BC247C62971E77B85FCED26BEE123E300602BF964A722A8AB37D12FFA1A5C765D52738C0B4B6EFD76F51D89EEFB44CA90EB532F8FAAA051A03208B69AB5AD0AEAE25999B37AF64A4255102CC4FEEB4FED4E8DD783EFE6EA3DE492';
wwv_flow_api.g_varchar2_table(1466) := 'CF966CBCF90BF79118DFD87AD1D89DAFFA73B1C4F8D4907B3E877FC76744E4DCB13FDB7B4AB917000000C020A81052E2CEF70CF9DB6D7C438510006C0D332348AD088ADBEA7B22675AD97549CD312E2CB9F5DBD57724BAEF132943AE4FD3D0DE1FBCE2C9';
wwv_flow_api.g_varchar2_table(1467) := '5D230C0B4065106C3BEBF35D41169E1539AB27AF208F6004C1506E5C38B57BE3F5A7AE8AC8B70E8D20D11E8BC9674936DEFC85FB488C6F6CBD68ECCE57FBB958627C6AC83D9F5644E447D2CA5D1841000000501B2A8494B8F3BD42FE7613DF502104005B';
wwv_flow_api.g_varchar2_table(1468) := 'C15F2B4690A4D6CB266A073965D72535C7B8B0E4D66F57DF91E8BE4FA40CB93E4D43EBF9294E6B009541B0B55CBFEFE48E883C1D2FE26B8B6765CEEA6AE0DE17FCBF4F5ED5020016372E9C3A3F355B5F2492B8C8F7C4E4B3251B6FFEC27D24C637B65E34';
wwv_flow_api.g_varchar2_table(1469) := '76E7ABFE5C2C313EDFFFB3A74F8EFDF76FB35900000000A34285901277BE67C8DF6EE31B2A84006063E91A41DEF742B6D12FFA1A5C765D52738C01E5D66F57DF91E8BE4FA4145E9FF67E9FAAA0D1A03208B6998B1B6304897345CEEABDC01E46109470E3';
wwv_flow_api.g_varchar2_table(1470) := 'FCA9F3372E9C7A5A441E3E348244BDB81FEAAA50F278B6625E2D152B19DFD87AD1D89DAFF673B1C4F87CFFCF40BF801104000000CB800A2125EE7CAF90BFDDC437540801C046F2A9A82228FF1EC8A8DD44ED20A7ECBAA4E61803CAADDFAEBE23D17D9F48';
wwv_flow_api.g_varchar2_table(1471) := '29BC3E712D19112A83602BD9B8AAA02E9E9539AB1F06A80A822C37CE9FDA119173D3EF04BA5324FD9853433D31F96CC9C69BBF701F89F18DAD178DDDF9AA3F175BECFF794D44768FFDF9B7F95838000000582A54082971E77B86FCED36BEA14208003686';
wwv_flow_api.g_varchar2_table(1472) := '4F252A82D2EF8554DA6DD40E72CAAE4B6A8E31A0DCFAEDEA3B12DDF78914C7F569F2FBAF7812336844A80C826DE5FC461A41E25C91B37A2B5405418E1B0F9DDAB9F1D0A94B5363F5E1432348D28F3935D41393CF926CBCF90BF79118DFD87AD1D89DAFF6';
wwv_flow_api.g_varchar2_table(1473) := '73B1E1FFCF1F89C8098C20000000380AA81052E2CEF70AF9DB4D7C438510006C04B98AA0C47B26F57613B5839CB2EB929A630C28B77EBBFA8E44F77D2225737DBAD66CC277BBAF385406C15672FDBE934F071BD79B8867654EEBAF7AC1BFFFE0AB6A04B6';
wwv_flow_api.g_varchar2_table(1474) := '9A1B0F9DDA997ECCE2FCA316CB1E5B22BE8A92DCB3251B6FFEC27D24C637B65E3476E7ABFE5CACECFFF9D1631FFC364FE4000000E0C8A14248893BDF33E46FB7F10D154200B0B67CFAEBA7EF1269AFB6CA1BC973EB6236AF8DDA414ED97549CD3106945B';
wwv_flow_api.g_varchar2_table(1475) := 'BF5D7D47A2FB3E9162E4BCE7BFFDCC93977BE95015CC20D83AAEDF77F2FCB48A61F329DCCCEDF0CC0BFEFD07278C4CD8526EBCEED40911B9244DF842FA10DF632BD0318416D48BC6BE3443E89A889C3FF6C16F6326030000C0CA8021A4C4318400007A7C';
wwv_flow_api.g_varchar2_table(1476) := 'FA1BA7EF92765611D45F47C5B12E66F3DAA81DE4945D97D41C6340B9F5DBD57724BAEF132991B6F77B3FF3E46E2F0DAAC3C7C4C136722997B0317856645DDF9EBF1164B9F1BA53276EBCEED41511F9B1883CE47C0CB97435D41393CF926CBCF90BF79118';
wwv_flow_api.g_varchar2_table(1477) := 'DFD87AD1D89DAFF673B1F4FFF3472272174610000000AC1A7C649C1277BE57C8DF6EE21B3E320E00D68ABFF9C6E9BB1A91ABD2CC2A82FAEBA838D6C56C5E13B5839CB2EB929A630C28B77EBBFA8E44F77D22A5A35D9B7E9D072C012A8360ABD8AAAAA02E';
wwv_flow_api.g_varchar2_table(1478) := '9E7F583D0500002000494441549579AE531504222272E3B5A776A717E4870A1F43C5BA1AEA89C9674B36DEFC85FB488C6F6CBD68ECCE57FDB9585FFBE8ED1FE263E100000060B5A14248893BDF33E46FB7F10D154200B0F2FCCD374E07DF11D44A7761A3';
wwv_flow_api.g_varchar2_table(1479) := '4248BD4F1BB5B59C447B3ACBF7FC1E1F0FB734A80C826D633B372A3D2BF25CA72A68CBB9F1DA53BB375E7BEAAA887C4B662F94CB1E43C5BA1AEA89C9674936DEFC85FB488C6F6CBD68ECCE57FBB9D85CBB2622AFC2080200008075800A2125EE7CAF90BF';
wwv_flow_api.g_varchar2_table(1480) := 'DDC437540801C04AF399594550E73B821AE92E6C5408A9F769A2B69693688B347B1841CB85CA20D81AAEDF777277BAB9BDBDE457E66B2F78EC073B4A166C01375E73CFB9A9617AD6FD8CC1D206EA6AA827269F2DD978F317EE2331BEB1F5A2B13B5FF5A7';
wwv_flow_api.g_varchar2_table(1481) := '637BD2C8F9DB3FF4EDA7D57C0000008015850A2125EE7CCF90BFDDC637540801C0CAF119AD22A8431B885408A5FF3E05F7397863E95DBFFB334FB09FB044A80C826D828A97FFBFBD7BFB8EECCAEFC3FEAB5979E906D762EB21F73804E524CEC5897A4269';
wwv_flow_api.g_varchar2_table(1482) := '4052A3212861381E4AD650F78B950C909B7371A256E224F6D380EF7684B11227712CB121EB6AC91247176A2ED010CDE190446C5AA4AFB21D731A7F81BAA5A97EAD3CE0003875CEDEB5CFC1B5EAD4E7B3567763FFF6AE5355A7EA1C54E38B5F55F98C2C8D';
wwv_flow_api.g_varchar2_table(1483) := '5F428F7EECD9CD473FF6ECFD88F8F588782EA2C72B855CED8CF5E454AB38F355525ED7F5E7DEC68CDB77D9F55EB7BDE3FFF6F3732FDFF84B6FAC0B82008045A4432831DFF17785BA8F47CD7F74080173E5AF3782A0C89DD346A7A3B39C278BEB468DF1D4';
wwv_flow_api.g_varchar2_table(1484) := '9A7EDF97926B3237A874FEEEB4ED46B1F36522360541574F67104B41575043FACCFC30225657BE78F02031CB003DFA33CF6E5621E913F9572A1D5F31E46A67AC27A75AC599AF96F2BAAE3FF73666DCBECBAEF7BAED1DFFD77FEA3046F1D28DBFF4C67BD9';
wwv_flow_api.g_varchar2_table(1485) := '1500000B42875062BEE3EF0C751F4F9AFFE81002AE5D3D08EA7CCE9B9C8E3A5FA6CFBA49633CB5A679266FCEB7B5D6646E50E9FCDD69DB8D62E1329FFD8B9F78DB5BCD5F0361104B61BCB1B67FD2F1C091F60F7A5F5EF9D281EEA9817BF4A3CFDE8A883B';
wwv_flow_api.g_varchar2_table(1486) := '318ACD8878626A5220D4AD366BAECFEDBBEC7AAFDBDE3910DA8D883B37FEF21B426300603004428979811030603FFDBB1FBD3D697404753EE74D4E479D2FD367DDA4319E5AD33C9337E7DB5A6B3237A874FEEEB4ED463173997B7FF1136FAF27A6B802C2';
wwv_flow_api.g_varchar2_table(1487) := '20066FBCB1B61A115F2BAD5B4AA73FE83DEA0AFA92AEA0A13A09818EFE1CBDD8E9F6C3FFAA2E104AEAB47E1081D0C388D8BCF197DF7835B1020060E1098412F3022160807E7A464750E773DEE474D4F9327DD64D1AE3A935CD337973BEADB52673834AE7';
wwv_flow_api.g_varchar2_table(1488) := 'EF4EDB6E141BF3EF47C4FA5FF8C4DB7EFE784D7C6610CB40B74BCEE919F95541D0303DFA9167571FFDE8B33B11713F223E53FFAD974EDFC54FEA1D5F29E46A67AC27A75AC599AF92F2BAAE3FF73666DCBECBAEF7BAEDD9FFED7F2E2256054100C090F90C';
wwv_flow_api.g_varchar2_table(1489) := 'A1C47CC7E6F1EEE351F31F9F21045CA99F697C4650E9FC955D333A1D75BE4C9F75A3C6786A4DF34CDE9C6F6BADC9DCA0D2F9BBD3B61BC5DA970F2362531074BD74063168BA823A1AC5932B5F3AF0A16D03F2E8479E5DAD82D0A3DF6ECCBDF2C8CD655FA9';
wwv_flow_api.g_varchar2_table(1490) := '747CC590AB9DB19E9C6A1567BE5ACAEBBAFEDCDB9871FB2EBBDEEBB69FECF0A36EA0FF4D0804002C0F1D4289791D42C000FC4C8F8EA0CEE7BCC9E9A8F365FAAC9B34C6536B9A67F2E67C5B6B4DE60695CEDF9DB6DD284E223EFC173EF1B6CF1EBE663A83';
wwv_flow_api.g_varchar2_table(1491) := '183A5D4165BB82A0E178F4C3CFAE3EFAE167EF5621E8E97F6273AF387273D957281D5F29E46A67AC27A75AC599AF92F2BAAE3FF73666DCBECBAEF7BAED9338E906120401004B468750625E8710B0E0FA7604753EE78D4E479D2FD367DDA8319E5AD33C93';
wwv_flow_api.g_varchar2_table(1492) := '37E7DB5A6B3237A874FEEEB4EDE9E29620683EE80C62B0740575F6E4CA9E3068D13DFAE167D7ABF0F3B9936297EFCEA5B9EC2B958EAF1872B533D69353ADE2CC574B795DD79F7B1B336EDF65D7CBB7FDA81BE827BF22040200969A0EA1C4BC0E216001BD';
wwv_flow_api.g_varchar2_table(1493) := 'F2E58FDE9E4C4E83A0BAEEE7ABC29AC9E9A8F365FAAC9B34C6536B9A67F2E67C5B6B4DE60695CEDF9DB61DB1F5BFBEF0B673FB9CD019C490F9CDA2B25D41D0627BF443CFAE3FFAA167F76312AF4F0541D1F1BB72692EFB0AA5E32B855CED8CF5E454AB38';
wwv_flow_api.g_varchar2_table(1494) := 'F355525ED7F5E7DEC68CDB77D9F5D9B7FDA81B48100400A0432835AF43085830AF7CF9DB6E47C4FE68D40E82A2D7F9AAB066743AEA7C993EEB468DF1D49AE699BC39DFD65A93B941A5F377876D0B82E68CCE200669BCB1762B22EEA7527FA67C7865EF40';
wwv_flow_api.g_varchar2_table(1495) := '9BE6027AF443CF6E46C49D88F8A6A9890EDF89B3B55973D9572A1D5F31E46A67AC27A75AC599AF96F2BAAE3FF73666DCBECBAE4FD70E23E2CE8D1D21100040930EA1C4BC0E216001DCFDF2B7DD9E9CBC355C75E6CE9C38BB9FAF0A6B26A7A3CE97E9B36E';
wwv_flow_api.g_varchar2_table(1496) := 'D2184FAD699EC99BF36DAD35BDF7CF24395FD55EFE5F5E78DBC777CC199D410CD51D4150D13D41D0E279F483CF6E3EFAC167EF47C42BAD20283A7E77CFD566CD655FA1747CA590AB9DB19E9C6A1567BE4ACAEBBAFEDCDB9871FB2EBB7E5AFB6C44DC1604';
wwv_flow_api.g_varchar2_table(1497) := '0100A4E9104ACCEB1002E6DCDDE38EA0939F0D5667EECC89B3FBF9AAB066743AEA7C993EEB468DF1D49AE699BC39DFD65AD37BFF8C92F311B12B089A4F3A83181C5D419D3DBFB277B05F5AC4F57BF403CFDE8A51BC547D26D0132713B9570DB9B9AEB559';
wwv_flow_api.g_varchar2_table(1498) := '73D9572A1D5F31E46A67AC27A75AC599AF96F2BAAE3FF73666DCBECBABBF1F11776E7CF62BCE0100001DE8104ACCEB1002E6D0EE5447D091E679A6EBEFB596C6D93593D351E7CBF45937698CA7D634CFE4CDF9B6D69ADEFB67521FEFFECF2FBC2DD09F53';
wwv_flow_api.g_varchar2_table(1499) := 'C2200667BCB17627227EB2B46EC9DD5BD93B582F2DE27A3DFA81676E1D75B98D8E3ADD3A050B85B9AEB5597302A16EB559737D6EDFC5D61F46C4CE8DCF7EC56FE80000F424104ACC0B848039B25B750445C4E3A5F34CFFC0233DCEAE999C8E3A5FA6CFBA';
wwv_flow_api.g_varchar2_table(1500) := '49633CB5A679266FCEB7B5D6F4DE3F938888DD3F2F089A6BC2200667BCB1767FAA7B82145D4173ECD1F73F732B467167FAED0EE73DCC38AE0B84923AADBFF440E8731171E7C65FF9CAFDE47A00008A0442897981103007EA41D071AD749EE91F78A4C7D9';
null;
end;
/
begin
wwv_flow_api.g_varchar2_table(1501) := '3593D351E7CBF45937698CA7D634CFE4CDF9B6D69A7EFB67F7CFBFF0962068CE09831894F1C6DA66F5592AE41DAEEC1DAC961671F51E7DFF33ABD55BC11DFDE7B24F5870EE20E282B61102A1AC4EEB2F25103A8C88CD1B7FC55BC201005C048150625E20';
wwv_flow_api.g_varchar2_table(1502) := '045CA39FAD82A049E223234AE7999E8147769C5D33391D75BE4C9F7593C6786A4DF34CDE9C6F6BADE9B67F76FF2741D04210063128BA823AD95AD93BF0227A8E3CFABE675663540B81EAFA8405E70E222E681B2110CAEAB4FEC202A1A3B784FB296F0907';
wwv_flow_api.g_varchar2_table(1503) := '0070D1044289798110700D7EB6D111D4EF3C549DB9BB051EC57176CDE474D4F9327DD64D1AE3A935CD337973BEADB566F6FE11042D10611083A12BA8135D4173E4D1F73DB31E119BF94EA04A9FB0E0DC41C4056D230442599DD69F3B103A7A4BB89FF296';
wwv_flow_api.g_varchar2_table(1504) := '700000974520949817080157E86F643A82FA9D87AA33F7ECC0A3F338BB66723AEA7C993EEB268DF1D49AE699BC39DFD65A93BE41BBFFA32068A17CA8B4001688934F990E8139F0E87B9F597FF47DCFEC47C4EB53DD405DBFD3CFFE0E9FD775FD456C237A';
wwv_flow_api.g_varchar2_table(1505) := 'BC92CAD5CE584F4E2DDC3E9C71FB66D7DF8F88E76FFCD4575E120401005CAEC79E7A6D7314B15BAF8D6A7F4FD77A8C13BFF833FB32A3E2364FEA8D892E97EB755D995FCE2A5D4F7E3C6AFEF3CA07072FF8BF3F70120445C4E3A5734AAAD63CCF74FD7DD6';
wwv_flow_api.g_varchar2_table(1506) := 'D238BB66743AEA7C993EEB468DF1D49AE699BC39DFD65AD35E24085A403A831884F1C6DA7AF58375F274055DB347DFFBCC7A15C83D17D1E33B7BB63EF33B7D5ED7F517B18DE8F18A2A573B633D39B570FB70C6ED9BAE3F8C883B37FEF7AFF82D4900802B';
wwv_flow_api.g_varchar2_table(1507) := 'A6432831AF4308B8443FD7B123A8DF79A83A73674E9CA56D77BEAEC9E9A8F365FAAC9B34C6536B9A67F2E67C5B6BCD514110B4A0740631143A5ECABC50BE268FBEE799CD47DFFBCCFD2AB07CEE64A2EB77F46C7DE677F8BCAEEB2F621BD1E39554AE76C6';
wwv_flow_api.g_varchar2_table(1508) := '7A726AE1F6E18CDB775A7F39225605410000D7438750625E871070497EEEF5EE1D41FDCE43D5993B73E22C6DBBF3758D4E479D2FD367DDA8319E5AD33C9337E7DB5A6B4682A045A6338885A72BA8938711B1BAB277F0A0B4908BF3E87B9ED9AC82CA2722';
wwv_flow_api.g_varchar2_table(1509) := '7A7C07EF5D9FF99D3EAFEBFA8BD846F4784595AB9DB19E9C5AB87D98BC7DBB11B17DE3FFF076700000F3408750625E871070817EFEF56FBB3DA982A0FA89A2FB39A4CB9AEACC9D397196B6DDF9BA26A7A3CE97E9B36ED2184FAD699EC99BF36D556DF727';
wwv_flow_api.g_varchar2_table(1510) := '3E2E085A64C22016DE78636D7FAADB82949757F60E744F5D81472F3D732B22EEC428364F42A0BA338419DDEAF31E661CD70542499DD69FDCBE7B5508B49FB8140000D74820949817080117E0E76B1D41CDC0237A9D43BAACA9CEDC99136769DB9DAFAB76';
wwv_flow_api.g_varchar2_table(1511) := '473A5FA6CFBA49633CB5A679266FCEB7ECDE11042D3C61100B6DBCB1B61A115F2BAD5B72BA82AEC0490874F4E7E83D6BCF105A9CAF3EEF61C6715D2094545E7F1831DABCF15785400000F34C209498170801E7F00BAF7FECF62426FB51FB8CA066E011BD';
wwv_flow_api.g_varchar2_table(1512) := 'CE215DD65467EECC89B3B4EDCED755BB239D2FD367DDA4319E5AD33C9337E74F0882064218C4421B6FACDD8DC68B6C5A74055DA2479F7A66352236AB6EA0A90F2E8C385B6871BEFA5C8719B5BA402829BDFE3022B66FFCD537FDE716006041088412F302';
wwv_flow_api.g_varchar2_table(1513) := '21E00C7EE1F58FD53A8232E7D05AB9FB39A4CB9AEACC9D397196B6DDF9BA6A77A4F365FAAC9B34C6536B32FBF4742C081A1061100B4B5750674FAEEC1DF84C910B568540DBAD30B2CF0FFF2FAD3E7761469A4028ED74EE6144ECDCF83FDF14E602002C20';
wwv_flow_api.g_varchar2_table(1514) := '8150625E2004F4F08BAF7FECF433822A02A1F4B8B86ED2184FADC9ECD388DD1F17040DCA874A0B608EF90169D9AE20E8623DFAEEA7571F7DF7D377AB20B2DD95D6E53BF6A5D7677E87CFEBBAFE22B6113D5E49E56A67AC27A7E66B1F3E8C889723625510';
wwv_flow_api.g_varchar2_table(1515) := '0400B0B81E7BEAB5CD51C46EBD36AAFD3D5DEB314EFC62D1ECCB8C8ADB3CA93726BA5CAED775657E39AB743DF9F1A8F9CF2B1F1CBCE007973000BF5875048D62FA5D589A679951EB8B3EE7902E6BAA3377E6C459DA76E7EBAADD91CE97E9B36ED4184FAD';
wwv_flow_api.g_varchar2_table(1516) := '49EE5341D000E90C62218D37D66E45C41F94D6A12BE8A28CBFFBE9F52A807CEEF41B69EE5B6FC7EFF6975E9FF99D3EAFEBFA8BD846F4784595AB9DB19E9CBADE7DF83022762262E7C6FFF5A6CFF8020018081D4289791D42C00CBF587B6BB8E35AFBF8CF';
wwv_flow_api.g_varchar2_table(1517) := '9C436BE5EEE7902E6BAA3377E6C459DA76E7EBAADD91CE97E9B36ED2184FAD39A9EEFE0F82A0411206B190C61B6BDB11F199D2BA25B7BBB277E0C47D4EE33F7D1A02D57F702F109A519B352710CAD57623E28E100800609804428979811090F04B89B786';
wwv_flow_api.g_varchar2_table(1518) := '3BD63EFE33E7D05AB9FB39A4CB9AEACC9D397196B6DDF9BA6A77A4F365FAAC9B34C6536B2682A0011306B170AAAEA0FBA96F0A4CD115740EE3EF7A7A3346B11911CF4D4D0884BAD566CD0984EA762362FBC6FFFDA663150060E004428979811050F34BB5';
wwv_flow_api.g_varchar2_table(1519) := '8EA0EE0147E61C5A2B773F87745973F4D54003A1DDFFFEE35F15040D98308885A32BA8937B2B7B07EBA545B48DBFEBE9CDAA13E88988F20FF30542336AB3E60442422000802524104ACC0B848088F8E5444750F78023730EAD95BB9F43BAAC39FA6A6081';
wwv_flow_api.g_varchar2_table(1520) := '9020680908835828BA823A7B7E65EF60BFB48823E3EF7CFA568CE2A5A910A84E2074F6DAACB9E50C848E42A0BF26040200585602A1C4BC400896DA2FCFE808EA1E7064CEA1B57269DBFDCE43475F0D2410DAFD7382A0A5200C62A18C37D63623E295D2BA';
wwv_flow_api.g_varchar2_table(1521) := '25A72BA8A3F1773E7D2B22EE547F1EEFF8C3FC644D2034A3366B6E3902A18711B113A3D8B9F1D77C2610000002A1E4BC400896D22FEF7FEC764C667704750F3832E7D05AB9B4ED7EE7A1A3AF163C10DAFD731B82A065210C62A18C37D6EE273B37A8D315';
wwv_flow_api.g_varchar2_table(1522) := '54307EB10A8146550854778E30432034A3366B6EB881D0510814B173E3FF11020100304D2094981708C152F99BFB471D419388C79B0772E938CFAFCB9C436BE5D2B6FB9D878EBE5AD04068F7BF13042D1561100B43575027BA826618BFF8F46AF556702F';
wwv_flow_api.g_varchar2_table(1523) := '9D84407D8285DC9C40A85B6DD6DCB002A18731120201005026104ACC0B8460291C0741C73F9F990E3C8E948EF3FCBACC39B4562E6DBBDF79E8E8AB050B8404414B4818C4C2D015D4C9D6CADE8117B50DE34F5621D068FA3F5927FA040BB9398150B7DAAC';
wwv_flow_api.g_varchar2_table(1524) := 'B9C50F840EAB4EA0BB37FEBA100800806E0442897981100CDAAFD43B826AA6038F5A6DC638BF2E730EAD954BDBEE771E3AFA6A4102A1DDFF5610B49484412C045D419D1CAEEC1DAC96162D93F1279F5E8F88CDA8FFC7AA4F28708E30432034A3366B6E31';
wwv_flow_api.g_varchar2_table(1525) := '03A1C388D8BEF1D36FFACF2400006722104ACC0B8460907E25D51154331D78D46A33C6F975997368AD5CDA76BFF3D0D157731E08098296D8874A0B604E3849956D97162C8BF19F7A7A7DFCA79EDE8F88D7A3F11FAACEAF1872B55973A91713B302F73ED7';
wwv_flow_api.g_varchar2_table(1526) := '7969F549A67EBEFB3FB3366B2E7BBB3BBE92CAD5CE584F4E9D160F2362EBC64FBFB92A080200E03C1E7BEAB5CD51C46EBD36AAFD3D5DEB314EFC76D3ECCB8C8ADB3CA93726BA5CAED775657E39AB743DF9F1A8F9CF2B1F1CBCE0670D70857E75FF63B747';
wwv_flow_api.g_varchar2_table(1527) := 'B5202872C7EC19CE2FE975997368AD5CDA76BFF3D0D1575D7F9FB534CEAEA9DD91CE9739B225085A6E3A83987BE38DB5F5EA87FAE4E90AAA42A02A147BEEA4D8F515C2AC7A6E6D6E2EF5A24287505E9FF55D5F51E56A67AC37A6EE45C4DD1B3FF3550110';
wwv_flow_api.g_varchar2_table(1528) := '0000174A8750625E87100CC2AFEE3F773B6232BB23A8393EC3F925BD2E730EAD954BDBEE771E3AFAAAEBEFB596C6D935B53BD2E1325BFFCD869F632C3B6110736FBCB1B63FF5C37D5296FAB382C69F58DB3CFA4CA051FA33A5CEF0C3FF4EB5597302A16E';
wwv_flow_api.g_varchar2_table(1529) := 'B55973F31708DD8B88ED1B3FF3D5FDCC2A000038378150625E20040BED6FED3F57FB8CA0D691387B7C86F34B7A5DE61C5A2B97B6DDEF3C74F4D59C04428220228441CC3B5D419D3C8C88D595BD83A5FBC0FA931028E23404EA1314F4AD9F23CC1008CDA8';
wwv_flow_api.g_varchar2_table(1530) := 'CD9A9B8F40E85E446CDF7C45080400C0D5100825E60542B0908E83A0E98EA0D691387B7C86F34B7A5DE61C5A2B97B6DDEF3C54DDDBCC0D2C6DBBF375D5EE48E2325BFFB520888A3088B936DE58BBDBFACC179A5E5ED93B589ACF0B1ABFB0762B22EE44C4';
wwv_flow_api.g_varchar2_table(1531) := '668C22D309D42328E85B3F479821109A519B35777D81D06E44DC15020100701D0442897981102C945FDB7FEEF6A4F11941913897753A66CF707E49AFCB9C436BE5D2B6FB9D87AA7B9BB981A56D77BEAEDA1DA9CD0B8298220C626E8D37D65623E26BA575';
wwv_flow_api.g_varchar2_table(1532) := '4B6E69BA826A21D09DA91711171114F4AD9F23CC1008CDA8CD9ABB88C7B9F37D8FDD88D8BE79F7ABF793EB0100E08A088412F302215808BF56EB08CA1FB3AD2371F6F80CE797F4BACC39B4562E6DBBDF79A8BAB7991B58DA76E7EBAADD91892088046110';
wwv_flow_api.g_varchar2_table(1533) := '734B57502783EF0A1A7F7C6D35223623E24E8CA67F93E4C44504057DEBE708330442336AB3E62EE2719E7DDF85400000CC1D8150625E200473EDD7131D41F963B67524CE1E9FE1FC925E973987D6CAA56DF73B0F55F73673034BDBEE7C5D47C5AD3FBBF1';
wwv_flow_api.g_varchar2_table(1534) := 'A673182DC220E692AEA0CEBE61A85D41E38DB5D518C5762B10EC1C641CD77B04057DEBE708330442336AB3E62EE2719EAE3D8C889D88B87B7357080400C07C120825E6054230977EFDDE73B76392EE08CA1FB3AD2371F6F80CE797F4BAE659A7BDB0B4ED';
wwv_flow_api.g_varchar2_table(1535) := '7EE7A1EADE666E6069DB1DAF6BEBCF7E8720883461107349575027BB2B7B079BA5458BA60A024F43A0F20FF33BD47B04057DEBE708330442336AB3E62EE2711E9D84403B3777BF3AC84015008061110825E6054230575EBD57EB089A3E9C4EE48FD9D691';
wwv_flow_api.g_varchar2_table(1536) := '387B7C86F34B7A5DF3ACD35E58DA76BFF350756F3337B0B4EDC2756DFD5782206610063177C61B6BB722E27EF3C3E568797265EF60309D0CE38DB5F52A047AAE35D92B10C8D57B04057DEBE708330442336AB3E6CEFE389F86403F2B04020060B1088412';
wwv_flow_api.g_varchar2_table(1537) := 'F30221980BAFDE4B7C46D0F4E174227FCCB68EC4D9E3339C5FD2EB9A679DF6C2D2B6FB9D87AA7B9BB981A56D67AE4B1044913088B933DE58DB8E88CF94D62DB9C17405CD0C81EA7A0502B97A3128387BFD1C61864068466DD65CBFC7F93046B17DF3677D';
wwv_flow_api.g_varchar2_table(1538) := '782200008B4D2094981708C1B5AA0741C7B549E38BD2F1775A6B1D89B3C76738BFA4D735CF3AED85A56DF73B0F55F73673034BDB6E8CB7FE4B41101D0883982BBA823A5BF8AEA0F1C6DA66446C1643A0BA5E8140AE2E103A5F7DE102A1C388D8BEF93784';
wwv_flow_api.g_varchar2_table(1539) := '4000000C874028312F10826BF1B92A089A247E9637697C513AFE4E6BAD2371F6F80CE797F4BAE659A7BDB0B4ED7EE7A1EADE666E6069DBD558104467C220E68AAEA04E16BA2BA80A81B623E289D2DAA45E8140AE2E103A5F7D2102A1F76334DA11020100';
wwv_flow_api.g_varchar2_table(1540) := '305402A1C4BC4008AED4E71A1D41338FBF4963DC9C6FD55A47E2ECF119CE2FE975CDB34E7B6169DBFDCE43D5BDCDDCC0C2B6B7FE0B41103D0883982BE38DB507BA828A9E5FD93BD82F2D9A2755C7D74BE70A81EABA070202A14BABCF6D20742F22B66FFE';
wwv_flow_api.g_varchar2_table(1541) := 'DC5B0B758C0000C059088412F30221B812BF91E9089A79FC4D1AE3E67CABD63A12678FCF707E49AF6B9E75DA0B4BDBEE771EAAEE6DE606662E2708A237611073A3EA1879A5B46EC9DD5BD93B582F2D9A17550874A7FA73B1215F9F0041207449F5B90A84';
wwv_flow_api.g_varchar2_table(1542) := 'EEC548080400C0F2110825E6054270A97EA3D01134F3F89B34C6CDF956AD7524CE1E9FE1FC925ED73CEBB41796B6DDEF3C54DDDBCC0D6C94B7FE73411067200C626E8C37D6EE5F48D7C8B02D4457D0A58640757D020481D025D5AF3D10DA8D88BB377F5E';
wwv_flow_api.g_varchar2_table(1543) := '080400C0F2120825E6054270297EF3DE7AD5113499D91134F3F89B34C6CDF956AD7524CE1E9FE1FC925ED73CEBB41796B6DDEF3C54DDDBCC0DACCA8220CE4C18C45CD015D4C9DC77058D37D656ABB7827BE95243A0BA3E018240E892EAD71208ED46C4F6';
wwv_flow_api.g_varchar2_table(1544) := 'CD5F78EB7E72160000968C4028312F10820B751C049D7604F53BBF4CD5268D7173BE556B1D89B3C76738BFA4D765EE63AD5CDA76BFF350756FD33770EB3F1304710EC220E682AEA04EBE6765EFE0D5D2A2EB500B81A6FEE37165BA070802A14BAB5F5920';
wwv_flow_api.g_varchar2_table(1545) := '24040200800C8150625E200417A219041D1308B5BEEC349EBDA6BAB7D30B04419C9B30886B37DE587B29227EBDB46EC91DAEEC1DAC96165DB5F1C6DAEDEAADE0AE2704AAEB1A2ACCAC0B84CE57BFB440E86144ECC428766EFEC25B0F12AB0100808A4028';
wwv_flow_api.g_varchar2_table(1546) := '312F108273F9AD37D66FC724F6279977811108B5BEEC349EBDA6BAB747FF0882B810C220AEDD78636D3F229E2BAD5B725B2B7B077373D21F6FACAD579D40F3F5B89543850E7581D0F9EA171A081D8540113B377F51080400005D098412F302213893DF7A';
wwv_flow_api.g_varchar2_table(1547) := 'A3D61194398E227104968EA5A9DAA4316ECEB76AAD2371F6F80CE797F4BACC7DAC954BDBEE771E9A44446C6D7DBB20888B210CE25A55A1C2EBA5754B6E6EBA82E63604AAEB134208842EA97EEE40E83022EE46C4CECD5F12020100C059088412F30221E8';
wwv_flow_api.g_varchar2_table(1548) := 'E5B7AB2068AA234820949EAF954BDBEE711EDADAFAF6AF38A7706184415C2B5D419D5C7B57D078636DB30A8116E3739DFA841002A14BAA9F29103A8C516CDFFCA5B7AEF5F90E00004321104ACC0B84A093DF7E63FA3382BA1C479138024BC7D2546DD218';
wwv_flow_api.g_varchar2_table(1549) := '37E75BB5D691387B7C86F34B7A5DE63ED6CAA56D77380F6D6D0A82B860C220AE4DF57933BF575AB7E41EAEEC1DDC2A2DBA2C0B1702D5F5092104429754EF1C081D46C4F6CD5F16020100C045130825E6054230D36BA98EA08EC751248EC0D2B134559B34';
wwv_flow_api.g_varchar2_table(1550) := 'C6CDF956AD7524CE1E9FE1FC925E97B98FB57269DB33F68320884BF12F9416C025BA535A40EC94165CB4F1C6DAAD88D8AC1E9FC50B818E4D122144AA36B33E49072EBDB7D3E3B674587FF265EEF645791B5753AF0AF9DB722F22766EFEF25BAF06000070';
wwv_flow_api.g_varchar2_table(1551) := '291E7BEAB5CDAFBFFB62D403A151444CAABFA76BD17D3C6A8736B32F338A51E3C7A7CDF527F5C6B64BB7A55D2B5CD7286294F84176E97AF2E3EAABD37F5EF9E0E0851008B1885EAB7504CD3C0632C751248EC0D2B134559B3E9C3A5CA67524662F338A88';
wwv_flow_api.g_varchar2_table(1552) := '49A358BA4C7E5DE63ED61696B69DB94F5B9F160471497406712DC61B6BAB11F1B5D2BA25F730225657F60EAEE43353AA10E84EF567EA373F16DAA8636D663D33D17B3B1D6BB3E646892F17AF43E85E446CDFFC9B6FED375702000097438750625E87104C';
wwv_flow_api.g_varchar2_table(1553) := 'F99D37D66F4F6A6F0D77EC2CC751248EC0D2B134559B34C6CDF956AD7524CE1E9FE1FC925E97B98FB57269DBB5B120884B250CE25A8C37D6EE46E345282D2FAFEC1D6C97169D5715CC6D0E2E04AABB9040442074BEFA2822E273318A1D211000005C0F81';
wwv_flow_api.g_varchar2_table(1554) := '50625E200411551074DC11D4FB981008A5E76BE5D2B6278220AE8030882BA72BA8934BEF0AAA1E87EDA509E52E241011089DB1BE1B11DB377FE5EDFB99950000C015110825E605422CB9CF273A827A1F1302A1F47CAD3C63DB5BFFA920882BF0A1D202B8';
wwv_flow_api.g_varchar2_table(1555) := '043E2BA8ECEE650541E38DB5D5AA33EB6B4B130445E99545D77A66A2F7763AD666CDA55E4CCC0AF7FB5CE7C5D57723E2C99BBFF2F6A620080000E6C3634FBDB6393AFA85AD13A3DADFD3B51EE3C42F89CDBECCA8B8CD937A63A2CBE57A5DD7A8CB36FA8C';
wwv_flow_api.g_varchar2_table(1556) := '47CD7F5EF9E0E085CD8039F4F9AA2368D478B798DEC744E6388AC411583A96A66AA3C6B839DFAAB58EC4D9E3339C5FD2EB32F7B156CE6C5B10C495D119C495AA3E97E6FE60DF8EECE23CB9B27770A13F3C1F6FACAD5741DCA74A6B07ADCBAB99623D33D1';
wwv_flow_api.g_varchar2_table(1557) := '7B3B1D6BB3E6522F2AAEB743E86144EC44C4CECD5F7DFB52024D0000E0FC740825E67508B164BED0A123A8F731A143283D5F2BD7BEDCFA4F04415C216110576ABCB1B61D119F29AD5B72BB2B7B0717F61B435508B41D11CF95D62E8D0B094404420D4721';
wwv_flow_api.g_varchar2_table(1558) := 'D048080400008B422094981708B124BEF0C6F3D567044D5A9F11541A17D70884D2F3B5F24410C4351006716574057576215D41E38DB5CD88D81402655C482022108A88C3AA13E8EECDBF25040200804523104ACC0B8418B82F7CE5F9DB31A97704958FBF';
wwv_flow_api.g_varchar2_table(1559) := 'DEC78440283D7FF4C5D68F0982B806C220AE8CAEA04ECEDD15548540DB11F14469EDD2BB9040646903A1C388D8BEF96B6F7BF10200000B4E209498170831505FFCCA5147D024E2F1E693BEFBF3B9E31A81506A7EEBC79E1704713D84415C99F1C6DA7D01';
wwv_flow_api.g_varchar2_table(1560) := '45D18757F68966373200002000494441540EDE2B2D4A11029DD1F90291AABE54819010080000064820949817083130C741D07147503BF8281F7FBD8F0981507DB8F56704415C23611057A20A2A5E29AD5B72F756F60ED64B8BEAAAB7DEBB53FDF1F67B67';
wwv_flow_api.g_varchar2_table(1561) := 'D53F1049D4071F08DD8B88ED9BBFFEF67E62350000300002A1C4BC408881F852BD23A8A61D7C948FBFDEC78440280441CC0361105742575027CFAFEC1D74FA41BB10E812740B440AF541064242200000582202A1C4BC408805F7A55447504D3BF8281F7F';
wwv_flow_api.g_varchar2_table(1562) := 'BD8F89E50E84B67EF4F9371CE35C3B6110974E5750279DBA82C61B6BABD55BC1BD2404BA047D4298E10742BB11B173F3D5B7CFF4B6850000C0E2120825E605422CA8BD591D41CD71E349DFFDF9DC71CD7206428220E68630884BA72BA893995D41B51068';
wwv_flow_api.g_varchar2_table(1563) := 'EAC53897A04F0833CC40683722B66FBEFAF6FDFC22000060E80442897981100B66AF4B475073DC78D277BA4C9F35CB15086DFD88208839220CE2528D37D6D623E2F5D2BA2577B8B277B09A9A186FACDDAEDE0A4E087495FA8430C308841E46C4DD88D8B9';
wwv_flow_api.g_varchar2_table(1564) := 'F9392110000070442094981708B1209A41D0B14ECFCDC693BED365FAAC598E404810C4DC110671A9C61B6BFB11F15C69DD92DB5AD93B98FAE6508568DBF6DD35EA13C22C6E20F4302276AA10E841E2520000C092130825E60542CCB9DFCDBC35DCB14ECF';
wwv_flow_api.g_varchar2_table(1565) := 'CDC693BED365FAAC1976202408622E0983B834BA823A99EA0A1202CD993E21CC62054287A3E34EA0DF784708040000CC24104ACC0B849853BF5B786BB8639D9E9B8D277DA7CBF45933CC4068EB870541CC29611097465750270F23623D226E572190CF56';
wwv_flow_api.g_varchar2_table(1566) := '9A377D4298F90F840E6314DB2BBFF18E17250000402F02A1C4BC408839F3E54C4750F618E9326E3CE93B5DA6CF9A6105428220E69A30884B31DE585B8D88AF95D6C142E813C2CC6720741811DB2BBF2904020000CE4E20949817083127BE5CE808CA1E23';
wwv_flow_api.g_varchar2_table(1567) := '5DC68D277DA7CBF459338C4068EB870441CCB90F9516C0196D9716C0C2E8F22AA658CF4CF4DE4EC7DA917B3189E7577EF39D5541100000705E8F3DF5DAE62862B75E1BD5FE9EAEF518277EC16DF66546C56D9ED41B135D2ED7EBBA465DB6D1673C6AFEF3';
wwv_flow_api.g_varchar2_table(1568) := 'CA07072F6C06CCF0FA9BCFDF1ED582A0E8F09CEBBA6ED42A968FBFDEC744E6388AC4B5F5BAAE5163DC9C6FD55A47E2ECF1695110C442D019C485D315C46075793553AC67267A6F6766ED5E446CAFFCD63BFB8955000000E7A24328317FF91D422F7FE3DA';
wwv_flow_api.g_varchar2_table(1569) := '17FDE22D2DAFBF59EB084A3C0F4BE3AEEB26AD62F9F8EB7D4C2C6687D0D60FAD0B82580C3A83B80C5E9C304C5D5EC514EB9989DEDB49D67623E2C32BBFF5CEBA20080000B82C3A8412F397DF21F4990F0E5EF00367A6ECBFF9EDB72346A71D4189E76169';
wwv_flow_api.g_varchar2_table(1570) := 'DC75DDA8552C1F7FBD8F89C5EB101204B150740671A17405B114BABC9A29D63313BDB7131147FF09DB5EF9ED77EE67560100005C381D4289F9CBEF10DAFDC6B52F7ADB38AA20E8A823A875DCE9104AD7268D7173BE556B1D89F5F1D60F0A8258303A83B8';
wwv_flow_api.g_varchar2_table(1571) := '685E90307C5D5EC514EB9989EEDB7918119F8D493CB9F2DBEF6C0A82000080ABA64328317FF91D429FD621C4BD5A1014A9E34E8750BA366A8C9BF3AD5AEB483C26086221E90CE2C28C37D66E45C4FDFA87D5C1A075793553AC6726F2DB7918113B11B1B3';
wwv_flow_api.g_varchar2_table(1572) := 'F2DA3B0F32AB000000AE8C0EA1C4BC0E212EC9BD5647D0A9D671A743285D9B34C6CDF9566DEA48DCFA0141100B4A671017E98E2088A5D2E5554CB19E9968970F23E2E598C4EACA6BEF6C0B8200008079A1432831AF43884BF046B223E854EBB8D32194AE';
wwv_flow_api.g_varchar2_table(1573) := '8D1AE3E67CAB7632230862A1E90CE242E80A62A975793553AC672646711811DB2BBFF38E171B0000C05CD3219498D721C40579A3D811D41CD7AA3A84D2B54963DC9C9FAE6D7DFFFA3D3F9B61A1E90CE2A26C0A82585A5D5EC514EBAD89F723626BE577DE';
wwv_flow_api.g_varchar2_table(1574) := '5915040100008B408750625E871017E02B9D3A829AE35A558750BA366A8C9BF3A704410C82CE202EC47863ED7E443C515A0783D6E5D54CB13EBA1711DB2B9F7F673FB302000060AEE9104ACCEB10E28CBED2BB23A839AE557508A56B93C678BABCF57D82';
wwv_flow_api.g_varchar2_table(1575) := '20064218C4B98D37D63623E295D23A580A670F848E42A02F1C08810000808527104ACC0B84E8A9D91114BD9E1FF571AD2A104AD7268DF191ADEF15043120C220CE4D571034F40B8476AB10E87E66050000C042120825E6054274F46615044D121FCBD0FD';
wwv_flow_api.g_varchar2_table(1576) := 'F9511FD7AA02A1746DFA7012043138C220CE455710649403A1A310E88B4220000060B8044289798110056F7EB5EA089A1C054117F77CA9550542E9DAD1175BDF2308628084419CCB7863EDBD88F8A6D23A584AED40E8618C622722EE0A81000080652110';
wwv_flow_api.g_varchar2_table(1577) := '4ACC0B84C8F8EA571B1D41D30FED94EECF8FFAB8561508A56A5BDFF39C20886112067166E38DB5F58878BDB40E96DA5120F4302276226267E54B070F4A17010000181A8150625E2044C3711074FC1941278FEDF4433BA5FBF3A33EAE550542755B2F0982';
wwv_flow_api.g_varchar2_table(1578) := '183061106736DE58DB8F88E74AEB60891D46C4768CE25521100000B0EC04428979811095B79A1D419549E38B8B7BBED4AA02A11004B10C84419C89AE2098E93022B657F60EBC88000000A8110825E605424BEFADAF7E47D51134497E46D0A4F1C5C53D5F';
wwv_flow_api.g_varchar2_table(1579) := '6AD5E50E8404412C850F951640C69DD2025842F722626B65EF605510040000D0F6D853AF6D8E2276EBB551EDEFE95A8F71FB335B0B971915B779526F4C74B95CAFEB1A75D9469FF1A8F9CFA73F3878C1FF51E7D46910148FA78F86DA78D418A7D6F41AD7';
wwv_flow_api.g_varchar2_table(1580) := 'AA89E76169DC75DDA8552C1F7FBDEF63E6388AC4B535D60982581A3A83E86DBCB1B61A115F2BAD832572AFEA04DA2F2D040000408750725E87D0D279BB0A829A6F0D973E1A6AE349639C5AD36B5CAB2E5787D0D6A704412C119D419CC57669012C89DD88';
wwv_flow_api.g_varchar2_table(1581) := '787E65EF605D10040000D09D0EA1C4BC0EA1A5F276AD23A8FDB8A78E86DA78D418A7D6F41AD7AACBD321240862E9E80CA2175D4110518540DB2B7B07F74B0B010000C8D3219498D7213478EF643A82DA8F7BEA68A88D278D716A4DAF71AD3AEC0EA1ADEF';
wwv_flow_api.g_varchar2_table(1582) := '1604B1847406D197AE2096D5C388F86C443CB9B277B02908020000383F1D4289791D4283F6CE8C8EA0F6E39E3A1A6AE351639C5AD36B5CAB0EB7434810C4D2D2194467E38DB55B11F107A57530300F236227227656F60E1E9416030000D09F0EA1C4BC0E';
wwv_flow_api.g_varchar2_table(1583) := 'A1C139E8D811D47EDC5347436D3C698C536B7A8D6BD56175086DFDE9E7F605412C2D9D41F471A7B40006E430227E22225657F60EB6054100000097478750625E87D0A01CF4E8086A3FEEA9A3A1361E35C6A935BDC6B5EA703A8404412C3D9D4174527505';
wwv_flow_api.g_varchar2_table(1584) := 'DD8FC66F2EC0001D569F07E405020000C015FBFABB2FBE3789F8A67A2DD51351EA16688D133FFE9A7D997287C249BD31D1E572BDAE4B87D0C2FB7FDFAA3A8226FD3A82DA8F7BEA68A88D278D716A4DAF71ADBAD81D425BDFF5314110E80CA2AB3B822006';
wwv_flow_api.g_varchar2_table(1585) := 'EEFD88D85AD93B5815040100005C9BF5D1D1FFCF4EA47A224ADD02AD71A29D60F665CA1D0A27F5C64497CBF5BA2E1D420BED38088A88C7FB3E57DA8F7BEA68A88D478D716A4DAF71ADBAB81D428220A8E80CA24857100377AFEA04DA2F2D040000E0F27D';
wwv_flow_api.g_varchar2_table(1586) := 'FDDD176F559FABA243A831286FA3CF78D2FC4787D005FBDB6F7DC7ED491504D5EB7D9F2BEDC73D7534D4C693C638B5A6D7B8565DAC0EA1ADEF1404C1099D4174F192208801FA5C443CBFB277B02E08020000981F8F3DF5DA031D4289791D420BE56F571D';
wwv_flow_api.g_varchar2_table(1587) := '41A3C4CFD4FA3E57DA8F7BEA68A88D478D716A4DAF71ADBA381D42822068D01944D17863ED7E443C515A070B62B7EA04BA5F5A080000C0F5D1219499D72134F7FE4EA22328F998F57CAEB4B7913A1A6AE349639C5AD36B5CABCE7787D0D68B8220681106';
wwv_flow_api.g_varchar2_table(1588) := '31D378636D33225E29AD8339F730225E15020100002C168150665E2034B7FE4EED33824AFB3FCEF05C696F237534D4C693C638B5A6D7B8569DCF4048100419C22066D215C4827B18113B11B1B3B277F0A0B418000080F92310CACC0B84E6CEBB6F6D541D';
wwv_flow_api.g_varchar2_table(1589) := '41936C4750F231EBF95C696F237534D4C693C638B5A6D7B8569DAF4068EB938220C8120691A52B8805761811778540000000C32010CACC0B84E6C6BB6F6D343A825A7B353B8E333C57DADB481D0DB5F1A4314EADE935AE55E72310120441813088ACF1C6';
wwv_flow_api.g_varchar2_table(1590) := 'DA7E443C575A0773E4B07A2B38DFFC010000064620949917085DBB7A10745C6B3E2F4BFB3FCEF05C696F237534D4C693C638B5A6D7B856BDDE4068EB4F0982A0481844D278636D3D225E2FAD8339F17ED505E41B3F0000C080098432F302A16BF377AB20';
wwv_flow_api.g_varchar2_table(1591) := '68520B828E359F97A5FD1F6778AEB4B7913A1A6AE349639C5AD36B5CAB5E4F202408828E844124E90A6241DCAB3A81F64B0B01000018068150665E2074E5FE6EA32328BFFF5B7B353B8E333C57DADB481D0DB5F1A4314EADE935AE55AF3610DAFA842008';
wwv_flow_api.g_varchar2_table(1592) := '3A1306D1A22B88052004020000586202A1CCBC40E8CAFCDEDB5547D064BA2328BFFF5B7B353B8E333C57DADB481D0DB5F1A4314EADE935AE55AF2610DAFAC4C75E1704410F1F2A2D6029F9A6CEBCDA8D882757F60ED60541000000CBEBB1A75E7B1011EB';
wwv_flow_api.g_varchar2_table(1593) := 'A3A3B70D3F31AAFD3D5DEB316E168A971915B779526F4C74B95CAFEB1A75D9469FF1A8F9CFA73F387861E97F007F1C0445C4E3A5C7F4B4D6DAABD9719CE1B9D2DE46F35A1BEB468D716A4DAF71AD9A781E96C65DD78D8EFE1204C119E80C62CA78636D35';
wwv_flow_api.g_varchar2_table(1594) := '22BE565A07576CB7EA04BA5F5A080000C0F2D0219499D7217469DE7B3BFD1941A5C7F4B4D6DAABD97174D86E699C3E1A6AE349639C5AD36B5CAB5E4E87D0D60BDF260882B3D01944D37669015C918711F172447CC3CADEC1A62008000080261D4299791D';
wwv_flow_api.g_varchar2_table(1595) := '4297E2BD7A475063AEF4989ED65A7B353B8E0EDB2D8DD347436D3C6A8C536B7A8D6BD58BEF101204C139E80CE2C47863ED5644FC41691D5CB28711B113113B2B7B070F4A8B010000408750665E87D085793FD711D458577A4C4F6BADBD9A1D4787ED96C6';
wwv_flow_api.g_varchar2_table(1596) := 'E9A3A1369E34C6A935BDC6B5EAC574086D7D5C1004E7220CE2C47863ED4E44FC64691D5C92C3EAADE07C63070000A0378150665E20746EEFD73A82A2CBBE2A3CA6A7B5D65ECD8EA3C3764BE3F6B536D64D1AE3D49A5EE35AF57C819020082E80308813E3';
wwv_flow_api.g_varchar2_table(1597) := '8DB5F7A2F18209AE8010080000800B2110CACC0B84CEAC19041D2BEEABC2637A5A6BEDD5EC383A6CB7346E5F6B63DDA4314EADE935AE55CF16086D6D0882E042088388380A826E47C4EF95D6C105BA578540FBA585000000D0954028332F10EAEDEF65DE';
wwv_flow_api.g_varchar2_table(1598) := '1AEE58715F151ED3D35A6BAF66C7D161BBA571FB5A1BEB268D716A4DAF71ADDA2F101204C105FA5069014BE3A5D202B820F722E2F995BD8375411000000017EDB1A75E7B1011EBA388F7EBF5D687DB77F830FBD638F169F7B32F332A6EF3A4DE98E872B9';
wwv_flow_api.g_varchar2_table(1599) := '5ED735EAB28D3EE351F39F4F7F70F0C2607E70FFF76A1D41D9C7AC342E3CA6A7B5D65ECD8EA3C3764BE3F6B536D68D1AE3D49A5EE35A35F13CCC8C054170C184411C130671D97623E2492110000000974D209499170875F2F7DFFEF8ED518CA6DE1A2EFB';
wwv_flow_api.g_varchar2_table(1600) := '9895C685C7F4B4D6DAABD97174D86E69DCBED6C6BA51639C5AD36B5CAB96032141105C026F13478C37D66E45C41F94D6C119ED566F0777BFB4100000002E92B78CCBCC7BCBB8ACBFFFF6C7A73E23A8B927B38F59695C784C4F6BADBD9A1D4787ED96C6ED';
wwv_flow_api.g_varchar2_table(1601) := '6B6DAC9B34C6A935BDC6B56AFA2DE3B6BE431004974267101111B74B0BA0A78711F172447CC3CADEC1A62008000080EBA0432833AF4328E91FBCFDF1DBA35A1014893D997DCC4AE3C2637A5A6BEDD5EC383A6CB7346E5F6B63DDA8314EADE935AE55DBCF';
wwv_flow_api.g_varchar2_table(1602) := '4341105C2261101111EBA505D0D17108B4BAB277B0BDB277F0A07401000000B84C02A1CCBC4068CA3F78E7E3B76394FE8C208150639C5AD36B5CAB9E3E0FB7BE5D100497CADBC411E38DB55723E253A57530C361F55670BE690300003097BC655C66DE5B';
wwv_flow_api.g_varchar2_table(1603) := 'C6C53F7CE7E3B727F58EA0CC5BA379CBB8C638B5A6D7F8A4BAF5FC47054170D97406111171ABB400320E23626B65EF605510040000C03CD32194995FF20EA17FF8CED167048D6A6F0D97EB84D121D418A7D6F41A8F4210045747671031DE58F324A0AF7B';
wwv_flow_api.g_varchar2_table(1604) := '5527D07E6921000000CC131D4299F925EC10FA47CD8EA0C43E69D5127B32FB9895C685C7F4B4D6DAABD97174D86E69DCBED6C6BACC7E49D50AE3ADF58F7E59100457446710D0C7BD88787E65EF605D10040000C022D22194995FB20EA17F94EA084AEC93';
wwv_flow_api.g_varchar2_table(1605) := '562DB127B38F59695C784C4F6BADBD9A1D4787ED96C6ED6B6DACCBEC97546DC6581004574C180474B11B114F0A8100000018028150667E4902A17F5C0541C71D41A57D925E33FB7992AB979E2FF9FDDFDAABD97174D86E69DCBED6C6BACC7E49D5126341';
wwv_flow_api.g_varchar2_table(1606) := '105C03611030CB7108B4B9B27770BFB41800000016854028333FF040E81F77E9084AEC93F49AD9CF935CBDF47CC9EFFFD65ECD8EA3C3764BE3F6B536D665F64BAA561B6F3D2708826BE13383F09941343D8C889D88D859D93B78505A0C0000008BCC6708';
wwv_flow_api.g_varchar2_table(1607) := '65E607F81942BF5FFA8CA0D278FA2ED4CAB39F27B97AE9F992DFFFADBD9A1D4787ED96C6ED6B6DACCBEC97446DEB638220B836C22084411C1302010000B094044299F9010542BF5F7B6BB8EEB73731CE041F02A1C6B8BD461004D74C18843088C388D85E';
wwv_flow_api.g_varchar2_table(1608) := 'D93BF00D19000080A52510CACC0F2010FAFDC6670445AFDB9B1867820F8150637C6AEBDB044170ED7C66105185012C9FC388D85AD93B581504010000B0EC7C8650667EC13F43E89FBCF3C2ED5123088A5EB73731CE7C568ECF106A8C8F0882604E088388';
wwv_flow_api.g_varchar2_table(1609) := '88B85F5AC0A0DC8B88E78540000000304D2094995FD040E89F1CBC5075048D1EBFD8DB9F0D3E0442D3FB4510047344184444C47BA5050CC27108B4BEB277B05F5A0C000000CB482094995FB040E89F1E541D41A3E38EA0F6FD8B5EB737319EBE0BB5F2EC';
wwv_flow_api.g_varchar2_table(1610) := 'E749AE5E7ABEE46F7F6BAF66C7D161BBA571FB5A1BEB8EBE1004C19C110611C2A0C1DB8D88278540000000D08D402833BF2081D03F3DE9088AA38EA05A4A71B1B7BF75176AE5D9CF935CBDF47CC9DFFED65ECD8EA3C3764BE3F6B54EADDBFAA82008E68E';
wwv_flow_api.g_varchar2_table(1611) := '3088A8BE39323CC721D0E6CADE81B702040000801E044299F9390F84FED941FB33824651BF4281D049ADE773A5BD8DE6B54644C4D647BF551004F36834994C4A6B5802E38DB5FB11F144691D73EF6144EC44C4CECADEC183D26200000060B6AFBFFBE2AD';
wwv_flow_api.g_varchar2_table(1612) := '88D89F447C53BD3EA9FD3D5DEB314EFC586EF66526C56D9ED41B135D2ED7EBBA265DB6D1673C69FEB3FB8D6B5FDC8C1EFE59AD232872D735391D5DECED6FDD855A79F6F324572F3D5FF2B7BFB557B3E3E8B0DDD2B876AD5BDF2A0882B9A5338863AF9616';
wwv_flow_api.g_varchar2_table(1613) := '30D71E46C4CB11B1BAB277B02D08020000808BA14328333F671D42FF5F23088ADC758D4E47177BFB5B77A1569EFD3CC9D54BCF97FCED6FEDD5EC383A6CB734AE2A822098733A838838EA0CBA1D11BF575AC7DC398C88ED95BD03DF6C010000E012E910CA';
wwv_flow_api.g_varchar2_table(1614) := 'CCCF4187503D08EA7C5B26A7A3CE97E93A9EBE0BB57273CFA615AFABF0989ED65A7B353B8E0EDB9D31DE7AF65B7FD7CFA660CE098338E1ADE2168A1008000000AE984028337F8D81D03F3F78E1F6A4D111D4F9B64C4E479D2FD3753C7D176AE5E69E4D2B';
wwv_flow_api.g_varchar2_table(1615) := '5E57E1313DADB5F66A761C1DB69B180B826041789B38EA764A0BB876F722E2F995BD835541100000005C2D6F199799BFA6B78CFBE75547D0A816044562BBA9DA68AAE82DE34E6A85ED36C6822058203A833831DE58BB1511F7A3F10D94B970AFEA04DA2F';
wwv_flow_api.g_varchar2_table(1616) := '2D040000002E970EA1CCFC1576087DD0A123A8F36D999C8E3A5FA6EB78FA2ED4CACD3D9B56BCAEC2637A5A6BEDD5EC383A6C7712B1F58C2008168A308829E38DB5ED88F84C691D5766B70A81EE9716020000005747209499BF8240A87A779BE4670495C6';
wwv_flow_api.g_varchar2_table(1617) := 'D93593D351E7CB741D4FDF855AB9B967D38AD755784C4F6BADBD9A1DC7ECED6E3D2D088285230C628AEEA0B9210402000080392710CACC5F7E209459D76D9C5D33391D75BE4CD771F6B637F76C5AF1BA0A8FE969ADB557B3E3486F5710040B4A18448BEE';
wwv_flow_api.g_varchar2_table(1618) := 'A06BF3B0FACD969D95BD8307A5C5000000C0F5130865E60542ED71F6B637F76C5AF1BA0A8FE969ADB557B3E398DEEED69A200816963088A4F1C6DAFD8878A2B48E0B210402000080052610CACC0B84DAE3EC6D6FEED9B4E275151ED3D35A6BAF66C771B4';
wwv_flow_api.g_varchar2_table(1619) := '5D41102C38611049E38DB5F58878BDB48E7339ACDE0ACE3752000000587002A1CCBC40A83DCEDEF6E69E4D2B5E57E1313DADB5F66A6EBCF591670541B0E88441648D37D67622E2C74BEBE84D0804000000032410CACC0B84DAE3EC6D6FEED9B4E275151E';
wwv_flow_api.g_varchar2_table(1620) := 'D3D35A6BAF36C782201808611059E38DB55B11B11F8D17309CD9BD2A04DA2F2D0400000016934028332F106A8FB3B7BDB967D38AD755784C4F6BADBD7A6CEB5B04413018C220661A6FACDDAE02A1C74B6BC91202010000C012110865E60542ED71F6B637';
wwv_flow_api.g_varchar2_table(1621) := 'F76C5AF1BA0A8FE969ADB55705413030C2208AC61B6B9B11F14A691D2DBB550874BFB41000000018168150665E20D41E676F7B73CFA615AFABF0989ED64E66B6BE59100483230CA2139F1FD48B10080000001008E5E60542ED71F6B637F76C5AF1BA0A8F';
wwv_flow_api.g_varchar2_table(1622) := 'E9696D220882811206D1D97863ED6E447CBAB46E493D8C889D88B82B04020000008E098432F302A1F6387BDB9B7B36AD785D85C73422B69E7A764F100403250CA297F1C6DA7BD178F1B2E48E43A09D95BD8307A5C5000000C0F2110865E60542ED71F6B6';
wwv_flow_api.g_varchar2_table(1623) := '37F76C5AF1BAF28FA92008064E18442FE38DB55B11B12F108AC388D88E8857854000000040894028332F106A8FB3B7BDB967D38AD7D57E4C0541B0048441F4B6E481D061F57940BE4102000000BD088432F302A1F6387BDB9B7B36AD785DA785ADFF5810';
wwv_flow_api.g_varchar2_table(1624) := '044B4118C4995481D0CE127D86D0BDEAADE05E2D2D04000000C8110865E60542ED71F6B637F76C5AF1BA2682205826C220CE65BCB17677E081D0BDAA1368BFB410000000A00B8150665E20D41E676F7B73CFA6CDD8F6D6879F1104C1321106716EE38DB5';
wwv_flow_api.g_varchar2_table(1625) := 'CD8878A5B46EC1EC569D40EF951602000000F42510CACC0B84DAE3EC6D6FEED9B4C4B60541B08484415C88F1C6DAED88B83B80CF11DAAD3A81EE9716020000009C874028332F106A8FB3B7BDB967D36AF59FB8FDCCDE4E66193060C2202E4CF53942DB11';
wwv_flow_api.g_varchar2_table(1626) := 'F1E3A5B573E6611564ED088100000080AB2410CACC0B84DAE3EC6D6FEED9B449C4EEED67F63633D3C0C00983B870E38DB5F588D859802EA187D5EDDC59D93B78505A0C00000070190442997981507B9CBDEDCD3DDBB2FB4D8220586AC2202E4DF55942DB';
wwv_flow_api.g_varchar2_table(1627) := '11F14469ED153BAC6ED7AB4220000000601E088432F302A1F6387BDB9B7BF6842008100671F9E62814DA8D88BB2B7B07FBA58500000000574D2094991708B5C7D9DBDEDCB38220E08830882B53BD7DDC66447CBAB4F6027D2E225ED505040000002C0281';
wwv_flow_api.g_varchar2_table(1628) := '50665E20D41E676FFB4965F73F120401156110576EBCB1762B22D623E2A5EADF8BEC187A3F22F623627F65EFE0D5D26200000080792310CACC0B84DAE3EC6D9F08828029C220AEDD78636D35226ED7FEDCAAFE7D7CC6C5EE55FFBE1711F723E23D6FFF06';
wwv_flow_api.g_varchar2_table(1629) := '0000000C854028332F106A8FDBB77DF73F7CE64B8220608A300800000000E6904028332F106A8F4F6FBB200848FA5069010000000070F51E7BEAB50711B13E3A7A5BFC13A3DADFD3B51EE366A1789951719B27F5C64497CBF5BAAE51976DF4198F52FF24';
wwv_flow_api.g_varchar2_table(1630) := 'D6751B67D78C4E479D2FD3757C3410040159C2200000000098535520B4398A7858AF8F6A7F4FD77A8C1389C4ECCB0884BA8EB36B46A7A3CE97E936DEFD9382206006611000000000CCB1C79E7AEDBDAA434820D41894B7D1673C4AFD9358D76D9C5D333A';
wwv_flow_api.g_varchar2_table(1631) := '1D75BECCECF1EE9F7C5A1004CC260C0200000080392710CACC0B8476FF034110D0813008000000001680402833BFBC81902008E84C1804000000000B422094995FBE4068F7DF1704013D0883000000006081088432F3CB1308098280DE844100000000B0';
wwv_flow_api.g_varchar2_table(1632) := '60044299F9E10742BBFF9E200838036110000000002C208150667EB88190200838336110000000002C288150667E7881D0EEBF2B0802CE411804000000000B4C2094991F4E20240802CE4D1804000000000B4E2094995FFC404810045C08611000000000';
wwv_flow_api.g_varchar2_table(1633) := '0C80402833BFB881D0EE9F78FA8B8220E0420883000000006020044299F9C50B8476FFC49A2008B838C2200000000018108150667E7102A1DD7F4710045C306110000000000C8C4028333FFF81902008B814C2200000000018208150667E7E03A1DD7F5B';
wwv_flow_api.g_varchar2_table(1634) := '10045C126110000000000C944028333F7F81902008B854C2200000000018308150667E7E02A1DD7F4B10045CB2D1643229AD010000000016DCD7DF7DF17644EC4F221EAFD727B5BFA76B3DC6891F31CEBECCA4B8CD937A63A2CBE57A5DD7A4CB36FA8C27';
wwv_flow_api.g_varchar2_table(1635) := 'A97F12EB2222E2DE1F5FFBE27A005C329D4100000000B004740865E6AFAF43E8FD88782900AE8030080000000096844028337FF581D0BD8858FFE36B5F7C100057C0DBC401000000C092F1967199F9AB79CBB8DD6FF41941C015D31904000000004BA6EA';
wwv_flow_api.g_varchar2_table(1636) := '105A1D1DBD55D9091D425DB6D167DCEA10120401D7421804000000004BE8B1A75E7B50BD659C40A831286FA3CFF824097AF9494110704DBC4D1C000000002CB9AFBFFBE2DD49C4A7EB356F19D7651B9DC60F23E2CE931FF9C2DD00B826C2200000000020';
wwv_flow_api.g_varchar2_table(1637) := 'BEFEEE8B9B938857EA358150976DCC1C1F46C44BAB1FF9C27B01708DBC4D1C00000000108F3DF5DADD51C487AB0023C25BC69DF72DE33E1711B70541C03CD01904000000009CF8FABB2FDE9A44DC8D884F1DD7740875D9C6C9F861446C3FF1912FEC242E';
wwv_flow_api.g_varchar2_table(1638) := '02702D84410000000040CB1FBDFBE29D88D88E88C74320D435107A7F12B1F9846E2060CE08830000000080A43F7AF7C5D538EA127A2E0442B302A18711B1F36F7EE40BDB8969806B270C020000000066FAA3775FDC8C889D88785C20D4DAC6E722E2CE1F';
wwv_flow_api.g_varchar2_table(1639) := 'FBC817EE07C09C12060100000000457FF4EE8BB7AAB78DFB718150C424E2302236FFD847BEB01F00734E1804000000007456BD75DCF624E2D34B1A081D46C4F6BFF12D5FB81B000B42180400000000F4F647EFBE787B12B11D31F954BD5E0A5D1638103A';
wwv_flow_api.g_varchar2_table(1640) := '8C88ED7F5D08042C2061100000000070667FF8EE8BAB1193ED88F8F471AD14BA2C5820F4FE24624708042C32611000000000706E7FF8EE27572362B3FAF3442974598040683722EEFE6BDFF2799F09042C3C61100000000070A1FEF0DD4FBE14112F4D22';
wwv_flow_api.g_varchar2_table(1641) := '5E8A88C78FEBA510660E02A17B117137225EFD57BFE5F30F026020844100000000C0A579580543D59FC74BE1CD3504429F8B88572362FF5FF996CFDF4F5E1060C1098300000000802BF1F0DD4FDEAE3A86D623E2F671D7D0150742F722623F22F6FF656F';
wwv_flow_api.g_varchar2_table(1642) := '01072C096110000000CB5925680000035A4944415400702D1E1C8543B72362B50A885623E289B89840E87012713F22DEABFEDCFF97BE59F8032C276110000000003057FEE0DD4FAE46C46AF5A3CBDB1171EB782E13083D380A7C263189B8FF2F7EB3B77B';
wwv_flow_api.g_varchar2_table(1643) := '03A813060100000000000CD8874A0B000000000000585CC2200000000000800113060100000000000C983008000000000060C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C220';
wwv_flow_api.g_varchar2_table(1644) := '0000000000800113060100000000000C983008000000000060C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C2200000000000800113060100000000000C983008000000000060';
wwv_flow_api.g_varchar2_table(1645) := 'C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C2200000000000800113060100000000000C983008000000000060C0844100000000000003260C02000000000018306110000000';
wwv_flow_api.g_varchar2_table(1646) := '0000C0800983000000000000064C180400000000003060C2200000000000800113060100000000000C983008000000000060C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C220';
wwv_flow_api.g_varchar2_table(1647) := '0000000000800113060100000000000C983008000000000060C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C2200000000000800113060100000000000C983008000000000060';
wwv_flow_api.g_varchar2_table(1648) := 'C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C2200000000000800113060100000000000C983008000000000060C0844100000000000003260C02000000000018306110000000';
wwv_flow_api.g_varchar2_table(1649) := '0000C0800983000000000000064C180400000000003060C2200000000000800113060100000000000C983008000000000060C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060C220';
wwv_flow_api.g_varchar2_table(1650) := '0000000000800113060100000000000C983008000000000060C0844100000000000003260C020000000000183061100000000000C0800983000000000000064C180400000000003060FF3F4E819089424CB1340000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(4479190057635053)
,p_file_name=>'img/favicon.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/img_execute_plsq_code_screenshot_png
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000002EC000002A808060000002CE9AA8600000AC4694343504943432050726F66696C65000048899597075853C916C7E7DEF4460B202025F48E14E952420F5D3AD8084920A1C490109A1D595C81B5A02202EA82';
wwv_flow_api.g_varchar2_table(2) := '8A200AAE0590B520162C2C8A0DAC1B641150D6C5021654F6024BD87DEF7BEF7DEF9F6F32BF9C9C396766EECCF79D0B0085CC140852613900D2F819C2305F0F5A4C6C1C0DD70F2080473E4E409FC91209E8A1A18100D16CFF4F8D3F40BC11DD359F8AF5EF';
wwv_flow_api.g_varchar2_table(3) := 'FFFF57C9B3392216005028C2096C112B0DE153487BCB1208330040D52276DDAC0CC1147722AC28442688B0648A9366F8FD14274C331A3FED1311E689B03A00783293294C02806C84D86999AC24240ED90F614B3E9BC747381B61571697C946B80561B3B4';
wwv_flow_api.g_varchar2_table(4) := 'B49553FC1BC246097F8B93F48F9809D2984C66929467D6322DBC174F244865E6FC9FDBF1BF95962A9ECD6180343257E81786F46AC89EF5A6AC0C90323F2138649679EC69FF69E68AFD22679925F28C9B6536D32B403A363538709613793E0C699C0C46C4';
wwv_flow_api.g_varchar2_table(5) := '2C7344DEE1B32C5C1926CD9528F4A4CF32533897579C1229B573390C69FC5C6E44F42C67F2A282675994121E30E7E329B50BC561D2F973F8BE1E73797DA46B4F13FD6DBD3C86746C0637C24FBA76E6DCFC397CFA5C4C518C746E6C8E97F79C4FA4D45F90';
wwv_flow_api.g_varchar2_table(6) := 'E121CD25480D95FA73527DA5765166B8746C067220E7C6864AF73099E91F3ACB2010F8021A608050108EF43E2012B104023FE0054006273B636A419E2B0539425E12378346476E1A87C6E0B32CCC68D696568E004CDDDB9963F1AE77FA3E42CAF8395B3A';
wwv_flow_api.g_varchar2_table(7) := 'F29C9D90E708A7CDD9E291DC2DA300C8B1E66CFA66C891EA00A06D194B2CCC9CB1A1A7BE30800864812250059A4017180173600DEC80337007DEC01F848008100B960316E082342004596035D8000A4011D806768172B01F1C00B5E01838019AC1597011';
wwv_flow_api.g_varchar2_table(8) := '5C0537C16D701F3C061230005E8151300E262008C24114880AA9425A903E640A59430E902BE40D054261502C140F25417C480CAD863642455009540E554175D04FD019E822741DEA861E427DD030F416FA0CA36032AC086BC006F002D801A6C3017004BC';
wwv_flow_api.g_varchar2_table(9) := '0C4E82D3E15C381FDE0297C1D5F051B809BE08DF84EFC312F8153C860228124A19A58D324739A03C5121A83854224A885A8B2A4495A2AA510DA8565407EA2E4A821A417D4263D154340D6D8E7646FBA123D12C743A7A2DBA185D8EAE4537A12FA3EFA2FB';
wwv_flow_api.g_varchar2_table(10) := 'D0A3E86F180A461D638A71C230303198244C16A600538AA9C19CC65CC1DCC70C60C6B158AC32D6106B8FF5C3C66293B1ABB0C5D8BDD8466C1BB61BDB8F1DC3E170AA38539C0B2E04C7C465E00A707B7047711770777003B88F78125E0B6F8DF7C1C7E1F9';
wwv_flow_api.g_varchar2_table(11) := 'F83C7C29FE08FE3CFE0E7E103F419023E8139C082104362187B0957090D04AB84518204C10E58986441762043199B88158466C205E213E21BE2391483A2447D262128FB49E54463A4EBA46EA237D222B904DC89EE4A56431790BF930B98DFC90FC8E42A1';
wwv_flow_api.g_varchar2_table(12) := '1850DC2971940CCA164A1DE512E519E5A30C55C6428621C39659275321D3247347E6B52C41565F962EBB5C3657B654F6A4EC2DD91139829C819CA71C536EAD5C85DC19B91EB93179AABC957C887C9A7CB1FC11F9EBF2430A380503056F05B642BEC20185';
wwv_flow_api.g_varchar2_table(13) := '4B0AFD54145597EA49655137520F52AF500714B18A868A0CC564C522C5638A5D8AA34A0A4A0B95A294B2952A94CE29499451CA06CA0CE554E5ADCA27941F287F9EA7318F3E8F336FF3BC867977E67D5099AFE2AEC25129546954B9AFF25995A6EAAD9AA2';
wwv_flow_api.g_varchar2_table(14) := 'BA5DB559F5A91A5ACD446DB15A96DA3EB52B6A23F315E73BCF67CD2F9C7F62FE237558DD443D4C7D95FA01F54EF5310D4D0D5F0D81C61E8D4B1A239ACA9AEE9AC99A3B35CF6B0E6B51B55CB5785A3BB52E68BDA429D1E8B4545A19ED326D545B5DDB4F5B';
wwv_flow_api.g_varchar2_table(15) := 'AC5DA5DDA53DA163A813A993A7D3A8F35497A8EBA09BA8BB53B75D77544F4B2F486FB55EBDDE237D82BE833E577FB77E87FE0703438368834D06CD0643862A860CC35CC37AC32746142337A374A36AA37BC6586307E314E3BDC6B74D60135B13AE4985C9';
wwv_flow_api.g_varchar2_table(16) := '2D53D8D4CE9467BAD7B4DB0C63E668C637AB36EB31279BD3CD33CDEBCDFB2C942D022DF22C9A2D5E2FD05B10B760FB828E05DF2C6D2D532D0F5A3EB652B0F2B7CAB36AB57A6B6D62CDB2AEB0BE6743B1F1B15967D362F366A1E942CEC27D0B7B6DA9B641';
wwv_flow_api.g_varchar2_table(17) := 'B69B6CDB6DBFDAD9DB09ED1AEC86EDF5ECE3ED2BED7B1C141D421D8A1DAE39621C3D1CD7399E75FCE464E794E174C2E90F6773E714E723CE438B0C1771161D5CD4EFA2E3C274A97291B8D25CE35D7F7495B869BB31DDAADD9EBBEBBAB3DD6BDC07E9C6F4';
wwv_flow_api.g_varchar2_table(18) := '64FA51FA6B0F4B0FA1C7698F0F9E4E9E6B3CDBBC505EBE5E855E5DDE0ADE91DEE5DECF7C747C927CEA7D467D6D7D57F9B6F961FC02FCB6FBF53034182C461D63D4DFDE7F8DFFE5007240784079C0F340934061606B101CE41FB423E849B07E303FB83904';
wwv_flow_api.g_varchar2_table(19) := '84304276843C0D350C4D0FFD79317671E8E28AC52FC2ACC25687758453C357841F091F8FF088D81AF138D228521CD91E251BB534AA2EEA43B4577449B4246641CC9A989BB16AB1BCD896385C5C545C4DDCD812EF25BB960C2CB55D5AB0F4C132C365D9CB';
wwv_flow_api.g_varchar2_table(20) := 'AE2F575B9EBAFCDC0AD915CC1527E331F1D1F147E2BF304398D5CCB104464265C228CB93B59BF58AEDCEDEC91EE6B8704A3883892E89258943492E493B9286B96EDC52EE08CF9357CE7B93EC97BC3FF9434A48CAE194C9D4E8D4C6347C5A7CDA19BE023F';
wwv_flow_api.g_varchar2_table(21) := '857F79A5E6CAEC95DD025341814092EE94BE2B7D541820AC1141A265A2960C45A440EA141B89BF13F765BA6656647ECC8ACA3A992D9FCDCFEECC31C9D99C3398EB937B68157A156B55FB6AEDD51B56F7ADA1AFA95A0BAD4D58DBBE4E775DFEBA81F5BEEB';
wwv_flow_api.g_varchar2_table(22) := '6B371037A46CF825CF32AF24EFFDC6E88DADF91AF9EBF3FBBFF3FDAEBE40A64058D0B3C979D3FEEFD1DFF3BEEFDA6CB379CFE66F85ECC21B459645A5455F8A59C5377EB0FAA1EC87C92D895BBAB6DA6DDDB70DBB8DBFEDC176B7EDB525F225B925FD3B82';
wwv_flow_api.g_varchar2_table(23) := '7634EDA4ED2CDCF97ED78A5DD74B1796EEDF4DDC2DDE2D290B2C6BD9A3B767DB9E2FE5DCF2FB151E158D95EA959B2B3FEC65EFBDB3CF7D5FC37E8DFD45FB3FFFC8FBB1B7CAB7AAA9DAA0BAF400F640E6811707A30E761C72385457A3565354F3F530FFB0';
wwv_flow_api.g_varchar2_table(24) := 'A436ACF6729D7D5DDD11F5235BEBE17A71FDF0D1A5476F1FF33AD6D260DE50D5A8DC58741C1C171F7FF953FC4F0F4E049C683FE970B2E194FEA9CAD3D4D3854D50534ED36833B759D212DBD27DC6FF4C7BAB73EBE99F2D7E3E7C56FB6CC539A5735BCF13';
wwv_flow_api.g_varchar2_table(25) := 'CFE79F9FBC907B61AC4DD0367231E9627FFB8AF6C797622EDDBBBCF872D795802BD7AEFA5CBDD441EFB870CDE5DAD9EB4ED7CFDC70B8D17CD3EE6653A76DE7E95F6C7F39DD65D7D574CBFE56CB6DC7DBADDD8BBACFDF71BB73F1AED7DDABF718F76EDE0F';
wwv_flow_api.g_varchar2_table(26) := 'BEDFFD20F2416FCFD21E492FBB77E861EAC3378F321F4D3C5EFF04F3A4F0A9DCD3D267EACFAA7F35FEB551622739D7E7D5D7F93CFCF9E37E56FFABDF44BF7D19C87F4179513AA8355837643D7476D867F8F6CB252F075E095E4D8C14FC2EFF7BE56BA3D7';
wwv_flow_api.g_varchar2_table(27) := 'A7FE70FFA373346674E08DF0CDE4DBE277AAEF0EBF5FF8BE7D2C74ECD978DAF8C487C28FAA1F6B3F397CEAF81CFD797022EB0BEE4BD957E3AFADDF02BE3D994C9B9C143085CCE95200853438311180B78701A0C40240BD0D0071C94C5D3D2D68E65D609A';
wwv_flow_api.g_varchar2_table(28) := 'C07FE299DA7B5A76001C42BAC83600A6CAB42AF7BFCA5AE47728C211EE00B6B191B6BF244AB4B19E89456A464A93D2C9C977480D893306E06BCFE4E444F3E4E4D71A64B28F903A667CA69E9F9226F26E11D70470577ABB3582C0BFEA4F125711C84CC3CE';
wwv_flow_api.g_varchar2_table(29) := '410000019D69545874584D4C3A636F6D2E61646F62652E786D7000000000003C783A786D706D65746120786D6C6E733A783D2261646F62653A6E733A6D6574612F2220783A786D70746B3D22584D5020436F726520352E342E30223E0A2020203C726466';
wwv_flow_api.g_varchar2_table(30) := '3A52444620786D6C6E733A7264663D22687474703A2F2F7777772E77332E6F72672F313939392F30322F32322D7264662D73796E7461782D6E7323223E0A2020202020203C7264663A4465736372697074696F6E207264663A61626F75743D22220A2020';
wwv_flow_api.g_varchar2_table(31) := '20202020202020202020786D6C6E733A657869663D22687474703A2F2F6E732E61646F62652E636F6D2F657869662F312E302F223E0A2020202020202020203C657869663A506978656C5844696D656E73696F6E3E3734383C2F657869663A506978656C';
wwv_flow_api.g_varchar2_table(32) := '5844696D656E73696F6E3E0A2020202020202020203C657869663A506978656C5944696D656E73696F6E3E3638303C2F657869663A506978656C5944696D656E73696F6E3E0A2020202020203C2F7264663A4465736372697074696F6E3E0A2020203C2F';
wwv_flow_api.g_varchar2_table(33) := '7264663A5244463E0A3C2F783A786D706D6574613E0AC0E1762600004000494441547801ECDD05BC54D5FEFEF12FDD290D124A08A22036A062A18288206217A81898882D06D88A0AE215D4AB82227683625CAF28628B5D2808827449D7DF67FDEF9ADF3E';
wwv_flow_api.g_varchar2_table(34) := '7366E64C9E3367CE67BD5E8789DDEF3DC0B3D77CF73AA5B6FDD38C860002082080000208208000025929503A2BF78A9D42000104104000010410400001274060E783800002082080000208208040160B949D33674E16EF1EBB8600020820800002082080';
wwv_flow_api.g_varchar2_table(35) := '40C916285BB9726527B076ED5A6BD6AC59C9D6E0E8114000811C1150674C9D3A7572E468380C041040A0640B501253B2CF3F478F00020820800002082090E50204F62C3F41EC1E02082080000208208040C91620B097ECF3CFD123800002082080000208';
wwv_flow_api.g_varchar2_table(36) := '64B900813DCB4F10BB8700020820800002082050B20508EC25FBFC73F408208000020820800002592E4060CFF213C4EE21800002082080000208946C01027BC93EFF1C3D02082080000208208040960B10D8B3FC04B17B08208000020820800002255B80';
wwv_flow_api.g_varchar2_table(37) := 'C05EB2CF3F478F00020820800002082090E50204F62C3F41EC1E02082080000208208040C91620B097ECF3CFD12380000208208000020864B900813DCB4F10BB8700020820800002082050B20508EC25FBFC73F408208000020820800002592E4060CFF2';
wwv_flow_api.g_varchar2_table(38) := '13C4EE21800002082080000208946C01027BC93EFFC5F6E8376FDE6C7BEDB5970D183020EE63983061822D59B2C4CDFFF3CF3FDB41071D14F7B2CC88000208208000020814950081BDA8E4D96E4A02D3A64DB376EDDAD9D75F7F6D8B172F8E6B5DE3C78F';
wwv_flow_api.g_varchar2_table(39) := '0FCDDBAC59331B3B766C5CCB3113020820800002082050940204F6A2D467DB490B3CFFFCF3D6AF5F3FEBDEBDBBBDF4D24B79D6A360DEAD5B37DB65975DEC924B2EB1F5EBD7DB09279C6073E6CCB1418306D9CB2FBF6C0B162CB05B6EB9C52DA7DEFAE1C3';
wwv_flow_api.g_varchar2_table(40) := '87BB1EFB2E5DBAD8E8D1A36DDBB66D6EDA15575C61AFBEFAAA1D75D451B6EBAEBB9A5EFB697936CA0B041040000104104020430204F60CC1B2DACC09AC5AB5CAA64F9F6E071F7CB0F5EAD5CB9E7BEEB9D0C6FEFBDFFFDABFFEF52F1B356A944D9932C505';
wwv_flow_api.g_varchar2_table(41) := 'F33163C6B870DEB06143BBFAEAABED80030EB08D1B37BA00AF05EFBDF75EFBEAABAFECC5175FB4C71E7BCC05FA891327BA75FEF9E79FAE277EE4C891A68B8477DF7DD766CC9811DA1E4F1040000104104000814C0B10D8332DCCFAD32EF0DA6BAFB9D05D';
wwv_flow_api.g_varchar2_table(42) := 'A95225DB7BEFBD6DC58A15F6EDB7DFBAED28540F1C38D0F5863769D2C46EBBED36EBD4A993B568D1C2CA972F6F2A85A959B3669E7D7AFAE9A7EDBAEBAEB3C68D1B5BAB56AD6CC89021A6F77C3BF9E493AD65CB966E5AD7AE5DED8F3FFEF0937844000104';
wwv_flow_api.g_varchar2_table(43) := '1040000104322E5036E35B600308A45940A17CF6ECD976E08107BA35AF5EBDDAF57EB76FDFDEE6CD9B677DFAF4096DB179F3E6A69F686DC3860DEE46D4D6AD5B87665168D77A7CAB5FBFBE7FEA42FF962D5B42AF79820002082080000208645A80C09E69';
wwv_flow_api.g_varchar2_table(44) := '61D69F560105F559B366D9238F3C62A54A9572EBFEFDF7DFEDE69B6FB66BAEB9C6AA57AF6E2B57AE0C6D73EEDCB9F6E38F3FDAA1871E1A7A2FF8A442850A56A54A1517DA9B366DEA262D5DBAD46AD7AE1D9ACD6F27F4064F1040000104104000814214A0';
wwv_flow_api.g_varchar2_table(45) := '24A610B1D954EA02EA5D3FFCF0C36DF7DD7777A52E2A77E9DBB7AF2978ABBE5C378D4E9A34C97423E9D6AD5BED9E7BEEB1850B17BA0D972E5DDABD1FBE17EAA91F376E9C7B5BCBE96280211FC395788D00020820800002452540602F2A79B69BB0804667';
wwv_flow_api.g_varchar2_table(46) := '79E18517DC8DA6C185D503DEB3674F5716A37AF33A75EAB81A77DD94AA9B4B8F39E618377BE7CE9D4DD38337A96AC2B5D75EEB7AED15DCF5A3F55D70C105C14DF01C0104104000010410283281528B162D72E3D7AD5DBBD6DD9057647BC2861148A38086';
wwv_flow_api.g_varchar2_table(47) := '7254AB58B162DC6B5DB3668D95295326A165E25E39332250C8021AC65417AF340410400081E22F400D7BF13F871C4104814482BA5F5CB5EC34041040000104104020DB042889C9B633C2FE2080000208208000020820101020B00730788A000208208000';
wwv_flow_api.g_varchar2_table(48) := '0208208040B60910D8B3ED8CB03F0820800002082080000208040408EC010C9E2280000208208000020820906D0204F66C3B23EC0F02082080000208208000020101027B0083A70820800002082080000208649B00813DDBCE08FB830002082080000208';
wwv_flow_api.g_varchar2_table(49) := '2080404080C01EC0E0290208208000020820800002D9264060CFB633C2FE2080000208208000020820101020B00730788A0002082080000208208040B60910D8B3ED8CB03F0820800002082080000208040408EC010C9E2280000208208000020820906D';
wwv_flow_api.g_varchar2_table(50) := '0204F66C3B23EC0F02082080000208208000020101027B0083A70820800002082080000208649B40D96CDB21F60701041040203D024B962C49CF8A580B0208208040910A10D88B949F8D23800002991168D6AC596656CC5A11400001040A5D8092984227';
wwv_flow_api.g_varchar2_table(51) := '67830820800002082080000208C42F40608FDF8A391140000104104000010410287401027BA193B3410410400001041040000104E21720B0C76FC59C082080000208208000020814BA0081BDD0C9D9200208208000020820800002F10B10D8E3B7624E04';
wwv_flow_api.g_varchar2_table(52) := '104000010410400001040A5D80C05EE8E46C100104104000010410400081F80508ECF15B31270208208000020820800002852E40602F747236880002082080000208208040FC0204F6F8AD98130104104000010410400081421720B0173A391B44000104';
wwv_flow_api.g_varchar2_table(53) := '10400001041040207E01027BFC56CC890002082080000208208040A10B10D80B9D9C0D228000020820800002082010BF00813D7E2BE64400010410400001041040A0D00508EC854ECE061140000104104000010410885FA06CFCB3263EE7AA55AB6CC182';
wwv_flow_api.g_varchar2_table(54) := '05B66CD932AB5DBBB6356CD8D0AA57AF9EF88A58020104104000010410400081122A9091C0BE71E3469B3A75AAFDF8E38FD6A4491317D6E7CC9963AFBEFAAAEDB4D34ED6BD7B772B5FBE7C0925E7B01140000104104000010410885FA0D4A2458BB669F6';
wwv_flow_api.g_varchar2_table(55) := 'B56BD75AB366CDE25F32CA9C0AEBE3C68D73EB3AECB0C3F204734D7BF3CD374DE1FDECB3CFCE332DCAEA781B0104104000010410400081B4085C7BEDB53662C488B4ACAB305792F61E76F5AC2BF8F7EAD52BDF71A8575DEFABA75DF31D79E491F9E689F5';
wwv_flow_api.g_varchar2_table(56) := 'C6BA75EBECFAEBAFB772E5CAE599AD73E7CEB6FBEEBBDB8409136CE8D0A1EE71975D76B18E1D3BBA5EFECA952B5BD3A64DF32CC30B041040000104104000819225F0E79F7FDA8A152BAC66CD9AC5EAC0D31AD855B3AE32980B2FBC3026827ADE478D1A65';
wwv_flow_api.g_varchar2_table(57) := 'FBEFBF7F5235EDD75C738D298407DBE6CD9BEDD4534F0DBEE59EFFF0C30F56B76E5D027B3E19DE4000010410400001044A96C00E3BEC60BFFDF69B75EAD4A9581D785A4789D10DA6AA592FA83E5DD3359FE64F57D3D5D2EBAFBF9E677593274FB6AFBEFA';
wwv_flow_api.g_varchar2_table(58) := 'CADE7DF75DD7ABAF8973E7CE75170B37DC70833DF5D453B669D326B78C9ECF9E3DDB1E79E4117BEFBDF7DC7BFC81000208208000020820903B020AECBFFCF24BCA07346FDE3C9B397366D4F568DAAC59B3A24E4F74425A03BB1F0D269E9DD0A8314B972E';
wwv_flow_api.g_varchar2_table(59) := '8D67D67CF37CFDF5D7F6E5975F867EB66DDB66EA610F5F5F972E5DAC75EBD6B6E79E7BDA7EFBED672AA979FCF1C7ED88238EB0CB2FBFDC95D6BCFCF2CB6EFDCB972F373D6FD5AA9575E8D021DF367903010410400001041040A0780B74EBD6CDDE78E30D';
wwv_flow_api.g_varchar2_table(60) := '5BBC7871D403510F7C78A60C9FB94C993276DF7DF7D9F4E9D3C327B9F734AD62C58AF9A625FB465A03BB42B8427B3C4DF3D5AA552B9E59F3CDA3C0FEC5175F847EF2CDF0BF376AD4A8E14A67AA55ABE66A95B49C02B9AEAE2A54A8603D7AF430BDA7B0AF';
wwv_flow_api.g_varchar2_table(61) := 'D6A64D1B57A693EC7EFD6FB33C2080000208208000020864A140E3C68DAD4F9F3E76FFFDF79B3A7C2335F59EABFC3A56A8D750E5BAAFF2E1871FCE13DA15E0F59EA6695BE96A69AD61D7CEEB86528D0613AB2C46D355F4AF9EEE64DAC9279F9CAF863D9E';
wwv_flow_api.g_varchar2_table(62) := 'F5E82241415FBDF3C1F6F7DF7FBB97DC981A54E1390208208000020820907B021A00451DB62A8F1E3C78B0BBD7317894BAC752A3275E77DD7576D34D3759BD7AF5829343CF35C88A82F98D37DE187ACF87F5748CBC185AE93F4FD21AD8F54B9134CEBA86';
wwv_flow_api.g_varchar2_table(63) := '6E8C344A8CDFB0A6B76DDBD6D4035E98AD6AD5AAA611657AF7EE1DDAACC2BADE5753AF3B0D0104104000010410402077054A952AE57AD0D5C9AC12E9C30F3F3C5481E1478FD17B6AC3860D4B28B42BC0A73BAC6B3FD21AD8B542FD52248DC32E8468E3B0';
wwv_flow_api.g_varchar2_table(64) := 'AB97FB84134ED0EC196F3A295BB66C71DB51C98BAE7C0E3EF86017D275D3816E481D346850C6F7830D20800002082080000208648780F2E151471DE58605D760231AB844B5EB1AC424BC6964C35863B7FB9E762D9789B0AEF5A63DB0AB1446BF1449E3AC';
wwv_flow_api.g_varchar2_table(65) := 'EB00FD6F3A55398ACA60D4B3AEB0AE407FECB1C7667CB8C5162D5AD80B2FBC604B962CB1638E39C674B3C1BDF7DE6B55AA54B1B265CB5ADFBE7DE54043000104104000010410286102AA333FE9A493221EB56E4E7DE9A5970A1CAE5C0B672AA8FB1D4BFB';
wwv_flow_api.g_varchar2_table(66) := '6F3AF52BD6A3C665D7D08DBAD3563772366AD4285406F3C71F7FD8B3CF3E5B28A13DB84F7AAE9B0CD6AF5F6F952A550A9FC46B04104000010410400081122EE0C37AAC1AF6C224CA68602FE8408A32B417B46F4C47000104104000010410287902EFBFFF';
wwv_flow_api.g_varchar2_table(67) := 'BE4D9C383166ED7A61AB146960D7C1FAD07EFCF1C7A775F89BC286647B08208000020820800002C55FE0BBEFBE7323C3D4AD5B376B0EA6C803BB24E6CF9F6F1A80BE7EFDFA5903C38E2080000208208000020820900D0269BFE9349983526D3B0D010410';
wwv_flow_api.g_varchar2_table(68) := '400001041040000104F20BA4F5379DE65F3DEF208000020820800002082080402A0204F654F4581601041040000104104000810C0B10D8330CCCEA1140000104104000010410484580C09E8A1ECB2280000208208000020820906101027B8681593D0208';
wwv_flow_api.g_varchar2_table(69) := '208000020820800002A90810D853D163590410400001041040000104322C4060CF3030AB4700010410400001041040201501027B2A7A2C8B0002082080000208208040860508EC190666F50820800002082080000208A42240604F458F65114000010410';
wwv_flow_api.g_varchar2_table(70) := '4000010410C8B000813DC3C0AC1E0104104000010410400081540408ECA9E8B12C0208208000020820800002191620B0671898D52380000208208000020820908A00813D153D96450001041040000104104020C30204F60C03B37A041040000104104000';
wwv_flow_api.g_varchar2_table(71) := '01045211281B5C78CE9C39C1973C470001041040000104104000812216C813D86BD6AC59C4BBC3E6114000010410400001041040202840494C5083E70820800002082080000208649900813DCB4E08BB8300020820800002082080405080C01ED4E03902';
wwv_flow_api.g_varchar2_table(72) := '0820800002082080000259264060CFB213C2EE2080000208208000020820101420B00735788E0002082080000208208040960910D8B3EC84B03B0820800002082080000208040508EC410D9E238000020820800002082090650204F62C3B21EC0E020820';
wwv_flow_api.g_varchar2_table(73) := '80000208208000024101027B5083E70820800002082080000208649900813DCB4E08BB8300020820800002082080405080C01ED4E039020820800002082080000259264060CFB213C2EE2080000208208000020820101420B00735788E00020820800002';
wwv_flow_api.g_varchar2_table(74) := '08208040960910D8B3EC84B03B0820800002082080000208040508EC410D9E23800002082080000208209065026583FB53A3468DE04B9E23800002082080000208208040110BD0C35EC42780CD2380000208208000020820104B80C01E4B876908208000';
wwv_flow_api.g_varchar2_table(75) := '0208208000020814B10081BD884F009B4700010410400001041040209600813D960ED31040000104104000010410286201027B119F00368F00020820800002082080402C01027B2C1DA6218000020820800002082050C40204F6223E016C1E0104104000';
wwv_flow_api.g_varchar2_table(76) := '010410400081580204F6583A4C4300010410400001041040A0880508EC457C02D83C0208208000020820800002B10408ECB17498860002082080000208208040110B10D88BF804B0790410400001041040000104620910D863E9300D0104104000010410';
wwv_flow_api.g_varchar2_table(77) := '400081221620B017F10960F30820800002082080000208C412281B6B62F8B4E5CB97DB5F7FFD655BB66C099F14F375993265AC41830656AB56AD98F33111010410400001041040000104F20A24D4C39E4C58D7E614F0B52C0D0104104000010410400001';
wwv_flow_api.g_varchar2_table(78) := '0412134828B027DAB31EDC9554960DAE87E7082080000208208000020894248184027B26613A76EC683D7BF68CB9890E1D3AD885175E18739E7827FEF4D34FF6E4934FDAAA55ABDC22F3E7CFB7162D5AD8030F3CE05EAF5BB7CE4E3AE9246BD3A68D5D72';
wwv_flow_api.g_varchar2_table(79) := 'C925F6D0430FB9E973E6CC89771331E77BF6D967ED830F3E08CD73C00107D8A9A79E1A7ACD1304104000010410400001042490500D7B26C9B66DDB66FA89D5E29927D6F2C169D3A74FB79B6EBAC9F6DE7B6FAB5EBDBAD5AC59D3860F1F6EBA70507BE38D';
wwv_flow_api.g_varchar2_table(80) := '374CF35C7EF9E5B6DF7EFB59E9D2A5DDF4EDB6DB2EB89AA49F8F1831C2ADB76BD7AE6E1DBA28A856AD5AD2EB634104104000010410400081DC1448BA87BD42850A56B56AD5A82A9A56A952A5A8D30B9AA01EEF01030658FBF6EDAD5BB76EF6FAEBAFE75B';
wwv_flow_api.g_varchar2_table(81) := 'E4934F3EB17EFDFAD9AEBBEE6A279E78A27DF5D557A1794E3FFD74D75BFEE0830F5AE7CE9DAD6FDFBEF6C20B2FB8E9F7DE7BAF3DF2C823EEF9E0C183DD7C6BD7AEB5E79E7BCE7EFCF1471B3D7AB4DD7DF7DD6EFACB2FBF6C3367CEB49F7FFED94DFFFBEF';
wwv_flow_api.g_varchar2_table(82) := 'BFDDFB9AFF9A6BAEB12E5DBA987AFE070D1A647FFCF1879BA63FB4BF471C7184EDB4D34EB6E79E7B9A02FAE6CD9B5D2DFFD1471F6D6BD6ACB10F3FFCD0F45C37F3EA0261DAB469A1E5172C5860E79E7BAEEDBEFBEE6E1BDA9696519B376F9E5BEEADB7DE';
wwv_flow_api.g_varchar2_table(83) := 'B221438658A74E9DECECB3CFB6CF3EFB2CB43C4F10400001041040000104724320E9C0AEDEEE264D9AB8DEE9700AF5586BDAD6AD5BC327C5F55ACB9D79E6992EC09E70C2092EB05F71C515A690ECDB37DF7CE34A562A57AE6C975E7AA96DDCB8D1BD56B0';
wwv_flow_api.g_varchar2_table(84) := '56FBEEBBEFECDFFFFEB7EB2557785FB162855D79E595AE0446652E3BECB0839B6F8F3DF6B056AD5AB9E515CC172E5C68AD5BB7CE33BD79F3E6B668D12217DC376CD8E0965340D705802E044E39E514FBF8E38F4DDB5128D7BEA974A76CD9B2AE87FEA8A3';
wwv_flow_api.g_varchar2_table(85) := '8E7217088F3FFEB855AC58D1F5AC6B5ADDBA75DDF3F2E5CBDBF7DF7F6FB366CD72EBD6712AC86B9D679C71861D79E491F6CC33CFB8F56B06ED83F6F5EAABAF361DBF4A7734AFBE21A021800002082080000208E49640D225310AC8B367CF368559355F0B';
wwv_flow_api.g_varchar2_table(86) := 'AEB0DEA8512337CD875B3743027F7CF4D147F6C30F3FB8DE63F580ABA974E5BCF3CE0BAD65D4A851D6AC59337BF4D1474DC346F6EFDFDF545EA25AF33BEFBCD3CD57AE5C3917DA158EB7DF7E7BB7FC3BEFBC637DFAF4713DDDEAD13EFD9F90DDB2654B53';
wwv_flow_api.g_varchar2_table(87) := '8FBE6F871D76987B1D9CAE0B00DF1496557FAEC07CD65967B9B7EBD7AFEF42B942F7B265CB5CE05668D73EAABDF8E28BF6EDB7DFDAC08103DD718D1F3FDE5D18A8873CBCA9B65E170813274EB47DF7DDD74DAE57AF9EEBA5D7761B366CE8DE93890FE9F2';
wwv_flow_api.g_varchar2_table(88) := 'D73AD533EFA787AF97D708208000020820800002C54F20E9C0AE435DBF7E7D9ED0AEF77C58D7B4649BEF695670F64D652DAA23F74DE52FB56BD70E95AEE87DF53607CB62DAB56BE77AB9354DBDEA6A4B972E758FA9FCA1E0ADE6EBCFF55CBDECFA51D3B6';
wwv_flow_api.g_varchar2_table(89) := '54CAA370AD9B4B3FFFFC7357F612EF370E5A7F8D1A3542615DEBECD1A3870BEC9AE603B94A717C0B1E9F9FEEA7F188000208208000020820507C05520AEC3AECF0D0AE5EF754C2BA5FA71E15C07D538055EFBD6FAAE7D64D9AC100AE7A72CDE79B7AD67D';
wwv_flow_api.g_varchar2_table(90) := '2B55AA947F9AF2E3EAD5ABDD3A82DB0AAE54415D3DE9EA5DD78586CA7ABEFEFAEBE02C319FAB2426BCFE5FA5346AC1B2A04C1D5FCC9D632202082080000208208040A10AFC5FA24D61B33EB46B15A98675AD43E52B6AAA056FDCB8B17BAEE1145587EE5B';
wwv_flow_api.g_varchar2_table(91) := 'D3A64DDD6F4EBDFDF6DBFD5BF6EEBBEF9A6E86CD74F3652E2ADBD1370A6AAA311F376E9C3DF1C413A65A75FD56D7C99327BB1E7E8D41AFD166E26D1A5E52C7122C6FF1DF1CF8DAFB78D7C57C08208000020820800002C55BE0FF6A4C523C0E05F5748475';
wwv_flow_api.g_varchar2_table(92) := 'EDC681071E681A3EF1B6DB6E73252EBFFCF28BBB6134B88BC71F7FBCCD9831C3264C98607FFEF9A7ABF756AFB6427E3CCDF760AB375CA3AE24D2346A8D6AD675B1A0DA760DFF78FFFDF7BB71DA1B3468E06EB6D56832FE26D6912347BA1B4575C1A1DA7F';
wwv_flow_api.g_varchar2_table(93) := '356DFFD75F7F753DEF9B366DCAB379F5C8ABFC67E8D0A1A6635758D71094AA63EFDEBD7B9E79798100020820800002082090DB02690BECE96452F9877AABD533AD1B4415527573AB7AD57D3BF9E493DD0D9F0AB2AA25BFFEFAEB5D0DB9BF09D4CF17ED51';
wwv_flow_api.g_varchar2_table(94) := '63AB6B249B1B6FBCD1C68C19136DB688EF2B6CFBFDD3082E1AC94523CB2860ABE94659CDA32127F7D9671F3754A44A63DE7FFF7D9B3469929B4737C92AB0F7EEDDDBDDA4EADEFCDF1FFE173829ACEBD865A091641E7EF8E13C6542C165788E0002082080';
wwv_flow_api.g_varchar2_table(95) := '00020820909B02A5FE198DC4FDB622D546FB528F6887EA6FB68C36BDA0F7752366A24D6521AA658F562FAEDEE9B973E7BADEE758E3C247DBAE8E5B65341A692699A6D15CB47FE1DBF6FBA56F0AB4EF1AEE51653D2AF751F856D37B9ACFF7F647DABE46AF';
wwv_flow_api.g_varchar2_table(96) := 'D1FEA5EB173645DA06EF2180000208208000020864AF4042815D35DBEAF54EA62910B76DDB36994559060104104000010410400081122B9050498CEAB393E989D6325A9686000208208000020820800002890924344A8C463ED10F0D0104104000010410';
wwv_flow_api.g_varchar2_table(97) := '400001040A4720A11EF6C2D925B6820002082080000208208000025E80C0EE25784400010410400001041040200B0508EC597852D8250410400001041040000104BC0081DD4BF0880002082080000208208040160A10D8B3F0A4B04B0820800002082080';
wwv_flow_api.g_varchar2_table(98) := '000208780102BB97E01101041040000104104000812C1420B067E14961971040000104104000010410F00204762FC123020820800002082080000259284060CFC293C22E2180000208208000020820E00508EC5E82470410400001041040000104B25080';
wwv_flow_api.g_varchar2_table(99) := 'C09E8527855D4200010410400001041040C00B10D8BD048F082080000208208000020864A100813D0B4F0ABB8400020820800002082080801720B07B091E1140000104104000010410C84201027B169E14760901041040000104104000012F4060F7123C';
wwv_flow_api.g_varchar2_table(100) := '228000020820800002082090850204F62C3C29EC1202082080000208208000025E80C0EE25784400010410400001041040200B0508EC597852D8250410400001041040000104BC0081DD4BF0880002082080000208208040160A10D8B3F0A4B04B082080';
wwv_flow_api.g_varchar2_table(101) := '00020820800002087881B2FE098F0820800002082080000208945481BFFFFEDB962F5F6E5BB66C2954823265CA58AD5AB5AC6AD5AA51B74B608F4AC304041040000104104000819222A0B05EAF5E3DAB50A142A11EF2860D1B6CD1A24531033B2531857A';
wwv_flow_api.g_varchar2_table(102) := '4AD81802082080000208208040360AA867BDB0C3BA1CB4CD827AF509ECD9F889619F1040000104104000010410F89F00819D8F020208208000020820800002592C4060CFE293C3AE218000020820800002086487C02BAFBC6203070E343D1676E3A6D3C2';
wwv_flow_api.g_varchar2_table(103) := '16677B0864B1C09C3973AC59B3666E0FD7AE5D6B4B972EB59A356B5AB56AD522EEF5AA55AB6CF3E6CD56BB76ED88D313795337DD2C5EBCD8EAD6AD5BA835843A661D43FDFAF563DEF093C8B1A473DEF5EBD7DB9F7FFE69A54A95B21D76D8219DAB665D08';
wwv_flow_api.g_varchar2_table(104) := '208000020908BCFCF2CBB66CD932D3E351471DE596FCF6DB6FEDBAEBAE8BB996E1C3875BFBF6ED63CE53D0C4A402BB0AE32FB8E0026BDEBCB95D7EF9E5056DC34DFFEAABAFDC7F862D5BB6B4B973E7DABDF7DE6B77DF7D775CCB32536605743EFBF7EF6F';
wwv_flow_api.g_varchar2_table(105) := 'AD5AB5B2DB6EBB2DB4B10F3EF8C0860D1B66E5CB9777EF69D8A1CE9D3BDBF1C71F6F3BEEB8A3DD7FFFFDF6D24B2F59D9B2793F46575E79A5FDFEFBEF366DDA341B376E5C68FA33CF3C636FBFFDB63DF0C003A1F7B4E23BEFBCD385C2B3CE3A2BB46D3D39';
wwv_flow_api.g_varchar2_table(106) := 'F1C413EDD24B2FB53DF6D8C33EFEF863AB5EBDBAB56DDBD6AD5BFB3561C2047BF1C517EDB7DF7EB3214386E45936D917E1C7ECD7D3A3470FBBF0C20BFDCB8C3E2AB8EAB8E49C483BF3CC33ED8F3FFEB0D2A54BDBD6AD5B5DF03EF8E083DD7A345455AF5E';
wwv_flow_api.g_varchar2_table(107) := 'BDDC3F32728CD474CE1E7AE821BBF9E69B6DD4A851EEFC6DB7DD76CE7B9F7DF6B16BAEB92614A4BFF8E20B1B3972A4BB4946E75FFB7CCE39E7D841071DE4562DC77FFFFBDFEE27D2B682EF2D5CB8D06EBFFD76B71D5D1C2C58B0C08E3EFA681B3468900B';
wwv_flow_api.g_varchar2_table(108) := 'A9C1790B7A3E69D224779171FEF9E717346B68BAFE0DDB75D75DAD4F9F3EEE98A219CAC77FEE420BA7F8447FF70E39E410D37EEB822152D345CC0B2FBC606FBEF9A6FBFB13691EDE4300010410C8BC40EFDEBDDDFFA37AF44D415CFF6767BAE54D5A716E';
wwv_flow_api.g_varchar2_table(109) := 'ED9B6FBE7161404169C58A152E6C15B4A8FE836FD4A89129B03768D0C005B18296617AE1087CF6D967EEBCFCF4D34FEECA31D85BAA8B32052FB5D5AB57DBD34F3F6DFFFAD7BFECAEBBEE72EFE90A335290EDDAB5AB4D9F3EDD85EA33CE38C3D48BF9F8E3';
wwv_flow_api.g_varchar2_table(110) := '8FBB901F1EF0DD8A0AF8E3A38F3EB2EDB7DFDE05F6C68D1BDB8811230A5822F9C9C1634E7E2DC92FB96EDD3A7BF2C927130EECDAE2B5D75E6BFBEFBFBF6DDBB6CD05E0CB2EBBCC5DD5EB980A6A6FBCF1861D71C411F6D65B6FD98F3FFE684F3DF594952B';
wwv_flow_api.g_varchar2_table(111) := '57CE85F1C18307BBD7A79F7EBAE9EFFF2DB7DC6237DD7493B56BD7CEAD562157815EDBD54542BC4DC7AA8B7FAD5717456A1A564BDBAB52A58A9D72CA29F1AE2AA5F9F419F6DF224433D4FE1445D3E77EE8D0A1F6CE3BEF14C5E6D92602082080C0FF0494';
wwv_flow_api.g_varchar2_table(112) := '797CCF7A61A32455C3FEFEFBEFBB50A09E4FF5A405DBD4A953ED924B2E71353EEA49DDB871A3FB8F5E814B5F21A857545FB32B90F8F6DE7BEFB91ED2B3CF3EDBF5BEEA3F7135F5CE6A39FD07AADE43BD5620A0A5574041EDF0C30F37856C85B5684D8146';
wwv_flow_api.g_varchar2_table(113) := 'BD810A6CEAC18DD514CAAFBAEA2A53AFFACF3FFFEC02DE49279D642D5AB488B558C46963C78EB577DF7DD77D66C68C19E3C62AD5454378D3B6D44BAAD0A9AFA7544A90CE26271F4AB55EED97FF1C2B646A9A7AB1F5F9D7B748BEE95B081D7BCF9E3D9D83';
wwv_flow_api.g_varchar2_table(114) := '7AA37FF9E517BBF1C61BFD2CEE42E9A28B2E72C7A600AB721485589542A85C437F97746CAA9D0BFF3B175A49E0892F9F50CFF1CC99330353223F554FEF279F7C62FBEEBBAF0BCC5A5E3DF56A1A6EEAFAEBAFB7BDF6DACBBD7EF8E187DDC5840FEB7AB369';
wwv_flow_api.g_varchar2_table(115) := 'D3A6A6BFBFEAA14FA4A90E509F091FD6B5AC7E79842EC8FC67455F3FCAF6C8238FB4010306D8871F7E18DAC45F7FFDE52EFEF5F955E8566FBD6FB1CE899F27D6632CC3575F7DD57DB6FDF2BA38F59F49F588ABD75E9F057D0EF5EF56709FFD32E18FFA4C';
wwv_flow_api.g_varchar2_table(116) := 'E8DBA6471E79C49D6B5DAC7CF7DD77E1B3F11A010410281102E3C78F37E5C3684DD33FFDF4D3689373EEFD8403BB8284FE13E9D4A9932B8F50D9836F0A06FA0F58BD632AAD5030575839ECB0C3DC57CE071C7080FB8F79D3A64DA1FF5815FEF475B0BEFE';
wwv_flow_api.g_varchar2_table(117) := 'D67F560AF80A046A4B962C31FDC778EEB9E7BA70F3E5975FDA0F3FFCE037C7631A04542A215795BAA89C415FBB476B3AF73A1F3AF73ECC2998AACC25F8E32FAA546FABA0AA20AA009F688987DF8FBE7DFBBAB21805F1638F3DD6F4F951900D369551E82F';
wwv_flow_api.g_varchar2_table(118) := 'AFCA7414DCF539D20562324D26C1E3D1737D9675B1A280F8FAEBAFBB8B165D44A874434DBDCDBBECB28BBB38550FF3D5575FED2E2E158215EA15DC14C4F48B119E78E209D76BAD75F9A6503E6FDE3C570BAEDED48A152BDA0D37DCE07E818396D7728F3E';
wwv_flow_api.g_varchar2_table(119) := 'FAA85D7CF1C5AE9C2CFCF8FD7A828FFA06ECF3CF3F7776C1F7233D57C9D1EEBBEFEECED381071EE8FE7EEAE240DBD4DF517DABE103BA4A433A76EC986F357A4F81599F9378DBECD9B36DE79D77CE37BBC2BA2E20D55486A2BAF6891327BA7F27D4BBAF6F';
wwv_flow_api.g_varchar2_table(120) := '6CD4E4AA32299D737DBE7451E55BB473E2A7C7F318CD70E5CA95EEC2C6AF439F19FD7BA5E6F749E74D7FAFF4ADD49A356BFCAC511F7521A75EF4CA952BBB6FA374FC0AFB34041040A0240AE8FF01956806FF5DF70EFAFF5E9DC7FA254785D98AD54DA7EA';
wwv_flow_api.g_varchar2_table(121) := 'F1EED0A183EB75D37F942A93D07FE082159E7ACA54DFACA69A6485129558E8EB64D5A7AA2636F81FBAAE9ED4F3D8BA756BB78C7AD0CE3BEF3CB7ACDE5048525850539D90828B0F0EEE4DFE4849E03FFFF98FEB39552FAA02976E22544F9FEAD9D554EAA0';
wwv_flow_api.g_varchar2_table(122) := 'FA7635953FE9DCEA02CA374D0FEF95EFD6AD5BA8465D3DBC0AAA0A653EE4FB65E37D545853DDB53E47FACBA9CF5B78539DBD42FAAFBFFE6A5DBA74713DB27A1DDE14BC15AED4B44CC3860DC36771D3C38F493DC8FAECAAE75435FAFAB641F5F5FA5C2B68';
wwv_flow_api.g_varchar2_table(123) := 'EB737ECC31C7B89A6BF5F62AD4EBC2561740F2DB69A79DDC7654A2122B6CEBC246DB92952F63D14592EEF9D0AF2CD6DF395D10E8622152B988EE0BD1458B2E6AF4A3BF3F6DDAB4091D73BE83FDDF1BFA07F1B4D34E73AF64AC7F0CB5EF0AF20A9C3A767D';
wwv_flow_api.g_varchar2_table(124) := 'D3A575297C462A0FA954A9923B7EFD9B106FD3E7CDFF7B1169197DBE14CEEFB9E71E579EB3F7DE7BBB0E802953A6B86F857481A07F33FCFD15BE863ED63929E8C69F6886913E77E1FBAC7DD53EC952E7501799FEC2511765C1731FE9E65A7DAE4E38E104';
wwv_flow_api.g_varchar2_table(125) := 'B75A7DA340194CB830AF1140A0A408ECB7DF7EEEDB56FDDFA36F819515D5D4E9A58E34DDC8E90749282C13FD7B5E6C6E3A5528D77F480A2B6A2A5F512FBB02BBBE0A16B06FAA55D74FACA6657C4F9AE653305330F1BD55C17A6AD5D3EAA4D1D227A050A6';
wwv_flow_api.g_varchar2_table(126) := '10E1C39FC2ACC29B0FEC3A7FEAE95553480B0FB80AC7916AD835BFCED57DF7DDE77AA17555AA201B69940B051B8599F0A6E55596104F53A0541856BDFDADB7DEEA2E4274136478531DBDFF564881584130BCE998751364A4A6C0AAFB301408F7DC734F37';
wwv_flow_api.g_varchar2_table(127) := '8B7AF7F57742E12CD8F4BE827CF7EEDD436F3769D2C4F4A3BBCAE369BAE8D04586CA63824D96919ABED1D037206AAA7D8EE737B6E9424C7F0F7D70564FAFC2B7BED9D08F4A8B1E7CF041F70FA77A8DEBD4A9E3E60FFF2CC840171C0AFCBAE88BA729B46A';
wwv_flow_api.g_varchar2_table(128) := 'DBE14D6E2AFDD1C58BEE7DD1DF7DDFF40FB4BE15D2F67431AFB0EE9BA6697DB1CE4941813D1943BF7DEDB73E3FC18B53EFA4CE067D43E29B2EFC5456186CB2F58D7FEFBC048F0820505205D449A3EA0B7DF3ACA6FF1355B9A18E95C20EEBDA7EB1B9E954';
wwv_flow_api.g_varchar2_table(129) := 'FF19CD9F3FDFC1F920A5FF18F59FB8FE9353A0F3BD973A30FDC7A91E327DD51EADA947495F2FFBA690A61E3CBD4FCBAC8042A7CE8F02AE6F7A4FB5B8BE175DBDD00AA8C9B4E79E7BCE8529D5642B386A5491D1A347E70BE10A6DAA010E36851BFD685A3C';
wwv_flow_api.g_varchar2_table(130) := '4DBDC9BA585438D66752F5E5FA4B1E1EC875A1E92F36E3596FF83C0A8ABAC051B0F26518FAE64817ACFA26C137FD3D50598B7A01D48BEC9BF64D65165A26D882DF3A05DF97BFFE5EE90650FF7742813ADA3D040A8B899E2FEDE3A1871E1ADAAC2ED074E3';
wwv_flow_api.g_varchar2_table(131) := 'AABF00D171A8D7573D0BFAC752DFC4BCF7CF3763FAF6444D37A82AE02B60EB1B00FF6F436885319EE80248A52EBAB80A2EA7CF836E865699912E28824DAF6BD4A8E10C55A71E6CFE75AC73129C3FD2F3780C83FBAA75F8F3A7FD52EF4BB0E973ACA60B8F';
wwv_flow_api.g_varchar2_table(132) := 'F09104E880084AF11C010410C82FA0FF73D4F9A7F25A756428A3144558D79E159B9B4ED5BBAE5E4595AFA807563F0A4902549051D9834A2CF49F90EA9815D8FC7FA0D17A5177DB6D375752A110A2A6AFBA7522F41F1F2DB302EA5DD7F9D379F33F0ABC0A';
wwv_flow_api.g_varchar2_table(133) := '893366CC4869E30A292AAB5038D6B95789802EF854DE11DED423AC1B53B54D7D6EF459D030760A4E0A396AD13E3F7E5D2A3FD1507EEAA9578FA68EC3DFBCECE749F551FBA58B00F592AA375F3750EB0247615D17995F7FFDB5DB842E40550EA69E691D9B';
wwv_flow_api.g_varchar2_table(134) := 'CA63FCDF89C71E7BCC7D7BA4CFB7EAB77DD00BD6E8E958FDFC5AA17A18D4A3A0261FF534C82B5D4D65172A9DF14DBDBECF3EFB6C9EA0AC00AD6F24F4D95078D7DF53FF4D852ECC35ACA62E2A74E369224DDBD5790ADE50AE4E01AD4B5F7FFA5E7FFDBBA2';
wwv_flow_api.g_varchar2_table(135) := '265B59E9E6584DD3858BDF0F0579950AA9C53A276E8614FFD0F9FBFEFBEFDDF9D0C5A22F5DD1C592F6C9DF18ACE16C7541434300010410485E40A5D01A7C413F4515D693DFFBF42C593691D5E83FA1F0FF90D5D3A4319A15E61598D47BA85132F4D5B8FE';
wwv_flow_api.g_varchar2_table(136) := '83F72532EA49530FA4429B6E42F54D37B8A9EE53FFE1AB27516125913194FD7A784C5C4023FA5C71C5157916D4F9ECF64F0DBAC27CF03CE59929F042A52E93274F0EBC63EEFC2B442934FBDA6DF5C0EADE04F578AB042A58EAA41205057BF5B46ABA7AA7';
wwv_flow_api.g_varchar2_table(137) := '158874E3A63E476AEA69550FBD02B2CA34C29B7A7B7501A9B1DBD5FBAD0B455D8D27D314A4C34B4E5437AE63D0F1F8D15254B3AED2198D59AE7DD573CDA38B060D65A9D22EDD94AAC0A6FDF2DF5668DDFAC6417F6F74A3A44A48FCDF13EDAF7AD25536A3';
wwv_flow_api.g_varchar2_table(138) := '5161F48D847A9F7503A57AC215D815E0751F4932CDDF8FE09755F0D5F68363B3CB57DF049C7AEAA9EE82491723EA65D7CD9F6AFA7B7DC71D77B81FED9FA6E958F577573721EBE24F2D92A32E3682C33EEA625FF5F9BA91545F356A2C7295BAE8A2C09BE8';
wwv_flow_api.g_varchar2_table(139) := '264ED9EA9B3C8572F5FCCB4E4DA3C7E81B225D08E9824A3DFC6AFADC443B276E8614FFD03710EA90D07EEADF2D7564E8C245DB9593863D958DCEA38E4346340410400081E4057CA96EF26B487D49651E7DDBACFFAF0A7B78C752FFF484BA7112D5D397AE';
wwv_flow_api.g_varchar2_table(140) := 'AB167FB39F024ABC4D2147FFE1EA3F3F5AC915500FAA7A2C55931E5E76108F8A7A6BF559D6D0800A9085DD74C3A52F5D096E5B9F6DB5F09A72CDAF90EF2F4C82CB843FD77169F960CD76F83C89BE96B72E02C24B74B41EFD3DD63725DA3F9D8F482DB8BC';
wwv_flow_api.g_varchar2_table(141) := '6AEDD5D31C7E511069B948EFE9F874A1A56F56221DA34A8BFC8541F8F2DA0F5D7444FACC443B277E1DC71D779C1B992AD279F3F3447BF4E5397EBBB2D4B7111A1D463DED3A0E5DA8EA822399F507B7AB0BBDE03731C1693C4700010410485D401D4DEA94';
wwv_flow_api.g_varchar2_table(142) := '8AD6347A9ACA1ED5E9E8CB60D3F59B4E0BDA76423DECD10E20FCFD4482BA5F5681259ED0E2E7E7313705522D8552B8D44F51B568A12C3CA8FBFD8B36BF9F1E7CD4707FE96EB1BCF5F7583DC4B15A707985FA64C3BAB6A1E38B758CC16F01C2F729B81FE1';
wwv_flow_api.g_varchar2_table(143) := 'D3E231566DB9869D4DB4D322FC4247C1FDF9E79F77BF3F42E550AAC3D73718F1EC43F87EFBD7EAB9574950B4FB16FC7C3C22800002086456A0286F3ACD480F7B66B9583B020820903E01956FE99B19955DF9115D5259BBBE99D03AF58D834A7734D24D2A';
wwv_flow_api.g_varchar2_table(144) := '4DDF3AE89783E862207873702AEB64590410400081FC0205F572E75F227DEF14B46D027BFAAC591302082080000208208040311528283467F2B00ADA76E117F966F2685937020820800002082080000239264060CFB113CAE120800002082080000208E4';
wwv_flow_api.g_varchar2_table(145) := '9600813DB7CE27478300020820800002082090848046F6F2A3BA25B178D28B689B9146470BAE3023A3C40437C0F3EC15D02FA8A1218000020820800002B928E07FF962BCC7A621A1359C7161FF166A85756D3B5623B0C7D2C9F169897E90739C83C34300';
wwv_flow_api.g_varchar2_table(146) := '010410400081122CA0DFF5A19F6C6C94C464E359619F1040000104104000010410F89F00819D8F020208208000020820800002592C4060CFE293C3AE21800002082080000208204060E733800002082080000208208040160B10D8B3F8E4B06B08208000';
wwv_flow_api.g_varchar2_table(147) := '0208208000020810D8F90C208000020820800002082090C50204F62C3E39EC1A020820800002082080000279C6615FB9722522082080000208208000020820904502F4B067D1C960571040000104104000010410081720B0878BF01A0104104000010410';
wwv_flow_api.g_varchar2_table(148) := '4000812C1220B067D1C960571040000104104000010410081720B0878BF01A01041040000104104000812C1220B067D1C960571040000104104000010410081720B0878BF01A01041040000104104000812C1220B067D1C9605710400001041040000104';
wwv_flow_api.g_varchar2_table(149) := '10081720B0878BF01A01041040000104104000812C1220B067D1C960571040000104104000010410081720B0878BF01A01041040000104104000812C1220B067D1C960571040000104104000010410081720B0878BF01A01041040000104104000812C12';
wwv_flow_api.g_varchar2_table(150) := '20B067D1C960571040000104104000010410081720B0878BF01A01041040000104104000812C12281BDC971A356A045FF21C0104104000010410400001048A58801EF6223E016C1E0104104000010410400081580204F6583A4C43000104104000010410';
wwv_flow_api.g_varchar2_table(151) := '40A0880508EC457C02D83C0208208000020820800002B10408ECB17498860002082080000208208040110B10D88BF804B0790410400001041040000104620910D863E9300D0104104000010410400081221620B017F10960F30820800002082080000208';
wwv_flow_api.g_varchar2_table(152) := 'C41220B0C7D2611A0208208000020820800002452C40602FE213C0E61140000104104000010410882540608FA5C33404104000010410400001048A5880C05EC42780CD2380000208208000020820104B80C01E4B8769082080000208208000020814B100';
wwv_flow_api.g_varchar2_table(153) := '81BD884F009B4700010410400001041040209640D95813C3A72D5FBEDCFEFAEB2FDBB2654BF8A498AFCB9429630D1A34B05AB56AC59C8F89082080000208208000020820905720A11EF664C2BA36A780AF65690820800002082080000208209098404281';
wwv_flow_api.g_varchar2_table(154) := '3DD19EF5E0AEC4BBECA2458BEC9B6FBEB1C58B170717E7390208208000020820800002255220A1C09E49A13FFEF8C38E3BEE38DB7BEFBDEDA8A38EB2BDF6DACB8E3DF658FBF9E79FE3DEECB3CF3E6B1F7CF041687E95F03CF9E49379D671C00107D8A9A7';
wwv_flow_api.g_varchar2_table(155) := '9E1A9A8727082080000208208000020864B340560476F5BE2B442F5CB8D01E78E00153F0BEEDB6DBECA79F7EB2134F3CD156AF5E1D97E18811236CD2A449A179558673EDB5D7DA279F7C127AEF924B2EB1D34E3B2DF49A27082080000208208000020864';
wwv_flow_api.g_varchar2_table(156) := 'B340D281BD42850A56B56AD5A8C7A669952A558A3A3D3841E52F73E6CCB1EAD5AB5BF7EEDD6D8F3DF670BDED8F3CF2885D70C105B666CD1A37FBC68D1BED861B6EB0CE9D3BDBFEFBEF6FB7DE7AAB6DDEBCD9D5C71F7DF4D16EBE0F3FFCD0F4FCA5975EB2';
wwv_flow_api.g_varchar2_table(157) := '8B2FBED82D3776EC583BEFBCF3DCF337DE78C3A64D9BE69EDF7DF7DDEEFDFFFCE73F76C4114758B76EDD6CE4C8916E9D6E867FFE78F9E597EDF0C30FB74E9D3AD935D75C630F3DF4905BFFA64D9BDC2C2FBEF8A2DBE7366DDA58D7AE5D6DDCB8717E511E';
wwv_flow_api.g_varchar2_table(158) := '1140000104104000010410485920E9C0BE6DDB366BD2A4890BD9E17BA1E0AD695BB76E0D9F14F1B54690D979E79D5DED7A8F1E3D5CE8FDE5975F6CCF3DF774BDE19AAE76D14517D9F3CF3F6FC71F7FBC2B9B79ECB1C7ECCA2BAFB48A152BDA7EFBED6765';
wwv_flow_api.g_varchar2_table(159) := 'CB96B5BA75EBBAE78D1B3776215BCBB56CD9D25D04E8F9F7DF7F6FB366CDD2539B3D7BB6BDFFFEFB76E79D77DA31C71CE3F679F4E8D1A140FFEEBBEFBAD05FA3460D1B3C78B09BFFBEFBEEB3993367BA63FBE1871FECD24B2FB5EDB7DFDEF5E4376FDEDC';
wwv_flow_api.g_varchar2_table(160) := '5D44BCFEFAEB6EFDFC810002082080000208208040AA02490776F5762BF0366AD4284F685758D77B9AB661C386B8F7EFE1871F76BDDCBFFDF69B0BBDEA69578FF7942953DC3ABEFBEE3B53EFF8F0E1C3EDC20B2FB4CB2EBBCC54DEA21EEE55AB56D99021';
wwv_flow_api.g_varchar2_table(161) := '434CBDFEAD5BB776CF15F67DADFAC1071F6C03060C88B82FEABD1F356A949D79E699A6B05EAA5429B71DCDAC9E795D008C1F3FDE2DFFF8E38F5BCD9A3543EBF9FDF7DFDDF3C30E3BCC4E39E51457CE73FDF5D7DB76DB6D179A8727082080000208208000';
wwv_flow_api.g_varchar2_table(162) := '0208A42290D038ECE11B5ABF7EBD0BE6EA59F6CD87754D4BA4A9175DF5EB0ADFBA7174EAD4A92EACAB67FB85175EB06FBFFDD6ADEEB3CF3E0BDD44BA60C102D7D3AD51659A366D9AC8E642F356A952C5F5C0EB0D8D135FA74E1D5BBA74A99BAE1EF4030F';
wwv_flow_api.g_varchar2_table(163) := '3CD05D08E80DF5E0AB1C4735F66AFBECB38F9B5FBDFC13264CB07DF7DDD77AF6EC691D3A7470D3F9030104104000010410400081540592EE61F71BF6A15D413DD9B03E63C60CBBEBAEBB4C23C5A8875E6531F7DE7BAFDD7EFBED2E90ABC4C4D7B1AF5CB9';
wwv_flow_api.g_varchar2_table(164) := 'D2056A85EAF2E5CB5BFFFEFDAD5EBD7A7E77127ED42F750A36F5B0FBA6921E85F468AD76EDDAF6E69B6FDAD0A1434D6533EA8157FDFCA38F3E1A6D11DE4700010410400001041040202181E8693481D5F8D0AE4512ED59D732CB962DB33163C6B8D07BD6';
wwv_flow_api.g_varchar2_table(165) := '5967E92DD79A356BE61EAB55AB16EA413FF9E493DDD08F9AA01EF68F3FFED876D86107375FBAFF68D1A285A9475FC1BD74E9D2A6BAFDE08833AA65D78FF6E9DC73CF350D23D9AB572F7BE69967EC8C33CE48F7EEB03E0410400001041040008112289096';
wwv_flow_api.g_varchar2_table(166) := 'C02EB76482BAF75699894A62EEB9E71EF79646645188D76BF5706BEC74D5A6D7AF5FDF6EBEF966BBE38E3BDC6F4F55BDB86E20FDE8A38FDC721A95E6D75F7FB5AFBFFEDADAB66D1B1AA5E6CB2FBF7437B06A2497449A6E6ED5B090AA9957A9CBE4C993F3';
wwv_flow_api.g_varchar2_table(167) := 'FC42A7B973E79AF641C34F2AB0AF58B1C28D30A36F1A680820800002082080000208A44320E5929874EC846EE4D4108EEDDAB5B35B6EB9C5FAF5EB67679F7DB61B7F5DA3B2ECBAEBAE6E24180DA9B876ED5A7773EA91471EE94A6374B3AA46895153798C';
wwv_flow_api.g_varchar2_table(168) := '027BEFDEBD5DE0575D7B972E5D5C0DFC39E79C93F0AE9E74D24976C51557B8916514DC7503AAF64D4DA5340AF1BAB1553DEA1AA546BDEB0D1B36B41B6EB8C1CDC31F0820800002082080000208A42A506AD1A245DBB41205615F82126DA5FEC6CF68D30B';
wwv_flow_api.g_varchar2_table(169) := '7ABF7DFBF605CD624B962C71A52EAA09D7D0902A45096F1AB75D23D0A8273B7CBAC665D718E9C131E035AFE62B57AE5CF8AA62BED698EEDA1F5D00F8D6A74F1F37EEBBEFD5D7FBB29B3F7FBE2BE951A8A72180000208208000020820902E81844A62D4AB';
wwv_flow_api.g_varchar2_table(170) := 'ACDF4A9A4C0BBFB933DA3A344A8B7E62B558A1582534E1378A6AB8C7649A86981C366C98AB53572FBF7EE1926AD6351E7CB055AE5C3934D24CF07D9E238000020820800002082090AA40423DECBAA9F2AFBFFE4A38B42BACAB465DC32616B7F6F4D34FBB';
wwv_flow_api.g_varchar2_table(171) := 'B1DED5D3AE635029CEB1C71EEB4A628ADBB1B0BF08208000020820800002C54F20A1C05EFC0E8F3D4600010410400001041040A0780BE42F102FDEC7C3DE238000020820800002082090530204F69C3A9D1C0C02082080000208208040AE0910D873ED8C';
wwv_flow_api.g_varchar2_table(172) := '723C0820800002082080000239254060CFA9D3C9C120800002082080000208E49A00813DD7CE28C78300020820800002082090530204F69C3A9D1C0C02082080000208208040AE0910D873ED8C723C0820800002082080000239254060CFA9D3C9C12080';
wwv_flow_api.g_varchar2_table(173) := '0002082080000208E49A00813DD7CE28C78300020820800002082090530204F69C3A9D1C0C02082080000208208040AE0910D873ED8C723C0820800002082080000239254060CFA9D3C9C120800002082080000208E49A00813DD7CE28C7830002082080';
wwv_flow_api.g_varchar2_table(174) := '0002082090530204F69C3A9D1C0C02082080000208208040AE0910D873ED8C723C0820800002082080000239254060CFA9D3C9C120800002082080000208E49A00813DD7CE28C78300020820800002082090530204F69C3A9D1C0C020820800002082080';
wwv_flow_api.g_varchar2_table(175) := '40AE0910D873ED8C723C0820800002082080000239254060CFA9D3C9C120800002082080000208E49A00813DD7CE28C78300020820800002082090530204F69C3A9D1C0C02082080000208208040AE0910D873ED8C723C08208000020820800002392540';
wwv_flow_api.g_varchar2_table(176) := '60CFA9D3C9C120800002082080000208E49A00813DD7CE28C78300020820800002082090530204F69C3A9D1C0C02082080000208208040AE0994CDB503E2781040000104104000010410C8A4C04D37DD645F7EF9655C9BD86DB7DD6CD8B06171CD1B6DA6';
wwv_flow_api.g_varchar2_table(177) := '420FEC1B376EB455AB56599D3A75DC3EE9F99A356BAC76EDDA56A1428588FBB974E952AB52A58A55AC5831E2F444DE5CB26489952D5BD66AD6AC99C862CC8B00020820800002082080801350587FF1C517E3D2E8D3A74F5CF3C59A29A1C0BE76ED5A3BF3';
wwv_flow_api.g_varchar2_table(178) := 'CC33AD7CF9F256AA5429DBBA75ABB56DDBD60E39E410DB638F3DECB3CF3EB3679F7DD66EBFFDF6A8DB7CEFBDF76CD3A64DB6FFFEFBDBE8D1A36DE1C2852EA82F5EBCD87AF5EA657DFBF60D2D3B79F2647BE59557AC7AF5EA2ED4D7A851C3060D1A64CD9A';
wwv_flow_api.g_varchar2_table(179) := '3573F35C75D5552684BDF6DA2BB44CB42753A74EB5175E78C1AD6BC58A15EE02E1ACB3CEB21D77DC31DA2251DFBFE38E3BECE0830FB6DD77DF3DEA3C4C4000010410400001041040201D02090576BFC1FBEFBFDFAA56ADEA82F7CC9933EDC1071FB43163';
wwv_flow_api.g_varchar2_table(180) := 'C6F8C9311F3FF8E0031B3264884D9C38D19A346962575F7DB59B5FC1FDCA2BAFB49D76DAC9DAB56B672FBFFCB27DF1C51776EBADB75AAD5AB5DC3CBA9AB9E5965B6CF8F0E156AF5EBD98DB094E54F09F316346685DDBB66DB32953A6B8D73A9674F4DC07';
wwv_flow_api.g_varchar2_table(181) := 'B7C7730410400001041040000104D225905460F71B2F57AE9CEB595789C99C3973FCDB511FE7CE9D6BEA25D78F4A6154E6E25BFDFAF55D78576FFA860D1BECA5975EB21B6EB82114D6359F6A80BA74E9E27ACACF39E71CBF68CC4785F3E79F7FDED41BEF';
wwv_flow_api.g_varchar2_table(182) := '83BFBE1DE8D1A387BBE8D0B7060AECBFFEFAAB3DFEF8E3367FFE7C6BDEBCB90D1C38D01A356AE4D6FDCD37DFD8134F3C618B162D72BDF99B376F0E6D73D6AC59F6E8A38FBA691D3A7470DF40442BED092DC4130410400001041040000104E21448699498';
wwv_flow_api.g_varchar2_table(183) := '2D5BB6D8871F7E680AB0F19496FCF7BFFFB5030E38C0EDDAA1871E6A6FBEF9A6DD7CF3CDAEB7FBCF3FFFB456AD5A9982BB7ADBCB9429132A7D091E8B4A7014FCE36DAA7F57DD7CA4FD53598E6AE7FFFEFB6FBBEDB6DB4CFB346AD428EBD8B1A3EB7DD771';
wwv_flow_api.g_varchar2_table(184) := 'A97CE69E7BEE71A53A2AE169D0A0817DF7DD776EF30AFB23478EB4E38E3BCE3DEA0246A19F8600020820800002082090BB02F1D6AFA74B20A91EF62BAEB8C2D5B02BB0AA34E684134E70013BD64E29DC7FFDF5D76E5ECDA7507CD75D77D9FBEFBF6F1F7D';
wwv_flow_api.g_varchar2_table(185) := 'F491EBC15618BFE8A28B5C80AE5CB972C4D555AA54C94D8F3831C29BAB57AF7635F2EA558FD6542EA38B05057835D5D2AB74473DEBAAADDF79E79D6DEFBDF776D35433AF7D56D372EDDBB77775FC7A7DE28927BAFD3FE38C334CE19D8600020820800002';
wwv_flow_api.g_varchar2_table(186) := '08208040AA024905F6C183079B02B57AC11B376EECC27B413BF2D5575FD92EBBEC120AF62A7B516FFAB1C71EEB7E962D5BE67AB79F7AEA297723E9F2E5CB4D215FDB083605682D176FDB6EBBED4C1716EBD7AFCF57ABAE1E7F95BF689DAAA70F361D97DE';
wwv_flow_api.g_varchar2_table(187) := '570F7DC3860D839342A5322A9151B09F3E7D7A9EE92AF7D1766908208000020820800002B923F0EDB7DFDA75D75D17F18032D9EB9E5449CCF6DB6FEFCA55147263F55C078F46A3C3F87218D5959F7BEEB9AEEEDBCFA3D294830E3AC8E6CD9BE7C2AE5E7F';
wwv_flow_api.g_varchar2_table(188) := 'FEF9E77EB27DFAE9A7B66EDD3AD7ABDDBA75EBD0FB053D514DBC8690D40836C1A68B015D1CA8ECA55AB56AAEA63E385DA15BEF479BA679B5EEEEDDBBDB840913423FBAF996B01E94E4390208208000020820901B02AAAC5030F73F1A8F5D7930D32DA9C0';
wwv_flow_api.g_varchar2_table(189) := '9EE84E29FCAE5CB9D29A366DEA1655C8D7013FF7DC736EA419BDA910AF5EF81D76D8C14A972E6DBD7BF7B6F1E3C7DB82050BDC32BFFCF28B1B454637B7F6ECD9D3BD17EF1F9A7FD2A449A175695BDAB62E0A5AB468E16E6655A057EDBC9A6E40FDEDB7DF';
wwv_flow_api.g_varchar2_table(190) := '5C298C4A77344DBDED6ADA0F4D53D34DA69AA6635353098D6AE06908208000020820800002B92DA0DCA7F2EECB2EBB2CE3079A54494CACBD520FB96AB8834DE1BC6BD7AEC1B7DC682A1A0E52E5352A7151E989C2BA6EE054536FBBC679BFF1C61B5D2FB7';
wwv_flow_api.g_varchar2_table(191) := '4A68FCE8321AC9C5DF44AA61198365331AEE317C1C78F582AB24465F6168A418F5D4AB17FC820B2E7017072A7F51FDB9B6A56DA8EE5DDF00E88A493FFDFAF573BFA14ABF6C4923C0683FD5B49CEADD3534A57AE255B73E60C000378D3F10400001041040';
wwv_flow_api.g_varchar2_table(192) := '00010472532018D655F29DE956EA9F3AEC6DDA88EABCFD2F244AF746D53BAD20AC5FB814DEB45DD5AB2B4847BBD154BF9D54815861593DDC9A3F9E5F9614BE2DF5AC6B5FB41DDD2C1BDE345D613DD2571BBA78F037D9465A4ED382C35486CFC36B041040';
wwv_flow_api.g_varchar2_table(193) := '00010410400081E22F1029AC6B50125FC31EFE9B4D352CF9B061C3523AF04209EC29ED210B238000020820800002082090050291C2BA762B18D833B19B8552C39E891D679D082080000208208000020814A680064151CD7A7819CC88112332BA1BF4B067';
wwv_flow_api.g_varchar2_table(194) := '9497952380000208208000020820909A003DECA9F9B1340208208000020820800002191520B0679497952380000208208000020820909A00813D353F96460001041040000104104020A30204F68CF2B2720410400001041040000104521320B0A7E6C7D2';
wwv_flow_api.g_varchar2_table(195) := '0820800002082080000208645480C09E515E568E00020820800002082080406A0204F6D4FC581A01041040000104104000818C0A10D833CACBCA1140000104104000010410484DA06C228BCF99332791D99917010410400001041040000104E21068D6AC';
wwv_flow_api.g_varchar2_table(196) := '59D4B9120AEC5A4BAC9545DD0A1310400001041040000104104020A240419DE294C44464E34D0410400001041040000104B24380C09E1DE781BD400001041040000104104020A200813D220B6F2280000208208000020820901D0204F6EC380FEC050208';
wwv_flow_api.g_varchar2_table(197) := '208000020820800002110512BEE934E25A9228F5641400004000494441547873F6ECD9F6D34F3FB925BB75EB66152A5408ADE5EDB7DFB62D5BB65893264D6CE79D770EBDCF1304104000010410400001044A9A4091F5B02B906FDCB8D1C68C1963AB56AD';
wwv_flow_api.g_varchar2_table(198) := 'CAE3AEF7BFFCF24B9B3C79729EF779810002082080000208208040491328B2C0BEE38E3B5AAF5EBDAC72E5CAF9CC7BF4E8611D3B76CCF73E6F208000020820800002082050D204D212D8070E1C684F3CF1849D72CA2976E59557DA92254B9CE3942953EC';
wwv_flow_api.g_varchar2_table(199) := 'E9A79F0E995E7EF9E5B670E1C2D0EB649E689C4A6DE795575E496671964100010410400001041040A05809A425B02F58B0C0CA972F6FE3C78FB7BA75EBDAB469D31CC2EAD5AB6DC58A152110CDB769D3A6D0EB649EA85C66DEBC79A675D3104000010410';
wwv_flow_api.g_varchar2_table(200) := '4000010410C87581B4DD747AF0C1075BA952A56C975D76B12FBEF822636E2D5BB6B4A953A75A99326532B60D568C0002082080000208208040B608A42DB057AD5AD51D9382F4E6CD9BDD7305F860DBB06143F065689E6DDBB625F47EB972E5F2CDCF1B08';
wwv_flow_api.g_varchar2_table(201) := '20800002082080000208E4A2405A4A62A2C1ECB0C30E366BD62C3759B5E78B172FCE376BAB56ADECF7DF7F8FF8BE867E0C0FF35A47BF7EFD5CF94DBE85780301041040000104104000811C13C868606FDFBEBDAD5DBBD67453EA830F3E68F5EBD7CFC7D7';
wwv_flow_api.g_varchar2_table(202) := 'BF7F7F17BE35CF2FBFFC129AAEB0DFA64D1B3BFDF4D3EDEEBBEF0EBDBF6EDD3A5BBA74A9952E9DD15D0F6D8F27082080000208208000020814A540A9458B16B97A1405EB66CD9AC5DC17F59217344FA415689CF5EAD5AB479A94F07B1A9B5D63B74F9C38';
wwv_flow_api.g_varchar2_table(203) := 'D16AD4A891F0F22C80000208208000020820804036091494B10BA59B3A5D615DB05AD7D0A14309EBD9F429635F10400001041040000104322690B69B4E33B687612BEEDAB56BD83BBC44000104104000010410402077050AA5873D77F938320410400001';
wwv_flow_api.g_varchar2_table(204) := '041040000104322B4060CFAC2F6B4700010410400001041040202501027B4A7C2C8C0002082080000208208040660508EC99F565ED0820800002082080000208A42440604F898F851140000104104000010410C8AC00813DB3BEAC1D0104104000010410';
wwv_flow_api.g_varchar2_table(205) := '400081940408EC29F1B1300208208000020820800002991520B067D697B52380000208208000020820909200813D253E16460001041040000104104020B30204F6CCFAB2760410400001041040000104521220B0A7C4C7C2082080000208208000020864';
wwv_flow_api.g_varchar2_table(206) := '5680C09E595FD68E00020820800002082080404A0204F694F858180104104000010410400081CC0A10D833EBCBDA1140000104104000010410484980C09E121F0B2380000208208000020820905901027B667D593B0208208000020820800002290910D8';
wwv_flow_api.g_varchar2_table(207) := '53E263610410400001041040000104322B4060CFAC2F6B4700010410400001041040202501027B4A7C2C8C0002082080000208208040660508EC99F565ED0820800002082080000208A42440604F898F851140000104104000010410C8AC00813DB3BEAC';
wwv_flow_api.g_varchar2_table(208) := '1D0104104000010410400081940408EC29F1B1300208208000020820800002991520B067D697B52380000208208000020820909200813D253E16460001041040000104104020B30204F6CCFAB2760410400001041040000104220A0C1A3428E2FBE16F12';
wwv_flow_api.g_varchar2_table(209) := 'D8C345788D0002082080000208208040860514D6C78E1D1BD75608EC713131130208208000020820800002E9114824AC6B8B04F6F4B8B31604104000010410400001040A144834AC6B8504F6025999010104104000010410400081D405C2C3BA5EC7D308';
wwv_flow_api.g_varchar2_table(210) := 'ECF128310F02082080000208208000022908440AEBD4B0A700CAA20820800002082080000208A44B2095B0AE7D28B568D1A26D7AB276ED5A6BD6AC999E466D73E6CC29709EA80B3301010410400001041040000104F2091494B1CBE65BA28037B4421A02';
wwv_flow_api.g_varchar2_table(211) := '0820800002082080000208148E404281BDA01EF8C2D965B6820002082080000208208040C911E0A6D39273AE395204104000010410400081622840602F86278D5D4600010410400001041028390204F69273AE395204104000010410400081622840602F';
wwv_flow_api.g_varchar2_table(212) := '86278D5D4600010410400001041028390204F69273AE395204104000010410400081622840602F86278D5D4600010410400001041028390204F69273AE395204104000010410400081622890D038ECC5F0F8D86504104000010410400001040A14F8FBEF';
wwv_flow_api.g_varchar2_table(213) := 'BF6DF9F2E5B665CB9602E74DE70C65CA94B15AB56A59D5AA55A3AE96C01E9586090820800002082080000225454061BD5EBD7A56A14285423DE40D1B36D8A2458B6206764A620AF594B031041040000104104000816C1450CF7A61877539689B05F5EA13';
wwv_flow_api.g_varchar2_table(214) := 'D8B3F113C33E2180000208208000020820F03F01023B1F050410400001041040000104B25880C09EC527875D4300010410400001041040A0C405F6CD9B37DBC2850B6DD9B265B66DDB363E01082080000208208000020864B54042815D05F1279E78A22D';
wwv_flow_api.g_varchar2_table(215) := '59B2C41DD45B6FBD652B57AE2CF4034C76BBEFBDF79E5D74D145367AF468BBFCF2CBEDEAABAFB6050B1614B8FF03060C300DF5934A9B3A75AA3DFCF0C36E155F7DF595FDFAEBAFA9AC8E65114000010410400001044A884042813DDC442174C58A15E16F';
wwv_flow_api.g_varchar2_table(216) := '67FC7532DB5DBC78B18D1F3FDE860F1F6E23468CB0871E7AC85AB56A150AD199DEE97DF6D9C78E3EFA68B7992FBEF882C09E6970D68F0002082080000208149280AA363259B991F438EC0ABD2A2D193972A4F5EFDFDFBA74E962B366CDB2471F7DD48D25';
wwv_flow_api.g_varchar2_table(217) := 'D9A143073BF3CC33DD5035EAC9EED5AB974D9A34C9B19D77DE793663C60CFBE0830FAC66CD9A76E18517DAF6DB6F6FDF7CF38D3DF6D863AE07BF69D3A676CE39E758E3C68DF35047DAAE7ACE5F7DF5555BBD7AB575ECD8D1CE38E30CAB54A9529EE5346D';
wwv_flow_api.g_varchar2_table(218) := 'EBD6AD56B6ECFF3FE452A54AD9F1C71F6F3FFEF8A39BEF9D77DEB1F5EBD75BCF9E3DDDEBCF3FFFDC4D3BE9A493DC6BEDAFB6B169D326EBD6AD9B1D7BECB1A6758C1B37CEDAB56B6753A64C71FB7DCC31C7B8637EF6D967DD103DA79C728A75EEDCD91DDB';
wwv_flow_api.g_varchar2_table(219) := '5F7FFD651B376EB48F3EFAC8ED872E22349D86000208208000020820503C0514D49507D5CE3EFB6C970FD37D2449F7B00F1C38D06AD7AE6D279F7CB2299CAF5DBBD685F7E38E3BCE3D962B57CE1E7FFC71B7BF73E7CEB5993367BADEEDEEDDBBDB2DB7DC';
wwv_flow_api.g_varchar2_table(220) := '62952B57B6BBEFBEDB76DA69277BEDB5D7DC7C3A5885683D6A9D13274ECC77BCE1DB55C8D785C0A04183ECCE3BEF7481D8979E04176ED6AC99EDB8E38EAE144617050AE4FACD529D3A7572B329D0AF5AB52AB4888E4775EEBE4D9F3EDDAEBBEE3ABBE69A';
wwv_flow_api.g_varchar2_table(221) := '6BEC934F3EB177DF7DD74D527990C2BA2E3A860E1D6A4F3CF1845BF7F5D75FEFCA87FC45CA9A356BDC6FCF3AECB0C36CD75D77B5030E38C07AF4E8E157CF23020820800002082080403113F0617DCE9C39A61F65D84CF4B4271DD81B366C680AE5FA8D50';
wwv_flow_api.g_varchar2_table(222) := 'FA55AAEA816EDFBEBDB56DDBD62A56ACE8C2EAC71F7FEC7AA465AF205FBD7A7517901594551EA2D70AE63E28972F5FDE7EFFFD77D733DDBB776F7731107EDEC2B7ABDE75F58AB76EDDDA6AD4A861AA37D776D55B1E6CDAA6C2F669A79DE6EAD115EAD5D3';
wwv_flow_api.g_varchar2_table(223) := 'AFE5E369279C7082D5A953C7F5F8AB77FDFDF7DF0F2DA6E05DBF7E7D6BD9B2A5B338F2C823AD6EDDBAB6FBEEBBE7ABF1D7454E952A55DC370BDB6DB75D681D3C41000104104000010410283E02C1B03E6CD830D34FA6427BD22531E19CFA95AA2A71514F';
wwv_flow_api.g_varchar2_table(224) := '74B0F930AE90AA56BA7469176A15F6FD6BF7E49F3F14A09F7CF249577AA2DEF07EFDFA99027AACA6B292AE5DBB8666D145802E20D4F3DDA44993D0FB1A1D466DDF7DF7753F42D6FE8E1D3BD65D6884668CF2A451A346A1297AAEEDFAE68F4DAF757CB56A';
wwv_flow_api.g_varchar2_table(225) := 'D57293F49C86000208208000020820905B02E1615D9DD56A0AED37DD7493EB694F67794CDA12A582B2CA5D264C9810FA1933668CC5DB8BAC036FD0A0813BD0071F7CD076DB6D37BBEBAEBB5C894BAC535CAD5AB53CBDD81AC946E5277A3FD8DE78E30D77';
wwv_flow_api.g_varchar2_table(226) := 'A3A97F4FF5E7FBEDB79FDBBFF9F3E7BB7A23ED836FEBD6ADF34FDDA3BFF0D00B3DD745010D010410400001041040A06409440BEB525070CF444F7B4A815D3DC80AC86A2A6DF9ECB3CF42E159B5E5A3468D72D3E2F9433DE083070F7675E3EAB13EE49043';
wwv_flow_api.g_varchar2_table(227) := 'DCBAFDFA83EB086E57C15EC33C6ED8B0C1CDA27A72D5ABAB3C26D876DE7967B77FBA31D6377D6DA1516E7483AB02BE865AD449D08DA5E1DF144C9E3CD92DA6E96FBFFDB6AB43F7EB49F451FBEF7BFC135D96F9114000010410400001048A4E60DAB469A6';
wwv_flow_api.g_varchar2_table(228) := 'FB3315CC7DCF7A706F7C68D73CCAC6E9682995C42804EB06D2534F3DD5F6DF7F7F37128C468451F855C98BEAC9E36D9A5F379C5E7BEDB5AE565C41BA6FDFBEF9467BD1FA82DB3DF0C0035DBDD09021435C6DB8C2F0F9E79F9F6FB32D5AB470FBA95E7B7D';
wwv_flow_api.g_varchar2_table(229) := '1BA09A76DD687AEEB9E7BA7AF2BDF6DACBDD3CAA71DA35C28C2E40962E5D1A5A8F42FCA5975EEA2E2254A6E387680CCD90C093366DDAD8238F3C621A354623E9D0104000010410400001048A878032AF7E623585768D6C98AE56EA9FDA735707A25151D4';
wwv_flow_api.g_varchar2_table(230) := '339D6A530FB4D615ACEB4E649DEA7956C9890FFDF12EABE5D4CB5ED07635B4A30FE22AD751C00F36BF6D95CC84375F26133E6464F87CBC46000104104000010410285E02B367CFB6E6CD9B17C94E17B4ED947AD8231D91826E41A139D272FE3D8D93AE91';
wwv_flow_api.g_varchar2_table(231) := '54126D5ACE8FB11E6B5905748DE012ADA9F73D5A23A84793E17D041040000104104000814C09E4ED5ECED456582F020820800002082080000208242540604F8A8D851040000104104000010410281C01027BE138B3150410400001041040000104921220';
wwv_flow_api.g_varchar2_table(232) := 'B027C5C6420820800002082080000208148E0081BD709CD90A02082080000208208040160B68C86FFF7B7D0A7337B54D6D3B564BFB2831B136C6B4EC12D06F78A5218000020820800002B928D0A851A3840EAB56AD5AF6CF70E7A15F0A9AD0C229CCACB0';
wwv_flow_api.g_varchar2_table(233) := 'AE6DC76A04F6583A393E2DD10F728E73707808208000020820508205AA56AD6AFAC9C646494C369E15F6090104104000010410400081FF0910D8F928208000020820800002082090C50204F62C3E39EC1A020820800002082080000204763E0308208000';
wwv_flow_api.g_varchar2_table(234) := '0208208000020864B100813D8B4F0EBB860002082080000208208000819DCF000208208000020820800002592C4060CFE293C3AE2180000208208000020820C038EC7C06104000010410400001044ABCC0DF7FFF6DCB972F2FB25F9C146B0C78027B89FF';
wwv_flow_api.g_varchar2_table(235) := '780280000208208000020820A0B05EAF5E3DAB50A142A1626CD8B0C1FD86D558819D9298423D256C0C010410400001041040201B05B66CD952E8615D0EBA40D0B66335027B2C1DA6218000020820800002082050C40204F6223E016C1E01041040000104';
wwv_flow_api.g_varchar2_table(236) := '10400081580204F6583A4C4300010410400001041040A0880508EC457C02D83C0208208000020820800002B104121A254605F1A79C728A8D1A35CAEAD4A9636FBDF596EDB5D75E56A3468D58DB48FBB464B6BB76ED5A3BF3CC33AD7CF9F256AA5429DBB6';
wwv_flow_api.g_varchar2_table(237) := '6D9BD5AD5BD7F6DE7B6F3BE69863DC7BD176F4CF3FFFB4B973E7DA3EFBEC136D16DE47000104104000010410402023020905F6F03D983A75AAB56EDDBAD0037B2ADBBDFFFEFBCD0F9BB378F162BBF5D65BAD59B366B6E79E7B861F5EE8B5C2FAF4E9D309';
wwv_flow_api.g_varchar2_table(238) := 'EC21119E2080000208208000020878017504ABA95338132DE9C03E62C4085BB870A18D1C39D2FAF7EF6F5DBA74B159B366D9A38F3EEAC692ECD0A183EBD1D65035575F7DB5F5EAD5CB264D9AE48EE1BCF3CEB3193366D8071F7C60356BD6B40B2FBCD0B6';
wwv_flow_api.g_varchar2_table(239) := 'DF7E7BFBE69B6FECB1C71EB3254B9658D3A64DED9C73CEB1C68D1BE739EE48DB7DEFBDF7ECD5575FB5D5AB575BC78E1DED8C33CEB04A952AE5592ED20BF5B0B76AD5CAFEFAEB2F3779E5CA95F6F0C30FDB0F3FFC60CD9B37B7810307DA1F7FFC614F3CF1';
wwv_flow_api.g_varchar2_table(240) := '84A987FE861B6E703F575C7185693FCA952BE796BBEDB6DBDCBC2B56ACB00F3FFCD05D00BCF2CA2B76CF3DF7B8633FFAE8A3EDA9A79EB275EBD659BF7EFDEC90430E89B43BBC8700020820800002082050CC0414D6C78D1BE7F6FAECB3CFCE48684FBA86';
wwv_flow_api.g_varchar2_table(241) := '5D61B676EDDA76F2C9279BC2B902ADC2FB71C71DE71E15661F7FFC71B7F3EAA19E3973A60D1F3EDCBA77EF6EB7DC728B55AE5CD9EEBEFB6EDB69A79DECB5D75E73F3E9608F3FFE7877D05AE7C48913F39DB2F0ED2AE4EB4260D0A04176E79D77DAC68D1B';
wwv_flow_api.g_varchar2_table(242) := '5DE8CEB7E0FFDED07EEA47BFCD4ACB7EF7DD772EE46BF2E8D1A3AD4D9B36AEE4A773E7CE6E7D3BEFBCB3F5E8D1C35AB66C693A096AF3E7CF772535EEC53F7F28F06FDEBCD934F0BD8EF3E38F3FB6534F3DD54D9E376F9E7DFAE9A776E38D37BA503F61C2';
wwv_flow_api.g_varchar2_table(243) := '04379F5F964704104000010410400081E229E0C3FA9C39734C3FCAB2BEB73D9D479474606FD8B0A1EB61D66F845289897ACCDBB76F6F6DDBB6B58A152BDA89279EE882EBA64D9BDCFE2AC857AF5EDD3A75EA6465CA9431F53AEBB582F9AA55ABDC3CAA2F';
wwv_flow_api.g_varchar2_table(244) := 'FFFDF7DFDDE0F1BD7BF7761703E1071BBE5DF5AEF7ECD933549A3360C000B7DDF5EBD7872FEA5E5F7CF1C5AEE75FE15BE530BA8050EFBE42B74A640E3BEC3057E7BEFFFEFB5B952A555C38D785898EA951A34611D7197C53BDECFAC660B7DD76736FEBA4';
wwv_flow_api.g_varchar2_table(245) := 'A9465EC7AAB29B6AD5AA99E6A121800002082080000208145F8160581F366C98E92753A13DE9929870DE458B16B91217D57A079B0FE30ABF6AA54B977601DF9793E8B56F2A9579F2C9275D79CB8E3BEEE8CA4714D0633585ECAE5DBB86665130D60584CA';
wwv_flow_api.g_varchar2_table(246) := '6A9A3469127ADF3F79F0C1074335ECBFFEFAABDD7CF3CDB6C71E7BB8F9B58C027FB0E9B8CA968D9F49A15EDF1E045BAD5AB5422FB5AEAD5BB7865EF304010410400001041040A0780984877575ECAA29B4DF74D34DAEA73D9DE531F127D1021C1594D55B';
wwv_flow_api.g_varchar2_table(247) := '7DDA69A785E65458D7FBF1341D7883060DDC81AE59B3C6DE7EFB6DBBEBAEBBDC01ABE73D5A538FB56ACF7DD348365A5EEF476ABA40F01709BA61561706EAD557ADBC02FEEDB7DF1E5A4CA533DAF6679F7D167ACF3FD1FEFAA6DA74DFFC09F3AFF598A91B';
wwv_flow_api.g_varchar2_table(248) := '1082DBE03902082080000208208040E605A285756D59393013A1FDFFBAB793383E055F05643595B628D8FAF0ACFA700DFF186F530DF8E0C1836DD9B265AE144537666ADD7EFDC1F504B7ABD2130DF3A8FA71B52953A6B89B3EE31D6A72BBEDB67337ABAA';
wwv_flow_api.g_varchar2_table(249) := '2C46C1FBC71F7F74EBD10DAC575D7595AB890F6E4F137511A2DE79B52FBFFCD22DEF5EF007020820800002082080404E0B4C9B36CD0DF7AD601EA9A3D68776DDC319A9D337199CB22FBDF8A21DDDA74F32CB9A6EC8D40DA4BAC15235DF1A094623C2A877';
wwv_flow_api.g_varchar2_table(250) := '5B252FE1E525B136A2F975C3E9B5D75EEBC678579D77DFBE7D238EF612DCEE81071EE8EA85860C19E282BEC2F5F9E79F1F6B5379A629D86B749BC30F3FDC54923376EC5887AF0B088DE8A2F2160DFBF8DB6FBFD9D0A143DD8DA8471D75947B54B98E46B3';
wwv_flow_api.g_varchar2_table(251) := '51D8A721800002082080000208E4BE8032AF7E623585768D2898AE566ADCD8B1DB14D855FEA1609A6AD3D7045A97AF594F747D0ACA2AA5F1A13FDEE5FD282DC96E37B81D8D20E3C76A0FBE1F7CAED168D4FB1FCFF091C1E5788E00020820800002082090';
wwv_flow_api.g_varchar2_table(252) := '7D02B367CF76C37A17C59E15B4EDB2C9F6AE473B18D56BA7129A7553A6466549B469B9446E0E8DB5FE82C2BA968D55571F6BDD4C4300010410400001041040201181946AD813D910F322800002082080000208208040E20204F6C4CD5802010410400001';
wwv_flow_api.g_varchar2_table(253) := '0410400081421320B0171A351B4200010410400001041040207101027BE2662C810002082080000208208040A10910D80B8D9A0D2180000208208000020864AB4099326542BFD7A730F751BF4B48DB8ED5D2F69B4E636D8469D929307FFEFCECDC31F60A';
wwv_flow_api.g_varchar2_table(254) := '01041040000104104851A051A34609ADA156AD5AB668D1A288BFB433A1152538B3C2BAB61DAB11D863E9E4F8B4443FC839CEC1E121800002082080400916D0B0DEF10CED5D144494C414853ADB4400010410400001041040204E01027B9C50CC86000208';
wwv_flow_api.g_varchar2_table(255) := '2080000208208040510810D88B429D6D228000020820800002082010A700813D4E28664300010410400001041040A0280408EC45A1CE361140000104104000010410885380C01E2714B3218000020820800002082050140204F6A250679B082080000208';
wwv_flow_api.g_varchar2_table(256) := '2080000208C429C038EC7142311B02082080000208208040EE0AFCFDF7DFB67CF9F222FBC549B1C68027B0E7EEE78E234300010410400001041088534061BD5EBD7A56A14285389748CF6C1B366C70BF61355660A724263DD6AC05010410400001041040';
wwv_flow_api.g_varchar2_table(257) := 'A0180B6CD9B2A5D0C3BAB87481A06DC76A04F6583A4C4300010410400001041040A0880508EC457C02D83C0208208000020820800002B10408ECB17498860002082080000208208040110B14CBC0AEBB78172F5E6C5BB76E4D986FE3C68D6ED96DDBB625';
wwv_flow_api.g_varchar2_table(258) := 'BC2C0B645E40375EFCF5D75F5654E767D1A245B674E9D2A40E74D5AA55B66CD9B2A496CDE442FA7BB260C102DBBC79732637C3BA11400001041040204302098D12B376ED5A3BF3CC336DDCB87116EB4ED654F6F58E3BEEB0830F3ED876DF7DF77CABF9FE';
wwv_flow_api.g_varchar2_table(259) := 'FBEFEDE1871F0E15E62B7C9F78E289B6DF7EFB5941FBA680FFE0830FDA9F7FFE69356BD674C1EAA0830EB2638F3DD6CA9429135ABE7CF9F256AA542917182B56AC68471C7184F5EEDD3BDFBE8C1F3FDEDE7AEB2D2B5B362FE1983163AC72E5CAF9E6CFC6';
wwv_flow_api.g_varchar2_table(260) := '3774E1D3AB57AFD00D160AC9BBEEBAAB3BDEAE5DBBE6D9E5F7DE7BCF5E7BED35BBEBAEBBDCFB0AD63AD6CF3EFBCCE4244759456B7E5B2FBFFCB255AF5E3DDF6C0A94B7DF7EBBCD9933C76AD7AE6D4B962CB1238F3CD2060C18E0CE8F5F403765F4EFDFDF';
wwv_flow_api.g_varchar2_table(261) := '5AB56A65B7DD769B7FDB3EF8E0031B366C98F9F357A3460D6BDFBEBD0D1C38D01A366C189A2FDA93175F7CD1744EF5D95060AF5BB7AE0D1D3AD476DA6927B7EE7FFFFBDFA69F48ED8B2FBEB0912347BACFA53E0FB239E79C734C9F2FB5FBEFBFDF5E7AE9';
wwv_flow_api.g_varchar2_table(262) := 'A53C9F95162D5AB8FD8DB56FC1630A6E57C7A910EE8FD74F6BD3A68D1D75D451EEEF8FDE5BBF7EBD8D1A35CAED7FFDFAF5DD1DE83ABF975D7699C947FB79F8E1875BE7CE9DEDE69B6FF6AB718F3367CEB48B2FBED8CE38E30C3BF5D453F34CE305020820';
wwv_flow_api.g_varchar2_table(263) := '8000020814AE40DEB459B8DB4E686BBFFDF69B0B3E975E7AA9B56CD9D22DFBF3CF3FBBA0A170D5B469D3A8EB5BB3668D5D7FFDF52EE875EBD6CDCDA780FFAF7FFDCB1E7DF4517711E21756B8F217230A91D75C738D75ECD8D19A356BE667093DEAC2E2F4';
wwv_flow_api.g_varchar2_table(264) := 'D34F0FBD2EAE4F9E79E61917A27501F4C9279FB820FCFCF3CF8782BC86397AEAA9A7F204CE871E7AC85DE4C84FBDCA975C7289356EDCD805FE441D56AF5E6D83070F76E7C1877E05FC5B6FBDD5EEBDF75E1B3264486895BA40D0F9FFE9A79FDC7615EE7D';
wwv_flow_api.g_varchar2_table(265) := '6BDEBC7928546B795D649C7FFEF9F6C8238F58AD5AB5FC6CF91E9F7DF659FBCF7FFEE32E06B7DB6E3B77B1F6DC73CFB9C0FEF4D34FE79B3FF8C637DF7C63B7DC728BDD74D34DD6AE5D3B37E98F3FFE709F1B5D00E933A2A6207DE18517BAE7EAE97EE081';
wwv_flow_api.g_varchar2_table(266) := '07DCCFF0E1C3DD7BD1FE081E53701E85F9E0346D4BFB72F9E597BBCFAB8EE3BAEBAE73172B3A97E5CA957321FF89279E70415C17BEBEFDF2CB2FA66F078217526FBFFDB6BB78F1F3F08800020820800002D1057C65803A7D33D1D25A12A380A47075F6D9';
wwv_flow_api.g_varchar2_table(267) := '67BB30B26EDD3AB7CF2B56AC702150BD759AA65E56DF1432AEB8E20AD793A7001DED6B7B850E85391FD6B57CEBD6ADDDF6144662B52953A6D88E3BEE683EAC6B5EF582ABF775DAB469AEE731D2F275EAD4B1D2A54BE709AA91E60BBEA79E4F05A55F7FFD';
wwv_flow_api.g_varchar2_table(268) := 'D5AEBDF65A172C75FC77DF7DB70BA43AD6CF3FFFDC2D327BF66CF76D85C2F0A04183DC722A0751CFB1AC1404D54B5A584DBDD3EA5997A7F6DF375DC49C7CF2C9FEA57BFCF0C30FAD5FBF7E2ED4AB97F8C0030FB4E9D3A7E79927DE170AC76DDBB6CDD343';
wwv_flow_api.g_varchar2_table(269) := 'AF8B267D96A64E9DEACA39FCBADE78E30DD72BACFDD4371CD19A96570F7D870E1D5CEF76B4F9F417ECB1C71EB30B2EB8C01472D5F4974DDF18E82242177BB19A82EFF1C71F1F0AEB9A57178FFA9CEBA22652532FBC3E5BE1DFCE449A37DEF7B4CFEA3D57';
wwv_flow_api.g_varchar2_table(270) := 'CFB9BE4DFAF2CB2F6DD6AC59EEB8FCDF0F7D96D55BAEC7A09D2C75C1E2DBA64D9BDC85DBDE7BEFEDDFE21101041040000104A208284BA8FA443F3EB8479935E9B7D316D815BC274D9AE482E79D77DE69EAADF5BD780AA42A35D0D7F3575F7DB5297C2B88';
wwv_flow_api.g_varchar2_table(271) := '2AC8DE73CF3DD6B76F5F1B3D7AB43568D0C0BEFBEEBB8807336FDE3C5706113E512145613C569B3B776E9E40E5E7D53E699B5AB76F3366CC308551051A9539ECB9E79EAEE7D84F0F3EAA075EF3FA1F9573E844697B13274E740154E14DBDC4EA09D6E309';
wwv_flow_api.g_varchar2_table(272) := '279CE04A49549A23235D30A8F7570E9AE7AAABAE72BDB2F7DD779FA997F8E38F3F0E6E32A3CF556EF2CE3BEFB88B269557A82930CB57BDE7C1E6CB46FC7BFA9623D9DAEFDF7FFFDDF50AFB75F947793469D2C4345D4D1E0AA22AE150B9C99B6FBEE9678D';
wwv_flow_api.g_varchar2_table(273) := 'FAA8D2199D8F684D35EB2A0D51E94B783BECB0C35C694CF8FBC1D7D1F65DDFCA2C5CB8D07D0BA1F9B50FEAB5D6E76AECD8B1EE5141BFA0A663D672FE47DF30F8A68B434DD78FBE0551598F2E027451ABFD528FBF0FEB7E193D6ADFF48D956FFA1640EBF7';
wwv_flow_api.g_varchar2_table(274) := '4D7F0774A1A352271A020820800002084417F0615D19503F990AED692B8951EF7ACF9E3D5DAFB70E4BB5C7E79D779E9D75D659B6FFFEFBDBF6DB6F6FD5AA5533F5BAAB874F65100A5F3BEFBCB3F99EBC3E7DFAD8FBEFBF1F5145F357AA5429E2B482DED4';
wwv_flow_api.g_varchar2_table(275) := 'B2D1EACAAB54A9E2028F5F8702B2428F4E807ABBB59CCA67222DAFC0AED204DF1424153015C4752CBBECB28BCD9F3FDF5D10A8B446E14961491EFFFDEF7F6D8F3DF670815075C46ABAF8908F2E12D4142255AA90E9A673A573A2DE649D23F50ECB403DB5';
wwv_flow_api.g_varchar2_table(276) := '93274F76DF0EE843186C0AF7AAFDF74DCFA37D3BE2E789F6B872E54AD37988D4D453EE0DD40BBCD75E7BB95E7D39EA7D95732894476B0A9D0AE4D19AD6A17992F90A4B81596691F65DEF699D7EDF5526E37BB575B1AACF543C17380AE37E391D836ADFF5';
wwv_flow_api.g_varchar2_table(277) := 'B951D339D13D08BEE99CE99B1C3D1664AA8B09DF14F0B51D7DDE7501ABEDE9EFF2471F7DE467E11101041040000104C20482615DF795A9A94456A15D592A996C11B689D0CBB4057685BBE08D8AAA8755D8D2CD837AAE5A67F532EAB9C2A19A024BF84D77';
wwv_flow_api.g_varchar2_table(278) := '8D1A350AED5CF089CA15542B1D5E4BAE1B51157E7CFD707019FF3C56EFAFF64FE509BE5D74D145A11A769D087D5BA070ED6BABFD7C7AECD4A953BE1A76FF9BAA7C88948B6EF80BF6742AD4FB6F1282614F2EC19A6CEF14DC66269EAB8447FBA1A0275FFF';
wwv_flow_api.g_varchar2_table(279) := '0153F83BFAE8A35D7097934A25D423AD5FDBABE3D185896F7AAE929A649A42A29C2235054B4D57538FBABE9938E59453DC6B854C95C8786BF766D81F5AAFCE7FB4A6690ADDBA500ABF20542955AC75EBFCE8B3A36D847F8EE5A4E97EDB5DBA7409D5B06B';
wwv_flow_api.g_varchar2_table(280) := '5FF4B9BDF2CA2B5D7998F78EB48F3A76DD8C1BA935FFA7665FF5F96AFADCA9D44C35F1BA2741CBE95BAF482D68EAA7EB1B0B7DBBA21BAC7FFCF14777CF0781DDEBF0880002082080405E81F0B0EEBF955670CF44684F5B498C7A66D5ABE79B0284EFB155';
wwv_flow_api.g_varchar2_table(281) := 'E8DD6DB7DD5CF8D581F883D232BE07D22F17FEDABFBFC30E3BD8A79F7EEA5F861E15E2D43318ABA93E3A5269896A7C15FA147C22350529958284F72E479A37FCBD58C728271D7BB634F5DAAA97550EC1F0A80B24DD57A08B188546D5DCAB64474D4154DF';
wwv_flow_api.g_varchar2_table(282) := '1EF8A6E73E9CFAF7E27D546FB9BEA1096F0A8EFA7644A159654BEAA51E3162840BBA0ABBBAD1D597F0842FABD7FACBA472A55817732A8BD20555F09B122DAB6F0B74855CD0B706D1F65DC7A36F8F82DF4268BDBEC95A9FBD604FB79F16EFA3CE952E0AF4';
wwv_flow_api.g_varchar2_table(283) := 'A30B285D5CA9344617C2FA76E7DB6FBF7517B9C1F5E9C24A415C252FC1E6CB627471AA6F8AA2ED7770199E238000020820501205A285755928FF29EBA6BB3C266D815D815C5FA5FBF203F54EAAB7563DB73E40286068740F0556951328ECA826D7F7AEAA';
wwv_flow_api.g_varchar2_table(284) := 'BC21585B1BFC10F4E8D1C385AF6068FFEAABAF5C28D977DF7D83B3E67BAE9E7F9521A8965EC86AAA9F572053394AA47217CDA380A851538237BAEAFD449A6AD875DCBEB7520154653FF2CAF6261F8D92A21F5D742938FB1E5D7DBBA0611EE5A9635240D5';
wwv_flow_api.g_varchar2_table(285) := '7BC9B4430F3DD4F5706B7BFEFCE86241437CEAFE067D867461A6E13B1582FD4FF7EEDD5DAFBE6AAEC39BCEAF2E3214B8FDF08AE1F3F8D71A26523788FA5A77EDC363FFDC88AA0B10DDD81CABE99E047DD6752F826F0ACA4F3EF964E89B00FFBE7FD4DF11';
wwv_flow_api.g_varchar2_table(286) := 'DDEFA16F5392BDC8F1EB0A3EEA1B125D80E8A257DFE2A8F44A1738FEE66F59C8549FC9F0CF9FBED9D23F3213264C088D6C135C37CF11400001041040E0FF0BE8FF7C6586602774D0C68776CD13BCF72C384FA2CF932A89D1E819C19E5805A9D34E3BCD5D';
wwv_flow_api.g_varchar2_table(287) := '4D68640F052CF5FA69483D85088D20A21A6EDD5CA9AFEA7543A386D2D37A34D2880E5841A342850AA69EF4484DE15F3DAA0A8C1A2F5B180A3E7E740F95C5A845DA37D5686B5847F5166B3416ED877A2215F88E39E6983C9BF3CB2BB4697F7431A0FD4FB6';
wwv_flow_api.g_varchar2_table(288) := 'E9F8B54E8D01FFCA2BAFB88B956EDDBAB9C0A461298B6BD368233AA7BA71523DC5BA41339EC0AE701C6CBA60D278DFBAE958A3E2A897D89799E83E80D34F3FDD8578DDFCAA1176824D9F41592ACC6BFBB3FFF90640EBD3674F6158BDCC3AE73A07B19AB6';
wwv_flow_api.g_varchar2_table(289) := 'A3507BEEB9E7BA6DEBB3A4B21F7D2EB52E35BFEEE07A344EBB7AA61582F5A363504FB74A87B4AFBED65CCBE8DCEB7E00DF149A6FBCF1C6B4F764EBB87FF8E107F7F748FBA07D92B91F875DE728387EBDDF1F3D1E72C821AE9C46E3D7D310400001041040';
wwv_flow_api.g_varchar2_table(290) := 'E0FFB57717E052556B03C717821D08166281623776618B9DD8DD8A7D1515E3133FDBABD85EB1E3DA18D7BE76E1C56E514C4CC4C416453EFEEBBB6BDC679C33756206CE7F3DCF61F6EC5CFBB7C7C777AD79D79AC2027488F157AC10A7D269D65CA5DDF85C';
wwv_flow_api.g_varchar2_table(291) := 'DBD8E54C90929F1F5ECD45E8C523902668CF16D263089C08824997613F9629F4B6737D72DECB29F49E720C8177B6E150CEB1D48D1E7E7A362B3DB69CF317DB87C096DEFC140416DB7742D946EF3ACF31E5AFA76F4BF2EB5F6E4F32CF87DE751A76CDF97C';
wwv_flow_api.g_varchar2_table(292) := 'F8CC1048E7171A8A697C018D34D2ABF81C5693B2C4E78ACF759A1E32FF5A85DE5327EA965FA813756B8EC27F2BDC178D90528D97E6B89EE7504001051450604214A073AE5B2369D22D7D3FA5AE5DBCEBB18ADA1110140A0AB2013CF9B1D91C5902D87283';
wwv_flow_api.g_varchar2_table(293) := '75AAD4944086E092C0A516A5927BAC45FDAAB9667E60CB20D042250D142DB42DBB8EE7933F8033BBBDDA65529B0AE58BF32D0BBDCF141A084DB93673A0575A689CF0ED417EA14ED4AD390AFF7D353698BB39CEEF3914504001051450A065059ABD87BD65';
wwv_flow_api.g_varchar2_table(294) := 'ABEBD91550400105145040010514687E8152BDDCCD7FC53FCF58EADAFF9FA0FBE7FE2E29A080020A28A080020A28A0401D0918B0D7D1C3B02A0A28A080020A28A080020AE40B18B0E78BF85E01051450400105145040813A123060AFA387615514504001';
wwv_flow_api.g_varchar2_table(295) := '0514504001056A23C08428CC56D7DA856B6627632974FD669F25A6D0455C579F02D95F2AADCF1A5A2B0514504001051450A03A814A674863BAF0F1D39DC7E9C7ABBB62754711AC73ED62C580BD98CE44BEADD20FF244CEE1ED29A080020A28A0401B1660';
wwv_flow_api.g_varchar2_table(296) := 'FAED7A9D82DB949836FCC1F4D615504001051450400105EA5FC080BDFE9F91355440010514504001051468C30206EC6DF8E17BEB0A28A080020A28A08002F52F60C05EFFCFC81A2AA080020A28A080020AB4610103F636FCF0BD75051450400105145040';
wwv_flow_api.g_varchar2_table(297) := '81FA173060AFFF67640D15504001051450400105DAB080017B1B7EF8DEBA020A28A080020A28A040FD0B380F7BFD3F236BA880020A28A080020A28D0C2023FFCF043F8E69B6F6AF6C349C5E68037606FE187EFE915504001051450400105EA5F80607DE6';
wwv_flow_api.g_varchar2_table(298) := '99670E934F3E79AB56F6D75F7F8DBFB05A2C603725A6551F891753400105145040010514A84781B163C7B67AB08E030D04AE5DAC18B017D3719B020A28A080020A28A0800235163060AFF103F0F20A28A080020A28A080020A141330602FA6E336051450';
wwv_flow_api.g_varchar2_table(299) := '40010514504001056A2C30D106EC5F7EF965F8F6DB6FABE21D33664CF8E28B2FC2B871E3AA3ADE83DAA6C01F7FFC113EF9E493C028F36ACA77DF7D17BEFEFAEB6A0E6DD56326947AB62A8A17534001051450A005052A9A25E6A79F7E0A7BECB147986CB2';
wwv_flow_api.g_varchar2_table(300) := 'C942BB76ED62403BD34C3385E5965B2E6CB1C516715D63756504ECFDF7DF1F36DA68A3C6766996F55CE3D65B6F0DD34D375D0CD83B77EE1CF6DC73CF30CF3CF38454FF8B2FBE38141A894B907ED14517C5A06BFAE9A78FC1D31A6BAC11B6DC72CBD0BE7D';
wwv_flow_api.g_varchar2_table(301) := 'FBF0DC73CF85B3CE3A2BDE3F9525A067BF5D76D9252CB1C4127FA9FF80010302C7F7EAD5EB2FDBB22B5E7AE9A5589F1E3D7A6457B7F8328125CF238D86E67E165B6CB1B0C9269B8495575EB9C1F51F7DF4D170D75D778533CE3823AEE7795E70C105D164';
wwv_flow_api.g_varchar2_table(302) := '8A29A68846EBADB75E8363B26FF2AFC5B62E5DBA8455575D35FAF179E2B3F5E1871F86492669D88EC4913F0A41310333269D74D2F87EEDB5D78EEB780E3CE76CD96EBBEDC2DFFEF6B7B0F4D24BFFE5DC3CFF15565821ECBAEBAE81CFC8B9E79E1B9E78E2';
wwv_flow_api.g_varchar2_table(303) := '8970D5555785A9A69A2A779ADD76DB2D1C78E081059F6FDA098BF3CF3F3F3CFEF8E381FF1E3EFAE8A378CDC30F3F3C74ECD8313CF9E493E1F2CB2F8F7FE998ECEB0B2FBC10060E1C18EFAB43870E81F3EDB3CF3EF1B3C37E9CFBF6DB6F0F6C4BA57BF7EE';
wwv_flow_api.g_varchar2_table(304) := 'E17FFEE77FC2ACB3CE9A56FDE5F5F9E79F8FCFEBFAEBAF0F04D93CD7BE7DFBC6679576A6CEFCF7B2FCF2CB872BAFBC32AEFEEDB7DFE27FCBE97A871E7A68C0B9543DD3397D5540010514504081E615F83302A8E0BC041029E025C83DE59453C25C73CD15';
wwv_flow_api.g_varchar2_table(305) := '9659669946CF4210F2AF7FFDAB4503F67BEEB9270C1D3A34D6A753A74E31A0BEF7DE7BE37BEA5CACFCF8E38FE1B8E38E0B5B6DB555586DB5D5E2AE04F8FFF8C73FC215575C11033E56CE3EFBECE1B4D34E8BDB0970B9DE85175E1803FDFC4033EE54C63F';
wwv_flow_api.g_varchar2_table(306) := '04425DBB760DAD1DB0A7AADD74D34DB181C3370BCF3CF34C38F5D453C32DB7DC920BE499E688A02F05701C77C92597C4061036F40A1F72C82161B6D9668B017F3A6FA1D7742DB67DF6D96781A096FB5E659555E2EEC71C734CC106CE7DF7DD17B7D320BB';
wwv_flow_api.g_varchar2_table(307) := 'E38E3B62101B578CFFE7EF7FFF7B5A2CFA9A3DF7F7DF7F1F83E46BAFBD361C70C001F1383EA304D6FBEFBF7FD1F3E46FFCDFFFFDDFC0E76DF0E0C1B121C1793064FD99679E99BF7B83F7AFBEFA6A38F9E493E3BE0B2DB450DC46A3E5E8A38F8E9FDF35D7';
wwv_flow_api.g_varchar2_table(308) := '5C33AEDB78E38D63C38137BFFFFE7BFCCCF1B93BE18413E2F672FFA18E7CBE695864CB36DB6C13F8A39C7EFAE9B11143032A9572EB99F6F755010514504081B62490B232E8806C89D2B02BB38A2BF03FFE79E79D378C1C39321E3D7AF4E818A4F03FFB13';
wwv_flow_api.g_varchar2_table(309) := '4F3C310665A4A7D043FAF3CF3F877EFDFA85CF3FFF3CD0CBFDE69B6FE6AE482047F0FBF6DB6FC79EBE471E79240681EC70D45147C54092A0909EC7071F7C30775C5A008A2073A79D768AC113EB415B7FFDF5E33A82EF6285C09E5EF814ACB32F3DADBBEF';
wwv_flow_api.g_varchar2_table(310) := 'BE7BEC791D356AD45F0EE7FCDC3F817AA9609DFBFDCF7FFE13081AB1E13D752610663D8D996BAEB9265EE39D77DE09C71E7B6CBC3601D9A79F7EFA976BB7C40ABE39A1679DDE6BEA900A8D9D1D76D821BD8DAF43860C097DFAF489413DBDBCABAFBE7A78';
wwv_flow_api.g_varchar2_table(311) := 'EAA9A71AEC53EA0DC711A49246D2DA65DA69A70DCB2EBB6C836B6FB0C106B9CF60B9F579EBADB702C12C417FEAF5E71B0B7AF631E11B8162E5D24B2F8D81720AD6D977CE39E70C7BEDB5576C14153A9686D38C33CED8A0015568BF42EBF8D6E1BCF3CE2B';
wwv_flow_api.g_varchar2_table(312) := 'B4A9E8BA6AEA59F4846E544001051450602211209E23AE4BB15D4BDC5655013BC12F7FA43910ACBCFEFAEBB994018281F9E79F3FA618ACB8E28AB1F793B40002100299830E3A28F6DE11C4FFF2CB2FB97B22DF9C5E6E7A275F7EF9E5F0F4D34FC7409B1D';
wwv_flow_api.g_varchar2_table(313) := '3EFEF8E3F0ECB3CF86E38F3F3E06B104B6EC972D5F7DF555A08798A03BBF909242DA43B1421A4336684AFB926A41EA0675A050478255FEE8E9BDECB2CB723D93E99842AFDCEF9D77DE19F6DD77DF781F2FBEF86218366C58E8DDBB77EC95263584C605A6';
wwv_flow_api.g_varchar2_table(314) := 'F4CE9282409A06A9367C8341AF6A4B17524D1E7AE8A1782D9E21851E6D4CE93DCF16BCB3BDB42CB3AE54C18F7B24458314231C089C53E1D9D3204B7F3CF7E62A7CDEB836BDEBEFBDF75E7C7EB8A74283859411D253524B396D6BECF5830F3E88DF10A4B4';
wwv_flow_api.g_varchar2_table(315) := 'A2B41F0D820D37DCB06443EEFDF7DFCFFDB7938EE595E74EC3363534F97C62F2C0030F84418306C5D7D4239E3DAED43229509C97466225A5DC7A56724EF755400105145060421748C1FA881123027F2D15B457951273F0C10737F0257098638E39622F3B';
wwv_flow_api.g_varchar2_table(316) := '293204A1F43E1328D353CEFFEC49F9A0179A94925285E0FDA4934ECAE51283418E3C79E9A4DD100CB1CF2CB3CC923B1541184153B55F45707C36773977E2F10B534F3D750CF4D84E00454E328500976F144819A18EA5AEBDD65A6BE502DF45165924FEAA';
wwv_flow_api.g_varchar2_table(317) := '158D04CE4FC360861966884119DF58A4BC77022CAE47C368C925978CD76DEE7FC8D3E6D9104C634BE38A5E5C9E256946A475F021CC16EE9DBCFE54582EA751410F6FB690773EF7DC73E756BDF2CA2BB9C6112B4BA55AE50E2C6381864FB630F662DD75D7';
wwv_flow_api.g_varchar2_table(318) := 'CDAE0A34326958D11823E7BB54E1F937F6B929752CBDEF98F3FCF30BEBF83CD1B0A1902643B04EA1E1C1E7B09C06523C20F30FE7E49B2AD2757AF6EC99D9D2F862B9F5ACD6A1F12BBB45010514504081FA15C806EB8C2BA3F0FF57827662A95271612577';
wwv_flow_api.g_varchar2_table(319) := '5655C0CEC0CC94C34EEA04C13503FBE845E68F00305B4827A197BADC42709FFF3F7F7284532198CC4F3520D825882198611064B63CF6D863A15BB76E0D7A84B3DB592ED643CC3D9182C0F9D9EF88238EC81DCEBAC30E3B2C063F0497C54AB6979FF40982';
wwv_flow_api.g_varchar2_table(320) := 'DEFC42909CDFA8A1779BF52D5548BF2140C4957B481F3002F54D37DD345E1B030623F22CF9D95EEACF371AA9B04C0F75A972DB6DB7C58617FBF10D03C1236938A4815076DC71C75C6325AE28E31F1A1B851A0BF8A67BE1348C51480D21EE87C19477DF7D';
wwv_flow_api.g_varchar2_table(321) := '77EC09CF5E8641A6FBEDB75F2EAF3EBB2D7F198B42CF86FF88AFBEFAEAD8D0CC3F26BDA7DE7CAE383E7FF028CE6C4FDF62ACB4D24AB91C768E7FE38D37C291471E1953A9B2F798CE5DEC75810516084B2DB5544C3D5B70C1058BED1AB75552CF92277307';
wwv_flow_api.g_varchar2_table(322) := '051450400105260281FC603DC59E04EE2D11B4579512C3FFC0D3DF7CF3CD175326E845A7079C60939495F4C7D7F7CC40915FF2830CF2DB5349379DDEF39ABF7F761BCB5C9BE087348B6C2168234FBC504097DD8FC085349CFCF2EEBBEFC6DE7502FE4285';
wwv_flow_api.g_varchar2_table(323) := '86058D89FC1EE842FB96B38E1EEED4AB9AF6E73DEB5BAA30E308033FB9C7AC33834919744B1A13036D49FFE8DFBF7FAC06816436B79EE5145C16AB67FADCF0BAF0C20B07DC870F1F5EEC9092DBB82EA934D942C0CB5FB64ED96B136833834F761C453A9E';
wwv_flow_api.g_varchar2_table(324) := 'E099419ECC8253AAF0F9E733C2B5B285FF1E189751A8F73CBB1FA92F8F8E9F8127BFB00E9FECB718D97D7856A4F790DE524DE19B0DD29D480D2AA7545BCF72CEED3E0A28A080020A4C48028D05EBDC03312C417B73A7C75415B0E7A3D2BB4D4A09693104';
wwv_flow_api.g_varchar2_table(325) := 'DE2908621D011EBDAF044BF48A739314026C069852080C49F9686A61D0E00D37DC1007BA722EAEC5AC18F46C1394162BF4F2D23B4F709FEA48DA0D5F6B903691DFE39FCE4F0E360F259BD651EC3A85B661931A14A4BDD0E8488118DF60105411BCB576E1';
wwv_flow_api.g_varchar2_table(326) := 'DE6FBCF1C6F8C74C2CA4EA90B34F219D82691EB1E2391360969B6291BD0F02EAFC064A767B39CB5C97A09F41CBD487F10D4C55C8B73A7C5BD35829766D5277F806A0D48058CE4F1A0DE30E52A393576670E173936D0015AAC7B6DB6E1B18F0CC9492A9BC';
wwv_flow_api.g_varchar2_table(327) := 'F6DA6B81D96BF8B6A150E1FEF89CF3B9CE36480AEDDBD83AFEFB634A4B3EEFE5946AEA59CE79DD47010514504081094D80FF6733B68CC0BC5027730ADAD927BF23B9DA7BAD2A2526FF620C2AA597910085417BF4AA53598250661221D82590A2E792595E';
wwv_flow_api.g_varchar2_table(328) := '060C18100755120432A8905E487AF09A5AD659679D187493E241AF3781138D0966F020284E8569FBB28114530A92C643CA043DCA7BEFBD773C9EDC74CE49FE7C2A0C3E25D0A1D00021F79C63F3D358D2FEE5BC32C09340989976984186609101B6B8120C';
wwv_flow_api.g_varchar2_table(329) := '33509500AB9E0AB3F130F520E317E8E965DC4235013B412781712ACC2C947D56AC67EAC8FC9491B43FAF8C07605696EBAEBB2ECE934F7DB0637621D27C1A2B5C9B403F3FBD8AFD49EFE173C3394A151AA5A40FF1592780A7B1C51CEFD96911F976223F5F';
wwv_flow_api.g_varchar2_table(330) := '9E199398B6916914F963C036A946A41E9176459A592AE4D4339E20155288F88C34D6039FF62BF64A039794A0720A3DFAE5D4B39C73B98F020A28A0800213B200E9B529C5B6B1FB200E26A669AED26EFC57F9B1CB9B5CEC5239D8955C94A029E5B937761C';
wwv_flow_api.g_varchar2_table(331) := '81521AE8D8D83ED5ACA771405E300D85527528747E7A30194C48EF6536B02FB46F4BAD4B3DD7F516A8E7DF2F0D0A06FBA6FCF542F9DC1C536D4F70FEF54ABDE7B911F0D2506BCE6757CE7DD140A5D1C5BDE6CF1A53AADE6CA7EE9C83BA975BB857BE09CA';
wwv_flow_api.g_varchar2_table(332) := '2F04FE34265BA25453CF96A887E7544001051450A03905E85CA383AA16A5D4B51BEF7E6C626DCB0994E9496D89DC6C02357294AB2D045B4D39BEDAEB668FE31EEA3D58A7BEF9CF2FFDC051F65E586E2CBD237FBFA6BEA767BD254A39F7456F7E53BE69A9';
wwv_flow_api.g_varchar2_table(333) := 'A6EEA493918B9E5F9841896F875AA25453CF96A887E7544001051450A0AD08B4580F7B5B01F43E15504001051450400105267C8152BDDC2D7987A5AEFD6762774BD6C2732BA080020A28A080020A28A040550206EC55B17990020A28A080020A28A08002';
wwv_flow_api.g_varchar2_table(334) := 'AD2360C0DE3ACE5E450105145040010514504081AA040CD8AB62F32005145040010514504081894980A9929929B0B50BD72C354D738BCD12D3DA37EBF52A17C8FE5269E5477B84020A28A080020A2850BF02C57E3CB150ADF90D1F7EB97CECD8B18536B7';
wwv_flow_api.g_varchar2_table(335) := 'D83A8275AE5DAC18B017D399C8B755FA419EC839BC3D0514504001051468C3024C495ECEB4E4B5203225A616EA5E53010514504001051450408132050CD8CB84723705145040010514504001056A2160C05E0B75AFA980020A28A080020A28A040990206';
wwv_flow_api.g_varchar2_table(336) := 'EC6542B99B020A28A080020A28A08002B5103060AF85BAD75440010514504001051450A04C0103F632A1DC4D01051450400105145040815A0818B0D742DD6B2AA080020A28A080020A2850A680017B9950EEA680020A28A080020A28A0402D040CD86BA1';
wwv_flow_api.g_varchar2_table(337) := 'EE3515504001051450400105142853C080BD4C28775340010514504001051450A0160206ECB550F79A0A28A080020A28A080020A942960C05E2694BB29A080020A28A080020A28500B0103F65AA87B4D0514504001051450400105CA14A82A60FFFDF7DF';
wwv_flow_api.g_varchar2_table(338) := 'C3E79F7F1EBEFEFAEB306EDCB8322F35E1ECF6E5975F866FBFFD76C2A9B035554001051450400105149868053A547A678F3EFA68B8F9E69B43A74E9DC2C89123C34C33CD140E3CF0C030EBACB3567AAABADBFFFEFBEF0FB7DE7A6B986EBAE962C0DEB973';
wwv_flow_api.g_varchar2_table(339) := 'E7B0E79E7B8679E699270C1F3E3C5C73CD35E184134EA8BB7A5B21051450400105145040818957A0A280FD8B2FBE08575F7D7538E38C3302C12CBDEB575C7145B8F4D24BC3B1C71E3B412BDD73CF3D61E8D0A1E194534E898D11EEEDDE7BEF8DEFCF3FFF';
wwv_flow_api.g_varchar2_table(340) := 'FC09FADE2686CA8F1A352A7CF8E187E1B7DF7E9BA06E67D249270D73CE39679879E69927A87A5B5905145040010514A81F818A02F6EFBFFF3EFCF1C71FA14387FF3FAC5DBB76619B6DB6096FBEF966BCA3871E7A28FCF2CB2F61830D3688EF9F7FFEF9B8';
wwv_flow_api.g_varchar2_table(341) := '6DFBEDB78F813DBDF08F3DF65820F05F74D14563EFF554534D5574DB7DF7DD17D8E7BDF7DE0BA3478F0EFBEFBF7FB8FEFAEBC3934F3E19A69F7EFAD0A74F9FB0F4D24BC7408E86C3B3CF3E1BEBB7F6DA6B872DB7DCB2D1F5D94740707ECB2DB784FEFDFB';
wwv_flow_api.g_varchar2_table(342) := 'C7609D6DDCDBFAEBAF1FA699669AF0D34F3FE576BFFCF2CBC3134F3C111B2C7BEFBD77986FBEF9626FFC45175D14DE7AEBAD4080C6FD6FB2C926E1830F3E08F4DA53CF871F7E384C3DF5D4211D933BA10B650910ACF3CDC764934D56D6FEF5B2D3983163';
wwv_flow_api.g_varchar2_table(343) := '6243C380BD5E9E88F550400105145060C213A828877DAEB9E68AE921871F7E78B8F2CA2B030179FBF6ED43CF9E3DE39D13D07FF7DD773905025DF2DC295F7DF555B8E38E3BC26EBBED167BE85977D96597F152741BE7E3381A0A1B6EB861B8FDF6DBE3FE';
wwv_flow_api.g_varchar2_table(344) := 'A79F7E7AD875D75D030134F9F443860C89AFE79D775E4C5BA1614090DFD8FA78E1FFFE43DD08AC487DC92FBD7AF58AC139EBDF7FFFFD9802C435965A6AA970C30D37C4DD694010949F7BEEB9E1A8A38E8AC13F0D17CEF9D4534F8529A79C32DE73F698FC';
wwv_flow_api.g_varchar2_table(345) := 'EBF8BEB8008D2A1A3C04EC934F3EF904F1475DA93375B728A080020A28A08002D50A5414B0139C1F7DF4D161E79D770E3FFCF0434C85E9DBB76F78747C5E7B39A577EFDE61DE79E78DC1ED2EBBEC129E79E69918D4726CB16DF47213E81350D353BDF5D6';
wwv_flow_api.g_varchar2_table(346) := '5BC75E77DEAFB4D24A3128268863A0E8679F7D16D30F060C1810BA74E91203BB42EBB3F5A5A1C1F1F4AA172B04E51B6DB451EC755F73CD3503691A1482FAEDB6DB2E4C3BEDB4B15E934C3249E09C14EA5EE898B8D17FCA16E0B397FEF09D10FE527D79B5';
wwv_flow_api.g_varchar2_table(347) := '28A080020A28A08002D50A549412C3EC309415565821FED173486ACAA04183C2228B2C52B20E5DBB76CDEDD3B163C7D8F34CEF36A5D8B61E3D7AC47DC85FFEE69B6F42BF7EFDE2FBF40F01F3C61B6F1C530FC8AFA75047D275965D76D982EBD3B1BCCE30';
wwv_flow_api.g_varchar2_table(348) := 'C30C31ED855EF129A69822BB29A6F074EBD62DAE63A06D2AA405D1EB4F2155835CFE8F3EFA282E134CA6D2D83169BBAFE509605AAA4155DE995A772FEA9CFD3CB4EED5BD9A020A28A080020A4C0C021505ECE4931394EEBBEFBEF1DE0946565965953078';
wwv_flow_api.g_varchar2_table(349) := 'F0E0F0E9A79FC6802AFBF5FFCF3FFFDCC0289B2E43F0CD767AA029C5B6915242213F9C7CF6B3CF3E3B77DCAFBFFE1A530E38DFE69B6F1EB6DA6AABF0EEBBEF864B2EB924DC75D75D319FBCD0FA2DB6D8229E937F08B8679C71C6F0DC73CF8595575E39B7';
wwv_flow_api.g_varchar2_table(350) := '7EECD8B1315F3EBF8190DBE1BF0B7FFFFBDF632E3DB3E560C2B70E1605145040010514504001059A43E0CFAEE032CEB6F0C20BC7A096803895112346C4541466C22025E49D77DEC905D0E46F670BE92C04D894471E7924CE9EC1319462DBE20EFFFD67F1';
wwv_flow_api.g_varchar2_table(351) := 'C5170F0F3CF0407C47E3E0D4534F8DB9E577DF7D779CC18680991E7906B572ADC6D667CFC9320345C94927A586C2B96988301B4EF7EEDDE3BA42FFF0AD03DF12703DAECDC05306C7A6DEF742C7A475FFF9CF7F624327BDC72B5D9F75F9EFD37EBE2AA080';
wwv_flow_api.g_varchar2_table(352) := '020A28A080020AB41D818A7AD8095C77DA69A73880925E697273C9D5A6C79DFC6ED24F980AF1A0830E8AE92E04D729E505D2596699253060957C717AAFE9914EA5D8B6B40FAFCC38C3E04E069312542FB1C41261C105178C2935A4C31C76D861716022DB';
wwv_flow_api.g_varchar2_table(353) := '0E39E49078AD42EBB3E764799D75D68933DC303D25692CF4FE932A73C00107144D69203566F5D5578FB9FD1C47DEFCFCF3CF1FE7AAE79CC50A037799E526A503F19E6F08D29CF6BC275F3FBD2F76AE96DCC6E05D9E31EEDC5B2ACC0A74F1C51707EA99BE';
wwv_flow_api.g_varchar2_table(354) := '0549DBEAED956F86F8A68406E2C08103E32B7564F0F20B2FBC1007403340D4A280020A28A080020AD49B40BBF10327E31416CCE8C22C30E5147A8F53204E509B9FA34B7A0B81113DCEA91034AFBAEAAA61C925978CF9E204FCA914DB96F6C97F25A06616';
wwv_flow_api.g_varchar2_table(355) := '8EFC017D0C86A57ED9F3736C63EBF3CF4BA0CFB493A4DEA4749DFC7D0ABDFFF1C71FE37492A93142CF3BCB134B61469FA79F7E3A307D25CF9BFBA5F176E8A1878615575CB1C56FF3A5975E6A52C32505EC549401C3FC2016A5350276BE35A16169514001';
wwv_flow_api.g_varchar2_table(356) := '051450400105AA11A82825265D80808D5F38E52F3F58671F82E56CB09E8EE3951EE9FC603A6D2FB62DED935EE9D1CD0FD6D946905DE8FC8DAD4FE74BAFD49B39B32B09D63996DED914A053AFB49CCE3BA1BFEEB8E38EF15B07D28428CC79CF40638275E6';
wwv_flow_api.g_varchar2_table(357) := 'E1DF679F7DE2C0DF134F3C3197F6C49800827ABE69A0879EF4A95A17C641907EC5B706850A5395F22D1053861E77DC718DEE57E858D729A080020A28A080022D215055C05E4D45F811A2C672C18B6DABE65A1ED3FC027C9B41BA11E92F8F3FFE78201D86';
wwv_flow_api.g_varchar2_table(358) := '9426BEB938E69863C21E7BEC11AEBDF6DAD850217586C2605C7AB2EFBCF3CE982E45EF7CADCBF2CB2F1F539E98BF9F6F53B285209E6F7B6884F299FCF2CB2FE39CFED901D1D9FD5D5640010514504001055A43A0D502F685165A28CEC452E8A68A6D2BB4';
wwv_flow_api.g_varchar2_table(359) := 'BFEB6A23C09804D249060C181076DF7DF798E3CF1CFCFC2014291F7CEBC12FB9B28E597BF89661F8F0E17199B107FBEDB75F6D2A9EB92AD37632DD2783A319F89C2D0C66268827D79D5FC9DD6BAFBDE2B70AFCB2AD450105145040010514A89540AB05EC';
wwv_flow_api.g_varchar2_table(360) := 'B5BA41AFDBBC029B6DB659EC8166DE7B0AF9D90F3EF8605877DD75E31F5368323B0FF3E5F3ABAFAFBCF24AE098BFFDED6FF197689BB736D59D8DA948E79E7BEE386527DF10A4C22FE692DAC4B80C0A331F51586F5140010514504001056A2550D12C31B5';
wwv_flow_api.g_varchar2_table(361) := 'AAA4D7AD1F01F2F349194963149819D3AB8600002700494441541D68D34D378DB3E9A45AF2CBB2E987B1CE39E79C3893D01D77DC1167D2F9D7BFFE55F3FC7EEA4E6E3DDF14A45FA4A5EE8C7DE0C7B3C68C19130734A75498426322D2BDFAAA80020A28A0';
wwv_flow_api.g_varchar2_table(362) := '80020AB4B4803DEC2D2D3C919F9FA93CF9B55B7AD4290C343DFEF8E303B3E49056C28C3BCC18448F3C5379F2570F6581051608CB2DB75C83AA90DA43FD988F9F01B237DF7C736C98F4ECD9B3C17EBE5140010514504001055A53A0A21E76A67E64702103';
wwv_flow_api.g_varchar2_table(363) := '10530F2B95650E757EC0A839CB279F7C127F5595418296FA15602A5072C2195C4AAF3A9F0DD25F988D851C70668F616E7AA60165A619A6CBAC97425E3D73B0936F4FE1576E3FFCF0C3F85B02F7DC734FCCC9DF6DB7DD62FA4CBDD4D97A28A080020A28A0';
wwv_flow_api.g_varchar2_table(364) := '40DB13A8681EF614B0F36339954E7B5829EDD0A143E32F7D12FC59EA5F80C19AE483A75FAE4D35A6A73DA5C810C4575B9A3A0F7B25D7A5979D5FABE587B0B20DD34ACE91DDD779D8B31A2E2BA080020A28A040A50215F5B0173B393369302DDECE3BEF1C';
wwv_flow_api.g_varchar2_table(365) := '7723E039F3CC33637A04B9C0CCDB3D6CD8B0D0AD5BB738C308BFDEC9D4800C50641EEFD75F7F3D6E63AA40DEFFF39FFF8C3FB0449E317F96FA1620B0CD0FD6A93173EBCF38E38CF55DF9BCDA91A7DFB973E7BCB5BE5540010514504001056A2350550E3B';
wwv_flow_api.g_varchar2_table(366) := 'BDDF43860CC9FD91EFCB4FD613B4A71CE5975F7E39A64210C89D77DE79713BF373F3433BCCCF4D8F2C03FE6EBFFDF6B0D65A6BC5F9AF0994985A8F1FE4611EEC1E3D7AC4B48ADAD0785505145040010514504001056A2F50550F3B3F514FCF692A2BACB0';
wwv_flow_api.g_varchar2_table(367) := '42E8D5AB570CD0E91D5F78E185C38B2FBE187382478E1C19071EF6EEDD3BA617B01FF35FBFFDF6DBF170E6F65E6CB1C5E232E7A1179EA9F5E8E164CEECAE5DBBA6CBF8AA80020A28A080020A28A0409B13F833EAAEE0D60F3AE8A08239EC0C1065101F33';
wwv_flow_api.g_varchar2_table(368) := '70F0C3347DFBF68D0138BF18C9E0BD6C19356A547C4B9E702A3402520F7D5AE7AB020A28A080020A28A080026D59A0AA80BD313002F6934E3A29FEF225413B830C99C37AF6D9670FA79D765AEE3006AF329BC85D77DDD52C83FA72277641010514504001';
wwv_flow_api.g_varchar2_table(369) := '0514504081894CA0AA1CF6C60C185CC8C0C3BBEFBE3BA4E918E798638EF8F3EEA4CA50C85BEFDFBF7FFC719AC6CEC37A7E9CC7DEF662426D6B1BE31BD2F48B13D29D5367EA6E514001051450400105AA15A8AA877DFFFDF76FD0334E5ACBC08103631D08';
wwv_flow_api.g_varchar2_table(370) := 'D4070F1E1C0E3EF8E0F89E6085D498418306C59C74A6F9EBD3A74FC9F9B899DF9B5967FAF5EB1707A9567B831E377108309681F1107C7E26A4429A97E33026A427665D155040010514A83F818AE6616F6AF599A7BBA5E76F6F6A1D3D5E01051450400105';
wwv_flow_api.g_varchar2_table(371) := '145040817A1268D69498523766B05E4AC8ED0A28A080020A28A080020A341468D580BDE1A57DA780020A28A080020A28A08002A5040CD84B09B95D01051450400105145040811A0A18B0D710DF4B2BA080020A28A080020A28504AC080BD9490DB155040';
wwv_flow_api.g_varchar2_table(372) := '0105145040010514A8A180017B0DF1BDB4020A28A080020A28A08002A5040CD84B09B95D01051450400105145040811A0A18B0D710DF4B2BA080020A28A080020A28504AC080BD9490DB1550400105145040010514A8A180017B0DF1BDB4020A28A08002';
wwv_flow_api.g_varchar2_table(373) := '0A28A08002A5040CD84B09B95D01051450400105145040811A0A18B0D710DF4B2BA080020A28A080020A28504AC080BD9490DB1550400105145040010514A8A180017B0DF1BDB4020A28A080020A28A08002A5040CD84B09B95D01051450400105145040';
wwv_flow_api.g_varchar2_table(374) := '811A0A74C85E7BF4E8D1D9B72E2BA080020A28A080020A28A0408D05EC61AFF103F0F20A28A080020A28A080020A141330602FA6E33605145040010514504001056A2C60C05EE307E0E51550400105145040010514282660C05E4CC76D0A28A080020A28';
wwv_flow_api.g_varchar2_table(375) := 'A080020AD458C080BDC60FC0CB2BA080020A28A080020A28504CC080BD988EDB1450400105145040010514A8B14083691D3B76EC58E3EA7879051450400105145040010514C80AD8C39ED5705901051450400105145040813A133060AFB3076275145040';
wwv_flow_api.g_varchar2_table(376) := '0105145040010514C80A18B067355C5640010514504001051450A0CE040CD8EBEC81581D0514504001051450400105B20206EC590D971550400105145040010514A8330103F63A7B2056470105145040010514504081AC80017B56C36505145040010514';
wwv_flow_api.g_varchar2_table(377) := '50400105EA4CC080BDCE1E88D55140010514504001051450202B60C09ED5705901051450400105145040813A133060AFB30762751450400105145040010514C80A18B067355C5640010514504001051450A0CE040CD8EBEC81581D051450400105145040';
wwv_flow_api.g_varchar2_table(378) := '0105B20206EC590D971550400105145040010514A833810E95D4E79B6FBE0923478E0C63C78EADE4B0D0BE7DFBD0A54B97D0A953A78A8E73670514504001051450400105DABA40453DECD504EB0013E073AC450105145040010514504001052A13A82860';
wwv_flow_api.g_varchar2_table(379) := 'AFB4673D5B95A61C9B3D4F5B5CFEF5D75FC39B6FBE197EFAE9A7B678FBDEB3020A28A080020A28D0A6052A0AD80B494D39E59461F2C9272FB4A9A2754B2CB144E8DEBD7BC1BFA79E7AAAA273B5C4CE8F3FFE78B8E5965B72A73EE28823C27CF3CD977BDF';
wwv_flow_api.g_varchar2_table(380) := '120B7C2BB1CB2EBB8445165924ACB7DE7A61D145170D9B6DB659183E7C7845972395E9DA6BAFCD1DF7E9A79F46E70B2FBCB0A2F3B8B3020A28A080020A28A040EB0B5494C35EA87AE4A7CF35D75CE1830F3E08BFFCF24BA15DCA5A376EDCB898E7BEDF7E';
wwv_flow_api.g_varchar2_table(381) := 'FBFD65FFB9E79EFB2FEB5A7B0501EFF3CF3F1FB6D8628B78E94D37DD342CBEF8E22D568D77DE79276CB5D556817B3FEDB4D3C29C73CE19D38A6EBBEDB6C0B52FBDF4D2B0E28A2B96757D02FF638E39269C70C209B19131FDF4D3C7651A49160514504001';
wwv_flow_api.g_varchar2_table(382) := '0514504081FA1668720FFB0F3FFC10E8B1EDD6AD5B98628A299A74B70C4ADD61871DFEF2C780D5134F3C31F62E13C852DE7DF7DDF8FEECB3CFCE5DF39A6BAE09BD7BF70E3D7BF60CFBEFBF7FF8EAABAF72DB482739FAE8A3C34A2BAD1403EDBDF7DE3B7C';
wwv_flow_api.g_varchar2_table(383) := 'F8E18771FBC71F7F1C83E0BBEEBA2BB7FFFDF7DF1FD7BDF7DE7B618F3DF6084F3FFD74183D7A745C476F3BC13BC1732AA4AD1010AFBAEAAAF1FABBEFBE7B18316244DA1C7BCAE9D1BEE8A28B62A0BDF9E69B875B6FBD35B73D7F81860B6944575F7D7560';
wwv_flow_api.g_varchar2_table(384) := 'DFA5975E3A6CB8E18631509F6DB6D902DB69203DF2C823B14E4F3CF1447CA5177EEBADB70EAFBEFA6A3CE5830F3E180E3EF8E0B83C68D0A0D0B76FDF985A3378F0E0986693AEFBECB3CF862DB7DC32F6E26378C92597041A5194FBEEBB2F9EFBE5975F0E';
wwv_flow_api.g_varchar2_table(385) := 'DB6DB75DACCB51471D153EFBECB3B89D7A9E7EFAE96185155608F3CF3F7F587FFDF563BDE246FF51400105145040010514689240930376AEFEDD77DF354BD04EF0FFE8A38F36F87BE69967E20D12C893C74DD04D80484ACAFBEFBF1FB6DD76DBB8FDAAAB';
wwv_flow_api.g_varchar2_table(386) := 'AE0AC71D775C58669965C2BEFBEE1B036A02D03163C6C4ED04E804C804BF3BEEB8630CC04937F9FDF7DF03C136C1E8175F7C11F7E51F827DD611E82FB7DC726186196608934D365958659555C2CC33CF1C83FD975E7A29B73F81F095575E19D658638D18';
wwv_flow_api.g_varchar2_table(387) := 'E0BFFEFAEB61934D36095F7FFD75DC87F7975F7E7920BD87EB7EFBEDB7E1C8238F8C76B993FC77816B92F6B2F2CA2B87A9A69AAAC1E676EDDA85B5D75E3B1ECFFD93EE423DB9E769A79D36BED2502068A7679DC60E0D184A8F1E3D62B08D09C77CFEF9E7';
wwv_flow_api.g_varchar2_table(388) := '713DCB38E27FD041078579E79D379C7CF2C961E0C081717BB2601BBDFA5CFFFAEBAF8FF7CB0E3494FEF18F7FC40605CF85FAE39D02FA7812FF51400105145040010514A84AA0C92931E9AA04ED147ADAAB4D8FF9E8A38FC2AEBBEE9A4E993B1FBDC89CB7';
wwv_flow_api.g_varchar2_table(389) := '5FBF7EB1177BE79D778E01F959679D156699659618749F73CE393185849E780A813BF9DE77DE79670C549F7CF2C940AFF09E7BEE19B773DC65975D167BEA3B7428CEC031CF3DF75CEC613FF4D043E3F1D97FE8CD7EF8E187C381071E180E39E490B8899E';
wwv_flow_api.g_varchar2_table(390) := '767AC409D20F3BECB0B86ED249278DEFB9DE1C73CC117BBB1F7AE8A158CFECF970A050C74285209C92F663996B9D7AEAA92CC646C5C61B6F1C0369CC76DA69A770C30D378435D75C337E7BC13722D972EEB9E706C622DC78E38D61BAE9A68B9B08EA49BB';
wwv_flow_api.g_varchar2_table(391) := '21F04E856F1A6838515E78E185D8F3DEBF7FFFC0B7103424D8467A140D0D1A26A9B1948EF755010514504001051450A07281E2916AE5E76BD211E4699F74D2490DCE914DB3A167FADE7BEF0D43860C893DD9E47253E851A6A779D4A85131358375A4734C';
wwv_flow_api.g_varchar2_table(392) := '32C924815EF0945B4F20990ABDECFC5148AF694A79EDB5D7E2E10C0C4D65E185178E79E7691BEB175A68A1901A07A48E50B2693B71C5F87FE8CDA7A446507C93F987D41C4AE7CE9D63AF38CBD97B232DA66BD7AE61D8B0616C2A59A823A9422958E700EE';
wwv_flow_api.g_varchar2_table(393) := 'E581071E0829058975D99C7DEA4F2385C2BED75D775DEC795F76D965C3F2CB2F1F1B21A4EE58145040010514504001059A26D06C013BC11E4162B5BDEBDCC6D4534FDD20F0CCBFB53FFEF82337B521BDCBF4E092A6F2E38F3FC65D79CD06C07DFAF48933';
wwv_flow_api.g_varchar2_table(394) := 'AC10CC533A76EC185F9BFB1F524028F452670B8D8DB48DF5295867991EE9C6CA8C33CE18D35B5E79E59582BB90C24261406ACAC39F7DF6D91BEC8B25292EE514EA58A8EE1C5B4EFDC95DBFE79E7B0279F143870E8DA934E79F7F7EECD577606B394FC07D';
wwv_flow_api.g_varchar2_table(395) := '145040010514504081C6059A2587BD3982F5C6ABF8E796F3CE3B2FBCF1C61B31F5E2EDB7DF0EA4C450482FA1905FCD8C2AFC911A4320B9E4924BC6340DB6677B9C6FBAE9A6B0D65A6BC53CEFD48B9FCDB9CEE6B3736CB1C2749494175F7C31B71B39EA34';
wwv_flow_api.g_varchar2_table(396) := '5EAA9DE186C606F748CA4CB6BCF5D65B31C79F5C797AD85349834C79FFFDF7DFC7403EB9A47D1A7BA5FE7C13910699B25FCACF2FA7FEFFFEF7BF038D0B528EEEB8E38E381897C6D4EDB7DFDED8255DAF80020A28A080020A2850A640937BD8A799669A26';
wwv_flow_api.g_varchar2_table(397) := 'F7ACA7BA92D242B09D5F36DA68A340EF3AB3AC9097CE6C2C0C986426136634A1179757069E32C092D41AB6311523034D575B6DB5980FCEB9C9FF26A5841E60D23A78CFC0537AA44901E15ABFFDF65B1C5499AD073DD01C470F724A6749DB7BF5EA151B05';
wwv_flow_api.g_varchar2_table(398) := 'CC94C2B70CF490934FCE79B6DF7EFBB45B45AF0C6225E065B61B72E369783010957C7372E1535E7C3A298D19826BD250CE38E38C389036A50CA5DE731A14E4F63338355B480D3AFCF0C3C329A79C12D38408FE19484ACE7BCA97CFEE9FBFCC0C3558E348';
wwv_flow_api.g_varchar2_table(399) := '4382C1AE04FFA6C4E44BF95E0105145040010514A85CA0C9013B4129830E9B638021E92C4C7B985FE699679E188013681E7BECB171333DE8CC5642E07AF7DD77C71E75065832209560915E7F663A21D0A55C7CF1C57140288333D36C2FEC4F2155854600';
wwv_flow_api.g_varchar2_table(400) := '0D02066B12A412B813F4A7C27AA648643695EC5492E978F665402AB3B35098A2926F00C827AFA610F49366421D99AD856098341A7E4489803CFF479BB8AF7DF6D927A6C110D033A30B33DA5068C090A34EE385C1A204D7D9C2DCF234802EB8E08278CF5C';
wwv_flow_api.g_varchar2_table(401) := '87603D0D62CDEE5B6899FB66C61A06A052989B9F1972D2188142C7B84E010514504001051450A03C8176E37BB5E364DBE42A33C347B1921D40596CBFC6B6116CB674216F9B74167A7709CCF30BBDF84C95C83703850A6931CCCEC280D5FC4243E0E79F7F';
wwv_flow_api.g_varchar2_table(402) := 'FECB548BD9FDC89727979EEB17CB53CF1E536A9941B304C404DE7C13902D04E104CCE48FE34B6E3FA930857E7D96E92BB92F02FA4285E932399E692BF3A7932CB47FFE3AA6B0A4D1458327BF173F7F5FDF2BA080020A28A080020A942750510F3B3DA704';
wwv_flow_api.g_varchar2_table(403) := '75D5148E6D8D4220DE5830CEF509468B9559679DB5D1CD04E0A502597AD6F96BCE428EFD820B2E58F29404E9CCB5DE582914C467F7E519751B3F7D66B5859CFA6C5E7DB5E7F138051450400105145040813F05FEDA8DFCE7B6BF2CD1735A4DE0CD31E5E4';
wwv_flow_api.g_varchar2_table(404) := '42FFE582AE2829404F3ED32A367723A1E485DD41010514504001051450A055042A4A8969951A7911051450400105145040010514C80954D4C39E3BCA0505145040010514504001051468150103F65661F6220A28A080020A28A080020A542760C05E9D9B';
wwv_flow_api.g_varchar2_table(405) := '4729A080020A28A080020A28D02A0206ECADC2EC451450400105145040010514A84EC080BD3A378F5240010514504001051450A055040CD85B85D98B28A080020A28A080020A28509D80017B756E1EA580020A28A080020A28A040AB0818B0B70AB31751';
wwv_flow_api.g_varchar2_table(406) := '40010514504001051450A03A0103F6EADC3C4A0105145040010514504081561130606F15662FA280020A28A080020A28A040750206ECD5B97994020A28A080020A28A08002AD2260C0DE2ACC5E440105145040010514504081EA040CD8AB73F328051450';
wwv_flow_api.g_varchar2_table(407) := '40010514504001055A45A043F62AA3478FCEBE75590105145040010514504001056A2C600F7B8D1F80975740010514504001051450A09880017B311DB729A080020A28A080020A2850630103F61A3F002FAF80020A28A080020A28A040310103F6623A6E';
wwv_flow_api.g_varchar2_table(408) := '5340010514504001051450A0C60206EC357E005E5E0105145040010514504081620206ECC574DCA680020A28A080020A28A0408D051A4CEBD8B163C71A57C7CB2BA080020A28A080020A28A04056C01EF6AC86CB0A28A080020A28A080020AD49980017B';
wwv_flow_api.g_varchar2_table(409) := '9D3D10ABA380020A28A080020A28A04056C0803DABE1B2020A28A080020A28A08002752660C05E670FC4EA28A080020A28A080020A2890153060CF6AB8AC80020A28A080020A28A0409D0918B0D7D903B13A0A28A080020A28A080020A64050CD8B31A2E';
wwv_flow_api.g_varchar2_table(410) := '2BA080020A28A080020A2850670206EC75F640AC8E020A28A080020A28A08002590103F6AC86CB0A28A080020A28A080020AD49980017B9D3D10ABA380020A28A080020A28A04056C0803DABE1B2020A28A080020A28A08002752660C05E670FC4EA28A0';
wwv_flow_api.g_varchar2_table(411) := '80020A28A080020A2890153060CF6AB8AC80020A28A080020A28A0409D0974A8A43EDF7CF34D18397264183B766C258785F6EDDB872E5DBA844E9D3A55749C3B2BA080020A28A080020A28D0D6052AEA61AF26580798009F632D0A28A080020A28A08002';
wwv_flow_api.g_varchar2_table(412) := '0A2850994045017BA53DEBD9AA5472ECE8D1A3C31B6FBC11BEFFFEFBEC295C5640010514504001051450A0CD095414B017D29972CA29C3E4934F5E6853C5EB9E7FFEF9D0BB77EFB0E4924B860D36D8202CB6D862618F3DF60823468CA8F85CF57A006945';
wwv_flow_api.g_varchar2_table(413) := 'D75E7B6D183E7C78BD56D17A29A080020A28A080020AD49140930376F2D3BB77EF1EA698628A26DDD69D77DE19B6D9669BB0D0420B850B2EB820DC7CF3CDE1D4534F0DEFBCF34EE8D3A7CF449352436AD031C71C139E79E699267979B0020A28A080020A';
wwv_flow_api.g_varchar2_table(414) := '28A040DB106872C0FEC30F3F844F3FFD3474EBD6ADEAA09D20B65FBF7E61B9E5960B679D7556586FBDF5C2D24B2F1DB6DE7AEB70F6D96787659659260C1B362C3E915F7FFD359C70C20961D555570D3D7BF60CBBEFBE7B831EF833CF3C33F4EDDB37DC74';
wwv_flow_api.g_varchar2_table(415) := 'D34DF17CCB2FBF7CB8E28A2BC2FBEFBF1FCFC731871E7A68F8E8A38FE2F92ADD9F83A8EF5E7BED15BF09D870C30D63E3229E6CFC3FE97C8F3CF248BC8FD5565B2D0C1C3830FCFEFBEFE1C1071F0C071F7C70DC75D0A041B19EBC79F9E59763DD68AC50BF';
wwv_flow_api.g_varchar2_table(416) := '238F3C32FCF4D34F713FFF5140010514504001051468DB02EDC707CA0320F8EDB7DFC2F4D34F5F5463D4A85105B713448F193326CC31C71C81009EE0B4509979E6990BAD8EBDCDB7DE7A6BD873CF3DC3E28B2FDE601F6697213D865E7CCADE7BEF1D6EBF';
wwv_flow_api.g_varchar2_table(417) := 'FDF6B0E9A69B865556592506C1FFFCE73FC3565B6D1548CFB9FEFAEB03C13201F9B6DB6E1BDE7DF7DDB8FFFDF7DF1F0378D26C4849F9FAEBAFC3BAEBAE5BF1FE3FFFFC73AC0FF9F53416C8CD3FEFBCF3C2ECB3CF1EBF1DE0FA8F3DF65878FDF5D7C3165B';
wwv_flow_api.g_varchar2_table(418) := '6C11AF3378F0E018DCCF32CB2CE1CB2FBF0CAFBDF65A0CCC5758618578BFDCDF24934C12F6DB6FBFF80C6EB8E186F0DD77DF8535D658A381856F14504001051450400105DA9E4045D33A16E321C0A4D0D3FEC1071F845F7EF9A5D8EE0DB6A5DE6E02DA62';
wwv_flow_api.g_varchar2_table(419) := 'E5D5575F0D0F3FFC7038F0C003C321871C1277A5A79D5EEECB2FBF3C1C76D861711D4135693573CE39670CA4E9715F79E595C3F1C71F1FB71350BFFDF6DBB94B55B23F01390D97C71F7F3C74EDDA359E83BC7482F6CD37DF3CBEFFF1C71FC3B9E79E1B7A';
wwv_flow_api.g_varchar2_table(420) := 'F4E81183F6A5965A2ADC77DF7DE1B4D34E0B3BEDB45320205F73CD35C30E3BEC10037A8E5F7DF5D5E3FB76EDDAC520BEB9C605E46ED205051450400105145040810952A0D902F6A6DCFD0C33CC100F4F417FF65CE3C68D8BC1FFA4934E1A7BA6D946CA4C';
wwv_flow_api.g_varchar2_table(421) := '2A0B2FBC700CCCE9B54E65EAA9A78EEB783FDB6CB3C5D58B2EBA68DA1C3A76EC1803E5B4A292FD5F7CF1C5D8934FAF7E2AA4AF7CF8E18781C09BC2F908D629CC3D3FE38C3386AFBEFA2ABECFFFA773E7CE819E76BE6120AF7DA595568AC1FBDA6BAF9DBF';
wwv_flow_api.g_varchar2_table(422) := 'ABEF15504001051450400105DAA0409373D893D974D34D177B9C2BED5DE7F894EE422E777E218825B79B1EF494D74DEA4BB630E0356D633D0361F3CB64934D965B452F76B654B23FBDE7342208C0D31FF52725279D37FF7C697DF69AD9E5ABAEBA2AF6BE';
wwv_flow_api.g_varchar2_table(423) := '2FB2C822E1DFFFFE77D8679F7D72F9EDD9FD5C56400105145040010514687B02CDD2C3DE94601D720272FEC84D278F9BBCF5546EBBEDB6B8C860CCD4034F2FF75C73CD15D77FFBEDB7310567B3CD364B87B4E82B693643870E8DE93569661C527518D45A';
wwv_flow_api.g_varchar2_table(424) := 'CD2FB9328095FC7A7AD909FAC9FFC780C09D7B2B35AEA0456FD6932BA080020A28A080020AD45CA0C93DECD34C334DD53DEBE9EEE981666614F2DE99DAF1C61B6F8C41F189279E18677B61F025B3C6F4EAD52B06EAA79F7E7A4C1F79EFBDF7C2E1871F1E';
wwv_flow_api.g_varchar2_table(425) := '07CC6EBFFDF6E9742DFA4A504D3D070C181007B60E193224ECBCF3CE31A5A5544F3A154BDF0ED0E878EBADB762AF3CB9F5471C71447CFFD9679F057AF1A79D76DAF8D7A237E3C915504001051450400105EA5EA0C93DECCC2E43E0CC2C314D29CCF8C280';
wwv_flow_api.g_varchar2_table(426) := 'CEFEFDFBC7E09D7331730A73B01F7DF4D1F1D41D3A7408975C72499C9691291F29F46A33156436473D6E68A17FF82680A91B09B2695850565C71C570C619679475457AE8C9532767FD85175E8833DA9C72CA29E1E4934F8EB3D6701206B33268353FB5A6';
wwv_flow_api.g_varchar2_table(427) := 'AC0BB893020A28A080020A28A0C04425D06EFC8C27E3B82372C0539A496377981DD8D9D83EC5D693A35D4E2115849EE66EE3679C493DD2F9C731C0939E68069596D3B39D7F7C53DF93C7CEEC36534D35551C545AE9F9980A930609836929347C3EF9E493';
wwv_flow_api.g_varchar2_table(428) := '18A4734F6CB328A080020A28A080020A2850510F3B3DBECC3B5E4DA9A4B798BCED52B9DBF4AC5793335E4DDD0B1D432381DEF26A4BFEB48D04EE34502C0A28A080020A28A080020A64052AEAC6653068258177BA10C7640792A6F5BE2AA080020A28A080';
wwv_flow_api.g_varchar2_table(429) := '020A28A04071818A7AD86BDDAB5DFC56DCAA80020A28A080020A28A0C0C42750510FFBC477FBDE91020A28A080020A28A08002F52D60C05EDFCFC7DA29A080020A28A080020AB4710103F636FE01F0F615504001051450400105EA5BC080BDBE9F8FB553';
wwv_flow_api.g_varchar2_table(430) := '40010514504001051468E30206EC6DFC03E0ED2BA080020A28A080020AD4B780017B7D3F1F6BA780020A28A080020A28D0C6050CD8DBF807C0DB57400105145040010514A86F0103F6FA7E3ED64E010514504001051450A08D0B18B0B7F10F80B7AF8002';
wwv_flow_api.g_varchar2_table(431) := '0A28A080020A2850DF0206ECF5FD7CAC9D020A28A080020A28A0401B1730606FE31F006F5F010514504001051450A0BE050CD8EBFBF9583B05145040010514504081362E60C0DEC63F00DEBE020A28A080020A28A0407D0B74C8566FF4E8D1D9B72E2BA0';
wwv_flow_api.g_varchar2_table(432) := '80020A28A080020A28A0408D05EC61AFF103F0F20A28A080020A28A080020A141330602FA6E33605145040010514504001056A2C60C05EE307E0E51550400105145040010514282660C05E4CC76D0A28A080020A28A080020AD458C080BDC60FC0CB2BA0';
wwv_flow_api.g_varchar2_table(433) := '80020A28A080020A28504CC080BD988EDB1450400105145040010514A8B14083691D3B76EC58E3EA7879051450400105145040010514C80AD8C39ED5705901051450400105145040813A133060AFB30762751450400105145040010514C80A18B067355C';
wwv_flow_api.g_varchar2_table(434) := '5640010514504001051450A0CE040CD8EBEC81581D0514504001051450400105B20206EC590D971550400105145040010514A8330103F63A7B2056470105145040010514504081AC80017B56C3650514504001051450400105EA4CC080BDCE1E88D55140';
wwv_flow_api.g_varchar2_table(435) := '010514504001051450202B60C09ED5705901051450400105145040813A133060AFB30762751450400105145040010514C80A18B067355C5640010514504001051450A0CE040CD8EBEC81581D0514504001051450400105B20206EC590D97155040010514';
wwv_flow_api.g_varchar2_table(436) := '5040010514A833810E95D4E79B6FBE0923478E0C63C78EADE4B0D0BE7DFBD0A54B97D0A953A78A8E73670514504001051450400105DABA40453DECD504EB0013E073AC450105145040010514504001052A13A82860AFB4673D5B95A61C9B3D8FCB0A28A0';
wwv_flow_api.g_varchar2_table(437) := '80020A28A080020AB425818A02F64230534E3965987CF2C90B6DAA6ADD25975C12BA77EF1E36D96493AA8ECF3F68EFBDF70ECB2EBB6C5CFDE9A79FC6735F78E185F1FD5B6FBD15AEBDF6DAF0DD77DFE51F16DF0F1B362CEE7FC2092714DC5E68E59D77DE';
wwv_flow_api.g_varchar2_table(438) := '197AF6EC19165A68A1307CF8F042BBB4FA3A5299B8CF549F7C8756AF901754400105145040010514285BA0C9013BF9E904D8534C3145D9172DB6E3CD37DF1C669E79E6F0CA2BAF0402EAA69671E3C605FE28D34F3F7D20F8EED5AB577CFFD4534F85638E';
wwv_flow_api.g_varchar2_table(439) := '39268C1A352ABE6FEC9F747C63DBB3EBCF38E38C58FF0B2EB820CC3AEBACD94D355B261D89FB7CE69967621DF21D6A56312FAC80020A28A080020A285052A0C901FB0F3FFC10E8B1EDD6AD5B9383F6175F7C31BCFDF6DB61C0800161EAA9A70E37DD7453';
wwv_flow_api.g_varchar2_table(440) := '831BD865975DC229A79C925BC77537DD74D370C71D77C475BFFCF24B38EEB8E3620FF7524B2D15CE3CF3CC5CB0CE0E3FFDF453183C787078F3CD37C3D9679F1D2EBBECB278DCFEFBEF1F52AF7B5CD1C83FF7DD775FBCDECB2FBF1CB6DB6EBBB0F4D24B87';
wwv_flow_api.g_varchar2_table(441) := 'A38E3A2A7CF6D967E18B2FBE88DB3EF9E493F0F9E79F8773CE3927F0ED0385DEEDF5D75F3F2CB2C82261F3CD370F8F3DF658EE0AD4F180030E080F3FFC705869A595E2BDB3AE6FDFBEF1FE975B6EB9B0FCF2CB872BAEB822BCFFFEFB61EBADB78EF777E8';
wwv_flow_api.g_varchar2_table(442) := 'A187868F3EFA289E870605F7C3F1F3CF3F7F587DF5D5C38D37DE18B73DF8E083E1E0830F8ECB83060D8AE7CD3AA48A3CFBECB361CB2DB70C8B2EBA68E8DDBB77E09B8ED4502976DFE9785F155040010514504001055A46A0C9013BD522A5A439827602F4';
wwv_flow_api.g_varchar2_table(443) := 'CE9D3B87B5D75E3B068DB7DD765BF8EDB7DF7277FEFAEBAF870F3EF820F7FED75F7F0D04CFA9879C60FEEAABAF8E01EECE3BEF1C6EB8E186F0F8E38FE7F61F33664CDC9F809AC076EEB9E78EDB08BCE79D77DEDC7E8D2D7CF5D557F1F8830E3A28ACB8E2';
wwv_flow_api.g_varchar2_table(444) := '8AB19ED75F7F7DB8F2CA2B635AD02AABAC123A74E810669A69A6C0F224934C12035F7AB7BB76ED1A0E39E490F0C71F7F845D77DD353CF9E493F132DC0F3DDF04ED73CE3967AC17EB1E7DF4D170CD35D7843DF6D8234C37DD74F19B81EDB7DF3E2CB0C002';
wwv_flow_api.g_varchar2_table(445) := 'A14F9F3EE1D65B6F8D0D124E72F9E597C70602C1F6B1C71E1BEFEBC8238F0CAFBDF65A9C9D87141D4A8F1E3D622323EBC07A0CB7DD76DB40E38B7BC3E2E4934F0E03070E64732876DF7107FF514001051450400105146831818AA6752C568B94074E4F3B';
wwv_flow_api.g_varchar2_table(446) := '0127BDDD95949F7FFE3990FFBDC5165BC4A0979E7382527A88D75B6FBD92A72278BFEEBAEBC2CA2BAF9CEB2D27C05D6699650A1ECB39491579E28927023DF704B3E51682E81D76D821EEFEC20B2F047AA0FBF7EF1FE8F5A6C130DF7CF3C5E5DF7FFF3D9C';
wwv_flow_api.g_varchar2_table(447) := '7FFEF9815E727AACDBB56B177BE6575B6DB5D8234E5D293438FAF5EB177BBF794FAA0E1EA4D510C4CF3EFBEC711BFB1F7FFCF1EC127BE9F93622157AFCD94683819C7D7AEC69E0D023BFD34E3BC5C6CB9A6BAE19EB4DE32A5BCE3DF7DCF86D00BDF2340E';
wwv_flow_api.g_varchar2_table(448) := '2804F5975E7A69600C402A8DDD77DAEEAB020A28A080020A28A040F30B344B0F7B7354EBDE7BEF0D3FFEF863EC1D2608269D84BF94DA51EA1A23468C0804C8EBACB34E6ED7196698210EFECCAD68A685C5175F3C77267AEAE9812E544859A121B3EEBAEB';
wwv_flow_api.g_varchar2_table(449) := 'C6609D7DB82702F637DE78239772C27A82EA6C212588609D32DB6CB3C5577AD053E9D8B163A09142D97DF7DDC36EBBED16D37DC8D1279D86426F7E39859E78D26952B0CE3134686874BDF3CE3BB953947BDFB9035C5040010514504001051468B240B305';
wwv_flow_api.g_varchar2_table(450) := 'EC047BA47D54D3BBCE5DA4C09CFC757AD9C9A7A697991EF072E6704F3DFA534D3555039439E698A3C1FBE678432F762AF49A3756C815A7A45CF6B41F0374E9C14E535D4E33CD3481BF6C61306F7E996CB2C972ABB2D7A5879C342272F9D9876F162A29D4';
wwv_flow_api.g_varchar2_table(451) := 'B3501D3947BA0796CBBD6FF6B528A080020A28A080020A348F40B304EC4D0DD6E91D278F9B409D41A1E9EFC4134F8CBDC4BCA710E832C03315067AA69202F3575F7D35AD8AC766DFE736B4D202E94104D60CA6CD96975E7A29A6B9A400985CF76A0B0343';
wwv_flow_api.g_varchar2_table(452) := '495DA1479C94A0238E38220E1CADE47CCCF2439DD220538EE53D25E5F9C737FEA380020A28A080020A28D0EA02D5478AFFAD2A3DC34DE959E7344CE548212F9CD95DD21FF9D79D3A758ADB0926091E4925213F9B9E7C7A9653613F72B419B87ACF3DF7C4';
wwv_flow_api.g_varchar2_table(453) := '195408F899B5A5B1927A951900FAF1C71F37B65BD5EB496BD96CB3CD622EFE2DB7DC12AFC1EC314C599972E0AB3E79E640525F48BFA1E1C34C3269C61B5275E8C54FF749C3A1D054993BEEB863F464D02EE7C18F01AF7876E9D225732517155040010514';
wwv_flow_api.g_varchar2_table(454) := '504001055A5BE0CFDC8E2AAFCC2C2EEFBDF75E4CF1A8E614049404B30CAC5C6289251A9C821EE8D4733C74E8D0389093BCED3DF7DC33A67E301DE390214372C730B3C981071E18F6DB6FBFB88E9C6BF2C79F7BEEB9DC3ED9056672E1BA0CD62490CD4E19';
wwv_flow_api.g_varchar2_table(455) := '99DDAF29CB4C3389D1E1871F1E7BFC279D74D2B0CF3EFBC481AE4D396F3A961E7C6684A171426E3C66340698CB9EE921C9E967402D39EA0CE2657C00D34C660BDF6C30730E835CD3E05882F5534F3D35BB9BCB0A28A080020A28A08002351068377E8692';
wwv_flow_api.g_varchar2_table(456) := 'F8AB42E42ACF35D75C45ABC0E0C4A614E6216F8EF2E5975F8669A79DB6D15F58FDF6DB6F63FE7BB93F5CC4BDF36BAD85F2C69BA3BE9C831C7B72F16920A45498E63A37E761C02EE767802AA943DC1341784ACB611F1A3BA4DFD0682854683CD1C34EB09F';
wwv_flow_api.g_varchar2_table(457) := '3F16A0D0FEAE534001051450400105146879818A02F661C386E5064A565A3582E105175CB0D2C3DC5F0105145040010514504081362D50510E3BF9CCD5F442738CB9D06DFA73E6CD2BA080020A28A080020A542950510E3B033BF9B328A080020A28A080';
wwv_flow_api.g_varchar2_table(458) := '020A28A040EB0854D4C3DE3A55F22A0A28A080020A28A080020A2890040CD89384AF0A28A080020A28A080020AD4A180017B1D3E14ABA480020A28A080020A28A0401230604F12BE2AA080020A28A080020A2850870206EC75F850AC92020A28A080020A';
wwv_flow_api.g_varchar2_table(459) := '28A0800249C0803D49F8AA80020A28A080020A28A0401D0A18B0D7E143B14A0A28A080020A28A080020A240103F624E1AB020A28A080020A28A08002752860C05E870FC52A29A080020A28A080020A2890040CD89384AF0A28A080020A28A080020AD4A1';
wwv_flow_api.g_varchar2_table(460) := '80017B1D3E14ABA480020A28A080020A28A0401230604F12BE2AA080020A28A080020A2850870206EC75F850AC92020A28A080020A28A0800249A0435AE075F4E8D1D9B72E2BA080020A28A080020A28A0408D05EC61AFF103F0F20A28A080020A28A080';
wwv_flow_api.g_varchar2_table(461) := '020A1413F83FB1BD951414EAF0910000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(16219984330290474)
,p_file_name=>'img/execute_plsq_code_screenshot.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/js_apexutils_demoapp_js
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '746869732E617065787574696C73203D20746869732E617065787574696C73207C7C207B7D3B0A746869732E617065787574696C732E64656D6F417070203D207B0A0972656E646572436F6465456469746F723A2066756E6374696F6E287053656C6563';
wwv_flow_api.g_varchar2_table(2) := '746F722C20704C616E672C206564697461626C6529207B0A0920202020766172206C436F64652C0A0920202020202020206C4C616E67203D20704C616E673B0A0A09202020202428207053656C6563746F7220292E656163682866756E6374696F6E2829';
wwv_flow_api.g_varchar2_table(3) := '207B0A0920202020202020206C436F6465203D202428207468697320292E7465787428293B0A0A0920202020202020202428207468697320290A092020202020202020202020202E656D70747928290A092020202020202020202020202E636F64654D69';
wwv_flow_api.g_varchar2_table(4) := '72726F72203D20436F64654D6972726F7228746869732C207B0A092020202020202020202020202020202076616C75653A206C436F64652C0A09202020202020202020202020202020206D6F64653A206C4C616E672C0A09202020202020202020202020';
wwv_flow_api.g_varchar2_table(5) := '20202020736D617274496E64656E743A20747275652C0A09202020202020202020202020202020206C696E654E756D626572733A20747275652C0A0920202020202020202020202020202020746578745772617070696E673A20747275652C0A09202020';
wwv_flow_api.g_varchar2_table(6) := '20202020202020202020202020726561644F6E6C793A20216564697461626C65203F20226E6F637572736F7222203A2066616C73650A092020202020202020202020207D293B0A0A09202020207D293B0A097D0A7D3B';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(16261031587819395)
,p_file_name=>'js/apexutils_demoApp.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/css_apexutils_demoapp_css
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '0A2F2A20436F64654D6972726F7220435353202A2F0A0A2E636D2D636F6465207B0A202020206261636B67726F756E642D636F6C6F723A20234646463B0A20202020626F726465723A2031707820736F6C6964207267626128302C302C302C2E31293B0A';
wwv_flow_api.g_varchar2_table(2) := '20202020666F6E742D73697A653A20312E3272656D3B0A202020206C696E652D6865696768743A20312E3672656D3B0A202020206D617267696E3A20312E3672656D20303B0A20202020646973706C61793A20626C6F636B0A7D0A2E636D2D636F646520';
wwv_flow_api.g_varchar2_table(3) := '2E436F64654D6972726F72207B0A20202020666F6E742D73697A653A20313270783B0A202020206C696E652D6865696768743A20313870783B0A202020206865696768743A20313030250A7D';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(16261373435820284)
,p_file_name=>'css/apexutils_demoApp.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/testfile_txt
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '636F6E74656E74';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(21770638176403664)
,p_file_name=>'testfile.txt'
,p_mime_type=>'text/plain'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/testfile2_txt
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '636F6E74656E74';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(21771122662411904)
,p_file_name=>'testfile2.txt'
,p_mime_type=>'text/plain'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/testfile3_txt
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '636F6E74656E74';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(21771432239454464)
,p_file_name=>'testfile3.txt'
,p_mime_type=>'text/plain'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/testfile4_txt
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '636F6E74656E74';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(21771846178477684)
,p_file_name=>'testfile4.txt'
,p_mime_type=>'text/plain'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/testfile5_txt
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '636F6E74656E74';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(21772057957480050)
,p_file_name=>'testfile5.txt'
,p_mime_type=>'text/plain'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/testfile9_txt
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '636F6E74656E74';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(21772241403499241)
,p_file_name=>'testfile9.txt'
,p_mime_type=>'text/plain'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/app_icon_svg
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '3C73766720786D6C6E733D22687474703A2F2F7777772E77332E6F72672F323030302F7376672220786D6C6E733A786C696E6B3D22687474703A2F2F7777772E77332E6F72672F313939392F786C696E6B222076696577426F783D223020302036342036';
wwv_flow_api.g_varchar2_table(2) := '34223E3C646566733E3C7374796C653E2E636C732D317B66696C6C3A75726C282372616469616C2D6772616469656E74293B7D2E636C732D327B6F7061636974793A302E313B7D2E636C732D332C2E636C732D347B66696C6C3A236666663B7D2E636C73';
wwv_flow_api.g_varchar2_table(3) := '2D337B6F7061636974793A302E363B7D3C2F7374796C653E3C72616469616C4772616469656E742069643D2272616469616C2D6772616469656E74222063783D223332222063793D222E30352220723D22363422206772616469656E74556E6974733D22';
wwv_flow_api.g_varchar2_table(4) := '7573657253706163654F6E557365223E3C73746F70206F66667365743D2230222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D22302E3135222F3E3C73746F70206F66667365743D222E35222073746F702D636F6C6F72';
wwv_flow_api.g_varchar2_table(5) := '3D2223666666222073746F702D6F7061636974793D22302E31222F3E3C73746F70206F66667365743D2231222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D2230222F3E3C2F72616469616C4772616469656E743E3C73';
wwv_flow_api.g_varchar2_table(6) := '796D626F6C2069643D22616D6269656E742D6C69676874696E67222076696577426F783D22302030203634203634223E3C7061746820636C6173733D22636C732D312220643D224D302030683634763634682D36347A222F3E3C2F73796D626F6C3E3C2F';
wwv_flow_api.g_varchar2_table(7) := '646566733E3C7469746C653E6261722D6C696E652D63686172743C2F7469746C653E3C726563742077696474683D22363422206865696768743D223634222066696C6C3D2223434135383944222F3E3C672069643D2269636F6E73223E3C706174682063';
wwv_flow_api.g_varchar2_table(8) := '6C6173733D22636C732D322220643D224D313920343668357631682D357A4D323620343668357631682D357A4D333320343668357631682D357A4D343020343668357631682D357A222F3E3C7061746820636C6173733D22636C732D332220643D224D31';
wwv_flow_api.g_varchar2_table(9) := '3920333868357638682D357A4D32362033326835763134682D357A4D33332033326835763134682D357A4D34302032376835763139682D357A222F3E3C6720636C6173733D22636C732D32223E3C636972636C652063783D2234322E35222063793D2232';
wwv_flow_api.g_varchar2_table(10) := '302E352220723D22312E35222F3E3C636972636C652063783D2233352E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D2232382E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D22';
wwv_flow_api.g_varchar2_table(11) := '32312E35222063793D2233312E352220723D22312E35222F3E3C7061746820643D224D32312E3832352033312E3837396C2D2E36352D2E37353820372E31342D362E31323168372E3032356C362E3836392D342E3930372E3538322E3831342D372E3133';
wwv_flow_api.g_varchar2_table(12) := '3120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C636972636C6520636C6173733D22636C732D34222063783D2234322E35222063793D2231392E352220723D22312E35222F3E3C636972636C6520636C6173733D22';
wwv_flow_api.g_varchar2_table(13) := '636C732D34222063783D2233352E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C6173733D22636C732D34222063783D2232382E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C617373';
wwv_flow_api.g_varchar2_table(14) := '3D22636C732D34222063783D2232312E35222063793D2233302E352220723D22312E35222F3E3C7061746820636C6173733D22636C732D342220643D224D32312E3832352033302E3837396C2D2E36352D2E37353820372E31342D362E31323168372E30';
wwv_flow_api.g_varchar2_table(15) := '32356C362E3836392D342E3930372E3538322E3831342D372E31333120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C7573652077696474683D22363422206865696768743D2236342220786C696E6B3A687265663D';
wwv_flow_api.g_varchar2_table(16) := '2223616D6269656E742D6C69676874696E67222069643D226C69676874696E67222F3E3C2F7376673E';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(27509005428577252054)
,p_file_name=>'app-icon.svg'
,p_mime_type=>'image/svg+xml'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/app_icon_css
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E6170702D69636F6E207B0A202020206261636B67726F756E642D696D6167653A2075726C286170702D69636F6E2E737667293B0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0A202020206261636B67726F756E';
wwv_flow_api.g_varchar2_table(2) := '642D73697A653A20636F7665723B0A202020206261636B67726F756E642D706F736974696F6E3A203530253B0A202020206261636B67726F756E642D636F6C6F723A20234341353839443B0A7D';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(27509005796648252057)
,p_file_name=>'app-icon.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/plugin_settings
begin
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508881275942251746)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_RICH_TEXT_EDITOR'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508881592547251748)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IR'
,p_attribute_01=>'IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508881837392251748)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508882139537251749)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508882497833251749)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_YES_NO'
,p_attribute_01=>'Y'
,p_attribute_03=>'N'
,p_attribute_05=>'SWITCH'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508882733240251749)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_CSS_CALENDAR'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(27508883039486251750)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_COLOR_PICKER'
,p_attribute_01=>'modern'
);
end;
/
prompt --application/shared_components/security/authorizations/administration_rights
begin
wwv_flow_api.create_security_scheme(
 p_id=>wwv_flow_api.id(27509007057109252058)
,p_name=>'Administration Rights'
,p_scheme_type=>'NATIVE_FUNCTION_BODY'
,p_attribute_01=>'return true;'
,p_error_message=>'Insufficient privileges, user is not an Administrator'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
end;
/
prompt --application/shared_components/navigation/navigation_bar
begin
null;
end;
/
prompt --application/shared_components/logic/application_items
begin
null;
end;
/
prompt --application/shared_components/logic/application_computations
begin
null;
end;
/
prompt --application/shared_components/logic/application_settings
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/standard
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/parent
begin
null;
end;
/
prompt --application/shared_components/user_interface/lovs/login_remember_username
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(27509009752711252099)
,p_lov_name=>'LOGIN_REMEMBER_USERNAME'
,p_lov_query=>'.'||wwv_flow_api.id(27509009752711252099)||'.'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(27509010201954252102)
,p_lov_disp_sequence=>10
,p_lov_disp_value=>'Remember username'
,p_lov_return_value=>'Y'
);
end;
/
prompt --application/pages/page_groups
begin
wwv_flow_api.create_page_group(
 p_id=>wwv_flow_api.id(27509007664590252062)
,p_group_name=>'Administration'
);
end;
/
prompt --application/comments
begin
null;
end;
/
prompt --application/shared_components/navigation/breadcrumbs/breadcrumb
begin
wwv_flow_api.create_menu(
 p_id=>wwv_flow_api.id(27508883625159251756)
,p_name=>'Breadcrumb'
);
end;
/
prompt --application/shared_components/user_interface/templates/page/apex_5_0_page_designer
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(16999380239731936)
,p_theme_id=>42
,p_name=>'APEX 5.0 - Page Designer'
,p_internal_name=>'APEX_5.0_PAGE_DESIGNER'
,p_is_popup=>false
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ( apex.jQuery( "#successMessage" ).length > 0 ) {',
'    window.pageDesigner.showNotification( apex.jQuery( "#successMessage" ).text() );',
'}'))
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!doctype html>',
'<html class="no-js" lang="&BROWSER_LANGUAGE.">',
'<head>',
'<meta http-equiv="x-ua-compatible" content="IE=edge" />',
'<meta charset="UTF-8" />',
'<title>#TITLE#</title>',
'<link rel="shortcut icon" href="#IMAGE_PREFIX#apex_ui/img/favicons/favicon.ico">',
'<link rel="icon" sizes="16x16" href="#IMAGE_PREFIX#apex_ui/img/favicons/favicon-16x16.png">',
'<link rel="icon" sizes="32x32" href="#IMAGE_PREFIX#apex_ui/img/favicons/favicon-32x32.png">',
'<link rel="apple-touch-icon" sizes="180x180" href="#IMAGE_PREFIX#apex_ui/img/favicons/favicon-180x180.png">',
'#APEX_CSS#',
'#THEME_CSS#',
'#TEMPLATE_CSS#',
'#THEME_STYLE_CSS#',
'#APPLICATION_CSS#',
'#PAGE_CSS#',
'#HEAD#',
'</head>',
'<body #ONLOAD# class="#PAGE_CSS_CLASSES#">',
'<noscript>&MSG_JSCRIPT.</noscript>',
'#FORM_OPEN#',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#REGION_POSITION_07#',
'#REGION_POSITION_01#',
'<div class="a-AlertMessages a-AlertMessages--page" role="alert" style="display: none;" id="pdNotification">',
' <div class="a-AlertMessages-item">',
'  <div id="pdNotificationState" class="a-MediaBlock a-AlertMessages-message is-success">',
'    <div class="a-MediaBlock-graphic">',
'      <span id="pdNotificationIcon" class="a-Icon a-Icon--medium icon-check"></span> ',
'    </div>',
'    <div class="a-MediaBlock-content">',
'      <h5 class="a-AlertMessages-messageTitle" id="pdNotificationMessage">#PD_MESSAGE#</h5>',
'      <button id="pdNotificationClose" class="a-Button a-Button--small a-Button--noUI a-Button--noLabel a-Button--withIcon a-Button--alertMessages" type="button" title="#CLOSE_NOTIFICATION#"><span class="a-Icon icon-remove"></span></button>',
'    </div>',
'  </div>',
' </div>',
'</div>',
'#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'',
'',
'<div id="a_PageDesigner" class="a-PageDesigner resize">',
'  #REGION_POSITION_02#',
'  #REGION_POSITION_03#',
'  #REGION_POSITION_04#',
'  #BODY#',
'  <div style="display:none;">',
'  #REGION_POSITION_06#',
'  </div>',
'</div>',
''))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#',
'#GENERATED_JAVASCRIPT#',
'</body></html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!--<div class="aNotification success" id="MESSAGE">',
'  <div class="aNotificationText">',
'    <h2 class="visuallyhidden">#SUCCESS_MESSAGE_HEADING#</h2>',
'    <img src="#IMAGE_PREFIX#f_spacer.gif" alt="" class="iconMedium success"/>',
'    <p>#SUCCESS_MESSAGE#</p>',
'    <a href="#" class="closeMessage" onclick="$x_Remove(''MESSAGE'');return false;"><img src="#IMAGE_PREFIX#f_spacer.gif" alt="#CLOSE_NOTIFICATION#" class="iconSmall close"/></a>',
'  </div>',
'</div>-->',
'<div style="display: none;" id="successMessage">#SUCCESS_MESSAGE#</div>',
''))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="aNotification warning" id="MESSAGE" role="alert">',
'  <div class="aNotificationText">',
'    <img src="#IMAGE_PREFIX#f_spacer.gif" alt="" class="iconMedium warning"/>',
'    <div class="warningMessage">',
'      <h2 class="visuallyhidden">#ERROR_MESSAGE_HEADING#</h2>',
'      #MESSAGE#',
'    </div>',
'    <a href="#" class="closeMessage" onclick="$x_Remove(''MESSAGE'');return false;"><img src="#IMAGE_PREFIX#f_spacer.gif" alt="#CLOSE_NOTIFICATION#" class="iconSmall close"/></a>',
'  </div>',
'</div>'))
,p_navigation_bar=>'#BAR_BODY#'
,p_navbar_entry=>'<a href="#LINK#" class="htmldbNavLink">#TEXT#</a>'
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="2" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_08'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<br />',
'<br />',
'<pre>#MESSAGE#</pre>',
'<a href="#BACK_LINK#">#RETURN_TO_APPLICATION#</a>'))
,p_grid_type=>'TABLE'
,p_grid_always_use_max_columns=>false
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_dialog_browser_frame=>'MODAL'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(17000215683749579)
,p_page_template_id=>wwv_flow_api.id(16999380239731936)
,p_name=>'Dialog Area'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>-1
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard_apex_utils
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(23052567984966707)
,p_theme_id=>42
,p_name=>'Standard - APEX Utils'
,p_internal_name=>'STANDARD_APEX_UTILS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">',
'          <span class="fa fa-apex au-gradient-icon au-navbar-logo"></span>',
'          #LOGO#',
'      </a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'      <div class="t-Body-title" id="t_Body_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-Body-content" id="t_Body_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-contentInner" role="main">',
'          #BODY#',
'        </div>',
'        <footer class="t-Footer" role="contentinfo">',
'          <div class="t-Footer-body">',
'            <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'            <div class="t-Footer-apex">',
'              <div class="t-Footer-version">#APP_VERSION#</div>  ',
'              <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'              #BUILT_WITH_LOVE_USING_APEX#',
'            </div>',
'          </div>',
'          <div class="t-Footer-top">',
'            <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23052972076966710)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23053403338966710)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23053957339966711)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23054488845966711)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23054998148966711)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23055488125966711)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(23055901272966711)
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/page/master_detail
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508884482996251767)
,p_theme_id=>42
,p_name=>'Marquee'
,p_internal_name=>'MASTER_DETAIL'
,p_is_popup=>false
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyTableHeader#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'))
,p_javascript_code_onload=>'apex.theme42.initializePage.masterDetail();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--masterDetail t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-info" id="t_Body_info">',
'        #REGION_POSITION_02#',
'      </div>',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Button t-Button--icon t-Button--header t-Button--headerRight" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">',
'    #REGION_POSITION_03#',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1996914646461572319
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508884764574251777)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508885044400251779)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508885359301251779)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Master Detail'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508885631368251780)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Right Side Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508885992186251780)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508886271124251780)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508886554483251781)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508886857130251781)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508887159909251781)
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508887545512251788)
,p_theme_id=>42
,p_name=>'Modal Dialog'
,p_internal_name=>'MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--standard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'      <div class="t-Dialog-bodyWrapperIn"><div class="t-Dialog-body" role="main">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      #BODY#',
'      </div></div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--standard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2098960803539086924
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508887887536251789)
,p_page_template_id=>wwv_flow_api.id(27508887545512251788)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508888188164251789)
,p_page_template_id=>wwv_flow_api.id(27508887545512251788)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508888437239251789)
,p_page_template_id=>wwv_flow_api.id(27508887545512251788)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/login
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508889029257251790)
,p_theme_id=>42
,p_name=>'Login'
,p_internal_name=>'LOGIN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.appLogin();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody--login no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #REGION_POSITION_01#',
'  #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'  <div class="t-Body-wrap">',
'    <div class="t-Body-col t-Body-col--main">',
'      <div class="t-Login-container" role="main">',
'      #BODY#',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>6
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2099711150063350616
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508889345639251791)
,p_page_template_id=>wwv_flow_api.id(27508889029257251790)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508889644243251791)
,p_page_template_id=>wwv_flow_api.id(27508889029257251790)
,p_name=>'Body Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/wizard_modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508889825296251791)
,p_theme_id=>42
,p_name=>'Wizard Modal Dialog'
,p_internal_name=>'WIZARD_MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.wizardModal();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--wizard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'      <div class="t-Dialog-bodyWrapperIn"><div class="t-Dialog-body" role="main">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      #BODY#',
'      </div></div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--wizard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2120348229686426515
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508890126914251791)
,p_page_template_id=>wwv_flow_api.id(27508889825296251791)
,p_name=>'Wizard Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508890455316251791)
,p_page_template_id=>wwv_flow_api.id(27508889825296251791)
,p_name=>'Wizard Progress Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508890811834251792)
,p_page_template_id=>wwv_flow_api.id(27508889825296251791)
,p_name=>'Wizard Buttons'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508891375471251792)
,p_theme_id=>42
,p_name=>'Left Side Column'
,p_internal_name=>'LEFT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.leftSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-side" id="t_Body_side">',
'      #REGION_POSITION_02#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525196570560608698
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508891652180251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508891966497251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508892302228251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508892521259251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508892862350251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508893201475251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508893485363251793)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508893751963251794)
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/right_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508894189113251794)
,p_theme_id=>42
,p_name=>'Right Side Column'
,p_internal_name=>'RIGHT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.rightSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8"> ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Button t-Button--icon t-Button--header t-Button--headerRight" aria-label="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Icon fa fa-bars" a'
||'ria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">',
'    #REGION_POSITION_03#',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525200116240651575
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508894418883251795)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508894754827251795)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508895061231251795)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508895339326251795)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508895684366251796)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508895957354251796)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508896234668251796)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508896519175251796)
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_and_right_side_columns
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508896946484251796)
,p_theme_id=>42
,p_name=>'Left and Right Side Columns'
,p_internal_name=>'LEFT_AND_RIGHT_SIDE_COLUMNS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.bothSideCols();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">  ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">',
'      #REGION_POSITION_01#',
'    </div>',
'    <div class="t-Body-side" id="t_Body_side">',
'      #REGION_POSITION_02#',
'    </div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'      <div class="t-Body-contentInner" role="main">',
'        #BODY#',
'      </div>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>  ',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Button t-Button--icon t-Button--header t-Button--headerRight" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">',
'    #REGION_POSITION_03#',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525203692562657055
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508897251611251796)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508897579056251797)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508897813610251797)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508898184653251797)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508898449994251798)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508898757686251798)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508899101440251798)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508899356244251798)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508899646116251798)
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/minimal_no_navigation
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508900055178251799)
,p_theme_id=>42
,p_name=>'Minimal (No Navigation)'
,p_internal_name=>'MINIMAL_NO_NAVIGATION'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES# t-PageBody--noNav" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  <div class="t-Body-main">',
'      <div class="t-Body-title" id="t_Body_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-Body-content" id="t_Body_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-contentInner" role="main">',
'          #BODY#',
'        </div>',
'        <footer class="t-Footer" role="contentinfo">',
'          <div class="t-Footer-body">',
'            <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'            <div class="t-Footer-apex">',
'              <div class="t-Footer-version">#APP_VERSION#</div>  ',
'              <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'              #BUILT_WITH_LOVE_USING_APEX#',
'            </div>',
'          </div>',
'          <div class="t-Footer-top">',
'            <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>4
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2977628563533209425
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508900374725251799)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508900628652251800)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508900986527251800)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508901298990251800)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508901603259251800)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508901876954251800)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508902165778251801)
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(27508902586554251801)
,p_theme_id=>42
,p_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'      <div class="t-Body-title" id="t_Body_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-Body-content" id="t_Body_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-contentInner" role="main">',
'          #BODY#',
'        </div>',
'        <footer class="t-Footer" role="contentinfo">',
'          <div class="t-Footer-body">',
'            <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'            <div class="t-Footer-apex">',
'              <div class="t-Footer-version">#APP_VERSION#</div>  ',
'              <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'              #BUILT_WITH_LOVE_USING_APEX#',
'            </div>',
'          </div>',
'          <div class="t-Footer-top">',
'            <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>4070909157481059304
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508902878092251801)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508903200616251801)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508903506886251802)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508903795422251802)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508904040433251802)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508904374471251803)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508904659467251803)
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/button/icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(27508982417630251926)
,p_template_name=>'Icon'
,p_internal_name=>'ICON'
,p_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"><'
||'/span></button>'
,p_hot_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-h'
||'idden="true"></span></button>'
,p_reference_id=>2347660919680321258
,p_translate_this_template=>'N'
,p_theme_class_id=>5
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(27508982540912251928)
,p_template_name=>'Text'
,p_internal_name=>'TEXT'
,p_template=>'<button onclick="#JAVASCRIPT#" class="t-Button #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_hot_template=>'<button onclick="#JAVASCRIPT#" class="t-Button t-Button--hot #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_reference_id=>4070916158035059322
,p_translate_this_template=>'N'
,p_theme_class_id=>1
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text_with_icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(27508982673818251928)
,p_template_name=>'Text with Icon'
,p_internal_name=>'TEXT_WITH_ICON'
,p_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-label">#LABEL#'
||'</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-'
||'label">#LABEL#</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_reference_id=>2081382742158699622
,p_translate_this_template=>'N'
,p_theme_class_id=>4
,p_preset_template_options=>'t-Button--iconRight'
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/region/alert
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508905087081251804)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">#BODY#</div>',
'    </div>',
'    <div class="t-Alert-buttons">#PREVIOUS##CLOSE##CREATE##NEXT#</div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Alert'
,p_internal_name=>'ALERT'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2039236646100190748
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508905384871251808)
,p_plug_template_id=>wwv_flow_api.id(27508905087081251804)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508908731656251814)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4499993862448380551
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes_no_grid
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508908914518251815)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes (No Grid)'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES_NO_GRID'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3369790999010910123
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508909247279251815)
,p_plug_template_id=>wwv_flow_api.id(27508908914518251815)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508909533678251815)
,p_plug_template_id=>wwv_flow_api.id(27508908914518251815)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/carousel_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508909725437251815)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--carousel #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'   <div class="t-Region-carouselRegions">',
'     #SUB_REGIONS#',
'   </div>',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Carousel Container'
,p_internal_name=>'CAROUSEL_CONTAINER'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#plugins/com.oracle.apex.carousel/1.1/com.oracle.apex.carousel#MIN#.js?v=#APEX_VERSION#'))
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-Region--showCarouselControls'
,p_preset_template_options=>'t-Region--hiddenOverflow'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2865840475322558786
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508910036370251818)
,p_plug_template_id=>wwv_flow_api.id(27508909725437251815)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508910407580251818)
,p_plug_template_id=>wwv_flow_api.id(27508909725437251815)
,p_name=>'Slides'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/hero
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508917172751251835)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-HeroRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-HeroRegion-wrap">',
'    <div class="t-HeroRegion-col t-HeroRegion-col--left"><span class="t-HeroRegion-icon t-Icon #ICON_CSS_CLASSES#"></span></div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--content">',
'      <h1 class="t-HeroRegion-title">#TITLE#</h1>',
'      #BODY#',
'    </div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--right"><div class="t-HeroRegion-form">#SUB_REGIONS#</div><div class="t-HeroRegion-buttons">#NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Hero'
,p_internal_name=>'HERO'
,p_theme_id=>42
,p_theme_class_id=>22
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672571031438297268
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508917422315251835)
,p_plug_template_id=>wwv_flow_api.id(27508917172751251835)
,p_name=>'Region Body'
,p_placeholder=>'#BODY#'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_dialog
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508918641983251836)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#"  class="t-DialogRegion #REGION_CSS_CLASSES# js-regionDialog" #REGION_ATTRIBUTES# style="display:none" title="#TITLE#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Dialog'
,p_internal_name=>'INLINE_DIALOG'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal:js-draggable:js-resizable'
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2671226943886536762
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508918935497251837)
,p_plug_template_id=>wwv_flow_api.id(27508918641983251836)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/buttons_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508920748208251838)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ButtonRegion t-Form--floatLeft #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ButtonRegion-wrap">',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##CLOSE##DELETE#</div></div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--content">',
'      <h2 class="t-ButtonRegion-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      #BODY#',
'      <div class="t-ButtonRegion-buttons">#CHANGE#</div>',
'    </div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Buttons Container'
,p_internal_name=>'BUTTONS_CONTAINER'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>17
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2124982336649579661
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508921110948251838)
,p_plug_template_id=>wwv_flow_api.id(27508920748208251838)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508921348683251839)
,p_plug_template_id=>wwv_flow_api.id(27508920748208251838)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/collapsible
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508922735271251840)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--hideShow #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems  t-Region-headerItems--controls">',
'    <button class="t-Button t-Button--icon t-Button--hideShow" type="button"></button>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <h2 class="t-Region-title">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#EDIT#</div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#CLOSE#</div>',
'    <div class="t-Region-buttons-right">#CREATE#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #COPY#',
'     #BODY#',
'     #SUB_REGIONS#',
'     #CHANGE#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
' </div>',
'</div>'))
,p_page_plug_template_name=>'Collapsible'
,p_internal_name=>'COLLAPSIBLE'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>1
,p_preset_template_options=>'is-expanded:t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2662888092628347716
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508923017742251840)
,p_plug_template_id=>wwv_flow_api.id(27508922735271251840)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508923388182251841)
,p_plug_template_id=>wwv_flow_api.id(27508922735271251840)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/content_block
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508927342010251844)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContentBlock #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ContentBlock-header"><h1 class="t-ContentBlock-title">#TITLE#</h1></div>',
'  <div class="t-ContentBlock-body">#BODY#</div>',
'  <div class="t-ContentBlock-buttons">#PREVIOUS##NEXT#</div>',
'</div>'))
,p_page_plug_template_name=>'Content Block'
,p_internal_name=>'CONTENT_BLOCK'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ContentBlock--h1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2320668864738842174
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/interactive_report
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508929119314251846)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-IRR-region #REGION_CSS_CLASSES#">',
'  <h2 class="u-VisuallyHidden" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Interactive Report'
,p_internal_name=>'INTERACTIVE_REPORT'
,p_theme_id=>42
,p_theme_class_id=>9
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2099079838218790610
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/login
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508929770794251847)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-region t-Form--stretchInputs t-Form--labelsAbove #REGION_CSS_CLASSES#" id="#REGION_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Login-header">',
'    <span class="t-Login-logo #ICON_CSS_CLASSES#"></span>',
'    <h1 class="t-Login-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h1>',
'  </div>',
'  <div class="t-Login-body">',
'    #BODY#',
'  </div>',
'  <div class="t-Login-buttons">',
'    #NEXT#',
'  </div>',
'  <div class="t-Login-links">',
'    #EDIT##CREATE#',
'  </div>',
'  #SUB_REGIONS#',
'</div>'))
,p_page_plug_template_name=>'Login'
,p_internal_name=>'LOGIN'
,p_theme_id=>42
,p_theme_class_id=>23
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672711194551076376
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508930097896251848)
,p_plug_template_id=>wwv_flow_api.id(27508929770794251847)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/standard
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508930218679251848)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'     #SUB_REGIONS#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>',
''))
,p_page_plug_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4070912133526059312
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508930534954251848)
,p_plug_template_id=>wwv_flow_api.id(27508930218679251848)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508930830651251848)
,p_plug_template_id=>wwv_flow_api.id(27508930218679251848)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/tabs_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508937089941251853)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-TabsRegion #REGION_CSS_CLASSES# apex-tabs-region" #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  #BODY#',
'  <div class="t-TabsRegion-items">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Tabs Container'
,p_internal_name=>'TABS_CONTAINER'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>5
,p_preset_template_options=>'t-TabsRegion-mod--simple'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3221725015618492759
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508937365135251854)
,p_plug_template_id=>wwv_flow_api.id(27508937089941251853)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508937658851251854)
,p_plug_template_id=>wwv_flow_api.id(27508937089941251853)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/title_bar
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508939643174251856)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-BreadcrumbRegion #REGION_CSS_CLASSES#"> ',
'  <div class="t-BreadcrumbRegion-body">',
'    <div class="t-BreadcrumbRegion-breadcrumb">',
'      #BODY#',
'    </div>',
'    <div class="t-BreadcrumbRegion-title">',
'      <h1 class="t-BreadcrumbRegion-titleText">#TITLE#</h1>',
'    </div>',
'  </div>',
'  <div class="t-BreadcrumbRegion-buttons">#PREVIOUS##CLOSE##DELETE##HELP##CHANGE##EDIT##COPY##CREATE##NEXT#</div>',
'</div>'))
,p_page_plug_template_name=>'Title Bar'
,p_internal_name=>'TITLE_BAR'
,p_theme_id=>42
,p_theme_class_id=>6
,p_default_template_options=>'t-BreadcrumbRegion--showBreadcrumb'
,p_preset_template_options=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2530016523834132090
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/wizard_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(27508940636405251858)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Wizard #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Wizard-header">',
'    <h1 class="t-Wizard-title">#TITLE#</h1>',
'    <div class="u-Table t-Wizard-controls">',
'      <div class="u-Table-fit t-Wizard-buttons">#PREVIOUS##CLOSE#</div>',
'      <div class="u-Table-fill t-Wizard-steps">',
'        #BODY#',
'      </div>',
'      <div class="u-Table-fit t-Wizard-buttons">#NEXT#</div>',
'    </div>',
'  </div>',
'  <div class="t-Wizard-body">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Wizard Container'
,p_internal_name=>'WIZARD_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Wizard--hideStepsXSmall'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2117602213152591491
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(27508940933309251858)
,p_plug_template_id=>wwv_flow_api.id(27508940636405251858)
,p_name=>'Wizard Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards_apexutils
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(16976597349699504)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <div class="#A08#">',
'      <i class="displayOverlayIcon fa fa-lock" style="display: none;"></i>',
'    </div>',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards APEX Utils'
,p_internal_name=>'CARDS_APEXUTILS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_a08_label=>'Display Overlay - Anything to Display - Empty to Hide'
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508961383979251880)
,p_list_template_current=>'<li class="t-NavTabs-item #A03# is-active" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class'
||'="t-NavTabs-badge #A05#">#A02#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-NavTabs-item #A03#" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class="t-NavTab'
||'s-badge #A05#">#A02#</span></a></li>'
,p_list_template_name=>'Top Navigation Tabs'
,p_internal_name=>'TOP_NAVIGATION_TABS'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-NavTabs--inlineLabels-lg:t-NavTabs--displayLabels-sm'
,p_list_template_before_rows=>'<ul class="t-NavTabs #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_navtabs">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a02_label=>'Badge Value'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_a05_label=>'Badge Class'
,p_reference_id=>1453011561172885578
);
end;
/
prompt --application/shared_components/user_interface/templates/list/wizard_progress
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508962981883251900)
,p_list_template_current=>'<li class="t-WizardSteps-step is-active" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap"><span class="t-WizardSteps-marker"></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"></span></span></div></li>'
,p_list_template_noncurrent=>'<li class="t-WizardSteps-step" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap"><span class="t-WizardSteps-marker"><span class="t-Icon a-Icon icon-check"></span></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"'
||'></span></span></div></li>'
,p_list_template_name=>'Wizard Progress'
,p_internal_name=>'WIZARD_PROGRESS'
,p_javascript_code_onload=>'apex.theme.initWizardProgressBar();'
,p_theme_id=>42
,p_theme_class_id=>17
,p_preset_template_options=>'t-WizardSteps--displayLabels'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<h2 class="u-VisuallyHidden">#CURRENT_PROGRESS#</h2>',
'<ul class="t-WizardSteps #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'))
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>2008702338707394488
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508964196324251901)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Menu Bar'
,p_internal_name=>'MENU_BAR'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  iconType: ''fa'',',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-showSubMenuIcons'
,p_list_template_before_rows=>'<div class="t-MenuBar #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_reference_id=>2008709236185638887
);
end;
/
prompt --application/shared_components/user_interface/templates/list/badge_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508965165917251903)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_theme_id=>42
,p_theme_class_id=>3
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--cols t-BadgeList--3cols:t-BadgeList--circular'
,p_list_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Value'
,p_a02_label=>'List item CSS Classes'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'Link Classes'
,p_reference_id=>2062482847268086664
,p_list_template_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A01: Large Number',
'A02: List Item Classes',
'A03: Link Attributes'))
);
end;
/
prompt --application/shared_components/user_interface/templates/list/media_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508969142260251906)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item is-active #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item  #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_list_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Class'
,p_a06_label=>'Icon Color Class'
,p_reference_id=>2066548068783481421
);
end;
/
prompt --application/shared_components/user_interface/templates/list/side_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508971592027251908)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Side Navigation Menu'
,p_internal_name=>'SIDE_NAVIGATION_MENU'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.treeView#MIN#.js?v=#APEX_VERSION#'
,p_javascript_code_onload=>'apex.jQuery(''body'').addClass(''t-PageBody--leftNav'');'
,p_theme_id=>42
,p_theme_class_id=>19
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-nav" id="t_Body_nav" role="navigation" aria-label="&APP_TITLE!ATTR.">',
'<div class="t-TreeNav #COMPONENT_CSS_CLASSES#" id="t_TreeNav" data-id="#PARENT_STATIC_ID#_tree" aria-label="&APP_TITLE!ATTR."><ul style="display:none">'))
,p_list_template_after_rows=>'</ul></div></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True/False'
,p_a04_label=>'Title'
,p_reference_id=>2466292414354694776
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508971968008251909)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Top Navigation Menu'
,p_internal_name=>'TOP_NAVIGATION_MENU'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  if ( apex.actions ) {',
'    apex.actions.addFromMarkup( e );',
'  } else {',
'    apex.debug.warn("Include actions.js to support menu shortcuts");',
'  }',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-tabLike'
,p_list_template_before_rows=>'<div class="t-Header-nav-list #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True / False'
,p_a03_label=>'Hide'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut Key'
,p_reference_id=>2525307901300239072
);
end;
/
prompt --application/shared_components/user_interface/templates/list/navigation_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508972950720251910)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Navigation Bar'
,p_internal_name=>'NAVIGATION_BAR'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<ul class="t-NavigationBar #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<div class="t-NavigationBar-menu" style="display: none" id="menu_#PARENT_LIST_ITEM_ID#"><ul>'
,p_after_sub_list=>'</ul></div></li>'
,p_sub_list_item_current=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_sub_templ_curr_w_child=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_templ_noncurr_w_child=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'List  Item CSS Classes'
,p_reference_id=>2846096252961119197
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508973143862251911)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_reference_id=>2885322685880632508
);
end;
/
prompt --application/shared_components/user_interface/templates/list/tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508978144735251915)
,p_list_template_current=>'<li class="t-Tabs-item is-active"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-Tabs-item"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_name=>'Tabs'
,p_internal_name=>'TABS'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Tabs--simple'
,p_list_template_before_rows=>'<ul class="t-Tabs #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>3288206686691809997
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_popup
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508979728773251916)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_name=>'Menu Popup'
,p_internal_name=>'MENU_POPUP'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menu", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({ slide: e.hasClass("js-slide"), iconType: ''fa''});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<div id="#PARENT_STATIC_ID#_menu" class="#COMPONENT_CSS_CLASSES#" style="display:none;"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Data ID'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut'
,p_reference_id=>3492264004432431646
);
end;
/
prompt --application/shared_components/user_interface/templates/list/links_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(27508980119001251917)
,p_list_template_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_list_template_name=>'Links List'
,p_internal_name=>'LINKS_LIST'
,p_theme_id=>42
,p_theme_class_id=>18
,p_list_template_before_rows=>'<ul class="t-LinksList #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<ul class="t-LinksList-list">'
,p_after_sub_list=>'</ul>'
,p_sub_list_item_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_sub_list_item_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_item_templ_curr_w_child=>'<li class="t-LinksList-item is-current is-expanded #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t'
||'-LinksList-badge">#A01#</span></a>#SUB_LISTS#</li>'
,p_item_templ_noncurr_w_child=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'Link Attributes'
,p_a03_label=>'List Item CSS Classes'
,p_reference_id=>4070914341144059318
);
end;
/
prompt --application/shared_components/user_interface/templates/report/timeline
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508941938101251859)
,p_row_template_name=>'Timeline'
,p_internal_name=>'TIMELINE'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':EVENT_LINK is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <a href="#EVENT_LINK#" class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </a>',
'</li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_timeline" data-region-id="#REGION_STATIC_ID#">',
''))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_reference_id=>1513373588340069864
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/media_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508942588087251862)
,p_row_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'            <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_default_template_options=>'t-MediaList--showDesc:t-MediaList--showIcons'
,p_preset_template_options=>'t-MediaList--stack'
,p_reference_id=>2092157460408299055
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_row
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508945405194251865)
,p_row_template_name=>'Value Attribute Pairs - Row'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #1#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #2#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068321678681753
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_column
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508947390085251866)
,p_row_template_name=>'Value Attribute Pairs - Column'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_COLUMN'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #COLUMN_HEADER#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #COLUMN_VALUE#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068636272681754
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/badge_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508949183096251868)
,p_row_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item">',
' <span class="t-BadgeList-wrap u-color">',
'  <span class="t-BadgeList-label">#COLUMN_HEADER#</span>',
'  <span class="t-BadgeList-value">#COLUMN_VALUE#</span>',
' </span>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--fixed:t-BadgeList--circular'
,p_reference_id=>2103197159775914759
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/standard
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508952746794251872)
,p_row_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_row_template1=>'<td class="t-Report-cell" #ALIGNMENT# headers="#COLUMN_HEADER_NAME#">#COLUMN_VALUE#</td>'
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Report #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">',
'  <div class="t-Report-wrap">',
'    <table class="t-Report-pagination" role="presentation">#TOP_PAGINATION#</table>',
'    <div class="t-Report-tableWrap">',
'    <table class="t-Report-report" summary="#REGION_TITLE#">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      </tbody>',
'    </table>',
'    </div>',
'    <div class="t-Report-links">#EXTERNAL_LINK##CSV_LINK#</div>',
'    <table class="t-Report-pagination t-Report-pagination--bottom" role="presentation">#PAGINATION#</table>',
'  </div>',
'</div>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_before_column_heading=>'<thead>'
,p_column_heading_template=>'<th class="t-Report-colHead" #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>'
,p_after_column_heading=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</thead>',
'<tbody>'))
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Report--altRowsDefault:t-Report--rowHighlight'
,p_reference_id=>2537207537838287671
,p_translate_this_template=>'N'
);
begin
wwv_flow_api.create_row_template_patch(
 p_id=>wwv_flow_api.id(27508952746794251872)
,p_row_template_before_first=>'<tr>'
,p_row_template_after_last=>'</tr>'
);
exception when others then null;
end;
end;
/
prompt --application/shared_components/user_interface/templates/report/comments
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508955399160251874)
,p_row_template_name=>'Comments'
,p_internal_name=>'COMMENTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item #COMMENT_MODIFIERS#">',
'    <div class="t-Comments-icon">',
'        <div class="t-Comments-userIcon #ICON_MODIFIER#" aria-hidden="true">#USER_ICON#</div>',
'    </div>',
'    <div class="t-Comments-body">',
'        <div class="t-Comments-info">',
'            #USER_NAME# <span class="t-Comments-date">#COMMENT_DATE#</span> <span class="t-Comments-actions">#ACTIONS#</span>',
'        </div>',
'        <div class="t-Comments-comment">',
'            #COMMENT_TEXT##ATTRIBUTE_1##ATTRIBUTE_2##ATTRIBUTE_3##ATTRIBUTE_4#',
'        </div>',
'    </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Comments #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>',
''))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Comments--chat'
,p_reference_id=>2611722012730764232
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/alerts
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508956129412251875)
,p_row_template_name=>'Alerts'
,p_internal_name=>'ALERTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--horizontal t-Alert--colorBG t-Alert--defaultIcons t-Alert--#ALERT_TYPE#" role="alert">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title">#ALERT_TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">',
'        #ALERT_DESC#',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      #ALERT_ACTION#',
'    </div>',
'  </div>',
'</div>'))
,p_row_template_before_rows=>'<div class="t-Alerts #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_alerts" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>14
,p_reference_id=>2881456138952347027
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/cards
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508956349221251875)
,p_row_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <a href="#CARD_LINK#" class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':CARD_LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <div class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_cards" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_reference_id=>2973535649510699732
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/search_results
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(27508961171134251879)
,p_row_template_name=>'Search Results'
,p_internal_name=>'SEARCH_RESULTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition1=>':LABEL_02 is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition2=>':LABEL_03 is null'
,p_row_template3=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition3=>':LABEL_04 is null'
,p_row_template4=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'      <span class="t-SearchResults-misc">#LABEL_04#: #VALUE_04#</span>',
'    </div>',
'  </li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-SearchResults #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">',
'<ul class="t-SearchResults-list">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>',
'</div>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'NOT_CONDITIONAL'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070913431524059316
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508981721928251919)
,p_template_name=>'Optional - Floating'
,p_internal_name=>'OPTIONAL_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>1607675164727151865
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508981909332251923)
,p_template_name=>'Required - Floating'
,p_internal_name=>'REQUIRED_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1607675344320152883
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/hidden
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508981994902251924)
,p_template_name=>'Hidden'
,p_internal_name=>'HIDDEN'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer t-Form-labelContainer--hiddenLabel col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label u-VisuallyHidden">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--hiddenLabel rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>13
,p_reference_id=>2039339104148359505
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508982086425251924)
,p_template_name=>'Optional'
,p_internal_name=>'OPTIONAL'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>',
''))
,p_before_item=>'<div class="t-Form-fieldContainer rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>2317154212072806530
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508982123331251924)
,p_template_name=>'Required'
,p_internal_name=>'REQUIRED'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer is-required rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>2525313812251712801
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508982302210251924)
,p_template_name=>'Optional - Above'
,p_internal_name=>'OPTIONAL_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>#HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>3030114864004968404
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(27508982367543251925)
,p_template_name=>'Required - Above'
,p_internal_name=>'REQUIRED_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>3030115129444970113
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/breadcrumb/breadcrumb
begin
wwv_flow_api.create_menu_template(
 p_id=>wwv_flow_api.id(27508983381194251929)
,p_name=>'Breadcrumb'
,p_internal_name=>'BREADCRUMB'
,p_before_first=>'<ul class="t-Breadcrumb #COMPONENT_CSS_CLASSES#">'
,p_current_page_option=>'<li class="t-Breadcrumb-item is-active"><h1 class="t-Breadcrumb-label">#NAME#</h1></li>'
,p_non_current_page_option=>'<li class="t-Breadcrumb-item"><a href="#LINK#" class="t-Breadcrumb-label">#NAME#</a></li>'
,p_after_last=>'</ul>'
,p_max_levels=>6
,p_start_with_node=>'PARENT_TO_LEAF'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916542570059325
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/popuplov
begin
wwv_flow_api.create_popup_lov_template(
 p_id=>wwv_flow_api.id(27508983601409251935)
,p_page_name=>'winlov'
,p_page_title=>'Search Dialog'
,p_page_html_head=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html lang="&BROWSER_LANGUAGE.">',
'<head>',
'<title>#TITLE#</title>',
'#APEX_CSS#',
'#THEME_CSS#',
'#THEME_STYLE_CSS#',
'#FAVICONS#',
'#APEX_JAVASCRIPT#',
'#THEME_JAVASCRIPT#',
'<meta name="viewport" content="width=device-width,initial-scale=1.0" />',
'</head>'))
,p_page_body_attr=>'onload="first_field()" class="t-Page t-Page--popupLOV"'
,p_before_field_text=>'<div class="t-PopupLOV-actions t-Form--large">'
,p_filter_width=>'20'
,p_filter_max_width=>'100'
,p_filter_text_attr=>'class="apex-item-text"'
,p_find_button_text=>'Search'
,p_find_button_attr=>'class="t-Button t-Button--hot t-Button--padLeft"'
,p_close_button_text=>'Close'
,p_close_button_attr=>'class="t-Button u-pullRight"'
,p_next_button_text=>'Next &gt;'
,p_next_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_prev_button_text=>'&lt; Previous'
,p_prev_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_after_field_text=>'</div>'
,p_scrollbars=>'1'
,p_resizable=>'1'
,p_width=>'380'
,p_result_row_x_of_y=>'<div class="t-PopupLOV-pagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>'
,p_result_rows_per_pg=>100
,p_before_result_set=>'<div class="t-PopupLOV-links">'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>2885398517835871876
,p_translate_this_template=>'N'
,p_after_result_set=>'</div>'
);
end;
/
prompt --application/shared_components/user_interface/templates/calendar/calendar
begin
wwv_flow_api.create_calendar_template(
 p_id=>wwv_flow_api.id(27508983494628251932)
,p_cal_template_name=>'Calendar'
,p_internal_name=>'CALENDAR'
,p_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" summary="#IMONTH# #YYYY#">'
,p_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>',
''))
,p_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_day_close_format=>'</td>'
,p_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_close_format=>'</td>'
,p_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_nonday_close_format=>'</td>'
,p_week_open_format=>'<tr>'
,p_week_close_format=>'</tr> '
,p_daily_title_format=>'<table cellspacing="0" cellpadding="0" border="0" summary="" class="t1DayCalendarHolder"> <tr> <td class="t1MonthTitle">#IMONTH# #DD#, #YYYY#</td> </tr> <tr> <td>'
,p_daily_open_format=>'<tr>'
,p_daily_close_format=>'</tr>'
,p_weekly_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--weekly">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_weekly_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_weekly_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_weekly_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_weekly_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_day_close_format=>'</div></td>'
,p_weekly_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_close_format=>'</div></td>'
,p_weekly_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_weekly_time_close_format=>'</th>'
,p_weekly_time_title_format=>'#TIME#'
,p_weekly_hour_open_format=>'<tr>'
,p_weekly_hour_close_format=>'</tr>'
,p_daily_day_of_week_format=>'<th scope="col" id="#DY#" class="t-ClassicCalendar-dayColumn">#IDAY#</th>'
,p_daily_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--daily">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #DD#, #YYYY#</h1>'))
,p_daily_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL#" class="t-ClassicCalendar-calendar">'
,p_daily_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_daily_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_day_close_format=>'</div></td>'
,p_daily_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol" id="#TIME#">'
,p_daily_time_close_format=>'</th>'
,p_daily_time_title_format=>'#TIME#'
,p_daily_hour_open_format=>'<tr>'
,p_daily_hour_close_format=>'</tr>'
,p_cust_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_cust_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_cust_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" summary="#IMONTH# #YYYY#">'
,p_cust_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_week_open_format=>'<tr>'
,p_cust_week_close_format=>'</tr> '
,p_cust_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_day_close_format=>'</td>'
,p_cust_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">'
,p_cust_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_cust_nonday_close_format=>'</td>'
,p_cust_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">'
,p_cust_weekend_close_format=>'</td>'
,p_cust_hour_open_format=>'<tr>'
,p_cust_hour_close_format=>'</tr>'
,p_cust_time_title_format=>'#TIME#'
,p_cust_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_cust_time_close_format=>'</th>'
,p_cust_wk_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_cust_wk_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_cust_wk_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_cust_wk_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_wk_week_open_format=>'<tr>'
,p_cust_wk_week_close_format=>'</tr> '
,p_cust_wk_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_day_close_format=>'</div></td>'
,p_cust_wk_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_weekend_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_wk_weekend_close_format=>'</td>'
,p_agenda_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--list">',
'  <div class="t-ClassicCalendar-title">#IMONTH# #YYYY#</div>',
'  <ul class="t-ClassicCalendar-list">',
'    #DAYS#',
'  </ul>',
'</div>'))
,p_agenda_past_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-past">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_today_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-today">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_future_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-future">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_past_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-past">#DATA#</li>'
,p_agenda_today_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-today">#DATA#</li>'
,p_agenda_future_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-future">#DATA#</li>'
,p_month_data_format=>'#DAYS#'
,p_month_data_entry_format=>'<span class="t-ClassicCalendar-event">#DATA#</span>'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916747979059326
);
end;
/
prompt --application/shared_components/user_interface/themes
begin
wwv_flow_api.create_theme(
 p_id=>wwv_flow_api.id(27508984722641251948)
,p_theme_id=>42
,p_theme_name=>'Universal Theme'
,p_theme_internal_name=>'UNIVERSAL_THEME'
,p_ui_type_name=>'DESKTOP'
,p_navigation_type=>'L'
,p_nav_bar_type=>'LIST'
,p_reference_id=>4070917134413059350
,p_is_locked=>false
,p_default_page_template=>wwv_flow_api.id(23052567984966707)
,p_default_dialog_template=>wwv_flow_api.id(27508887545512251788)
,p_error_template=>wwv_flow_api.id(27508889029257251790)
,p_printer_friendly_template=>wwv_flow_api.id(27508902586554251801)
,p_breadcrumb_display_point=>'REGION_POSITION_01'
,p_sidebar_display_point=>'REGION_POSITION_02'
,p_login_template=>wwv_flow_api.id(27508889029257251790)
,p_default_button_template=>wwv_flow_api.id(27508982540912251928)
,p_default_region_template=>wwv_flow_api.id(27508930218679251848)
,p_default_chart_template=>wwv_flow_api.id(27508930218679251848)
,p_default_form_template=>wwv_flow_api.id(27508930218679251848)
,p_default_reportr_template=>wwv_flow_api.id(27508930218679251848)
,p_default_tabform_template=>wwv_flow_api.id(27508930218679251848)
,p_default_wizard_template=>wwv_flow_api.id(27508930218679251848)
,p_default_menur_template=>wwv_flow_api.id(27508939643174251856)
,p_default_listr_template=>wwv_flow_api.id(27508930218679251848)
,p_default_irr_template=>wwv_flow_api.id(27508929119314251846)
,p_default_report_template=>wwv_flow_api.id(27508952746794251872)
,p_default_label_template=>wwv_flow_api.id(27508981721928251919)
,p_default_menu_template=>wwv_flow_api.id(27508983381194251929)
,p_default_calendar_template=>wwv_flow_api.id(27508983494628251932)
,p_default_list_template=>wwv_flow_api.id(27508980119001251917)
,p_default_nav_list_template=>wwv_flow_api.id(27508971968008251909)
,p_default_top_nav_list_temp=>wwv_flow_api.id(27508971968008251909)
,p_default_side_nav_list_temp=>wwv_flow_api.id(27508971592027251908)
,p_default_nav_list_position=>'SIDE'
,p_default_dialogbtnr_template=>wwv_flow_api.id(27508920748208251838)
,p_default_dialogr_template=>wwv_flow_api.id(27508908731656251814)
,p_default_option_label=>wwv_flow_api.id(27508981721928251919)
,p_default_required_label=>wwv_flow_api.id(27508981909332251923)
,p_default_page_transition=>'NONE'
,p_default_popup_transition=>'NONE'
,p_default_navbar_list_template=>wwv_flow_api.id(27508972950720251910)
,p_file_prefix => nvl(wwv_flow_application_install.get_static_theme_file_prefix(42),'#IMAGE_PREFIX#themes/theme_42/1.2/')
,p_files_version=>72
,p_icon_library=>'FONTAPEX'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js?v=#APEX_VERSION#',
'#THEME_IMAGES#js/theme42#MIN#.js?v=#APEX_VERSION#'))
,p_css_file_urls=>'#THEME_IMAGES#css/Core#MIN#.css?v=#APEX_VERSION#'
);
end;
/
prompt --application/shared_components/user_interface/theme_style
begin
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(21787957749056942)
,p_theme_id=>42
,p_name=>'APEX Utils'
,p_is_current=>true
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_config=>'{"customCSS":".t-Header-branding{\n\tbackground-color: #212528;\n}\n\n@media (prefers-color-scheme: light) {\n\t.t-Header-branding{\n\t\tbackground-color: #0572ce;\n  \t}\n}\n\n.au-gradient-icon:before{\n\tbackground-image: linear-gradient(to top rig'
||'ht, #0076df,#3BAA2C,#FBCE4A,#f44336);\n\t-webkit-background-clip: text;\n\t-webkit-text-fill-color: transparent;\n}\n\n.au-navbar-logo{\n\tmargin-right: 8px;\n\tfont-size: 26px;\n}\n\n.t-Header-branding{\n\tborder-bottom: 5px solid;\n    border-image'
||': repeating-linear-gradient( 90deg, #3BAA2C, #3BAA2C 40px, #f44336 40px, #f44336 80px, #FBCE4A 80px, #FBCE4A 120px, #0076df 120px, #0076df 160px ) 5;\n    border-top: 0px;\n\tborder-left: 0px;\n\tborder-right: 0px;\n}\n.t-Header-logo{\n    text-align'
||': center;\n}\n.t-Header-logo-link{\n    font-size: 130%;\n}","vars":{}}'
,p_theme_roller_output_file_url=>'#THEME_DB_IMAGES#21787957749056942.css'
,p_theme_roller_read_only=>false
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(27508983789026251938)
,p_theme_id=>42
,p_name=>'Vista'
,p_css_file_urls=>'#THEME_IMAGES#css/Vista#MIN#.css?v=#APEX_VERSION#'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_read_only=>true
,p_reference_id=>4007676303523989775
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(27508983913370251939)
,p_theme_id=>42
,p_name=>'Vita'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2719875314571594493
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(27508984143672251939)
,p_theme_id=>42
,p_name=>'Vita - Dark'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Dark.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Dark#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3543348412015319650
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(27508984332141251939)
,p_theme_id=>42
,p_name=>'Vita - Red'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Red.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Red#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>1938457712423918173
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(27508984605068251939)
,p_theme_id=>42
,p_name=>'Vita - Slate'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Slate.less'
,p_theme_roller_config=>'{"customCSS":"","vars":{"@g_Accent-BG":"#505f6d","@g_Accent-OG":"#ececec","@g_Body-Title-BG":"#dee1e4","@l_Link-Base":"#337ac0","@g_Body-BG":"#f5f5f5"}}'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Slate#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3291983347983194966
);
end;
/
prompt --application/shared_components/user_interface/theme_files
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A200D0A202A2041504558205574696C730D0A202A20202020284F7261636C65204170706C69636174696F6E2045787072657373205468656D65205374796C65290D0A202A200D0A202A2054686973204353532066696C65207761732067656E657261';
wwv_flow_api.g_varchar2_table(2) := '746564207573696E6720746865204F7261636C65204170706C69636174696F6E204578707265737320352E30205468656D6520526F6C6C65722E200D0A202A200D0A202A2F0D0A0D0A2E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(3) := '3A20233634363436343B0D0A7D0D0A2E742D426F64792D696E666F202E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D526567696F6E202E742D4156504C6973742D76616C7565207B0D0A';
wwv_flow_api.g_varchar2_table(4) := '2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20233462346234623B0D0A7D0D0A2E742D426F64792D696E666F202E742D4156504C6973742D6C6162656C207B0D0A202063';
wwv_flow_api.g_varchar2_table(5) := '6F6C6F723A20233464346434643B0D0A7D0D0A2E742D526567696F6E202E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A0D0A2E742D416C6572742D2D77697A6172642C0D0A2E742D416C657274';
wwv_flow_api.g_varchar2_table(6) := '2D2D686F72697A6F6E74616C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D7761726E696E672C0D0A2E742D416C6572742D2D636F6C6F7242472E742D41';
wwv_flow_api.g_varchar2_table(7) := '6C6572742D2D79656C6C6F77207B0D0A20206261636B67726F756E642D636F6C6F723A20236665663765303B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D7375636365';
wwv_flow_api.g_varchar2_table(8) := '7373207B0D0A20206261636B67726F756E642D636F6C6F723A20236635666166343B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D64616E6765722C0D0A2E742D416C65';
wwv_flow_api.g_varchar2_table(9) := '72742D2D636F6C6F7242472E742D416C6572742D2D726564207B0D0A20206261636B67726F756E642D636F6C6F723A20236666663866373B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D';
wwv_flow_api.g_varchar2_table(10) := '416C6572742D2D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20236564663666663B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D69636F6E202E742D49636F6E207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(11) := '20234646463B0D0A7D0D0A0D0A2E742D416C6572742D2D7761726E696E67202E742D416C6572742D69636F6E202E742D49636F6E2C0D0A2E742D416C6572742D2D79656C6C6F77202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A202062';
wwv_flow_api.g_varchar2_table(12) := '61636B67726F756E642D636F6C6F723A20236662636534613B0D0A7D0D0A2E742D416C6572742D2D7761726E696E672E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E2C0D0A2E742D416C6572742D2D79656C6C6F77';
wwv_flow_api.g_varchar2_table(13) := '2E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235312C203230362C2037342C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D';
wwv_flow_api.g_varchar2_table(14) := '73756363657373202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A2E742D416C6572742D2D737563636573732E742D416C6572742D2D686F72697A6F6E';
wwv_flow_api.g_varchar2_table(15) := '74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612835392C203137302C2034342C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D696E666F202E742D416C6572742D69636F6E';
wwv_flow_api.g_varchar2_table(16) := '202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D416C6572742D2D696E666F2E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A202062';
wwv_flow_api.g_varchar2_table(17) := '61636B67726F756E642D636F6C6F723A207267626128352C203131342C203230362C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D64616E676572202E742D416C6572742D69636F6E202E742D49636F6E2C0D0A2E742D416C6572742D2D72';
wwv_flow_api.g_varchar2_table(18) := '6564202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A2E742D416C6572742D2D64616E6765722E742D416C6572742D2D686F72697A6F6E74616C202E74';
wwv_flow_api.g_varchar2_table(19) := '2D416C6572742D69636F6E2C0D0A2E742D416C6572742D2D7265642E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283234342C2036372C2035';
wwv_flow_api.g_varchar2_table(20) := '342C20302E3135293B0D0A7D0D0A2E742D416C6572742D2D77697A617264202E742D416C6572742D696E736574207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D416C6572742D2D686F72697A6F6E74616C2C0D0A2E74';
wwv_flow_api.g_varchar2_table(21) := '2D416C6572742D2D77697A617264207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D737563636573';
wwv_flow_api.g_varchar2_table(22) := '73207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612835392C203137302C2034342C20302E39293B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D73756363';
wwv_flow_api.g_varchar2_table(23) := '657373202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D';
wwv_flow_api.g_varchar2_table(24) := '2D73756363657373202E742D427574746F6E2D2D636C6F7365416C657274207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D73756363657373202E';
wwv_flow_api.g_varchar2_table(25) := '742D416C6572742D636F6E74656E74207B0D0A202070616464696E672D72696768743A20303B0D0A202070616464696E672D6C6566743A20303B0D0A7D0D0A0D0A2E742D42616467654C6973742C0D0A2E742D42616467654C6973743A6E6F74282E752D';
wwv_flow_api.g_varchar2_table(26) := '636F6C6F7273292061202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C7565207B0D0A20';
wwv_flow_api.g_varchar2_table(27) := '20626F782D736861646F773A2030203020302031707820726762612836342C2036342C2036342C20302E312920696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D';
wwv_flow_api.g_varchar2_table(28) := '63697263756C617220612E742D42616467654C6973742D777261703A686F766572202E742D42616467654C6973742D76616C7565207B0D0A2020626F782D736861646F773A20302030203020347078202330353732636520696E7365743B0D0A20206261';
wwv_flow_api.g_varchar2_table(29) := '636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D6461736820612E742D42616467654C6973742D777261703A666F6375732C0D0A2E742D426164';
wwv_flow_api.g_varchar2_table(30) := '67654C6973742D2D64617368202E742D42616467654C6973742D777261703A666F6375732D77697468696E2C0D0A2E742D42616467654C6973742D2D63697263756C617220612E742D42616467654C6973742D777261703A666F637573202E742D426164';
wwv_flow_api.g_varchar2_table(31) := '67654C6973742D76616C75652C0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C756520613A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520';
wwv_flow_api.g_varchar2_table(32) := '696E7365742C20302030203020327078202366666666666620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D64';
wwv_flow_api.g_varchar2_table(33) := '617368202E742D42616467654C6973742D777261703A666F6375732D77697468696E2C0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C756520613A686F766572207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(34) := '6E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D42616467654C6973742D2D64617368202E742D42616467654C6973742D76616C75';
wwv_flow_api.g_varchar2_table(35) := '6520613A666F6375732C0D0A2E742D42616467654C6973742D2D6461736820612E742D42616467654C6973742D777261703A666F6375732D77697468696E202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20236666666666';
wwv_flow_api.g_varchar2_table(36) := '663B0D0A7D0D0A0D0A2E742D42616467654C6973742E752D636F6C6F72732E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D777261703A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(37) := '20236666666666663B0D0A7D0D0A2E742D42616467654C6973742E752D636F6C6F72732E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A7D';
wwv_flow_api.g_varchar2_table(38) := '0D0A2E742D42616467654C6973742E752D636F6C6F7273202E742D42616467654C6973742D76616C75652061207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E612D4261724368617274202E612D42617243686172742D6974656D3A68';
wwv_flow_api.g_varchar2_table(39) := '6F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D426F6479202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A20';
wwv_flow_api.g_varchar2_table(40) := '20636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F64792D7469746C65202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038';
wwv_flow_api.g_varchar2_table(41) := '303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(42) := '6E202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C75652C0D0A2E742D427574746F6E526567696F6E202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42';
wwv_flow_api.g_varchar2_table(43) := '617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E612D4261724368617274202E612D42617243686172742D6974656D20696D67207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D';
wwv_flow_api.g_varchar2_table(44) := '0A2E612D4261724368617274202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E303235293B0D0A7D0D0A2E612D42617243686172742D2D636C6173736963202E';
wwv_flow_api.g_varchar2_table(45) := '612D42617243686172742D6261722C0D0A2E612D42617243686172742D2D636C6173736963202E612D42617243686172742D66696C6C6564207B0D0A2020626F726465722D7261646975733A203170783B0D0A7D0D0A2E612D42617243686172742D2D63';
wwv_flow_api.g_varchar2_table(46) := '6C6173736963202E612D42617243686172742D6974656D3A686F766572202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E612D426172';
wwv_flow_api.g_varchar2_table(47) := '43686172742D2D6D6F6465726E202E612D42617243686172742D6261722C0D0A2E612D42617243686172742D2D6D6F6465726E202E612D42617243686172742D66696C6C6564207B0D0A2020626F726465722D7261646975733A203170783B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(48) := '2E612D42617243686172742D2D6D6F6465726E202E612D42617243686172742D6974656D3A686F766572202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035';
wwv_flow_api.g_varchar2_table(49) := '293B0D0A7D0D0A2E612D42617243686172742D66696C6C6564207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A0D0A626F6479207B0D0A20206261636B67726F756E643A20236664666466643B0D0A2020636F';
wwv_flow_api.g_varchar2_table(50) := '6C6F723A20233365336533653B0D0A7D0D0A61207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A2E742D426F64792D616374696F6E73207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(51) := '65722D6C6566743A2031707820736F6C6964207267626128302C20302C20302C20302E303735293B0D0A7D0D0A2E742D426F64792D7469746C65207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C20323535';
wwv_flow_api.g_varchar2_table(52) := '2C20302E39293B0D0A2020636F6C6F723A20233430343034303B0D0A20202D7765626B69742D6261636B64726F702D66696C7465723A20736174757261746528313830252920626C757228387078293B0D0A7D0D0A2E75692D7769646765742D636F6E74';
wwv_flow_api.g_varchar2_table(53) := '656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D';
wwv_flow_api.g_varchar2_table(54) := '7469746C65202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034';
wwv_flow_api.g_varchar2_table(55) := '303B0D0A7D0D0A2E742D526567696F6E202E75692D7769646765742D636F6E74656E742C0D0A2E742D427574746F6E526567696F6E202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(56) := '2D426F64792D73696465207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E617065782D7264732D636F6E7461696E6572207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(57) := '642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D696E666F202E617065782D7264732D636F6E7461696E6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F';
wwv_flow_api.g_varchar2_table(58) := '64792D696E666F202E617065782D7264732D636F6E7461696E65722E69732D737475636B207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20202D7765626B69742D6261';
wwv_flow_api.g_varchar2_table(59) := '636B64726F702D66696C7465723A20626C757228347078293B0D0A7D0D0A2E742D426F64792D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D7469746C652E6A732D68696465';
wwv_flow_api.g_varchar2_table(60) := '42726561646372756D6273207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3935293B0D0A7D0D0A2E742D426F64792D746F70427574746F6E207B0D0A2020626F726465722D7261646975733A203130';
wwv_flow_api.g_varchar2_table(61) := '30253B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665363B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A666F637573207B0D0A2020626F782D736861646F773A203020';
wwv_flow_api.g_varchar2_table(62) := '30203020317078202330353732636520696E7365742C20302031707820327078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A686F7665722C0D0A2E742D426F64792D746F70427574746F';
wwv_flow_api.g_varchar2_table(63) := '6E3A666F637573207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(64) := '236536653665363B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67207B0D0A20206865696768743A20343870783B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6F7261636C65207B0D0A20206C696E652D6865696768743A20343870';
wwv_flow_api.g_varchar2_table(65) := '783B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6F7261636C653A6265666F7265207B0D0A20206865696768743A20343870783B0D0A7D0D0A0D0A2E617065782D736964652D6E6176202E742D426F64792D6E61762C0D0A2E617065782D73696465';
wwv_flow_api.g_varchar2_table(66) := '2D6E6176202E742D426F64792D616374696F6E732C0D0A2E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A2020746F703A20343870783B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D';
wwv_flow_api.g_varchar2_table(67) := '77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20202E752D52544C202E617065';
wwv_flow_api.g_varchar2_table(68) := '782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A20';
wwv_flow_api.g_varchar2_table(69) := '20202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E';
wwv_flow_api.g_varchar2_table(70) := '20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D';
wwv_flow_api.g_varchar2_table(71) := '0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A7D0D0A3A6E6F74282E752D52544C29202E617065';
wwv_flow_api.g_varchar2_table(72) := '782D736964652D6E6176202E742D426F64792D6D61696E207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E6176202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768';
wwv_flow_api.g_varchar2_table(73) := '743A20303B0D0A7D0D0A0D0A2E617065782D746F702D6E6176202E742D426F64792D616374696F6E73207B0D0A2020746F703A20383870783B0D0A7D0D0A2E617065782D746F702D6E6176202E742D426F64792D7469746C65207B0D0A2020746F703A20';
wwv_flow_api.g_varchar2_table(74) := '383870783B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20363430707829207B0D0A20202E617065782D746F702D6E61762E6A732D6D656E754E6176436F6C6C6170736564202E742D486561646572';
wwv_flow_api.g_varchar2_table(75) := '2D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746559282D31303025293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C61746559282D31303025293B0D0A202020207472616E7366';
wwv_flow_api.g_varchar2_table(76) := '6F726D3A207472616E736C61746559282D31303025293B0D0A20207D0D0A7D0D0A0D0A2E742D426F64792D6E6176207B0D0A202077696474683A2032303070783B0D0A7D0D0A0D0A2E742D426F64792D616374696F6E73207B0D0A202077696474683A20';
wwv_flow_api.g_varchar2_table(77) := '32303070783B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D426F64792D616374696F6E73202E742D427574746F6E2D2D686561646572207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D343070782C';
wwv_flow_api.g_varchar2_table(78) := '20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D34307078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D343070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D426F';
wwv_flow_api.g_varchar2_table(79) := '64792D616374696F6E73202E742D427574746F6E2D2D686561646572207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C617465336428343070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E';
wwv_flow_api.g_varchar2_table(80) := '736C6174652834307078293B0D0A20207472616E73666F726D3A207472616E736C617465336428343070782C20302C2030293B0D0A7D0D0A0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A2036343170782920';
wwv_flow_api.g_varchar2_table(81) := '7B0D0A20202E742D426F64792D73696465207B0D0A2020202077696474683A2032343070783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F7428';
wwv_flow_api.g_varchar2_table(82) := '2E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D73696465207B0D';
wwv_flow_api.g_varchar2_table(83) := '0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D6C6566';
wwv_flow_api.g_varchar2_table(84) := '743A20343870783B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20343870783B0D0A7D0D0A3A6E6F74282E752D';
wwv_flow_api.g_varchar2_table(85) := '52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642831353270782C20302C2030293B0D0A20';
wwv_flow_api.g_varchar2_table(86) := '202D6D732D7472616E73666F726D3A207472616E736C617465283135327078293B0D0A20207472616E73666F726D3A207472616E736C61746533642831353270782C20302C2030293B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E';
wwv_flow_api.g_varchar2_table(87) := '6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A20747261';
wwv_flow_api.g_varchar2_table(88) := '6E736C617465282D3135327078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A2034383070';
wwv_flow_api.g_varchar2_table(89) := '7829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D7469746C652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D';
wwv_flow_api.g_varchar2_table(90) := '6E6176457870616E646564202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D636F6E74656E74207B0D0A202020206D61726769';
wwv_flow_api.g_varchar2_table(91) := '6E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D7469746C652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E';
wwv_flow_api.g_varchar2_table(92) := '6176457870616E646564202E742D426F64792D736964652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D7269676874';
wwv_flow_api.g_varchar2_table(93) := '3A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A2020';
wwv_flow_api.g_varchar2_table(94) := '2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E61706578';
wwv_flow_api.g_varchar2_table(95) := '2D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D74';
wwv_flow_api.g_varchar2_table(96) := '72616E73666F726D3A207472616E736C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E';
wwv_flow_api.g_varchar2_table(97) := '6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A';
wwv_flow_api.g_varchar2_table(98) := '207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D';
wwv_flow_api.g_varchar2_table(99) := '77696474683A20363431707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C652C0D0A20202E617065782D736964652D6E';
wwv_flow_api.g_varchar2_table(100) := '61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E742C0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D';
wwv_flow_api.g_varchar2_table(101) := '2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D';
wwv_flow_api.g_varchar2_table(102) := '50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D';
wwv_flow_api.g_varchar2_table(103) := '50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E617645787061';
wwv_flow_api.g_varchar2_table(104) := '6E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465';
wwv_flow_api.g_varchar2_table(105) := '642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E';
wwv_flow_api.g_varchar2_table(106) := '6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2031353270783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A73';
wwv_flow_api.g_varchar2_table(107) := '2D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2031353270783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E';
wwv_flow_api.g_varchar2_table(108) := '617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20343870783B0D0A20207D0D0A20202E752D';
wwv_flow_api.g_varchar2_table(109) := '52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20343870783B0D0A20207D0D';
wwv_flow_api.g_varchar2_table(110) := '0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D73696465207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20';
wwv_flow_api.g_varchar2_table(111) := '2020202D6D732D7472616E73666F726D3A207472616E736C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D73';
wwv_flow_api.g_varchar2_table(112) := '6964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D73696465207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A202020202D6D732D7472';
wwv_flow_api.g_varchar2_table(113) := '616E73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A20202E617065782D736964652D6E61762E6A732D6E6176';
wwv_flow_api.g_varchar2_table(114) := '457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E';
wwv_flow_api.g_varchar2_table(115) := '61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D73696465';
wwv_flow_api.g_varchar2_table(116) := '2D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E';
wwv_flow_api.g_varchar2_table(117) := '617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D';
wwv_flow_api.g_varchar2_table(118) := '736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065';
wwv_flow_api.g_varchar2_table(119) := '782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032383870783B0D0A20207D0D0A20202E75';
wwv_flow_api.g_varchar2_table(120) := '2D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032383870783B0D';
wwv_flow_api.g_varchar2_table(121) := '0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B';
wwv_flow_api.g_varchar2_table(122) := '69742D7472616E73666F726D3A207472616E736C61746533642831353270782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465283135327078293B0D0A202020207472616E73666F726D3A207472616E736C';
wwv_flow_api.g_varchar2_table(123) := '61746533642831353270782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E';
wwv_flow_api.g_varchar2_table(124) := '74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465282D3135327078293B0D0A2020202074';
wwv_flow_api.g_varchar2_table(125) := '72616E73666F726D3A207472616E736C6174653364282D31353270782C20302C2030293B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D';
wwv_flow_api.g_varchar2_table(126) := '73686F774C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F77';
wwv_flow_api.g_varchar2_table(127) := '4C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73';
wwv_flow_api.g_varchar2_table(128) := '686F774C656674202E742D426F64792D7469746C65207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C';
wwv_flow_api.g_varchar2_table(129) := '617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E74';
wwv_flow_api.g_varchar2_table(130) := '2D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A202020202D6D732D7472616E';
wwv_flow_api.g_varchar2_table(131) := '73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E64';
wwv_flow_api.g_varchar2_table(132) := '20286D696E2D77696474683A20393933707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472616E';
wwv_flow_api.g_varchar2_table(133) := '73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D';
wwv_flow_api.g_varchar2_table(134) := '0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E20';
wwv_flow_api.g_varchar2_table(135) := '7B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A';
wwv_flow_api.g_varchar2_table(136) := '202020207472616E73666F726D3A206E6F6E652021696D706F7274616E743B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C';
wwv_flow_api.g_varchar2_table(137) := '656674202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F6479';
wwv_flow_api.g_varchar2_table(138) := '2D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E';
wwv_flow_api.g_varchar2_table(139) := '6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2034343070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A73';
wwv_flow_api.g_varchar2_table(140) := '2D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2034343070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E';
wwv_flow_api.g_varchar2_table(141) := '617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E742C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E61764578';
wwv_flow_api.g_varchar2_table(142) := '70616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A7D0D0A0D0A2E617065782D736964652D6E61762E6A732D6E6176';
wwv_flow_api.g_varchar2_table(143) := '436F6C6C6170736564202E742D426F64792D6E61762C0D0A2E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176202E742D547265654E6176207B0D0A202077696474683A20343870783B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(144) := '3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E742C0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C';
wwv_flow_api.g_varchar2_table(145) := '6170736564202E742D426F64792D7469746C652C0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A20206D617267696E2D6C6566743A20343870';
wwv_flow_api.g_varchar2_table(146) := '783B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E742C0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564';
wwv_flow_api.g_varchar2_table(147) := '202E742D426F64792D7469746C652C0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A20206D617267696E2D72696768743A20343870783B0D0A7D0D0A3A6E6F';
wwv_flow_api.g_varchar2_table(148) := '74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C652E69732D737475636B207B0D0A20206C6566743A20303B0D0A7D0D0A2E752D52544C202E617065782D736964652D';
wwv_flow_api.g_varchar2_table(149) := '6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C652E69732D737475636B207B0D0A202072696768743A20303B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830';
wwv_flow_api.g_varchar2_table(150) := '707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A2020';
wwv_flow_api.g_varchar2_table(151) := '20202D6D732D7472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A202020207472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176';
wwv_flow_api.g_varchar2_table(152) := '2E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C617465582834387078293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C61';
wwv_flow_api.g_varchar2_table(153) := '7465582834387078293B0D0A202020207472616E73666F726D3A207472616E736C617465582834387078293B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D';
wwv_flow_api.g_varchar2_table(154) := '426F64792D7469746C652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D';
wwv_flow_api.g_varchar2_table(155) := '6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61';
wwv_flow_api.g_varchar2_table(156) := '70736564202E742D426F64792D7469746C652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D736964652C0D0A20202E752D52544C202E617065782D736964652D6E61762E';
wwv_flow_api.g_varchar2_table(157) := '6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20';
wwv_flow_api.g_varchar2_table(158) := '363430707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E207B0D0A';
wwv_flow_api.g_varchar2_table(159) := '202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64';
wwv_flow_api.g_varchar2_table(160) := '792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C2920';
wwv_flow_api.g_varchar2_table(161) := '2E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A73';
wwv_flow_api.g_varchar2_table(162) := '2D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170';
wwv_flow_api.g_varchar2_table(163) := '736564202E742D426F64792D7469746C65207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A';
wwv_flow_api.g_varchar2_table(164) := '2020202072696768743A20343870783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7369';
wwv_flow_api.g_varchar2_table(165) := '6465207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F6479';
wwv_flow_api.g_varchar2_table(166) := '2D73696465207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C65';
wwv_flow_api.g_varchar2_table(167) := '6674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032383870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F';
wwv_flow_api.g_varchar2_table(168) := '64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032383870783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A';
wwv_flow_api.g_varchar2_table(169) := '20393933707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D';
wwv_flow_api.g_varchar2_table(170) := '52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A0D0A2E742D50616765426F64792E6A732D726967687445';
wwv_flow_api.g_varchar2_table(171) := '7870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20303B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D6169';
wwv_flow_api.g_varchar2_table(172) := '6E2C0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6E6176207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D3230307078';
wwv_flow_api.g_varchar2_table(173) := '2C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A7D0D0A2E752D52544C202E74';
wwv_flow_api.g_varchar2_table(174) := '2D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E2C0D0A2E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6E6176207B0D0A20202D7765626B';
wwv_flow_api.g_varchar2_table(175) := '69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465283230307078293B0D0A20207472616E73666F726D3A207472616E736C61746533';
wwv_flow_api.g_varchar2_table(176) := '642832303070782C20302C2030293B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D5061';
wwv_flow_api.g_varchar2_table(177) := '6765426F64792D2D686964654C656674202E742D426F64792D6D61696E2C0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6E6176207B0D0A20';
wwv_flow_api.g_varchar2_table(178) := '2020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D';
wwv_flow_api.g_varchar2_table(179) := '61696E207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D';
wwv_flow_api.g_varchar2_table(180) := '426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D68';
wwv_flow_api.g_varchar2_table(181) := '6964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D68';
wwv_flow_api.g_varchar2_table(182) := '6964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F';
wwv_flow_api.g_varchar2_table(183) := '64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D';
wwv_flow_api.g_varchar2_table(184) := '73686F774C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61';
wwv_flow_api.g_varchar2_table(185) := '707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870';
wwv_flow_api.g_varchar2_table(186) := '616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29';
wwv_flow_api.g_varchar2_table(187) := '202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20303B0D0A20207D';
wwv_flow_api.g_varchar2_table(188) := '0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A20202020726967';
wwv_flow_api.g_varchar2_table(189) := '68743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20393933707829207B0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D726967687445787061';
wwv_flow_api.g_varchar2_table(190) := '6E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D726967';
wwv_flow_api.g_varchar2_table(191) := '6874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20202E742D50616765426F64792E6A732D7269676874';
wwv_flow_api.g_varchar2_table(192) := '457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E2C0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D';
wwv_flow_api.g_varchar2_table(193) := '426F64792D6E6176207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C';
wwv_flow_api.g_varchar2_table(194) := '656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C';
wwv_flow_api.g_varchar2_table(195) := '656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C6170';
wwv_flow_api.g_varchar2_table(196) := '7365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E646564';
wwv_flow_api.g_varchar2_table(197) := '2E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E2061';
wwv_flow_api.g_varchar2_table(198) := '6E6420286D61782D77696474683A20393932707829207B0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A20202020747261';
wwv_flow_api.g_varchar2_table(199) := '6E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C652C0D';
wwv_flow_api.g_varchar2_table(200) := '0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E742D50';
wwv_flow_api.g_varchar2_table(201) := '616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C617465336428';
wwv_flow_api.g_varchar2_table(202) := '2D32303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A2020';
wwv_flow_api.g_varchar2_table(203) := '7D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C652C0D0A20202E752D52544C202E742D50616765426F64792E6A';
wwv_flow_api.g_varchar2_table(204) := '732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D736964652C0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F6479';
wwv_flow_api.g_varchar2_table(205) := '2D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A2074';
wwv_flow_api.g_varchar2_table(206) := '72616E736C617465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D5061';
wwv_flow_api.g_varchar2_table(207) := '6765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A20343870782021696D706F7274616E743B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D726967';
wwv_flow_api.g_varchar2_table(208) := '6874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A203070782021696D706F7274616E743B0D0A2020202072696768743A2034387078202169';
wwv_flow_api.g_varchar2_table(209) := '6D706F7274616E743B0D0A20207D0D0A7D0D0A0D0A2E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A203070783B0D0A7D0D0A2E742D5061676542';
wwv_flow_api.g_varchar2_table(210) := '6F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202072696768743A203070783B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874436F6C6C617073656420';
wwv_flow_api.g_varchar2_table(211) := '2E742D426F64792D616374696F6E73207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C61746528323030707829';
wwv_flow_api.g_varchar2_table(212) := '3B0D0A20207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D616374696F6E73207B';
wwv_flow_api.g_varchar2_table(213) := '0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A20207472616E73666F726D3A';
wwv_flow_api.g_varchar2_table(214) := '207472616E736C6174653364282D32303070782C20302C2030293B0D0A7D0D0A0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E742D506167';
wwv_flow_api.g_varchar2_table(215) := '65426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032343070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792D2D73686F774C656674202E742D42';
wwv_flow_api.g_varchar2_table(216) := '6F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032343070783B0D0A20207D0D0A7D0D0A0D0A2E742D426F64792D636F6E74656E74496E6E6572207B0D0A20206D617267696E3A2030206175746F3B0D0A20206D61782D';
wwv_flow_api.g_varchar2_table(217) := '77696474683A20313030253B0D0A7D0D0A0D0A2E742D42726561646372756D622D6974656D3A6166746572207B0D0A2020636F6C6F723A20726762612836322C2036322C2036322C20302E3735293B0D0A7D0D0A2E742D42726561646372756D622D6974';
wwv_flow_api.g_varchar2_table(218) := '656D2C0D0A2E742D42726561646372756D622D6974656D2061207B0D0A2020636F6C6F723A20233537353735373B0D0A7D0D0A2E742D42726561646372756D622D6974656D20613A686F7665722C0D0A2E742D42726561646372756D622D6974656D2061';
wwv_flow_api.g_varchar2_table(219) := '3A666F637573207B0D0A2020636F6C6F723A20233035366162663B0D0A2020746578742D6465636F726174696F6E3A20756E6465726C696E653B0D0A20206F75746C696E653A206E6F6E653B0D0A7D0D0A2E742D426F64792D7469746C652D736872696E';
wwv_flow_api.g_varchar2_table(220) := '6B202E742D42726561646372756D62526567696F6E2D2D75736542726561646372756D625469746C65202E742D42726561646372756D622D6974656D2E69732D6163746976652C0D0A2E742D426F64792D7469746C652D736872696E6B202E742D427265';
wwv_flow_api.g_varchar2_table(221) := '61646372756D62526567696F6E2D2D757365526567696F6E5469746C65202E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A406D65646961206F6E6C7920736372';
wwv_flow_api.g_varchar2_table(222) := '65656E20616E6420286D61782D77696474683A20363430707829207B0D0A20202E742D42726561646372756D62526567696F6E2D2D757365526567696F6E5469746C65202E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D';
wwv_flow_api.g_varchar2_table(223) := '0A20202020636F6C6F723A20233365336533653B0D0A20207D0D0A7D0D0A2E742D42726561646372756D622D6974656D202E742D49636F6E3A686F766572207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D42726561646372756D';
wwv_flow_api.g_varchar2_table(224) := '62526567696F6E2D2D75736542726561646372756D625469746C65202E742D42726561646372756D622D6974656D2E69732D6163746976652C0D0A2E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(225) := '20233430343034303B0D0A7D0D0A0D0A2E742D427574746F6E2C0D0A2E612D427574746F6E2C0D0A2E75692D627574746F6E207B0D0A2020626F726465723A206E6F6E653B0D0A2020746578742D736861646F773A206E6F6E653B0D0A2020626F726465';
wwv_flow_api.g_varchar2_table(226) := '722D7261646975733A203270783B0D0A20207472616E736974696F6E3A206261636B67726F756E642D636F6C6F7220302E327320656173652C20626F782D736861646F7720302E327320656173652C20636F6C6F7220302E327320656173653B0D0A7D0D';
wwv_flow_api.g_varchar2_table(227) := '0A2E742D427574746F6E202E742D49636F6E2C0D0A2E612D427574746F6E202E742D49636F6E2C0D0A2E75692D627574746F6E202E742D49636F6E207B0D0A20207472616E736974696F6E3A20696E68657269743B0D0A7D0D0A2E742D427574746F6E3A';
wwv_flow_api.g_varchar2_table(228) := '686F7665722C0D0A2E612D427574746F6E3A686F7665722C0D0A2E75692D627574746F6E3A686F7665722C0D0A2E742D427574746F6E3A666F6375732C0D0A2E612D427574746F6E3A666F6375732C0D0A2E75692D627574746F6E3A666F637573207B0D';
wwv_flow_api.g_varchar2_table(229) := '0A20207A2D696E6465783A203130303B0D0A20206F75746C696E653A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E3A666F6375733A6265666F72652C0D0A2E612D427574746F6E3A666F6375733A6265666F72652C0D0A';
wwv_flow_api.g_varchar2_table(230) := '2E75692D627574746F6E3A666F6375733A6265666F72652C0D0A2E742D427574746F6E2E69732D6163746976653A666F6375733A6265666F72652C0D0A2E612D427574746F6E2E69732D6163746976653A666F6375733A6265666F72652C0D0A2E75692D';
wwv_flow_api.g_varchar2_table(231) := '627574746F6E2E69732D6163746976653A666F6375733A6265666F7265207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742021696D706F7274616E743B0D0A20206F7061636974793A20313B0D0A7D';
wwv_flow_api.g_varchar2_table(232) := '0D0A2E742D427574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E612D427574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E75692D627574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E';
wwv_flow_api.g_varchar2_table(233) := '742D427574746F6E2E69732D6163746976653A666F6375733A6163746976653A6265666F72652C0D0A2E612D427574746F6E2E69732D6163746976653A666F6375733A6163746976653A6265666F72652C0D0A2E75692D627574746F6E2E69732D616374';
wwv_flow_api.g_varchar2_table(234) := '6976653A666F6375733A6163746976653A6265666F7265207B0D0A20206F7061636974793A20303B0D0A7D0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A6E6F74282E742D427574746F6E2D2D686561646572293A61';
wwv_flow_api.g_varchar2_table(235) := '63746976652C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A6E6F74282E742D427574746F6E2D2D686561646572292E69732D616374697665207B0D0A2020626F782D736861646F773A203020302030203170782072';
wwv_flow_api.g_varchar2_table(236) := '67626128302C20302C20302C20302E31352920696E7365742C20302032707820327078207267626128302C20302C20302C20302E312920696E7365742021696D706F7274616E743B0D0A7D0D0A0D0A2E612D427574746F6E3A6265666F72652C0D0A2E74';
wwv_flow_api.g_varchar2_table(237) := '2D427574746F6E3A6265666F72652C0D0A2E75692D627574746F6E3A6265666F72652C0D0A2E612D427574746F6E3A61667465722C0D0A2E742D427574746F6E3A61667465722C0D0A2E75692D627574746F6E3A6166746572207B0D0A2020636F6E7465';
wwv_flow_api.g_varchar2_table(238) := '6E743A2027273B0D0A2020706F736974696F6E3A206162736F6C7574653B0D0A2020746F703A20303B0D0A20206C6566743A20303B0D0A202077696474683A20313030253B0D0A20206865696768743A20313030253B0D0A2020626F726465722D726164';
wwv_flow_api.g_varchar2_table(239) := '6975733A20696E68657269743B0D0A20206F7061636974793A20303B0D0A20207472616E736974696F6E3A202E327320656173653B0D0A7D0D0A2E612D427574746F6E3A6265666F72652C0D0A2E742D427574746F6E3A6265666F72652C0D0A2E75692D';
wwv_flow_api.g_varchar2_table(240) := '627574746F6E3A6265666F7265207B0D0A20207A2D696E6465783A20313B0D0A7D0D0A2E612D427574746F6E3A61667465722C0D0A2E742D427574746F6E3A61667465722C0D0A2E75692D627574746F6E3A6166746572207B0D0A20207A2D696E646578';
wwv_flow_api.g_varchar2_table(241) := '3A202D313B0D0A2020626F782D736861646F773A20302032707820317078207267626128302C20302C20302C20302E303735293B0D0A20207472616E73666F726D3A207472616E736C61746559282D327078293B0D0A7D0D0A2E612D427574746F6E3A66';
wwv_flow_api.g_varchar2_table(242) := '6F6375733A61667465722C0D0A2E742D427574746F6E3A666F6375733A61667465722C0D0A2E75692D627574746F6E3A666F6375733A61667465722C0D0A2E612D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A61';
wwv_flow_api.g_varchar2_table(243) := '667465722C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A61667465722C0D0A2E75692D627574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A6166746572207B0D0A20';
wwv_flow_api.g_varchar2_table(244) := '206F7061636974793A20313B0D0A20207472616E73666F726D3A207472616E736C617465592830293B0D0A7D0D0A2E612D427574746F6E3A666F6375733A6163746976653A61667465722C0D0A2E742D427574746F6E3A666F6375733A6163746976653A';
wwv_flow_api.g_varchar2_table(245) := '61667465722C0D0A2E75692D627574746F6E3A666F6375733A6163746976653A6166746572207B0D0A20206F7061636974793A20303B0D0A20207472616E73666F726D3A207472616E736C61746559282D327078293B0D0A7D0D0A2E612D427574746F6E';
wwv_flow_api.g_varchar2_table(246) := '3A666F6375733A61667465722C0D0A2E742D427574746F6E3A666F6375733A61667465722C0D0A2E75692D627574746F6E3A666F6375733A6166746572207B0D0A20207472616E73666F726D3A207472616E736C617465592830293B0D0A2020626F782D';
wwv_flow_api.g_varchar2_table(247) := '736861646F773A203020302031707820317078207267626128352C203131342C203230362C20302E3235293B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974';
wwv_flow_api.g_varchar2_table(248) := '656D2D67726F75702D2D726320696E707574202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C2C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65292C0D0A2E';
wwv_flow_api.g_varchar2_table(249) := '75692D627574746F6E2C0D0A2E612D427574746F6E207B0D0A2020636F6C6F723A20233338333833383B0D0A20206261636B67726F756E642D636F6C6F723A20236638663866383B0D0A2020626F782D736861646F773A20302030203020317078207267';
wwv_flow_api.g_varchar2_table(250) := '626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B20';
wwv_flow_api.g_varchar2_table(251) := '6C6162656C3A686F7665722C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A686F7665722C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A686F7665722C0D0A2E75692D';
wwv_flow_api.g_varchar2_table(252) := '627574746F6E3A686F7665722C0D0A2E612D427574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20302C2030';
wwv_flow_api.g_varchar2_table(253) := '2C20302E31352920696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A666F637573';
wwv_flow_api.g_varchar2_table(254) := '2C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A666F6375732C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A666F6375732C0D0A2E75692D627574746F6E3A666F6375';
wwv_flow_api.g_varchar2_table(255) := '732C0D0A2E612D427574746F6E3A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E6170';
wwv_flow_api.g_varchar2_table(256) := '65782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C2E69732D6163746976652C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C2E69732D6163746976652C0D0A2E742D427574746F6E3A6E';
wwv_flow_api.g_varchar2_table(257) := '6F74282E742D427574746F6E2D2D73696D706C65292E69732D6163746976652C0D0A2E75692D627574746F6E2E69732D6163746976652C0D0A2E612D427574746F6E2E69732D6163746976652C0D0A2E742D466F726D2D6669656C64436F6E7461696E65';
wwv_flow_api.g_varchar2_table(258) := '722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A6163746976652C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A616374';
wwv_flow_api.g_varchar2_table(259) := '6976652C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A6163746976652C0D0A2E75692D627574746F6E3A6163746976652C0D0A2E612D427574746F6E3A616374697665207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(260) := '2D636F6C6F723A20236465646564653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(261) := '20236438643864383B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D72632069';
wwv_flow_api.g_varchar2_table(262) := '6E7075743A616374697665202B206C6162656C2C0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A666F6375733A6E6F7428';
wwv_flow_api.g_varchar2_table(263) := '3A636865636B656429202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A616374697665202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A666F6375733A6E6F74283A6368';
wwv_flow_api.g_varchar2_table(264) := '65636B656429202B206C6162656C207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C20302030203020327078202366396639663920696E7365742021696D706F7274616E743B0D0A20206F75746C';
wwv_flow_api.g_varchar2_table(265) := '696E653A206E6F6E653B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666662021696D706F7274616E743B0D0A2020636F6C6F723A20233338333833382021696D70';
wwv_flow_api.g_varchar2_table(266) := '6F7274616E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A636865636B65643A666F637573202B206C616265';
wwv_flow_api.g_varchar2_table(267) := '6C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A636865636B65643A666F637573202B206C6162656C207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C2030203020302032';
wwv_flow_api.g_varchar2_table(268) := '7078202366396639663920696E7365742021696D706F7274616E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574';
wwv_flow_api.g_varchar2_table(269) := '3A636865636B6564202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A636865636B6564202B206C6162656C207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(270) := '642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236639663966393B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A0D0A2E612D427574746F6E2D2D686F742C0D0A2E742D427574746F6E2D2D686F743A6E6F7428';
wwv_flow_api.g_varchar2_table(271) := '2E742D427574746F6E2D2D73696D706C65292C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F742C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D617279207B0D0A';
wwv_flow_api.g_varchar2_table(272) := '20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D427574746F6E2D2D686F743A686F7665722C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574';
wwv_flow_api.g_varchar2_table(273) := '746F6E2D2D73696D706C65293A686F7665722C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A686F7665722C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D61';
wwv_flow_api.g_varchar2_table(274) := '72793A686F7665722C0D0A2E612D427574746F6E2D2D686F743A6E6F74283A616374697665293A666F6375732C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74283A616374697665293A666F';
wwv_flow_api.g_varchar2_table(275) := '6375732C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A6E6F74283A616374697665293A666F6375732C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D617279';
wwv_flow_api.g_varchar2_table(276) := '3A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233036383065373B0D0A7D0D0A2E612D427574746F6E2D2D686F743A6163746976652C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E';
wwv_flow_api.g_varchar2_table(277) := '742D427574746F6E2D2D73696D706C65293A6163746976652C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A6163746976652C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974';
wwv_flow_api.g_varchar2_table(278) := '792D7072696D6172793A6163746976652C0D0A2E612D427574746F6E2D2D686F742E69732D6163746976652C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73696D706C65292E69732D6163746976652C0D0A626F6479';
wwv_flow_api.g_varchar2_table(279) := '202E75692D627574746F6E2E75692D627574746F6E2D2D686F742E69732D6163746976652C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D6172792E69732D616374697665207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(280) := '6B67726F756E642D636F6C6F723A20233034363462353B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F74207B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A0D0A2E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(281) := '7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E';
wwv_flow_api.g_varchar2_table(282) := '742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F';
wwv_flow_api.g_varchar2_table(283) := '6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236663646337633B0D0A7D0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D';
wwv_flow_api.g_varchar2_table(284) := '706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E74';
wwv_flow_api.g_varchar2_table(285) := '2D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A2023666263653461';
wwv_flow_api.g_varchar2_table(286) := '3B0D0A7D0D0A0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4275';
wwv_flow_api.g_varchar2_table(287) := '74746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73';
wwv_flow_api.g_varchar2_table(288) := '696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233432626533313B0D0A7D0D0A2E742D427574746F6E2D2D73756363657373';
wwv_flow_api.g_varchar2_table(289) := '3A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F';
wwv_flow_api.g_varchar2_table(290) := '6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(291) := '6F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(292) := '236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D64616E6765723A';
wwv_flow_api.g_varchar2_table(293) := '6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236635356134653B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(294) := '2D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65';
wwv_flow_api.g_varchar2_table(295) := '293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D6163746976';
wwv_flow_api.g_varchar2_table(296) := '65207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74';
wwv_flow_api.g_varchar2_table(297) := '29207B0D0A2020636F6C6F723A20233031313232303B0D0A7D0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D';
wwv_flow_api.g_varchar2_table(298) := '427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(299) := '20236262646666643B0D0A7D0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74';
wwv_flow_api.g_varchar2_table(300) := '282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D4275';
wwv_flow_api.g_varchar2_table(301) := '74746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236132643366643B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74';
wwv_flow_api.g_varchar2_table(302) := '282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E6729207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(303) := '6B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(304) := '2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(305) := '73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E67293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572';
wwv_flow_api.g_varchar2_table(306) := '293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E67293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C653A';
wwv_flow_api.g_varchar2_table(307) := '6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D4275';
wwv_flow_api.g_varchar2_table(308) := '74746F6E2D2D7761726E696E67292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F74207B0D0A2020';
wwv_flow_api.g_varchar2_table(309) := '626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D68';
wwv_flow_api.g_varchar2_table(310) := '6F742C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F74202E742D49636F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F';
wwv_flow_api.g_varchar2_table(311) := '743A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742E69732D616374697665207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(312) := '6B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F766572202E742D49636F6E2C0D0A2E742D4275';
wwv_flow_api.g_varchar2_table(313) := '74746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742E69732D616374697665202E742D49636F6E207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(314) := '6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A2030203020302031';
wwv_flow_api.g_varchar2_table(315) := '7078202361326433666420696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F';
wwv_flow_api.g_varchar2_table(316) := '6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20233236393966613B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(317) := '742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E';
wwv_flow_api.g_varchar2_table(318) := '6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261';
wwv_flow_api.g_varchar2_table(319) := '636B67726F756E642D636F6C6F723A20236132643366643B0D0A2020636F6C6F723A20233031313232303B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D68';
wwv_flow_api.g_varchar2_table(320) := '6F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(321) := '6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20233031313232303B0D0A7D0D0A0D0A2E742D42757474';
wwv_flow_api.g_varchar2_table(322) := '6F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020317078202366626365346120696E7365743B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(323) := '6F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C65';
wwv_flow_api.g_varchar2_table(324) := '2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20236331393130343B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(325) := '7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A';
wwv_flow_api.g_varchar2_table(326) := '2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A20';
wwv_flow_api.g_varchar2_table(327) := '20636F6C6F723A20233434333330323B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D42757474';
wwv_flow_api.g_varchar2_table(328) := '6F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E67';
wwv_flow_api.g_varchar2_table(329) := '3A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E676572';
wwv_flow_api.g_varchar2_table(330) := '3A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020317078202366343433333620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(331) := '427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D42757474';
wwv_flow_api.g_varchar2_table(332) := '6F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20236634343333363B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A686F76';
wwv_flow_api.g_varchar2_table(333) := '65722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E67';
wwv_flow_api.g_varchar2_table(334) := '65723A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73';
wwv_flow_api.g_varchar2_table(335) := '696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E74';
wwv_flow_api.g_varchar2_table(336) := '2D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D4963';
wwv_flow_api.g_varchar2_table(337) := '6F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F';
wwv_flow_api.g_varchar2_table(338) := '773A20302030203020317078202333626161326320696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F';
wwv_flow_api.g_varchar2_table(339) := '74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A2023336261';
wwv_flow_api.g_varchar2_table(340) := '6132633B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(341) := '2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74292E69732D61637469';
wwv_flow_api.g_varchar2_table(342) := '7665207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E74';
wwv_flow_api.g_varchar2_table(343) := '2D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C';
wwv_flow_api.g_varchar2_table(344) := '0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D';
wwv_flow_api.g_varchar2_table(345) := '0A0D0A2E742D427574746F6E2D2D6E6F5549207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A6E6F74283A686F766572293A6E6F';
wwv_flow_api.g_varchar2_table(346) := '74283A666F637573293A6E6F74282E69732D61637469766529207B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A686F7665722C0D0A2E742D427574746F6E2D2D6E6F55493A666F6375732C0D';
wwv_flow_api.g_varchar2_table(347) := '0A2E742D427574746F6E2D2D6E6F55492E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A666F6375733A686F766572207B0D0A2020626F782D';
wwv_flow_api.g_varchar2_table(348) := '736861646F773A20302030203020317078207267626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E7370617265';
wwv_flow_api.g_varchar2_table(349) := '6E742021696D706F7274616E743B0D0A2020626F782D736861646F773A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2D2D6C696E6B3A686F766572207B0D0A2020746578742D6465636F726174696F6E3A20756E646572';
wwv_flow_api.g_varchar2_table(350) := '6C696E653B0D0A7D0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2C0D0A2E742D427574746F6E2D2D6C696E6B202E742D49636F6E207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E';
wwv_flow_api.g_varchar2_table(351) := '6F55492E742D427574746F6E2D2D686F742C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D686F74202E742D49636F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F5549';
wwv_flow_api.g_varchar2_table(352) := '2E742D427574746F6E2D2D7072696D6172792C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7072696D6172792C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7072696D617279202E742D49636F6E2C0D';
wwv_flow_api.g_varchar2_table(353) := '0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7072696D617279202E742D49636F6E207B0D0A2020636F6C6F723A20233236393966612021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D42';
wwv_flow_api.g_varchar2_table(354) := '7574746F6E2D2D7761726E696E672C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7761726E696E672C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7761726E696E67202E742D49636F6E2C0D0A2E742D';
wwv_flow_api.g_varchar2_table(355) := '427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7761726E696E67202E742D49636F6E207B0D0A2020636F6C6F723A20236331393130342021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F';
wwv_flow_api.g_varchar2_table(356) := '6E2D2D64616E6765722C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D64616E6765722C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D64616E676572202E742D49636F6E2C0D0A2E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(357) := '2D6C696E6B2E742D427574746F6E2D2D64616E676572202E742D49636F6E207B0D0A2020636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7375636365';
wwv_flow_api.g_varchar2_table(358) := '73732C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D737563636573732C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D73756363657373202E742D49636F6E2C0D0A2E742D427574746F6E2D2D6C696E6B';
wwv_flow_api.g_varchar2_table(359) := '2E742D427574746F6E2D2D73756363657373202E742D49636F6E207B0D0A2020636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67202E742D427574746F6E207B0D0A202062';
wwv_flow_api.g_varchar2_table(360) := '61636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561646572207B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F782D736861646F773A';
wwv_flow_api.g_varchar2_table(361) := '206E6F6E653B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A6265666F72652C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A6163746976653A666F6375733A6265666F726520';
wwv_flow_api.g_varchar2_table(362) := '7B0D0A2020626F782D736861646F773A20302030203020317078202332363939666120696E7365742021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A686F7665722C0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(363) := '6E2E742D427574746F6E2D2D6865616465723A666F6375732C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(364) := '0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E31293B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(365) := '2D6865616465723A6163746976652C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E34293B0D';
wwv_flow_api.g_varchar2_table(366) := '0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465722E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A2020626F782D736861646F773A20';
wwv_flow_api.g_varchar2_table(367) := '6E6F6E653B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D68656164657254726565207B0D0A20206D696E2D77696474683A20333270783B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561646572547265653A666F';
wwv_flow_api.g_varchar2_table(368) := '637573207B0D0A2020626F782D736861646F773A20302030203020317078202332363939666120696E7365743B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A20202E742D';
wwv_flow_api.g_varchar2_table(369) := '427574746F6E2E742D427574746F6E2D2D68656164657254726565207B0D0A202020206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A20207D0D0A7D0D0A2E742D427574746F6E2E742D427574746F';
wwv_flow_api.g_varchar2_table(370) := '6E2D2D6865616465725269676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465723A2031707820736F6C696420236530653065303B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(371) := '2D68656164657252696768743A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D68656164657252696768743A6163746976652C0D0A2E742D42';
wwv_flow_api.g_varchar2_table(372) := '7574746F6E2E742D427574746F6E2D2D68656164657252696768742E69732D616374697665207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D427574746F6E2D2D6E6176426172202E742D427574746F6E2D6261646765207B0D0A';
wwv_flow_api.g_varchar2_table(373) := '2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3335293B0D0A7D0D0A2E742D427574746F6E2D2D68656C70427574746F6E202E612D49636F6E207B0D';
wwv_flow_api.g_varchar2_table(374) := '0A20206F7061636974793A202E353B0D0A7D0D0A0D0A2E742D4865616465722D6E6176426172202E742D427574746F6E2D2D6865616465722E69732D616374697665207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A20';
wwv_flow_api.g_varchar2_table(375) := '303B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A20303B0D0A20206261636B67726F756E642D636F6C6F723A20233033343938333B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(376) := '2E742D427574746F6E2D2D6E6F5549202E66613A61667465722C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6C696E6B202E66613A61667465722C0D0A2E742D427574746F6E2E742D427574746F6E2D2D73696D706C65202E66613A61667465';
wwv_flow_api.g_varchar2_table(377) := '72207B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A0D0A2E742D427574746F6E2D2D64616E676572202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765';
wwv_flow_api.g_varchar2_table(378) := '723A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73756363657373202E66613A61667465722C0D0A2E742D427574746F6E2D2D7369';
wwv_flow_api.g_varchar2_table(379) := '6D706C652E742D427574746F6E2D2D737563636573733A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7072696D617279202E66613A';
wwv_flow_api.g_varchar2_table(380) := '61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20236132643366643B0D0A7D0D0A0D0A2E74';
wwv_flow_api.g_varchar2_table(381) := '2D427574746F6E2D2D7761726E696E67202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(382) := '6F723A20236662636534613B0D0A7D0D0A0D0A2E742D427574746F6E2D2D686F74202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F766572202E66613A6166746572207B0D0A202062';
wwv_flow_api.g_varchar2_table(383) := '61636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D427574746F6E526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A';
wwv_flow_api.g_varchar2_table(384) := '2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D6E6F5549207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D427574746F6E526567';
wwv_flow_api.g_varchar2_table(385) := '696F6E2D2D77697A6172642C0D0A2E742D427574746F6E526567696F6E2D2D6469616C6F67526567696F6E207B0D0A2020626F726465722D7261646975733A2030203020327078203270783B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D6469';
wwv_flow_api.g_varchar2_table(386) := '616C6F67526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F6479202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F';
wwv_flow_api.g_varchar2_table(387) := '6E2D7469746C65207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A20';
wwv_flow_api.g_varchar2_table(388) := '20636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(389) := '34303B0D0A7D0D0A2E742D526567696F6E202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C652C0D0A2E742D427574746F6E526567696F6E202E742D427574746F6E526567696F6E';
wwv_flow_api.g_varchar2_table(390) := '2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D427574746F6E526567696F6E207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(391) := '67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020626F726465722D7261646975733A20303B0D0A7D0D0A0D0A2E66632E75692D776964676574207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D';
wwv_flow_api.g_varchar2_table(392) := '0A7D0D0A2E66632D746F6F6C626172207B0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A203270782032707820';
wwv_flow_api.g_varchar2_table(393) := '3020303B0D0A7D0D0A2E66632D746F6F6C6261722068322C0D0A2E6663202E66632D62617369632D766965772074642E66632D6461792D6E756D6265722C0D0A2E6663202E66632D6461792D6E756D626572207B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(394) := '34303B0D0A7D0D0A2E66632D6461792D6865616465722E75692D7769646765742D6865616465722C0D0A2E66632D76696577202E75692D7769646765742D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B';
wwv_flow_api.g_varchar2_table(395) := '0D0A2020636F6C6F723A20233236323632363B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A6469762E66632D6167656E64614C697374207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D';
wwv_flow_api.g_varchar2_table(396) := '0A2020626F726465722D636F6C6F723A20236562656265623B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D646179486561646572207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(397) := '20236439643964393B0D0A2020636F6C6F723A20233236323632363B0D0A2020626F726465722D636F6C6F723A20236661666166613B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D646179207B0D0A2020636F6C6F723A20233236323632';
wwv_flow_api.g_varchar2_table(398) := '363B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D64617465207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A2E6663202E66632D6167656E64614C697374202E66632D6576656E742D73746172742D74696D652C0D0A2E66';
wwv_flow_api.g_varchar2_table(399) := '63202E66632D6167656E64614C697374202E66632D6576656E742D616C6C2D646179207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A626F6479202E66632074642E66632D746F6461792C0D0A626F6479202E6663202E75692D77696467';
wwv_flow_api.g_varchar2_table(400) := '65742D636F6E74656E74207B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D7769646765742D636F6E74656E742E66632D746F6461792E75692D7374';
wwv_flow_api.g_varchar2_table(401) := '6174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D6974656D207B0D0A2020626F726465722D636F6C6F723A2023666166616661';
wwv_flow_api.g_varchar2_table(402) := '3B0D0A7D0D0A2E6663202E75692D627574746F6E3A6163746976652C0D0A2E6663202E75692D627574746F6E3A666F6375732C0D0A2E66632D766965773A6163746976652C0D0A2E66632D766965773A666F637573207B0D0A20206F75746C696E653A20';
wwv_flow_api.g_varchar2_table(403) := '31707820736F6C696420233035373263653B0D0A7D0D0A2E66632D766965772D636F6E7461696E6572203E202E66632D766965773A6163746976652C0D0A2E66632D766965772D636F6E7461696E6572203E202E66632D766965773A666F637573207B0D';
wwv_flow_api.g_varchar2_table(404) := '0A20206F75746C696E653A206E6F6E653B0D0A7D0D0A0D0A2E742D436172642D77726170207B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D43';
wwv_flow_api.g_varchar2_table(405) := '6172642D777261703A666F637573207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D436172642D69636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436172642D64657363207B0D';
wwv_flow_api.g_varchar2_table(406) := '0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436172642D696E666F2C0D0A2E742D436172642D7375627469746C65207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D436172642D7469746C65207B0D0A202063';
wwv_flow_api.g_varchar2_table(407) := '6F6C6F723A20233430343034303B0D0A7D0D0A2E742D436172642D636F6C6F7246696C6C2C0D0A2E742D436172642D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A0D0A2E742D436C6173736963';
wwv_flow_api.g_varchar2_table(408) := '43616C656E6461722D6D6F6E74685469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D646179436F6C756D6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236661';
wwv_flow_api.g_varchar2_table(409) := '666166613B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461';
wwv_flow_api.g_varchar2_table(410) := '79207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D696E616374697665202E742D436C617373696343616C656E6461722D64617465207B0D0A20206F70';
wwv_flow_api.g_varchar2_table(411) := '61636974793A202E353B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D7765656B656E642C0D0A2E742D436C617373696343616C656E6461722D6461792E69732D696E616374697665207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(412) := '642D636F6C6F723A20236663666366633B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D746F646179202E742D436C617373696343616C656E6461722D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(413) := '20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D64617465207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D436C617373696343616C656E646172';
wwv_flow_api.g_varchar2_table(414) := '2D6576656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6576656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C6173';
wwv_flow_api.g_varchar2_table(415) := '73696343616C656E6461722D6576656E742061207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C';
wwv_flow_api.g_varchar2_table(416) := '79202E742D436C617373696343616C656E6461722D74696D65436F6C2C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D74696D65436F6C207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(417) := '636F6C6F723A20236661666166613B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461794576656E74732C0D0A2E742D436C617373696343616C656E6461722D2D6461';
wwv_flow_api.g_varchar2_table(418) := '696C79202E742D436C617373696343616C656E6461722D6461794576656E7473207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E';
wwv_flow_api.g_varchar2_table(419) := '6461722D6461794576656E747320612C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D6461794576656E74732061207B0D0A20206261636B67726F756E642D636F6C6F723A202330';
wwv_flow_api.g_varchar2_table(420) := '35373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461792E69732D746F6461792C0D0A2E742D436C61737369';
wwv_flow_api.g_varchar2_table(421) := '6343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D6461792E69732D746F646179207B0D0A20206261636B67726F756E642D636F6C6F723A20236434656266653B0D0A7D0D0A2E742D436C617373696343616C656E';
wwv_flow_api.g_varchar2_table(422) := '6461722D6C697374207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973745469746C652C0D0A2E742D436C617373696343616C656E6461722D6C6973744576656E74';
wwv_flow_api.g_varchar2_table(423) := '207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973745469746C65207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(424) := '6F723A20233636363636363B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973744576656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E7473';
wwv_flow_api.g_varchar2_table(425) := '2D636F6D6D656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236565663466393B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D636F6D6D656E';
wwv_flow_api.g_varchar2_table(426) := '743A6166746572207B0D0A2020626F726465722D72696768742D636F6C6F723A20236565663466393B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D6974656D2E69732D616374697665202E742D436F6D6D656E';
wwv_flow_api.g_varchar2_table(427) := '74732D636F6D6D656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236363646565643B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D6974656D';
wwv_flow_api.g_varchar2_table(428) := '2E69732D616374697665202E742D436F6D6D656E74732D636F6D6D656E743A6166746572207B0D0A2020626F726465722D72696768742D636F6C6F723A20236363646565643B0D0A7D0D0A2E742D436F6D6D656E74732D2D6261736963202E742D436F6D';
wwv_flow_api.g_varchar2_table(429) := '6D656E74732D6974656D2E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662666266623B0D0A7D0D0A2E742D436F6D6D656E74732D6974656D2E69732D73797374656D4D657373616765207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(430) := '67726F756E642D636F6C6F723A20236462653766323B0D0A7D0D0A2E742D436F6D6D656E74732D696E666F207B0D0A2020636F6C6F723A20233561356135613B0D0A7D0D0A2E742D436F6D6D656E74732D636F6D6D656E74207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(431) := '20233030303030303B0D0A7D0D0A2E742D436F6E66696750616E656C2D61626F7574207B0D0A20206261636B67726F756E642D636F6C6F723A20236666663765303B0D0A2020636F6C6F723A20233536353635363B0D0A7D0D0A2E742D436F6E66696750';
wwv_flow_api.g_varchar2_table(432) := '616E656C2D69636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A20206261636B67726F756E642D636F6C6F723A20234130413041303B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D436F6E66696750616E656C';
wwv_flow_api.g_varchar2_table(433) := '2D69636F6E2E69732D656E61626C6564207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A2E742D436F6E66696750616E656C2D69636F6E2E69732D64697361626C6564207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(434) := '2D636F6C6F723A20236634343333363B0D0A7D0D0A2E742D436F6E66696750616E656C2D73657474696E672C0D0A2E742D436F6E66696750616E656C2D737461747573207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D436F6E66';
wwv_flow_api.g_varchar2_table(435) := '696750616E656C2D737461747573207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436F6E66696750616E656C2D617474724C696E6B207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D436F6E6669675061';
wwv_flow_api.g_varchar2_table(436) := '6E656C2D617474724C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E742D436F6E66696750616E656C2D6174747256616C7565207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(437) := '6F723A20233035366162663B0D0A7D0D0A2E742D4469616C6F67207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D4469616C6F67203A3A2D7765626B69742D7363726F6C6C6261722D7468756D62';
wwv_flow_api.g_varchar2_table(438) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A2E742D4469616C6F67203A3A2D7765626B69742D7363726F6C6C6261722D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(439) := '3A20236233623362333B0D0A7D0D0A2E742D4469616C6F673A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D466F6F7465722D746F';
wwv_flow_api.g_varchar2_table(440) := '70427574746F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D466F6F7465722D746F70427574746F6E3A666F637573207B0D0A2020626F782D7368';
wwv_flow_api.g_varchar2_table(441) := '61646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E65723A6265666F7265207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D';
wwv_flow_api.g_varchar2_table(442) := '2D74657874617265612C0D0A2E617065782D6974656D2D746578742C0D0A2E617065782D6974656D2D73656C656374207B0D0A2020636F6C6F723A20233339333933393B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A';
wwv_flow_api.g_varchar2_table(443) := '2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E617065782D6974656D2D74657874617265612E617065782D706167652D6974656D2D6572726F722C0D0A2E617065782D6974656D2D746578742E617065782D706167652D6974';
wwv_flow_api.g_varchar2_table(444) := '656D2D6572726F722C0D0A2E617065782D6974656D2D73656C6563742E617065782D706167652D6974656D2D6572726F72207B0D0A2020626F726465722D636F6C6F723A20236637373036363B0D0A7D0D0A2E617065782D6974656D2D74657874617265';
wwv_flow_api.g_varchar2_table(445) := '612E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C69642C0D0A2E617065782D6974656D2D746578742E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C69642C0D0A2E617065782D';
wwv_flow_api.g_varchar2_table(446) := '6974656D2D73656C6563742E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C6964207B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E';
wwv_flow_api.g_varchar2_table(447) := '65722D2D666C6F6174696E674C6162656C202E742D466F726D2D696E707574436F6E7461696E6572202E617065782D6974656D2D646973706C61792D6F6E6C79207B0D0A2020636F6C6F723A20233339333933393B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(448) := '636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A2020626F726465722D7374796C653A206461736865643B0D0A7D0D0A0D0A2E617065782D6974656D2D66696C652D64726F707A6F6E652D6C61';
wwv_flow_api.g_varchar2_table(449) := '62656C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20726762612835372C2035372C2035372C20302E37293B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D';
wwv_flow_api.g_varchar2_table(450) := '0A7D0D0A2E752D52544C202E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E617065782D6974656D2D66696C652D64726F707A';
wwv_flow_api.g_varchar2_table(451) := '6F6E652D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E617065782D6974656D2D66696C652D64';
wwv_flow_api.g_varchar2_table(452) := '726F707A6F6E652D69636F6E207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E617065782D6974656D2D66696C653A686F766572202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E';
wwv_flow_api.g_varchar2_table(453) := '617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A686F766572202B202E617065782D6974656D2D66696C652D64726F707A';
wwv_flow_api.g_varchar2_table(454) := '6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D';
wwv_flow_api.g_varchar2_table(455) := '66696C653A666F637573202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020';
wwv_flow_api.g_varchar2_table(456) := '636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A666F637573202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D69636F6E207B';
wwv_flow_api.g_varchar2_table(457) := '0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E617065782D6974656D2D74657874617265613A';
wwv_flow_api.g_varchar2_table(458) := '666F6375732C0D0A2E617065782D6974656D2D746578743A666F6375732C0D0A2E617065782D6974656D2D73656C6563743A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666662021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(459) := '2020626F726465722D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E617065782D6974656D2D74657874617265613A686F7665722C0D0A2E617065782D6974656D2D746578743A686F7665722C0D0A2E617065782D6974';
wwv_flow_api.g_varchar2_table(460) := '656D2D73656C6563743A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A3A2D7765626B69742D696E7075742D706C6163';
wwv_flow_api.g_varchar2_table(461) := '65686F6C646572207B0D0A2020636F6C6F723A20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A3A2D6D6F7A2D706C616365686F6C646572207B0D0A20';
wwv_flow_api.g_varchar2_table(462) := '20636F6C6F723A20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A2D6D732D696E7075742D706C616365686F6C646572207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(463) := '233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D20696E7075742E66696C65207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E6572207370616E';
wwv_flow_api.g_varchar2_table(464) := '2E646973706C61795F6F6E6C79207B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D73656C6563742C0D';
wwv_flow_api.g_varchar2_table(465) := '0A2E742D466F726D2D696E707574436F6E7461696E65722073656C6563742E73656C6563746C6973742C0D0A2E742D466F726D2D696E707574436F6E7461696E65722073656C6563742E7965735F6E6F207B0D0A2020636F6C6F723A2023333933393339';
wwv_flow_api.g_varchar2_table(466) := '3B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E742D466F726D2D6669656C642D2D726561644F6E6C79207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D46';
wwv_flow_api.g_varchar2_table(467) := '6F726D2D726164696F4C6162656C2C0D0A2E742D466F726D2D696E707574436F6E7461696E6572202E726164696F5F67726F7570206C6162656C2C0D0A2E742D466F726D2D636865636B626F784C6162656C2C0D0A2E742D466F726D2D696E707574436F';
wwv_flow_api.g_varchar2_table(468) := '6E7461696E6572202E636865636B626F785F67726F7570206C6162656C2C0D0A2E742D466F726D2D6C6162656C207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A2E742D466F726D2D6572726F72207B0D0A2020636F6C6F723A20236634';
wwv_flow_api.g_varchar2_table(469) := '343333363B0D0A7D0D0A2E742D466F726D2D706F737454657874207B0D0A2020636F6C6F723A20236363636363633B0D0A7D0D0A2E742D466F726D2D2D73656172636820696E7075742E742D466F726D2D7365617263684669656C64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(470) := '636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E612D427574746F6E2E612D427574746F6E2D2D63616C656E6461722C0D0A2E612D427574746F6E2E612D427574746F6E2D2D70';
wwv_flow_api.g_varchar2_table(471) := '6F7075704C4F56207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E612D427574746F6E2E612D427574746F6E2D2D63616C656E6461722C0D0A2E752D52544C202E612D427574746F6E2E';
wwv_flow_api.g_varchar2_table(472) := '612D427574746F6E2D2D706F7075704C4F56207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075742E686173446174657069636B65722C0D';
wwv_flow_api.g_varchar2_table(473) := '0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075742E706F7075705F6C6F76207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D696E707574436F6E';
wwv_flow_api.g_varchar2_table(474) := '7461696E657220696E7075742E686173446174657069636B65722C0D0A2E752D52544C202E742D466F726D2D696E707574436F6E7461696E657220696E7075742E706F7075705F6C6F76207B0D0A2020626F726465722D7261646975733A203020327078';
wwv_flow_api.g_varchar2_table(475) := '2032707820303B0D0A7D0D0A0D0A2E636865636B626F785F67726F757020696E7075742C0D0A2E726164696F5F67726F757020696E707574207B0D0A20200D0A20200D0A7D0D0A2E636865636B626F785F67726F757020696E707574202B206C6162656C';
wwv_flow_api.g_varchar2_table(476) := '3A6265666F72652C0D0A2E726164696F5F67726F757020696E707574202B206C6162656C3A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E636865636B626F785F67726F757020696E7075';
wwv_flow_api.g_varchar2_table(477) := '743A666F637573202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A666F637573202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A7D0D0A2E6368';
wwv_flow_api.g_varchar2_table(478) := '65636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F7265207B0D';
wwv_flow_api.g_varchar2_table(479) := '0A2020626F726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020626F782D736861646F773A20302030203020317078202366396639663920696E7365743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(480) := '2E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F72646572';
wwv_flow_api.g_varchar2_table(481) := '2D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E726164696F5F67726F757020696E707574202B206C6162656C3A6166746572207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(482) := '642D636F6C6F723A20236639663966393B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E707574207B0D0A20200D0A20200D0A7D0D';
wwv_flow_api.g_varchar2_table(483) := '0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E707574202B206C6162656C3A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(484) := '3A20236536653665363B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F75';
wwv_flow_api.g_varchar2_table(485) := '7020696E7075743A666F637573202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F75';
wwv_flow_api.g_varchar2_table(486) := '70202E636865636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(487) := '3A20236639663966393B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865';
wwv_flow_api.g_varchar2_table(488) := '636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6166746572207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F';
wwv_flow_api.g_varchar2_table(489) := '427574746F6E47726F7570202E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(490) := '6F6C6F723A20236639663966393B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6166';
wwv_flow_api.g_varchar2_table(491) := '746572207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D2D6974656D546578742D2D7072652C0D0A2E742D466F726D2D';
wwv_flow_api.g_varchar2_table(492) := '6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D2D6974656D546578742D2D706F7374207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F782D736861646F773A20';
wwv_flow_api.g_varchar2_table(493) := '302030203020302E3172656D202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D2D';
wwv_flow_api.g_varchar2_table(494) := '6974656D546578742D2D707265207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F';
wwv_flow_api.g_varchar2_table(495) := '726D2D6974656D546578742D2D707265207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D2D';
wwv_flow_api.g_varchar2_table(496) := '6974656D546578742D2D706F7374207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D';
wwv_flow_api.g_varchar2_table(497) := '466F726D2D6974656D546578742D2D706F7374207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A0D0A2E617065782D6974656D2D6861732D69636F6E3A666F637573202B202E617065782D6974656D2D6963';
wwv_flow_api.g_varchar2_table(498) := '6F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D69636F6E207B0D0A2020636F6C6F723A2023363636';
wwv_flow_api.g_varchar2_table(499) := '3636363B0D0A2020626F782D736861646F773A202D302E3172656D20302030202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D666965';
wwv_flow_api.g_varchar2_table(500) := '6C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D69636F6E207B0D0A2020626F782D736861646F773A20302E3172656D20302030202364666466646620696E7365743B0D0A2020626F726465722D72616469';
wwv_flow_api.g_varchar2_table(501) := '75733A2030203270782032707820303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D6861732D69636F6E3A666F637573202B202E617065782D6974656D2D6963';
wwv_flow_api.g_varchar2_table(502) := '6F6E207B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A0D0A2E742D466F726D2D68656C70427574746F6E3A666F637573202E612D49636F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D466F726D2D';
wwv_flow_api.g_varchar2_table(503) := '6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E742D466F726D2D6974656D57726170706572203E202E617065782D6974656D2D67726F7570203E202E617065782D6974656D2D6F7074696F6E3A66697273742D6F66';
wwv_flow_api.g_varchar2_table(504) := '2D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820327078203020303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E742D466F726D2D6974';
wwv_flow_api.g_varchar2_table(505) := '656D57726170706572203E202E617065782D6974656D2D67726F7570203E202E617065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2030203020327078203270783B';
wwv_flow_api.g_varchar2_table(506) := '0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E61706578';
wwv_flow_api.g_varchar2_table(507) := '2D6974656D2D6F7074696F6E3A66697273742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F42';
wwv_flow_api.g_varchar2_table(508) := '7574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020';
wwv_flow_api.g_varchar2_table(509) := '626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065';
wwv_flow_api.g_varchar2_table(510) := '782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D6F7074696F6E3A66697273742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D';
wwv_flow_api.g_varchar2_table(511) := '0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E6170';
wwv_flow_api.g_varchar2_table(512) := '65782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(513) := '6B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D4865616465722D6C6F676F2C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465722E69732D6163746976652C0D0A2E742D486561646572202E742D4275';
wwv_flow_api.g_varchar2_table(514) := '74746F6E2D2D686561646572207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4865616465722D6C6F676F3A686F7665722C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465722E69732D6163746976653A68';
wwv_flow_api.g_varchar2_table(515) := '6F7665722C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465723A686F766572207B0D0A2020746578742D6465636F726174696F6E3A206E6F6E653B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(516) := '6C6F723A20696E68657269743B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B3A666F6375732C0D0A2E742D4865616465722D6C6F676F2D6C696E6B3A6163746976653A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A';
wwv_flow_api.g_varchar2_table(517) := '2020626F782D736861646F773A20302030203020317078202332363939666120696E7365743B0D0A7D0D0A2E742D4865616465722D6E6176207B0D0A20206261636B67726F756E642D636F6C6F723A20233331333733633B0D0A7D0D0A2E742D48656164';
wwv_flow_api.g_varchar2_table(518) := '6572202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E75';
wwv_flow_api.g_varchar2_table(519) := '2D7375624D656E75436F6C202E612D49636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D486561646572202E612D4D656E752E612D4D656E752D2D746F70203E202E612D4D656E752D636F6E74656E74207B0D';
wwv_flow_api.g_varchar2_table(520) := '0A2020626F726465722D746F702D77696474683A20303B0D0A7D0D0A2E742D486561646572202E612D4D656E752D636F6E74656E74207B0D0A2020626F782D736861646F773A20302032707820367078207267626128302C20302C20302C20302E313529';
wwv_flow_api.g_varchar2_table(521) := '3B0D0A7D0D0A2E742D4865616465722D6E61762D6C697374207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4865726F526567696F6E2D69636F6E207B0D0A2020626F726465722D72616469';
wwv_flow_api.g_varchar2_table(522) := '75733A203470783B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4865726F526567696F6E2D7469746C65207B0D0A2020636F6C6F723A20233365336533';
wwv_flow_api.g_varchar2_table(523) := '653B0D0A7D0D0A2E742D4865726F526567696F6E2D636F6C2D2D636F6E74656E74207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A0D0A2E612D495252207B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(524) := '65722D636F6C6F723A207267626128302C20302C20302C20302E31293B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D495252202E612D4952522D706167696E6174696F6E2D6C6162656C207B0D0A2020';
wwv_flow_api.g_varchar2_table(525) := '636F6C6F723A20233733373337333B0D0A7D0D0A2E612D4952522D7265706F727453756D6D6172792D76616C7565207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D4952522D636F6E74726F6C73436F6E7461696E6572207B0D0A';
wwv_flow_api.g_varchar2_table(526) := '2020626F726465722D746F702D636F6C6F723A20236635663566353B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A2E612D4952522D66756C6C56696577207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(527) := '3A20236666666666663B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D627574746F6E2D2D636F6E74726F6C73207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E612D4952522D74';
wwv_flow_api.g_varchar2_table(528) := '6F6F6C626172207B0D0A20206261636B67726F756E643A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A2E612D5265706F72742D70657263656E7443686172742D66696C6C207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(529) := '67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E612D5265706F72742D70657263656E744368617274207B0D0A20206261636B67726F756E642D636F6C6F723A20236434656266653B0D0A7D0D0A2E612D4952522D627574746F6E2D';
wwv_flow_api.g_varchar2_table(530) := '2D636F6C536561726368207B0D0A20202D7765626B69742D626F726465722D746F702D72696768742D7261646975733A203070782021696D706F7274616E743B0D0A20202D7765626B69742D626F726465722D626F74746F6D2D72696768742D72616469';
wwv_flow_api.g_varchar2_table(531) := '75733A203070782021696D706F7274616E743B0D0A20202D6D6F7A2D626F726465722D7261646975732D746F7072696768743A20307078202021696D706F7274616E743B0D0A20202D6D6F7A2D626F726465722D7261646975732D626F74746F6D726967';
wwv_flow_api.g_varchar2_table(532) := '68743A203070782021696D706F7274616E743B0D0A2020626F726465722D746F702D72696768742D7261646975733A203070782021696D706F7274616E743B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203070782021';
wwv_flow_api.g_varchar2_table(533) := '696D706F7274616E743B0D0A7D0D0A2E612D4952522D69636F6E566965775461626C652C0D0A2E612D4952522D6368617274566965772C0D0A2E612D4952522D7069766F74566965772C0D0A2E612D4952522D67726F75704279566965772C0D0A2E612D';
wwv_flow_api.g_varchar2_table(534) := '4952522D64657461696C56696577207B0D0A2020626F726465722D746F702D636F6C6F723A20236635663566353B0D0A7D0D0A2E612D4952522D746F6F6C6261722D2D73696E676C65526F77207B0D0A2020626F726465722D626F74746F6D2D636F6C6F';
wwv_flow_api.g_varchar2_table(535) := '723A20236630663066303B0D0A7D0D0A2E612D4952522D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020626F726465722D746F703A2031707820736F6C696420236536653665363B0D0A202062';
wwv_flow_api.g_varchar2_table(536) := '6F782D736861646F773A20696E7365742031707820302030203020236536653665363B0D0A7D0D0A2E612D4952522D6865616465723A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E612D49';
wwv_flow_api.g_varchar2_table(537) := '52522D6865616465722E69732D6163746976652061207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E612D4952522D6865616465722E69732D616374697665202E612D4952522D686561646572536F7274207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(538) := '20696E68657269743B0D0A7D0D0A2E612D4952522D6865616465722E69732D6163746976652C0D0A2E612D47562D6865616465722E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233230323032303B0D0A2020636F';
wwv_flow_api.g_varchar2_table(539) := '6C6F723A20234646463B0D0A7D0D0A2E612D4952522D6865616465722D2D67726F7570207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A2E612D4952522D7461626C65207472207464207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(540) := '67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D4952522D7461626C65207B0D0A2020626F726465722D636F6C6C617073653A2073657061726174653B0D0A7D0D0A2E612D4952';
wwv_flow_api.g_varchar2_table(541) := '522D7461626C652074723A686F766572207464207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E742D4952522D726567696F6E2D2D6E6F426F7264657273202E612D495252207B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(542) := '7261646975733A203270783B0D0A7D0D0A2E612D4952522D7461626C65207464207B0D0A2020626F726465722D6C6566743A2031707820736F6C696420236632663266323B0D0A2020626F726465722D746F703A2031707820736F6C6964202366326632';
wwv_flow_api.g_varchar2_table(543) := '66323B0D0A7D0D0A2E612D4952522D6865616465724C696E6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D7365617263682D6669656C643A666F';
wwv_flow_api.g_varchar2_table(544) := '637573207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020626F782D736861646F773A202D31707820302030202330353732636520696E7365742C2031707820302030202330353732636520696E7365743B0D0A7D0D0A2E61';
wwv_flow_api.g_varchar2_table(545) := '2D4952522D73696E676C65526F772D6E616D652C0D0A2E612D4952522D73696E676C65526F772D76616C7565207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A20236630663066303B0D0A2020636F6C6F723A20233430343034303B0D0A';
wwv_flow_api.g_varchar2_table(546) := '7D0D0A2E612D4952522D73696E676C65526F772D76616C7565207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4952522D73696E676C65526F772D726F773A686F766572202E612D4952522D73696E67';
wwv_flow_api.g_varchar2_table(547) := '6C65526F772D76616C7565207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E612D4952522D73696E676C65526F772D6E616D65207B0D0A20206261636B67726F756E642D636F6C6F723A2023663766376637';
wwv_flow_api.g_varchar2_table(548) := '3B0D0A7D0D0A2E612D4952522D73696E676C65526F772D726F773A686F766572202E612D4952522D73696E676C65526F772D6E616D65207B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066303B0D0A7D0D0A2E612D4952522D6275';
wwv_flow_api.g_varchar2_table(549) := '74746F6E2E612D4952522D627574746F6E2D2D706167696E6174696F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E612D4952522D7265706F727453756D6D6172792D6C6162656C2C0D';
wwv_flow_api.g_varchar2_table(550) := '0A2E612D4952522D636F6E74726F6C734C6162656C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A2037363970782920';
wwv_flow_api.g_varchar2_table(551) := '7B0D0A20202E69732D6D6178696D697A65642E742D4952522D726567696F6E202E742D6668742D7468656164202E612D4952522D686561646572207B0D0A20202020626F726465722D626F74746F6D3A2031707820736F6C696420236536653665363B0D';
wwv_flow_api.g_varchar2_table(552) := '0A20207D0D0A7D0D0A2E75692D7769646765742D636F6E74656E74202E612D4952522D69636F6E4C6973742D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D';
wwv_flow_api.g_varchar2_table(553) := '0A7D0D0A2E612D4952522D69636F6E4C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A0D0A2E612D4952522D627574746F6E3A666F637573207B0D0A2020626F782D7368';
wwv_flow_api.g_varchar2_table(554) := '61646F773A20696E68657269743B0D0A7D0D0A0D0A2E612D4952522D736F7274576964676574207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612833322C2033322C2033322C20302E3935293B0D0A20202D7765626B69742D626163';
wwv_flow_api.g_varchar2_table(555) := '6B64726F702D66696C7465723A20626C757228347078293B0D0A2020636F6C6F723A20234646463B0D0A2020626F726465722D77696474683A20303B0D0A2020626F782D736861646F773A20302032707820347078202D327078207267626128302C2030';
wwv_flow_api.g_varchar2_table(556) := '2C20302C20302E35292C2030203870782031367078202D347078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C626172207B0D0A20207769647468';
wwv_flow_api.g_varchar2_table(557) := '3A203870783B0D0A20206865696768743A203870783B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612832';
wwv_flow_api.g_varchar2_table(558) := '35352C203235352C203235352C20302E35293B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C';
wwv_flow_api.g_varchar2_table(559) := '203235352C203235352C20302E3235293B0D0A7D0D0A0D0A2E612D4952522D736F72745769646765742D68656C70207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A0D0A2E612D4952522D736F7274';
wwv_flow_api.g_varchar2_table(560) := '5769646765742D616374696F6E73207B0D0A202070616464696E673A203870783B0D0A2020626F726465722D7261646975733A203270783B0D0A202077696474683A206175746F3B0D0A2020626F726465722D626F74746F6D2D77696474683A20303B0D';
wwv_flow_api.g_varchar2_table(561) := '0A7D0D0A2E612D4952522D736F72745769646765742D616374696F6E732D6974656D207B0D0A2020626F726465722D72696768742D77696474683A20303B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D6275';
wwv_flow_api.g_varchar2_table(562) := '74746F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20234646463B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4952522D627574746F6E2E612D';
wwv_flow_api.g_varchar2_table(563) := '4952522D736F72745769646765742D627574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35293B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F727457';
wwv_flow_api.g_varchar2_table(564) := '69646765742D627574746F6E3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D62757474';
wwv_flow_api.g_varchar2_table(565) := '6F6E2E69732D6163746976652C0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D627574746F6E3A6163746976653A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20';
wwv_flow_api.g_varchar2_table(566) := '302C20302E35293B0D0A7D0D0A2E612D4952522D736F72745769646765742D7365617263684C6162656C207B0D0A20206865696768743A20343070783B0D0A202070616464696E673A2031327078203870783B0D0A7D0D0A2E612D4952522D736F727457';
wwv_flow_api.g_varchar2_table(567) := '69646765742D7365617263684C6162656C3A6265666F7265207B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D736F72745769646765742D736561726368203E202E612D4952522D736F72745769646765742D7365617263684669';
wwv_flow_api.g_varchar2_table(568) := '656C645B747970653D2274657874225D207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020617070656172616E63653A206E6F6E653B0D0A20206261636B67726F756E642D636F6C6F723A207267626128';
wwv_flow_api.g_varchar2_table(569) := '3235352C203235352C203235352C20302E31293B0D0A20206865696768743A20343070783B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D736F72745769646765742D736561726368203E202E612D4952522D736F727457696467';
wwv_flow_api.g_varchar2_table(570) := '65742D7365617263684669656C645B747970653D2274657874225D3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F';
wwv_flow_api.g_varchar2_table(571) := '7773207B0D0A2020626F726465722D746F702D77696474683A20303B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F77207B0D0A2020636F6C6F723A20234646463B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E61';
wwv_flow_api.g_varchar2_table(572) := '2D4952522D736F72745769646765742D726F773A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3135293B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F';
wwv_flow_api.g_varchar2_table(573) := '773A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4947202E612D4952522D736F72745769646765743A6265666F7265207B0D0A2020636F6C6F723A20726762';
wwv_flow_api.g_varchar2_table(574) := '612833322C2033322C2033322C20302E3935293B0D0A7D0D0A2E6F6A2D6476742D63617465676F727931207B0D0A2020636F6C6F723A20233330396664623B0D0A7D0D0A2E6F6A2D6476742D63617465676F727932207B0D0A2020636F6C6F723A202333';
wwv_flow_api.g_varchar2_table(575) := '63616638353B0D0A7D0D0A2E6F6A2D6476742D63617465676F727933207B0D0A2020636F6C6F723A20236662636534613B0D0A7D0D0A2E6F6A2D6476742D63617465676F727934207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A2E6F6A';
wwv_flow_api.g_varchar2_table(576) := '2D6476742D63617465676F727935207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A2E6F6A2D6476742D63617465676F727936207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A2E6F6A2D6476742D63617465676F727937';
wwv_flow_api.g_varchar2_table(577) := '207B0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A2E6F6A2D6476742D63617465676F727938207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A2E6F6A2D6476742D63617465676F727939207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(578) := '3133623663663B0D0A7D0D0A2E6F6A2D6476742D63617465676F72793130207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A2E6F6A2D6476742D63617465676F72793131207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(579) := '2E6F6A2D6476742D63617465676F72793132207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D6974656D2C0D0A2E742D4C696E6B734C6973742D6C696E6B207B0D0A2020626F726465722D636F6C6F';
wwv_flow_api.g_varchar2_table(580) := '723A20236536653665363B0D0A7D0D0A2E742D4C696E6B734C6973742D69636F6E207B0D0A2020636F6C6F723A20236439643964393B0D0A7D0D0A2E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(581) := '6F6C6F723A20236632663266323B0D0A7D0D0A2E742D4C696E6B734C6973742D6C696E6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A0D0A2E742D4C696E6B734C';
wwv_flow_api.g_varchar2_table(582) := '6973742D2D73686F774172726F77202E742D4C696E6B734C6973742D6C696E6B3A6265666F7265207B0D0A2020636F6C6F723A20236439643964393B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C';
wwv_flow_api.g_varchar2_table(583) := '6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973';
wwv_flow_api.g_varchar2_table(584) := '742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236562656265623B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B73';
wwv_flow_api.g_varchar2_table(585) := '4C6973742D6974656D2E69732D657870616E646564203E202E742D4C696E6B734C6973742D6C696E6B202E742D4C696E6B734C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A0D0A2E';
wwv_flow_api.g_varchar2_table(586) := '742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A686F7665723A6265666F7265207B0D0A2020636F6C6F723A207267';
wwv_flow_api.g_varchar2_table(587) := '6261283235352C203235352C203235352C20302E35293B0D0A7D0D0A2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(588) := '20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D69636F6E';
wwv_flow_api.g_varchar2_table(589) := '207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20234643';
wwv_flow_api.g_varchar2_table(590) := '464346433B0D0A20206261636B67726F756E643A206C696E6561722D6772616469656E74287267626128302C20302C20302C20302E303135292C207267626128302C20302C20302C203029292C206C696E6561722D6772616469656E7428726762612830';
wwv_flow_api.g_varchar2_table(591) := '2C20302C20302C2030292C207267626128302C20302C20302C20302E30313529293B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A686F7665723A6265666F726520';
wwv_flow_api.g_varchar2_table(592) := '7B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A6265666F7265207B0D0A2020636F6C6F723A207267626128302C20';
wwv_flow_api.g_varchar2_table(593) := '302C20302C20302E3235293B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973742D6261646765207B0D0A2020626F726465722D7261646975733A203470783B0D0A7D0D0A2E742D4C696E6B734C6973';
wwv_flow_api.g_varchar2_table(594) := '742D2D69636F6E4F6E6C79202E742D4C696E6B734C6973742D69636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C6162656C';
wwv_flow_api.g_varchar2_table(595) := '207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D69636F6E207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D4C696E6B734C';
wwv_flow_api.g_varchar2_table(596) := '6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D69636F6E2C0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F76';
wwv_flow_api.g_varchar2_table(597) := '6572202E742D4C696E6B734C6973742D6C6162656C2C0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D6261646765207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(598) := '20233365336533653B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236563656365633B0D0A7D0D0A0D0A2E742D4C6F67696E';
wwv_flow_api.g_varchar2_table(599) := '2D69636F6E56616C69646174696F6E207B0D0A20206261636B67726F756E643A20233362616132633B0D0A2020636F6C6F723A2077686974653B0D0A7D0D0A626F6479202E742D4C6F67696E2D7469746C65207B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(600) := '34303B0D0A7D0D0A2E742D4C6F67696E2D726567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4C6F67696E2D6C6F676F207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A40';
wwv_flow_api.g_varchar2_table(601) := '6D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A20202E742D50616765426F64792D2D6C6F67696E2C0D0A20202E742D50616765426F64792D2D6C6F67696E202E742D426F6479207B0D0A20';
wwv_flow_api.g_varchar2_table(602) := '2020206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A20207D0D0A7D0D0A0D0A2E742D4D656469614C697374207B0D0A2020626F726465722D636F6C6F723A20236530653065303B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(603) := '723A20236666666666663B0D0A7D0D0A2E742D4D656469614C6973742D6974656D207B0D0A2020626F726465722D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D4D656469614C6973742D6974656D2E69732D616374697665207B0D0A202062';
wwv_flow_api.g_varchar2_table(604) := '61636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E742D4D656469614C6973742D2D686F72697A6F6E74616C202E742D4D656469614C6973742D6974656D207B0D0A2020626F726465722D726967';
wwv_flow_api.g_varchar2_table(605) := '68743A2031707820736F6C696420236530653065303B0D0A7D0D0A0D0A612E742D4D656469614C6973742D6974656D57726170207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A612E742D4D656469614C6973742D6974656D577261703A';
wwv_flow_api.g_varchar2_table(606) := '686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A612E742D4D656469614C6973742D6974656D577261703A666F637573207B0D0A2020626F782D73';
wwv_flow_api.g_varchar2_table(607) := '6861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D4D656469614C6973742D6974656D57726170207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4D656469614C6973742D62616467';
wwv_flow_api.g_varchar2_table(608) := '652C0D0A2E742D4D656469614C6973742D64657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D4D656469614C6973742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A2020';
wwv_flow_api.g_varchar2_table(609) := '636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4D656469614C6973742D2D636F6C73207B0D0A2020626F782D736861646F773A202D317078202D31707820302030202365306530653020696E7365743B0D0A7D0D0A2E742D4D656469614C6973';
wwv_flow_api.g_varchar2_table(610) := '742D2D636F6C73202E742D4D656469614C6973742D6974656D3A6265666F72652C0D0A2E742D4D656469614C6973742D2D636F6C73202E742D4D656469614C6973742D6974656D3A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(611) := '20236536653665363B0D0A7D0D0A0D0A2E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236666666666663B0D0A20206C696E652D6865696768743A20323070783B0D0A7D0D0A2E612D4D656E754261722D6974656D203E202E61';
wwv_flow_api.g_varchar2_table(612) := '2D4D656E752D7375624D656E75436F6C207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202070616464696E673A2038707820303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206D617267696E2D7269';
wwv_flow_api.g_varchar2_table(613) := '6768743A203870783B0D0A20206D617267696E2D6C6566743A202D3470783B0D0A7D0D0A2E612D4D656E754261722D6974656D207B0D0A20206261636B67726F756E643A20233035373263653B0D0A2020626F726465722D72696768743A203170782073';
wwv_flow_api.g_varchar2_table(614) := '6F6C696420233064386466393B0D0A2020626F726465722D6C6566743A2031707820736F6C696420233064386466393B0D0A20206D617267696E2D6C6566743A202D3170783B0D0A7D0D0A2E612D4D656E754261722D6974656D3A66697273742D636869';
wwv_flow_api.g_varchar2_table(615) := '6C64207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E612D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E754261722E752D52544C202E61';
wwv_flow_api.g_varchar2_table(616) := '2D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020626F726465723A206E6F6E653B0D0A20206D617267696E2D72696768743A20303B0D0A202070616464696E673A20';
wwv_flow_api.g_varchar2_table(617) := '3870782038707820387078203470783B0D0A7D0D0A2E612D4D656E754261722D6974656D2E69732D64697361626C6564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E';
wwv_flow_api.g_varchar2_table(618) := '35293B0D0A7D0D0A2E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233064386466393B0D0A7D0D0A2E612D4D656E754261722D6974656D2E69732D657870616E646564207B0D0A202062';
wwv_flow_api.g_varchar2_table(619) := '61636B67726F756E642D636F6C6F723A20233064386466393B0D0A7D0D0A0D0A2E742D4D656E752D6261646765207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020626F726465722D7261646975733A203270783B0D0A2020';
wwv_flow_api.g_varchar2_table(620) := '70616464696E673A2030203670783B0D0A2020666F6E742D73697A653A20313170783B0D0A2020666F6E742D7765696768743A206E6F726D616C3B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(621) := '6C6F723A207267626128302C20302C20302C20302E3235293B0D0A7D0D0A2E612D4D656E752D6C6162656C436F6E7461696E6572202E742D4D656E752D6261646765207B0D0A20206C696E652D6865696768743A20313670783B0D0A20206D617267696E';
wwv_flow_api.g_varchar2_table(622) := '2D6C6566743A203470783B0D0A20206D617267696E2D746F703A203870783B0D0A7D0D0A0D0A2E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D69';
wwv_flow_api.g_varchar2_table(623) := '74656D207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E612D4D656E752D68536570617261746F72207B0D0A2020626F726465722D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E612D4D656E752D';
wwv_flow_api.g_varchar2_table(624) := '2D63757272656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20233366613466613B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(625) := '6F756E642D636F6C6F723A20236664666466643B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75';
wwv_flow_api.g_varchar2_table(626) := '436F6C207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363';
wwv_flow_api.g_varchar2_table(627) := '656C207B0D0A2020636F6C6F723A20233765376537653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A2020';
wwv_flow_api.g_varchar2_table(628) := '6261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E61';
wwv_flow_api.g_varchar2_table(629) := '2D4D656E752D737461747573436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D737461747573436F6C2C0D0A2E612D4D656E75202E612D4D65';
wwv_flow_api.g_varchar2_table(630) := '6E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D69';
wwv_flow_api.g_varchar2_table(631) := '6E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C2C0D0A2E612D4D656E75202E61';
wwv_flow_api.g_varchar2_table(632) := '2D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D616363656C20';
wwv_flow_api.g_varchar2_table(633) := '7B0D0A2020636F6C6F723A20726762612836322C2036322C2036322C20302E3735293B0D0A7D0D0A2E612D4D656E752D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235332C203235332C203235332C2030';
wwv_flow_api.g_varchar2_table(634) := '2E3935293B0D0A2020626F726465722D636F6C6F723A20236534653465343B0D0A2020626F782D736861646F773A20302031707820327078207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E612D4D656E75426172207B0D0A20206261';
wwv_flow_api.g_varchar2_table(635) := '636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4865616465722D6E61762D6C6973742C0D0A2E742D486561646572202E612D4D656E75426172207B0D0A20206261636B67726F756E642D636F6C6F723A202330';
wwv_flow_api.g_varchar2_table(636) := '35373263653B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233333333333333B0D0A20206C696E652D6865696768743A2032';
wwv_flow_api.g_varchar2_table(637) := '3070783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202070616464696E673A2038707820';
wwv_flow_api.g_varchar2_table(638) := '303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206D617267696E2D72696768743A203870783B0D0A20206D617267696E2D6C6566743A202D3470783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D';
wwv_flow_api.g_varchar2_table(639) := '207B0D0A20206261636B67726F756E643A20236632663266323B0D0A2020626F726465722D72696768743A2031707820736F6C696420236439643964393B0D0A2020626F726465722D6C6566743A2031707820736F6C696420236439643964393B0D0A20';
wwv_flow_api.g_varchar2_table(640) := '206D617267696E2D6C6566743A202D3170783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D3A66697273742D6368696C64207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E742D526567696F6E202E612D';
wwv_flow_api.g_varchar2_table(641) := '4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F6E202E612D4D656E754261722E752D52544C202E612D4D656E754261722D6974656D2E612D4D656E752D';
wwv_flow_api.g_varchar2_table(642) := '2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020626F726465723A206E6F6E653B0D0A20206D617267696E2D72696768743A20303B0D0A202070616464696E673A203870782038707820387078203470783B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(643) := '2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D64697361626C6564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20726762612835312C2035312C2035312C20302E35293B0D0A7D0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(644) := '696F6E202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236439643964393B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E64656420';
wwv_flow_api.g_varchar2_table(645) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20236439643964393B0D0A7D0D0A2E742D526567696F6E202E742D4D656E752D6261646765207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020626F726465722D7261';
wwv_flow_api.g_varchar2_table(646) := '646975733A203270783B0D0A202070616464696E673A2030203670783B0D0A2020666F6E742D73697A653A20313170783B0D0A2020666F6E742D7765696768743A206E6F726D616C3B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20';
wwv_flow_api.g_varchar2_table(647) := '206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A7D0D0A2E612D4D656E752D6C6162656C436F6E7461696E6572202E742D526567696F6E202E742D4D656E752D6261646765207B0D0A20206C696E65';
wwv_flow_api.g_varchar2_table(648) := '2D6865696768743A20313670783B0D0A20206D617267696E2D6C6566743A203470783B0D0A20206D617267696E2D746F703A203870783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261';
wwv_flow_api.g_varchar2_table(649) := '646975733A203270783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D68536570617261746F7220';
wwv_flow_api.g_varchar2_table(650) := '7B0D0A2020626F726465722D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D2D63757272656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662';
wwv_flow_api.g_varchar2_table(651) := '663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(652) := '526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C207B0D0A2020636F6C6F723A202334';
wwv_flow_api.g_varchar2_table(653) := '30343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020';
wwv_flow_api.g_varchar2_table(654) := '636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D6578';
wwv_flow_api.g_varchar2_table(655) := '70616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A2020636F6C6F723A20233333333333333B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375';
wwv_flow_api.g_varchar2_table(656) := '736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D737461747573436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E';
wwv_flow_api.g_varchar2_table(657) := '612D4D656E752D737461747573436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E74';
wwv_flow_api.g_varchar2_table(658) := '2D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D';
wwv_flow_api.g_varchar2_table(659) := '656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D';
wwv_flow_api.g_varchar2_table(660) := '4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20233333333333333B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836';
wwv_flow_api.g_varchar2_table(661) := '342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20';
wwv_flow_api.g_varchar2_table(662) := '20626F726465722D636F6C6F723A20236536653665363B0D0A2020626F782D736861646F773A20302031707820327078207267626128302C20302C20302C20302E3035293B0D0A7D0D0A0D0A2E742D486561646572207B0D0A20200D0A20200D0A20200D';
wwv_flow_api.g_varchar2_table(663) := '0A20200D0A20200D0A20200D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236664666466643B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D4865616465';
wwv_flow_api.g_varchar2_table(664) := '72202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D486561646572202E612D';
wwv_flow_api.g_varchar2_table(665) := '4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233034363462352021696D706F7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D';
wwv_flow_api.g_varchar2_table(666) := '63757272656E742C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20233034363462352021696D706F72';
wwv_flow_api.g_varchar2_table(667) := '74616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E754261722D6C6162656C2C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D';
wwv_flow_api.g_varchar2_table(668) := '656E752D2D63757272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236664666466642021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(669) := '742D486561646572202E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261';
wwv_flow_api.g_varchar2_table(670) := '636B67726F756E642D636F6C6F723A20233034363462352021696D706F7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020';
wwv_flow_api.g_varchar2_table(671) := '636F6C6F723A2072676261283235332C203235332C203235332C20302E38293B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D486561646572202E612D';
wwv_flow_api.g_varchar2_table(672) := '4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E2C0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E';
wwv_flow_api.g_varchar2_table(673) := '612D4D656E752D7375624D656E75436F6C3A686F766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233064386466393B0D0A2020626F726465722D636F6C6F723A20233064386466393B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(674) := '236666666666663B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A2023323639';
wwv_flow_api.g_varchar2_table(675) := '3966613B0D0A2020626F726465722D636F6C6F723A20233236393966613B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D73';
wwv_flow_api.g_varchar2_table(676) := '75624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466643B0D0A2020626F726465722D636F6C6F723A20236664666466643B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(677) := '742D486561646572202E612D4D656E754261722D6974656D2E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233761633166633B0D0A20';
wwv_flow_api.g_varchar2_table(678) := '20626F726465722D636F6C6F723A20233761633166633B0D0A2020636F6C6F723A20233032326435323B0D0A7D0D0A2E742D486561646572202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261';
wwv_flow_api.g_varchar2_table(679) := '636B67726F756E642D636F6C6F723A20233034363462353B0D0A7D0D0A2E742D486561646572202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20236664666466643B0D0A7D0D0A2E742D486561646572202E612D4D65';
wwv_flow_api.g_varchar2_table(680) := '6E752D616363656C207B0D0A2020636F6C6F723A2072676261283235332C203235332C203235332C20302E3735293B0D0A7D0D0A2E742D486561646572202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D48';
wwv_flow_api.g_varchar2_table(681) := '6561646572202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20233034353639632021696D706F7274616E743B0D0A7D0D0A2E742D426F6479207B0D0A20200D';
wwv_flow_api.g_varchar2_table(682) := '0A20200D0A20200D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233365336533653B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(683) := '2D426F6479202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D426F6479202E612D';
wwv_flow_api.g_varchar2_table(684) := '4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465342021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D6375';
wwv_flow_api.g_varchar2_table(685) := '7272656E742C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465342021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(686) := '3B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E754261722D6C6162656C2C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D637572';
wwv_flow_api.g_varchar2_table(687) := '72656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233365336533652021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D426F6479202E';
wwv_flow_api.g_varchar2_table(688) := '612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(689) := '6F723A20236534653465342021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A2072676261283632';
wwv_flow_api.g_varchar2_table(690) := '2C2036322C2036322C20302E38293B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E75';
wwv_flow_api.g_varchar2_table(691) := '2D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E2C0D0A2E742D426F6479202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C3A686F76';
wwv_flow_api.g_varchar2_table(692) := '6572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236264626462643B0D0A2020626F726465722D636F6C6F723A20236264626462643B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D426F647920';
wwv_flow_api.g_varchar2_table(693) := '2E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(694) := '6666666666663B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261';
wwv_flow_api.g_varchar2_table(695) := '636B67726F756E642D636F6C6F723A20233365336533653B0D0A2020626F726465722D636F6C6F723A20233365336533653B0D0A2020636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E6973';
wwv_flow_api.g_varchar2_table(696) := '2D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020';
wwv_flow_api.g_varchar2_table(697) := '636F6C6F723A20236534653465343B0D0A7D0D0A2E742D426F6479202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465343B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(698) := '2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836322C2036322C';
wwv_flow_api.g_varchar2_table(699) := '2036322C20302E3735293B0D0A7D0D0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B';
wwv_flow_api.g_varchar2_table(700) := '0D0A20206261636B67726F756E642D636F6C6F723A20236630663066302021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E75426172203E20756C207B0D0A20206261636B67726F756E642D636F6C6F723A2023653665366536';
wwv_flow_api.g_varchar2_table(701) := '3B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D207B0D0A2020626F726465722D636F6C6F723A20236534653465343B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D666F6375736564207B0D0A';
wwv_flow_api.g_varchar2_table(702) := '2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A20200D0A20200D0A20200D0A20200D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(703) := '723A20233430343034303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(704) := '6567696F6E202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A2023653665366536202169';
wwv_flow_api.g_varchar2_table(705) := '6D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E';
wwv_flow_api.g_varchar2_table(706) := '69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E7420';
wwv_flow_api.g_varchar2_table(707) := '2E612D4D656E754261722D6C6162656C2C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(708) := '20233430343034302021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D526567696F6E202E612D';
wwv_flow_api.g_varchar2_table(709) := '4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E61';
wwv_flow_api.g_varchar2_table(710) := '2D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E38293B0D0A2020626F726465722D636F6C6F723A202366666666';
wwv_flow_api.g_varchar2_table(711) := '66663B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D65';
wwv_flow_api.g_varchar2_table(712) := '6E75436F6C202E612D49636F6E2C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C3A686F766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(713) := '236266626662663B0D0A2020626F726465722D636F6C6F723A20236266626662663B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E7420';
wwv_flow_api.g_varchar2_table(714) := '3E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75426172';
wwv_flow_api.g_varchar2_table(715) := '2D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233430343034303B0D0A2020626F';
wwv_flow_api.g_varchar2_table(716) := '726465722D636F6C6F723A20233430343034303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E646564203E202E612D4D656E752D7375624D656E7543';
wwv_flow_api.g_varchar2_table(717) := '6F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(718) := '6E202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(719) := '6974656D207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(720) := '696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(721) := '6F723A20236632663266322021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75426172203E20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E20';
wwv_flow_api.g_varchar2_table(722) := '2E612D4D656E754261722D6974656D207B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D666F6375736564207B0D0A2020626F782D736861646F77';
wwv_flow_api.g_varchar2_table(723) := '3A206E6F6E653B0D0A7D0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20233438353135383B0D0A';
wwv_flow_api.g_varchar2_table(724) := '7D0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(725) := '6B67726F756E642D636F6C6F723A20233363343434612021696D706F7274616E743B0D0A7D0D0A2E742D4865616465722D757365724D656E752E612D4D656E75202E612D4D656E752D6974656D202E612D4D656E752D6C6162656C207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(726) := '6F723A20236666666666663B0D0A7D0D0A2E742D4E617654616273207B0D0A20206261636B67726F756E642D636F6C6F723A20233331333733633B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D7468756D6220';
wwv_flow_api.g_varchar2_table(727) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20233231323532383B0D0A2020626F782D736861646F773A20696E7365742031707820302030203020233331333733633B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F';
wwv_flow_api.g_varchar2_table(728) := '6C6C6261722D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233363343434613B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(729) := '726F756E643A20233331333733633B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D747261636B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233533356536363B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(730) := '2D4E6176546162732D6974656D207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20233363343434613B0D0A7D0D0A2E742D4E6176546162732D6974656D3A686F7665722C0D0A2E742D4E6176546162732D';
wwv_flow_api.g_varchar2_table(731) := '6974656D2E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233161316432303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4E6176546162732D6261646765207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(732) := '6E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233161316432303B0D0A7D0D0A0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D726164697573';
wwv_flow_api.g_varchar2_table(733) := '3A2030203020327078203270783B0D0A20206261636B67726F756E642D636F6C6F723A20233033343938333B0D0A2020626F726465722D77696474683A20303B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D69';
wwv_flow_api.g_varchar2_table(734) := '74656D2E69732D666F63757365642C0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20233034363462352021696D706F';
wwv_flow_api.g_varchar2_table(735) := '7274616E743B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D6C6162656C2C0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D';
wwv_flow_api.g_varchar2_table(736) := '4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D6C6162656C207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D';
wwv_flow_api.g_varchar2_table(737) := '656E752D6974656D202E612D4D656E752D6C6162656C2C0D0A2E742D4E617669676174696F6E4261722D6D656E752E612D4D656E75202E612D4D656E752D6974656D20612C0D0A2E742D4E617669676174696F6E4261722D6D656E752E612D4D656E7520';
wwv_flow_api.g_varchar2_table(738) := '2E612D4D656E752D6974656D202E612D4D656E752D737461747573436F6C207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A0D0A2E742D506F7075704C4F562D6C696E6B7320613A686F766572207B0D0A2020';
wwv_flow_api.g_varchar2_table(739) := '6261636B67726F756E642D636F6C6F723A20233035366162663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742074723A686F766572207464207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(740) := '2D636F6C6F723A20234543463246422021696D706F7274616E743B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742074723A6E74682D6368696C6428326E29207464207B0D0A20206261636B67726F756E642D636F6C6F723A202346';
wwv_flow_api.g_varchar2_table(741) := '41464146413B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742D6C696E6B2C0D0A2E75692D7769646765742D636F6E74656E7420612E742D506F7075704C4F562D726573756C74735365742D6C696E6B207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(742) := '20233035366162663B0D0A7D0D0A2E742D506167652D2D706F7075704C4F56207B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A2E742D506F7075704C4F562D616374696F6E73207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(743) := '2D636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D506F7075704C4F562D';
wwv_flow_api.g_varchar2_table(744) := '6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E';
wwv_flow_api.g_varchar2_table(745) := '202E742D506F7075704C4F562D6C696E6B7320612C0D0A2E742D427574746F6E526567696F6E202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D506F7075704C4F562D6C696E6B';
wwv_flow_api.g_varchar2_table(746) := '7320613A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233036383566313B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E742D506F7075704C4F562D706167696E6174696F6E207B0D0A20';
wwv_flow_api.g_varchar2_table(747) := '20636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D506F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D426F64792D696E666F202E742D50';
wwv_flow_api.g_varchar2_table(748) := '6F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E742D506F7075704C4F562D706167696E6174696F6E2C0D0A2E742D427574746F6E526567696F6E202E742D506F';
wwv_flow_api.g_varchar2_table(749) := '7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A0D0A2E742D526567696F6E2C0D0A2E742D436F6E74656E74426C6F636B2D2D6C696768744247202E742D436F6E74656E74426C6F636B2D626F';
wwv_flow_api.g_varchar2_table(750) := '6479207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E6669656C64646174612062207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E';
wwv_flow_api.g_varchar2_table(751) := '6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E66';
wwv_flow_api.g_varchar2_table(752) := '69656C646461746120622C0D0A2E742D427574746F6E526567696F6E202E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(753) := '636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D686561646572202E742D427574746F6E';
wwv_flow_api.g_varchar2_table(754) := '2D2D6C696E6B207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E643A207472616E73706172656E743B0D0A2020636F';
wwv_flow_api.g_varchar2_table(755) := '6C6F723A20233361336133613B0D0A7D0D0A2E742D526567696F6E2D2D737461636B6564207B0D0A2020626F726465722D7261646975733A20302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D';
wwv_flow_api.g_varchar2_table(756) := '526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F6E';
wwv_flow_api.g_varchar2_table(757) := '2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A2023343034303430';
wwv_flow_api.g_varchar2_table(758) := '3B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D';
wwv_flow_api.g_varchar2_table(759) := '0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572202E742D4275';
wwv_flow_api.g_varchar2_table(760) := '74746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74312E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A20';
wwv_flow_api.g_varchar2_table(761) := '20636F6C6F723A20233330396664623B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(762) := '723A20236534663966643B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D52656769';
wwv_flow_api.g_varchar2_table(763) := '6F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236534663966643B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74322E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567';
wwv_flow_api.g_varchar2_table(764) := '696F6E2D686561646572207B0D0A2020636F6C6F723A20233133623663663B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7433203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(765) := '3265626662633B0D0A2020636F6C6F723A20236630666366623B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7433203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D6163';
wwv_flow_api.g_varchar2_table(766) := '63656E7433203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236630666366623B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74332E742D526567696F6E2D2D7465787443';
wwv_flow_api.g_varchar2_table(767) := '6F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(768) := '67726F756E642D636F6C6F723A20233363616638353B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C';
wwv_flow_api.g_varchar2_table(769) := '0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74342E';
wwv_flow_api.g_varchar2_table(770) := '742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233363616638353B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D68';
wwv_flow_api.g_varchar2_table(771) := '6561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D686561646572202E';
wwv_flow_api.g_varchar2_table(772) := '742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(773) := '6567696F6E2D2D616363656E74352E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E74';
wwv_flow_api.g_varchar2_table(774) := '36203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535333B0D0A2020636F6C6F723A20233261326130383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7436203E202E742D';
wwv_flow_api.g_varchar2_table(775) := '526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7436203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A202332';
wwv_flow_api.g_varchar2_table(776) := '61326130383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74362E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A0D0A2E74';
wwv_flow_api.g_varchar2_table(777) := '2D526567696F6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D526567696F6E';
wwv_flow_api.g_varchar2_table(778) := '2D2D616363656E7437203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B';
wwv_flow_api.g_varchar2_table(779) := '207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74372E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(780) := '62636534613B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133653B0D0A2020636F6C6F723A2023666666666666';
wwv_flow_api.g_varchar2_table(781) := '3B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D68656164657220';
wwv_flow_api.g_varchar2_table(782) := '2E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74382E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572';
wwv_flow_api.g_varchar2_table(783) := '207B0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235343B0D0A20';
wwv_flow_api.g_varchar2_table(784) := '20636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7439203E202E74';
wwv_flow_api.g_varchar2_table(785) := '2D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74392E742D526567696F6E2D2D74657874436F6E74656E74203E202E';
wwv_flow_api.g_varchar2_table(786) := '742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(787) := '6C6F723A20236538356438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(788) := '696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431302E742D52656769';
wwv_flow_api.g_varchar2_table(789) := '6F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572';
wwv_flow_api.g_varchar2_table(790) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572202E742D4275';
wwv_flow_api.g_varchar2_table(791) := '74746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D52656769';
wwv_flow_api.g_varchar2_table(792) := '6F6E2D2D616363656E7431312E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743132';
wwv_flow_api.g_varchar2_table(793) := '203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A2020636F6C6F723A20236636663066383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743132203E202E742D';
wwv_flow_api.g_varchar2_table(794) := '526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743132203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(795) := '6636663066383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431322E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A0D0A';
wwv_flow_api.g_varchar2_table(796) := '2E742D526567696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(797) := '696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(798) := '2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431332E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(799) := '6F723A20233561363861643B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163353B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(800) := '233331336134343B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F';
wwv_flow_api.g_varchar2_table(801) := '6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233331336134343B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431342E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567';
wwv_flow_api.g_varchar2_table(802) := '696F6E2D686561646572207B0D0A2020636F6C6F723A20236166626163353B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743135203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(803) := '233665383539383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743135203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D';
wwv_flow_api.g_varchar2_table(804) := '616363656E743135203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431352E742D526567696F6E2D2D74';
wwv_flow_api.g_varchar2_table(805) := '657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233665383539383B0D0A7D0D0A2E742D526567696F6E2D626F6479207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(806) := '67696F6E2D2D6869646553686F772E69732D636F6C6C6170736564207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E207B0D0A';
wwv_flow_api.g_varchar2_table(807) := '20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E737061';
wwv_flow_api.g_varchar2_table(808) := '72656E743B0D0A7D0D0A2E742D426F64792D73696465202E742D526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D526567696F6E2C0D0A2E742D526567696F6E2D6865616465';
wwv_flow_api.g_varchar2_table(809) := '72207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D526567696F6E2D2D6E6F4247207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F';
wwv_flow_api.g_varchar2_table(810) := '6E73202E742D526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(811) := '756E642D636F6C6F723A207472616E73706172656E743B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(812) := '4646463B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35293B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(813) := '526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A6163746976652C0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A6163746976653A666F637573207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(814) := '6F756E642D636F6C6F723A207267626128302C20302C20302C20302E3735293B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D6E6578742D726567696F6E207B0D0A2020626F726465722D7261646975733A20327078';
wwv_flow_api.g_varchar2_table(815) := '20302030203270783B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D70726576696F75732D726567696F6E207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(816) := '67696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4E61764974656D2E612D546162732D73656C6563746564202E612D526567696F6E2D6361726F7573656C4C696E6B207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(817) := '723A207267626128302C20302C20302C20302E3435293B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4E61764974656D2E612D546162732D73656C6563746564202E612D526567696F6E2D';
wwv_flow_api.g_varchar2_table(818) := '6361726F7573656C4C696E6B3A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4C696E6B207B0D';
wwv_flow_api.g_varchar2_table(819) := '0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A0D0A2E742D5265706F72742D63656C6C2C0D0A2E742D5265706F72742D63';
wwv_flow_api.g_varchar2_table(820) := '6F6C48656164207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F72742D7265706F7274207472202E742D5265706F72742D63656C6C3A6C6173742D6368696C642C0D0A2E742D5265706F7274';
wwv_flow_api.g_varchar2_table(821) := '2D7265706F7274207472202E742D5265706F72742D636F6C486561643A6C6173742D6368696C64207B0D0A2020626F726465722D72696768743A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F72742D7265706F72742074';
wwv_flow_api.g_varchar2_table(822) := '723A6C6173742D6368696C64202E742D5265706F72742D63656C6C207B0D0A2020626F726465722D626F74746F6D3A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F7274202E69732D737475636B202E742D5265706F7274';
wwv_flow_api.g_varchar2_table(823) := '2D636F6C48656164207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20202D7765626B69742D6261636B64726F702D66696C7465723A20626C757228347078293B0D0A7D';
wwv_flow_api.g_varchar2_table(824) := '0D0A2E742D5265706F72742D2D726F77486967686C69676874202E742D5265706F72742D7265706F72742074723A686F766572202E742D5265706F72742D63656C6C2C0D0A2E742D5265706F72742D2D726F77486967686C69676874202E742D5265706F';
wwv_flow_api.g_varchar2_table(825) := '72742D7265706F72742074723A6E74682D6368696C64286F6464293A686F766572202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166612021696D706F7274616E743B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(826) := '65706F72742D2D737461746963526F77436F6C6F7273202E742D5265706F72742D7265706F72742074723A6E74682D6368696C64286F646429202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E';
wwv_flow_api.g_varchar2_table(827) := '73706172656E743B0D0A7D0D0A0D0A2E742D5265706F72742D2D616C74526F777344656661756C74202E742D5265706F72742D7265706F72742074723A6E74682D6368696C64286F646429202E742D5265706F72742D63656C6C207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(828) := '67726F756E642D636F6C6F723A20236663666366633B0D0A7D0D0A0D0A2E742D5265706F72742D706167696E6174696F6E5465787420622C0D0A2E742D5265706F72742D706167696E6174696F6E5465787420613A686F766572207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(829) := '67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D536561726368526573756C74732D64657363207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D53656172';
wwv_flow_api.g_varchar2_table(830) := '6368526573756C74732D64617465207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D536561726368526573756C74732D6D697363207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D526567696F6E202E742D';
wwv_flow_api.g_varchar2_table(831) := '536561726368526573756C74732D64657363207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E742D536561726368526573756C74732D64617465207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D';
wwv_flow_api.g_varchar2_table(832) := '0A2E742D526567696F6E202E742D536561726368526573756C74732D6D697363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5374617475734C6973742D626C6F636B486561646572207B0D0A2020636F6C6F723A2023343034';
wwv_flow_api.g_varchar2_table(833) := '3034303B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D5374617475734C6973742D68656164657254657874416C742C0D0A2E742D5374617475734C6973742D617474722C0D0A2E742D5374617475734C';
wwv_flow_api.g_varchar2_table(834) := '6973742D7465787444657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5374617475734C6973742D6974656D5469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5374617475734C697374';
wwv_flow_api.g_varchar2_table(835) := '2D2D6461746573202E742D5374617475734C6973742D6D61726B6572207B0D0A2020636F6C6F723A20233730373037303B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D';
wwv_flow_api.g_varchar2_table(836) := '0A7D0D0A2E742D5374617475734C6973742D2D6461746573202E742D5374617475734C6973742D6D61726B65723A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20234130413041303B0D0A2020626F726465722D726164697573';
wwv_flow_api.g_varchar2_table(837) := '3A2032707820327078203020303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6D61726B6572207B0D0A2020626F726465722D7261646975733A20323470783B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(838) := '6E642D636F6C6F723A20236666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D636F6D706C657465202E742D53746174';
wwv_flow_api.g_varchar2_table(839) := '75734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233730373037303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D64616E6765';
wwv_flow_api.g_varchar2_table(840) := '72202E742D5374617475734C6973742D6D61726B65722C0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6572726F72202E742D5374617475734C6973742D6D61726B6572207B0D0A';
wwv_flow_api.g_varchar2_table(841) := '20206261636B67726F756E642D636F6C6F723A20236666336233303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6F70656E202E742D5374617475734C6973742D6D6172';
wwv_flow_api.g_varchar2_table(842) := '6B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233463643936343B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D7761726E696E67202E742D53746174';
wwv_flow_api.g_varchar2_table(843) := '75734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666636330303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6E756C6C20';
wwv_flow_api.g_varchar2_table(844) := '2E742D5374617475734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20234630463046303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69';
wwv_flow_api.g_varchar2_table(845) := '732D6E756C6C202E742D5374617475734C6973742D6D61726B6572207B0D0A2020636F6C6F723A20234130413041303B0D0A7D0D0A0D0A2E742D546162732D2D73696D706C65202E742D546162732D6974656D2E69732D616374697665202E742D546162';
wwv_flow_api.g_varchar2_table(846) := '732D6C696E6B207B0D0A2020626F782D736861646F773A2030202D3270782030202330353732636520696E7365743B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B3A666F637573207B0D0A2020626F782D73686164';
wwv_flow_api.g_varchar2_table(847) := '6F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D546162732D2D70696C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D7261646975733A20327078';
wwv_flow_api.g_varchar2_table(848) := '3B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B';
wwv_flow_api.g_varchar2_table(849) := '0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B';
wwv_flow_api.g_varchar2_table(850) := '3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B3A616374697665207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(851) := '6E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6974656D3A66697273742D6368696C64202E742D546162732D6C696E6B207B0D0A2020626F726465722D7261646975733A203270782030';
wwv_flow_api.g_varchar2_table(852) := '2030203270783B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6974656D2E69732D616374697665202E742D546162732D6C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(853) := '2D546162732D2D73696D706C65202E742D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D';
wwv_flow_api.g_varchar2_table(854) := '0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E303235293B0D0A7D0D0A2E742D546162732D2D73696D706C65';
wwv_flow_api.g_varchar2_table(855) := '202E742D546162732D6C696E6B3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D426F6479202E742D546162732D2D73696D706C65202E742D54616273';
wwv_flow_api.g_varchar2_table(856) := '2D6C696E6B207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(857) := '742D526567696F6E202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A0D0A2E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B';
wwv_flow_api.g_varchar2_table(858) := '0D0A2020626F782D736861646F773A2030202D3270782030202330353732636520696E7365743B0D0A7D0D0A2E617065782D72647320613A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E73';
wwv_flow_api.g_varchar2_table(859) := '65743B0D0A7D0D0A2E617065782D7264732061207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E617065782D7264732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(860) := '6567696F6E202E617065782D7264732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E617065782D72647320613A686F766572207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A2E617065782D726473202E617065';
wwv_flow_api.g_varchar2_table(861) := '782D7264732D73656C65637465642061207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A2E617065782D7264732D686F7665722E6C6566742061207B0D0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D677261';
wwv_flow_api.g_varchar2_table(862) := '6469656E74286C6566742C2023666666666666203530252C2072676261283235352C203235352C203235352C2030292031303025293B0D0A20200D0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428746F2072696768742C20';
wwv_flow_api.g_varchar2_table(863) := '23666666666666203530252C2072676261283235352C203235352C203235352C2030292031303025293B0D0A20200D0A7D0D0A2E617065782D7264732D686F7665722E72696768742061207B0D0A20206261636B67726F756E643A202D7765626B69742D';
wwv_flow_api.g_varchar2_table(864) := '6C696E6561722D6772616469656E74286C6566742C20236666666666662030252C2072676261283235352C203235352C203235352C2030292031252C202366666666666620353025293B0D0A20200D0A20206261636B67726F756E643A206C696E656172';
wwv_flow_api.g_varchar2_table(865) := '2D6772616469656E7428746F2072696768742C20236666666666662030252C2072676261283235352C203235352C203235352C2030292031252C202366666666666620353025293B0D0A20200D0A7D0D0A0D0A2E766572746963616C2D726473202E6170';
wwv_flow_api.g_varchar2_table(866) := '65782D726473202E617065782D7264732D73656C6563746564207370616E2C0D0A2E742D426F64792D73696465202E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F782D736861646F773A20347078';
wwv_flow_api.g_varchar2_table(867) := '20302030202330353732636520696E7365743B0D0A7D0D0A2E752D52544C202E766572746963616C2D726473202E617065782D726473202E617065782D7264732D73656C6563746564207370616E2C0D0A2E752D52544C202E742D426F64792D73696465';
wwv_flow_api.g_varchar2_table(868) := '202E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F782D736861646F773A202D34707820302030202330353732636520696E7365743B0D0A7D0D0A0D0A2E612D546167436C6F75642D6C696E6B207B';
wwv_flow_api.g_varchar2_table(869) := '0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E643A20236661666166613B0D0A20207472616E736974696F6E3A206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(870) := '636F6C6F7220302E32732C20626F726465722D636F6C6F7220302E32732C20626F782D736861646F7720302E32732C20636F6C6F7220302E32733B0D0A2020636F6C6F723A20233035363762613B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B20';
wwv_flow_api.g_varchar2_table(871) := '7370616E207B0D0A20207472616E736974696F6E3A20636F6C6F72202E32733B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B3A686F766572207B0D0A2020746578742D6465636F726174696F6E3A206E6F6E653B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(872) := '642D636F6C6F723A20233035373263653B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F782D736861646F773A20302030203020327078202330353732636520696E7365';
wwv_flow_api.g_varchar2_table(873) := '743B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B3A686F766572207370616E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D546167436C6F75642D636F756E74207B0D0A2020636F6C6F723A20233636363636363B0D0A';
wwv_flow_api.g_varchar2_table(874) := '2020666F6E742D7765696768743A203530303B0D0A7D0D0A2E742D54696D656C696E65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D54696D656C696E652D757365726E616D652C0D0A2E742D54696D656C696E652D64617465';
wwv_flow_api.g_varchar2_table(875) := '2C0D0A2E742D54696D656C696E652D64657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D54696D656C696E652D77726170207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D54696D656C696E652D74';
wwv_flow_api.g_varchar2_table(876) := '797065207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D6E6577207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(877) := '6F6C6F723A20233362616132633B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D75706461746564207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F';
wwv_flow_api.g_varchar2_table(878) := '6C6F723A20234646463B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D72656D6F766564207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D5469';
wwv_flow_api.g_varchar2_table(879) := '6D656C696E652D777261703A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A406D6564696120286D696E2D77696474683A';
wwv_flow_api.g_varchar2_table(880) := '20373639707829207B0D0A20202E742D426F64792D6E6176207B0D0A202020206261636B67726F756E642D636F6C6F723A20233331333733633B0D0A20207D0D0A7D0D0A2E742D547265654E6176207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(881) := '3A20233331333733633B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A20206261636B67726F756E642D636F6C6F723A2023323132';
wwv_flow_api.g_varchar2_table(882) := '3532383B0D0A2020626F782D736861646F773A20696E7365742031707820302030203020233331333733633B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C626172';
wwv_flow_api.g_varchar2_table(883) := '2D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233363343434613B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C626172';
wwv_flow_api.g_varchar2_table(884) := '2D747261636B207B0D0A20206261636B67726F756E643A20233331333733633B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D747261636B3A686F766572';
wwv_flow_api.g_varchar2_table(885) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20233533356536363B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D547265';
wwv_flow_api.g_varchar2_table(886) := '65566965772D726F772E69732D666F6375736564207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(887) := '0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C65';
wwv_flow_api.g_varchar2_table(888) := '76656C202E612D54726565566965772D726F772E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742D2D74';
wwv_flow_api.g_varchar2_table(889) := '6F702E69732D73656C6563746564207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D';
wwv_flow_api.g_varchar2_table(890) := '726F772E69732D63757272656E742D2D746F702C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772C0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(891) := '696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F';
wwv_flow_api.g_varchar2_table(892) := '704C6576656C202E612D54726565566965772D726F772E69732D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D5472656556696577';
wwv_flow_api.g_varchar2_table(893) := '2D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C652C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C';
wwv_flow_api.g_varchar2_table(894) := '2E69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C65207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64';
wwv_flow_api.g_varchar2_table(895) := '652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C653A686F7665722C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576';
wwv_flow_api.g_varchar2_table(896) := '656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D5472656556696577';
wwv_flow_api.g_varchar2_table(897) := '2D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D547265655669';
wwv_flow_api.g_varchar2_table(898) := '65772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C20';
wwv_flow_api.g_varchar2_table(899) := '2E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(900) := '723A20726762612836342C2036342C2036342C20302E3935293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E66613A6265666F72652C0D';
wwv_flow_api.g_varchar2_table(901) := '0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E3A6265666F7265207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(902) := '2D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F';
wwv_flow_api.g_varchar2_table(903) := '704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F';
wwv_flow_api.g_varchar2_table(904) := '6E74656E742E69732D686F766572202E612D49636F6E2C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E61';
wwv_flow_api.g_varchar2_table(905) := '2D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D6C6162656C207B0D0A2020636F6C6F723A20696E';
wwv_flow_api.g_varchar2_table(906) := '68657269743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742C0D0A2E742D526567696F6E202E612D547265655669';
wwv_flow_api.g_varchar2_table(907) := '65772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D5472656556696577';
wwv_flow_api.g_varchar2_table(908) := '2D636F6E74656E742E69732D63757272656E742D2D746F70207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D74';
wwv_flow_api.g_varchar2_table(909) := '6F67676C65207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D746F67676C';
wwv_flow_api.g_varchar2_table(910) := '653A686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E61';
wwv_flow_api.g_varchar2_table(911) := '2D54726565566965772D726F772E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772E6973';
wwv_flow_api.g_varchar2_table(912) := '2D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69';
wwv_flow_api.g_varchar2_table(913) := '732D666F6375736564207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D547265654E6176';
wwv_flow_api.g_varchar2_table(914) := '202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D5472';
wwv_flow_api.g_varchar2_table(915) := '6565566965772D726F772E69732D73656C65637465642C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742D2D746F702E69732D7365';
wwv_flow_api.g_varchar2_table(916) := '6C6563746564207B0D0A20206261636B67726F756E642D636F6C6F723A20233231323532383B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D';
wwv_flow_api.g_varchar2_table(917) := '63757272656E742D2D746F702C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772C0D0A2E742D547265654E6176202E';
wwv_flow_api.g_varchar2_table(918) := '612D54726565566965772D6E6F64652D2D746F704C6576656C20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20233161316432303B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576';
wwv_flow_api.g_varchar2_table(919) := '656C202E612D54726565566965772D726F772E69732D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233238326433312021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F';
wwv_flow_api.g_varchar2_table(920) := '64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C652C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69';
wwv_flow_api.g_varchar2_table(921) := '732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C65207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E';
wwv_flow_api.g_varchar2_table(922) := '6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C653A686F7665722C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F70';
wwv_flow_api.g_varchar2_table(923) := '4C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565';
wwv_flow_api.g_varchar2_table(924) := '566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54';
wwv_flow_api.g_varchar2_table(925) := '726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F70';
wwv_flow_api.g_varchar2_table(926) := '4C6576656C202E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E207B0D';
wwv_flow_api.g_varchar2_table(927) := '0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E66613A6265666F72652C0D0A2E742D547265';
wwv_flow_api.g_varchar2_table(928) := '654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E3A6265666F7265207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E742D547265654E';
wwv_flow_api.g_varchar2_table(929) := '6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576';
wwv_flow_api.g_varchar2_table(930) := '656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E7465';
wwv_flow_api.g_varchar2_table(931) := '6E742E69732D686F766572202E612D49636F6E2C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E612D49';
wwv_flow_api.g_varchar2_table(932) := '636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D6C6162656C207B0D0A2020636F6C6F723A20696E68';
wwv_flow_api.g_varchar2_table(933) := '657269743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742C0D0A2E742D547265654E6176202E612D5472656556';
wwv_flow_api.g_varchar2_table(934) := '6965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D73656C65637465642C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D547265655669';
wwv_flow_api.g_varchar2_table(935) := '65772D636F6E74656E742E69732D63757272656E742D2D746F70207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965';
wwv_flow_api.g_varchar2_table(936) := '772D746F67676C65207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965';
wwv_flow_api.g_varchar2_table(937) := '772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369';
wwv_flow_api.g_varchar2_table(938) := '626C65202E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D636F6E7465';
wwv_flow_api.g_varchar2_table(939) := '6E74202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E612D5472656556696577';
wwv_flow_api.g_varchar2_table(940) := '2D636F6E74656E74207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E6A732D6E6176436F6C6C6170736564202E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C203E202E612D547265655669';
wwv_flow_api.g_varchar2_table(941) := '65772D636F6E74656E74202E612D54726565566965772D6C6162656C202E612D54726565566965772D6261646765207B0D0A20206261636B67726F756E643A20233066313031323B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D54';
wwv_flow_api.g_varchar2_table(942) := '7265654E6176202E612D54726565566965772D6261646765207B0D0A2020626F782D736861646F773A203020302030203170782072676261283235352C203235352C203235352C20302E31293B0D0A2020666F6E742D7765696768743A203430303B0D0A';
wwv_flow_api.g_varchar2_table(943) := '7D0D0A2E742D547265654E6176202E612D54726565566965772D636F6E74656E742E69732D63757272656E74202E612D54726565566965772D6C6162656C2C0D0A2E742D547265654E6176202E612D54726565566965772D636F6E74656E742E69732D63';
wwv_flow_api.g_varchar2_table(944) := '757272656E742D2D746F70202E612D54726565566965772D6C6162656C207B0D0A2020666F6E742D7765696768743A203530303B0D0A7D0D0A0D0A2E742D56616C69646174696F6E2D64617465207B0D0A2020636F6C6F723A20233430343034303B0D0A';
wwv_flow_api.g_varchar2_table(945) := '7D0D0A2E742D56616C69646174696F6E2D75736572207B0D0A2020636F6C6F723A20233539353935393B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D56616C69646174696F6E2D64617465207B0D0A2020636F6C6F723A20233361336133';
wwv_flow_api.g_varchar2_table(946) := '613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D56616C69646174696F6E2D75736572207B0D0A2020636F6C6F723A20233533353335333B0D0A7D0D0A0D0A2E742D4469616C6F672D706167652D2D77697A617264207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(947) := '6465723A20236536653665363B0D0A7D0D0A2E742D57697A617264207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(948) := '236536653665363B0D0A7D0D0A2E742D57697A617264202E742D57697A6172642D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D57697A617264202E742D57697A6172642D686561646572207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(949) := '67726F756E642D636F6C6F723A20236661666166613B0D0A2020626F726465722D636F6C6F723A20236564656465643B0D0A7D0D0A2E742D57697A61726453746570732D777261703A6166746572207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(950) := '3A20236536653665363B0D0A7D0D0A2E742D57697A61726453746570732D73746570202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236363636363633B0D0A7D0D0A2E742D57697A61';
wwv_flow_api.g_varchar2_table(951) := '726453746570732D737465702E69732D636F6D706C657465202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(952) := '742D57697A61726453746570732D737465702E69732D616374697665202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D57697A61726453746570';
wwv_flow_api.g_varchar2_table(953) := '732D6C6162656C207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D57697A61726453746570732D737465702E69732D616374697665202E742D57697A61726453746570732D6C6162656C207B0D0A2020636F6C6F723A2023343034';
wwv_flow_api.g_varchar2_table(954) := '3034303B0D0A7D0D0A0D0A2E75692D776964676574207B0D0A2020666F6E742D66616D696C793A202748656C766574696361204E657565272C20275365676F65205549272C2048656C7665746963612C20417269616C2C2073616E732D73657269663B0D';
wwv_flow_api.g_varchar2_table(955) := '0A2020666F6E742D73697A653A20313270783B0D0A7D0D0A2E75692D776964676574202E75692D776964676574207B0D0A2020666F6E742D73697A653A20313270783B0D0A7D0D0A0D0A626F6479202E75692D7769646765742D636F6E74656E74207B0D';
wwv_flow_api.g_varchar2_table(956) := '0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D7769646765742D636F6E7465';
wwv_flow_api.g_varchar2_table(957) := '6E742061207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A626F6479202E75692D7769646765742D686561646572207B0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(958) := '3A20236666666666663B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A626F6479202E75692D7769646765742D6865616465722061207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A0D0A626F6479202E75692D7374617465';
wwv_flow_api.g_varchar2_table(959) := '2D64656661756C742C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D64656661756C742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D64656661756C74207B0D0A20';
wwv_flow_api.g_varchar2_table(960) := '206261636B67726F756E642D636F6C6F723A20236638663866383B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D73746174652D64656661756C7420612C0D0A626F6479202E75692D73746174652D64656661756C74';
wwv_flow_api.g_varchar2_table(961) := '20613A6C696E6B2C0D0A626F6479202E75692D73746174652D64656661756C7420613A766973697465642C0D0A626F6479202E75692D73746174652D61637469766520612C0D0A626F6479202E75692D73746174652D61637469766520613A6C696E6B2C';
wwv_flow_api.g_varchar2_table(962) := '0D0A626F6479202E75692D73746174652D61637469766520613A76697369746564207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A626F6479202E75692D73746174652D686F7665722C0D0A626F6479202E75692D7769646765742D636F';
wwv_flow_api.g_varchar2_table(963) := '6E74656E74202E75692D73746174652D686F7665722C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F';
wwv_flow_api.g_varchar2_table(964) := '6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D73746174652D666F6375732C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D666F6375732C0D0A626F6479202E75692D7769646765742D68';
wwv_flow_api.g_varchar2_table(965) := '6561646572202E75692D73746174652D666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C203020302031707820327078207267626128352C203131342C203230362C20302E32352920';
wwv_flow_api.g_varchar2_table(966) := '21696D706F7274616E743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D';
wwv_flow_api.g_varchar2_table(967) := '627574746F6E70616E6520627574746F6E3A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C2030203020317078203270782072676261';
wwv_flow_api.g_varchar2_table(968) := '28352C203131342C203230362C20302E3235292021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D73746174652D686F76657220612C0D0A626F6479202E75692D73746174652D686F76657220613A686F7665722C0D0A626F6479202E7569';
wwv_flow_api.g_varchar2_table(969) := '2D73746174652D686F76657220613A6C696E6B2C0D0A626F6479202E75692D73746174652D686F76657220613A766973697465642C0D0A626F6479202E75692D73746174652D666F63757320612C0D0A626F6479202E75692D73746174652D666F637573';
wwv_flow_api.g_varchar2_table(970) := '20613A686F7665722C0D0A626F6479202E75692D73746174652D666F63757320613A6C696E6B2C0D0A626F6479202E75692D73746174652D666F63757320613A76697369746564207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A626F64';
wwv_flow_api.g_varchar2_table(971) := '79202E75692D73746174652D6163746976652C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6163746976652C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D616374';
wwv_flow_api.g_varchar2_table(972) := '697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236465646564653B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A0D0A626F6479202E75692D73746174652D686967686C696768742C0D0A626F6479202E75692D776964';
wwv_flow_api.g_varchar2_table(973) := '6765742D636F6E74656E74202E75692D73746174652D686967686C696768742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(974) := '236434656266653B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D73746174652D686967686C6967687420612C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D686967686C';
wwv_flow_api.g_varchar2_table(975) := '6967687420612C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686967686C696768742061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D73746174652D6572726F722C';
wwv_flow_api.g_varchar2_table(976) := '0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F722C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F72207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(977) := '6F6C6F723A20236634343333363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A626F6479202E75692D73746174652D6572726F7220612C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D657272';
wwv_flow_api.g_varchar2_table(978) := '6F7220612C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F722061207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A626F6479202E75692D73746174652D6572726F722D746578742C0D';
wwv_flow_api.g_varchar2_table(979) := '0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F722D746578742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F722D74657874207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(980) := '6F723A20236634343333363B0D0A7D0D0A0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C742C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D';
wwv_flow_api.g_varchar2_table(981) := '64656661756C74207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D7374';
wwv_flow_api.g_varchar2_table(982) := '6174652D64656661756C742E75692D73746174652D6163746976652C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D616374697665207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(983) := '756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174';
wwv_flow_api.g_varchar2_table(984) := '652D64656661756C742E75692D73746174652D6163746976652E75692D73746174652D686F7665722C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D616374697665';
wwv_flow_api.g_varchar2_table(985) := '2E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D';
wwv_flow_api.g_varchar2_table(986) := '64656661756C742E75692D73746174652D686F7665722C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(987) := '6C6F723A20236632663266322021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C743A666F6375732C0D0A626F6479202E75692D646174657069636B65';
wwv_flow_api.g_varchar2_table(988) := '7220746420612E75692D73746174652D64656661756C743A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C2030203020317078203270';
wwv_flow_api.g_varchar2_table(989) := '78207267626128352C203131342C203230362C20302E3235292021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C742E75692D73746174652D68696768';
wwv_flow_api.g_varchar2_table(990) := '6C696768742C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236562656265623B';
wwv_flow_api.g_varchar2_table(991) := '0D0A7D0D0A626F6479202E75692D646174657069636B6572207468207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D6865616465722C0D0A626F64';
wwv_flow_api.g_varchar2_table(992) := '79202E75692D646174657069636B6572202E75692D646174657069636B65722D627574746F6E70616E6520627574746F6E2C0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D6E6578742C0D0A626F6479202E';
wwv_flow_api.g_varchar2_table(993) := '75692D646174657069636B6572202E75692D646174657069636B65722D70726576207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D7469746C65626172';
wwv_flow_api.g_varchar2_table(994) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D626F74746F6D3A2031707820736F6C6964207267626128302C20302C20302C20302E3035293B0D0A7D0D0A626F6479202E75692D6469616C6F';
wwv_flow_api.g_varchar2_table(995) := '67202E75692D6469616C6F672D7469746C65207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D636F6E74656E742C0D0A2E742D4469616C6F672D70616765207B0D0A20';
wwv_flow_api.g_varchar2_table(996) := '206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469616C6F672C0D0A2E742D4469616C6F672D2D77697A617264';
wwv_flow_api.g_varchar2_table(997) := '2E75692D6469616C6F67202E75692D6469616C6F672D7469746C656261722C0D0A2E742D4469616C6F672D2D77697A61726420626F6479202E75692D6469616C6F67202E75692D6469616C6F672D636F6E74656E74207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(998) := '642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469616C6F67202E75692D6469616C6F672D7469746C65207B0D0A2020636F6C6F723A202334';
wwv_flow_api.g_varchar2_table(999) := '30343034303B0D0A7D0D0A0D0A626F6479202E75692D636F726E65722D616C6C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D746F702C0D0A626F6479202E75692D636F726E65722D';
wwv_flow_api.g_varchar2_table(1000) := '6C6566742C0D0A626F6479202E75692D636F726E65722D746C207B0D0A2020626F726465722D746F702D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D746F702C0D0A626F6479202E75692D636F726E65';
wwv_flow_api.g_varchar2_table(1001) := '722D72696768742C0D0A626F6479202E75692D636F726E65722D7472207B0D0A2020626F726465722D746F702D72696768742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75';
wwv_flow_api.g_varchar2_table(1002) := '692D636F726E65722D6C6566742C0D0A626F6479202E75692D636F726E65722D626C207B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D626F74746F6D2C0D';
wwv_flow_api.g_varchar2_table(1003) := '0A626F6479202E75692D636F726E65722D72696768742C0D0A626F6479202E75692D636F726E65722D6272207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203270783B0D0A7D0D0A0D0A626F6479202E75692D627574';
wwv_flow_api.g_varchar2_table(1004) := '746F6E2E75692D636F726E65722D616C6C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D746F702C0D0A626F6479202E75692D627574746F6E2E75692D636F';
wwv_flow_api.g_varchar2_table(1005) := '726E65722D6C6566742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D746C207B0D0A2020626F726465722D746F702D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F';
wwv_flow_api.g_varchar2_table(1006) := '726E65722D746F702C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D72696768742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D7472207B0D0A2020626F726465722D746F702D72696768742D72616469';
wwv_flow_api.g_varchar2_table(1007) := '75733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6C6566742C0D0A626F6479202E75692D627574746F6E2E75692D';
wwv_flow_api.g_varchar2_table(1008) := '636F726E65722D626C207B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D627574746F';
wwv_flow_api.g_varchar2_table(1009) := '6E2E75692D636F726E65722D72696768742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6272207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203270783B0D0A7D0D0A0D0A2E752D7761726E';
wwv_flow_api.g_varchar2_table(1010) := '696E67207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E752D7761726E696E672D74657874207B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(1011) := '62636534612021696D706F7274616E743B0D0A7D0D0A2E752D7761726E696E672D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D7761726E696E672D626F72646572';
wwv_flow_api.g_varchar2_table(1012) := '207B0D0A2020626F726465722D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A7D0D0A0D0A2E752D73756363657373207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132632021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1013) := '0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D737563636573732D74657874207B0D0A2020636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A2E752D737563636573732D6267207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1014) := '6F756E642D636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A2E752D737563636573732D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A0D0A2E';
wwv_flow_api.g_varchar2_table(1015) := '752D64616E676572207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D64616E6765722D74657874207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1016) := '3A20236634343333362021696D706F7274616E743B0D0A7D0D0A2E752D64616E6765722D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A2E752D64616E6765722D626F7264';
wwv_flow_api.g_varchar2_table(1017) := '6572207B0D0A2020626F726465722D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A0D0A2E752D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(1018) := '2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D696E666F2D74657874207B0D0A2020636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D696E666F2D6267207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1019) := '6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D696E666F2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A0D0A2E752D686F74207B0D0A20';
wwv_flow_api.g_varchar2_table(1020) := '206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D686F742D74657874207B0D0A2020636F6C6F723A20233035373263652021696D706F72';
wwv_flow_api.g_varchar2_table(1021) := '74616E743B0D0A7D0D0A2E752D686F742D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D686F742D626F72646572207B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1022) := '233035373263652021696D706F7274616E743B0D0A7D0D0A0D0A2E752D6E6F726D616C207B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466642021696D706F7274616E743B0D0A2020636F6C6F723A20233365336533653B0D0A7D';
wwv_flow_api.g_varchar2_table(1023) := '0D0A2E752D6E6F726D616C2D74657874207B0D0A2020636F6C6F723A20233365336533652021696D706F7274616E743B0D0A7D0D0A2E752D6E6F726D616C2D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20233365336533652021696D';
wwv_flow_api.g_varchar2_table(1024) := '706F7274616E743B0D0A7D0D0A2E752D6E6F726D616C2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233365336533652021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D';
wwv_flow_api.g_varchar2_table(1025) := '7469746C656261722D636C6F7365207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D627574746F6E70616E65207B0D0A2020626F726465722D746F702D63';
wwv_flow_api.g_varchar2_table(1026) := '6F6C6F723A20236562656265623B0D0A7D0D0A2E742D426F6479207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F6479202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236534653465343B0D0A202062';
wwv_flow_api.g_varchar2_table(1027) := '6F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233365336533653B0D0A';
wwv_flow_api.g_varchar2_table(1028) := '7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461794F665765656B207B0D0A2020636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1029) := '6637663766373B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1030) := '3A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1031) := '6F6C6F723A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A202366386638';
wwv_flow_api.g_varchar2_table(1032) := '66383B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236633663366333B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A20200D0A';
wwv_flow_api.g_varchar2_table(1033) := '7D0D0A2E742D526567696F6E202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1034) := '236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461794F665765656B207B0D0A20';
wwv_flow_api.g_varchar2_table(1035) := '20636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(1036) := '526567696F6E202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D';
wwv_flow_api.g_varchar2_table(1037) := '0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F723A202334343333';
wwv_flow_api.g_varchar2_table(1038) := '30323B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C';
wwv_flow_api.g_varchar2_table(1039) := '2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A2E742D426F64792D616374696F6E73207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F64792D616374696F6E73202E';
wwv_flow_api.g_varchar2_table(1040) := '612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236530653065303B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1041) := '742D426F64792D616374696F6E73202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461794F665765656B207B0D0A202063';
wwv_flow_api.g_varchar2_table(1042) := '6F6C6F723A20233761376137613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236633663366333B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1043) := '0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1044) := '6666666666663B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B';
wwv_flow_api.g_varchar2_table(1045) := '0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236634663466343B0D0A7D';
wwv_flow_api.g_varchar2_table(1046) := '0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236566656665663B0D0A7D0D0A2E742D426F64792D696E666F207B0D0A20200D0A20200D';
wwv_flow_api.g_varchar2_table(1047) := '0A20200D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1048) := '2D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D';
wwv_flow_api.g_varchar2_table(1049) := '6461794F665765656B207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1050) := '20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A';
wwv_flow_api.g_varchar2_table(1051) := '2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1052) := '6662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023666166616661';
wwv_flow_api.g_varchar2_table(1053) := '3B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A0D0A2E752D636F6C6F7273203E203A6E74682D636869';
wwv_flow_api.g_varchar2_table(1054) := '6C642834356E202B203129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664623B0D0A202066696C6C3A20233330396664623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1055) := '6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D6261636B67726F756E64207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(1056) := '6B67726F756E642D636F6C6F723A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64283435';
wwv_flow_api.g_varchar2_table(1057) := '6E202B203129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1058) := '73203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233330396664623B0D0A20207374726F6B653A20233330396664623B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1059) := '73203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A202066696C6C3A20233133623663663B0D0A2020636F6C6F723A2023653466396664';
wwv_flow_api.g_varchar2_table(1060) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D6261636B67726F';
wwv_flow_api.g_varchar2_table(1061) := '756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1062) := '6E74682D6368696C642834356E202B203229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233133623663663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1063) := '642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233133623663663B0D0A20207374726F6B653A20233133623663663B0D';
wwv_flow_api.g_varchar2_table(1064) := '0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662633B0D0A202066696C6C3A20233265626662633B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1065) := '6C6F723A20236630666366623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D63';
wwv_flow_api.g_varchar2_table(1066) := '6F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D7478742C0D0A2E';
wwv_flow_api.g_varchar2_table(1067) := '752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2033';
wwv_flow_api.g_varchar2_table(1068) := '29202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233265626662633B0D0A20207374726F6B';
wwv_flow_api.g_varchar2_table(1069) := '653A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638353B0D0A202066696C6C3A202333';
wwv_flow_api.g_varchar2_table(1070) := '63616638353B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1071) := '356E202B203429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D63';
wwv_flow_api.g_varchar2_table(1072) := '6F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1073) := '68696C642834356E202B203429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A202333636166';
wwv_flow_api.g_varchar2_table(1074) := '38353B0D0A20207374726F6B653A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B';
wwv_flow_api.g_varchar2_table(1075) := '0D0A202066696C6C3A20233831626235663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1076) := '3A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1077) := '356E202B203529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1078) := '6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(1079) := '636F6C6F723A20233831626235663B0D0A20207374726F6B653A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(1080) := '6F723A20236464646535333B0D0A202066696C6C3A20236464646535333B0D0A2020636F6C6F723A20233261326130383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D62672C0D0A';
wwv_flow_api.g_varchar2_table(1081) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535333B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1082) := '3A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A2023646464653533';
wwv_flow_api.g_varchar2_table(1083) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D626F7264657220';
wwv_flow_api.g_varchar2_table(1084) := '7B0D0A2020626F726465722D636F6C6F723A20236464646535333B0D0A20207374726F6B653A20236464646535333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F72207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1085) := '636B67726F756E642D636F6C6F723A20236662636534613B0D0A202066696C6C3A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E75';
wwv_flow_api.g_varchar2_table(1086) := '2D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1087) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D74657874207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1088) := '6C6F723A20236662636534613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D63';
wwv_flow_api.g_varchar2_table(1089) := '6F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236662636534613B0D0A20207374726F6B653A20236662636534613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D63';
wwv_flow_api.g_varchar2_table(1090) := '6F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133653B0D0A202066696C6C3A20236564383133653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1091) := '2834356E202B203829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1092) := '6564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1093) := '74657874207B0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1094) := '356E202B203829202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564383133653B0D0A20207374726F6B653A20236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1095) := '356E202B203929202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235343B0D0A202066696C6C3A20236539356235343B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1096) := '3E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1097) := '756E642D636F6C6F723A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1098) := '3929202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1099) := '3A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236539356235343B0D0A20207374726F6B653A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1100) := '3A6E74682D6368696C642834356E202B20313029202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438383B0D0A202066696C6C3A20236538356438383B0D0A2020636F6C6F723A20236666666666663B0D0A';
wwv_flow_api.g_varchar2_table(1101) := '7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D6261636B67726F75';
wwv_flow_api.g_varchar2_table(1102) := '6E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1103) := '6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1104) := '2D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236538356438383B0D0A20207374726F6B653A20236538356438';
wwv_flow_api.g_varchar2_table(1105) := '383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A202066696C6C3A20236361353839643B0D0A';
wwv_flow_api.g_varchar2_table(1106) := '2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203131';
wwv_flow_api.g_varchar2_table(1107) := '29202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1108) := '7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1109) := '2834356E202B20313129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023636135383964';
wwv_flow_api.g_varchar2_table(1110) := '3B0D0A20207374726F6B653A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D';
wwv_flow_api.g_varchar2_table(1111) := '0A202066696C6C3A20233835346539623B0D0A2020636F6C6F723A20236636663066383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1112) := '3A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1113) := '34356E202B20313229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1114) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D626F72646572207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(1115) := '726465722D636F6C6F723A20233835346539623B0D0A20207374726F6B653A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F72207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1116) := '6E642D636F6C6F723A20233561363861643B0D0A202066696C6C3A20233561363861643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1117) := '722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861643B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1118) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1119) := '723A20233561363861643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D63';
wwv_flow_api.g_varchar2_table(1120) := '6F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233561363861643B0D0A20207374726F6B653A20233561363861643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D';
wwv_flow_api.g_varchar2_table(1121) := '636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163353B0D0A202066696C6C3A20236166626163353B0D0A2020636F6C6F723A20233331336134343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1122) := '642834356E202B20313429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1123) := '3A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D63';
wwv_flow_api.g_varchar2_table(1124) := '6F6C6F722D74657874207B0D0A2020636F6C6F723A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1125) := '68696C642834356E202B20313429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236166626163353B0D0A20207374726F6B653A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1126) := '6368696C642834356E202B20313529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539383B0D0A202066696C6C3A20233665383539383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1127) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D6261636B67726F756E64207B0D';
wwv_flow_api.g_varchar2_table(1128) := '0A20206261636B67726F756E642D636F6C6F723A20233665383539383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1129) := '68696C642834356E202B20313529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233665383539383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D62642C0D';
wwv_flow_api.g_varchar2_table(1130) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233665383539383B0D0A20207374726F6B653A20233665383539383B0D0A7D';
wwv_flow_api.g_varchar2_table(1131) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265323B0D0A202066696C6C3A20233539623265323B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(1132) := '6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D';
wwv_flow_api.g_varchar2_table(1133) := '636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D7478742C0D';
wwv_flow_api.g_varchar2_table(1134) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1135) := '2B20313629202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233539623265323B0D0A2020';
wwv_flow_api.g_varchar2_table(1136) := '7374726F6B653A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564393B0D0A20206669';
wwv_flow_api.g_varchar2_table(1137) := '6C6C3A20233432633564393B0D0A2020636F6C6F723A20233035313531373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1138) := '6368696C642834356E202B20313729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1139) := '20313729202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233432633564393B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1140) := '73203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(1141) := '636F6C6F723A20233432633564393B0D0A20207374726F6B653A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1142) := '6C6F723A20233538636363393B0D0A202066696C6C3A20233538636363393B0D0A2020636F6C6F723A20233039316331633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D62672C';
wwv_flow_api.g_varchar2_table(1143) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233538636363393B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1144) := '203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A202335';
wwv_flow_api.g_varchar2_table(1145) := '38636363393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1146) := '626F72646572207B0D0A2020626F726465722D636F6C6F723A20233538636363393B0D0A20207374726F6B653A20233538636363393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1147) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20233633626639643B0D0A202066696C6C3A20233633626639643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E';
wwv_flow_api.g_varchar2_table(1148) := '202B20313929202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233633';
wwv_flow_api.g_varchar2_table(1149) := '626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1150) := '74657874207B0D0A2020636F6C6F723A20233633626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1151) := '34356E202B20313929202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233633626639643B0D0A20207374726F6B653A20233633626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1152) := '2834356E202B20323029202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937663B0D0A202066696C6C3A20233961633937663B0D0A2020636F6C6F723A20233230333331363B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1153) := '7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1154) := '636B67726F756E642D636F6C6F723A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1155) := '34356E202B20323029202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D62642C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1156) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233961633937663B0D0A20207374726F6B653A20233961633937663B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1157) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537353B0D0A202066696C6C3A20236534653537353B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1158) := '3463346330663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1159) := '2D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D7478742C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1160) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129';
wwv_flow_api.g_varchar2_table(1161) := '202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236534653537353B0D0A20207374726F6B';
wwv_flow_api.g_varchar2_table(1162) := '653A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836653B0D0A202066696C6C3A2023';
wwv_flow_api.g_varchar2_table(1163) := '6663643836653B0D0A2020636F6C6F723A20233639346630323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1164) := '2834356E202B20323229202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2032322920';
wwv_flow_api.g_varchar2_table(1165) := '2E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1166) := '6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F72';
wwv_flow_api.g_varchar2_table(1167) := '3A20236663643836653B0D0A20207374726F6B653A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1168) := '236631396136353B0D0A202066696C6C3A20236631396136353B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D62672C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1169) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1170) := '74682D6368696C642834356E202B20323329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A2023663139613635';
wwv_flow_api.g_varchar2_table(1171) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D626F726465';
wwv_flow_api.g_varchar2_table(1172) := '72207B0D0A2020626F726465722D636F6C6F723A20236631396136353B0D0A20207374726F6B653A20236631396136353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F72207B0D0A20';
wwv_flow_api.g_varchar2_table(1173) := '206261636B67726F756E642D636F6C6F723A20236564376337363B0D0A202066696C6C3A20236564376337363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203234';
wwv_flow_api.g_varchar2_table(1174) := '29202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337363B';
wwv_flow_api.g_varchar2_table(1175) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D7465787420';
wwv_flow_api.g_varchar2_table(1176) := '7B0D0A2020636F6C6F723A20236564376337363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1177) := '20323429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376337363B0D0A20207374726F6B653A20236564376337363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1178) := '2B20323529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376461303B0D0A202066696C6C3A20236564376461303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1179) := '3A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1180) := '756E642D636F6C6F723A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1181) := '20323529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1182) := '203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376461303B0D0A20207374726F6B653A20236564376461303B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1183) := '73203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962313B0D0A202066696C6C3A20236435373962313B0D0A2020636F6C6F723A20236666666666';
wwv_flow_api.g_varchar2_table(1184) := '663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D6261636B';
wwv_flow_api.g_varchar2_table(1185) := '67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1186) := '203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D63';
wwv_flow_api.g_varchar2_table(1187) := '6F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236435373962313B0D0A20207374726F6B653A202364';
wwv_flow_api.g_varchar2_table(1188) := '35373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161663B0D0A202066696C6C3A20233964373161';
wwv_flow_api.g_varchar2_table(1189) := '663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1190) := '2B20323729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F';
wwv_flow_api.g_varchar2_table(1191) := '6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1192) := '68696C642834356E202B20323729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233964';
wwv_flow_api.g_varchar2_table(1193) := '373161663B0D0A20207374726F6B653A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A202337623836';
wwv_flow_api.g_varchar2_table(1194) := '62643B0D0A202066696C6C3A20233762383662643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1195) := '73203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1196) := '696C642834356E202B20323829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233762383662643B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1197) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D626F72646572207B0D0A';
wwv_flow_api.g_varchar2_table(1198) := '2020626F726465722D636F6C6F723A20233762383662643B0D0A20207374726F6B653A20233762383662643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F72207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(1199) := '67726F756E642D636F6C6F723A20236266633864313B0D0A202066696C6C3A20236266633864313B0D0A2020636F6C6F723A20233364343835343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D';
wwv_flow_api.g_varchar2_table(1200) := '636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236266633864313B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1201) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D74657874207B0D0A2020';
wwv_flow_api.g_varchar2_table(1202) := '636F6C6F723A20236266633864313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2032392920';
wwv_flow_api.g_varchar2_table(1203) := '2E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236266633864313B0D0A20207374726F6B653A20236266633864313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029';
wwv_flow_api.g_varchar2_table(1204) := '202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461643B0D0A202066696C6C3A20233862396461643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D';
wwv_flow_api.g_varchar2_table(1205) := '6368696C642834356E202B20333029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1206) := '6F6C6F723A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2033302920';
wwv_flow_api.g_varchar2_table(1207) := '2E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1208) := '74682D6368696C642834356E202B20333029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233862396461643B0D0A20207374726F6B653A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1209) := '6E74682D6368696C642834356E202B20333129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363613B0D0A202066696C6C3A20233139386363613B0D0A2020636F6C6F723A20236666666666663B0D0A7D';
wwv_flow_api.g_varchar2_table(1210) := '0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D6261636B67726F756E';
wwv_flow_api.g_varchar2_table(1211) := '64207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1212) := '74682D6368696C642834356E202B20333129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233139386363613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1213) := '62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233139386363613B0D0A20207374726F6B653A2023313938636361';
wwv_flow_api.g_varchar2_table(1214) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562653B0D0A202066696C6C3A20233032613562653B0D0A20';
wwv_flow_api.g_varchar2_table(1215) := '20636F6C6F723A20233030303030303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229';
wwv_flow_api.g_varchar2_table(1216) := '202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D74';
wwv_flow_api.g_varchar2_table(1217) := '78742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1218) := '34356E202B20333229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233032613562653B';
wwv_flow_api.g_varchar2_table(1219) := '0D0A20207374726F6B653A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161653B0D0A';
wwv_flow_api.g_varchar2_table(1220) := '202066696C6C3A20233138623161653B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1221) := '6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1222) := '356E202B20333329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233138623161653B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1223) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D626F72646572207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(1224) := '6465722D636F6C6F723A20233138623161653B0D0A20207374726F6B653A20233138623161653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F72207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(1225) := '642D636F6C6F723A20233234613437353B0D0A202066696C6C3A20233234613437353B0D0A2020636F6C6F723A20236566666266373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1226) := '2D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437353B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1227) := '6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1228) := '3A20233234613437353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F';
wwv_flow_api.g_varchar2_table(1229) := '6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233234613437353B0D0A20207374726F6B653A20233234613437353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D63';
wwv_flow_api.g_varchar2_table(1230) := '6F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233661616434323B0D0A202066696C6C3A20233661616434323B0D0A2020636F6C6F723A20233063313530363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64';
wwv_flow_api.g_varchar2_table(1231) := '2834356E202B20333529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1232) := '20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F';
wwv_flow_api.g_varchar2_table(1233) := '6C6F722D74657874207B0D0A2020636F6C6F723A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1234) := '696C642834356E202B20333529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233661616434323B0D0A20207374726F6B653A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1235) := '68696C642834356E202B20333629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236339636133393B0D0A202066696C6C3A20236339636133393B0D0A2020636F6C6F723A20233264326530343B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1236) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D6261636B67726F756E64207B0D0A';
wwv_flow_api.g_varchar2_table(1237) := '20206261636B67726F756E642D636F6C6F723A20236339636133393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1238) := '696C642834356E202B20333629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236339636133393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D62642C0D0A';
wwv_flow_api.g_varchar2_table(1239) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236339636133393B0D0A20207374726F6B653A20236339636133393B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1240) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133623B0D0A202066696C6C3A20236439623133623B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1241) := '723A20233436333430303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D63';
wwv_flow_api.g_varchar2_table(1242) := '6F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D7478742C0D0A';
wwv_flow_api.g_varchar2_table(1243) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1244) := '20333729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236439623133623B0D0A202073';
wwv_flow_api.g_varchar2_table(1245) := '74726F6B653A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132373B0D0A202066696C';
wwv_flow_api.g_varchar2_table(1246) := '6C3A20236437366132373B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1247) := '68696C642834356E202B20333829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1248) := '333829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1249) := '203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D63';
wwv_flow_api.g_varchar2_table(1250) := '6F6C6F723A20236437366132373B0D0A20207374726F6B653A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(1251) := '6F723A20236432343233623B0D0A202066696C6C3A20236432343233623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62672C0D';
wwv_flow_api.g_varchar2_table(1252) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236432343233623B0D0A7D0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1253) := '3E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236432';
wwv_flow_api.g_varchar2_table(1254) := '343233623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1255) := '6F72646572207B0D0A2020626F726465722D636F6C6F723A20236432343233623B0D0A20207374726F6B653A20236432343233623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F7220';
wwv_flow_api.g_varchar2_table(1256) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336663B0D0A202066696C6C3A20236431343336663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1257) := '2B20343029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023643134';
wwv_flow_api.g_varchar2_table(1258) := '3336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D74';
wwv_flow_api.g_varchar2_table(1259) := '657874207B0D0A2020636F6C6F723A20236431343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1260) := '356E202B20343029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236431343336663B0D0A20207374726F6B653A20236431343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1261) := '34356E202B20343129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438383B0D0A202066696C6C3A20236261336438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1262) := '73203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D6261636B67726F756E64207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(1263) := '6B67726F756E642D636F6C6F723A20236261336438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1264) := '356E202B20343129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236261336438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D62642C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1265) := '6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236261336438383B0D0A20207374726F6B653A20236261336438383B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1266) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339333B0D0A202066696C6C3A20233737333339333B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(1267) := '36656666393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1268) := '6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D7478742C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1269) := '6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2034322920';
wwv_flow_api.g_varchar2_table(1270) := '2E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233737333339333B0D0A20207374726F6B65';
wwv_flow_api.g_varchar2_table(1271) := '3A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561333B0D0A202066696C6C3A202333';
wwv_flow_api.g_varchar2_table(1272) := '64346561333B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1273) := '34356E202B20343329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E';
wwv_flow_api.g_varchar2_table(1274) := '752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1275) := '74682D6368696C642834356E202B20343329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1276) := '20233364346561333B0D0A20207374726F6B653A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1277) := '3863396562303B0D0A202066696C6C3A20233863396562303B0D0A2020636F6C6F723A20233238336134643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D62672C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1278) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74';
wwv_flow_api.g_varchar2_table(1279) := '682D6368696C642834356E202B20343429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233863396562303B';
wwv_flow_api.g_varchar2_table(1280) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D626F72646572';
wwv_flow_api.g_varchar2_table(1281) := '207B0D0A2020626F726465722D636F6C6F723A20233863396562303B0D0A20207374726F6B653A20233863396562303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F72207B0D0A2020';
wwv_flow_api.g_varchar2_table(1282) := '6261636B67726F756E642D636F6C6F723A20233465373339313B0D0A202066696C6C3A20233465373339313B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529';
wwv_flow_api.g_varchar2_table(1283) := '202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233465373339313B0D';
wwv_flow_api.g_varchar2_table(1284) := '0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D74657874207B';
wwv_flow_api.g_varchar2_table(1285) := '0D0A2020636F6C6F723A20233465373339313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1286) := '343529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233465373339313B0D0A20207374726F6B653A20233465373339313B0D0A7D0D0A0D0A2E752D636F6C6F722D31207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1287) := '2D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A202066696C6C3A20233330396664622021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1288) := '312D62672C0D0A2E752D636F6C6F722D312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A202066696C6C3A20233330396664622021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1289) := '0D0A7D0D0A2E752D636F6C6F722D312D7478742C0D0A2E752D636F6C6F722D312D74657874207B0D0A2020636F6C6F723A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D312D62642C0D0A2E752D636F6C6F722D31';
wwv_flow_api.g_varchar2_table(1290) := '2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A20207374726F6B653A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1291) := '636B67726F756E642D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A202066696C6C3A20233133623663662021696D706F7274616E743B0D0A2020636F6C6F723A20236534663966642021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1292) := '752D636F6C6F722D322D62672C0D0A2E752D636F6C6F722D322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A202066696C6C3A20233133623663662021696D';
wwv_flow_api.g_varchar2_table(1293) := '706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D322D7478742C0D0A2E752D636F6C6F722D322D74657874207B0D0A2020636F6C6F723A20233133623663662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D322D62642C0D0A2E75';
wwv_flow_api.g_varchar2_table(1294) := '2D636F6C6F722D322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A20207374726F6B653A20233133623663662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33';
wwv_flow_api.g_varchar2_table(1295) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A202066696C6C3A20233265626662632021696D706F7274616E743B0D0A2020636F6C6F723A20236630666366622021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1296) := '743B0D0A7D0D0A2E752D636F6C6F722D332D62672C0D0A2E752D636F6C6F722D332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A202066696C6C3A20233265';
wwv_flow_api.g_varchar2_table(1297) := '626662632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D332D7478742C0D0A2E752D636F6C6F722D332D74657874207B0D0A2020636F6C6F723A20233265626662632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33';
wwv_flow_api.g_varchar2_table(1298) := '2D62642C0D0A2E752D636F6C6F722D332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A20207374726F6B653A20233265626662632021696D706F7274616E743B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1299) := '2D636F6C6F722D34207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A202066696C6C3A20233363616638352021696D706F7274616E743B0D0A2020636F6C6F723A20236630666166362021';
wwv_flow_api.g_varchar2_table(1300) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D342D62672C0D0A2E752D636F6C6F722D342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A202066';
wwv_flow_api.g_varchar2_table(1301) := '696C6C3A20233363616638352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D342D7478742C0D0A2E752D636F6C6F722D342D74657874207B0D0A2020636F6C6F723A20233363616638352021696D706F7274616E743B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1302) := '2D636F6C6F722D342D62642C0D0A2E752D636F6C6F722D342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A20207374726F6B653A20233363616638352021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1303) := '3B0D0A7D0D0A2E752D636F6C6F722D35207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A202066696C6C3A20233831626235662021696D706F7274616E743B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1304) := '6666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D352D62672C0D0A2E752D636F6C6F722D352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235662021696D706F727461';
wwv_flow_api.g_varchar2_table(1305) := '6E743B0D0A202066696C6C3A20233831626235662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D352D7478742C0D0A2E752D636F6C6F722D352D74657874207B0D0A2020636F6C6F723A20233831626235662021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1306) := '3B0D0A7D0D0A2E752D636F6C6F722D352D62642C0D0A2E752D636F6C6F722D352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A20207374726F6B653A2023383162623566202169';
wwv_flow_api.g_varchar2_table(1307) := '6D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D36207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535332021696D706F7274616E743B0D0A202066696C6C3A20236464646535332021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1308) := '636F6C6F723A20233261326130382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D62672C0D0A2E752D636F6C6F722D362D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A202364646465353320';
wwv_flow_api.g_varchar2_table(1309) := '21696D706F7274616E743B0D0A202066696C6C3A20236464646535332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D7478742C0D0A2E752D636F6C6F722D362D74657874207B0D0A2020636F6C6F723A2023646464653533202169';
wwv_flow_api.g_varchar2_table(1310) := '6D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D62642C0D0A2E752D636F6C6F722D362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236464646535332021696D706F7274616E743B0D0A20207374726F6B653A202364';
wwv_flow_api.g_varchar2_table(1311) := '64646535332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D37207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A202066696C6C3A20236662636534612021696D706F7274';
wwv_flow_api.g_varchar2_table(1312) := '616E743B0D0A2020636F6C6F723A20233434333330322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D62672C0D0A2E752D636F6C6F722D372D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1313) := '236662636534612021696D706F7274616E743B0D0A202066696C6C3A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D7478742C0D0A2E752D636F6C6F722D372D74657874207B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(1314) := '62636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D62642C0D0A2E752D636F6C6F722D372D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A20207374';
wwv_flow_api.g_varchar2_table(1315) := '726F6B653A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D38207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133652021696D706F7274616E743B0D0A202066696C6C3A2023656438313365';
wwv_flow_api.g_varchar2_table(1316) := '2021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D62672C0D0A2E752D636F6C6F722D382D6261636B67726F756E64207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1317) := '2D636F6C6F723A20236564383133652021696D706F7274616E743B0D0A202066696C6C3A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D7478742C0D0A2E752D636F6C6F722D382D74657874207B0D0A202063';
wwv_flow_api.g_varchar2_table(1318) := '6F6C6F723A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D62642C0D0A2E752D636F6C6F722D382D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564383133652021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1319) := '743B0D0A20207374726F6B653A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D39207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235342021696D706F7274616E743B0D0A202066696C6C3A';
wwv_flow_api.g_varchar2_table(1320) := '20236539356235342021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D62672C0D0A2E752D636F6C6F722D392D6261636B67726F756E64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1321) := '636B67726F756E642D636F6C6F723A20236539356235342021696D706F7274616E743B0D0A202066696C6C3A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D7478742C0D0A2E752D636F6C6F722D392D746578';
wwv_flow_api.g_varchar2_table(1322) := '74207B0D0A2020636F6C6F723A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D62642C0D0A2E752D636F6C6F722D392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236539356235342021';
wwv_flow_api.g_varchar2_table(1323) := '696D706F7274616E743B0D0A20207374726F6B653A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3130207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438382021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1324) := '0D0A202066696C6C3A20236538356438382021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D62672C0D0A2E752D636F6C6F722D31302D6261636B67726F';
wwv_flow_api.g_varchar2_table(1325) := '756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438382021696D706F7274616E743B0D0A202066696C6C3A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D7478742C0D0A2E75';
wwv_flow_api.g_varchar2_table(1326) := '2D636F6C6F722D31302D74657874207B0D0A2020636F6C6F723A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D62642C0D0A2E752D636F6C6F722D31302D626F72646572207B0D0A2020626F726465722D63';
wwv_flow_api.g_varchar2_table(1327) := '6F6C6F723A20236538356438382021696D706F7274616E743B0D0A20207374726F6B653A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3131207B0D0A20206261636B67726F756E642D636F6C6F723A2023636135';
wwv_flow_api.g_varchar2_table(1328) := '3839642021696D706F7274616E743B0D0A202066696C6C3A20236361353839642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31312D62672C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1329) := '6F6C6F722D31312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839642021696D706F7274616E743B0D0A202066696C6C3A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1330) := '6C6F722D31312D7478742C0D0A2E752D636F6C6F722D31312D74657874207B0D0A2020636F6C6F723A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31312D62642C0D0A2E752D636F6C6F722D31312D626F726465';
wwv_flow_api.g_varchar2_table(1331) := '72207B0D0A2020626F726465722D636F6C6F723A20236361353839642021696D706F7274616E743B0D0A20207374726F6B653A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3132207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1332) := '756E642D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A202066696C6C3A20233835346539622021696D706F7274616E743B0D0A2020636F6C6F723A20236636663066382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1333) := '6F722D31322D62672C0D0A2E752D636F6C6F722D31322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A202066696C6C3A20233835346539622021696D706F72';
wwv_flow_api.g_varchar2_table(1334) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D31322D7478742C0D0A2E752D636F6C6F722D31322D74657874207B0D0A2020636F6C6F723A20233835346539622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31322D62642C0D0A2E75';
wwv_flow_api.g_varchar2_table(1335) := '2D636F6C6F722D31322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A20207374726F6B653A20233835346539622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1336) := '3133207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A202066696C6C3A20233561363861642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274';
wwv_flow_api.g_varchar2_table(1337) := '616E743B0D0A7D0D0A2E752D636F6C6F722D31332D62672C0D0A2E752D636F6C6F722D31332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A202066696C6C3A';
wwv_flow_api.g_varchar2_table(1338) := '20233561363861642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31332D7478742C0D0A2E752D636F6C6F722D31332D74657874207B0D0A2020636F6C6F723A20233561363861642021696D706F7274616E743B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1339) := '6F6C6F722D31332D62642C0D0A2E752D636F6C6F722D31332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A20207374726F6B653A20233561363861642021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1340) := '3B0D0A7D0D0A2E752D636F6C6F722D3134207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163352021696D706F7274616E743B0D0A202066696C6C3A20236166626163352021696D706F7274616E743B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1341) := '233331336134342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D62672C0D0A2E752D636F6C6F722D31342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163352021696D706F';
wwv_flow_api.g_varchar2_table(1342) := '7274616E743B0D0A202066696C6C3A20236166626163352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D7478742C0D0A2E752D636F6C6F722D31342D74657874207B0D0A2020636F6C6F723A20236166626163352021696D706F';
wwv_flow_api.g_varchar2_table(1343) := '7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D62642C0D0A2E752D636F6C6F722D31342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236166626163352021696D706F7274616E743B0D0A20207374726F6B653A20236166';
wwv_flow_api.g_varchar2_table(1344) := '626163352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3135207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539382021696D706F7274616E743B0D0A202066696C6C3A20233665383539382021696D706F7274';
wwv_flow_api.g_varchar2_table(1345) := '616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D62672C0D0A2E752D636F6C6F722D31352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1346) := '3A20233665383539382021696D706F7274616E743B0D0A202066696C6C3A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D7478742C0D0A2E752D636F6C6F722D31352D74657874207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1347) := '3A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D62642C0D0A2E752D636F6C6F722D31352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233665383539382021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1348) := '0D0A20207374726F6B653A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3136207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265322021696D706F7274616E743B0D0A202066696C6C3A20';
wwv_flow_api.g_varchar2_table(1349) := '233539623265322021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D62672C0D0A2E752D636F6C6F722D31362D6261636B67726F756E64207B0D0A202062';
wwv_flow_api.g_varchar2_table(1350) := '61636B67726F756E642D636F6C6F723A20233539623265322021696D706F7274616E743B0D0A202066696C6C3A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D7478742C0D0A2E752D636F6C6F722D31362D';
wwv_flow_api.g_varchar2_table(1351) := '74657874207B0D0A2020636F6C6F723A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D62642C0D0A2E752D636F6C6F722D31362D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023353962';
wwv_flow_api.g_varchar2_table(1352) := '3265322021696D706F7274616E743B0D0A20207374726F6B653A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3137207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564392021696D706F72';
wwv_flow_api.g_varchar2_table(1353) := '74616E743B0D0A202066696C6C3A20233432633564392021696D706F7274616E743B0D0A2020636F6C6F723A20233035313531372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D62672C0D0A2E752D636F6C6F722D31372D6261';
wwv_flow_api.g_varchar2_table(1354) := '636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564392021696D706F7274616E743B0D0A202066696C6C3A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D747874';
wwv_flow_api.g_varchar2_table(1355) := '2C0D0A2E752D636F6C6F722D31372D74657874207B0D0A2020636F6C6F723A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D62642C0D0A2E752D636F6C6F722D31372D626F72646572207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(1356) := '6465722D636F6C6F723A20233432633564392021696D706F7274616E743B0D0A20207374726F6B653A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3138207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1357) := '20233538636363392021696D706F7274616E743B0D0A202066696C6C3A20233538636363392021696D706F7274616E743B0D0A2020636F6C6F723A20233039316331632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31382D62672C0D';
wwv_flow_api.g_varchar2_table(1358) := '0A2E752D636F6C6F722D31382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233538636363392021696D706F7274616E743B0D0A202066696C6C3A20233538636363392021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1359) := '2E752D636F6C6F722D31382D7478742C0D0A2E752D636F6C6F722D31382D74657874207B0D0A2020636F6C6F723A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31382D62642C0D0A2E752D636F6C6F722D31382D';
wwv_flow_api.g_varchar2_table(1360) := '626F72646572207B0D0A2020626F726465722D636F6C6F723A20233538636363392021696D706F7274616E743B0D0A20207374726F6B653A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3139207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1361) := '636B67726F756E642D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A202066696C6C3A20233633626639642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1362) := '752D636F6C6F722D31392D62672C0D0A2E752D636F6C6F722D31392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A202066696C6C3A20233633626639642021';
wwv_flow_api.g_varchar2_table(1363) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31392D7478742C0D0A2E752D636F6C6F722D31392D74657874207B0D0A2020636F6C6F723A20233633626639642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31392D6264';
wwv_flow_api.g_varchar2_table(1364) := '2C0D0A2E752D636F6C6F722D31392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A20207374726F6B653A20233633626639642021696D706F7274616E743B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1365) := '6F6C6F722D3230207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A202066696C6C3A20233961633937662021696D706F7274616E743B0D0A2020636F6C6F723A2023323033333136202169';
wwv_flow_api.g_varchar2_table(1366) := '6D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32302D62672C0D0A2E752D636F6C6F722D32302D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1367) := '66696C6C3A20233961633937662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32302D7478742C0D0A2E752D636F6C6F722D32302D74657874207B0D0A2020636F6C6F723A20233961633937662021696D706F7274616E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1368) := '0A2E752D636F6C6F722D32302D62642C0D0A2E752D636F6C6F722D32302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A20207374726F6B653A20233961633937662021696D706F';
wwv_flow_api.g_varchar2_table(1369) := '7274616E743B0D0A7D0D0A2E752D636F6C6F722D3231207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537352021696D706F7274616E743B0D0A202066696C6C3A20236534653537352021696D706F7274616E743B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1370) := '6C6F723A20233463346330662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D62672C0D0A2E752D636F6C6F722D32312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A202365346535373520';
wwv_flow_api.g_varchar2_table(1371) := '21696D706F7274616E743B0D0A202066696C6C3A20236534653537352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D7478742C0D0A2E752D636F6C6F722D32312D74657874207B0D0A2020636F6C6F723A202365346535373520';
wwv_flow_api.g_varchar2_table(1372) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D62642C0D0A2E752D636F6C6F722D32312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236534653537352021696D706F7274616E743B0D0A20207374726F6B65';
wwv_flow_api.g_varchar2_table(1373) := '3A20236534653537352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3232207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836652021696D706F7274616E743B0D0A202066696C6C3A2023666364383665202169';
wwv_flow_api.g_varchar2_table(1374) := '6D706F7274616E743B0D0A2020636F6C6F723A20233639346630322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D62672C0D0A2E752D636F6C6F722D32322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(1375) := '636F6C6F723A20236663643836652021696D706F7274616E743B0D0A202066696C6C3A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D7478742C0D0A2E752D636F6C6F722D32322D74657874207B0D0A2020';
wwv_flow_api.g_varchar2_table(1376) := '636F6C6F723A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D62642C0D0A2E752D636F6C6F722D32322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236663643836652021696D706F72';
wwv_flow_api.g_varchar2_table(1377) := '74616E743B0D0A20207374726F6B653A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3233207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136352021696D706F7274616E743B0D0A202066';
wwv_flow_api.g_varchar2_table(1378) := '696C6C3A20236631396136352021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D62672C0D0A2E752D636F6C6F722D32332D6261636B67726F756E64207B';
wwv_flow_api.g_varchar2_table(1379) := '0D0A20206261636B67726F756E642D636F6C6F723A20236631396136352021696D706F7274616E743B0D0A202066696C6C3A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D7478742C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1380) := '722D32332D74657874207B0D0A2020636F6C6F723A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D62642C0D0A2E752D636F6C6F722D32332D626F72646572207B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1381) := '20236631396136352021696D706F7274616E743B0D0A20207374726F6B653A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3234207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337362021';
wwv_flow_api.g_varchar2_table(1382) := '696D706F7274616E743B0D0A202066696C6C3A20236564376337362021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D62672C0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1383) := '32342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337362021696D706F7274616E743B0D0A202066696C6C3A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32';
wwv_flow_api.g_varchar2_table(1384) := '342D7478742C0D0A2E752D636F6C6F722D32342D74657874207B0D0A2020636F6C6F723A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D62642C0D0A2E752D636F6C6F722D32342D626F72646572207B0D0A';
wwv_flow_api.g_varchar2_table(1385) := '2020626F726465722D636F6C6F723A20236564376337362021696D706F7274616E743B0D0A20207374726F6B653A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3235207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1386) := '6F6C6F723A20236564376461302021696D706F7274616E743B0D0A202066696C6C3A20236564376461302021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3235';
wwv_flow_api.g_varchar2_table(1387) := '2D62672C0D0A2E752D636F6C6F722D32352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376461302021696D706F7274616E743B0D0A202066696C6C3A20236564376461302021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1388) := '0D0A7D0D0A2E752D636F6C6F722D32352D7478742C0D0A2E752D636F6C6F722D32352D74657874207B0D0A2020636F6C6F723A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32352D62642C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1389) := '722D32352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376461302021696D706F7274616E743B0D0A20207374726F6B653A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3236207B0D';
wwv_flow_api.g_varchar2_table(1390) := '0A20206261636B67726F756E642D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A202066696C6C3A20236435373962312021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1391) := '0A7D0D0A2E752D636F6C6F722D32362D62672C0D0A2E752D636F6C6F722D32362D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A202066696C6C3A2023643537';
wwv_flow_api.g_varchar2_table(1392) := '3962312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32362D7478742C0D0A2E752D636F6C6F722D32362D74657874207B0D0A2020636F6C6F723A20236435373962312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1393) := '32362D62642C0D0A2E752D636F6C6F722D32362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A20207374726F6B653A20236435373962312021696D706F7274616E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1394) := '0A2E752D636F6C6F722D3237207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A202066696C6C3A20233964373161662021696D706F7274616E743B0D0A2020636F6C6F723A202366666666';
wwv_flow_api.g_varchar2_table(1395) := '66662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32372D62672C0D0A2E752D636F6C6F722D32372D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161662021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1396) := '3B0D0A202066696C6C3A20233964373161662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32372D7478742C0D0A2E752D636F6C6F722D32372D74657874207B0D0A2020636F6C6F723A20233964373161662021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1397) := '3B0D0A7D0D0A2E752D636F6C6F722D32372D62642C0D0A2E752D636F6C6F722D32372D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A20207374726F6B653A202339643731616620';
wwv_flow_api.g_varchar2_table(1398) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3238207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662642021696D706F7274616E743B0D0A202066696C6C3A20233762383662642021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1399) := '0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D62672C0D0A2E752D636F6C6F722D32382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233762';
wwv_flow_api.g_varchar2_table(1400) := '383662642021696D706F7274616E743B0D0A202066696C6C3A20233762383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D7478742C0D0A2E752D636F6C6F722D32382D74657874207B0D0A2020636F6C6F723A20233762';
wwv_flow_api.g_varchar2_table(1401) := '383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D62642C0D0A2E752D636F6C6F722D32382D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233762383662642021696D706F7274616E743B0D0A202073';
wwv_flow_api.g_varchar2_table(1402) := '74726F6B653A20233762383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3239207B0D0A20206261636B67726F756E642D636F6C6F723A20236266633864312021696D706F7274616E743B0D0A202066696C6C3A202362666338';
wwv_flow_api.g_varchar2_table(1403) := '64312021696D706F7274616E743B0D0A2020636F6C6F723A20233364343835342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D62672C0D0A2E752D636F6C6F722D32392D6261636B67726F756E64207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1404) := '6F756E642D636F6C6F723A20236266633864312021696D706F7274616E743B0D0A202066696C6C3A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D7478742C0D0A2E752D636F6C6F722D32392D7465787420';
wwv_flow_api.g_varchar2_table(1405) := '7B0D0A2020636F6C6F723A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D62642C0D0A2E752D636F6C6F722D32392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236266633864312021';
wwv_flow_api.g_varchar2_table(1406) := '696D706F7274616E743B0D0A20207374726F6B653A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3330207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461642021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1407) := '0D0A202066696C6C3A20233862396461642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D62672C0D0A2E752D636F6C6F722D33302D6261636B67726F';
wwv_flow_api.g_varchar2_table(1408) := '756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461642021696D706F7274616E743B0D0A202066696C6C3A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D7478742C0D0A2E75';
wwv_flow_api.g_varchar2_table(1409) := '2D636F6C6F722D33302D74657874207B0D0A2020636F6C6F723A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D62642C0D0A2E752D636F6C6F722D33302D626F72646572207B0D0A2020626F726465722D63';
wwv_flow_api.g_varchar2_table(1410) := '6F6C6F723A20233862396461642021696D706F7274616E743B0D0A20207374726F6B653A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3331207B0D0A20206261636B67726F756E642D636F6C6F723A2023313938';
wwv_flow_api.g_varchar2_table(1411) := '6363612021696D706F7274616E743B0D0A202066696C6C3A20233139386363612021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33312D62672C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1412) := '6F6C6F722D33312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363612021696D706F7274616E743B0D0A202066696C6C3A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1413) := '6C6F722D33312D7478742C0D0A2E752D636F6C6F722D33312D74657874207B0D0A2020636F6C6F723A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33312D62642C0D0A2E752D636F6C6F722D33312D626F726465';
wwv_flow_api.g_varchar2_table(1414) := '72207B0D0A2020626F726465722D636F6C6F723A20233139386363612021696D706F7274616E743B0D0A20207374726F6B653A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3332207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1415) := '756E642D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A202066696C6C3A20233032613562652021696D706F7274616E743B0D0A2020636F6C6F723A20233030303030302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1416) := '6F722D33322D62672C0D0A2E752D636F6C6F722D33322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A202066696C6C3A20233032613562652021696D706F72';
wwv_flow_api.g_varchar2_table(1417) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D33322D7478742C0D0A2E752D636F6C6F722D33322D74657874207B0D0A2020636F6C6F723A20233032613562652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33322D62642C0D0A2E75';
wwv_flow_api.g_varchar2_table(1418) := '2D636F6C6F722D33322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A20207374726F6B653A20233032613562652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1419) := '3333207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A202066696C6C3A20233138623161652021696D706F7274616E743B0D0A2020636F6C6F723A20233030303030302021696D706F7274';
wwv_flow_api.g_varchar2_table(1420) := '616E743B0D0A7D0D0A2E752D636F6C6F722D33332D62672C0D0A2E752D636F6C6F722D33332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A202066696C6C3A';
wwv_flow_api.g_varchar2_table(1421) := '20233138623161652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33332D7478742C0D0A2E752D636F6C6F722D33332D74657874207B0D0A2020636F6C6F723A20233138623161652021696D706F7274616E743B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1422) := '6F6C6F722D33332D62642C0D0A2E752D636F6C6F722D33332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A20207374726F6B653A20233138623161652021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(1423) := '3B0D0A7D0D0A2E752D636F6C6F722D3334207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437352021696D706F7274616E743B0D0A202066696C6C3A20233234613437352021696D706F7274616E743B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1424) := '236566666266372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D62672C0D0A2E752D636F6C6F722D33342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437352021696D706F';
wwv_flow_api.g_varchar2_table(1425) := '7274616E743B0D0A202066696C6C3A20233234613437352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D7478742C0D0A2E752D636F6C6F722D33342D74657874207B0D0A2020636F6C6F723A20233234613437352021696D706F';
wwv_flow_api.g_varchar2_table(1426) := '7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D62642C0D0A2E752D636F6C6F722D33342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233234613437352021696D706F7274616E743B0D0A20207374726F6B653A20233234';
wwv_flow_api.g_varchar2_table(1427) := '613437352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3335207B0D0A20206261636B67726F756E642D636F6C6F723A20233661616434322021696D706F7274616E743B0D0A202066696C6C3A20233661616434322021696D706F7274';
wwv_flow_api.g_varchar2_table(1428) := '616E743B0D0A2020636F6C6F723A20233063313530362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D62672C0D0A2E752D636F6C6F722D33352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1429) := '3A20233661616434322021696D706F7274616E743B0D0A202066696C6C3A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D7478742C0D0A2E752D636F6C6F722D33352D74657874207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1430) := '3A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D62642C0D0A2E752D636F6C6F722D33352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233661616434322021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1431) := '0D0A20207374726F6B653A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3336207B0D0A20206261636B67726F756E642D636F6C6F723A20236339636133392021696D706F7274616E743B0D0A202066696C6C3A20';
wwv_flow_api.g_varchar2_table(1432) := '236339636133392021696D706F7274616E743B0D0A2020636F6C6F723A20233264326530342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D62672C0D0A2E752D636F6C6F722D33362D6261636B67726F756E64207B0D0A202062';
wwv_flow_api.g_varchar2_table(1433) := '61636B67726F756E642D636F6C6F723A20236339636133392021696D706F7274616E743B0D0A202066696C6C3A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D7478742C0D0A2E752D636F6C6F722D33362D';
wwv_flow_api.g_varchar2_table(1434) := '74657874207B0D0A2020636F6C6F723A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D62642C0D0A2E752D636F6C6F722D33362D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023633963';
wwv_flow_api.g_varchar2_table(1435) := '6133392021696D706F7274616E743B0D0A20207374726F6B653A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3337207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133622021696D706F72';
wwv_flow_api.g_varchar2_table(1436) := '74616E743B0D0A202066696C6C3A20236439623133622021696D706F7274616E743B0D0A2020636F6C6F723A20233436333430302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D62672C0D0A2E752D636F6C6F722D33372D6261';
wwv_flow_api.g_varchar2_table(1437) := '636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133622021696D706F7274616E743B0D0A202066696C6C3A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D747874';
wwv_flow_api.g_varchar2_table(1438) := '2C0D0A2E752D636F6C6F722D33372D74657874207B0D0A2020636F6C6F723A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D62642C0D0A2E752D636F6C6F722D33372D626F72646572207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(1439) := '6465722D636F6C6F723A20236439623133622021696D706F7274616E743B0D0A20207374726F6B653A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3338207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1440) := '20236437366132372021696D706F7274616E743B0D0A202066696C6C3A20236437366132372021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33382D62672C0D';
wwv_flow_api.g_varchar2_table(1441) := '0A2E752D636F6C6F722D33382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132372021696D706F7274616E743B0D0A202066696C6C3A20236437366132372021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1442) := '2E752D636F6C6F722D33382D7478742C0D0A2E752D636F6C6F722D33382D74657874207B0D0A2020636F6C6F723A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33382D62642C0D0A2E752D636F6C6F722D33382D';
wwv_flow_api.g_varchar2_table(1443) := '626F72646572207B0D0A2020626F726465722D636F6C6F723A20236437366132372021696D706F7274616E743B0D0A20207374726F6B653A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3339207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1444) := '636B67726F756E642D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A202066696C6C3A20236432343233622021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1445) := '752D636F6C6F722D33392D62672C0D0A2E752D636F6C6F722D33392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A202066696C6C3A20236432343233622021';
wwv_flow_api.g_varchar2_table(1446) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33392D7478742C0D0A2E752D636F6C6F722D33392D74657874207B0D0A2020636F6C6F723A20236432343233622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33392D6264';
wwv_flow_api.g_varchar2_table(1447) := '2C0D0A2E752D636F6C6F722D33392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A20207374726F6B653A20236432343233622021696D706F7274616E743B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1448) := '6F6C6F722D3430207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A202066696C6C3A20236431343336662021696D706F7274616E743B0D0A2020636F6C6F723A2023666666666666202169';
wwv_flow_api.g_varchar2_table(1449) := '6D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34302D62672C0D0A2E752D636F6C6F722D34302D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1450) := '66696C6C3A20236431343336662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34302D7478742C0D0A2E752D636F6C6F722D34302D74657874207B0D0A2020636F6C6F723A20236431343336662021696D706F7274616E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1451) := '0A2E752D636F6C6F722D34302D62642C0D0A2E752D636F6C6F722D34302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A20207374726F6B653A20236431343336662021696D706F';
wwv_flow_api.g_varchar2_table(1452) := '7274616E743B0D0A7D0D0A2E752D636F6C6F722D3431207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438382021696D706F7274616E743B0D0A202066696C6C3A20236261336438382021696D706F7274616E743B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1453) := '6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D62672C0D0A2E752D636F6C6F722D34312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A202362613364383820';
wwv_flow_api.g_varchar2_table(1454) := '21696D706F7274616E743B0D0A202066696C6C3A20236261336438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D7478742C0D0A2E752D636F6C6F722D34312D74657874207B0D0A2020636F6C6F723A202362613364383820';
wwv_flow_api.g_varchar2_table(1455) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D62642C0D0A2E752D636F6C6F722D34312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236261336438382021696D706F7274616E743B0D0A20207374726F6B65';
wwv_flow_api.g_varchar2_table(1456) := '3A20236261336438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3432207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339332021696D706F7274616E743B0D0A202066696C6C3A2023373733333933202169';
wwv_flow_api.g_varchar2_table(1457) := '6D706F7274616E743B0D0A2020636F6C6F723A20236636656666392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D62672C0D0A2E752D636F6C6F722D34322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(1458) := '636F6C6F723A20233737333339332021696D706F7274616E743B0D0A202066696C6C3A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D7478742C0D0A2E752D636F6C6F722D34322D74657874207B0D0A2020';
wwv_flow_api.g_varchar2_table(1459) := '636F6C6F723A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D62642C0D0A2E752D636F6C6F722D34322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233737333339332021696D706F72';
wwv_flow_api.g_varchar2_table(1460) := '74616E743B0D0A20207374726F6B653A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3433207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561332021696D706F7274616E743B0D0A202066';
wwv_flow_api.g_varchar2_table(1461) := '696C6C3A20233364346561332021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D62672C0D0A2E752D636F6C6F722D34332D6261636B67726F756E64207B';
wwv_flow_api.g_varchar2_table(1462) := '0D0A20206261636B67726F756E642D636F6C6F723A20233364346561332021696D706F7274616E743B0D0A202066696C6C3A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D7478742C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1463) := '722D34332D74657874207B0D0A2020636F6C6F723A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D62642C0D0A2E752D636F6C6F722D34332D626F72646572207B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1464) := '20233364346561332021696D706F7274616E743B0D0A20207374726F6B653A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3434207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562302021';
wwv_flow_api.g_varchar2_table(1465) := '696D706F7274616E743B0D0A202066696C6C3A20233863396562302021696D706F7274616E743B0D0A2020636F6C6F723A20233238336134642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D62672C0D0A2E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1466) := '34342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562302021696D706F7274616E743B0D0A202066696C6C3A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34';
wwv_flow_api.g_varchar2_table(1467) := '342D7478742C0D0A2E752D636F6C6F722D34342D74657874207B0D0A2020636F6C6F723A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D62642C0D0A2E752D636F6C6F722D34342D626F72646572207B0D0A';
wwv_flow_api.g_varchar2_table(1468) := '2020626F726465722D636F6C6F723A20233863396562302021696D706F7274616E743B0D0A20207374726F6B653A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3435207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1469) := '6F6C6F723A20233465373339312021696D706F7274616E743B0D0A202066696C6C3A20233465373339312021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3435';
wwv_flow_api.g_varchar2_table(1470) := '2D62672C0D0A2E752D636F6C6F722D34352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233465373339312021696D706F7274616E743B0D0A202066696C6C3A20233465373339312021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1471) := '0D0A7D0D0A2E752D636F6C6F722D34352D7478742C0D0A2E752D636F6C6F722D34352D74657874207B0D0A2020636F6C6F723A20233465373339312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34352D62642C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1472) := '722D34352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233465373339312021696D706F7274616E743B0D0A20207374726F6B653A20233465373339312021696D706F7274616E743B0D0A7D0D0A0D0A2E752D636F6C6F722D747261';
wwv_flow_api.g_varchar2_table(1473) := '6E73706172656E74207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A2020636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1474) := '6F722D7472616E73706172656E742D6267207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D7472616E73706172656E742D7478742C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1475) := '6F6C6F722D7472616E73706172656E742D74657874207B0D0A2020636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D7472616E73706172656E742D62642C0D0A2E752D636F6C6F722D747261';
wwv_flow_api.g_varchar2_table(1476) := '6E73706172656E742D626F72646572207B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A0D0A2F2A200D0A202A204F7261636C65204170706C69636174696F6E204578707265737320';
wwv_flow_api.g_varchar2_table(1477) := '352E30205468656D6520526F6C6C657220437573746F6D20435353200D0A202A0D0A202A2F0D0A0D0A2E742D4865616465722D6272616E64696E677B0D0A096261636B67726F756E642D636F6C6F723A20233231323532383B0D0A7D0D0A0D0A406D6564';
wwv_flow_api.g_varchar2_table(1478) := '69612028707265666572732D636F6C6F722D736368656D653A206C6967687429207B0D0A092E742D4865616465722D6272616E64696E677B0D0A09096261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020097D0D0A7D0D0A0D0A2E';
wwv_flow_api.g_varchar2_table(1479) := '61752D6772616469656E742D69636F6E3A6265666F72657B0D0A096261636B67726F756E642D696D6167653A206C696E6561722D6772616469656E7428746F20746F702072696768742C20233030373664662C233342414132432C234642434534412C23';
wwv_flow_api.g_varchar2_table(1480) := '663434333336293B0D0A092D7765626B69742D6261636B67726F756E642D636C69703A20746578743B0D0A092D7765626B69742D746578742D66696C6C2D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A0D0A2E61752D6E61766261722D6C';
wwv_flow_api.g_varchar2_table(1481) := '6F676F7B0D0A096D617267696E2D72696768743A203870783B0D0A09666F6E742D73697A653A20323670783B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E677B0D0A09626F726465722D626F74746F6D3A2035707820736F6C69643B0D0A';
wwv_flow_api.g_varchar2_table(1482) := '20202020626F726465722D696D6167653A20726570656174696E672D6C696E6561722D6772616469656E74282039306465672C20233342414132432C202333424141324320343070782C202366343433333620343070782C202366343433333620383070';
wwv_flow_api.g_varchar2_table(1483) := '782C202346424345344120383070782C20234642434534412031323070782C20233030373664662031323070782C2023303037366466203136307078202920353B0D0A20202020626F726465722D746F703A203070783B0D0A09626F726465722D6C6566';
wwv_flow_api.g_varchar2_table(1484) := '743A203070783B0D0A09626F726465722D72696768743A203070783B0D0A7D0D0A2E742D4865616465722D6C6F676F7B0D0A20202020746578742D616C69676E3A2063656E7465723B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B7B0D0A';
wwv_flow_api.g_varchar2_table(1485) := '20202020666F6E742D73697A653A20313330253B0D0A7D';
null;
end;
/
begin
wwv_flow_api.create_theme_file(
 p_id=>wwv_flow_api.id(21788346041056948)
,p_theme_id=>42
,p_file_name=>'21787957749056942.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/user_interface/theme_display_points
begin
null;
end;
/
prompt --application/shared_components/user_interface/template_opt_groups
begin
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508905694752251811)
,p_theme_id=>42
,p_name=>'ALERT_TITLE'
,p_display_name=>'Alert Title'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the title of the alert is displayed.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508906307409251812)
,p_theme_id=>42
,p_name=>'ALERT_ICONS'
,p_display_name=>'Alert Icons'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets how icons are handled for the Alert Region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508906626299251812)
,p_theme_id=>42
,p_name=>'ALERT_TYPE'
,p_display_name=>'Alert Type'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_help_text=>'Sets the type of alert which can be used to determine the icon, icon color, and the background color.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508907309847251813)
,p_theme_id=>42
,p_name=>'ALERT_DISPLAY'
,p_display_name=>'Alert Display'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the layout of the Alert Region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508910665398251819)
,p_theme_id=>42
,p_name=>'BODY_HEIGHT'
,p_display_name=>'Body Height'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body height. You can also specify a custom height by modifying the Region''s CSS Classes and using the height helper classes "i-hXXX" where XXX is any increment of 10 from 100 to 800.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508911673684251824)
,p_theme_id=>42
,p_name=>'TIMER'
,p_display_name=>'Timer'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets the timer for when to automatically navigate to the next region within the Carousel Region.'
,p_null_text=>'No Timer'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508913048226251826)
,p_theme_id=>42
,p_name=>'ACCENT'
,p_display_name=>'Accent'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_help_text=>'Set the Region''s accent. This accent corresponds to a Theme-Rollable color and sets the background of the Region''s Header.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508914219700251830)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the animation when navigating within the Carousel Region.'
,p_null_text=>'Fade'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508914911766251830)
,p_theme_id=>42
,p_name=>'BODY_OVERFLOW'
,p_display_name=>'Body Overflow'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the scroll behavior when the region contents are larger than their container.'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508915247389251832)
,p_theme_id=>42
,p_name=>'HEADER'
,p_display_name=>'Header'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Determines the display of the Region Header which also contains the Region Title.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508915632544251833)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the region is styled. Use the "Remove Borders" template option to remove the region''s borders and shadows.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508918146347251836)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON'
,p_display_name=>'Display Icon'
,p_display_sequence=>50
,p_template_types=>'REGION'
,p_help_text=>'Display the Hero Region icon.'
,p_null_text=>'Yes (Default)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508919492246251837)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Dialog Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508921837403251839)
,p_theme_id=>42
,p_name=>'BODY_PADDING'
,p_display_name=>'Body Padding'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body padding for the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508924501609251842)
,p_theme_id=>42
,p_name=>'DEFAULT_STATE'
,p_display_name=>'Default State'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the default state of the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508927678030251845)
,p_theme_id=>42
,p_name=>'REGION_TITLE'
,p_display_name=>'Region Title'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the source of the Title Bar region''s title.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508928443534251846)
,p_theme_id=>42
,p_name=>'BODY_STYLE'
,p_display_name=>'Body Style'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the region''s body container.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508938155949251855)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508938592377251855)
,p_theme_id=>42
,p_name=>'TABS_SIZE'
,p_display_name=>'Tabs Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508939003612251856)
,p_theme_id=>42
,p_name=>'TAB_STYLE'
,p_display_name=>'Tab Style'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508941303355251858)
,p_theme_id=>42
,p_name=>'HIDE_STEPS_FOR'
,p_display_name=>'Hide Steps For'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508942226217251862)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the overall style for the component.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508942910788251863)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Determines the layout of Cards in the report.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508944076041251863)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>35
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508945659679251865)
,p_theme_id=>42
,p_name=>'LABEL_WIDTH'
,p_display_name=>'Label Width'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508951284991251870)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508953092041251873)
,p_theme_id=>42
,p_name=>'ALTERNATING_ROWS'
,p_display_name=>'Alternating Rows'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Shades alternate rows in the report with slightly different background colors.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508953480601251873)
,p_theme_id=>42
,p_name=>'REPORT_BORDER'
,p_display_name=>'Report Border'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of the Report''s borders.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508954292333251873)
,p_theme_id=>42
,p_name=>'ROW_HIGHLIGHTING'
,p_display_name=>'Row Highlighting'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Determines whether you want the row to be highlighted on hover.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508955626632251874)
,p_theme_id=>42
,p_name=>'COMMENTS_STYLE'
,p_display_name=>'Comments Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the style in which comments are displayed.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508957301664251876)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>70
,p_template_types=>'REPORT'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508958445806251877)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'REPORT'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508959298913251878)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Controls how to handle icons in the report.'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508961625139251898)
,p_theme_id=>42
,p_name=>'MOBILE'
,p_display_name=>'Mobile'
,p_display_sequence=>100
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a mobile-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508962037510251899)
,p_theme_id=>42
,p_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_sequence=>90
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a desktop-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508963303137251901)
,p_theme_id=>42
,p_name=>'LABEL_DISPLAY'
,p_display_name=>'Label Display'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508965452090251903)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508965823350251904)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508967640868251905)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>70
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508970420453251908)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508974035816251911)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>80
,p_template_types=>'LIST'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508975223508251913)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'LIST'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508976086149251913)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508981277746251918)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508982910804251928)
,p_theme_id=>42
,p_name=>'ICON_POSITION'
,p_display_name=>'Icon Position'
,p_display_sequence=>50
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the position of the icon relative to the label.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508984983802251971)
,p_theme_id=>42
,p_name=>'BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the bottom margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508985345181251972)
,p_theme_id=>42
,p_name=>'REGION_BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>210
,p_template_types=>'REGION'
,p_help_text=>'Set the bottom margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508986922751251974)
,p_theme_id=>42
,p_name=>'LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the left margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508987355727251974)
,p_theme_id=>42
,p_name=>'REGION_LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'REGION'
,p_help_text=>'Set the left margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508988993418251975)
,p_theme_id=>42
,p_name=>'RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'FIELD'
,p_help_text=>'Set the right margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508989323090251976)
,p_theme_id=>42
,p_name=>'REGION_RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'REGION'
,p_help_text=>'Set the right margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508990980387251978)
,p_theme_id=>42
,p_name=>'TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'FIELD'
,p_help_text=>'Set the top margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508991357386251978)
,p_theme_id=>42
,p_name=>'REGION_TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'REGION'
,p_help_text=>'Set the top margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508992966078251981)
,p_theme_id=>42
,p_name=>'TYPE'
,p_display_name=>'Type'
,p_display_sequence=>20
,p_template_types=>'BUTTON'
,p_null_text=>'Normal'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508993405816251981)
,p_theme_id=>42
,p_name=>'SPACING_BOTTOM'
,p_display_name=>'Spacing Bottom'
,p_display_sequence=>100
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the bottom of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508993716041251982)
,p_theme_id=>42
,p_name=>'SPACING_LEFT'
,p_display_name=>'Spacing Left'
,p_display_sequence=>70
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the left of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508994186759251983)
,p_theme_id=>42
,p_name=>'SPACING_RIGHT'
,p_display_name=>'Spacing Right'
,p_display_sequence=>80
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the right of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508994522070251983)
,p_theme_id=>42
,p_name=>'SPACING_TOP'
,p_display_name=>'Spacing Top'
,p_display_sequence=>90
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the top of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508994948456251983)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the size of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508995382471251985)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>30
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the style of the button. Use the "Simple" option for secondary actions or sets of buttons. Use the "Remove UI Decoration" option to make the button appear as text.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508996811024251988)
,p_theme_id=>42
,p_name=>'BUTTON_SET'
,p_display_name=>'Button Set'
,p_display_sequence=>40
,p_template_types=>'BUTTON'
,p_help_text=>'Enables you to group many buttons together into a pill. You can use this option to specify where the button is within this set. Set the option to Default if this button is not part of a button set.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508998194550251989)
,p_theme_id=>42
,p_name=>'WIDTH'
,p_display_name=>'Width'
,p_display_sequence=>60
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the width of the button.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508999200972251991)
,p_theme_id=>42
,p_name=>'LABEL_POSITION'
,p_display_name=>'Label Position'
,p_display_sequence=>140
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the label relative to the form item.'
,p_null_text=>'Inline - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508999546123251992)
,p_theme_id=>42
,p_name=>'ITEM_SIZE'
,p_display_name=>'Item Size'
,p_display_sequence=>110
,p_template_types=>'REGION'
,p_help_text=>'Sets the size of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27508999973468251993)
,p_theme_id=>42
,p_name=>'LABEL_ALIGNMENT'
,p_display_name=>'Label Alignment'
,p_display_sequence=>130
,p_template_types=>'REGION'
,p_help_text=>'Set the label text alignment for items within this region.'
,p_null_text=>'Right'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509000335801251993)
,p_theme_id=>42
,p_name=>'ITEM_PADDING'
,p_display_name=>'Item Padding'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the padding around items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509000938184251995)
,p_theme_id=>42
,p_name=>'ITEM_WIDTH'
,p_display_name=>'Item Width'
,p_display_sequence=>120
,p_template_types=>'REGION'
,p_help_text=>'Sets the width of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509001528038251996)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509001933817251996)
,p_theme_id=>42
,p_name=>'ITEM_POST_TEXT'
,p_display_name=>'Item Post Text'
,p_display_sequence=>30
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Post Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509002369461251997)
,p_theme_id=>42
,p_name=>'ITEM_PRE_TEXT'
,p_display_name=>'Item Pre Text'
,p_display_sequence=>20
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Pre Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509002753726251998)
,p_theme_id=>42
,p_name=>'RADIO_GROUP_DISPLAY'
,p_display_name=>'Item Group Display'
,p_display_sequence=>300
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for radio and check box items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(27509003544141251999)
,p_theme_id=>42
,p_name=>'PAGINATION_DISPLAY'
,p_display_name=>'Pagination Display'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of pagination for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
end;
/
prompt --application/shared_components/user_interface/template_options
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16976962591699505)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16977359695699506)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16977610811699506)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16978093892699507)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16978421045699507)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16978828004699507)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16979221767699507)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16979680469699508)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16980099309699508)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16980498776699508)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16980818950699508)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(27508974035816251911)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16981270716699508)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16981634489699508)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(27508976086149251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16982035918699509)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(27508976086149251913)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16982429014699509)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16982835138699509)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16983221159699509)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16983649274699509)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16984025220699509)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(27508974035816251911)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16984449142699510)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(16984824984699510)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(16976597349699504)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(23056461520966713)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(23052567984966707)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508887433361251788)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(27508884482996251767)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508888726087251790)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(27508887545512251788)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508889006192251790)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_api.id(27508887545512251788)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508891052642251792)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(27508889825296251791)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508891281163251792)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_api.id(27508889825296251791)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508894082671251794)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(27508891375471251792)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508896853277251796)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(27508894189113251794)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508899951073251799)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(27508896946484251796)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508902432977251801)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(27508900055178251799)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508904994384251803)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(27508902586554251801)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508905872815251811)
,p_theme_id=>42
,p_name=>'HIDDENHEADER'
,p_display_name=>'Hidden but Accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--accessibleHeading'
,p_group_id=>wwv_flow_api.id(27508905694752251811)
,p_template_types=>'REGION'
,p_help_text=>'Visually hides the alert title, but assistive technologies can still read it.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508906014134251812)
,p_theme_id=>42
,p_name=>'COLOREDBACKGROUND'
,p_display_name=>'Highlight Background'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--colorBG'
,p_template_types=>'REGION'
,p_help_text=>'Set alert background color to that of the alert type (warning, success, etc.)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508906469918251812)
,p_theme_id=>42
,p_name=>'SHOW_CUSTOM_ICONS'
,p_display_name=>'Show Custom Icons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--customIcons'
,p_group_id=>wwv_flow_api.id(27508906307409251812)
,p_template_types=>'REGION'
,p_help_text=>'Set custom icons by modifying the Alert Region''s Icon CSS Classes property.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508906869185251813)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--danger'
,p_group_id=>wwv_flow_api.id(27508906626299251812)
,p_template_types=>'REGION'
,p_help_text=>'Show an error or danger alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508907047472251813)
,p_theme_id=>42
,p_name=>'USEDEFAULTICONS'
,p_display_name=>'Show Default Icons'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--defaultIcons'
,p_group_id=>wwv_flow_api.id(27508906307409251812)
,p_template_types=>'REGION'
,p_help_text=>'Uses default icons for alert types.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508907443814251813)
,p_theme_id=>42
,p_name=>'HORIZONTAL'
,p_display_name=>'Horizontal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--horizontal'
,p_group_id=>wwv_flow_api.id(27508907309847251813)
,p_template_types=>'REGION'
,p_help_text=>'Show horizontal alert with buttons to the right.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508907636849251813)
,p_theme_id=>42
,p_name=>'INFORMATION'
,p_display_name=>'Information'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--info'
,p_group_id=>wwv_flow_api.id(27508906626299251812)
,p_template_types=>'REGION'
,p_help_text=>'Show informational alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508907820696251813)
,p_theme_id=>42
,p_name=>'HIDE_ICONS'
,p_display_name=>'Hide Icons'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--noIcon'
,p_group_id=>wwv_flow_api.id(27508906307409251812)
,p_template_types=>'REGION'
,p_help_text=>'Hides alert icons'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508908103580251814)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--removeHeading'
,p_group_id=>wwv_flow_api.id(27508905694752251811)
,p_template_types=>'REGION'
,p_help_text=>'Hides the Alert Title from being displayed.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508908263670251814)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--success'
,p_group_id=>wwv_flow_api.id(27508906626299251812)
,p_template_types=>'REGION'
,p_help_text=>'Show success alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508908444515251814)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--warning'
,p_group_id=>wwv_flow_api.id(27508906626299251812)
,p_template_types=>'REGION'
,p_help_text=>'Show a warning alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508908623773251814)
,p_theme_id=>42
,p_name=>'WIZARD'
,p_display_name=>'Wizard'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508905087081251804)
,p_css_classes=>'t-Alert--wizard'
,p_group_id=>wwv_flow_api.id(27508907309847251813)
,p_template_types=>'REGION'
,p_help_text=>'Show the alert in a wizard style region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508910873316251819)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508911049723251820)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508911292976251824)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508911503048251824)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508911900941251824)
,p_theme_id=>42
,p_name=>'10_SECONDS'
,p_display_name=>'10 Seconds'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'js-cycle10s'
,p_group_id=>wwv_flow_api.id(27508911673684251824)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508912033378251825)
,p_theme_id=>42
,p_name=>'15_SECONDS'
,p_display_name=>'15 Seconds'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'js-cycle15s'
,p_group_id=>wwv_flow_api.id(27508911673684251824)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508912307972251825)
,p_theme_id=>42
,p_name=>'20_SECONDS'
,p_display_name=>'20 Seconds'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'js-cycle20s'
,p_group_id=>wwv_flow_api.id(27508911673684251824)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508912475313251826)
,p_theme_id=>42
,p_name=>'5_SECONDS'
,p_display_name=>'5 Seconds'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'js-cycle5s'
,p_group_id=>wwv_flow_api.id(27508911673684251824)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508912634863251826)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508912888930251826)
,p_theme_id=>42
,p_name=>'REMEMBER_CAROUSEL_SLIDE'
,p_display_name=>'Remember Carousel Slide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508913225581251828)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508913429012251828)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508913630646251829)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508913856774251829)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508914090616251829)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508914429168251830)
,p_theme_id=>42
,p_name=>'SLIDE'
,p_display_name=>'Slide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--carouselSlide'
,p_group_id=>wwv_flow_api.id(27508914219700251830)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508914630266251830)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--carouselSpin'
,p_group_id=>wwv_flow_api.id(27508914219700251830)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508915054023251831)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(27508914911766251830)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508915498823251833)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(27508915247389251832)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508915899009251833)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508916106534251833)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508916236070251834)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(27508915247389251832)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508916415196251834)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(27508914911766251830)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508916693564251834)
,p_theme_id=>42
,p_name=>'SHOW_NEXT_AND_PREVIOUS_BUTTONS'
,p_display_name=>'Show Next and Previous Buttons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--showCarouselControls'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508916833637251834)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508917064441251835)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508909725437251815)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508917808299251835)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508917172751251835)
,p_css_classes=>'t-HeroRegion--featured'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508917912552251836)
,p_theme_id=>42
,p_name=>'STACKED_FEATURED'
,p_display_name=>'Stacked Featured'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508917172751251835)
,p_css_classes=>'t-HeroRegion--featured t-HeroRegion--centered'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508918340113251836)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON_NO'
,p_display_name=>'No'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508917172751251835)
,p_css_classes=>'t-HeroRegion--hideIcon'
,p_group_id=>wwv_flow_api.id(27508918146347251836)
,p_template_types=>'REGION'
,p_help_text=>'Hide the Hero Region icon.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508918541159251836)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508917172751251835)
,p_css_classes=>'t-HeroRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the hero region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508919249637251837)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508919669502251838)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_api.id(27508919492246251837)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508919818567251838)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_api.id(27508919492246251837)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508920023930251838)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_api.id(27508919492246251837)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508920286504251838)
,p_theme_id=>42
,p_name=>'DRAGGABLE'
,p_display_name=>'Draggable'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-draggable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508920473288251838)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508920682767251838)
,p_theme_id=>42
,p_name=>'RESIZABLE'
,p_display_name=>'Resizable'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508918641983251836)
,p_css_classes=>'js-resizable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508921648927251839)
,p_theme_id=>42
,p_name=>'BORDERLESS'
,p_display_name=>'Borderless'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(27508920748208251838)
,p_css_classes=>'t-ButtonRegion--noBorder'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508922095107251839)
,p_theme_id=>42
,p_name=>'NOPADDING'
,p_display_name=>'No Padding'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_api.id(27508920748208251838)
,p_css_classes=>'t-ButtonRegion--noPadding'
,p_group_id=>wwv_flow_api.id(27508921837403251839)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508922304322251840)
,p_theme_id=>42
,p_name=>'REMOVEUIDECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>4
,p_region_template_id=>wwv_flow_api.id(27508920748208251838)
,p_css_classes=>'t-ButtonRegion--noUI'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508922465976251840)
,p_theme_id=>42
,p_name=>'SLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_api.id(27508920748208251838)
,p_css_classes=>'t-ButtonRegion--slimPadding'
,p_group_id=>wwv_flow_api.id(27508921837403251839)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508922648663251840)
,p_theme_id=>42
,p_name=>'STICK_TO_BOTTOM'
,p_display_name=>'Stick to Bottom for Mobile'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508920748208251838)
,p_css_classes=>'t-ButtonRegion--stickToBottom'
,p_template_types=>'REGION'
,p_help_text=>'This will position the button container region to the bottom of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508923629958251841)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508923818257251841)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508924101616251841)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 480px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508924282447251841)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 640px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508924627430251842)
,p_theme_id=>42
,p_name=>'COLLAPSED'
,p_display_name=>'Collapsed'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'is-collapsed'
,p_group_id=>wwv_flow_api.id(27508924501609251842)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508924821157251842)
,p_theme_id=>42
,p_name=>'EXPANDED'
,p_display_name=>'Expanded'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'is-expanded'
,p_group_id=>wwv_flow_api.id(27508924501609251842)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508925095793251842)
,p_theme_id=>42
,p_name=>'REMEMBER_COLLAPSIBLE_STATE'
,p_display_name=>'Remember Collapsible State'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
,p_help_text=>'This option saves the current state of the collapsible region for the duration of the session.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508925235090251843)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508925436972251843)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508925666013251843)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508925869579251843)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508926016566251843)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508926246454251843)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(27508914911766251830)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508926499139251843)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508926703035251843)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508926819769251843)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508927024495251844)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(27508914911766251830)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508927268414251844)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508922735271251840)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508927828991251845)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H1'
,p_display_name=>'Heading Level 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508927342010251844)
,p_css_classes=>'t-ContentBlock--h1'
,p_group_id=>wwv_flow_api.id(27508927678030251845)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508928084306251845)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H2'
,p_display_name=>'Heading Level 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508927342010251844)
,p_css_classes=>'t-ContentBlock--h2'
,p_group_id=>wwv_flow_api.id(27508927678030251845)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508928295323251845)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H3'
,p_display_name=>'Heading Level 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508927342010251844)
,p_css_classes=>'t-ContentBlock--h3'
,p_group_id=>wwv_flow_api.id(27508927678030251845)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508928641507251846)
,p_theme_id=>42
,p_name=>'LIGHT_BACKGROUND'
,p_display_name=>'Light Background'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508927342010251844)
,p_css_classes=>'t-ContentBlock--lightBG'
,p_group_id=>wwv_flow_api.id(27508928443534251846)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly lighter background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508928895839251846)
,p_theme_id=>42
,p_name=>'ADD_BODY_PADDING'
,p_display_name=>'Add Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508927342010251844)
,p_css_classes=>'t-ContentBlock--padded'
,p_template_types=>'REGION'
,p_help_text=>'Adds padding to the region''s body container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508929042020251846)
,p_theme_id=>42
,p_name=>'SHADOW_BACKGROUND'
,p_display_name=>'Shadow Background'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508927342010251844)
,p_css_classes=>'t-ContentBlock--shadowBG'
,p_group_id=>wwv_flow_api.id(27508928443534251846)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly darker background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508929474887251847)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508929119314251846)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Interactive Reports toolbar to maximize the report. Clicking this button will toggle the maximize state and stretch the report to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508929629788251847)
,p_theme_id=>42
,p_name=>'REMOVEBORDERS'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508929119314251846)
,p_css_classes=>'t-IRR-region--noBorders'
,p_template_types=>'REGION'
,p_help_text=>'Removes borders around the Interactive Report'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508931159594251848)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508931405730251848)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508931601483251849)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508931784851251849)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(27508910665398251819)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508931964502251849)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508932121976251850)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508932339733251850)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508932560775251850)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508932809259251850)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508932929217251850)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508933147452251851)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508933376579251851)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508933600374251851)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508933744466251851)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508933978148251851)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508934122010251851)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508934405253251851)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508934573081251851)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508934786102251851)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508934997767251852)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_api.id(27508913048226251826)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508935141074251852)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(27508914911766251830)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508935364839251852)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(27508915247389251832)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508935532367251852)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508935747759251852)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508935936426251853)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508936130395251853)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(27508915247389251832)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508936401321251853)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(27508914911766251830)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508936564322251853)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508936735489251853)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508936954424251853)
,p_theme_id=>42
,p_name=>'TEXT_CONTENT'
,p_display_name=>'Text Content'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(27508930218679251848)
,p_css_classes=>'t-Region--textContent'
,p_group_id=>wwv_flow_api.id(27508915632544251833)
,p_template_types=>'REGION'
,p_help_text=>'Useful for displaying primarily text-based content, such as FAQs and more.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508937977872251854)
,p_theme_id=>42
,p_name=>'REMEMBER_ACTIVE_TAB'
,p_display_name=>'Remember Active Tab'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508937089941251853)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508938334364251855)
,p_theme_id=>42
,p_name=>'FILL_TAB_LABELS'
,p_display_name=>'Fill Tab Labels'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508937089941251853)
,p_css_classes=>'t-TabsRegion-mod--fillLabels'
,p_group_id=>wwv_flow_api.id(27508938155949251855)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508938732171251855)
,p_theme_id=>42
,p_name=>'TABSLARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508937089941251853)
,p_css_classes=>'t-TabsRegion-mod--large'
,p_group_id=>wwv_flow_api.id(27508938592377251855)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508939120972251856)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508937089941251853)
,p_css_classes=>'t-TabsRegion-mod--pill'
,p_group_id=>wwv_flow_api.id(27508939003612251856)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508939347762251856)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508937089941251853)
,p_css_classes=>'t-TabsRegion-mod--simple'
,p_group_id=>wwv_flow_api.id(27508939003612251856)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508939562662251856)
,p_theme_id=>42
,p_name=>'TABS_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508937089941251853)
,p_css_classes=>'t-TabsRegion-mod--small'
,p_group_id=>wwv_flow_api.id(27508938592377251855)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508939943907251857)
,p_theme_id=>42
,p_name=>'USE_COMPACT_STYLE'
,p_display_name=>'Use Compact Style'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508939643174251856)
,p_css_classes=>'t-BreadcrumbRegion--compactTitle'
,p_template_types=>'REGION'
,p_help_text=>'Uses a compact style for the breadcrumbs.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508940157197251857)
,p_theme_id=>42
,p_name=>'HIDE_BREADCRUMB'
,p_display_name=>'Show Breadcrumbs'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(27508939643174251856)
,p_css_classes=>'t-BreadcrumbRegion--showBreadcrumb'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508940314586251857)
,p_theme_id=>42
,p_name=>'GET_TITLE_FROM_BREADCRUMB'
,p_display_name=>'Use Current Breadcrumb Entry'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(27508939643174251856)
,p_css_classes=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_group_id=>wwv_flow_api.id(27508927678030251845)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508940601606251857)
,p_theme_id=>42
,p_name=>'REGION_HEADER_VISIBLE'
,p_display_name=>'Use Region Title'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(27508939643174251856)
,p_css_classes=>'t-BreadcrumbRegion--useRegionTitle'
,p_group_id=>wwv_flow_api.id(27508927678030251845)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508941449865251858)
,p_theme_id=>42
,p_name=>'HIDESMALLSCREENS'
,p_display_name=>'Small Screens (Tablet)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(27508940636405251858)
,p_css_classes=>'t-Wizard--hideStepsSmall'
,p_group_id=>wwv_flow_api.id(27508941303355251858)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508941686165251858)
,p_theme_id=>42
,p_name=>'HIDEXSMALLSCREENS'
,p_display_name=>'X Small Screens (Mobile)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508940636405251858)
,p_css_classes=>'t-Wizard--hideStepsXSmall'
,p_group_id=>wwv_flow_api.id(27508941303355251858)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508941859020251858)
,p_theme_id=>42
,p_name=>'SHOW_TITLE'
,p_display_name=>'Show Title'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(27508940636405251858)
,p_css_classes=>'t-Wizard--showTitle'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508942500700251862)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_api.id(27508941938101251859)
,p_css_classes=>'t-Timeline--compact'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
,p_help_text=>'Displays a compact version of timeline with smaller text and fewer columns.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508943034134251863)
,p_theme_id=>42
,p_name=>'2_COLUMN_GRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508943268339251863)
,p_theme_id=>42
,p_name=>'3_COLUMN_GRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508943426070251863)
,p_theme_id=>42
,p_name=>'4_COLUMN_GRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508943641345251863)
,p_theme_id=>42
,p_name=>'5_COLUMN_GRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508943843724251863)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508944254310251864)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508944076041251863)
,p_template_types=>'REPORT'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508944427487251864)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508944624616251864)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508944829861251864)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508945083098251864)
,p_theme_id=>42
,p_name=>'STACK'
,p_display_name=>'Stack'
,p_display_sequence=>5
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'t-MediaList--stack'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508945295546251865)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508942588087251862)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508945837006251865)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508946054820251865)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508946304815251865)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508946471171251866)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508946710866251866)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508946900973251866)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508947062241251866)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508947306132251866)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508945405194251865)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508947618815251866)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508947844476251867)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508948025226251867)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508948214837251867)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508948489739251867)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508948644173251868)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508948816556251868)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508949088835251868)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508947390085251866)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(27508945659679251865)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508949466468251869)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508949674039251869)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508949821061251869)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508950039208251869)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508950213794251869)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508950441328251870)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508950617988251870)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508950859443251870)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508951093520251870)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508951418685251871)
,p_theme_id=>42
,p_name=>'64PX'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(27508951284991251870)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508951674909251871)
,p_theme_id=>42
,p_name=>'48PX'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(27508951284991251870)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508951817963251871)
,p_theme_id=>42
,p_name=>'32PX'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(27508951284991251870)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508952082102251871)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508952233167251871)
,p_theme_id=>42
,p_name=>'96PX'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(27508951284991251870)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508952427393251871)
,p_theme_id=>42
,p_name=>'128PX'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(27508951284991251870)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508952700433251872)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508949183096251868)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508953242674251873)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--altRowsDefault'
,p_group_id=>wwv_flow_api.id(27508953092041251873)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508953624297251873)
,p_theme_id=>42
,p_name=>'HORIZONTALBORDERS'
,p_display_name=>'Horizontal Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--horizontalBorders'
,p_group_id=>wwv_flow_api.id(27508953480601251873)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508953871248251873)
,p_theme_id=>42
,p_name=>'REMOVEOUTERBORDERS'
,p_display_name=>'No Outer Borders'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--inline'
,p_group_id=>wwv_flow_api.id(27508953480601251873)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508954038204251873)
,p_theme_id=>42
,p_name=>'REMOVEALLBORDERS'
,p_display_name=>'No Borders'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--noBorders'
,p_group_id=>wwv_flow_api.id(27508953480601251873)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508954499892251873)
,p_theme_id=>42
,p_name=>'ENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--rowHighlight'
,p_group_id=>wwv_flow_api.id(27508954292333251873)
,p_template_types=>'REPORT'
,p_help_text=>'Enable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508954686165251873)
,p_theme_id=>42
,p_name=>'ROWHIGHLIGHTDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--rowHighlightOff'
,p_group_id=>wwv_flow_api.id(27508954292333251873)
,p_template_types=>'REPORT'
,p_help_text=>'Disable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508954891053251873)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--staticRowColors'
,p_group_id=>wwv_flow_api.id(27508953092041251873)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508955104312251874)
,p_theme_id=>42
,p_name=>'STRETCHREPORT'
,p_display_name=>'Stretch Report'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--stretch'
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508955277481251874)
,p_theme_id=>42
,p_name=>'VERTICALBORDERS'
,p_display_name=>'Vertical Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508952746794251872)
,p_css_classes=>'t-Report--verticalBorders'
,p_group_id=>wwv_flow_api.id(27508953480601251873)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508955879506251874)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508955399160251874)
,p_css_classes=>'t-Comments--basic'
,p_group_id=>wwv_flow_api.id(27508955626632251874)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508956058314251875)
,p_theme_id=>42
,p_name=>'SPEECH_BUBBLES'
,p_display_name=>'Speech Bubbles'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508955399160251874)
,p_css_classes=>'t-Comments--chat'
,p_group_id=>wwv_flow_api.id(27508955626632251874)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508956640993251876)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508956825226251876)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508957046696251876)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508957478598251876)
,p_theme_id=>42
,p_name=>'CARDS_COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(27508957301664251876)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508957670335251876)
,p_theme_id=>42
,p_name=>'CARD_RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(27508957301664251876)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508957841005251876)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508958062345251876)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>15
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508958307114251877)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508958614532251877)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(27508958445806251877)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508958816030251877)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(27508958445806251877)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508959063633251877)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(27508958445806251877)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508959465096251878)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(27508959298913251878)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508959681947251878)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(27508959298913251878)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508959851412251878)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508960013111251878)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508960281193251878)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508942226217251862)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508960427820251878)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508960673885251878)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(27508958445806251877)
,p_template_types=>'REPORT'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508960812809251878)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(27508942910788251863)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508961106788251879)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(27508956349221251875)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508961851314251898)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_SM'
,p_display_name=>'Display labels'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508961383979251880)
,p_css_classes=>'t-NavTabs--displayLabels-sm'
,p_group_id=>wwv_flow_api.id(27508961625139251898)
,p_template_types=>'LIST'
,p_help_text=>'Displays the label for the list items below the icon'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508962221631251899)
,p_theme_id=>42
,p_name=>'NO_LABEL_LG'
,p_display_name=>'Do not display labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508961383979251880)
,p_css_classes=>'t-NavTabs--hiddenLabels-lg'
,p_group_id=>wwv_flow_api.id(27508962037510251899)
,p_template_types=>'LIST'
,p_help_text=>'Hides the label for the list item'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508962421439251899)
,p_theme_id=>42
,p_name=>'HIDE_LABELS_SM'
,p_display_name=>'Do not display labels'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(27508961383979251880)
,p_css_classes=>'t-NavTabs--hiddenLabels-sm'
,p_group_id=>wwv_flow_api.id(27508961625139251898)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508962700213251899)
,p_theme_id=>42
,p_name=>'LABEL_INLINE_LG'
,p_display_name=>'Display labels inline'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508961383979251880)
,p_css_classes=>'t-NavTabs--inlineLabels-lg'
,p_group_id=>wwv_flow_api.id(27508962037510251899)
,p_template_types=>'LIST'
,p_help_text=>'Display the label inline with the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508962824414251900)
,p_theme_id=>42
,p_name=>'LABEL_ABOVE_LG'
,p_display_name=>'Display labels above'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508961383979251880)
,p_css_classes=>'t-NavTabs--stacked'
,p_group_id=>wwv_flow_api.id(27508962037510251899)
,p_template_types=>'LIST'
,p_help_text=>'Display the label stacked above the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508963445507251901)
,p_theme_id=>42
,p_name=>'CURRENTSTEPONLY'
,p_display_name=>'Current Step Only'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508962981883251900)
,p_css_classes=>'t-WizardSteps--displayCurrentLabelOnly'
,p_group_id=>wwv_flow_api.id(27508963303137251901)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508963652808251901)
,p_theme_id=>42
,p_name=>'ALLSTEPS'
,p_display_name=>'All Steps'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508962981883251900)
,p_css_classes=>'t-WizardSteps--displayLabels'
,p_group_id=>wwv_flow_api.id(27508963303137251901)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508963829735251901)
,p_theme_id=>42
,p_name=>'HIDELABELS'
,p_display_name=>'Hide Labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508962981883251900)
,p_css_classes=>'t-WizardSteps--hideLabels'
,p_group_id=>wwv_flow_api.id(27508963303137251901)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508964111169251901)
,p_theme_id=>42
,p_name=>'VERTICAL_LIST'
,p_display_name=>'Vertical Orientation'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508962981883251900)
,p_css_classes=>'t-WizardSteps--vertical'
,p_template_types=>'LIST'
,p_help_text=>'Displays the wizard progress list in a vertical orientation and is suitable for displaying within a side column of a page.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508964455262251902)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508964196324251901)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508964632486251902)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508964196324251901)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508964904374251902)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508964196324251901)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508965107289251903)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508964196324251901)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508965615192251903)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508966077688251904)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508966267415251904)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508966446493251904)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in 4 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508966649049251904)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 5 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508966862639251905)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508967105272251905)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Span badges horizontally'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508967266612251905)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Use flexbox to arrange items'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508967445234251905)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Float badges to left'
,p_is_advanced=>'N'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508967876688251905)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(27508967640868251905)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508968041468251905)
,p_theme_id=>42
,p_name=>'MEDIUM'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(27508967640868251905)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508968216508251905)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(27508967640868251905)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508968429881251905)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Stack badges on top of each other'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508968689691251906)
,p_theme_id=>42
,p_name=>'XLARGE'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(27508967640868251905)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508968899144251906)
,p_theme_id=>42
,p_name=>'XXLARGE'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(27508967640868251905)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508969106259251906)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508965165917251903)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508969473600251907)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508969636649251907)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508969866712251907)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508970032417251907)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508970221093251908)
,p_theme_id=>42
,p_name=>'SPANHORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Show all list items in one horizontal row.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508970711854251908)
,p_theme_id=>42
,p_name=>'LIST_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508970420453251908)
,p_template_types=>'LIST'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508970839830251908)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'LIST'
,p_help_text=>'Show a badge (Attribute 2) to the right of the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508971077239251908)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'LIST'
,p_help_text=>'Shows the description (Attribute 1) for each list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508971311116251908)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'LIST'
,p_help_text=>'Display an icon next to the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508971466277251908)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508969142260251906)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies colors from the Theme''s color palette to icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508971815794251909)
,p_theme_id=>42
,p_name=>'COLLAPSED_DEFAULT'
,p_display_name=>'Collapsed by Default'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508971592027251908)
,p_css_classes=>'js-defaultCollapsed'
,p_template_types=>'LIST'
,p_help_text=>'This option will load the side navigation menu in a collapsed state by default.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508972302252251910)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(27508971968008251909)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508972433636251910)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(27508971968008251909)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508972675186251910)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(27508971968008251909)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508972851194251910)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(27508971968008251909)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508973414372251911)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508973707682251911)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508973841301251911)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508974223824251912)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(27508974035816251911)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508974468620251912)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(27508974035816251911)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508974619589251912)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508974873244251912)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508975083459251913)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508975412770251913)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508975635320251913)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508975845991251913)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508976242142251913)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(27508976086149251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508976453848251913)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(27508976086149251913)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508976652604251913)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508976895502251913)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508977103442251914)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508977230621251914)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508977480328251914)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(27508975223508251913)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508977701365251915)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508977852288251915)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508978078047251915)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508973143862251911)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508978451388251915)
,p_theme_id=>42
,p_name=>'FILL_LABELS'
,p_display_name=>'Fill Labels'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--fillLabels'
,p_group_id=>wwv_flow_api.id(27508965823350251904)
,p_template_types=>'LIST'
,p_help_text=>'Stretch tabs to fill to the width of the tabs container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508978614912251915)
,p_theme_id=>42
,p_name=>'ABOVE_LABEL'
,p_display_name=>'Above Label'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--iconsAbove'
,p_group_id=>wwv_flow_api.id(27508976086149251913)
,p_template_types=>'LIST'
,p_help_text=>'Places icons above tab label.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508978812878251916)
,p_theme_id=>42
,p_name=>'INLINE_WITH_LABEL'
,p_display_name=>'Inline with Label'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--inlineIcons'
,p_group_id=>wwv_flow_api.id(27508976086149251913)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508979040443251916)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--large'
,p_group_id=>wwv_flow_api.id(27508970420453251908)
,p_template_types=>'LIST'
,p_help_text=>'Increases font size and white space around tab items.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508979275231251916)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--pill'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
,p_help_text=>'Displays tabs in a pill container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508979478371251916)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--simple'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
,p_help_text=>'A very simplistic tab UI.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508979683652251916)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(27508978144735251915)
,p_css_classes=>'t-Tabs--small'
,p_group_id=>wwv_flow_api.id(27508970420453251908)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508980040510251917)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508979728773251916)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Enables you to define a keyboard shortcut to activate the menu item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508980445201251917)
,p_theme_id=>42
,p_name=>'ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508980119001251917)
,p_css_classes=>'t-LinksList--actions'
,p_group_id=>wwv_flow_api.id(27508965452090251903)
,p_template_types=>'LIST'
,p_help_text=>'Render as actions to be placed on the right side column.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508980681335251917)
,p_theme_id=>42
,p_name=>'DISABLETEXTWRAPPING'
,p_display_name=>'Disable Text Wrapping'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(27508980119001251917)
,p_css_classes=>'t-LinksList--nowrap'
,p_template_types=>'LIST'
,p_help_text=>'Do not allow link text to wrap to new lines. Truncate with ellipsis.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508980901010251918)
,p_theme_id=>42
,p_name=>'SHOWGOTOARROW'
,p_display_name=>'Show Right Arrow'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508980119001251917)
,p_css_classes=>'t-LinksList--showArrow'
,p_template_types=>'LIST'
,p_help_text=>'Show arrow to the right of link'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508981016848251918)
,p_theme_id=>42
,p_name=>'SHOWBADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508980119001251917)
,p_css_classes=>'t-LinksList--showBadge'
,p_template_types=>'LIST'
,p_help_text=>'Show badge to right of link (requires Attribute 1 to be populated)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508981443360251918)
,p_theme_id=>42
,p_name=>'SHOWICONS'
,p_display_name=>'For All Items'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(27508980119001251917)
,p_css_classes=>'t-LinksList--showIcons'
,p_group_id=>wwv_flow_api.id(27508981277746251918)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508981627689251918)
,p_theme_id=>42
,p_name=>'SHOWTOPICONS'
,p_display_name=>'For Top Level Items Only'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(27508980119001251917)
,p_css_classes=>'t-LinksList--showTopIcons'
,p_group_id=>wwv_flow_api.id(27508981277746251918)
,p_template_types=>'LIST'
,p_help_text=>'This will show icons for top level items of the list only. It will not show icons for sub lists.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508983081133251928)
,p_theme_id=>42
,p_name=>'LEFTICON'
,p_display_name=>'Left'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_css_classes=>'t-Button--iconLeft'
,p_group_id=>wwv_flow_api.id(27508982910804251928)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508983277094251928)
,p_theme_id=>42
,p_name=>'RIGHTICON'
,p_display_name=>'Right'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_css_classes=>'t-Button--iconRight'
,p_group_id=>wwv_flow_api.id(27508982910804251928)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508985163698251972)
,p_theme_id=>42
,p_name=>'FBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(27508984983802251971)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508985596503251973)
,p_theme_id=>42
,p_name=>'RBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(27508985345181251972)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508985743792251973)
,p_theme_id=>42
,p_name=>'FBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(27508984983802251971)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508985994421251973)
,p_theme_id=>42
,p_name=>'RBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(27508985345181251972)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508986116729251973)
,p_theme_id=>42
,p_name=>'FBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(27508984983802251971)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508986344719251973)
,p_theme_id=>42
,p_name=>'RBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(27508985345181251972)
,p_template_types=>'REGION'
,p_help_text=>'Removes the bottom margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508986595912251973)
,p_theme_id=>42
,p_name=>'FBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(27508984983802251971)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508986761614251973)
,p_theme_id=>42
,p_name=>'RBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(27508985345181251972)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508987135287251974)
,p_theme_id=>42
,p_name=>'FLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(27508986922751251974)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508987596746251974)
,p_theme_id=>42
,p_name=>'RLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(27508987355727251974)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508987762775251975)
,p_theme_id=>42
,p_name=>'FLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(27508986922751251974)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508987935097251975)
,p_theme_id=>42
,p_name=>'RLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(27508987355727251974)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508988118283251975)
,p_theme_id=>42
,p_name=>'FLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(27508986922751251974)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508988371568251975)
,p_theme_id=>42
,p_name=>'RLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(27508987355727251974)
,p_template_types=>'REGION'
,p_help_text=>'Removes the left margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508988568231251975)
,p_theme_id=>42
,p_name=>'FLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(27508986922751251974)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508988800723251975)
,p_theme_id=>42
,p_name=>'RLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(27508987355727251974)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small left margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508989113288251976)
,p_theme_id=>42
,p_name=>'FRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(27508988993418251975)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508989587380251976)
,p_theme_id=>42
,p_name=>'RRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(27508989323090251976)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508989727272251976)
,p_theme_id=>42
,p_name=>'FRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(27508988993418251975)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508989981370251977)
,p_theme_id=>42
,p_name=>'RRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(27508989323090251976)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508990208946251977)
,p_theme_id=>42
,p_name=>'FRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(27508988993418251975)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508990373822251977)
,p_theme_id=>42
,p_name=>'RRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(27508989323090251976)
,p_template_types=>'REGION'
,p_help_text=>'Removes the right margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508990549370251978)
,p_theme_id=>42
,p_name=>'FRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(27508988993418251975)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508990718732251978)
,p_theme_id=>42
,p_name=>'RRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(27508989323090251976)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508991191130251978)
,p_theme_id=>42
,p_name=>'FTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(27508990980387251978)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508991557593251978)
,p_theme_id=>42
,p_name=>'RTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(27508991357386251978)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508991791569251979)
,p_theme_id=>42
,p_name=>'FTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(27508990980387251978)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508991985119251979)
,p_theme_id=>42
,p_name=>'RTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(27508991357386251978)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508992179707251979)
,p_theme_id=>42
,p_name=>'FTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(27508990980387251978)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the top margin for this field.'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508992402152251980)
,p_theme_id=>42
,p_name=>'RTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(27508991357386251978)
,p_template_types=>'REGION'
,p_help_text=>'Removes the top margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508992598880251980)
,p_theme_id=>42
,p_name=>'FTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(27508990980387251978)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508992774289251980)
,p_theme_id=>42
,p_name=>'RTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(27508991357386251978)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508993119645251981)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>30
,p_css_classes=>'t-Button--danger'
,p_group_id=>wwv_flow_api.id(27508992966078251981)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508993567958251982)
,p_theme_id=>42
,p_name=>'LARGEBOTTOMMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapBottom'
,p_group_id=>wwv_flow_api.id(27508993405816251981)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508993930340251982)
,p_theme_id=>42
,p_name=>'LARGELEFTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapLeft'
,p_group_id=>wwv_flow_api.id(27508993716041251982)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508994391279251983)
,p_theme_id=>42
,p_name=>'LARGERIGHTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapRight'
,p_group_id=>wwv_flow_api.id(27508994186759251983)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508994772718251983)
,p_theme_id=>42
,p_name=>'LARGETOPMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapTop'
,p_group_id=>wwv_flow_api.id(27508994522070251983)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508995209938251984)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_css_classes=>'t-Button--large'
,p_group_id=>wwv_flow_api.id(27508994948456251983)
,p_template_types=>'BUTTON'
,p_help_text=>'A large button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508995601485251985)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_LINK'
,p_display_name=>'Display as Link'
,p_display_sequence=>30
,p_css_classes=>'t-Button--link'
,p_group_id=>wwv_flow_api.id(27508995382471251985)
,p_template_types=>'BUTTON'
,p_help_text=>'This option makes the button appear as a text link.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508995718765251986)
,p_theme_id=>42
,p_name=>'NOUI'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>20
,p_css_classes=>'t-Button--noUI'
,p_group_id=>wwv_flow_api.id(27508995382471251985)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508995937798251986)
,p_theme_id=>42
,p_name=>'SMALLBOTTOMMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padBottom'
,p_group_id=>wwv_flow_api.id(27508993405816251981)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508996151002251987)
,p_theme_id=>42
,p_name=>'SMALLLEFTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padLeft'
,p_group_id=>wwv_flow_api.id(27508993716041251982)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508996348331251987)
,p_theme_id=>42
,p_name=>'SMALLRIGHTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padRight'
,p_group_id=>wwv_flow_api.id(27508994186759251983)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508996608121251987)
,p_theme_id=>42
,p_name=>'SMALLTOPMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padTop'
,p_group_id=>wwv_flow_api.id(27508994522070251983)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508996981443251988)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Inner Button'
,p_display_sequence=>20
,p_css_classes=>'t-Button--pill'
,p_group_id=>wwv_flow_api.id(27508996811024251988)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508997186003251988)
,p_theme_id=>42
,p_name=>'PILLEND'
,p_display_name=>'Last Button'
,p_display_sequence=>30
,p_css_classes=>'t-Button--pillEnd'
,p_group_id=>wwv_flow_api.id(27508996811024251988)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508997357811251988)
,p_theme_id=>42
,p_name=>'PILLSTART'
,p_display_name=>'First Button'
,p_display_sequence=>10
,p_css_classes=>'t-Button--pillStart'
,p_group_id=>wwv_flow_api.id(27508996811024251988)
,p_template_types=>'BUTTON'
,p_help_text=>'Use this for the start of a pill button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508997564022251989)
,p_theme_id=>42
,p_name=>'PRIMARY'
,p_display_name=>'Primary'
,p_display_sequence=>10
,p_css_classes=>'t-Button--primary'
,p_group_id=>wwv_flow_api.id(27508992966078251981)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508997790109251989)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_css_classes=>'t-Button--simple'
,p_group_id=>wwv_flow_api.id(27508995382471251985)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508997936330251989)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'t-Button--small'
,p_group_id=>wwv_flow_api.id(27508994948456251983)
,p_template_types=>'BUTTON'
,p_help_text=>'A small button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508998354515251990)
,p_theme_id=>42
,p_name=>'STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>10
,p_css_classes=>'t-Button--stretch'
,p_group_id=>wwv_flow_api.id(27508998194550251989)
,p_template_types=>'BUTTON'
,p_help_text=>'Stretches button to fill container'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508998566385251990)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_css_classes=>'t-Button--success'
,p_group_id=>wwv_flow_api.id(27508992966078251981)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508998765947251990)
,p_theme_id=>42
,p_name=>'TINY'
,p_display_name=>'Tiny'
,p_display_sequence=>10
,p_css_classes=>'t-Button--tiny'
,p_group_id=>wwv_flow_api.id(27508994948456251983)
,p_template_types=>'BUTTON'
,p_help_text=>'A very small button.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508998943101251991)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>20
,p_css_classes=>'t-Button--warning'
,p_group_id=>wwv_flow_api.id(27508992966078251981)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508999314284251992)
,p_theme_id=>42
,p_name=>'SHOWFORMLABELSABOVE'
,p_display_name=>'Show Form Labels Above'
,p_display_sequence=>10
,p_css_classes=>'t-Form--labelsAbove'
,p_group_id=>wwv_flow_api.id(27508999200972251991)
,p_template_types=>'REGION'
,p_help_text=>'Show form labels above input fields.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27508999754880251992)
,p_theme_id=>42
,p_name=>'FORMSIZELARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form--large'
,p_group_id=>wwv_flow_api.id(27508999546123251992)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509000146069251993)
,p_theme_id=>42
,p_name=>'FORMLEFTLABELS'
,p_display_name=>'Left'
,p_display_sequence=>20
,p_css_classes=>'t-Form--leftLabels'
,p_group_id=>wwv_flow_api.id(27508999973468251993)
,p_template_types=>'REGION'
,p_help_text=>'Align form labels to left.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509000541187251993)
,p_theme_id=>42
,p_name=>'FORMREMOVEPADDING'
,p_display_name=>'Remove Padding'
,p_display_sequence=>20
,p_css_classes=>'t-Form--noPadding'
,p_group_id=>wwv_flow_api.id(27509000335801251993)
,p_template_types=>'REGION'
,p_help_text=>'Removes padding between items.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509000714399251994)
,p_theme_id=>42
,p_name=>'FORMSLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>10
,p_css_classes=>'t-Form--slimPadding'
,p_group_id=>wwv_flow_api.id(27509000335801251993)
,p_template_types=>'REGION'
,p_help_text=>'Reduces form item padding to 4px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509001211841251995)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_FIELDS'
,p_display_name=>'Stretch Form Fields'
,p_display_sequence=>10
,p_css_classes=>'t-Form--stretchInputs'
,p_group_id=>wwv_flow_api.id(27509000938184251995)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509001378679251995)
,p_theme_id=>42
,p_name=>'FORMSIZEXLARGE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form--xlarge'
,p_group_id=>wwv_flow_api.id(27508999546123251992)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509001738589251996)
,p_theme_id=>42
,p_name=>'LARGE_FIELD'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--large'
,p_group_id=>wwv_flow_api.id(27509001528038251996)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509002149960251997)
,p_theme_id=>42
,p_name=>'POST_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--postTextBlock'
,p_group_id=>wwv_flow_api.id(27509001933817251996)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Post Text in a block style immediately after the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509002575670251997)
,p_theme_id=>42
,p_name=>'PRE_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--preTextBlock'
,p_group_id=>wwv_flow_api.id(27509002369461251997)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Pre Text in a block style immediately before the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509002955570251998)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_PILL_BUTTON'
,p_display_name=>'Display as Pill Button'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--radioButtonGroup'
,p_group_id=>wwv_flow_api.id(27509002753726251998)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the radio buttons to look like a button set / pill button.  Note that the the radio buttons must all be in the same row for this option to work.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509003205826251998)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_ITEM'
,p_display_name=>'Stretch Form Item'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--stretchInputs'
,p_template_types=>'FIELD'
,p_help_text=>'Stretches the form item to fill its container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509003312000251998)
,p_theme_id=>42
,p_name=>'X_LARGE_SIZE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--xlarge'
,p_group_id=>wwv_flow_api.id(27509001528038251996)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(27509003791848251999)
,p_theme_id=>42
,p_name=>'HIDE_WHEN_ALL_ROWS_DISPLAYED'
,p_display_name=>'Hide when all rows displayed'
,p_display_sequence=>10
,p_css_classes=>'t-Report--hideNoPagination'
,p_group_id=>wwv_flow_api.id(27509003544141251999)
,p_template_types=>'REPORT'
,p_help_text=>'This option will hide the pagination when all rows are displayed.'
);
end;
/
prompt --application/shared_components/logic/build_options
begin
null;
end;
/
prompt --application/shared_components/globalization/language
begin
null;
end;
/
prompt --application/shared_components/globalization/translations
begin
null;
end;
/
prompt --application/shared_components/globalization/messages
begin
null;
end;
/
prompt --application/shared_components/globalization/dyntranslations
begin
null;
end;
/
prompt --application/shared_components/user_interface/shortcuts/delete_confirm_msg
begin
wwv_flow_api.create_shortcut(
 p_id=>wwv_flow_api.id(27509007485634252061)
,p_shortcut_name=>'DELETE_CONFIRM_MSG'
,p_shortcut_type=>'TEXT_ESCAPE_JS'
,p_shortcut=>'Would you like to perform this delete action?'
);
end;
/
prompt --application/shared_components/security/authentications/application_express_authentication
begin
wwv_flow_api.create_authentication(
 p_id=>wwv_flow_api.id(27508883401257251754)
,p_name=>'Application Express Authentication'
,p_scheme_type=>'NATIVE_DAD'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/shared_components/plugins/dynamic_action/com_apexutils_execute_plsql_code
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(1843861354211161477)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_display_name=>'APEX Utils - Execute PL/SQL Code'
,p_category=>'MISC'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('DYNAMIC ACTION','COM.APEXUTILS.EXECUTE_PLSQL_CODE'),'')
,p_javascript_file_urls=>'#PLUGIN_FILES#js/script.js'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function render',
'    ( p_dynamic_action in apex_plugin.t_dynamic_action',
'    , p_plugin         in apex_plugin.t_plugin',
'    )',
'return apex_plugin.t_dynamic_action_render_result',
'is',
'    l_result                apex_plugin.t_dynamic_action_render_result;',
'    ',
'    --attribute_01 is the plsql code. not needed in the render function',
'    ',
'    l_items_to_submit       varchar2(4000) := apex_plugin_util.item_names_to_jquery(p_dynamic_action.attribute_02, p_dynamic_action);',
'    l_items_to_return       varchar2(4000) := apex_plugin_util.item_names_to_jquery(p_dynamic_action.attribute_03, p_dynamic_action);',
'    ',
'    --attribute_04 is the success message. not needed in the render function',
'    --attribute_05 is the error   message. not needed in the render function',
'',
'    l_loader                varchar2(4000) := p_dynamic_action.attribute_06;',
'    l_loader_position       varchar2(4000) := p_dynamic_action.attribute_07;',
'    ',
'    l_submit_clob           varchar2(4000) := p_dynamic_action.attribute_08;',
'    l_submit_clob_item      varchar2(4000) := p_dynamic_action.attribute_09;',
'    l_submit_clob_variable  varchar2(4000) := p_dynamic_action.attribute_10;',
'    ',
'    l_return_clob           varchar2(4000) := p_dynamic_action.attribute_11;',
'    l_return_clob_item      varchar2(4000) := p_dynamic_action.attribute_12;',
'    l_return_clob_variable  varchar2(4000) := p_dynamic_action.attribute_13;',
'    ',
'    --disabling for now',
'    --l_action_identifier     varchar2(4000) := p_dynamic_action.attribute_14;',
'',
'    --extra options',
'    l_suppress_change_event boolean := instr(p_dynamic_action.attribute_15, ''suppressChangeEvent'') > 0;',
'    l_show_error_as_alert   boolean := instr(p_dynamic_action.attribute_15, ''showErrorAsAlert'')    > 0;',
'    l_sync                  boolean := apex_application.g_compatibility_mode < 5.1;',
'    ',
'    ',
'    --other',
'    l_js_file               varchar2(4000);',
'',
'begin',
'',
'    l_result.javascript_function := ''apexutils.executePlSqlCode'';',
'    l_result.ajax_identifier     := apex_plugin.get_ajax_identifier;',
'    ',
'    if apex_application.g_debug then',
'        apex_plugin_util.debug_dynamic_action( p_plugin         => p_plugin',
'                                             , p_dynamic_action => p_dynamic_action',
'                                             );',
'    end if;',
'    ',
'    /*',
'    apex_javascript.add_library( p_name           => ''script''',
'                               , p_directory      => p_plugin.file_prefix||''/js/''',
'                               , p_version        => NULL',
'                               , p_skip_extension => FALSE',
'                               );*/',
'    ',
'    --attribute_01: regular items to submit/return',
'    l_result.attribute_01        := ''{'' || apex_javascript.add_attribute( ''itemsToSubmit'', l_items_to_submit, false )',
'                                        || apex_javascript.add_attribute( ''itemsToReturn'', l_items_to_return, false, false ) ||',
'                                    ''}'';',
'',
'    --attribute_02: loader',
'    l_result.attribute_02        := ''{'' || apex_javascript.add_attribute( ''showLoader''    , l_loader is not null, false)',
'                                        || apex_javascript.add_attribute( ''loaderType''    , l_loader            , false)',
'                                        || apex_javascript.add_attribute( ''loaderPosition'', l_loader_position   , false, false) ||',
'                                    ''}'';',
'                                    ',
'    --attribute_03: clob to submit/return',
'    l_result.attribute_03        := ''{'' || apex_javascript.add_attribute( ''submitClob''        , l_submit_clob is not null, false)',
'                                        || apex_javascript.add_attribute( ''submitClobFrom''    , l_submit_clob)',
'                                        || apex_javascript.add_attribute( ''submitClobItem''    , l_submit_clob_item)',
'                                        || apex_javascript.add_attribute( ''submitClobVariable'', l_submit_clob_variable)',
'                                        || apex_javascript.add_attribute( ''returnClob''        , l_return_clob is not null, false)',
'                                        || apex_javascript.add_attribute( ''returnClobInto''    , l_return_clob)',
'                                        || apex_javascript.add_attribute( ''returnClobItem''    , l_return_clob_item)',
'                                        || apex_javascript.add_attribute( ''returnClobVariable'', l_return_clob_variable, false, false) ||',
'                                    ''}'';',
'    ',
'    --attribute_04: action identifier',
'    --l_result.attribute_04        := l_action_identifier;',
'    ',
'    --attribute_05: extra options',
'    l_result.attribute_05        := ''{'' || apex_javascript.add_attribute(''suppressChangeEvent'', l_suppress_change_event, false)',
'                                        || apex_javascript.add_attribute(''showErrorAsAlert''   , l_show_error_as_alert  , false)',
'                                        || apex_javascript.add_attribute(''sync''               , l_sync                 , false, false) ||',
'                                    ''}'';',
'',
'    --attribute_06: helps identify possible error messages',
'    /*',
'    l_result.attribute_06        := ''{'' || apex_javascript.add_attribute( ''sessionExpiredError''',
'                                                                        , wwv_flow_lang.custom_runtime_message(''APEX.SESSION.EXPIRED'')',
'                                                                        , false',
'                                                                        , false) || ',
'                                    ''}'';*/',
'',
'    return l_result;',
'end render;',
'',
'function ajax',
'    ( p_dynamic_action in apex_plugin.t_dynamic_action',
'    , p_plugin         in apex_plugin.t_plugin',
'    )',
'return apex_plugin.t_dynamic_action_ajax_result',
'is',
'    l_statement        varchar2(32767) := p_dynamic_action.attribute_01;',
'    l_items_to_return  varchar2(4000)  := apex_plugin_util.cleanup_item_names(p_dynamic_action.attribute_03);',
'    ',
'    l_return_clob      boolean         := p_dynamic_action.attribute_11 is not null;',
'    ',
'    l_success_message  varchar2(4000)  := p_dynamic_action.attribute_04;',
'    l_error_message    varchar2(4000)  := p_dynamic_action.attribute_05;',
'    ',
'    l_message          varchar2(4000);',
'',
'    l_item_names       apex_application_global.vc_arr2;',
'    ',
'    l_result           apex_plugin.t_dynamic_action_ajax_result;',
'    ',
'begin',
'    ',
'    apex_plugin_util.execute_plsql_code( p_plsql_code => l_statement );',
'',
'    apex_json.initialize_output;',
'    apex_json.open_object;',
'',
'    if l_items_to_return is not null then',
'        l_item_names := apex_util.string_to_table( p_string     => l_items_to_return',
'                                                 , p_separator  => '',''',
'                                                 );',
'        apex_json.open_array(''items'');',
'        ',
'        for i in 1 .. l_item_names.count loop',
'            apex_json.open_object;',
'            apex_json.write(''id'', apex_plugin_util.item_names_to_dom( p_item_names     => l_item_names(i)',
'                                                                    , p_dynamic_action => p_dynamic_action',
'                                                                    )',
'                           );',
'            apex_json.write(''value'', V( l_item_names(i)) );',
'            apex_json.close_object;',
'        end loop;',
'',
'        apex_json.close_array;',
'    end if;',
'    ',
'    if l_return_clob then',
'        apex_json.write(''clob'', apex_application.g_clob_01);',
'    end if;',
'    ',
'    apex_json.write(''status'', ''success'');',
'    ',
'    l_message := case ',
'                    when apex_application.g_x01 is not null ',
'                    then apex_application.g_x01 ',
'                    else l_success_message ',
'                 end;',
'    apex_json.write(''message'', l_message);',
'    ',
'    apex_json.close_object;',
'',
'    return l_result;',
'',
'exception when others then',
'    rollback;',
'    ',
'    apex_json.initialize_output;',
'    apex_json.open_object;',
'    apex_json.write(''status'', ''error'');',
'    ',
'    l_message := case ',
'                    when apex_application.g_x02 is not null ',
'                    then apex_application.g_x02 ',
'                    else l_error_message ',
'                 end;',
'    ',
'    l_message := replace(l_message, ''#SQLCODE#''     , apex_escape.html(SQLCODE));',
'    l_message := replace(l_message, ''#SQLERRM#''     , apex_escape.html(SQLERRM));',
'    l_message := replace(l_message, ''#SQLERRM_TEXT#'', apex_escape.html(substr(SQLERRM, instr(SQLERRM, '':'')+1)));',
'    ',
'    apex_json.write(''message'', l_message);',
'    ',
'    apex_json.close_object;',
'    ',
'    return l_result;',
'end ajax;',
'',
' '))
,p_api_version=>1
,p_render_function=>'render'
,p_ajax_function=>'ajax'
,p_standard_attributes=>'STOP_EXECUTION_ON_ERROR:WAIT_FOR_RESULT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>'Executes PL/SQL code on the server.'
,p_version_identifier=>'1.0'
,p_about_url=>'https://www.apexutils.com'
,p_files_version=>5
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(1843862265209183553)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'PL/SQL Code'
,p_attribute_type=>'PLSQL'
,p_is_required=>true
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'begin',
'    setCommission(:P1_SAL, :P1_JOB);',
'end;',
'</pre>',
'<p>In this example, you need to enter <code>P1_SAL,P1_JOB</code> in <strong>Page Items to Submit</strong>.</p>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Specify an execution only PL/SQL anonymous block, that is executed on the server.</p>',
'<p>You can reference other page or application items from within your application using bind syntax (for example <code>:P1_MY_ITEM</code>). Any items referenced also need to be included in <strong>Page Items to Submit</strong>.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(1843862867071193608)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Items to Submit'
,p_attribute_type=>'PAGE ITEMS'
,p_is_required=>false
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Enter the uppercase page items submitted to the server, and therefore, available for use within your <strong>PL/SQL Code</strong>.</p>',
'<p>You can type in the item name or pick from the list of available items.',
'If you pick from the list and there is already text entered then a comma is placed at the end of the existing text, followed by the item name returned from the list.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(920418153318418907)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Items to Return'
,p_attribute_type=>'PAGE ITEMS'
,p_is_required=>false
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'    apex_util.set_session_state(''P1_MY_ITEM'', ''New Value'');',
'</pre>',
'</p>',
'<p>In this example, enter <code>P1_MY_ITEM</code> in this attribute in order for ''New Value'' to be displayed in that item on your page.</p>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Enter the uppercase page items set when the call to the server returns, based on their current value in session state. If your <strong>PL/SQL Code</strong> sets one or more page item values in session state you need to define those items in this a'
||'ttribute.</p>',
'<p>You can type in the item name or pick from the list of available items.',
'If you pick from the list and there is already text entered then a comma is placed at the end of the existing text, followed by the item name returned from the list.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23016235130369602)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Success Message'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_translatable=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Provide a success message which will be displayed as a green alert if the execution is completed successfully.</p>',
'<p>This message can be dynamically overridden in the PL/SQL Code block by assigning the new value to the apex_application.g_x01 global variable.</p>',
'<pre>apex_application.g_x01 := ''New Success Message'';</pre>',
'<p>If no success message is provided, none will be shown.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23022176483371112)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Error Message'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'#SQLERRM#'
,p_is_translatable=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Provide an error message which will be displayed as a warning notification if the execution is completed unsuccessfully.</p>',
'<p>This message can be dynamically overridden in the PL/SQL Code block by assigning the new value to the <code>apex_application.g_x02</code> global variable.</p>',
'<pre>apex_application.g_x02 := ''New Error Message'';</pre>',
'<p>If no error message is provided, none will be shown.</p>',
'<p>You can also use the #SQLCODE#, #SQLERRM# and #SQLERRM_TEXT# substitution strings for more detailed error information.</p>',
'<p>By default the error message will be displayed in the top right corner as a notification. If you wish to display it as an alert, tick the Show "Error as Alert" checkbox.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23078692591772342)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Loader'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'spinner'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'None'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Provide the type of Loader to be displayed while waiting for the execution to complete.</p>',
'<p>This helps inform the user that something is going on in case of longer processes.</p>',
'<p><b>Spinner</b> is displayed as the default application spinner.</p>',
'<p><b>Spinner & Overlay</b> will add a translucent overlay behind the spinner to discourage the user from performing other actions while the AJAX call is in progress. Note that this will not stop actions performed via the keyboard.</p>',
'<p>To avoid flickering, the spinner will only be shown if the AJAX call takes longer than 200ms, and will always show for at least 800ms.</p>'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23090083113777277)
,p_plugin_attribute_id=>wwv_flow_api.id(23078692591772342)
,p_display_sequence=>10
,p_display_value=>'Spinner'
,p_return_value=>'spinner'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23090413017779160)
,p_plugin_attribute_id=>wwv_flow_api.id(23078692591772342)
,p_display_sequence=>20
,p_display_value=>'Spinner & Overlay'
,p_return_value=>'spinnerandoverlay'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23090864422813691)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Loader Position'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'body'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(23078692591772342)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Provide the position of the spinner as a jQuery selector.</p>',
'<p><b>body</b> will be desired in most cases, but specific requirements can also be achieved. For example, you can give a region a static ID of <b>regionId</b>, and then reference it as <b>#regionId</b>.</p>',
'<p>Note that the spinner will be positioned at the center of said region, and scroll appropriately. The only exception is in the case of <b>body</b>, when the spinner will be positioned at the middle of the visible screen, and stay there despite any '
||'scrolling.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23131913878970506)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Submit CLOB'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'No'
,p_help_text=>'<p>Values submitted to the server in APEX page items can have a maximum length of 4000 characters. If you need to submit values larger than that, specify here the source, and the value will be made available to you via the <code>apex_application.g_cl'
||'ob_01</code> global variable in your PL/SQL code block. From there, you can modify the value, store it in a table or collection, etc.</p>'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23137818249981245)
,p_plugin_attribute_id=>wwv_flow_api.id(23131913878970506)
,p_display_sequence=>10
,p_display_value=>'From Page Item'
,p_return_value=>'pageitem'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23138291806985669)
,p_plugin_attribute_id=>wwv_flow_api.id(23131913878970506)
,p_display_sequence=>20
,p_display_value=>'From JavaScript Variable'
,p_return_value=>'javascriptvariable'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23144134510050421)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Submit From'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(23131913878970506)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'pageitem'
,p_help_text=>'<p>Specify the page item whose value will be loaded into the <code>apex_application.g_clob_01</code> global variable.</p>'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23150044974055140)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_prompt=>'Submit From'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(23131913878970506)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'javascriptvariable'
,p_examples=>'<pre>nameSpace.largeString</pre>'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Specify the name of the JavaScript variable to be loaded into the <code>apex_application.g_clob_01</code> global variable.</p>',
'<p>If the variable is a JSON, it will be stringified.</p>',
'<p>You do not have to prefix the variable with <code>window.</code></p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23161722948061374)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_prompt=>'Return CLOB'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'No'
,p_help_text=>'<p>If you set this option to anything other that "No", any content found in <code>apex_application.g_clob_01</code> at the end of the PL/SQL execution will be loaded in the specified destination.</p>'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23167688768064560)
,p_plugin_attribute_id=>wwv_flow_api.id(23161722948061374)
,p_display_sequence=>10
,p_display_value=>'Into Page Item'
,p_return_value=>'pageitem'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23168054575070221)
,p_plugin_attribute_id=>wwv_flow_api.id(23161722948061374)
,p_display_sequence=>20
,p_display_value=>'Into JavaScript Variable'
,p_return_value=>'javascriptvariable'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(23168468696072123)
,p_plugin_attribute_id=>wwv_flow_api.id(23161722948061374)
,p_display_sequence=>30
,p_display_value=>'Into JavaScript Variable as JSON'
,p_return_value=>'javascriptvariablejson'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23168859243079331)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_prompt=>'Return Into'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(23161722948061374)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'pageitem'
,p_help_text=>'<p>Specify a page item into which the value of <code>apex_application.g_clob_01</code> will be loaded.</p>'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(23174734104085173)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_prompt=>'Return Into'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(23161722948061374)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'IN_LIST'
,p_depending_on_expression=>'javascriptvariable,javascriptvariablejson'
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p><b>PL/SQL Code</b></p>',
'<pre>',
'apex_json.initialize_clob_output;',
'apex_json.open_array;',
'',
'for employee in (select * from emp)',
'loop',
'    apex_json.open_object;',
'    apex_json.write(''empno'', employee.empno);',
'    apex_json.write(''empname'', employee.empname);',
'    apex_json.close_object;',
'end loop;',
'',
'apex_json.close_array;',
'apex_application.g_clob_01 := apex_json.get_clob_output;',
'apex_json.free_output;',
'</pre>',
'<p><b>Return CLOB</b></p>',
'<pre>Into JavaScript Variable as JSON</pre>',
'<p><b>Return Into</b></p>',
'<pre>myApp.employees</pre>',
'',
'<p>You can then reference this object in any JavaScript context on the page, usually in subsequent Execute Javascript dynamic actions.</p>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Specify the JavaScript variable into which the value of <code>apex_application.g_clob_01</code> will be loaded.</p>',
'<p>If you chose <b>Into JavaScript Variable</b> the value will simply be loaded as a string.</p>',
'<p>If you chose <b>Into JavaScript Variable as JSON</b> the value will be first parsed as JSON, then assigned to the variable.</p>',
'<p>Note that you can specify any variable, even a nested one. If it doesn''t exist, it will be created.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(22970414855488118)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_prompt=>'Options'
,p_attribute_type=>'CHECKBOXES'
,p_is_required=>false
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p><b>Suppress Change Event</b></p>',
'<p>Specify whether the change event is suppressed on the items specified in Page Items to Return. This prevents subsequent Change based Dynamic Actions from firing, for these items.</p>',
'<p><b>Show Error as Alert</b></p>',
'<p>By default, errors will be shown via <code>apex.message.showErrors</code> as opposed to <code>apex.message.alert</code>. If you wish to use the classic alert, tick this checkbox.</p>'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(22975951065490763)
,p_plugin_attribute_id=>wwv_flow_api.id(22970414855488118)
,p_display_sequence=>10
,p_display_value=>'Suppress Change Event'
,p_return_value=>'suppressChangeEvent'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(22981477508505194)
,p_plugin_attribute_id=>wwv_flow_api.id(22970414855488118)
,p_display_sequence=>20
,p_display_value=>'Show Error as Alert'
,p_return_value=>'showErrorAsAlert'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2866756E6374696F6E28297B0A202020202F2F616464696E6720746865207374796C652064796E616D6963616C6C7920746F2074686520686561640A202020202F2F746F6F206C6974746C6520666F7220697473206F776E2066696C650A202020207661';
wwv_flow_api.g_varchar2_table(2) := '722074656D705374796C65203D20646F63756D656E742E637265617465456C656D656E7428277374796C6527293B0A2020202074656D705374796C652E747970653D22746578742F637373223B0A2020202074656D705374796C652E696E6E657248544D';
wwv_flow_api.g_varchar2_table(3) := '4C203D20272E61752D657865637574652D637573746F6D5370696E6E6572436C6173737B27202B0A2020202027706F736974696F6E3A206162736F6C7574652021696D706F7274616E743B27202B0A20202020276C6566743A20302021696D706F727461';
wwv_flow_api.g_varchar2_table(4) := '6E743B27202B0A202020202772696768743A20302021696D706F7274616E743B27202B0A20202020276D617267696E3A206175746F2021696D706F7274616E743B27202B0A2020202027746F703A20302021696D706F7274616E743B27202B0A20202020';
wwv_flow_api.g_varchar2_table(5) := '27626F74746F6D3A20302021696D706F7274616E743B27202B0A20202020277A2D696E6465783A203435303B7D273B0A20202020646F63756D656E742E686561642E617070656E644368696C642874656D705374796C65293B0A7D2928293B0A0A766172';
wwv_flow_api.g_varchar2_table(6) := '20617065787574696C73203D20746869732E617065787574696C73207C7C207B7D3B0A0A2866756E6374696F6E2864612C207365727665722C206974656D2C202429207B0A0A20202020617065787574696C732E73686F775370696E6E6572203D206675';
wwv_flow_api.g_varchar2_table(7) := '6E6374696F6E20287053656C6563746F722C20704F7665726C617929207B0A20202020202020200A2020202020202020766172206C5370696E6E65722C0A2020202020202020202020206C57616974506F707570243B0A20202020202020200A20202020';
wwv_flow_api.g_varchar2_table(8) := '20202020696628704F7665726C6179297B0A20202020202020202020202076617220626F64795374796C652020203D2027706F736974696F6E3A2066697865643B202020207A2D696E6465783A20313930303B207669736962696C6974793A2076697369';
wwv_flow_api.g_varchar2_table(9) := '626C653B2077696474683A20313030253B206865696768743A20313030253B206261636B67726F756E643A2072676261283235352C203235352C203235352C20302E35293B273B0A202020202020202020202020766172206E6F726D616C5374796C6520';
wwv_flow_api.g_varchar2_table(10) := '3D2027706F736974696F6E3A206162736F6C7574653B207A2D696E6465783A203434303B20207669736962696C6974793A2076697369626C653B2077696474683A20313030253B206865696768743A20313030253B206261636B67726F756E643A207267';
wwv_flow_api.g_varchar2_table(11) := '6261283235352C203235352C203235352C20302E35293B273B0A0A2020202020202020202020206C57616974506F70757024203D20242820273C646976207374796C653D2227202B20287053656C6563746F72203D3D2027626F647927203F20626F6479';
wwv_flow_api.g_varchar2_table(12) := '5374796C65203A206E6F726D616C5374796C6529202B2027223E3C2F6469763E2720292E70726570656E64546F282024287053656C6563746F722920293B0A20202020202020207D0A0A20202020202020206C5370696E6E6572203D20617065782E7574';
wwv_flow_api.g_varchar2_table(13) := '696C2E73686F775370696E6E6572287053656C6563746F722C20287053656C6563746F72203D3D2027626F647927203F207B66697865643A20747275657D203A207B7370696E6E6572436C6173733A202761752D657865637574652D637573746F6D5370';
wwv_flow_api.g_varchar2_table(14) := '696E6E6572436C617373277D29293B0A0A202020202020202072657475726E207B0A20202020202020202020202072656D6F76653A2066756E6374696F6E202829207B0A20202020202020202020202020202020696620286C57616974506F7075702420';
wwv_flow_api.g_varchar2_table(15) := '213D3D20756E646566696E656429207B0A20202020202020202020202020202020202020206C57616974506F707570242E72656D6F766528293B0A202020202020202020202020202020207D0A2020202020202020202020202020202069662028206C53';
wwv_flow_api.g_varchar2_table(16) := '70696E6E657220213D3D20756E646566696E65642029207B0A20202020202020202020202020202020202020206C5370696E6E65722E72656D6F766528293B0A202020202020202020202020202020207D0A2020202020202020202020207D0A20202020';
wwv_flow_api.g_varchar2_table(17) := '202020207D3B0A202020207D3B0A0A202020202F2F6275696C64732061206E6573746564206F626A65637420696620697420646F65736E277420657869737420616E642061737369676E7320697420612076616C75650A20202020617065787574696C73';
wwv_flow_api.g_varchar2_table(18) := '2E6372656174654E65737465644F626A656374416E6441737369676E203D2066756E6374696F6E286F626A2C206B6579506174682C2076616C756529207B0A20202020202020206B657950617468203D206B6579506174682E73706C697428272E27293B';
wwv_flow_api.g_varchar2_table(19) := '0A20202020202020206C6173744B6579496E646578203D206B6579506174682E6C656E6774682D313B0A2020202020202020666F7220287661722069203D20303B2069203C206C6173744B6579496E6465783B202B2B206929207B0A2020202020202020';
wwv_flow_api.g_varchar2_table(20) := '202020206B6579203D206B6579506174685B695D3B0A2020202020202020202020206966202821286B657920696E206F626A29297B0A202020202020202020202020202020206F626A5B6B65795D203D207B7D3B0A2020202020202020202020207D0A20';
wwv_flow_api.g_varchar2_table(21) := '20202020202020202020206F626A203D206F626A5B6B65795D3B0A20202020202020207D0A20202020202020206F626A5B6B6579506174685B6C6173744B6579496E6465785D5D203D2076616C75653B0A202020207D3B0A202020200A20202020617065';
wwv_flow_api.g_varchar2_table(22) := '787574696C732E65786563757465506C53716C436F6465203D2066756E6374696F6E28297B0A20202020202020200A2020202020202020617065782E646562756728274578656375746520504C2F53514C20436F646520272C2074686973293B0A0A2020';
wwv_flow_api.g_varchar2_table(23) := '20202020202076617220616374696F6E20202020202020202020203D20746869732E616374696F6E2C0A202020202020202020202020726573756D6543616C6C6261636B2020203D20746869732E726573756D6543616C6C6261636B2C0A202020202020';
wwv_flow_api.g_varchar2_table(24) := '202020202020706167654974656D7320202020202020203D204A534F4E2E706172736528616374696F6E2E6174747269627574653031292C0A2020202020202020202020206C6F6164657253657474696E67732020203D204A534F4E2E70617273652861';
wwv_flow_api.g_varchar2_table(25) := '6374696F6E2E6174747269627574653032292C0A202020202020202020202020636C6F6253657474696E677320202020203D204A534F4E2E706172736528616374696F6E2E6174747269627574653033292C0A2020202020202020202020202F2F616374';
wwv_flow_api.g_varchar2_table(26) := '696F6E4964656E746966696572203D20616374696F6E2E61747472696275746530342C0A2020202020202020202020206F7074696F6E73202020202020202020203D204A534F4E2E706172736528616374696F6E2E6174747269627574653035292C0A20';
wwv_flow_api.g_varchar2_table(27) := '20202020202020202020206572726F724D65737361676573202020203D204A534F4E2E706172736528616374696F6E2E6174747269627574653036292C0A20202020202020202020202073796E63202020202020202020202020203D2028616374696F6E';
wwv_flow_api.g_varchar2_table(28) := '2E77616974466F72526573756C74202626206F7074696F6E732E73796E63293B0A0A20202020202020200A20202020202020202F2A204576656E74202261752D657865637574652D706C73716C2D737461727422202A2F0A20202020202020202F2A0A20';
wwv_flow_api.g_varchar2_table(29) := '20202020202020766172206576656E7444617461203D207B0A20202020202020202020202070726576656E7444656661756C743A2066616C73652C0A2020202020202020202020206576656E7449643A20616374696F6E4964656E7469666965720A2020';
wwv_flow_api.g_varchar2_table(30) := '2020202020207D3B0A20202020202020200A20202020202020202428646F63756D656E74292E74726967676572282761752D657865637574652D706C73716C2D7374617274272C206576656E7444617461293B0A0A20202020202020206966286576656E';
wwv_flow_api.g_varchar2_table(31) := '74446174612E70726576656E7444656661756C74297B0A202020202020202020202020617065782E646562756728274578656375746520504C2F53514C20436F646520657865637574696F6E2077697468204576656E74204964656E7469666965722022';
wwv_flow_api.g_varchar2_table(32) := '27202B20616374696F6E4964656E746966696572202B202722207761732070726576656E7465642E27293B0A20202020202020202020202072657475726E3B0A20202020202020207D202A2F0A20202020202020202F2A202D2D2D2D2D2D2D2D2D2D2D2D';
wwv_flow_api.g_varchar2_table(33) := '2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D202A2F0A0A20202020202020202F2F2043616C6C65642062792074686520414A415820636C6561722063616C6C6261636B20746F20636C656172207468652076616C75657320696E20746865202250616765';
wwv_flow_api.g_varchar2_table(34) := '204974656D7320746F2052657475726E220A202020202020202066756E6374696F6E205F636C6561722829207B0A0A2020202020202020202020202F2F204F6E6C7920636C6561722069662063616C6C206973206173796E632E20436C656172696E6720';
wwv_flow_api.g_varchar2_table(35) := '686173206E6F2065666665637420666F722073796E6368726F6E6F75732063616C6C7320616E6420697320616C736F206B6E6F776E20746F2063617573650A2020202020202020202020202F2F20697373756573207769746820636F6D706F6E656E7473';
wwv_flow_api.g_varchar2_table(36) := '207468617420757365206173796E63207365742076616C7565206D656368616E69736D73202862756720233230373730393335292E0A20202020202020202020202069662028202173796E632029207B0A20202020202020202020202020202020242820';
wwv_flow_api.g_varchar2_table(37) := '706167654974656D732E6974656D73546F52657475726E2C20617065782E6750616765436F6E746578742420292E656163682866756E6374696F6E202829207B0A2020202020202020202020202020202020202020247328746869732C2022222C206E75';
wwv_flow_api.g_varchar2_table(38) := '6C6C2C2074727565293B0A202020202020202020202020202020207D293B0A2020202020202020202020207D0A20202020202020207D0A0A202020202020202066756E6374696F6E205F68616E646C65526573706F6E7365282070446174612029207B0A';
wwv_flow_api.g_varchar2_table(39) := '20202020202020202020202069662870446174612E737461747573203D3D20277375636365737327297B0A20202020202020202020202020202020766172206974656D436F756E742C206974656D41727261793B0A0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(40) := '20202F2F726567756C61722070616765206974656D730A202020202020202020202020202020206966282070446174612026262070446174612E6974656D732029207B0A20202020202020202020202020202020202020206974656D436F756E74203D20';
wwv_flow_api.g_varchar2_table(41) := '70446174612E6974656D732E6C656E6774683B0A20202020202020202020202020202020202020206974656D4172726179203D2070446174612E6974656D733B0A2020202020202020202020202020202020202020666F7228207661722069203D20303B';
wwv_flow_api.g_varchar2_table(42) := '2069203C206974656D436F756E743B20692B2B2029207B0A202020202020202020202020202020202020202020202020247328206974656D41727261795B695D2E69642C206974656D41727261795B695D2E76616C75652C206E756C6C2C206F7074696F';
wwv_flow_api.g_varchar2_table(43) := '6E732E73757070726573734368616E67654576656E74293B0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A0A202020202020202020202020202020202F2F636C6F622070616765206974656D2F20';
wwv_flow_api.g_varchar2_table(44) := '7661726961626C652F207661726961626C65206173206A736F6E0A20202020202020202020202020202020696628636C6F6253657474696E67732E72657475726E436C6F62297B0A20202020202020202020202020202020202020207377697463682863';
wwv_flow_api.g_varchar2_table(45) := '6C6F6253657474696E67732E72657475726E436C6F62496E746F297B0A202020202020202020202020202020202020202020202020636173652027706167656974656D273A0A202020202020202020202020202020202020202020202020202020202473';
wwv_flow_api.g_varchar2_table(46) := '28636C6F6253657474696E67732E72657475726E436C6F624974656D2C2070446174612E636C6F622C206E756C6C2C206F7074696F6E732E73757070726573734368616E67654576656E74293B0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(47) := '202020202020627265616B3B0A2020202020202020202020202020202020202020202020206361736520276A6176617363726970747661726961626C65273A0A20202020202020202020202020202020202020202020202020202020617065787574696C';
wwv_flow_api.g_varchar2_table(48) := '732E6372656174654E65737465644F626A656374416E6441737369676E2877696E646F772C20636C6F6253657474696E67732E72657475726E436C6F625661726961626C652C2070446174612E636C6F62293B0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(49) := '202020202020202020202020627265616B3B0A2020202020202020202020202020202020202020202020206361736520276A6176617363726970747661726961626C656A736F6E273A0A2020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(50) := '2020617065787574696C732E6372656174654E65737465644F626A656374416E6441737369676E2877696E646F772C20636C6F6253657474696E67732E72657475726E436C6F625661726961626C652C204A534F4E2E70617273652870446174612E636C';
wwv_flow_api.g_varchar2_table(51) := '6F6229293B0A20202020202020202020202020202020202020202020202020202020627265616B3B0A20202020202020202020202020202020202020202020202064656661756C743A0A2020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(52) := '2020627265616B3B0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A202020202020202020202020202020200A2020202020202020202020202020202069662870446174612E6D657373616765297B';
wwv_flow_api.g_varchar2_table(53) := '0A2020202020202020202020202020202020202020617065782E6D6573736167652E73686F7750616765537563636573732870446174612E6D657373616765293B0A202020202020202020202020202020207D0A0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(54) := '202F2A20526573756D6520657865637574696F6E206F6620616374696F6E73206865726520616E6420706173732066616C736520746F207468652063616C6C6261636B2C20746F20696E646963617465206E6F0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(55) := '6572726F7220686173206F6363757272656420776974682074686520416A61782063616C6C2E202A2F0A2020202020202020202020202020202064612E726573756D652820726573756D6543616C6C6261636B2C2066616C736520293B0A202020202020';
wwv_flow_api.g_varchar2_table(56) := '2020202020207D20656C7365206966202870446174612E737461747573203D3D20276572726F7227297B0A2020202020202020202020202020202069662870446174612E6D657373616765297B0A0A202020202020202020202020202020202020202069';
wwv_flow_api.g_varchar2_table(57) := '66286F7074696F6E732E73686F774572726F724173416C657274297B0A202020202020202020202020202020202020202020202020617065782E6D6573736167652E616C6572742870446174612E6D657373616765293B0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(58) := '20202020202020207D20656C7365207B0A2020202020202020202020202020202020202020202020202F2F20466972737420636C65617220746865206572726F72730A202020202020202020202020202020202020202020202020617065782E6D657373';
wwv_flow_api.g_varchar2_table(59) := '6167652E636C6561724572726F727328293B0A0A2020202020202020202020202020202020202020202020202F2F204E6F772073686F77206E6577206572726F72730A202020202020202020202020202020202020202020202020617065782E6D657373';
wwv_flow_api.g_varchar2_table(60) := '6167652E73686F774572726F7273285B0A202020202020202020202020202020202020202020202020202020207B0A2020202020202020202020202020202020202020202020202020202020202020747970653A20202020202020226572726F72222C0A';
wwv_flow_api.g_varchar2_table(61) := '20202020202020202020202020202020202020202020202020202020202020206C6F636174696F6E3A2020205B2270616765225D2C0A20202020202020202020202020202020202020202020202020202020202020206D6573736167653A202020207044';
wwv_flow_api.g_varchar2_table(62) := '6174612E6D6573736167652C0A2020202020202020202020202020202020202020202020202020202020202020756E736166653A202020202066616C73650A202020202020202020202020202020202020202020202020202020207D0A20202020202020';
wwv_flow_api.g_varchar2_table(63) := '20202020202020202020202020202020205D293B0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A2020202020202020202020207D0A20202020202020207D0A0A20202020202020202F2F20457272';
wwv_flow_api.g_varchar2_table(64) := '6F722063616C6C6261636B2063616C6C6564207768656E2074686520416A61782063616C6C206661696C730A202020202020202066756E6374696F6E205F6572726F722820706A715848522C2070546578745374617475732C20704572726F725468726F';
wwv_flow_api.g_varchar2_table(65) := '776E2029207B0A2020202020202020202020200A2020202020202020202020202F2A0A2020202020202020202020207661722064617461203D207B0A20202020202020202020202020202020706A715848523A20706A715848522C0A2020202020202020';
wwv_flow_api.g_varchar2_table(66) := '202020202020202070546578745374617475733A2070546578745374617475732C0A20202020202020202020202020202020704572726F725468726F776E3A20704572726F725468726F776E2C0A2020202020202020202020202020202073657373696F';
wwv_flow_api.g_varchar2_table(67) := '6E457870697265643A20704572726F725468726F776E203D3D3D206572726F724D657373616765732E73657373696F6E457870697265644572726F722C0A202020202020202020202020202020206576656E7449643A20616374696F6E4964656E746966';
wwv_flow_api.g_varchar2_table(68) := '6965722C0A2020202020202020202020202020202070726576656E7444656661756C743A2066616C73650A2020202020202020202020207D3B0A20202020202020202020200A2020202020202020202020202428646F63756D656E74292E747269676765';
wwv_flow_api.g_varchar2_table(69) := '72282761752D65786563757465706C73716C2D6572726F72272C2064617461293B0A2020202020202020202020200A20202020202020202020202069662821646174612E70726576656E7444656661756C74297B0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(70) := '2064612E68616E646C65416A61784572726F72732820706A715848522C2070546578745374617475732C20704572726F725468726F776E2C20726573756D6543616C6C6261636B20293B0A2020202020202020202020207D2A2F0A202020202020202020';
wwv_flow_api.g_varchar2_table(71) := '2020200A20202020202020202020202064612E68616E646C65416A61784572726F72732820706A715848522C2070546578745374617475732C20704572726F725468726F776E2C20726573756D6543616C6C6261636B20293B0A20202020202020207D0A';
wwv_flow_api.g_varchar2_table(72) := '20202020202020200A2020202020202020766172206C5370696E6E6572243B0A202020202020202076617220756E697175654964203D206E6577204461746528292E67657454696D6528293B0A20202020202020200A20202020202020206966286C6F61';
wwv_flow_api.g_varchar2_table(73) := '64657253657474696E67732E73686F774C6F6164657229207B0A202020202020202020202020737769746368286C6F6164657253657474696E67732E6C6F6164657254797065297B0A202020202020202020202020202020206361736520277370696E6E';
wwv_flow_api.g_varchar2_table(74) := '6572273A0A2020202020202020202020202020202020202020617065782E7574696C2E64656C61794C696E6765722E737461727428756E6971756549642C2066756E6374696F6E2829207B0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(75) := '6C5370696E6E657224203D20617065787574696C732E73686F775370696E6E6572286C6F6164657253657474696E67732E6C6F61646572506F736974696F6E2C2066616C7365293B0A20202020202020202020202020202020202020207D293B0A202020';
wwv_flow_api.g_varchar2_table(76) := '2020202020202020202020202020202020627265616B3B0A202020202020202020202020202020206361736520277370696E6E6572616E646F7665726C6179273A0A2020202020202020202020202020202020202020617065782E7574696C2E64656C61';
wwv_flow_api.g_varchar2_table(77) := '794C696E6765722E737461727428756E6971756549642C2066756E6374696F6E2829207B0A2020202020202020202020202020202020202020202020206C5370696E6E657224203D20617065787574696C732E73686F775370696E6E6572286C6F616465';
wwv_flow_api.g_varchar2_table(78) := '7253657474696E67732E6C6F61646572506F736974696F6E2C2074727565293B0A20202020202020202020202020202020202020207D293B0A2020202020202020202020202020202020202020627265616B3B0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(79) := '64656661756C743A0A2020202020202020202020202020202020202020627265616B3B0A2020202020202020202020207D0A20202020202020207D0A20202020202020200A20202020202020207661722068616E646C655F7370696E6E6572203D206675';
wwv_flow_api.g_varchar2_table(80) := '6E6374696F6E28297B0A2020202020202020202020206966286C6F6164657253657474696E67732E73686F774C6F61646572297B0A20202020202020202020202020202020617065782E7574696C2E64656C61794C696E6765722E66696E69736828756E';
wwv_flow_api.g_varchar2_table(81) := '6971756549642C2066756E6374696F6E28297B0A20202020202020202020202020202020202020206966286C5370696E6E657224297B0A2020202020202020202020202020202020202020202020206C5370696E6E6572242E72656D6F766528293B0A20';
wwv_flow_api.g_varchar2_table(82) := '202020202020202020202020202020202020207D0A202020202020202020202020202020207D293B20200A2020202020202020202020207D0A20202020202020207D3B0A0A202020202020202076617220636C6F62546F5375626D69743B0A0A20202020';
wwv_flow_api.g_varchar2_table(83) := '20202020696628636C6F6253657474696E67732E7375626D6974436C6F62297B0A20202020202020202020202073776974636828636C6F6253657474696E67732E7375626D6974436C6F6246726F6D297B0A202020202020202020202020202020206361';
wwv_flow_api.g_varchar2_table(84) := '73652027706167656974656D273A0A2020202020202020202020202020202020202020636C6F62546F5375626D6974203D206974656D28636C6F6253657474696E67732E7375626D6974436C6F624974656D292E67657456616C756528293B0A20202020';
wwv_flow_api.g_varchar2_table(85) := '20202020202020202020202020202020627265616B3B0A202020202020202020202020202020206361736520276A6176617363726970747661726961626C65273A0A202020202020202020202020202020202020202076617220746F5375626D6974203D';
wwv_flow_api.g_varchar2_table(86) := '2077696E646F775B636C6F6253657474696E67732E7375626D6974436C6F625661726961626C655D3B0A0A2020202020202020202020202020202020202020696628746F5375626D697420696E7374616E63656F66204F626A656374297B0A2020202020';
wwv_flow_api.g_varchar2_table(87) := '20202020202020202020202020202020202020636C6F62546F5375626D6974203D204A534F4E2E737472696E6769667928746F5375626D6974293B0A20202020202020202020202020202020202020207D20656C7365207B0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(88) := '20202020202020202020202020636C6F62546F5375626D6974203D20746F5375626D69743B0A20202020202020202020202020202020202020207D0A2020202020202020202020202020202020202020627265616B3B0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(89) := '20202064656661756C743A0A2020202020202020202020202020202020202020627265616B3B0A2020202020202020202020207D0A20202020202020207D0A0A20202020202020207365727665722E706C7567696E202820616374696F6E2E616A617849';
wwv_flow_api.g_varchar2_table(90) := '64656E7469666965722C207B0A20202020202020202020202020202020706167654974656D73202020202020203A20706167654974656D732E6974656D73546F5375626D69742C2020202F2F20416C726561647920696E206A51756572792073656C6563';
wwv_flow_api.g_varchar2_table(91) := '746F722073796E7461780A20202020202020202020202020202020705F636C6F625F3031202020202020203A20636C6F62546F5375626D69740A2020202020202020202020207D2C207B0A20202020202020202020202020202020646174615479706520';
wwv_flow_api.g_varchar2_table(92) := '202020202020203A20276A736F6E272C0A202020202020202020202020202020206C6F6164696E67496E64696361746F723A20706167654974656D732E6974656D73546F52657475726E2C2020202F2F20446973706C6179656420666F7220616C6C2022';
wwv_flow_api.g_varchar2_table(93) := '50616765204974656D7320746F2052657475726E220A20202020202020202020202020202020636C65617220202020202020202020203A205F636C6561722C20202020202020202020202020202020202020202F2F20436C6561727320616C6C20225061';
wwv_flow_api.g_varchar2_table(94) := '6765204974656D7320746F2052657475726E22206265666F7265207468652063616C6C0A20202020202020202020202020202020737563636573732020202020202020203A2066756E6374696F6E287044617461297B0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(95) := '2020202020202068616E646C655F7370696E6E657228293B0A20202020202020202020202020202020202020205F68616E646C65526573706F6E7365287044617461293B0A202020202020202020202020202020207D2C0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(96) := '202020206572726F7220202020202020202020203A2066756E6374696F6E28706A715848522C2070546578745374617475732C20704572726F725468726F776E297B0A202020202020202020202020202020202020202068616E646C655F7370696E6E65';
wwv_flow_api.g_varchar2_table(97) := '7228293B0A20202020202020202020202020202020202020205F6572726F722820706A715848522C2070546578745374617475732C20704572726F725468726F776E20293B0A202020202020202020202020202020207D2C0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(98) := '20202020206173796E6320202020202020202020203A202173796E632C0A20202020202020202020202020202020746172676574202020202020202020203A20746869732E62726F777365724576656E742E7461726765740A2020202020202020202020';
wwv_flow_api.g_varchar2_table(99) := '207D0A2020202020202020293B0A202020207D3B0A7D2928617065782E64612C20617065782E7365727665722C20617065782E6974656D2C20617065782E6A5175657279293B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(23283577776894160)
,p_plugin_id=>wwv_flow_api.id(1843861354211161477)
,p_file_name=>'js/script.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/user_interfaces
begin
wwv_flow_api.create_user_interface(
 p_id=>wwv_flow_api.id(27509004433859252007)
,p_ui_type_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_seq=>10
,p_use_auto_detect=>false
,p_is_default=>true
,p_theme_id=>42
,p_home_url=>'f?p=&APP_ALIAS.:home'
,p_login_url=>'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
,p_theme_style_by_user_pref=>false
,p_built_with_love=>false
,p_global_page_id=>0
,p_navigation_list_id=>wwv_flow_api.id(27508884131392251761)
,p_navigation_list_position=>'SIDE'
,p_navigation_list_template_id=>wwv_flow_api.id(27508971592027251908)
,p_nav_list_template_options=>'#DEFAULT#'
,p_css_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APP_IMAGES#app-icon.css?version=#APP_VERSION#',
'https://static.oracle.com/cdn/apex/18.2.0.00.12/libraries/codemirror/5.16/codemirror-custom.min.css?v=18.2.0.00.12',
'#APP_IMAGES#css/apexutils_demoApp.css'))
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'https://static.oracle.com/cdn/apex/18.2.0.00.12/libraries/codemirror/5.16/codemirror-custom.min.js?v=18.2.0.00.12',
'#APP_IMAGES#js/apexutils_demoApp.js'))
,p_nav_bar_type=>'LIST'
,p_nav_bar_list_id=>wwv_flow_api.id(27509004164412252005)
,p_nav_bar_list_template_id=>wwv_flow_api.id(27508972950720251910)
,p_nav_bar_template_options=>'#DEFAULT#'
);
end;
/
prompt --application/user_interfaces/combined_files
begin
null;
end;
/
prompt --application/pages/page_00000
begin
wwv_flow_api.create_page(
 p_id=>0
,p_user_interface_id=>wwv_flow_api.id(27509004433859252007)
,p_name=>'Global Page - Desktop'
,p_step_title=>'Global Page - Desktop'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'D'
,p_last_updated_by=>'SDOBRE'
,p_last_upd_yyyymmddhh24miss=>'20190311181632'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(15259968412120301)
,p_name=>'Prettifying the page'
,p_event_sequence=>10
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(15260094428120302)
,p_event_id=>wwv_flow_api.id(15259968412120301)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'//removing button focus after click',
'$(''.blur-after-click'').click(function(){',
'    this.blur();',
'});'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(16297279485589724)
,p_name=>'On View On GitHub Click'
,p_event_sequence=>20
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'.gitHubListEntry'
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(16297307017589725)
,p_event_id=>wwv_flow_api.id(16297279485589724)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'this.browserEvent.preventDefault();',
'window.open($(this.triggeringElement).children().first().attr(''href''));'))
);
end;
/
prompt --application/pages/page_00001
begin
wwv_flow_api.create_page(
 p_id=>1
,p_user_interface_id=>wwv_flow_api.id(27509004433859252007)
,p_name=>'APEX Utils - Execute PL/SQL Code'
,p_alias=>'HOME'
,p_step_title=>'APEX Utils - Execute PL/SQL Code'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title=>'APEX Utils - Execute PL/SQL Code'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* Global - should be moved to global css file */',
'.au-underline{',
'    border-bottom: 5px solid;',
'    border-image: repeating-linear-gradient( 90deg, #3BAA2C, #3BAA2C 40px, #f44336 40px, #f44336 80px, #FBCE4A 80px, #FBCE4A 120px, #0076df 120px, #0076df 160px ) 5;',
'    border-top: 0px;',
'    border-left: 0px;',
'    border-right: 0px;',
'}',
'',
'/* au-preview- (APEX Utils Plugin Preview) */',
'',
'.au-preview-property-label-container{',
'    min-width: 120px !important;',
'}',
'',
'.au-preview-u-textUpper{',
'    text-transform: uppercase;',
'}',
'',
'.au-preview-property--stacked .au-preview-property-label-container{',
'    display: block;',
'    padding-bottom: 0;',
'    margin-right: 64px;',
'}',
'',
'.au-preview-property--stacked{',
'    position: relative;',
'}',
'',
'.au-preview-property--stacked .au-preview-property-button-container+.au-preview-property-field-container {',
'    padding-top: 4px;',
'}',
'',
'.au-preview-property--stacked .au-preview-property-field-container{',
'    display: block;',
'}',
'',
'.au-preview-icon-open-in-dialog:before{',
'    content: "\e04d";  ',
'}',
'',
'body .au-preview-property-field--textarea{',
'    line-height: 14px;',
'    font-size: 11px;',
'    height: auto;',
'    max-height: 320px;',
'    font-family: Consolas,Menlo,monospace;',
'    border: 1px solid #E0E0E0;',
'    background-color: #FFF;',
'    padding: 4px;',
'    ',
'    min-height: 48px;',
'    resize: vertical;',
'    ',
'    overflow: auto;',
'    vertical-align: top;',
'    ',
'    margin: 0;',
'}',
'',
'.au-preview-property-field--textarea:focus{',
'    line-height: 14px;',
'    font-size: 11px;',
'    height: auto;',
'    max-height: 320px;',
'    font-family: Consolas,Menlo,monospace;',
'    border: 1px solid #E0E0E0;',
'    background-color: #FFF;',
'    padding: 4px;',
'}',
'',
'.au-property-field{',
'    color: #404040;',
'    border-radius: 0;',
'}',
'',
'.au-property-label{',
'    font-size: 12px;',
'    line-height: 16px;',
'    padding: 4px 0;',
'    color: rgba(0,0,0,.65);',
'    display: block;',
'    overflow: hidden;',
'    -ms-text-overflow: ellipsis;',
'    text-overflow: ellipsis;',
'}',
'',
'.au-preview-property{',
'    border-color: #E0E0E0;',
'    display: table;',
'    padding: 0;',
'    margin: 0;',
'    table-layout: auto;',
'    width: 100%;',
'    position: relative;',
'}',
'',
'.au-preview-property-label-container{',
'    padding: 4px 8px;',
'    min-width: 112px;',
'    display: table-cell;',
'    vertical-align: middle;',
'}',
'',
'.au-preview-property-label{',
'    font-size: 12px;',
'    line-height: 16px;',
'    padding: 4px 0;',
'    color: rgba(0,0,0,.65);',
'    display: block;',
'    overflow: hidden;',
'    -ms-text-overflow: ellipsis;',
'    text-overflow: ellipsis;',
'}',
'',
'.au-preview-property-field-container{',
'    padding: 4px 8px;',
'    display: table-cell;',
'    width: 100%;',
'    vertical-align: middle;',
'}',
'',
'.au-preview-property-field{',
'    font-size: 12px;',
'    line-height: 16px;',
'    padding: 4px;',
'    height: 24px;',
'    background-color: transparent;',
'    color: #404040;',
'    border-radius: 0;',
'    ',
'    display: block;',
'    background-clip: border-box;',
'    border: none;',
'    width: 100%;',
'}',
'',
'.au-preview-property-field:not(.au-preview-property-field--textarea) {',
'    box-shadow: 4px 0 0 0 #FFF inset, -4px 0 0 0 #FFF inset, 0 -1px 0 0 rgba(0,0,0,.1) inset;',
'    transition: box-shadow .1s ease;',
'}',
'',
'.au-preview-property-field:focus {',
'    border-color: #0572CE!important;',
'    background-color: #FFF;',
'    outline: 0;',
'    border-radius: 2px;',
'    box-shadow: 0 1px 2px rgba(0,0,0,.1)',
'}',
'',
'.au-preview-property-field:not(.au-preview-property-field--textarea):focus{',
'    box-shadow: 0 0 0 1px #0572CE inset, 0 1px 2px rgba(0,0,0,.1);',
'}',
'',
'.au-preview-property-field--text{',
'    ',
'}',
'',
'.au-preview-property--stacked .au-preview-property-button-container {',
'    position: absolute;',
'    top: 0;',
'    right: 0;',
'}',
'',
'.au-preview-property-button-container{',
'    padding: 4px 8px;',
'    padding-left: 0!important;',
'    display: table-cell;',
'    vertical-align: middle;',
'}',
'',
'.au-preview-property-button-container--comboBox{',
'    ',
'}',
'',
'.au-preview-a-button{',
'    background-color: #FFF;',
'    margin-left: 8px;',
'    ',
'    border: none;',
'    color: #505050;',
'    background-clip: padding-box;',
'    background-color: #F9F9F9;',
'    box-shadow: 0 0 0 1px rgba(0,0,0,.125) inset;',
'    text-shadow: none;',
'    -webkit-font-smoothing: antialiased;',
'    transition: background-color .15s ease;',
'    ',
'    -webkit-appearance: none;',
'    background: 0 0;',
'    x-border: 1px solid;',
'    x-color: inherit;',
'    cursor: pointer;',
'    display: inline-block;',
'    font: inherit;',
'    x-line-height: normal;',
'    margin: 0;',
'    x-padding: 4px 12px;',
'    position: relative;',
'    text-align: center;',
'    user-select: none;',
'    vertical-align: middle;',
'    white-space: nowrap;',
'    ',
'    text-decoration: none;',
'}',
'',
'.au-preview-a-button:hover{',
'    background-color: #FFF;',
'    box-shadow: 0 0 0 1px rgba(0,0,0,.2) inset, 0 1px 4px rgba(0,0,0,.1);',
'    z-index: 100;',
'}',
'',
'.au-preview-a-button--simple{',
'    background-color: transparent;',
'    box-shadow: none;',
'    text-shadow: none;',
'}',
'',
'.au-preview-a-button:focus{',
'    box-shadow: 0 0 0 1px #0572ce inset,0 1px 2px rgba(0,0,0,.1)!important;',
'    outline: 0;',
'    z-index: 110;',
'}',
'',
'.au-preview-a-button--small{',
'    line-height: 16px;',
'    padding: 4px 8px!important;',
'}',
'',
'.au-preview-a-button--noLabel{',
'    ',
'}',
'',
'.au-preview-a-button--withIcon{',
'    padding: 8px 10px;',
'    line-height: 16px;',
'}',
'',
'.au-preview-a-icon{',
'    display: inline-block;',
'    vertical-align: top;',
'    width: 16px;',
'    height: 16px;',
'    line-height: 16px;',
'    position: relative;',
'}',
'',
'.au-preview-a-icon:before{',
'    font-size: 16px;',
'    font-family: apex-5-icon-font!important;',
'    font-style: normal!important;',
'    font-weight: 400!important;',
'    font-variant: normal!important;',
'    text-transform: none!important;',
'    speak: none;',
'    line-height: 1;',
'    -webkit-font-smoothing: antialiased;',
'    -moz-osx-font-smoothing: grayscale;',
'}',
'',
'.au-preview-a-icon.au-preview-icon-popup-lov:before{',
'    content: "\e012";',
'}',
'',
'.au-preview-icon-popup-lov{',
'    ',
'}',
'',
'/* Radio Group Property */',
'',
'.au-preview-property-radio-group--buttonSet:after, .au-preview-property-radio-group--buttonSet:before {',
'    content: " ";',
'    display: table;',
'}',
'',
'.au-preview-property-radio-group--buttonSet:after {',
'    clear: both;',
'}',
'',
'.au-preview-property-radio-group--buttonSet:after, .au-preview-property-radio-group--buttonSet:before {',
'    content: " ";',
'    display: table;',
'}',
'',
'.au-preview-property-radio-group--buttonSet .au-preview-property-radio {',
'    margin-right: -1px;',
'    float: left;',
'}',
'',
'.au-preview-property-radio-group:focus {',
'    outline: 0;',
'}',
'',
'',
'.au-preview-property-field-container--radioGroup{',
'',
'}',
'',
'.au-preview-property-radio-group{',
'    ',
'}',
'',
'.au-preview-property-radio-group--buttonSet{',
'    ',
'}',
'',
'.au-preview-property-radio{',
'    display: inline-block;',
'}',
'',
'.au-preview-property-radio-input[type=radio] {',
'    border: 0;',
'    clip: rect(0 0 0 0);',
'    height: 1px;',
'    margin: -1px;',
'    overflow: hidden;',
'    padding: 0;',
'    position: absolute;',
'    width: 1px;',
'}',
'',
'.au-preview-property-radio-group--buttonSet .au-preview-property-radio-input {',
'    border: 0;',
'    clip: rect(0 0 0 0);',
'    height: 1px;',
'    margin: -1px;',
'    overflow: hidden;',
'    padding: 0;',
'    position: absolute;',
'    width: 1px;',
'}',
'',
'.au-preview-property-radio-group--buttonSet .au-preview-property-radio-input+label {',
'    transition: background-color .15s ease;',
'    padding: 2px 8px;',
'    min-width: 48px;',
'    text-align: center;',
'    border-radius: 2px;',
'    line-height: 20px;',
'}',
'',
'.au-preview-property-checkbox-input[type=checkbox]+label, .au-preview-property-radio-input[type=radio]+label {',
'    position: relative;',
'    x-padding-left: 20px;',
'    x-padding-right: 8px;',
'    cursor: pointer;',
'}',
'',
'.au-preview-property-checkbox-label, .au-preview-property-radio {',
'    font-size: 12px;',
'    line-height: 16px;',
'    color: #404040;',
'}',
'',
'.au-preview-property-radio-group--buttonSet .au-preview-property-radio-input:checked+label {',
'    background-color: #E8E8E8;',
'    box-shadow: 0 0 0 1px rgba(0,0,0,.1) inset, 0 2px 1px rgba(0,0,0,.05) inset;',
'    font-weight: 700;',
'}',
'',
'.au-preview-property-radio-input{',
'    ',
'}',
'',
'.au-preview-property-radio-label{',
'    font-size: 12px;',
'    vertical-align: top;',
'    display: inline-block;',
'}',
'',
'.au-preview-property-radio:hover>.au-preview-z-not-checked+label{',
'    box-shadow: 0 0 0 1px rgba(0,0,0,.15) inset,0 1px 2px rgba(0,0,0,.1);',
'}',
'',
'',
'/* Select List */',
'',
'.au-preview-property-field:not(.au-preview-property-field--textarea) {',
'    box-shadow: 4px 0 0 0 #FFF inset, -4px 0 0 0 #FFF inset, 0 -1px 0 0 rgba(0,0,0,.1) inset;',
'    transition: box-shadow .1s ease;',
'}',
'',
'.au-preview-property-field--select{',
'    box-shadow: 4px 0 0 0 #FFF inset, -4px 0 0 0 #FFF inset, 0 -1px 0 0 rgba(0,0,0,.1) inset;',
'    transition: box-shadow .1s ease;',
'    ',
'    -webkit-appearance: none;',
'    -moz-appearance: none;',
'    text-indent: .01px;',
'    background-repeat: no-repeat;',
'    background-position: 100% 0;',
'    background-size: 32px 24px;',
'    color: inherit;',
'    padding-right: 30px;',
'    text-overflow: '' '';',
'    overflow: hidden;',
'    ',
'    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI0MDAiIGhlaWdodD0iMjAwIiB2aWV3Qm94PSItOTkuNSAwLjUgNDAwIDIwMCIgZW5hYmxlLWJhY2tncm91bmQ9Im5ldyAtOTkuNSAwLjUgNDAwIDIwMCI+PHBhdGggZmlsbD0iIz'
||'Q0NCIgZD0iTTE1Ni4yNSA3My43YzAgMS42LS42MTIgMy4yLTEuODI1IDQuNDI1bC01NC40MjUgNTQuNDI1LTU0LjQyNS01NC40MjVjLTIuNDM4LTIuNDM4LTIuNDM4LTYuNCAwLTguODM3czYuNC0yLjQzOCA4LjgzNyAwbDQ1LjU4OCA0NS41NzQgNDUuNTc1LTQ1LjU3NWMyLjQzOC0yLjQzOCA2LjM5OS0yLjQzOCA4LjgzNyAwIDEu'
||'MjI2IDEuMjI2IDEuODM4IDIuODI1IDEuODM4IDQuNDEzeiIvPjwvc3ZnPg==);',
'}',
'',
'',
'/* end of au-preview */',
'',
'/* All Tabs */',
'.t-Report-cell[headers="COL1"] {',
'    min-width: 130px;',
'}',
'',
'/* About Tab */',
'',
'/* Notifications Tab */',
'',
'.icon-green{',
'    color: #3BAA2C;',
'}',
'',
'/* CLOB Support Tab */',
'',
'#P40_LOAD_CLOB_FROM_CHAR_COUNTER_CONTAINER > div.t-Form-inputContainer{',
'    padding-top: 0px;',
'}',
'#P40_LOAD_CLOB_FROM_CHAR_COUNTER_DISPLAY{',
'    font-weight: 400;',
'    font-size: 12px;',
'}',
'',
'/* Spinner Tab */',
'',
'.note-span{',
'    background-color: #ED813E;',
'    color: white;',
'    font-weight: 600;',
'    padding: 0 4px;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_last_updated_by=>'SDOBRE'
,p_last_upd_yyyymmddhh24miss=>'20190412025058'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38475900233599160)
,p_plug_name=>'Tabs'
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_plug_template=>wwv_flow_api.id(27508937089941251853)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38476023683599161)
,p_plug_name=>'About'
,p_region_name=>'about_tab'
,p_parent_plug_id=>wwv_flow_api.id(38475900233599160)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44928700390176583)
,p_plug_name=>'Left Column'
,p_parent_plug_id=>wwv_flow_api.id(38476023683599161)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div>',
'    <h2 class="au-underline" style="display: inline-block;">APEX Utils - Execute PL/SQL Code</h2>',
'</div>',
'',
'<br>',
'',
'<h4>',
'    This plugin is meant to be a replacement for the native Execute PL/SQL Code dynamic action. It compensates for many features the native component lacks, while only featuring the most common functionality most developers might need.',
'</h4>',
'',
'<p>',
'    <h4>Features include:</h4>',
'    <ul>',
'        <li>Declarative & overridable Success & Error messages</li>',
'        <li>Submitting & returning a CLOB, with JSON in mind</li>',
'        <li>Configurable spinners for longer processes</li>',
'    </ul>',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44928824358176584)
,p_plug_name=>'Settings Preview'
,p_region_name=>'settings-preview-region'
,p_parent_plug_id=>wwv_flow_api.id(38476023683599161)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>20
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>5
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!-- Execute PL/SQL Code -->',
'<div style="display: flex;">',
'    <div class="au-preview-property au-preview-property--stacked">',
'        <div style="height: 30px; width: 30px; color: lightblue; position: absolute; top: 0; right: 0;"></div>',
'        <div class="au-preview-property-label-container">',
'            <label class="au-preview-property-label">PL/SQL Code</label>',
'        </div>',
'        <div class="au-preview-property-button-container">',
'            <button type="button" class="au-preview-a-button au-preview-a-button--small au-preview-a-button--noLabel au-preview-a-button--withIcon au-preview-a-button--simple" title="Code Editor: PL/SQL Code">',
'                <span class="au-preview-a-icon au-preview-icon-open-in-dialog"></span>',
'            </button>',
'        </div>',
'        <div class="au-preview-property-field-container">',
'            <textarea disabled rows="3" maxlength="4000" class="au-preview-property-field au-preview-property-field--textarea"></textarea>',
'        </div>',
'    </div>',
'',
'    <div style=" align-items: center; display: flex;">',
'        <button type="button" class="au-preview-a-button au-preview-a-button--small au-preview-a-button--noLabel au-preview-a-button--withIcon" title="Code Editor: PL/SQL Code">',
'            <span class="fa fa-question"></span>',
'        </button>',
'    </div>',
'',
'</div>',
'',
'<!-- Items to Submit -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <span class="au-preview-property-label">Items to Submit</span>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled class="au-preview-property-field au-preview-property-field--text au-preview-u-textUpper"></input>',
'    </div>',
'    <div class="au-preview-property-button-container au-preview-property-button-container--comboBox">',
'        <button type="button" class="au-preview-a-button au-preview-a-button--small au-preview-a-button--noLabel au-preview-a-button--withIcon" title="List of Values: Items to Submit">',
'            <span class="au-preview-a-icon au-preview-icon-popup-lov"></span>',
'        </button>',
'    </div>',
'</div>',
'',
'<!-- Items to Return -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <span class="au-preview-property-label">Items to Return</span>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled class="au-preview-property-field au-preview-property-field--text au-preview-u-textUpper"></input>',
'    </div>',
'    <div class="au-preview-property-button-container au-preview-property-button-container--comboBox">',
'        <button type="button" class="au-preview-a-button au-preview-a-button--small au-preview-a-button--noLabel au-preview-a-button--withIcon" title="List of Values: Items to Return">',
'            <span class="au-preview-a-icon au-preview-icon-popup-lov"></span>',
'        </button>',
'    </div>',
'</div>',
'',
'<!-- Success Message -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <label class="au-preview-property-label">Success Message</label>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled type="text" value="" class="au-preview-property-field au-preview-property-field--text" maxlength="4000">',
'    </div>',
'</div>',
'',
'<!-- Error Message -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <label class="au-preview-property-label">Error Message</label>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled type="text" value="" class="au-preview-property-field au-preview-property-field--text" maxlength="4000">',
'    </div>',
'</div>',
'',
'<!-- Loader -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <label class="au-preview-property-label">Loader</label>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <select size="1" class="au-preview-property-field au-preview-property-field--select">',
'            <option value="spinner">Spinner</option>',
'            <option value="spinnerandoverlay">Spinner &amp; Overlay</option>',
'            <option value="none" selected="true">None</option>',
'        </select>',
'    </div>',
'</div>',
'',
'<!-- Loader Position -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <label class="au-preview-property-label">Loader Position</label>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled type="text" value="" class="au-preview-property-field au-preview-property-field--text" maxlength="4000">',
'    </div>',
'</div>',
'',
'<!-- Load CLOB From -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <span class="au-preview-property-label">Load CLOB From</span>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled class="au-preview-property-field au-preview-property-field--text au-preview-u-textUpper"></input>',
'    </div>',
'    <div class="au-preview-property-button-container au-preview-property-button-container--comboBox">',
'        <button type="button" class="au-preview-a-button au-preview-a-button--small au-preview-a-button--noLabel au-preview-a-button--withIcon" title="List of Values: Load CLOB From">',
'            <span class="au-preview-a-icon au-preview-icon-popup-lov"></span>',
'        </button>',
'    </div>',
'</div>',
'',
'<!-- Return CLOB Into -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <span class="au-preview-property-label">Return CLOB Into</span>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled class="au-preview-property-field au-preview-property-field--text au-preview-u-textUpper"></input>',
'    </div>',
'    <div class="au-preview-property-button-container au-preview-property-button-container--comboBox">',
'        <button type="button" class="au-preview-a-button au-preview-a-button--small au-preview-a-button--noLabel au-preview-a-button--withIcon" title="List of Values: Return CLOB Into">',
'            <span class="au-preview-a-icon au-preview-icon-popup-lov"></span>',
'        </button>',
'    </div>',
'</div>',
'',
'<!-- Event Identifer -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <label class="au-preview-property-label">Event Identifier</label>',
'    </div>',
'    <div class="au-preview-property-field-container">',
'        <input disabled type="text" value="" class="au-preview-property-field au-preview-property-field--text" maxlength="4000">',
'    </div>',
'</div>',
'',
'<!-- Suppress Change Event -->',
'<div class="au-preview-property">',
'    <div class="au-preview-property-label-container">',
'        <span class="au-preview-property-label">Suppress Change Event</span>',
'    </div>',
'    <div class="au-preview-property-field-container au-preview-property-field-container--radioGroup">',
'        <div role="group" class="au-preview-property-radio-group au-preview-property-radio-group--buttonSet" tabindex="-1">',
'            <div class="au-preview-property-radio">',
'                <input disabled type="radio" value="Y" class="au-preview-property-radio-input au-preview-z-not-checked">',
'                <label class="au-preview-property-radio-label">Yes</label>',
'            </div>',
'            <div class="au-preview-property-radio">',
'                <input disabled type="radio" value="N" class="au-preview-property-radio-input au-preview-z-checked" checked="true">',
'                <label class="au-preview-property-radio-label">No</label>',
'            </div>',
'        </div>',
'    </div>',
'</div>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38476169403599162)
,p_plug_name=>'CLOB Support'
,p_parent_plug_id=>wwv_flow_api.id(38475900233599160)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(21805183066552540)
,p_plug_name=>'Example 1 - Submitting and returning a CLOB from and into a Page Item'
,p_region_name=>'example1region'
,p_parent_plug_id=>wwv_flow_api.id(38476169403599162)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508922735271251840)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(21805966380552548)
,p_plug_name=>'Subregion 1'
,p_parent_plug_id=>wwv_flow_api.id(21805183066552540)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_header=>'<p>In this example, we generate a CLOB in the front end, submit it to the server, alter it, and send it right back.</p>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(21806042372552549)
,p_plug_name=>'Subregion 2'
,p_parent_plug_id=>wwv_flow_api.id(21805183066552540)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(44927255047176568)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(21806042372552549)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_grid_column_span=>5
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code''     as col1, ''<code class="cm-code cm-plsql">apex_application.g_clob_01 := ''''ABC'''' || apex_application.g_clob_01 || ''''XYZ'''';</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Submit CLOB'' as col1, ''From Page Item'' as col2 from dual',
'union',
'select 3 as col0, ''Submit From'' as col1, ''P1_SUBMIT_CLOB_FROM'' as col2 from dual',
'union',
'select 4 as col0, ''Return CLOB'' as col1, ''Into Page Item'' as col2 from dual',
'union',
'select 5 as col0, ''Return Into'' as col1, ''P1_SUBMIT_CLOB_INTO'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23220933035478865)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>1
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23220149580478860)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>2
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23220534332478865)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>3
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(21806173906552550)
,p_plug_name=>'Subregion 3'
,p_parent_plug_id=>wwv_flow_api.id(21805183066552540)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23426654969655306)
,p_plug_name=>'Example 2 - Creating and returning a JSON object'
,p_region_name=>'example2region'
,p_parent_plug_id=>wwv_flow_api.id(38476169403599162)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508922735271251840)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>In this example, we create a JSON Object in the backend, transport it to the front end via the <code>apex_application.g_clob_01</code>, and load it into the myApp.data JavaScript variable.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23427335808655313)
,p_plug_name=>'Subregion 1'
,p_parent_plug_id=>wwv_flow_api.id(23426654969655306)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(23426889892655308)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(23427335808655313)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_grid_column_span=>5
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">apex_json.initialize_clob_output;',
'apex_json.open_object;',
'',
'apex_json.write(''''appName'''', ''''APEX Utils'''');',
'apex_json.write(''''pluginName'''', ''''Execute PL/SQL Code'''');',
'',
'apex_json.open_array(''''numbers'''');',
'apex_json.write(1);',
'apex_json.write(2);',
'apex_json.write(3);',
'apex_json.close_array;',
'',
'apex_json.close_object;',
'apex_application.g_clob_01 := apex_json.get_clob_output;',
'apex_json.free_output;</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Return CLOB'' as col1, ''Into JavaScript Variable as JSON'' as col2 from dual',
'union',
'select 3 as col0, ''Return Into'' as col1, ''myApp.data'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23427256543655312)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23427081471655310)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23427126253655311)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23427883327655318)
,p_plug_name=>'Subregion 2'
,p_region_name=>'example2-subregion2'
,p_parent_plug_id=>wwv_flow_api.id(23426654969655306)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div style="margin-top: 20px;">',
'<p>You can now reference myApp.data or window.myApp.data from any JavaScript context.</p>',
'<p>Open up your console and check that it was actually created.</p>',
'</div>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23426744678655307)
,p_plug_name=>'Example 3 - Submitting and consuming a JSON Object'
,p_region_name=>'example3region'
,p_parent_plug_id=>wwv_flow_api.id(38476169403599162)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508922735271251840)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>We can also move the JSON in the other direction. Let''s take for example <code>window.location</code> which is a global object that holds many important bits of information. We can submit it to the server, parse it (as it was stringified in order '
||'to travel through,) and analyze it with the help of <code>APEX_JSON</code>.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
end;
/
begin
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23428226143655322)
,p_plug_name=>'Subregion 1'
,p_parent_plug_id=>wwv_flow_api.id(23426744678655307)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(23428316345655323)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(23428226143655322)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_grid_column_span=>5
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">declare',
'    l_values         apex_json.t_values;',
'    l_children_count number;',
'    l_href           varchar2(1000);',
'begin',
'    apex_json.parse( p_values => l_values',
'                   , p_source => apex_application.g_clob_01',
'                   );',
'    ',
'    l_children_count := apex_json.get_count( p_path   => ''''.''''',
'                                           , p_values => l_values',
'                                           );',
'                                           ',
'    l_href := apex_json.get_varchar2( p_path   => ''''href''''',
'                                    , p_values => l_values',
'                                    );',
'        ',
'    :P1_ANALYZE_JSON := ''''JSON member count: '''' || l_children_count || ''''<br>'''' ||',
'                        ''''Href attribute: '''' || l_href;',
'    ',
'end;</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Items to Return'' as col1, ''P1_ANALYZE_JSON'' as col2 from dual',
'union',
'select 3 as col0, ''Submit CLOB'' as col1, ''From JavaScript Variable'' as col2 from dual',
'union',
'select 4 as col0, ''Submit From'' as col1, ''location'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23428737103655327)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23428596169655325)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23428664723655326)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23429122253655331)
,p_plug_name=>'Subregion 2'
,p_parent_plug_id=>wwv_flow_api.id(23426744678655307)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38477250173599173)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_api.id(38476169403599162)
,p_region_template_options=>'#DEFAULT#:t-Alert--colorBG:t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--info:t-Alert--removeHeading'
,p_plug_template=>wwv_flow_api.id(27508905087081251804)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Declarative CLOB support for Execute PL/SQL Code is finally here!</p>',
'<p>The typical usecase is submitting and retrieving values larger than 4000 characters in size. You can specify a Page Item whose value will be submitted to the server, and made available to you as <code>apex_application.g_clob_01</code>. Same goes f'
||'or retrieving a CLOB. Provide a Page Item, and the CLOB under <code>apex_application.g_clob_01</code> at the end of the execution will be loaded into it.</p>',
'<p>What''s more, if that data is not meant to be visible, there is no need to use an extra hidden Page Item. You can simply load data from and into global JavaScript variables. Furthermore, one can use the <code>APEX_JSON</code> API to create or consu'
||'me a JSON Object in the backend, and transport it easily with this plugin.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38476225943599163)
,p_plug_name=>'Notifications'
,p_parent_plug_id=>wwv_flow_api.id(38475900233599160)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39441718179458639)
,p_plug_name=>'Normal Success'
,p_parent_plug_id=>wwv_flow_api.id(38476225943599163)
,p_icon_css_classes=>'fa-check-circle'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent5:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>20
,p_plug_grid_column_span=>6
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>The most common use is to display a simple success message if the PL/SQL code completed correctly.</p>',
'<p>Leaving out the message will result in no notification being displayed.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39443586887458658)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39441718179458639)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">return;</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'', ''Success!'' from dual',
'union',
'select 3 as col0, ''Error Message'', ''Error!'' from dual '))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23224014334478868)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>1
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23223213412478868)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>2
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23223652381478868)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>3
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39442563999458647)
,p_plug_name=>'Overridden Success'
,p_parent_plug_id=>wwv_flow_api.id(38476225943599163)
,p_icon_css_classes=>'fa-check-circle'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent5:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>30
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>To have more control over the notification, you can use the <code>apex_application.g_x01</code> variable, which will override the declared success message.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39444551427458667)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39442563999458647)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">apex_application.g_x01 := ''''New Success Message'''';</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'', ''Success!'' from dual ',
'union',
'select 3 as col0, ''Error Message'', ''Error!'' from dual '))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23226223262478870)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>1
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23225425228478869)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>2
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23225838700478869)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>3
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39443549560458657)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_api.id(38476225943599163)
,p_region_template_options=>'#DEFAULT#:t-Alert--colorBG:t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--info:t-Alert--removeHeading'
,p_plug_template=>wwv_flow_api.id(27508905087081251804)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Unlike the native Execute PL/SQL Code DA, the APEX Utils equivalent gives you control over success and error messages.</p>',
'<p>This plugin offers an attribute for an optional success message and therefore eliminates the need for a second dynamic action. The message can also be dynamically generated in the PL/SQL block.</p>',
'<p>There is also an optional error message attribute. The error will be displayed via <code>apex.message.showErrors</code> as opposed to <code>apex.message.alert</code> for more consistency with the rest of APEX, but that can be changed as well. This'
||' attribute can also be overridden in PL/SQL.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39446262662458684)
,p_plug_name=>'Column Left'
,p_parent_plug_id=>wwv_flow_api.id(38476225943599163)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>40
,p_plug_grid_column_span=>6
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39441959884458641)
,p_plug_name=>'Normal Error'
,p_parent_plug_id=>wwv_flow_api.id(39446262662458684)
,p_icon_css_classes=>'fa-exclamation-triangle'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent7:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>In case of an error, the Error Message attribute will be used.</p>',
'<p>Leaving out the message will result in no notification being displayed.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39444929589458671)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39441959884458641)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">raise NO_DATA_FOUND;</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'', ''Success!'' from dual',
'union',
'select 3 as col0, ''Error Message'', ''Error!'' from dual '))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23229099791478872)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>1
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23228229185478871)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>2
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23228661450478872)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>3
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39446370884458685)
,p_plug_name=>'Substitution Strings'
,p_parent_plug_id=>wwv_flow_api.id(39446262662458684)
,p_icon_css_classes=>'fa-exclamation-triangle'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent7:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>For more detailed information, you can use the #SQLCODE#, #SQLERRM# or #SQLERRM_TEXT# substitution strings.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39446452241458686)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39446370884458685)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">raise NO_DATA_FOUND;</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'' as col1, ''Success!'' from dual',
'union',
'select 3 as col0, ''Error Message'', ''Error: '' || ''#'' || ''SQLERRM#'' from dual '))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23231252616478874)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23230445260478873)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23230802037478873)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39513509609068586)
,p_plug_name=>'Column Right'
,p_parent_plug_id=>wwv_flow_api.id(38476225943599163)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>50
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39443082107458653)
,p_plug_name=>'Overridden Error'
,p_parent_plug_id=>wwv_flow_api.id(39513509609068586)
,p_icon_css_classes=>'fa-exclamation-triangle'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent7:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>If populated, the <code>apex_application.g_x02</code> variable will override the declared error message.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39445339663458675)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39443082107458653)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code'' as col1, ''<code class="cm-code cm-plsql">begin',
'    raise NO_DATA_FOUND;',
'exception',
'    when NO_DATA_FOUND then',
'        apex_application.g_x02 := ''''No Data Found :('''';',
'        raise NO_DATA_FOUND;',
'end;</code>'' as col2 from dual',
'union',
'select 1 as col0, ''Success Message'' as col1, ''Success!'' as col2 from dual',
'union',
'select 2 as col0, ''Error Message'' as col1, ''Error!'' as col2 from dual '))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23233726990478875)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>1
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23232903356478875)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>2
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23233330590478875)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>3
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(38476370072599164)
,p_plug_name=>'Spinner'
,p_parent_plug_id=>wwv_flow_api.id(38475900233599160)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>50
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39509653603068547)
,p_plug_name=>'Short Process'
,p_parent_plug_id=>wwv_flow_api.id(38476370072599164)
,p_icon_css_classes=>'fa-database'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent8:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>If you specify a spinner but the AJAX call finishes very quickly (<200ms), no spinner will be shown to avoid flickering. This makes use of the native <code>apex.util.delayLinger</code> API.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39511151072068562)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39509653603068547)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code''     as col1, ''<code class="cm-code cm-plsql">return;</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'' as col1, ''Success'' as col2 from dual',
'union',
'select 3 as col0, ''Loader''          as col1, ''Spinner'' as col2 from dual',
'union',
'select 4 as col0, ''Loader Position'' as col1, ''body'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23236587460478878)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23235794709478877)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23236151227478877)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39509695892068548)
,p_plug_name=>'Long Process'
,p_parent_plug_id=>wwv_flow_api.id(38476370072599164)
,p_icon_css_classes=>'fa-database-clock'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent8:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>40
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>For longer processes it makes sense to show a spinner to let the user know that something is going on.</p>',
'<p><span class="note-span">Note</span> that if the AJAX call takes longer than 200ms, the spinner will always show for at least 800ms to avoid flickering.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39511708045068568)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39509695892068548)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code''     as col1, ''<code class="cm-code cm-plsql">apex_util.pause(3);</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'' as col1, ''Success'' as col2 from dual',
'union',
'select 3 as col0, ''Loader''          as col1, ''Spinner'' as col2 from dual',
'union',
'select 4 as col0, ''Loader Position'' as col1, ''body'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23238799437478879)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23237966666478879)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23238336578478879)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39511670227068567)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_api.id(38476370072599164)
,p_region_template_options=>'#DEFAULT#:t-Alert--colorBG:t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--info:t-Alert--removeHeading'
,p_plug_template=>wwv_flow_api.id(27508905087081251804)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This plugin also brings a proper loading indicator for longer processes.</p>',
'<p>It offers the attribute "Loader" with choices "Spinner", "Spinner & Overlay" and "None."</p>',
'<p>You can also provide the spinner''s position as a jQuery selector.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39512273941068573)
,p_plug_name=>'Spinner & Overlay'
,p_parent_plug_id=>wwv_flow_api.id(38476370072599164)
,p_icon_css_classes=>'fa-database-clock'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent8:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>50
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>If you wish to discourage the user from performing other actions while the AJAX call is in progress, you may want to place an overlay on the screen. <span class="note-span">Note</span> that this will not stop actions performed via the keyboard.</p'
||'>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(39512832122068579)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(39512273941068573)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code''     as col1, ''<code class="cm-code cm-plsql">apex_util.pause(3);</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'' as col1, ''Success'' as col2 from dual',
'union',
'select 3 as col0, ''Loader''          as col1, ''Spinner & Overlay'' as col2 from dual',
'union',
'select 4 as col0, ''Loader Position'' as col1, ''body'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23240919889478881)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23240124551478880)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23240576521478880)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44924138893176537)
,p_plug_name=>'Spinner On Region'
,p_region_name=>'region_with_spinner'
,p_parent_plug_id=>wwv_flow_api.id(38476370072599164)
,p_icon_css_classes=>'fa-database-clock'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent8:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>60
,p_plug_grid_column_span=>6
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>A more precise position for the spinner can also be provided as a jQuery selector.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(44924257928176538)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(44924138893176537)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code''     as col1, ''<code class="cm-code cm-plsql">apex_util.pause(3);</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'' as col1, ''Success'' as col2 from dual',
'union',
'select 3 as col0, ''Loader''          as col1, ''Spinner'' as col2 from dual',
'union',
'select 4 as col0, ''Loader Position'' as col1, ''#region_with_spinner'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
end;
/
begin
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23243127041478882)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23242382628478882)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23242779867478882)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44924995428176546)
,p_plug_name=>'Spinner & Overlay On Region'
,p_region_name=>'region_with_spinner_overlay'
,p_parent_plug_id=>wwv_flow_api.id(38476370072599164)
,p_icon_css_classes=>'fa-database-clock'
,p_region_template_options=>'#DEFAULT#:t-Region--showIcon:t-Region--accent8:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>70
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>Combination of Spinner & Overlay and a precise selector.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(44925172556176547)
,p_name=>'DA Details'
,p_parent_plug_id=>wwv_flow_api.id(44924995428176546)
,p_template=>wwv_flow_api.id(27508908731656251814)
,p_display_sequence=>10
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1 as col0, ''PL/SQL Code''     as col1, ''<code class="cm-code cm-plsql">apex_util.pause(3);</code>'' as col2 from dual',
'union',
'select 2 as col0, ''Success Message'' as col1, ''Success'' as col2 from dual',
'union',
'select 3 as col0, ''Loader''          as col1, ''Spinner & Overlay'' as col2 from dual',
'union',
'select 4 as col0, ''Loader Position'' as col1, ''#region_with_spinner_overlay'' as col2 from dual'))
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(27508952746794251872)
,p_query_headings_type=>'NO_HEADINGS'
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23245346249478883)
,p_query_column_id=>1
,p_column_alias=>'COL0'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23244578904478883)
,p_query_column_id=>2
,p_column_alias=>'COL1'
,p_column_display_sequence=>1
,p_column_heading=>'Col1'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(23244964232478883)
,p_query_column_id=>3
,p_column_alias=>'COL2'
,p_column_display_sequence=>2
,p_column_heading=>'Col2'
,p_use_as_row_header=>'N'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44928562323176581)
,p_plug_name=>'Events'
,p_parent_plug_id=>wwv_flow_api.id(38475900233599160)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>60
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(21805263855552541)
,p_plug_name=>'Message'
,p_parent_plug_id=>wwv_flow_api.id(44928562323176581)
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(27508930218679251848)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'<h3>Examples coming soon</h3>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44928612600176582)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_api.id(44928562323176581)
,p_region_template_options=>'#DEFAULT#:t-Alert--colorBG:t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--info:t-Alert--removeHeading'
,p_plug_template=>wwv_flow_api.id(27508905087081251804)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>There are also a couple of events being triggered before and after the execution of this dynamic action.</p>',
'<p>You can provide listeners which react to these events, and perform actions such as:</p>',
'<ul>',
'    <li>Dynamically cancelling the execution of this event, or further events</li>',
'    <li>Fething execution details (e.g. error type)</li>',
'    <li>Overwriting data such as notification messages</li>',
'</ul>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(44928465709176580)
,p_plug_name=>'Session Expired'
,p_region_name=>'session_expired_popup'
,p_region_template_options=>'#DEFAULT#:js-dialog-size600x400'
,p_plug_template=>wwv_flow_api.id(27508918641983251836)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div style="height: 130px;">',
'    <!--<p style="text-align: center;font-size: 100px;color: yellowgreen;line-height: 100px;">:-(</p></div>-->',
'    <span aria-hidden="true" class="fa fa-clock-o fa-5x fa-flip-horizontal fam-warning fam-is-danger"></span>',
'<p>Oh no! Your session has expired!</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(45015934799031347)
,p_plug_name=>'Help Text'
,p_region_name=>'help_text_popup'
,p_region_css_classes=>'help_text_region2'
,p_region_template_options=>'#DEFAULT#:js-dialog-size600x400'
,p_plug_template=>wwv_flow_api.id(27508918641983251836)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_css_classes=>'help_text_region1'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23224406011478868)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39443586887458658)
,p_button_name=>'NOTIFICATION_SHOW_SUCCESS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23226650560478870)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39444551427458667)
,p_button_name=>'NOTIFICATION_SHOW_SUCCESS_2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23229480732478872)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39444929589458671)
,p_button_name=>'NOTIFICATION_SHOW_ERROR'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--warning:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23231664703478874)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39446452241458686)
,p_button_name=>'NOTIFICATION_SHOW_Error_3'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--warning:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23234124239478876)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39445339663458675)
,p_button_name=>'NOTIFICATION_SHOW_Error_2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--warning:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23236959794478878)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39511151072068562)
,p_button_name=>'SPINNER_1'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23239188807478879)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39511708045068568)
,p_button_name=>'SPINNER_2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23241370060478881)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(39512832122068579)
,p_button_name=>'SPINNER_3'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23243540128478882)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(44924257928176538)
,p_button_name=>'SPINNER_4'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23245732618478884)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(44925172556176547)
,p_button_name=>'SPINNER_5'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23426446037655304)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(44927255047176568)
,p_button_name=>'EXECUTE_EXAMPLE_1'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23427434473655314)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(23426889892655308)
,p_button_name=>'EXECUTE_EXAMPLE_2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23428426141655324)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(23428316345655323)
,p_button_name=>'EXECUTE_EXAMPLE_3'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--success:t-Button--iconRight:t-Button--gapTop'
,p_button_template_id=>wwv_flow_api.id(27508982673818251928)
,p_button_image_alt=>'Execute'
,p_button_position=>'BELOW_BOX'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_icon_css_classes=>'fa-rocket'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23218656452478858)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(21805966380552548)
,p_button_name=>'GENERATE_RANDOM_CLOB'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--small:t-Button--stretch:t-Button--padTop'
,p_button_template_id=>wwv_flow_api.id(27508982540912251928)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Generate Random CLOB'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'blur-after-click'
,p_grid_new_row=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23215545045478853)
,p_name=>'P1_HELPTEXT'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(44928824358176584)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23219086314478858)
,p_name=>'P1_CHARACTERS'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(21805966380552548)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Characters'
,p_source=>'4001'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:10;10,100;100,1000;1000,4000;4000,4001;4001,5000;5000,10000;10000,40000;40000,100000;100000'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_grid_column=>4
,p_field_template=>wwv_flow_api.id(27508982086425251924)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23219418671478859)
,p_name=>'P1_LOAD_CLOB_FROM'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(21805966380552548)
,p_use_cache_before_default=>'NO'
,p_prompt=>'P1_LOAD_CLOB_FROM'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(27508982302210251924)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23426191713655301)
,p_name=>'P1_LOAD_CLOB_INTO'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(21806173906552550)
,p_use_cache_before_default=>'NO'
,p_prompt=>'P1_LOAD_CLOB_INTO'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(27508982302210251924)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23429248143655332)
,p_name=>'P1_ANALYZE_JSON'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(23429122253655331)
,p_prompt=>'P1_ANALYZE_JSON'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(27508981721928251919)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23248600709478888)
,p_name=>'CLOB Support - Example 1 - Load CLOB & Return Button Click'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23426446037655304)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23249115048478889)
,p_event_id=>wwv_flow_api.id(23248600709478888)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'apex_application.g_clob_01 := ''ABC'' || apex_application.g_clob_01 || ''XYZ'';'
,p_attribute_06=>'spinnerandoverlay'
,p_attribute_07=>'body'
,p_attribute_08=>'pageitem'
,p_attribute_09=>'P1_LOAD_CLOB_FROM'
,p_attribute_11=>'pageitem'
,p_attribute_12=>'P1_LOAD_CLOB_INTO'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23249572708478889)
,p_name=>'CLOB Support - Example 1 - Generate CLOB Button Click'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23218656452478858)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23250095776478889)
,p_event_id=>wwv_flow_api.id(23249572708478889)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var n = parseInt(apex.item(''P1_CHARACTERS'').getValue());',
'',
'var r = "";',
'',
'while(n--){',
'    r += String.fromCharCode((r=Math.random()*62|0, r += r>9 ? (r<36?55:61):48));',
'}',
'',
'apex.item(''P1_LOAD_CLOB_FROM'').setValue(r);'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23427614859655316)
,p_name=>'CLOB Support - Example 2 - Return JSON'
,p_event_sequence=>21
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23427434473655314)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23427738482655317)
,p_event_id=>wwv_flow_api.id(23427614859655316)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_json.initialize_clob_output;',
'apex_json.open_object;',
'',
'apex_json.write(''appName'', ''APEX Utils'');',
'apex_json.write(''pluginName'', ''Execute PL/SQL Code'');',
'',
'apex_json.open_array(''numbers'');',
'apex_json.write(1);',
'apex_json.write(2);',
'apex_json.write(3);',
'apex_json.close_array;',
'',
'apex_json.close_object;',
'apex_application.g_clob_01 := apex_json.get_clob_output;',
'apex_json.free_output;'))
,p_attribute_05=>'#SQLERRM#'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_attribute_11=>'javascriptvariablejson'
,p_attribute_13=>'myApp.data'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23428144310655321)
,p_event_id=>wwv_flow_api.id(23427614859655316)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'JQUERY_SELECTOR'
,p_affected_elements=>'#example2-subregion2'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23428801792655328)
,p_name=>'CLOB Support - Example 3 - Submit JSON'
,p_event_sequence=>31
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23428426141655324)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23428927512655329)
,p_event_id=>wwv_flow_api.id(23428801792655328)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'    l_values         apex_json.t_values;',
'    l_children_count number;',
'    l_href           varchar2(1000);',
'begin',
'    apex_json.parse( p_values => l_values',
'                   , p_source => apex_application.g_clob_01',
'                   );',
'    ',
'    l_children_count := apex_json.get_count( p_path   => ''.''',
'                                           , p_values => l_values',
'                                           );',
'                                           ',
'    l_href := apex_json.get_varchar2( p_path   => ''href''',
'                                    , p_values => l_values',
'                                    );',
'        ',
'    :P1_ANALYZE_JSON := ''JSON member count: '' || l_children_count || ''<br>'' ||',
'                        ''Href attribute: '' || l_href;',
'    ',
'end;'))
,p_attribute_03=>'P1_ANALYZE_JSON'
,p_attribute_05=>'#SQLERRM#'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_attribute_08=>'javascriptvariable'
,p_attribute_10=>'location'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23251394133478890)
,p_name=>'Notifications - Show Normal Success'
,p_event_sequence=>41
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23224406011478868)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23251838749478890)
,p_event_id=>wwv_flow_api.id(23251394133478890)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'return;'
,p_attribute_04=>'Success!'
,p_attribute_05=>'Error!'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23253144980478890)
,p_name=>'Notifications - Show Overridden Success'
,p_event_sequence=>51
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23226650560478870)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23253629518478890)
,p_event_id=>wwv_flow_api.id(23253144980478890)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'apex_application.g_x01 := ''New Success Message'';'
,p_attribute_04=>'Success!'
,p_attribute_05=>'Error!'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23252234863478890)
,p_name=>'Notifications - Show Normal Error'
,p_event_sequence=>61
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23229480732478872)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23252724559478890)
,p_event_id=>wwv_flow_api.id(23252234863478890)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'raise NO_DATA_FOUND;'
,p_attribute_04=>'Success!'
,p_attribute_05=>'Error!'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23254047243478891)
,p_name=>'Notifications - Show Overridden Error'
,p_event_sequence=>71
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23234124239478876)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23254520857478891)
,p_event_id=>wwv_flow_api.id(23254047243478891)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'    raise NO_DATA_FOUND;',
'exception',
'    when NO_DATA_FOUND then',
'        apex_application.g_x02 := ''No Data Found :('';',
'        raise NO_DATA_FOUND;',
'end;'))
,p_attribute_04=>'Success!'
,p_attribute_05=>'Error!'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23254935046478891)
,p_name=>'Render Code Snippets'
,p_event_sequence=>81
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23255407810478891)
,p_event_id=>wwv_flow_api.id(23254935046478891)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apexutils.demoApp.renderCodeEditor(''.cm-code.cm-plsql'', ''text/x-plsql'', false);',
'',
'var	collapseCollapsibleRegion = function(selector){',
'    const $region = $(selector);',
'    if($region.collapsible().length==0){',
'        apex.debug.error(''Region is not collapsible'');',
'        return;',
'    }',
'    $region.collapsible(''instance'').core.collapse();',
'    $region.collapsible(''instance'').core.setUserPreference(false);',
'}',
'',
'collapseCollapsibleRegion(''#example1region'');',
'collapseCollapsibleRegion(''#example2region'');',
'collapseCollapsibleRegion(''#example3region'');'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23255801683478891)
,p_name=>'Notifications - Show Substitution Error'
,p_event_sequence=>91
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23231664703478874)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23256311255478891)
,p_event_id=>wwv_flow_api.id(23255801683478891)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'raise NO_DATA_FOUND;'
,p_attribute_04=>'Success!'
,p_attribute_05=>'Error: #SQLERRM#'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23256704442478891)
,p_name=>'Spinner - Spinner Short'
,p_event_sequence=>101
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23236959794478878)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23257299560478892)
,p_event_id=>wwv_flow_api.id(23256704442478891)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'return;'
,p_attribute_04=>'Success'
,p_attribute_05=>'Error'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23257629557478892)
,p_name=>'Spinner - Spinner Long'
,p_event_sequence=>111
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23239188807478879)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23258177671478892)
,p_event_id=>wwv_flow_api.id(23257629557478892)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'apex_util.pause(3);'
,p_attribute_04=>'Success'
,p_attribute_05=>'Error'
,p_attribute_06=>'spinner'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23258591750478892)
,p_name=>'Spinner - Spinner & Overlay'
,p_event_sequence=>121
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23241370060478881)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23259019106478892)
,p_event_id=>wwv_flow_api.id(23258591750478892)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'apex_util.pause(3);'
,p_attribute_04=>'Success'
,p_attribute_05=>'Error'
,p_attribute_06=>'spinnerandoverlay'
,p_attribute_07=>'body'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23259438909478892)
,p_name=>'Spinner - Spinner On Region'
,p_event_sequence=>131
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23243540128478882)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23259936751478893)
,p_event_id=>wwv_flow_api.id(23259438909478892)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'apex_util.pause(3);'
,p_attribute_04=>'Success'
,p_attribute_05=>'Error'
,p_attribute_06=>'spinner'
,p_attribute_07=>'#region_with_spinner'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23260312061478893)
,p_name=>'Spinner - Spinner & Overlay On Region'
,p_event_sequence=>141
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23245732618478884)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23260874775478893)
,p_event_id=>wwv_flow_api.id(23260312061478893)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>'apex_util.pause(3);'
,p_attribute_04=>'Success'
,p_attribute_05=>'Error'
,p_attribute_06=>'spinnerandoverlay'
,p_attribute_07=>'#region_with_spinner_overlay'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23262107658478894)
,p_name=>'On Execute PLSQL Error'
,p_event_sequence=>151
,p_triggering_element_type=>'JAVASCRIPT_EXPRESSION'
,p_triggering_element=>'document'
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'au-executeplsql-error'
,p_display_when_type=>'NEVER'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23262622871478894)
,p_event_id=>wwv_flow_api.id(23262107658478894)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if(this.data.sessionExpired){',
'    this.data.preventDefault = true;',
'    openModal(''session_expired_popup'');',
'}'))
,p_stop_execution_on_error=>'Y'
);
end;
/
begin
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23263089946478894)
,p_name=>'Initialize Preview'
,p_event_sequence=>161
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23263536231478894)
,p_event_id=>wwv_flow_api.id(23263089946478894)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'//apex.widget.yesNo("au-preview-triggerEvents");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23263977666478894)
,p_name=>'Get Help Text'
,p_event_sequence=>171
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23264425060478894)
,p_event_id=>wwv_flow_api.id(23263977666478894)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'PLUGIN_COM.APEXUTILS.EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'    l_plugin_name       varchar(1000) := ''COM.APEXUTILS.EXECUTE_PLSQL_CODE'';',
'begin',
'',
'    apex_json.initialize_clob_output;',
'    apex_json.open_array;',
'',
'    for plugin_attribute in (',
'        select a.plugin_attribute_id                    as id',
'             , a.attribute_type                         as attribute_type',
'             --, a.lov_type                             as lov_type',
'             --, apex_escape.html(a.prompt)               as prompt',
'             , a.prompt                                 as prompt',
'             , apex_escape.html_whitelist(a.help_text)  as help_text',
'             , apex_escape.html_whitelist(a.examples)   as examples',
'          from apex_appl_plugins             p',
'             , apex_appl_plugin_attributes   a',
'         where p.application_id      = :APP_ID',
'           and p.name                = l_plugin_name',
'           and a.plugin_id = p.plugin_id)',
'    loop',
'    ',
'        APEX_JSON.open_object;--(''att''||plugin_attribute.id);',
'        APEX_JSON.write(''prompt'', plugin_attribute.prompt);',
'        APEX_JSON.write(''help_text'', plugin_attribute.help_text);',
'        APEX_JSON.write(''examples'', plugin_attribute.examples);',
'        APEX_JSON.close_object;',
'        ',
'    end loop;',
'',
'    apex_json.close_array;',
'    apex_application.g_clob_01 := APEX_JSON.get_clob_output;',
'    apex_json.free_output;',
'',
'end;',
''))
,p_attribute_05=>'#SQLERRM#'
,p_attribute_07=>'body'
,p_attribute_11=>'javascriptvariablejson'
,p_attribute_13=>'test.pluginHelpText'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23264957379478895)
,p_event_id=>wwv_flow_api.id(23263977666478894)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'//window.apexutils = window.apexutils || {};',
'//window.apexutils.demoApp = window.apexutils.demoApp || {};',
'//window.apexutils.demoApp.pluginHelpText = //JSON.parse(apex.item(''P1_HELPTEXT'').getValue());'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23265330947478895)
,p_name=>'On Preview Mouse Enter'
,p_event_sequence=>181
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'.au-preview-property'
,p_bind_type=>'live'
,p_bind_delegate_to_selector=>'#settings-preview-region'
,p_bind_event_type=>'mouseenter'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23265858396478895)
,p_event_id=>wwv_flow_api.id(23265330947478895)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'//console.log(this);'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23266279351478895)
,p_name=>'On Preview Mouse Exit'
,p_event_sequence=>191
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'.au-preview-property'
,p_bind_type=>'live'
,p_bind_delegate_to_selector=>'#settings-preview-region'
,p_bind_event_type=>'mouseenter'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23266703065478895)
,p_event_id=>wwv_flow_api.id(23266279351478895)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'//console.log(this);'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(23427942684655319)
,p_name=>'Hide example2-subregion2'
,p_event_sequence=>201
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23428034175655320)
,p_event_id=>wwv_flow_api.id(23427942684655319)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'JQUERY_SELECTOR'
,p_affected_elements=>'#example2-subregion2'
,p_attribute_01=>'N'
);
end;
/
prompt --application/pages/page_09999
begin
wwv_flow_api.create_page(
 p_id=>9999
,p_user_interface_id=>wwv_flow_api.id(27509004433859252007)
,p_name=>'Login Page'
,p_alias=>'LOGIN_DESKTOP'
,p_step_title=>'APEX Utils - Theme 42 - Sign In'
,p_warn_on_unsaved_changes=>'N'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(27508889029257251790)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_last_updated_by=>'SDOBRE'
,p_last_upd_yyyymmddhh24miss=>'20190406211701'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(27509008621256252090)
,p_plug_name=>'APEX Utils - Theme 42'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(27508929770794251847)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(27509013236245252115)
,p_plug_name=>'Language Selector'
,p_parent_plug_id=>wwv_flow_api.id(27509008621256252090)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(27508908731656251814)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'apex_lang.emit_language_selector_list;'
,p_plug_source_type=>'NATIVE_PLSQL'
,p_plug_query_num_rows=>15
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(27509011451581252110)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(27509008621256252090)
,p_button_name=>'LOGIN'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(27508982540912251928)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Sign In'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_alignment=>'LEFT'
,p_grid_new_grid=>false
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(27509009098328252096)
,p_name=>'P9999_USERNAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(27509008621256252090)
,p_prompt=>'username'
,p_placeholder=>'username'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(27508981994902251924)
,p_item_icon_css_classes=>'fa-user'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(27509009497114252098)
,p_name=>'P9999_PASSWORD'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(27509008621256252090)
,p_prompt=>'password'
,p_placeholder=>'password'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(27508981994902251924)
,p_item_icon_css_classes=>'fa-key'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(27509010577715252104)
,p_name=>'P9999_REMEMBER'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(27509008621256252090)
,p_prompt=>'Remember username'
,p_display_as=>'NATIVE_CHECKBOX'
,p_named_lov=>'LOGIN_REMEMBER_USERNAME'
,p_lov=>'.'||wwv_flow_api.id(27509009752711252099)||'.'
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(27508981994902251924)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'If you select this checkbox, the application will save your username in a persistent browser cookie named "LOGIN_USERNAME_COOKIE".',
'When you go to the login page the next time,',
'the username field will be automatically populated with this value.',
'</p>',
'<p>',
'If you deselect this checkbox and your username is already saved in the cookie,',
'the application will overwrite it with an empty value.',
'You can also use your browser''s developer tools to completely remove the cookie.',
'</p>'))
,p_attribute_01=>'1'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(27509012212261252114)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.send_login_username_cookie (',
'    p_username => lower(:P9999_USERNAME),',
'    p_consent  => :P9999_REMEMBER = ''Y'' );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(27509011906215252113)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.login(',
'    p_username => :P9999_USERNAME,',
'    p_password => :P9999_PASSWORD );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(27509012916874252115)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Clear Page(s) Cache'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(27509012623770252114)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P9999_USERNAME := apex_authentication.get_login_username_cookie;',
':P9999_REMEMBER := case when :P9999_USERNAME is not null then ''Y'' end;'))
);
end;
/
prompt --application/deployment/definition
begin
null;
end;
/
prompt --application/deployment/checks
begin
null;
end;
/
prompt --application/deployment/buildoptions
begin
null;
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
